package CPAN::Audit::DB;

use strict;
use warnings;

sub db {
    {
          'dists' => {
                       'Apache-AuthCAS' => {
                                             'advisories' => [
                                                               {
                                                                 'affected_versions' => '<0.5',
                                                                 'cves' => [
                                                                             'CVE-2007-6342'
                                                                           ],
                                                                 'description' => 'A tainted cookie could be sent by a malicious user and it would be used in an SQL query without protection against SQL injection.
',
                                                                 'distribution' => 'Apache-AuthCAS',
                                                                 'fixed_versions' => '>=0.5',
                                                                 'id' => 'CPANSA-Apache-AuthCAS-2007-01',
                                                                 'references' => [
                                                                                   'https://metacpan.org/changes/distribution/Apache-AuthCAS',
                                                                                   'https://cxsecurity.com/issue/WLB-2007120031'
                                                                                 ],
                                                                 'reported' => '2007-12-13',
                                                                 'severity' => 'high'
                                                               }
                                                             ],
                                             'main_module' => 'Apache::AuthCAS',
                                             'versions' => [
                                                             {
                                                               'date' => '2004-09-15T19:17:43',
                                                               'version' => '0.1'
                                                             },
                                                             {
                                                               'date' => '2004-09-15T20:11:40',
                                                               'version' => '0.2'
                                                             },
                                                             {
                                                               'date' => '2004-10-05T22:51:50',
                                                               'version' => '0.3'
                                                             },
                                                             {
                                                               'date' => '2004-10-13T00:45:52',
                                                               'version' => '0.4'
                                                             },
                                                             {
                                                               'date' => '2008-03-23T23:03:16',
                                                               'version' => '0.5'
                                                             }
                                                           ]
                                           },
                       'Apache-SessionX' => {
                                              'advisories' => [
                                                                {
                                                                  'affected_versions' => '<2.01',
                                                                  'description' => 'Problem in session_id validation, which allows createtion of session with invalid ids.
',
                                                                  'distribution' => 'Apache-SessionX',
                                                                  'fixed_versions' => '>=2.01',
                                                                  'id' => 'CPANSA-Apache-SessionX-2005-01',
                                                                  'references' => [
                                                                                    'https://metacpan.org/changes/distribution/Apache-SessionX'
                                                                                  ],
                                                                  'reported' => '2005-11-15'
                                                                }
                                                              ],
                                              'main_module' => 'Apache::SessionX',
                                              'versions' => [
                                                              {
                                                                'date' => '2001-11-20T15:36:53',
                                                                'version' => '2.00'
                                                              },
                                                              {
                                                                'date' => '2003-03-02T14:18:57',
                                                                'version' => '2.00'
                                                              },
                                                              {
                                                                'date' => '2005-11-15T05:21:49',
                                                                'version' => '2.01'
                                                              }
                                                            ]
                                            },
                       'App-Github-Email' => {
                                               'advisories' => [
                                                                 {
                                                                   'affected_versions' => '<0.3.3',
                                                                   'cves' => [
                                                                               'CVE-2015-7686'
                                                                             ],
                                                                   'description' => 'Insecure dependency on Email::Address.
',
                                                                   'distribution' => 'App-Github-Email',
                                                                   'fixed_versions' => '>=0.3.3',
                                                                   'id' => 'CPANSA-App-Github-Email-2018-01',
                                                                   'references' => [
                                                                                     'https://metacpan.org/changes/distribution/App-Github-Email',
                                                                                     'https://github.com/faraco/App-Github-Email/commit/b7f052280d1c8ae97bdefc106ca3cbba4aea7213'
                                                                                   ],
                                                                   'reported' => '2018-01-20'
                                                                 }
                                                               ],
                                               'main_module' => 'App::Github::Email',
                                               'versions' => [
                                                               {
                                                                 'date' => '2017-01-16T08:03:02',
                                                                 'version' => '0.0.1'
                                                               },
                                                               {
                                                                 'date' => '2017-01-16T12:56:51',
                                                                 'version' => '0.0.2'
                                                               },
                                                               {
                                                                 'date' => '2017-01-16T17:38:16',
                                                                 'version' => '0.0.3'
                                                               },
                                                               {
                                                                 'date' => '2017-03-11T10:45:23',
                                                                 'version' => '0.0.4'
                                                               },
                                                               {
                                                                 'date' => '2017-04-05T11:19:02',
                                                                 'version' => '0.0.5'
                                                               },
                                                               {
                                                                 'date' => '2017-04-15T17:35:18',
                                                                 'version' => '0.0.6'
                                                               },
                                                               {
                                                                 'date' => '2017-05-19T05:05:24',
                                                                 'version' => '0.0.7'
                                                               },
                                                               {
                                                                 'date' => '2017-12-18T14:11:19',
                                                                 'version' => '0.1.0'
                                                               },
                                                               {
                                                                 'date' => '2017-12-21T08:24:12',
                                                                 'version' => '0.1.1'
                                                               },
                                                               {
                                                                 'date' => '2018-01-15T03:18:05',
                                                                 'version' => '0.2.0'
                                                               },
                                                               {
                                                                 'date' => '2018-01-20T12:55:34',
                                                                 'version' => '0.2.1'
                                                               },
                                                               {
                                                                 'date' => '2018-08-30T16:07:18',
                                                                 'version' => '0.3.1'
                                                               },
                                                               {
                                                                 'date' => '2018-08-30T16:13:54',
                                                                 'version' => '0.3.2'
                                                               },
                                                               {
                                                                 'date' => '2018-08-31T03:49:31',
                                                                 'version' => '0.3.3'
                                                               }
                                                             ]
                                             },
                       'Archive-Tar' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<2.28',
                                                              'cves' => [
                                                                          'CVE-2018-12015'
                                                                        ],
                                                              'description' => 'In Perl through 5.26.2, the Archive::Tar module allows remote attackers to bypass a directory-traversal protection mechanism, and overwrite arbitrary files, via an archive file containing a symlink and a regular file with the same name.
',
                                                              'distribution' => 'Archive-Tar',
                                                              'id' => 'CPANSA-Archive-Tar-2018-01',
                                                              'references' => [
                                                                                'https://security-tracker.debian.org/tracker/CVE-2018-12015',
                                                                                'https://github.com/jib/archive-tar-new/commit/ae65651eab053fc6dc4590dbb863a268215c1fc5'
                                                                              ],
                                                              'reported' => '2018-06-12',
                                                              'severity' => 'medium'
                                                            }
                                                          ],
                                          'main_module' => 'Archive::Tar',
                                          'versions' => [
                                                          {
                                                            'date' => '1998-02-02T06:13:59',
                                                            'version' => '0.071'
                                                          },
                                                          {
                                                            'date' => '1998-04-10T17:07:35',
                                                            'version' => '0.072'
                                                          },
                                                          {
                                                            'date' => '1998-07-30T00:56:03',
                                                            'version' => '0.08'
                                                          },
                                                          {
                                                            'date' => '1999-01-10T02:22:23',
                                                            'version' => '0.20'
                                                          },
                                                          {
                                                            'date' => '1999-02-02T19:01:41',
                                                            'version' => '0.21'
                                                          },
                                                          {
                                                            'date' => '2000-04-28T00:37:46',
                                                            'version' => '0.22'
                                                          },
                                                          {
                                                            'date' => '2003-01-21T23:07:30',
                                                            'version' => '0.23'
                                                          },
                                                          {
                                                            'date' => '2003-03-18T17:08:50',
                                                            'version' => '0.99_01'
                                                          },
                                                          {
                                                            'date' => '2003-03-26T14:57:35',
                                                            'version' => '0.99_02'
                                                          },
                                                          {
                                                            'date' => '2003-04-28T16:01:24',
                                                            'version' => '0.99_03'
                                                          },
                                                          {
                                                            'date' => '2003-04-28T16:57:58',
                                                            'version' => '0.99_04'
                                                          },
                                                          {
                                                            'date' => '2003-04-30T12:52:19',
                                                            'version' => '0.99_05'
                                                          },
                                                          {
                                                            'date' => '2003-05-05T12:06:35',
                                                            'version' => '0.99_06'
                                                          },
                                                          {
                                                            'date' => '2003-05-31T09:27:33',
                                                            'version' => '1.00'
                                                          },
                                                          {
                                                            'date' => '2003-06-08T10:46:56',
                                                            'version' => '1.01'
                                                          },
                                                          {
                                                            'date' => '2003-06-12T09:47:58',
                                                            'version' => '1.02'
                                                          },
                                                          {
                                                            'date' => '2003-06-26T12:52:19',
                                                            'version' => '1.03'
                                                          },
                                                          {
                                                            'date' => '2003-07-27T17:07:50',
                                                            'version' => '1.04'
                                                          },
                                                          {
                                                            'date' => '2003-08-25T13:38:44',
                                                            'version' => '1.05'
                                                          },
                                                          {
                                                            'date' => '2003-10-15T14:35:12',
                                                            'version' => '1.06'
                                                          },
                                                          {
                                                            'date' => '2003-10-17T11:42:14',
                                                            'version' => '1.07'
                                                          },
                                                          {
                                                            'date' => '2004-01-05T12:59:23',
                                                            'version' => '1.08'
                                                          },
                                                          {
                                                            'date' => '2004-05-22T12:32:02',
                                                            'version' => '1.09'
                                                          },
                                                          {
                                                            'date' => '2004-06-11T19:24:06',
                                                            'version' => '1.10'
                                                          },
                                                          {
                                                            'date' => '2004-11-09T16:12:40',
                                                            'version' => '1.20'
                                                          },
                                                          {
                                                            'date' => '2004-11-10T16:04:13',
                                                            'version' => '1.21'
                                                          },
                                                          {
                                                            'date' => '2004-11-21T10:09:52',
                                                            'version' => '1.22'
                                                          },
                                                          {
                                                            'date' => '2004-12-03T15:53:06',
                                                            'version' => '1.23'
                                                          },
                                                          {
                                                            'date' => '2005-05-03T13:11:19',
                                                            'version' => '1.24'
                                                          },
                                                          {
                                                            'date' => '2005-08-20T10:14:40',
                                                            'version' => '1.25'
                                                          },
                                                          {
                                                            'date' => '2005-08-22T09:29:53',
                                                            'version' => '1.26'
                                                          },
                                                          {
                                                            'date' => '2006-01-19T13:31:53',
                                                            'version' => '1.28'
                                                          },
                                                          {
                                                            'date' => '2006-03-03T13:56:20',
                                                            'version' => '1.29'
                                                          },
                                                          {
                                                            'date' => '2006-08-02T15:00:41',
                                                            'version' => '1.30'
                                                          },
                                                          {
                                                            'date' => '2007-05-18T12:18:49',
                                                            'version' => '1.31'
                                                          },
                                                          {
                                                            'date' => '2007-05-25T09:32:48',
                                                            'version' => '1.32'
                                                          },
                                                          {
                                                            'date' => '2007-08-15T14:20:33',
                                                            'version' => '1.34'
                                                          },
                                                          {
                                                            'date' => '2007-09-16T09:13:21',
                                                            'version' => '1.36'
                                                          },
                                                          {
                                                            'date' => '2007-11-11T11:59:00',
                                                            'version' => '1.37_01'
                                                          },
                                                          {
                                                            'date' => '2007-12-24T11:02:07',
                                                            'version' => '1.38'
                                                          },
                                                          {
                                                            'date' => '2008-08-22T16:33:49',
                                                            'version' => '1.39_01'
                                                          },
                                                          {
                                                            'date' => '2008-08-25T03:56:58',
                                                            'version' => '1.39_02'
                                                          },
                                                          {
                                                            'date' => '2008-08-25T22:07:56',
                                                            'version' => '1.39_03'
                                                          },
                                                          {
                                                            'date' => '2008-09-08T12:14:37',
                                                            'version' => '1.39_04'
                                                          },
                                                          {
                                                            'date' => '2008-10-13T13:42:10',
                                                            'version' => '1.40'
                                                          },
                                                          {
                                                            'date' => '2008-12-13T17:10:15',
                                                            'version' => '1.42'
                                                          },
                                                          {
                                                            'date' => '2009-01-19T17:08:08',
                                                            'version' => '1.44'
                                                          },
                                                          {
                                                            'date' => '2009-03-05T16:10:06',
                                                            'version' => '1.46'
                                                          },
                                                          {
                                                            'date' => '2009-04-20T17:07:30',
                                                            'version' => '1.48'
                                                          },
                                                          {
                                                            'date' => '2009-06-12T12:01:54',
                                                            'version' => '1.50'
                                                          },
                                                          {
                                                            'date' => '2009-06-13T11:29:50',
                                                            'version' => '1.52'
                                                          },
                                                          {
                                                            'date' => '2009-09-10T12:13:03',
                                                            'version' => '1.54'
                                                          },
                                                          {
                                                            'date' => '2010-02-03T14:40:15',
                                                            'version' => '1.56'
                                                          },
                                                          {
                                                            'date' => '2010-02-17T21:47:16',
                                                            'version' => '1.58'
                                                          },
                                                          {
                                                            'date' => '2010-04-23T14:12:31',
                                                            'version' => '1.60'
                                                          },
                                                          {
                                                            'date' => '2010-06-28T21:02:59',
                                                            'version' => '1.62'
                                                          },
                                                          {
                                                            'date' => '2010-07-09T11:04:45',
                                                            'version' => '1.64'
                                                          },
                                                          {
                                                            'date' => '2010-07-26T08:44:00',
                                                            'version' => '1.66'
                                                          },
                                                          {
                                                            'date' => '2010-08-17T16:06:19',
                                                            'version' => '1.68'
                                                          },
                                                          {
                                                            'date' => '2010-11-15T22:02:53',
                                                            'version' => '1.70'
                                                          },
                                                          {
                                                            'date' => '2010-11-18T19:22:01',
                                                            'version' => '1.72'
                                                          },
                                                          {
                                                            'date' => '2010-12-18T21:19:51',
                                                            'version' => '1.74'
                                                          },
                                                          {
                                                            'date' => '2011-01-07T22:27:40',
                                                            'version' => '1.76'
                                                          },
                                                          {
                                                            'date' => '2011-09-08T22:13:33',
                                                            'version' => '1.78'
                                                          },
                                                          {
                                                            'date' => '2011-10-13T10:25:39',
                                                            'version' => '1.80'
                                                          },
                                                          {
                                                            'date' => '2011-11-21T12:14:43',
                                                            'version' => '1.82'
                                                          },
                                                          {
                                                            'date' => '2012-03-03T00:00:05',
                                                            'version' => '1.84'
                                                          },
                                                          {
                                                            'date' => '2012-05-24T11:38:09',
                                                            'version' => '1.86'
                                                          },
                                                          {
                                                            'date' => '2012-06-01T11:06:25',
                                                            'version' => '1.88'
                                                          },
                                                          {
                                                            'date' => '2012-09-05T18:19:00',
                                                            'version' => '1.90'
                                                          },
                                                          {
                                                            'date' => '2013-06-18T15:13:27',
                                                            'version' => '1.92'
                                                          },
                                                          {
                                                            'date' => '2013-10-22T14:28:22',
                                                            'version' => '0.93_01'
                                                          },
                                                          {
                                                            'date' => '2013-10-22T14:36:08',
                                                            'version' => '1.93_02'
                                                          },
                                                          {
                                                            'date' => '2013-10-24T18:02:48',
                                                            'version' => '1.94'
                                                          },
                                                          {
                                                            'date' => '2013-10-24T19:10:34',
                                                            'version' => '1.96'
                                                          },
                                                          {
                                                            'date' => '2014-06-14T17:12:02',
                                                            'version' => '1.98'
                                                          },
                                                          {
                                                            'date' => '2014-06-15T14:59:24',
                                                            'version' => '2.00'
                                                          },
                                                          {
                                                            'date' => '2014-09-14T18:03:23',
                                                            'version' => '2.02'
                                                          },
                                                          {
                                                            'date' => '2014-12-14T20:13:33',
                                                            'version' => '2.04'
                                                          },
                                                          {
                                                            'date' => '2016-04-24T14:05:11',
                                                            'version' => '2.06'
                                                          },
                                                          {
                                                            'date' => '2016-05-12T08:57:35',
                                                            'version' => '2.08'
                                                          },
                                                          {
                                                            'date' => '2016-07-27T12:40:29',
                                                            'version' => '2.10'
                                                          },
                                                          {
                                                            'date' => '2016-10-16T11:27:58',
                                                            'version' => '2.12'
                                                          },
                                                          {
                                                            'date' => '2016-10-20T12:38:57',
                                                            'version' => '2.14'
                                                          },
                                                          {
                                                            'date' => '2016-11-01T19:19:36',
                                                            'version' => '2.16'
                                                          },
                                                          {
                                                            'date' => '2016-11-07T13:36:15',
                                                            'version' => '2.18'
                                                          },
                                                          {
                                                            'date' => '2016-12-15T10:54:40',
                                                            'version' => '2.20'
                                                          },
                                                          {
                                                            'date' => '2016-12-16T09:46:28',
                                                            'version' => '2.22'
                                                          },
                                                          {
                                                            'date' => '2016-12-16T15:27:38',
                                                            'version' => '2.24'
                                                          },
                                                          {
                                                            'date' => '2017-05-12T12:46:05',
                                                            'version' => '2.26'
                                                          },
                                                          {
                                                            'date' => '2018-06-08T10:57:04',
                                                            'version' => '2.28'
                                                          },
                                                          {
                                                            'date' => '2018-06-19T11:55:28',
                                                            'version' => '2.30'
                                                          },
                                                          {
                                                            'date' => '2018-09-13T07:17:10',
                                                            'version' => '2.32'
                                                          }
                                                        ]
                                        },
                       'Archive-Zip' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<1.61',
                                                              'cves' => [
                                                                          'CVE-2018-10860'
                                                                        ],
                                                              'description' => 'perl-archive-zip is vulnerable to a directory traversal in Archive::Zip. It was found that the Archive::Zip module did not properly sanitize paths while extracting zip files. An attacker able to provide a specially crafted archive for processing could use this flaw to write or overwrite arbitrary files in the context of the perl interpreter.
',
                                                              'distribution' => 'Archive-Zip',
                                                              'id' => 'CPANSA-Archive-Zip-2018-01',
                                                              'references' => [
                                                                                'https://security-tracker.debian.org/tracker/CVE-2018-10860',
                                                                                'https://github.com/redhotpenguin/perl-Archive-Zip/pull/33'
                                                                              ],
                                                              'reported' => '2018-06-28',
                                                              'severity' => 'medium'
                                                            }
                                                          ],
                                          'main_module' => 'Archive::Zip',
                                          'versions' => [
                                                          {
                                                            'date' => '2000-03-22T00:10:21',
                                                            'version' => '0.06'
                                                          },
                                                          {
                                                            'date' => '2000-03-29T17:03:46',
                                                            'version' => '0.07'
                                                          },
                                                          {
                                                            'date' => '2000-06-16T16:48:41',
                                                            'version' => '0.09'
                                                          },
                                                          {
                                                            'date' => '2000-08-08T20:56:31',
                                                            'version' => '0.10'
                                                          },
                                                          {
                                                            'date' => '2001-01-17T08:06:58',
                                                            'version' => '0.11'
                                                          },
                                                          {
                                                            'date' => '2002-04-22T15:32:49',
                                                            'version' => '1.00'
                                                          },
                                                          {
                                                            'date' => '2002-05-11T02:45:20',
                                                            'version' => '1.01'
                                                          },
                                                          {
                                                            'date' => '2002-08-24T00:19:19',
                                                            'version' => '1.02'
                                                          },
                                                          {
                                                            'date' => '2002-09-03T04:40:33',
                                                            'version' => '1.03'
                                                          },
                                                          {
                                                            'date' => '2002-09-11T15:17:37',
                                                            'version' => '1.04'
                                                          },
                                                          {
                                                            'date' => '2002-09-11T19:35:26',
                                                            'version' => '1.05'
                                                          },
                                                          {
                                                            'date' => '2003-07-17T18:18:14',
                                                            'version' => '1.06'
                                                          },
                                                          {
                                                            'date' => '2003-10-20T13:59:00',
                                                            'version' => '1.07'
                                                          },
                                                          {
                                                            'date' => '2003-10-21T17:04:03',
                                                            'version' => '1.08'
                                                          },
                                                          {
                                                            'date' => '2003-11-27T18:02:03',
                                                            'version' => '1.09'
                                                          },
                                                          {
                                                            'date' => '2004-03-25T14:39:05',
                                                            'version' => '1.10'
                                                          },
                                                          {
                                                            'date' => '2004-07-05T23:25:19',
                                                            'version' => '1_11'
                                                          },
                                                          {
                                                            'date' => '2004-07-08T17:31:27',
                                                            'version' => '1.11'
                                                          },
                                                          {
                                                            'date' => '2004-07-08T19:14:46',
                                                            'version' => '1.12'
                                                          },
                                                          {
                                                            'date' => '2004-07-27T22:50:39',
                                                            'version' => '1.12_02'
                                                          },
                                                          {
                                                            'date' => '2004-07-29T15:15:49',
                                                            'version' => '1.12_03'
                                                          },
                                                          {
                                                            'date' => '2004-08-23T15:39:23',
                                                            'version' => '1.13'
                                                          },
                                                          {
                                                            'date' => '2004-10-21T15:28:12',
                                                            'version' => '1.14'
                                                          },
                                                          {
                                                            'date' => '2005-03-10T04:34:04',
                                                            'version' => '1.15_01'
                                                          },
                                                          {
                                                            'date' => '2005-03-12T15:29:48',
                                                            'version' => '1.15_02'
                                                          },
                                                          {
                                                            'date' => '2005-06-22T18:29:34',
                                                            'version' => '1.15'
                                                          },
                                                          {
                                                            'date' => '2005-07-04T17:55:17',
                                                            'version' => '1.16'
                                                          },
                                                          {
                                                            'date' => '2006-04-30T03:53:15',
                                                            'version' => '1.17_01'
                                                          },
                                                          {
                                                            'date' => '2006-05-07T02:49:30',
                                                            'version' => '1.17_02'
                                                          },
                                                          {
                                                            'date' => '2006-09-15T15:56:10',
                                                            'version' => '1.17_03'
                                                          },
                                                          {
                                                            'date' => '2006-10-24T15:06:32',
                                                            'version' => '1.17_05'
                                                          },
                                                          {
                                                            'date' => '2006-10-25T12:24:52',
                                                            'version' => '1.18'
                                                          },
                                                          {
                                                            'date' => '2007-06-05T01:50:42',
                                                            'version' => '1.20'
                                                          },
                                                          {
                                                            'date' => '2007-11-01T02:59:20',
                                                            'version' => '1.21'
                                                          },
                                                          {
                                                            'date' => '2007-11-02T01:52:47',
                                                            'version' => '1.22'
                                                          },
                                                          {
                                                            'date' => '2007-11-07T13:04:41',
                                                            'version' => '1.23'
                                                          },
                                                          {
                                                            'date' => '2008-08-23T23:35:50',
                                                            'version' => '1.24'
                                                          },
                                                          {
                                                            'date' => '2008-10-10T05:28:17',
                                                            'version' => '1.25'
                                                          },
                                                          {
                                                            'date' => '2008-10-12T14:13:05',
                                                            'version' => '1.26'
                                                          },
                                                          {
                                                            'date' => '2008-12-16T13:23:21',
                                                            'version' => '1.27_01'
                                                          },
                                                          {
                                                            'date' => '2009-06-16T10:09:03',
                                                            'version' => '1.28'
                                                          },
                                                          {
                                                            'date' => '2009-06-29T13:27:17',
                                                            'version' => '1.29'
                                                          },
                                                          {
                                                            'date' => '2009-06-30T14:13:29',
                                                            'version' => '1.30'
                                                          },
                                                          {
                                                            'date' => '2010-03-05T05:11:20',
                                                            'version' => '1.31_01'
                                                          },
                                                          {
                                                            'date' => '2011-03-08T15:52:02',
                                                            'version' => '1.31_02'
                                                          },
                                                          {
                                                            'date' => '2011-08-23T03:42:14',
                                                            'version' => '1.31_03'
                                                          },
                                                          {
                                                            'date' => '2012-01-23T06:28:16',
                                                            'version' => '1.31_04'
                                                          },
                                                          {
                                                            'date' => '2013-11-09T00:05:06',
                                                            'version' => '1.32'
                                                          },
                                                          {
                                                            'date' => '2013-11-10T03:50:45',
                                                            'version' => '1.33'
                                                          },
                                                          {
                                                            'date' => '2013-12-02T22:16:54',
                                                            'version' => '1.34'
                                                          },
                                                          {
                                                            'date' => '2013-12-30T19:16:52',
                                                            'version' => '1.35'
                                                          },
                                                          {
                                                            'date' => '2013-12-30T22:12:14',
                                                            'version' => '1.36'
                                                          },
                                                          {
                                                            'date' => '2014-01-13T18:32:19',
                                                            'version' => '1.37'
                                                          },
                                                          {
                                                            'date' => '2014-09-02T23:23:11',
                                                            'version' => '1.38'
                                                          },
                                                          {
                                                            'date' => '2014-10-22T04:17:15',
                                                            'version' => '1.39'
                                                          },
                                                          {
                                                            'date' => '2015-01-05T05:58:46',
                                                            'version' => '1.40'
                                                          },
                                                          {
                                                            'date' => '2015-01-10T02:47:42',
                                                            'version' => '1.41'
                                                          },
                                                          {
                                                            'date' => '2015-01-12T00:46:36',
                                                            'version' => '1.42'
                                                          },
                                                          {
                                                            'date' => '2015-01-15T06:37:32',
                                                            'version' => '1.43'
                                                          },
                                                          {
                                                            'date' => '2015-01-24T06:12:21',
                                                            'version' => '1.44'
                                                          },
                                                          {
                                                            'date' => '2015-01-27T07:51:17',
                                                            'version' => '1.45'
                                                          },
                                                          {
                                                            'date' => '2015-03-25T05:19:23',
                                                            'version' => '1.46'
                                                          },
                                                          {
                                                            'date' => '2015-06-17T18:26:02',
                                                            'version' => '1.47'
                                                          },
                                                          {
                                                            'date' => '2015-06-18T21:13:37',
                                                            'version' => '1.48'
                                                          },
                                                          {
                                                            'date' => '2015-07-31T19:01:40',
                                                            'version' => '1.49'
                                                          },
                                                          {
                                                            'date' => '2015-08-26T00:11:35',
                                                            'version' => '1.50'
                                                          },
                                                          {
                                                            'date' => '2015-09-22T06:03:54',
                                                            'version' => '1.51'
                                                          },
                                                          {
                                                            'date' => '2015-09-23T17:43:44',
                                                            'version' => '1.53'
                                                          },
                                                          {
                                                            'date' => '2015-12-04T19:36:41',
                                                            'version' => '1.55'
                                                          },
                                                          {
                                                            'date' => '2015-12-17T18:29:06',
                                                            'version' => '1.56'
                                                          },
                                                          {
                                                            'date' => '2016-04-01T18:06:36',
                                                            'version' => '1.57'
                                                          },
                                                          {
                                                            'date' => '2016-08-02T17:50:20',
                                                            'version' => '1.58'
                                                          },
                                                          {
                                                            'date' => '2016-08-11T20:09:16',
                                                            'version' => '1.59'
                                                          },
                                                          {
                                                            'date' => '2017-12-19T18:44:16',
                                                            'version' => '1.60'
                                                          },
                                                          {
                                                            'date' => '2018-08-19T03:35:10',
                                                            'version' => '1.61'
                                                          },
                                                          {
                                                            'date' => '2018-08-20T03:29:01',
                                                            'version' => '1.62'
                                                          },
                                                          {
                                                            'date' => '2018-08-22T15:42:15',
                                                            'version' => '1.63'
                                                          },
                                                          {
                                                            'date' => '2018-09-12T15:50:29',
                                                            'version' => '1.64'
                                                          }
                                                        ]
                                        },
                       'CGI' => {
                                  'advisories' => [
                                                    {
                                                      'affected_versions' => '<3.63',
                                                      'description' => 'CR escaping for Set-Cookie and P3P headers, a potential for newline injection.
',
                                                      'distribution' => 'CGI',
                                                      'fixed_versions' => '>=3.63',
                                                      'id' => 'CPANSA-CGI-2012-01',
                                                      'reported' => '2012-11-12'
                                                    },
                                                    {
                                                      'affected_versions' => '<3.56',
                                                      'cves' => [
                                                                  'CVE-2011-2766'
                                                                ],
                                                      'description' => 'Usage of deprecated FCGI.pm API.
',
                                                      'distribution' => 'CGI',
                                                      'fixed_versions' => '>=3.56',
                                                      'id' => 'CPANSA-CGI-2011-01',
                                                      'references' => [
                                                                        'https://rt.cpan.org/Public/Bug/Display.html?id=68380',
                                                                        'http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2011-2766'
                                                                      ],
                                                      'reported' => '2011-11-08'
                                                    },
                                                    {
                                                      'affected_versions' => '<3.50',
                                                      'description' => 'Non-random MIME boundary.
',
                                                      'distribution' => 'CGI',
                                                      'fixed_versions' => '>=3.50',
                                                      'id' => 'CPANSA-CGI-2010-02',
                                                      'reported' => '2010-11-08'
                                                    },
                                                    {
                                                      'affected_versions' => '<3.49',
                                                      'description' => 'Newlines in headers.
',
                                                      'distribution' => 'CGI',
                                                      'fixed_versions' => '>=3.49',
                                                      'id' => 'CPANSA-CGI-2010-01',
                                                      'reported' => '2010-02-05'
                                                    }
                                                  ],
                                  'main_module' => 'CGI',
                                  'versions' => [
                                                  {
                                                    'date' => '1995-11-25T09:21:00',
                                                    'version' => '2.10'
                                                  },
                                                  {
                                                    'date' => '1995-12-28T09:08:00',
                                                    'version' => '2.13'
                                                  },
                                                  {
                                                    'date' => '1996-05-22T22:30:00',
                                                    'version' => '2.20'
                                                  },
                                                  {
                                                    'date' => '1996-05-31T05:31:00',
                                                    'version' => '2.21'
                                                  },
                                                  {
                                                    'date' => '1996-08-07T09:24:00',
                                                    'version' => '2.22'
                                                  },
                                                  {
                                                    'date' => '1996-08-14T08:17:00',
                                                    'version' => '2.23'
                                                  },
                                                  {
                                                    'date' => '1996-08-21T09:09:00',
                                                    'version' => '2.24'
                                                  },
                                                  {
                                                    'date' => '1996-09-10T14:23:00',
                                                    'version' => '2.25'
                                                  },
                                                  {
                                                    'date' => '1996-10-22T11:17:00',
                                                    'version' => '2.26'
                                                  },
                                                  {
                                                    'date' => '1996-10-24T18:21:00',
                                                    'version' => '2.27'
                                                  },
                                                  {
                                                    'date' => '1996-12-02T11:48:00',
                                                    'version' => '2.28'
                                                  },
                                                  {
                                                    'date' => '1996-12-09T13:39:00',
                                                    'version' => '2.29'
                                                  },
                                                  {
                                                    'date' => '1997-01-02T16:40:00',
                                                    'version' => '2.30'
                                                  },
                                                  {
                                                    'date' => '1997-02-15T15:36:00',
                                                    'version' => '2.31'
                                                  },
                                                  {
                                                    'date' => '1997-03-25T08:58:00',
                                                    'version' => '2.32'
                                                  },
                                                  {
                                                    'date' => '1997-04-04T20:45:00',
                                                    'version' => '2.33'
                                                  },
                                                  {
                                                    'date' => '1997-04-10T15:41:00',
                                                    'version' => '2.34'
                                                  },
                                                  {
                                                    'date' => '1997-04-20T18:29:00',
                                                    'version' => '2.35'
                                                  },
                                                  {
                                                    'date' => '1997-05-09T09:33:00',
                                                    'version' => '2.36'
                                                  },
                                                  {
                                                    'date' => '1997-08-29T04:42:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1997-09-15T17:51:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1997-10-01T04:15:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1997-10-12T07:10:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1997-11-23T11:37:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1997-12-20T09:57:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-01-16T12:22:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-01-19T11:34:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-01-26T11:00:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-01-29T19:48:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-02-02T13:37:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-02-05T08:25:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-02-09T13:58:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-02-16T16:21:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-02-23T08:33:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-02-24T16:52:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-03-13T15:33:00',
                                                    'version' => '2.37'
                                                  },
                                                  {
                                                    'date' => '1998-03-22T21:12:00',
                                                    'version' => '2.38'
                                                  },
                                                  {
                                                    'date' => '1998-03-24T22:37:08',
                                                    'version' => '2.39'
                                                  },
                                                  {
                                                    'date' => '1998-05-20T09:17:00',
                                                    'version' => '2.40'
                                                  },
                                                  {
                                                    'date' => '1998-05-28T15:03:00',
                                                    'version' => '2.41'
                                                  },
                                                  {
                                                    'date' => '1998-06-09T09:00:00',
                                                    'version' => '2.42'
                                                  },
                                                  {
                                                    'date' => '1998-10-14T19:06:31',
                                                    'version' => '2.43'
                                                  },
                                                  {
                                                    'date' => '1998-11-24T19:41:41',
                                                    'version' => '2.44'
                                                  },
                                                  {
                                                    'date' => '1998-11-26T11:07:27',
                                                    'version' => '2.45'
                                                  },
                                                  {
                                                    'date' => '1998-12-06T10:22:46',
                                                    'version' => '2.46'
                                                  },
                                                  {
                                                    'date' => '1999-02-18T03:50:16',
                                                    'version' => '2.47'
                                                  },
                                                  {
                                                    'date' => '1999-02-19T14:10:25',
                                                    'version' => '2.48'
                                                  },
                                                  {
                                                    'date' => '1999-02-23T22:00:33',
                                                    'version' => '2.49'
                                                  },
                                                  {
                                                    'date' => '1999-06-08T15:13:15',
                                                    'version' => '2.52'
                                                  },
                                                  {
                                                    'date' => '1999-06-09T14:56:06',
                                                    'version' => '2.53'
                                                  },
                                                  {
                                                    'date' => '1999-08-09T14:18:33',
                                                    'version' => '2.54'
                                                  },
                                                  {
                                                    'date' => '1999-08-31T17:11:00',
                                                    'version' => '2.55'
                                                  },
                                                  {
                                                    'date' => '1999-09-13T21:11:51',
                                                    'version' => '2.56'
                                                  },
                                                  {
                                                    'date' => '2000-03-23T23:00:12',
                                                    'version' => '2.58'
                                                  },
                                                  {
                                                    'date' => '2000-03-24T12:31:52',
                                                    'version' => '2.59'
                                                  },
                                                  {
                                                    'date' => '2000-03-27T22:11:34',
                                                    'version' => '2.60'
                                                  },
                                                  {
                                                    'date' => '2000-03-28T02:50:18',
                                                    'version' => '2.61'
                                                  },
                                                  {
                                                    'date' => '2000-03-28T21:38:03',
                                                    'version' => '2.62'
                                                  },
                                                  {
                                                    'date' => '2000-04-10T15:19:54',
                                                    'version' => '2.63'
                                                  },
                                                  {
                                                    'date' => '2000-04-11T15:25:13',
                                                    'version' => '2.64'
                                                  },
                                                  {
                                                    'date' => '2000-04-11T15:55:40',
                                                    'version' => '2.65'
                                                  },
                                                  {
                                                    'date' => '2000-04-12T20:16:46',
                                                    'version' => '2.66'
                                                  },
                                                  {
                                                    'date' => '2000-05-16T01:38:08',
                                                    'version' => '2.67'
                                                  },
                                                  {
                                                    'date' => '2000-05-18T17:55:55',
                                                    'version' => '2.68'
                                                  },
                                                  {
                                                    'date' => '2000-07-28T03:06:11',
                                                    'version' => '2.69'
                                                  },
                                                  {
                                                    'date' => '2000-08-04T19:37:27',
                                                    'version' => '2.70'
                                                  },
                                                  {
                                                    'date' => '2000-08-13T16:09:25',
                                                    'version' => '2.71'
                                                  },
                                                  {
                                                    'date' => '2000-08-20T17:35:50',
                                                    'version' => '2.72'
                                                  },
                                                  {
                                                    'date' => '2000-08-24T13:33:37',
                                                    'version' => '3.'
                                                  },
                                                  {
                                                    'date' => '2000-09-13T02:55:51',
                                                    'version' => '2.73'
                                                  },
                                                  {
                                                    'date' => '2000-09-13T16:35:14',
                                                    'version' => '2.74'
                                                  },
                                                  {
                                                    'date' => '2001-02-02T15:43:07',
                                                    'version' => '2.75'
                                                  },
                                                  {
                                                    'date' => '2001-02-02T15:50:53',
                                                    'version' => '2.751'
                                                  },
                                                  {
                                                    'date' => '2001-02-04T23:49:27',
                                                    'version' => '2.752'
                                                  },
                                                  {
                                                    'date' => '2001-03-12T17:00:13',
                                                    'version' => '2.753'
                                                  },
                                                  {
                                                    'date' => '2001-06-15T15:33:28',
                                                    'version' => '3.02'
                                                  },
                                                  {
                                                    'date' => '2001-06-29T14:47:39',
                                                    'version' => '3.02_'
                                                  },
                                                  {
                                                    'date' => '2001-07-05T16:13:55',
                                                    'version' => '3.03_01'
                                                  },
                                                  {
                                                    'date' => '2001-07-26T21:29:22',
                                                    'version' => '2.76'
                                                  },
                                                  {
                                                    'date' => '2001-08-07T12:33:22',
                                                    'version' => '2.77'
                                                  },
                                                  {
                                                    'date' => '2001-09-26T02:26:36',
                                                    'version' => '2.78'
                                                  },
                                                  {
                                                    'date' => '2001-12-09T21:39:11',
                                                    'version' => '2.79'
                                                  },
                                                  {
                                                    'date' => '2002-01-12T02:47:17',
                                                    'version' => '2.80'
                                                  },
                                                  {
                                                    'date' => '2002-04-10T19:39:49',
                                                    'version' => '2.81'
                                                  },
                                                  {
                                                    'date' => '2002-09-11T12:27:48',
                                                    'version' => '2.84'
                                                  },
                                                  {
                                                    'date' => '2002-09-11T14:01:02',
                                                    'version' => '2.85'
                                                  },
                                                  {
                                                    'date' => '2002-09-12T03:58:40',
                                                    'version' => '2.86'
                                                  },
                                                  {
                                                    'date' => '2002-10-07T02:00:58',
                                                    'version' => '2.87'
                                                  },
                                                  {
                                                    'date' => '2002-10-14T13:58:09',
                                                    'version' => '2.88'
                                                  },
                                                  {
                                                    'date' => '2002-10-16T17:50:26',
                                                    'version' => '2.89'
                                                  },
                                                  {
                                                    'date' => '2002-11-22T23:03:39',
                                                    'version' => 0
                                                  },
                                                  {
                                                    'date' => '2003-02-10T20:11:57',
                                                    'version' => '2.90'
                                                  },
                                                  {
                                                    'date' => '2003-02-11T14:15:15',
                                                    'version' => '2.91'
                                                  },
                                                  {
                                                    'date' => '2003-04-28T00:44:10',
                                                    'version' => '2.92'
                                                  },
                                                  {
                                                    'date' => '2003-04-28T13:37:43',
                                                    'version' => '2.93'
                                                  },
                                                  {
                                                    'date' => '2003-06-09T12:15:29',
                                                    'version' => '2.94'
                                                  },
                                                  {
                                                    'date' => '2003-06-13T02:35:42',
                                                    'version' => '2.95'
                                                  },
                                                  {
                                                    'date' => '2003-06-16T18:42:38',
                                                    'version' => '2.96'
                                                  },
                                                  {
                                                    'date' => '2003-06-17T23:32:52',
                                                    'version' => '2.97'
                                                  },
                                                  {
                                                    'date' => '2003-07-16T17:06:29',
                                                    'version' => '2.98'
                                                  },
                                                  {
                                                    'date' => '2003-08-01T14:43:54',
                                                    'version' => '2.99'
                                                  },
                                                  {
                                                    'date' => '2003-08-18T17:51:48',
                                                    'version' => '3.00'
                                                  },
                                                  {
                                                    'date' => '2003-12-10T17:05:47',
                                                    'version' => '3.01'
                                                  },
                                                  {
                                                    'date' => '2004-01-13T16:34:47',
                                                    'version' => '3.03'
                                                  },
                                                  {
                                                    'date' => '2004-01-19T12:44:30',
                                                    'version' => '3.04'
                                                  },
                                                  {
                                                    'date' => '2004-04-12T20:39:57',
                                                    'version' => '3.05'
                                                  },
                                                  {
                                                    'date' => '2005-03-09T21:06:46',
                                                    'version' => '3.06'
                                                  },
                                                  {
                                                    'date' => '2005-03-14T16:34:03',
                                                    'version' => '3.07'
                                                  },
                                                  {
                                                    'date' => '2005-04-20T15:31:11',
                                                    'version' => '3.08'
                                                  },
                                                  {
                                                    'date' => '2005-05-05T20:16:55',
                                                    'version' => '3.09'
                                                  },
                                                  {
                                                    'date' => '2005-05-13T21:48:46',
                                                    'version' => '3.10'
                                                  },
                                                  {
                                                    'date' => '2005-08-03T21:17:14',
                                                    'version' => '3.11'
                                                  },
                                                  {
                                                    'date' => '2005-12-04T16:46:53',
                                                    'version' => '3.12'
                                                  },
                                                  {
                                                    'date' => '2005-12-05T13:54:26',
                                                    'version' => '3.13'
                                                  },
                                                  {
                                                    'date' => '2005-12-06T22:14:19',
                                                    'version' => '3.14'
                                                  },
                                                  {
                                                    'date' => '2005-12-07T20:16:49',
                                                    'version' => '3.15'
                                                  },
                                                  {
                                                    'date' => '2006-02-08T18:50:56',
                                                    'version' => '3.16'
                                                  },
                                                  {
                                                    'date' => '2006-02-24T19:04:58',
                                                    'version' => '3.17'
                                                  },
                                                  {
                                                    'date' => '2006-04-17T13:56:06',
                                                    'version' => '3.19'
                                                  },
                                                  {
                                                    'date' => '2006-04-23T14:27:55',
                                                    'version' => '3.20'
                                                  },
                                                  {
                                                    'date' => '2006-08-21T19:12:36',
                                                    'version' => '3.21'
                                                  },
                                                  {
                                                    'date' => '2006-08-23T15:24:41',
                                                    'version' => '3.22'
                                                  },
                                                  {
                                                    'date' => '2006-08-24T11:53:26',
                                                    'version' => '3.23'
                                                  },
                                                  {
                                                    'date' => '2006-09-28T17:09:45',
                                                    'version' => '3.25'
                                                  },
                                                  {
                                                    'date' => '2007-02-27T15:42:54',
                                                    'version' => '3.27'
                                                  },
                                                  {
                                                    'date' => '2007-03-29T15:38:01',
                                                    'version' => '3.28'
                                                  },
                                                  {
                                                    'date' => '2007-04-16T17:00:18',
                                                    'version' => '3.29'
                                                  },
                                                  {
                                                    'date' => '2007-11-30T19:06:19',
                                                    'version' => '3.31'
                                                  },
                                                  {
                                                    'date' => '2007-12-27T18:41:32',
                                                    'version' => '3.32'
                                                  },
                                                  {
                                                    'date' => '2008-01-03T15:03:17',
                                                    'version' => '3.33'
                                                  },
                                                  {
                                                    'date' => '2008-03-18T16:04:41',
                                                    'version' => '3.34'
                                                  },
                                                  {
                                                    'date' => '2008-03-27T14:26:48',
                                                    'version' => '3.35'
                                                  },
                                                  {
                                                    'date' => '2008-04-23T13:09:44',
                                                    'version' => '3.37'
                                                  },
                                                  {
                                                    'date' => '2008-06-25T14:58:32',
                                                    'version' => '3.38'
                                                  },
                                                  {
                                                    'date' => '2008-07-29T15:01:52',
                                                    'version' => '3.39'
                                                  },
                                                  {
                                                    'date' => '2008-08-06T18:21:51',
                                                    'version' => '3.40'
                                                  },
                                                  {
                                                    'date' => '2008-08-26T13:56:27',
                                                    'version' => '3.41'
                                                  },
                                                  {
                                                    'date' => '2008-09-08T14:15:41',
                                                    'version' => '3.42'
                                                  },
                                                  {
                                                    'date' => '2009-04-06T18:35:19',
                                                    'version' => '3.43'
                                                  },
                                                  {
                                                    'date' => '2009-07-30T16:34:17',
                                                    'version' => '3.44'
                                                  },
                                                  {
                                                    'date' => '2009-08-14T13:37:12',
                                                    'version' => '3.45'
                                                  },
                                                  {
                                                    'date' => '2009-09-09T15:39:42',
                                                    'version' => '3.46'
                                                  },
                                                  {
                                                    'date' => '2009-09-09T20:03:01',
                                                    'version' => '3.47'
                                                  },
                                                  {
                                                    'date' => '2009-09-25T15:07:03',
                                                    'version' => '3.48'
                                                  },
                                                  {
                                                    'date' => '2010-02-05T16:24:53',
                                                    'version' => '3.49'
                                                  },
                                                  {
                                                    'date' => '2010-11-08T21:53:26',
                                                    'version' => '3.50'
                                                  },
                                                  {
                                                    'date' => '2011-01-05T18:28:41',
                                                    'version' => '3.51'
                                                  },
                                                  {
                                                    'date' => '2011-01-25T04:30:05',
                                                    'version' => '3.52'
                                                  },
                                                  {
                                                    'date' => '2011-04-25T23:01:21',
                                                    'version' => '3.53'
                                                  },
                                                  {
                                                    'date' => '2011-04-28T14:36:41',
                                                    'version' => '3.54'
                                                  },
                                                  {
                                                    'date' => '2011-06-03T15:39:16',
                                                    'version' => '3.55'
                                                  },
                                                  {
                                                    'date' => '2011-11-09T02:00:20',
                                                    'version' => '3.56'
                                                  },
                                                  {
                                                    'date' => '2011-11-09T15:59:18',
                                                    'version' => '3.57'
                                                  },
                                                  {
                                                    'date' => '2011-11-12T03:36:07',
                                                    'version' => '3.58'
                                                  },
                                                  {
                                                    'date' => '2011-12-30T13:35:35',
                                                    'version' => '3.59'
                                                  },
                                                  {
                                                    'date' => '2012-08-16T03:21:13',
                                                    'version' => '3.60'
                                                  },
                                                  {
                                                    'date' => '2012-11-03T02:10:42',
                                                    'version' => '3.61'
                                                  },
                                                  {
                                                    'date' => '2012-11-10T01:40:50',
                                                    'version' => '3.62'
                                                  },
                                                  {
                                                    'date' => '2012-11-14T23:45:29',
                                                    'version' => '3.63'
                                                  },
                                                  {
                                                    'date' => '2013-11-24T01:22:00',
                                                    'version' => '3.64'
                                                  },
                                                  {
                                                    'date' => '2014-02-12T03:13:58',
                                                    'version' => '3.65'
                                                  },
                                                  {
                                                    'date' => '2014-05-15T12:59:58',
                                                    'version' => '3.65_01'
                                                  },
                                                  {
                                                    'date' => '2014-05-16T11:43:33',
                                                    'version' => '3.65_02'
                                                  },
                                                  {
                                                    'date' => '2014-05-20T12:31:46',
                                                    'version' => '3.65_03'
                                                  },
                                                  {
                                                    'date' => '2014-05-22T19:58:14',
                                                    'version' => '4.00'
                                                  },
                                                  {
                                                    'date' => '2014-05-27T13:13:51',
                                                    'version' => '4.01'
                                                  },
                                                  {
                                                    'date' => '2014-06-09T13:55:49',
                                                    'version' => '4.02'
                                                  },
                                                  {
                                                    'date' => '2014-07-02T14:53:06',
                                                    'version' => '4.03'
                                                  },
                                                  {
                                                    'date' => '2014-07-28T18:30:34',
                                                    'version' => '4.03_01'
                                                  },
                                                  {
                                                    'date' => '2014-07-30T14:26:40',
                                                    'version' => '4.03_02'
                                                  },
                                                  {
                                                    'date' => '2014-08-13T11:40:14',
                                                    'version' => '4.03_03'
                                                  },
                                                  {
                                                    'date' => '2014-09-04T14:42:14',
                                                    'version' => '4.04'
                                                  },
                                                  {
                                                    'date' => '2014-09-20T16:08:55',
                                                    'version' => '4.04_01'
                                                  },
                                                  {
                                                    'date' => '2014-09-28T19:57:05',
                                                    'version' => '4.04_02'
                                                  },
                                                  {
                                                    'date' => '2014-09-29T09:50:07',
                                                    'version' => '4.04_03'
                                                  },
                                                  {
                                                    'date' => '2014-10-06T12:01:14',
                                                    'version' => '4.04_04'
                                                  },
                                                  {
                                                    'date' => '2014-10-06T12:24:10',
                                                    'version' => '4.04_05'
                                                  },
                                                  {
                                                    'date' => '2014-10-08T07:42:49',
                                                    'version' => '4.05'
                                                  },
                                                  {
                                                    'date' => '2014-10-10T11:35:49',
                                                    'version' => '4.06'
                                                  },
                                                  {
                                                    'date' => '2014-10-12T16:29:35',
                                                    'version' => '4.07'
                                                  },
                                                  {
                                                    'date' => '2014-10-18T11:00:38',
                                                    'version' => '4.08'
                                                  },
                                                  {
                                                    'date' => '2014-10-21T07:33:36',
                                                    'version' => '4.09'
                                                  },
                                                  {
                                                    'date' => '2014-11-25T21:06:50',
                                                    'version' => '4.09_01'
                                                  },
                                                  {
                                                    'date' => '2014-11-27T12:53:51',
                                                    'version' => '4.10'
                                                  },
                                                  {
                                                    'date' => '2014-11-30T12:12:26',
                                                    'version' => '4.10_01'
                                                  },
                                                  {
                                                    'date' => '2014-12-03T07:25:15',
                                                    'version' => '4.11'
                                                  },
                                                  {
                                                    'date' => '2014-12-18T08:35:52',
                                                    'version' => '4.12'
                                                  },
                                                  {
                                                    'date' => '2014-12-18T09:21:52',
                                                    'version' => '4.13'
                                                  },
                                                  {
                                                    'date' => '2015-02-12T14:19:13',
                                                    'version' => '4.13_01'
                                                  },
                                                  {
                                                    'date' => '2015-02-13T08:01:29',
                                                    'version' => '4.13_02'
                                                  },
                                                  {
                                                    'date' => '2015-03-01T13:28:25',
                                                    'version' => '4.13_03'
                                                  },
                                                  {
                                                    'date' => '2015-03-08T16:09:21',
                                                    'version' => '4.13_04'
                                                  },
                                                  {
                                                    'date' => '2015-03-25T17:55:15',
                                                    'version' => '4.13_05'
                                                  },
                                                  {
                                                    'date' => '2015-04-01T06:51:57',
                                                    'version' => '4.14'
                                                  },
                                                  {
                                                    'date' => '2015-04-17T14:27:39',
                                                    'version' => '4.14_01'
                                                  },
                                                  {
                                                    'date' => '2015-04-20T07:15:45',
                                                    'version' => '4.15'
                                                  },
                                                  {
                                                    'date' => '2015-05-29T14:48:42',
                                                    'version' => '4.20'
                                                  },
                                                  {
                                                    'date' => '2015-06-22T07:50:02',
                                                    'version' => '4.21'
                                                  },
                                                  {
                                                    'date' => '2015-10-16T09:46:31',
                                                    'version' => '4.22'
                                                  },
                                                  {
                                                    'date' => '2015-12-20T18:33:35',
                                                    'version' => '4.24'
                                                  },
                                                  {
                                                    'date' => '2015-12-21T09:29:19',
                                                    'version' => '4.25'
                                                  },
                                                  {
                                                    'date' => '2016-02-04T16:37:12',
                                                    'version' => '4.26'
                                                  },
                                                  {
                                                    'date' => '2016-03-02T08:03:46',
                                                    'version' => '4.27'
                                                  },
                                                  {
                                                    'date' => '2016-03-14T07:21:48',
                                                    'version' => '4.28'
                                                  },
                                                  {
                                                    'date' => '2016-05-22T12:23:19',
                                                    'version' => '4.28_01'
                                                  },
                                                  {
                                                    'date' => '2016-05-22T12:54:23',
                                                    'version' => '4.28_02'
                                                  },
                                                  {
                                                    'date' => '2016-05-23T08:25:25',
                                                    'version' => '4.28_03'
                                                  },
                                                  {
                                                    'date' => '2016-06-09T12:01:20',
                                                    'version' => '4.29'
                                                  },
                                                  {
                                                    'date' => '2016-06-09T12:11:54',
                                                    'version' => '4.30'
                                                  },
                                                  {
                                                    'date' => '2016-06-14T07:14:00',
                                                    'version' => '4.31'
                                                  },
                                                  {
                                                    'date' => '2016-07-19T07:05:46',
                                                    'version' => '4.32'
                                                  },
                                                  {
                                                    'date' => '2016-09-16T09:47:49',
                                                    'version' => '4.33'
                                                  },
                                                  {
                                                    'date' => '2016-10-13T11:58:55',
                                                    'version' => '4.34'
                                                  },
                                                  {
                                                    'date' => '2016-10-13T13:56:21',
                                                    'version' => '4.35'
                                                  },
                                                  {
                                                    'date' => '2017-03-29T08:56:26',
                                                    'version' => '4.35_01'
                                                  },
                                                  {
                                                    'date' => '2017-04-06T14:42:12',
                                                    'version' => '4.36'
                                                  },
                                                  {
                                                    'date' => '2017-11-01T10:17:40',
                                                    'version' => '4.37'
                                                  },
                                                  {
                                                    'date' => '2017-12-01T08:41:02',
                                                    'version' => '4.38'
                                                  },
                                                  {
                                                    'date' => '2018-08-13T15:57:52',
                                                    'version' => '4.39'
                                                  },
                                                  {
                                                    'date' => '2018-08-15T08:39:39',
                                                    'version' => '4.40'
                                                  }
                                                ]
                                },
                       'CGI-Application-Dispatch' => {
                                                       'advisories' => [
                                                                         {
                                                                           'affected_versions' => '<1.02',
                                                                           'description' => 'Untainted module names.
',
                                                                           'distribution' => 'CGI-Application-Dispatch',
                                                                           'fixed_versions' => '>=1.02',
                                                                           'id' => 'CPANSA-CGI-Application-Dispatch-2005-001',
                                                                           'references' => [
                                                                                             'https://metacpan.org/changes/distribution/CGI-Application-Dispatch'
                                                                                           ],
                                                                           'reported' => '2005-01-20'
                                                                         }
                                                                       ],
                                                       'main_module' => 'CGI::Application::Dispatch',
                                                       'versions' => [
                                                                       {
                                                                         'date' => '2004-09-13T01:35:58',
                                                                         'version' => '0.01'
                                                                       },
                                                                       {
                                                                         'date' => '2004-10-19T18:26:01',
                                                                         'version' => '0.02'
                                                                       },
                                                                       {
                                                                         'date' => '2004-10-29T16:53:40',
                                                                         'version' => '0.03'
                                                                       },
                                                                       {
                                                                         'date' => '2005-01-06T15:34:49',
                                                                         'version' => '1.00'
                                                                       },
                                                                       {
                                                                         'date' => '2005-01-08T12:42:00',
                                                                         'version' => '1.01'
                                                                       },
                                                                       {
                                                                         'date' => '2005-01-20T14:43:28',
                                                                         'version' => '1.02'
                                                                       },
                                                                       {
                                                                         'date' => '2005-03-04T16:28:16',
                                                                         'version' => '1.03'
                                                                       },
                                                                       {
                                                                         'date' => '2005-07-12T21:44:54',
                                                                         'version' => '1.04'
                                                                       },
                                                                       {
                                                                         'date' => '2006-01-12T15:56:53',
                                                                         'version' => '2.00_02'
                                                                       },
                                                                       {
                                                                         'date' => '2006-02-06T15:50:52',
                                                                         'version' => '2.00_03'
                                                                       },
                                                                       {
                                                                         'date' => '2006-02-14T15:41:25',
                                                                         'version' => '2.00_04'
                                                                       },
                                                                       {
                                                                         'date' => '2006-04-12T14:18:22',
                                                                         'version' => '2.00_05'
                                                                       },
                                                                       {
                                                                         'date' => '2006-06-27T04:29:04',
                                                                         'version' => '2.00_06'
                                                                       },
                                                                       {
                                                                         'date' => '2006-07-03T15:52:12',
                                                                         'version' => '2.00'
                                                                       },
                                                                       {
                                                                         'date' => '2006-08-14T14:14:10',
                                                                         'version' => '2.01'
                                                                       },
                                                                       {
                                                                         'date' => '2006-08-17T14:57:55',
                                                                         'version' => '2.02'
                                                                       },
                                                                       {
                                                                         'date' => '2006-09-30T02:13:40',
                                                                         'version' => '2.03'
                                                                       },
                                                                       {
                                                                         'date' => '2007-01-03T18:12:57',
                                                                         'version' => '2.10_01'
                                                                       },
                                                                       {
                                                                         'date' => '2007-01-11T18:55:41',
                                                                         'version' => '2.10_02'
                                                                       },
                                                                       {
                                                                         'date' => '2007-01-15T14:08:30',
                                                                         'version' => '2.10'
                                                                       },
                                                                       {
                                                                         'date' => '2007-12-28T20:23:49',
                                                                         'version' => '2.11'
                                                                       },
                                                                       {
                                                                         'date' => '2007-12-31T20:43:51',
                                                                         'version' => '2.12_01'
                                                                       },
                                                                       {
                                                                         'date' => '2008-01-03T14:39:57',
                                                                         'version' => '2.12'
                                                                       },
                                                                       {
                                                                         'date' => '2008-03-08T18:33:34',
                                                                         'version' => '2.13_01'
                                                                       },
                                                                       {
                                                                         'date' => '2008-03-11T16:41:27',
                                                                         'version' => '2.13_02'
                                                                       },
                                                                       {
                                                                         'date' => '2008-09-17T00:44:02',
                                                                         'version' => '2.13'
                                                                       },
                                                                       {
                                                                         'date' => '2008-11-03T01:33:21',
                                                                         'version' => '2.14'
                                                                       },
                                                                       {
                                                                         'date' => '2008-12-04T16:00:05',
                                                                         'version' => '2.15'
                                                                       },
                                                                       {
                                                                         'date' => '2009-03-24T02:03:51',
                                                                         'version' => '2.16'
                                                                       },
                                                                       {
                                                                         'date' => '2009-12-30T19:06:27',
                                                                         'version' => '2.17'
                                                                       },
                                                                       {
                                                                         'date' => '2011-01-05T03:42:59',
                                                                         'version' => '2.18'
                                                                       },
                                                                       {
                                                                         'date' => '2011-06-16T17:42:14',
                                                                         'version' => '3.00'
                                                                       },
                                                                       {
                                                                         'date' => '2011-06-24T02:53:20',
                                                                         'version' => '3.01'
                                                                       },
                                                                       {
                                                                         'date' => '2011-06-24T22:33:01',
                                                                         'version' => '3.02'
                                                                       },
                                                                       {
                                                                         'date' => '2011-06-26T03:52:14',
                                                                         'version' => '3.03'
                                                                       },
                                                                       {
                                                                         'date' => '2011-06-29T13:45:53',
                                                                         'version' => '3.04'
                                                                       },
                                                                       {
                                                                         'date' => '2011-09-07T22:21:15',
                                                                         'version' => '3.05'
                                                                       },
                                                                       {
                                                                         'date' => '2011-09-09T15:29:58',
                                                                         'version' => '3.06'
                                                                       },
                                                                       {
                                                                         'date' => '2011-09-09T17:32:11',
                                                                         'version' => '3.07'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-03T04:04:19',
                                                                         'version' => '3.10'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-14T01:02:58',
                                                                         'version' => '3.11'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-14T01:19:52',
                                                                         'version' => '3.12'
                                                                       }
                                                                     ]
                                                     },
                       'CGI-Application-Plugin-AutoRunmode' => {
                                                                 'advisories' => [
                                                                                   {
                                                                                     'affected_versions' => '<0.04',
                                                                                     'description' => 'Non-word characters are allowed in runmode name.
',
                                                                                     'distribution' => 'CGI-Application-Plugin-AutoRunmode',
                                                                                     'fixed_versions' => '>=0.04',
                                                                                     'id' => 'CPANSA-CGI-Application-Plugin-AutoRunmode-2005-01',
                                                                                     'references' => [
                                                                                                       'https://metacpan.org/changes/distribution/CGI-Application-Plugin-AutoRunmode'
                                                                                                     ],
                                                                                     'reported' => '2005-03-04'
                                                                                   }
                                                                                 ],
                                                                 'main_module' => 'CGI::Application::Plugin::AutoRunmode',
                                                                 'versions' => [
                                                                                 {
                                                                                   'date' => '2005-03-04T06:59:51',
                                                                                   'version' => '0.04'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-03-10T07:22:55',
                                                                                   'version' => '0.05'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-06-15T10:20:17',
                                                                                   'version' => '0.06'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-06-18T02:09:08',
                                                                                   'version' => '0.07'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-07-17T00:49:10',
                                                                                   'version' => '0.08'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-09-22T12:31:22',
                                                                                   'version' => '0.09'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-10-16T00:17:47',
                                                                                   'version' => '0.10'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-10-18T13:23:50',
                                                                                   'version' => '0.11'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2005-11-03T01:10:37',
                                                                                   'version' => '0.12'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2006-04-08T07:18:44',
                                                                                   'version' => '0.13'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2006-05-21T05:04:48',
                                                                                   'version' => '0.14'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2006-12-17T07:46:24',
                                                                                   'version' => '0.15'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2009-02-14T09:16:39',
                                                                                   'version' => '0.16'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-05-21T04:24:45',
                                                                                   'version' => '0.17'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2011-02-18T09:23:15',
                                                                                   'version' => '0.18'
                                                                                 }
                                                                               ]
                                                               },
                       'CGI-Application-Plugin-RunmodeDeclare' => {
                                                                    'advisories' => [
                                                                                      {
                                                                                        'affected_versions' => '<0.03',
                                                                                        'description' => 'Wrong order of arguments.
',
                                                                                        'distribution' => 'CGI-Application-Plugin-RunmodeDeclare',
                                                                                        'fixed_versions' => '>=0.03',
                                                                                        'id' => 'CPANSA-CGI-Application-Plugin-RunmodeDeclare-2008-01',
                                                                                        'references' => [
                                                                                                          'https://metacpan.org/changes/distribution/CGI-Application-Plugin-RunmodeDeclare'
                                                                                                        ],
                                                                                        'reported' => '2008-10-20'
                                                                                      }
                                                                                    ],
                                                                    'main_module' => 'CGI::Application::Plugin::RunmodeDeclare',
                                                                    'versions' => [
                                                                                    {
                                                                                      'date' => '2008-09-26T19:59:14',
                                                                                      'version' => '0.01'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-09-26T21:37:11',
                                                                                      'version' => '0.02'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-19T23:22:06',
                                                                                      'version' => '0.03'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-23T14:18:23',
                                                                                      'version' => '0.03_01'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-24T13:32:43',
                                                                                      'version' => '0.03_02'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-24T16:20:27',
                                                                                      'version' => '0.03_03'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-25T10:54:25',
                                                                                      'version' => '0.04'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-25T11:46:28',
                                                                                      'version' => '0.05'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2008-10-25T16:39:34',
                                                                                      'version' => '0.06'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2009-01-10T02:32:39',
                                                                                      'version' => '0.07'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2009-05-17T22:29:18',
                                                                                      'version' => '0.08'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2010-01-07T13:24:09',
                                                                                      'version' => '0.09'
                                                                                    },
                                                                                    {
                                                                                      'date' => '2012-02-10T00:53:54',
                                                                                      'version' => '0.10'
                                                                                    }
                                                                                  ]
                                                                  },
                       'CGI-Auth-Basic' => {
                                             'advisories' => [
                                                               {
                                                                 'affected_versions' => '<1.11',
                                                                 'description' => 'TBD
',
                                                                 'distribution' => 'CGI-Auth-Basic',
                                                                 'fixed_versions' => '>=1.11',
                                                                 'id' => 'CPANSA-CGI-Auth-Basic-2007-01',
                                                                 'references' => [
                                                                                   'https://metacpan.org/changes/distribution/CGI-Auth-Basic'
                                                                                 ],
                                                                 'reported' => '2007-12-30'
                                                               }
                                                             ],
                                             'main_module' => 'CGI::Auth::Basic',
                                             'versions' => [
                                                             {
                                                               'date' => '2004-02-21T14:58:09',
                                                               'version' => '1.0'
                                                             },
                                                             {
                                                               'date' => '2004-08-31T13:29:28',
                                                               'version' => '1.01'
                                                             },
                                                             {
                                                               'date' => '2004-11-07T03:34:32',
                                                               'version' => '1.02'
                                                             },
                                                             {
                                                               'date' => '2006-06-18T01:12:15',
                                                               'version' => '1.10'
                                                             },
                                                             {
                                                               'date' => '2007-12-30T20:53:33',
                                                               'version' => '1.11'
                                                             },
                                                             {
                                                               'date' => '2009-04-18T04:22:51',
                                                               'version' => '1.20'
                                                             },
                                                             {
                                                               'date' => '2009-04-23T17:00:50',
                                                               'version' => '1.21'
                                                             },
                                                             {
                                                               'date' => '2009-04-24T15:07:48',
                                                               'version' => '1.21'
                                                             },
                                                             {
                                                               'date' => '2012-08-27T01:50:53',
                                                               'version' => '1.22'
                                                             },
                                                             {
                                                               'date' => '2015-01-21T00:26:01',
                                                               'version' => '1.23'
                                                             },
                                                             {
                                                               'date' => '2018-12-23T21:03:03',
                                                               'version' => '1.24'
                                                             }
                                                           ]
                                           },
                       'CGI-Simple' => {
                                         'advisories' => [
                                                           {
                                                             'affected_versions' => '<1.113',
                                                             'cves' => [
                                                                         'CVE-2010-4410'
                                                                       ],
                                                             'description' => 'Newlines in headers, which could lead to header injection attacks.
',
                                                             'distribution' => 'CGI-Simple',
                                                             'fixed_versions' => '>=1.113',
                                                             'id' => 'CPANSA-CGI-Simple-2010-02',
                                                             'references' => [
                                                                               'https://metacpan.org/changes/distribution/CGI-Simple'
                                                                             ],
                                                             'reported' => '2010-12-27'
                                                           },
                                                           {
                                                             'affected_versions' => '<1.113',
                                                             'description' => 'Non-random multipart boundary.
',
                                                             'distribution' => 'CGI-Simple',
                                                             'fixed_versions' => '>=1.113',
                                                             'id' => 'CPANSA-CGI-Simple-2010-01',
                                                             'references' => [
                                                                               'https://metacpan.org/changes/distribution/CGI-Simple'
                                                                             ],
                                                             'reported' => '2010-12-27'
                                                           }
                                                         ],
                                         'main_module' => 'CGI::Simple',
                                         'versions' => [
                                                         {
                                                           'date' => '2007-01-09T22:31:27',
                                                           'version' => '0.078'
                                                         },
                                                         {
                                                           'date' => '2007-02-23T16:22:19',
                                                           'version' => '0.079'
                                                         },
                                                         {
                                                           'date' => '2007-03-30T20:15:35',
                                                           'version' => '0.080'
                                                         },
                                                         {
                                                           'date' => '2007-05-20T19:19:40',
                                                           'version' => '0.081'
                                                         },
                                                         {
                                                           'date' => '2007-05-22T18:43:01',
                                                           'version' => '0.082'
                                                         },
                                                         {
                                                           'date' => '2007-05-22T18:54:06',
                                                           'version' => '0.83'
                                                         },
                                                         {
                                                           'date' => '2007-05-24T03:15:01',
                                                           'version' => '1.0'
                                                         },
                                                         {
                                                           'date' => '2007-07-13T18:58:16',
                                                           'version' => '1.1'
                                                         },
                                                         {
                                                           'date' => '2007-07-31T01:57:01',
                                                           'version' => '1.1.1'
                                                         },
                                                         {
                                                           'date' => '2007-07-31T02:04:25',
                                                           'version' => '1.1.2'
                                                         },
                                                         {
                                                           'date' => '2007-07-31T02:10:47',
                                                           'version' => '1.103'
                                                         },
                                                         {
                                                           'date' => '2008-05-13T15:46:18',
                                                           'version' => '1.104'
                                                         },
                                                         {
                                                           'date' => '2008-05-16T14:37:31',
                                                           'version' => '1.105'
                                                         },
                                                         {
                                                           'date' => '2008-09-14T13:29:51',
                                                           'version' => '1.106'
                                                         },
                                                         {
                                                           'date' => '2009-03-07T21:24:59',
                                                           'version' => '1.107'
                                                         },
                                                         {
                                                           'date' => '2009-03-13T14:06:24',
                                                           'version' => '1.108'
                                                         },
                                                         {
                                                           'date' => '2009-04-16T17:54:13',
                                                           'version' => '1.109'
                                                         },
                                                         {
                                                           'date' => '2009-05-24T21:25:22',
                                                           'version' => '1.110'
                                                         },
                                                         {
                                                           'date' => '2009-05-28T18:02:08',
                                                           'version' => '1.111'
                                                         },
                                                         {
                                                           'date' => '2009-05-31T10:43:56',
                                                           'version' => '1.112'
                                                         },
                                                         {
                                                           'date' => '2010-12-27T13:11:56',
                                                           'version' => '1.113'
                                                         },
                                                         {
                                                           'date' => '2014-10-19T12:53:24',
                                                           'version' => '1.115'
                                                         },
                                                         {
                                                           'date' => '2018-03-01T15:09:42',
                                                           'version' => '1.13'
                                                         },
                                                         {
                                                           'date' => '2018-03-03T10:42:06',
                                                           'version' => '1.14'
                                                         },
                                                         {
                                                           'date' => '2018-03-04T03:42:20',
                                                           'version' => '1.15'
                                                         },
                                                         {
                                                           'date' => '2018-07-25T15:17:39',
                                                           'version' => '1.16'
                                                         },
                                                         {
                                                           'date' => '2018-10-02T09:48:08',
                                                           'version' => '1.17'
                                                         },
                                                         {
                                                           'date' => '2018-10-03T14:21:12',
                                                           'version' => '1.18'
                                                         },
                                                         {
                                                           'date' => '2018-10-04T12:05:58',
                                                           'version' => '1.19'
                                                         },
                                                         {
                                                           'date' => '2018-10-05T11:30:05',
                                                           'version' => '1.20'
                                                         },
                                                         {
                                                           'date' => '2018-10-06T07:21:31',
                                                           'version' => '1.21'
                                                         }
                                                       ]
                                       },
                       'CGI-apacheSSI' => {
                                            'advisories' => [
                                                              {
                                                                'affected_versions' => '<0.95',
                                                                'description' => 'Security and parsing problems with "include" calls.
',
                                                                'distribution' => 'CGI-apacheSSI',
                                                                'fixed_versions' => '>=0.95',
                                                                'id' => 'CPANSA-CGI-apacheSSI-2016-01',
                                                                'references' => [
                                                                                  'https://metacpan.org/changes/distribution/CGI-apacheSSI'
                                                                                ],
                                                                'reported' => '2016-01-31'
                                                              }
                                                            ],
                                            'main_module' => 'CGI::apacheSSI',
                                            'versions' => [
                                                            {
                                                              'date' => '2014-08-20T22:55:20',
                                                              'version' => '0.93'
                                                            },
                                                            {
                                                              'date' => '2016-01-30T12:57:47',
                                                              'version' => '0.94'
                                                            },
                                                            {
                                                              'date' => '2016-01-31T22:48:55',
                                                              'version' => '0.95'
                                                            },
                                                            {
                                                              'date' => '2016-02-01T00:36:49',
                                                              'version' => '0.96'
                                                            }
                                                          ]
                                          },
                       'CPAN' => {
                                   'advisories' => [
                                                     {
                                                       'affected_versions' => '<1.93',
                                                       'description' => 'Archive::Tar preserves permissions in the tarball; extracted file permissions will be set from users umask instead.
',
                                                       'distribution' => 'CPAN',
                                                       'fixed_versions' => '>=1.93',
                                                       'id' => 'CPANSA-CPAN-2009-01',
                                                       'references' => [
                                                                         'https://github.com/andk/cpanpm/commit/079fa2e7ee77d626eab8bb06d0465c6a05f6c8b6'
                                                                       ],
                                                       'reported' => '2009-09-23'
                                                     }
                                                   ],
                                   'main_module' => 'CPAN',
                                   'versions' => [
                                                   {
                                                     'date' => '1996-09-10T17:13:59',
                                                     'version' => '0.17'
                                                   },
                                                   {
                                                     'date' => '1996-09-10T20:51:00',
                                                     'version' => '0.20'
                                                   },
                                                   {
                                                     'date' => '1996-09-12T05:53:35',
                                                     'version' => '0.26'
                                                   },
                                                   {
                                                     'date' => '1996-09-12T14:01:39',
                                                     'version' => '0.27'
                                                   },
                                                   {
                                                     'date' => '1996-09-16T20:18:59',
                                                     'version' => '0.28'
                                                   },
                                                   {
                                                     'date' => '1996-09-17T17:14:51',
                                                     'version' => '0.29'
                                                   },
                                                   {
                                                     'date' => '1996-09-19T05:24:17',
                                                     'version' => '0.30'
                                                   },
                                                   {
                                                     'date' => '1996-09-20T10:40:01',
                                                     'version' => '0.31'
                                                   },
                                                   {
                                                     'date' => '1996-09-22T19:30:33',
                                                     'version' => '0.35'
                                                   },
                                                   {
                                                     'date' => '1996-09-23T12:55:23',
                                                     'version' => '0.36'
                                                   },
                                                   {
                                                     'date' => '1996-09-23T14:05:44',
                                                     'version' => '0.37'
                                                   },
                                                   {
                                                     'date' => '1996-09-27T12:52:07',
                                                     'version' => '0.39'
                                                   },
                                                   {
                                                     'date' => '1996-09-28T20:51:31',
                                                     'version' => '0.40'
                                                   },
                                                   {
                                                     'date' => '1996-10-01T21:14:27',
                                                     'version' => '0.41'
                                                   },
                                                   {
                                                     'date' => '1996-11-17T07:56:02',
                                                     'version' => '0.42'
                                                   },
                                                   {
                                                     'date' => '1996-11-17T14:51:59',
                                                     'version' => '0.43'
                                                   },
                                                   {
                                                     'date' => '1996-11-30T17:04:28',
                                                     'version' => '0.44'
                                                   },
                                                   {
                                                     'date' => '1996-12-01T12:19:19',
                                                     'version' => '0.45'
                                                   },
                                                   {
                                                     'date' => '1996-12-01T18:24:17',
                                                     'version' => '0.46'
                                                   },
                                                   {
                                                     'date' => '1996-12-10T00:58:25',
                                                     'version' => '1.00'
                                                   },
                                                   {
                                                     'date' => '1996-12-10T10:17:15',
                                                     'version' => '1.01'
                                                   },
                                                   {
                                                     'date' => '1996-12-11T01:31:55',
                                                     'version' => '1.02'
                                                   },
                                                   {
                                                     'date' => '1996-12-21T03:10:23',
                                                     'version' => '1.03'
                                                   },
                                                   {
                                                     'date' => '1996-12-21T20:08:49',
                                                     'version' => '1.04'
                                                   },
                                                   {
                                                     'date' => '1996-12-22T13:04:58',
                                                     'version' => '1.05'
                                                   },
                                                   {
                                                     'date' => '1996-12-22T14:16:08',
                                                     'version' => '1.06'
                                                   },
                                                   {
                                                     'date' => '1996-12-23T04:05:01',
                                                     'version' => '1.07'
                                                   },
                                                   {
                                                     'date' => '1996-12-23T13:18:01',
                                                     'version' => '1.08'
                                                   },
                                                   {
                                                     'date' => '1996-12-24T00:46:19',
                                                     'version' => '1.09'
                                                   },
                                                   {
                                                     'date' => '1997-01-17T02:29:49',
                                                     'version' => '1.09_01'
                                                   },
                                                   {
                                                     'date' => '1997-01-21T01:06:40',
                                                     'version' => '1.10'
                                                   },
                                                   {
                                                     'date' => '1997-01-22T18:50:00',
                                                     'version' => '1.11'
                                                   },
                                                   {
                                                     'date' => '1997-01-23T00:07:58',
                                                     'version' => '1.12'
                                                   },
                                                   {
                                                     'date' => '1997-01-24T01:07:44',
                                                     'version' => '1.14'
                                                   },
                                                   {
                                                     'date' => '1997-01-24T12:32:12',
                                                     'version' => '1.15'
                                                   },
                                                   {
                                                     'date' => '1997-02-02T13:51:48',
                                                     'version' => '1.16_01'
                                                   },
                                                   {
                                                     'date' => '1997-02-02T21:05:12',
                                                     'version' => '1.17'
                                                   },
                                                   {
                                                     'date' => '1997-02-03T00:38:36',
                                                     'version' => '1.18'
                                                   },
                                                   {
                                                     'date' => '1997-02-03T09:13:48',
                                                     'version' => '1.19'
                                                   },
                                                   {
                                                     'date' => '1997-02-05T09:38:00',
                                                     'version' => '1.20'
                                                   },
                                                   {
                                                     'date' => '1997-02-11T06:32:42',
                                                     'version' => '1.21'
                                                   },
                                                   {
                                                     'date' => '1997-03-13T23:14:59',
                                                     'version' => '1.22_01'
                                                   },
                                                   {
                                                     'date' => '1997-03-31T12:03:55',
                                                     'version' => '1.23'
                                                   },
                                                   {
                                                     'date' => '1997-03-31T22:47:11',
                                                     'version' => '1.24'
                                                   },
                                                   {
                                                     'date' => '1997-06-30T18:13:23',
                                                     'version' => '1.25'
                                                   },
                                                   {
                                                     'date' => '1997-07-28T13:58:09',
                                                     'version' => '1.27'
                                                   },
                                                   {
                                                     'date' => '1997-08-04T06:09:33',
                                                     'version' => '1.28'
                                                   },
                                                   {
                                                     'date' => '1997-08-11T23:33:58',
                                                     'version' => '1.29'
                                                   },
                                                   {
                                                     'date' => '1997-08-29T14:34:37',
                                                     'version' => '1.30'
                                                   },
                                                   {
                                                     'date' => '1997-09-21T08:53:03',
                                                     'version' => '1.31'
                                                   },
                                                   {
                                                     'date' => '1997-09-23T18:45:50',
                                                     'version' => '1.3101'
                                                   },
                                                   {
                                                     'date' => '1998-01-02T18:22:35',
                                                     'version' => '1.32'
                                                   },
                                                   {
                                                     'date' => '1998-01-10T18:24:23',
                                                     'version' => '1.33'
                                                   },
                                                   {
                                                     'date' => '1998-02-03T18:06:41',
                                                     'version' => '1.35'
                                                   },
                                                   {
                                                     'date' => '1998-02-08T08:55:55',
                                                     'version' => '1.36'
                                                   },
                                                   {
                                                     'date' => '1998-06-12T06:51:25',
                                                     'version' => '1.37'
                                                   },
                                                   {
                                                     'date' => '1998-06-14T20:18:08',
                                                     'version' => '1.38'
                                                   },
                                                   {
                                                     'date' => '1998-07-24T20:13:41',
                                                     'version' => '1.40'
                                                   },
                                                   {
                                                     'date' => '1998-12-01T02:20:32',
                                                     'version' => '1.41'
                                                   },
                                                   {
                                                     'date' => '1998-12-01T07:58:35',
                                                     'version' => '1.42'
                                                   },
                                                   {
                                                     'date' => '1998-12-01T22:16:27',
                                                     'version' => '1.43'
                                                   },
                                                   {
                                                     'date' => '1998-12-03T17:07:54',
                                                     'version' => '1.43'
                                                   },
                                                   {
                                                     'date' => '1999-01-09T18:38:33',
                                                     'version' => '1.44'
                                                   },
                                                   {
                                                     'date' => '1999-01-10T19:38:27',
                                                     'version' => '1.44_51'
                                                   },
                                                   {
                                                     'date' => '1999-01-13T12:15:42',
                                                     'version' => '1.44_52'
                                                   },
                                                   {
                                                     'date' => '1999-01-15T09:26:40',
                                                     'version' => '1.44_53'
                                                   },
                                                   {
                                                     'date' => '1999-01-15T09:27:45',
                                                     'version' => '1.44_54'
                                                   },
                                                   {
                                                     'date' => '1999-01-23T14:56:16',
                                                     'version' => '1.45'
                                                   },
                                                   {
                                                     'date' => '1999-01-25T01:43:42',
                                                     'version' => '1.46'
                                                   },
                                                   {
                                                     'date' => '1999-01-25T13:11:23',
                                                     'version' => '1.47'
                                                   },
                                                   {
                                                     'date' => '1999-03-06T19:34:54',
                                                     'version' => '1.48'
                                                   },
                                                   {
                                                     'date' => '1999-05-22T16:45:00',
                                                     'version' => '1.49'
                                                   },
                                                   {
                                                     'date' => '1999-05-23T14:32:20',
                                                     'version' => '1.50'
                                                   },
                                                   {
                                                     'date' => '1999-10-23T03:06:39',
                                                     'version' => '1.50_01'
                                                   },
                                                   {
                                                     'date' => '1999-12-29T22:30:22',
                                                     'version' => '1.51'
                                                   },
                                                   {
                                                     'date' => '2000-01-08T15:32:55',
                                                     'version' => '1.52'
                                                   },
                                                   {
                                                     'date' => '2000-03-23T23:39:41',
                                                     'version' => '1.53'
                                                   },
                                                   {
                                                     'date' => '2000-03-25T22:51:15',
                                                     'version' => '1.54'
                                                   },
                                                   {
                                                     'date' => '2000-07-30T11:15:04',
                                                     'version' => '1.55'
                                                   },
                                                   {
                                                     'date' => '2000-08-01T20:47:09',
                                                     'version' => '1.56'
                                                   },
                                                   {
                                                     'date' => '2000-08-16T12:54:07',
                                                     'version' => '1.57'
                                                   },
                                                   {
                                                     'date' => '2000-08-21T19:44:18',
                                                     'version' => '1.57_51'
                                                   },
                                                   {
                                                     'date' => '2000-08-27T22:09:36',
                                                     'version' => '1.57_53'
                                                   },
                                                   {
                                                     'date' => '2000-08-30T16:54:50',
                                                     'version' => '1.57_54'
                                                   },
                                                   {
                                                     'date' => '2000-08-31T08:11:01',
                                                     'version' => '1.57_55'
                                                   },
                                                   {
                                                     'date' => '2000-08-31T22:16:21',
                                                     'version' => '1.57_56'
                                                   },
                                                   {
                                                     'date' => '2000-09-01T12:18:43',
                                                     'version' => '1.57_57'
                                                   },
                                                   {
                                                     'date' => '2000-09-03T22:19:20',
                                                     'version' => '1.57_58'
                                                   },
                                                   {
                                                     'date' => '2000-09-05T09:44:05',
                                                     'version' => '1.57_59'
                                                   },
                                                   {
                                                     'date' => '2000-09-05T19:55:34',
                                                     'version' => '1.57_60'
                                                   },
                                                   {
                                                     'date' => '2000-09-06T10:54:07',
                                                     'version' => '1.57_61'
                                                   },
                                                   {
                                                     'date' => '2000-09-08T02:19:06',
                                                     'version' => '1.57_62'
                                                   },
                                                   {
                                                     'date' => '2000-09-10T08:54:37',
                                                     'version' => '1.57_65'
                                                   },
                                                   {
                                                     'date' => '2000-09-12T08:46:40',
                                                     'version' => '1.57_66'
                                                   },
                                                   {
                                                     'date' => '2000-09-17T10:24:31',
                                                     'version' => '1.57_67'
                                                   },
                                                   {
                                                     'date' => '2000-10-08T14:25:04',
                                                     'version' => '1.57_68'
                                                   },
                                                   {
                                                     'date' => '2000-10-18T14:53:45',
                                                     'version' => '1.58'
                                                   },
                                                   {
                                                     'date' => '2000-10-21T14:21:06',
                                                     'version' => '1.58_51'
                                                   },
                                                   {
                                                     'date' => '2000-10-25T07:05:38',
                                                     'version' => '1.58_52'
                                                   },
                                                   {
                                                     'date' => '2000-10-26T11:03:29',
                                                     'version' => '1.58_53'
                                                   },
                                                   {
                                                     'date' => '2000-10-26T15:34:21',
                                                     'version' => '1.58_54'
                                                   },
                                                   {
                                                     'date' => '2000-10-27T07:59:03',
                                                     'version' => '1.58_55'
                                                   },
                                                   {
                                                     'date' => '2000-11-04T09:36:53',
                                                     'version' => '1.58_56'
                                                   },
                                                   {
                                                     'date' => '2000-11-06T19:30:27',
                                                     'version' => '1.58_57'
                                                   },
                                                   {
                                                     'date' => '2000-11-08T08:10:51',
                                                     'version' => '1.58_90'
                                                   },
                                                   {
                                                     'date' => '2000-11-13T10:26:38',
                                                     'version' => '1.58_91'
                                                   },
                                                   {
                                                     'date' => '2000-11-14T18:24:18',
                                                     'version' => '1.58_92'
                                                   },
                                                   {
                                                     'date' => '2000-11-15T07:19:56',
                                                     'version' => '1.58_93'
                                                   },
                                                   {
                                                     'date' => '2000-12-01T06:05:58',
                                                     'version' => '1.59'
                                                   },
                                                   {
                                                     'date' => '2000-12-01T08:19:58',
                                                     'version' => '1.59_51'
                                                   },
                                                   {
                                                     'date' => '2000-12-26T13:54:06',
                                                     'version' => '1.59_52'
                                                   },
                                                   {
                                                     'date' => '2001-01-02T16:37:24',
                                                     'version' => '1.59_53'
                                                   },
                                                   {
                                                     'date' => '2001-02-09T21:44:55',
                                                     'version' => '1.59_54'
                                                   },
                                                   {
                                                     'date' => '2002-04-19T13:29:54',
                                                     'version' => '1.60'
                                                   },
                                                   {
                                                     'date' => '2002-04-20T02:18:41',
                                                     'version' => '1.60'
                                                   },
                                                   {
                                                     'date' => '2002-04-21T11:31:25',
                                                     'version' => '1.60'
                                                   },
                                                   {
                                                     'date' => '2002-05-07T10:38:54',
                                                     'version' => '1.61'
                                                   },
                                                   {
                                                     'date' => '2002-07-28T10:51:47',
                                                     'version' => '1.62'
                                                   },
                                                   {
                                                     'date' => '2002-08-30T08:58:10',
                                                     'version' => '1.63'
                                                   },
                                                   {
                                                     'date' => '2003-02-06T10:04:06',
                                                     'version' => '1.64'
                                                   },
                                                   {
                                                     'date' => '2003-02-08T17:10:13',
                                                     'version' => '1.65'
                                                   },
                                                   {
                                                     'date' => '2003-03-04T19:38:21',
                                                     'version' => '1.70'
                                                   },
                                                   {
                                                     'date' => '2003-04-11T04:33:18',
                                                     'version' => '1.70_52'
                                                   },
                                                   {
                                                     'date' => '2003-04-13T12:43:40',
                                                     'version' => '1.70_53'
                                                   },
                                                   {
                                                     'date' => '2003-05-15T21:04:52',
                                                     'version' => '1.70_54'
                                                   },
                                                   {
                                                     'date' => '2003-07-04T09:48:08',
                                                     'version' => '1.71'
                                                   },
                                                   {
                                                     'date' => '2003-07-27T20:35:05',
                                                     'version' => '1.72'
                                                   },
                                                   {
                                                     'date' => '2003-07-28T08:21:47',
                                                     'version' => '1.73'
                                                   },
                                                   {
                                                     'date' => '2003-07-28T22:58:08',
                                                     'version' => '1.74'
                                                   },
                                                   {
                                                     'date' => '2003-07-29T15:14:13',
                                                     'version' => '1.75'
                                                   },
                                                   {
                                                     'date' => '2003-07-31T15:14:02',
                                                     'version' => '1.76'
                                                   },
                                                   {
                                                     'date' => '2003-09-21T21:25:41',
                                                     'version' => '1.76_01'
                                                   },
                                                   {
                                                     'date' => '2005-09-19T06:37:38',
                                                     'version' => '1.76_51'
                                                   },
                                                   {
                                                     'date' => '2005-09-22T07:02:02',
                                                     'version' => '1.76_52'
                                                   },
                                                   {
                                                     'date' => '2005-09-22T07:09:48',
                                                     'version' => '1.76_53'
                                                   },
                                                   {
                                                     'date' => '2005-10-01T08:23:38',
                                                     'version' => '1.76_54'
                                                   },
                                                   {
                                                     'date' => '2005-10-19T06:10:58',
                                                     'version' => '1.76_55'
                                                   },
                                                   {
                                                     'date' => '2005-10-21T04:59:36',
                                                     'version' => '1.76_56'
                                                   },
                                                   {
                                                     'date' => '2005-10-27T07:08:29',
                                                     'version' => '1.76_57'
                                                   },
                                                   {
                                                     'date' => '2005-11-02T04:03:28',
                                                     'version' => '1.76_58'
                                                   },
                                                   {
                                                     'date' => '2005-11-03T06:37:52',
                                                     'version' => '1.76_59'
                                                   },
                                                   {
                                                     'date' => '2005-11-03T07:38:40',
                                                     'version' => '1.76_60'
                                                   },
                                                   {
                                                     'date' => '2005-11-06T10:36:53',
                                                     'version' => '1.76_61'
                                                   },
                                                   {
                                                     'date' => '2005-11-07T04:22:19',
                                                     'version' => '1.76_62'
                                                   },
                                                   {
                                                     'date' => '2005-11-07T04:47:05',
                                                     'version' => '1.76_63'
                                                   },
                                                   {
                                                     'date' => '2005-11-07T21:58:06',
                                                     'version' => '1.76_64'
                                                   },
                                                   {
                                                     'date' => '2005-11-07T22:18:44',
                                                     'version' => '1.76_65'
                                                   },
                                                   {
                                                     'date' => '2005-12-03T10:12:08',
                                                     'version' => '1.80'
                                                   },
                                                   {
                                                     'date' => '2005-12-18T11:29:26',
                                                     'version' => '1.80_51'
                                                   },
                                                   {
                                                     'date' => '2005-12-21T12:13:15',
                                                     'version' => '1.80_53'
                                                   },
                                                   {
                                                     'date' => '2005-12-22T08:42:59',
                                                     'version' => '1.80_54'
                                                   },
                                                   {
                                                     'date' => '2005-12-24T07:25:34',
                                                     'version' => '1.80_55'
                                                   },
                                                   {
                                                     'date' => '2005-12-24T09:59:47',
                                                     'version' => '1.80_56'
                                                   },
                                                   {
                                                     'date' => '2005-12-31T11:58:10',
                                                     'version' => '1.80_57'
                                                   },
                                                   {
                                                     'date' => '2006-01-01T09:01:43',
                                                     'version' => '1.80_58'
                                                   },
                                                   {
                                                     'date' => '2006-01-02T23:15:15',
                                                     'version' => '1.81'
                                                   },
                                                   {
                                                     'date' => '2006-01-04T07:47:25',
                                                     'version' => '1.82'
                                                   },
                                                   {
                                                     'date' => '2006-01-05T08:03:36',
                                                     'version' => '1.83'
                                                   },
                                                   {
                                                     'date' => '2006-01-08T13:35:16',
                                                     'version' => '1.83_51'
                                                   },
                                                   {
                                                     'date' => '2006-01-10T05:00:26',
                                                     'version' => '1.83_52'
                                                   },
                                                   {
                                                     'date' => '2006-01-12T07:54:36',
                                                     'version' => '1.83_53'
                                                   },
                                                   {
                                                     'date' => '2006-01-13T08:20:42',
                                                     'version' => '1.83_54'
                                                   },
                                                   {
                                                     'date' => '2006-01-14T11:34:47',
                                                     'version' => '1.83_55'
                                                   },
                                                   {
                                                     'date' => '2006-01-18T06:03:44',
                                                     'version' => '1.83_56'
                                                   },
                                                   {
                                                     'date' => '2006-01-19T08:00:02',
                                                     'version' => '1.83_57'
                                                   },
                                                   {
                                                     'date' => '2006-01-22T12:05:01',
                                                     'version' => '1.83_58'
                                                   },
                                                   {
                                                     'date' => '2006-01-25T13:10:20',
                                                     'version' => '1.83_59'
                                                   },
                                                   {
                                                     'date' => '2006-01-30T10:35:47',
                                                     'version' => '1.83_60'
                                                   },
                                                   {
                                                     'date' => '2006-01-30T23:18:09',
                                                     'version' => '1.83_61'
                                                   },
                                                   {
                                                     'date' => '2006-01-31T10:28:57',
                                                     'version' => '1.83_62'
                                                   },
                                                   {
                                                     'date' => '2006-02-01T07:49:36',
                                                     'version' => '1.83_63'
                                                   },
                                                   {
                                                     'date' => '2006-02-02T09:17:39',
                                                     'version' => '1.83_64'
                                                   },
                                                   {
                                                     'date' => '2006-02-04T11:20:05',
                                                     'version' => '1.83_65'
                                                   },
                                                   {
                                                     'date' => '2006-02-04T17:05:00',
                                                     'version' => '1.83_66'
                                                   },
                                                   {
                                                     'date' => '2006-02-06T00:46:27',
                                                     'version' => '1.83_67'
                                                   },
                                                   {
                                                     'date' => '2006-02-08T07:43:36',
                                                     'version' => '1.83_68'
                                                   },
                                                   {
                                                     'date' => '2006-02-14T08:17:55',
                                                     'version' => '1.83_69'
                                                   },
                                                   {
                                                     'date' => '2006-02-15T07:01:02',
                                                     'version' => '1.84'
                                                   },
                                                   {
                                                     'date' => '2006-02-19T17:05:36',
                                                     'version' => '1.85'
                                                   },
                                                   {
                                                     'date' => '2006-02-20T08:36:51',
                                                     'version' => '1.86'
                                                   },
                                                   {
                                                     'date' => '2006-02-21T06:05:05',
                                                     'version' => '1.86_51'
                                                   },
                                                   {
                                                     'date' => '2006-02-22T22:29:54',
                                                     'version' => '1.86_52'
                                                   },
                                                   {
                                                     'date' => '2006-02-24T08:24:09',
                                                     'version' => '1.86_53'
                                                   },
                                                   {
                                                     'date' => '2006-02-27T07:01:10',
                                                     'version' => '1.87'
                                                   },
                                                   {
                                                     'date' => '2006-03-06T08:02:28',
                                                     'version' => '1.87_51'
                                                   },
                                                   {
                                                     'date' => '2006-07-21T22:33:11',
                                                     'version' => '1.87_52'
                                                   },
                                                   {
                                                     'date' => '2006-07-22T18:55:13',
                                                     'version' => '1.87_53'
                                                   },
                                                   {
                                                     'date' => '2006-07-23T21:37:11',
                                                     'version' => '1.87_54'
                                                   },
                                                   {
                                                     'date' => '2006-07-29T19:36:50',
                                                     'version' => '1.87_55'
                                                   },
                                                   {
                                                     'date' => '2006-08-24T05:57:41',
                                                     'version' => '1.87_56'
                                                   },
                                                   {
                                                     'date' => '2006-08-26T17:05:56',
                                                     'version' => '1.87_57'
                                                   },
                                                   {
                                                     'date' => '2006-08-31T06:50:49',
                                                     'version' => '1.87_58'
                                                   },
                                                   {
                                                     'date' => '2006-09-03T21:05:29',
                                                     'version' => '1.87_59'
                                                   },
                                                   {
                                                     'date' => '2006-09-10T11:57:33',
                                                     'version' => '1.87_61'
                                                   },
                                                   {
                                                     'date' => '2006-09-11T21:24:18',
                                                     'version' => '1.87_62'
                                                   },
                                                   {
                                                     'date' => '2006-09-13T05:44:15',
                                                     'version' => '1.87_63'
                                                   },
                                                   {
                                                     'date' => '2006-09-16T11:02:25',
                                                     'version' => '1.87_64'
                                                   },
                                                   {
                                                     'date' => '2006-09-19T03:44:51',
                                                     'version' => '1.87_65'
                                                   },
                                                   {
                                                     'date' => '2006-09-21T20:30:41',
                                                     'version' => '1.88'
                                                   },
                                                   {
                                                     'date' => '2006-09-22T20:40:40',
                                                     'version' => '1.8801'
                                                   },
                                                   {
                                                     'date' => '2006-09-30T10:41:20',
                                                     'version' => '1.88_51'
                                                   },
                                                   {
                                                     'date' => '2006-10-03T09:51:49',
                                                     'version' => '1.88_52'
                                                   },
                                                   {
                                                     'date' => '2006-10-09T19:31:56',
                                                     'version' => '1.88_53'
                                                   },
                                                   {
                                                     'date' => '2006-10-14T09:37:15',
                                                     'version' => '1.88_54'
                                                   },
                                                   {
                                                     'date' => '2006-10-16T06:59:27',
                                                     'version' => '1.88_55'
                                                   },
                                                   {
                                                     'date' => '2006-10-22T10:34:16',
                                                     'version' => '1.88_56'
                                                   },
                                                   {
                                                     'date' => '2006-10-23T07:17:30',
                                                     'version' => '1.8802'
                                                   },
                                                   {
                                                     'date' => '2006-10-24T07:18:16',
                                                     'version' => '1.88_57'
                                                   },
                                                   {
                                                     'date' => '2006-10-28T15:00:07',
                                                     'version' => '1.88_58'
                                                   },
                                                   {
                                                     'date' => '2006-11-05T21:24:52',
                                                     'version' => '1.88_59'
                                                   },
                                                   {
                                                     'date' => '2006-11-10T08:39:55',
                                                     'version' => '1.88_61'
                                                   },
                                                   {
                                                     'date' => '2006-11-13T07:44:27',
                                                     'version' => '1.88_62'
                                                   },
                                                   {
                                                     'date' => '2006-11-29T08:11:50',
                                                     'version' => '1.88_63'
                                                   },
                                                   {
                                                     'date' => '2006-12-04T07:53:37',
                                                     'version' => '1.88_64'
                                                   },
                                                   {
                                                     'date' => '2006-12-11T21:36:04',
                                                     'version' => '1.88_65'
                                                   },
                                                   {
                                                     'date' => '2006-12-19T08:21:17',
                                                     'version' => '1.88_66'
                                                   },
                                                   {
                                                     'date' => '2006-12-31T17:18:53',
                                                     'version' => '1.88_67'
                                                   },
                                                   {
                                                     'date' => '2007-01-07T21:22:12',
                                                     'version' => '1.88_68'
                                                   },
                                                   {
                                                     'date' => '2007-01-08T03:42:56',
                                                     'version' => '1.88_69'
                                                   },
                                                   {
                                                     'date' => '2007-01-27T16:57:49',
                                                     'version' => '1.88_71'
                                                   },
                                                   {
                                                     'date' => '2007-01-31T07:11:33',
                                                     'version' => '1.88_72'
                                                   },
                                                   {
                                                     'date' => '2007-02-13T05:24:13',
                                                     'version' => '1.88_73'
                                                   },
                                                   {
                                                     'date' => '2007-02-15T07:12:17',
                                                     'version' => '1.88_74'
                                                   },
                                                   {
                                                     'date' => '2007-02-18T16:52:49',
                                                     'version' => '1.88_75'
                                                   },
                                                   {
                                                     'date' => '2007-02-19T06:20:20',
                                                     'version' => '1.88_76'
                                                   },
                                                   {
                                                     'date' => '2007-02-19T21:26:47',
                                                     'version' => '1.88_77'
                                                   },
                                                   {
                                                     'date' => '2007-03-05T23:26:57',
                                                     'version' => '1.88_78'
                                                   },
                                                   {
                                                     'date' => '2007-03-16T01:54:55',
                                                     'version' => '1.88_79'
                                                   },
                                                   {
                                                     'date' => '2007-04-07T07:41:18',
                                                     'version' => '1.90'
                                                   },
                                                   {
                                                     'date' => '2007-04-19T07:03:03',
                                                     'version' => '1.91'
                                                   },
                                                   {
                                                     'date' => '2007-04-23T00:09:11',
                                                     'version' => '1.9101'
                                                   },
                                                   {
                                                     'date' => '2007-05-08T20:35:04',
                                                     'version' => '1.9102'
                                                   },
                                                   {
                                                     'date' => '2007-07-07T16:15:40',
                                                     'version' => '1.91_51'
                                                   },
                                                   {
                                                     'date' => '2007-07-14T18:45:58',
                                                     'version' => '1.91_52'
                                                   },
                                                   {
                                                     'date' => '2007-08-09T06:49:38',
                                                     'version' => '1.91_53'
                                                   },
                                                   {
                                                     'date' => '2007-09-14T21:18:33',
                                                     'version' => '1.91_54'
                                                   },
                                                   {
                                                     'date' => '2007-09-15T07:14:26',
                                                     'version' => '1.91_55'
                                                   },
                                                   {
                                                     'date' => '2007-09-23T11:15:08',
                                                     'version' => '1.92'
                                                   },
                                                   {
                                                     'date' => '2007-09-27T07:11:10',
                                                     'version' => '1.9201'
                                                   },
                                                   {
                                                     'date' => '2007-09-28T06:58:04',
                                                     'version' => '1.9202'
                                                   },
                                                   {
                                                     'date' => '2007-09-28T07:13:26',
                                                     'version' => '1.9203'
                                                   },
                                                   {
                                                     'date' => '2007-11-04T23:04:18',
                                                     'version' => '1.92_51'
                                                   },
                                                   {
                                                     'date' => '2007-11-05T23:30:06',
                                                     'version' => '1.9204'
                                                   },
                                                   {
                                                     'date' => '2007-11-11T11:27:20',
                                                     'version' => '1.92_52'
                                                   },
                                                   {
                                                     'date' => '2007-11-11T18:49:37',
                                                     'version' => '1.9205'
                                                   },
                                                   {
                                                     'date' => '2007-12-09T23:27:18',
                                                     'version' => '1.92_53'
                                                   },
                                                   {
                                                     'date' => '2007-12-27T04:57:34',
                                                     'version' => '1.92_54'
                                                   },
                                                   {
                                                     'date' => '2007-12-30T15:24:13',
                                                     'version' => '1.92_55'
                                                   },
                                                   {
                                                     'date' => '2008-02-04T21:56:28',
                                                     'version' => '1.92_56'
                                                   },
                                                   {
                                                     'date' => '2008-02-27T05:13:49',
                                                     'version' => '1.92_57'
                                                   },
                                                   {
                                                     'date' => '2008-03-12T07:56:18',
                                                     'version' => '1.92_58'
                                                   },
                                                   {
                                                     'date' => '2008-03-16T18:57:04',
                                                     'version' => '1.92_59'
                                                   },
                                                   {
                                                     'date' => '2008-03-26T07:53:08',
                                                     'version' => '1.92_60'
                                                   },
                                                   {
                                                     'date' => '2008-04-25T04:47:52',
                                                     'version' => '1.92_61'
                                                   },
                                                   {
                                                     'date' => '2008-05-23T04:07:04',
                                                     'version' => '1.92_62'
                                                   },
                                                   {
                                                     'date' => '2008-06-19T06:42:18',
                                                     'version' => '1.92_63'
                                                   },
                                                   {
                                                     'date' => '2008-09-03T05:27:35',
                                                     'version' => '1.92_64'
                                                   },
                                                   {
                                                     'date' => '2008-09-14T09:54:03',
                                                     'version' => '1.92_65'
                                                   },
                                                   {
                                                     'date' => '2008-09-29T23:15:10',
                                                     'version' => '1.92_66'
                                                   },
                                                   {
                                                     'date' => '2008-10-12T16:07:51',
                                                     'version' => '1.93'
                                                   },
                                                   {
                                                     'date' => '2008-10-13T19:37:43',
                                                     'version' => '1.9301'
                                                   },
                                                   {
                                                     'date' => '2009-01-11T22:07:01',
                                                     'version' => '1.93_02'
                                                   },
                                                   {
                                                     'date' => '2009-02-01T12:38:23',
                                                     'version' => '1.93_03'
                                                   },
                                                   {
                                                     'date' => '2009-02-01T21:06:21',
                                                     'version' => '1.93_51'
                                                   },
                                                   {
                                                     'date' => '2009-02-28T15:58:39',
                                                     'version' => '1.9304'
                                                   },
                                                   {
                                                     'date' => '2009-04-13T19:24:43',
                                                     'version' => '1.93_52'
                                                   },
                                                   {
                                                     'date' => '2009-05-04T06:11:28',
                                                     'version' => '1.93_53'
                                                   },
                                                   {
                                                     'date' => '2009-05-07T20:13:16',
                                                     'version' => '1.93_54'
                                                   },
                                                   {
                                                     'date' => '2009-05-24T05:37:28',
                                                     'version' => '1.94'
                                                   },
                                                   {
                                                     'date' => '2009-06-14T19:53:52',
                                                     'version' => '1.94_01'
                                                   },
                                                   {
                                                     'date' => '2009-06-27T02:55:22',
                                                     'version' => '1.9402'
                                                   },
                                                   {
                                                     'date' => '2009-09-14T02:47:24',
                                                     'version' => '1.94_51'
                                                   },
                                                   {
                                                     'date' => '2009-10-15T19:33:19',
                                                     'version' => '1.94_52'
                                                   },
                                                   {
                                                     'date' => '2009-12-18T07:00:09',
                                                     'version' => '1.94_53'
                                                   },
                                                   {
                                                     'date' => '2010-01-14T08:01:42',
                                                     'version' => '1.94_54'
                                                   },
                                                   {
                                                     'date' => '2010-02-03T03:43:49',
                                                     'version' => '1.94_55'
                                                   },
                                                   {
                                                     'date' => '2010-02-17T13:39:33',
                                                     'version' => '1.94_56'
                                                   },
                                                   {
                                                     'date' => '2010-05-24T19:33:41',
                                                     'version' => '1.94_57'
                                                   },
                                                   {
                                                     'date' => '2010-06-24T06:34:13',
                                                     'version' => '1.94_58'
                                                   },
                                                   {
                                                     'date' => '2010-09-26T20:23:30',
                                                     'version' => '1.94_59'
                                                   },
                                                   {
                                                     'date' => '2010-09-28T20:44:58',
                                                     'version' => '1.94_60'
                                                   },
                                                   {
                                                     'date' => '2010-10-03T17:29:37',
                                                     'version' => '1.94_61'
                                                   },
                                                   {
                                                     'date' => '2010-10-26T06:43:51',
                                                     'version' => '1.94_62'
                                                   },
                                                   {
                                                     'date' => '2011-01-16T17:58:10',
                                                     'version' => '1.94_63'
                                                   },
                                                   {
                                                     'date' => '2011-01-21T04:58:35',
                                                     'version' => '1.94_64'
                                                   },
                                                   {
                                                     'date' => '2011-02-14T12:10:12',
                                                     'version' => '1.94_65'
                                                   },
                                                   {
                                                     'date' => '2011-03-12T11:30:03',
                                                     'version' => '1.9600'
                                                   },
                                                   {
                                                     'date' => '2011-06-27T06:56:01',
                                                     'version' => '1.97_51'
                                                   },
                                                   {
                                                     'date' => '2011-08-07T09:40:33',
                                                     'version' => '1.9800'
                                                   },
                                                   {
                                                     'date' => '2012-10-16T21:42:49',
                                                     'version' => '1.99_51'
                                                   },
                                                   {
                                                     'date' => '2013-02-06T07:41:54',
                                                     'version' => '2.00-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2013-04-12T16:57:44',
                                                     'version' => '2.00'
                                                   },
                                                   {
                                                     'date' => '2013-06-22T20:27:32',
                                                     'version' => '2.01-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2013-06-23T07:33:40',
                                                     'version' => '2.02-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2013-09-15T09:42:33',
                                                     'version' => '2.03-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2014-03-18T22:33:22',
                                                     'version' => '2.04-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2014-03-31T20:55:24',
                                                     'version' => '2.05-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2014-04-04T02:07:20',
                                                     'version' => '2.05-TRIAL2'
                                                   },
                                                   {
                                                     'date' => '2014-04-18T13:35:51',
                                                     'version' => '2.05'
                                                   },
                                                   {
                                                     'date' => '2014-08-06T19:32:53',
                                                     'version' => '2.06-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2015-01-04T18:54:54',
                                                     'version' => '2.06-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2015-01-05T06:31:55',
                                                     'version' => '2.08-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2015-02-02T04:41:02',
                                                     'version' => '2.09-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2015-02-22T15:57:42',
                                                     'version' => '2.10-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2015-03-13T07:45:04',
                                                     'version' => '2.10'
                                                   },
                                                   {
                                                     'date' => '2015-12-31T11:00:08',
                                                     'version' => '2.12-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2016-05-16T09:56:01',
                                                     'version' => '2.13-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2016-06-04T14:41:28',
                                                     'version' => '2.14-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2016-06-25T04:32:45',
                                                     'version' => '2.14'
                                                   },
                                                   {
                                                     'date' => '2016-07-17T12:10:30',
                                                     'version' => '2.15-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2017-01-16T16:20:27',
                                                     'version' => '2.16-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2017-01-16T21:27:06',
                                                     'version' => '2.16-TRIAL2'
                                                   },
                                                   {
                                                     'date' => '2017-02-14T16:22:20',
                                                     'version' => '2.16'
                                                   },
                                                   {
                                                     'date' => '2017-02-15T09:37:10',
                                                     'version' => '2.17-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2017-02-16T09:48:46',
                                                     'version' => '2.17-TRIAL2'
                                                   },
                                                   {
                                                     'date' => '2017-03-30T21:38:23',
                                                     'version' => '2.18-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2017-11-04T23:27:47',
                                                     'version' => '2.19-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2017-11-26T22:10:39',
                                                     'version' => '2.20-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2018-09-22T20:46:35',
                                                     'version' => '2.21-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2018-12-16T10:35:04',
                                                     'version' => '2.22-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2018-12-23T09:11:29',
                                                     'version' => '2.22'
                                                   },
                                                   {
                                                     'date' => '2019-02-10T20:28:53',
                                                     'version' => '2.23-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2019-02-14T21:21:03',
                                                     'version' => '2.24-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2019-02-16T05:56:23',
                                                     'version' => '2.25-TRIAL'
                                                   },
                                                   {
                                                     'date' => '2019-03-03T06:27:10',
                                                     'version' => '2.25'
                                                   }
                                                 ]
                                 },
                       'Catalyst-Authentication-Store-LDAP' => {
                                                                 'advisories' => [
                                                                                   {
                                                                                     'affected_versions' => '<1.013',
                                                                                     'description' => 'Incorrect password check binds to the unauthenticated user.
',
                                                                                     'distribution' => 'Catalyst-Authentication-Store-LDAP',
                                                                                     'fixed_versions' => '>=1.013',
                                                                                     'id' => 'CPANSA-Catalyst-Authentication-Store-LDAP-2012-01',
                                                                                     'references' => [
                                                                                                       'https://rt.cpan.org/Public/Bug/Display.html?id=81908'
                                                                                                     ],
                                                                                     'reported' => '2012-12-11',
                                                                                     'severity' => 'high'
                                                                                   }
                                                                                 ],
                                                                 'main_module' => 'Catalyst::Authentication::Store::LDAP',
                                                                 'versions' => [
                                                                                 {
                                                                                   'date' => '2008-02-05T18:18:24',
                                                                                   'version' => '0.1000'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2008-04-10T02:06:58',
                                                                                   'version' => '0.1001'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2008-07-09T20:45:43',
                                                                                   'version' => '0.1002'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2008-09-10T13:21:33',
                                                                                   'version' => '0.1003'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2008-10-22T01:57:27',
                                                                                   'version' => '0.1003'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2009-05-01T02:34:18',
                                                                                   'version' => '0.1005'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2009-12-11T18:54:26',
                                                                                   'version' => '1.006'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-03-19T10:07:13',
                                                                                   'version' => '1.007'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-04-03T03:04:13',
                                                                                   'version' => '1.008'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-05-15T07:14:41',
                                                                                   'version' => '1.009'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-07-06T21:39:55',
                                                                                   'version' => '1.010'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-07-07T20:41:22',
                                                                                   'version' => '1.011'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2010-10-05T08:11:56',
                                                                                   'version' => '1.012'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2013-01-09T14:58:46',
                                                                                   'version' => '1.013'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2013-04-26T19:51:28',
                                                                                   'version' => '1.014'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2015-02-20T18:07:31',
                                                                                   'version' => '1.015'
                                                                                 },
                                                                                 {
                                                                                   'date' => '2016-02-11T17:50:52',
                                                                                   'version' => '1.016'
                                                                                 }
                                                                               ]
                                                               },
                       'Catalyst-Controller-Combine' => {
                                                          'advisories' => [
                                                                            {
                                                                              'affected_versions' => '<0.12',
                                                                              'description' => 'Allows to use url-encoded path-parts to crawl along the file system and read files outside the intended directory.
',
                                                                              'distribution' => 'Catalyst-Controller-Combine',
                                                                              'fixed_versions' => '>=0.12',
                                                                              'id' => 'CPANSA-Catalyst-Controller-Combine-2010-01',
                                                                              'references' => [
                                                                                                'https://metacpan.org/changes/distribution/Catalyst-Controller-Combine'
                                                                                              ],
                                                                              'reported' => '2010-05-21'
                                                                            }
                                                                          ],
                                                          'main_module' => 'Catalyst::Controller::Combine',
                                                          'versions' => [
                                                                          {
                                                                            'date' => '2009-07-11T17:58:25',
                                                                            'version' => '0.06'
                                                                          },
                                                                          {
                                                                            'date' => '2009-07-13T06:49:00',
                                                                            'version' => '0.07'
                                                                          },
                                                                          {
                                                                            'date' => '2009-10-24T12:48:21',
                                                                            'version' => '0.08'
                                                                          },
                                                                          {
                                                                            'date' => '2010-03-13T19:31:13',
                                                                            'version' => '0.09'
                                                                          },
                                                                          {
                                                                            'date' => '2010-03-27T18:44:05',
                                                                            'version' => '0.10'
                                                                          },
                                                                          {
                                                                            'date' => '2010-06-21T20:47:02',
                                                                            'version' => '0.12'
                                                                          },
                                                                          {
                                                                            'date' => '2011-07-28T19:53:12',
                                                                            'version' => '0.13'
                                                                          },
                                                                          {
                                                                            'date' => '2012-02-20T20:59:00',
                                                                            'version' => '0.14'
                                                                          },
                                                                          {
                                                                            'date' => '2012-05-04T10:43:12',
                                                                            'version' => '0.15'
                                                                          }
                                                                        ]
                                                        },
                       'Catalyst-Plugin-Static' => {
                                                     'advisories' => [
                                                                       {
                                                                         'affected_versions' => '<0.10',
                                                                         'description' => 'Serving files outside of $config->{root} directory.
',
                                                                         'distribution' => 'Catalyst-Plugin-Static',
                                                                         'fixed_versions' => '>=0.10',
                                                                         'id' => 'CPANSA-Catalyst-Plugin-Static-2005-01',
                                                                         'reported' => '2005-11-14'
                                                                       }
                                                                     ],
                                                     'main_module' => 'Catalyst::Plugin::Static',
                                                     'versions' => [
                                                                     {
                                                                       'date' => '2005-01-29T00:00:20',
                                                                       'version' => '0.01'
                                                                     },
                                                                     {
                                                                       'date' => '2005-02-19T20:28:50',
                                                                       'version' => '0.02'
                                                                     },
                                                                     {
                                                                       'date' => '2005-03-17T01:01:03',
                                                                       'version' => '0.03'
                                                                     },
                                                                     {
                                                                       'date' => '2005-03-17T19:10:36',
                                                                       'version' => '0.04'
                                                                     },
                                                                     {
                                                                       'date' => '2005-03-21T13:34:27',
                                                                       'version' => '0.05'
                                                                     },
                                                                     {
                                                                       'date' => '2005-03-23T06:48:05',
                                                                       'version' => '0.05'
                                                                     },
                                                                     {
                                                                       'date' => '2005-04-15T16:58:18',
                                                                       'version' => '0.06'
                                                                     },
                                                                     {
                                                                       'date' => '2005-04-17T14:50:45',
                                                                       'version' => '0.07'
                                                                     },
                                                                     {
                                                                       'date' => '2005-09-06T13:42:42',
                                                                       'version' => '0.08'
                                                                     },
                                                                     {
                                                                       'date' => '2005-11-14T08:38:35',
                                                                       'version' => '0.09'
                                                                     },
                                                                     {
                                                                       'date' => '2005-11-14T10:26:31',
                                                                       'version' => '0.10'
                                                                     },
                                                                     {
                                                                       'date' => '2009-10-18T18:13:00',
                                                                       'version' => '0.11'
                                                                     }
                                                                   ]
                                                   },
                       'Catalyst-Runtime' => {
                                               'advisories' => [
                                                                 {
                                                                   'affected_versions' => '<5.90020',
                                                                   'description' => 'Passing a special host to the redirect page link makes it vulnerable to XSS attack.
',
                                                                   'distribution' => 'Catalyst-Runtime',
                                                                   'fixed_versions' => '>=5.90020',
                                                                   'id' => 'CPANSA-Catalyst-Runtime-2013-01',
                                                                   'references' => [
                                                                                     'http://git.shadowcat.co.uk/gitweb/gitweb.cgi?p=catagits/Catalyst-Runtime.git;a=commitdiff;h=7af54927870a7c6f89323ac1876d49f92e7841f5'
                                                                                   ],
                                                                   'reported' => '2013-01-23'
                                                                 },
                                                                 {
                                                                   'affected_versions' => '<5.58',
                                                                   'description' => 'Path traversal in Static::Simple plugin.
',
                                                                   'distribution' => 'Catalyst-Runtime',
                                                                   'fixed_versions' => '>=5.58',
                                                                   'id' => 'CPANSA-Catalyst-Runtime-2005-01',
                                                                   'reported' => '2005-11-24'
                                                                 }
                                                               ],
                                               'main_module' => 'Catalyst::Runtime',
                                               'versions' => [
                                                               {
                                                                 'date' => '2006-06-25T19:20:53',
                                                                 'version' => '5.70_01'
                                                               },
                                                               {
                                                                 'date' => '2006-06-27T18:10:20',
                                                                 'version' => '5.70_02'
                                                               },
                                                               {
                                                                 'date' => '2006-06-28T21:50:30',
                                                                 'version' => '5.70_03'
                                                               },
                                                               {
                                                                 'date' => '2006-07-07T22:47:30',
                                                                 'version' => '5.7000'
                                                               },
                                                               {
                                                                 'date' => '2006-07-20T06:00:58',
                                                                 'version' => '5.7001'
                                                               },
                                                               {
                                                                 'date' => '2006-09-19T07:36:29',
                                                                 'version' => '5.7002'
                                                               },
                                                               {
                                                                 'date' => '2006-09-23T17:43:12',
                                                                 'version' => '5.7003'
                                                               },
                                                               {
                                                                 'date' => '2006-11-06T23:28:40',
                                                                 'version' => '5.7004'
                                                               },
                                                               {
                                                                 'date' => '2006-11-07T19:43:56',
                                                                 'version' => '5.7005'
                                                               },
                                                               {
                                                                 'date' => '2006-11-15T08:27:59',
                                                                 'version' => '5.7006'
                                                               },
                                                               {
                                                                 'date' => '2007-03-14T11:13:37',
                                                                 'version' => '5.7007'
                                                               },
                                                               {
                                                                 'date' => '2007-08-13T06:36:11',
                                                                 'version' => '5.7008'
                                                               },
                                                               {
                                                                 'date' => '2007-08-21T22:23:53',
                                                                 'version' => '5.7009'
                                                               },
                                                               {
                                                                 'date' => '2007-08-22T05:51:41',
                                                                 'version' => '5.7010'
                                                               },
                                                               {
                                                                 'date' => '2007-10-18T18:11:24',
                                                                 'version' => '5.7011'
                                                               },
                                                               {
                                                                 'date' => '2007-12-17T08:19:28',
                                                                 'version' => '5.7012'
                                                               },
                                                               {
                                                                 'date' => '2008-05-17T12:41:13',
                                                                 'version' => '5.7013'
                                                               },
                                                               {
                                                                 'date' => '2008-05-25T21:16:45',
                                                                 'version' => '5.7013'
                                                               },
                                                               {
                                                                 'date' => '2008-06-25T20:43:41',
                                                                 'version' => '5.7099_01'
                                                               },
                                                               {
                                                                 'date' => '2008-07-18T11:41:25',
                                                                 'version' => '5.7099_02'
                                                               },
                                                               {
                                                                 'date' => '2008-07-20T08:15:02',
                                                                 'version' => '5.7099_02'
                                                               },
                                                               {
                                                                 'date' => '2008-10-13T20:55:41',
                                                                 'version' => '5.7099_02'
                                                               },
                                                               {
                                                                 'date' => '2008-10-14T06:06:06',
                                                                 'version' => '5.7099_02'
                                                               },
                                                               {
                                                                 'date' => '2008-10-15T21:44:15',
                                                                 'version' => '5.7015'
                                                               },
                                                               {
                                                                 'date' => '2008-10-17T12:42:53',
                                                                 'version' => '5.8000_03'
                                                               },
                                                               {
                                                                 'date' => '2008-12-05T15:11:14',
                                                                 'version' => '5.8000_04'
                                                               },
                                                               {
                                                                 'date' => '2009-01-12T15:46:59',
                                                                 'version' => '5.7099_04'
                                                               },
                                                               {
                                                                 'date' => '2009-01-19T17:36:04',
                                                                 'version' => '5.71000'
                                                               },
                                                               {
                                                                 'date' => '2009-01-29T08:56:09',
                                                                 'version' => '5.8000_05'
                                                               },
                                                               {
                                                                 'date' => '2009-02-04T20:08:22',
                                                                 'version' => '5.8000_06'
                                                               },
                                                               {
                                                                 'date' => '2009-03-27T09:21:12',
                                                                 'version' => '5.71001'
                                                               },
                                                               {
                                                                 'date' => '2009-04-13T19:03:36',
                                                                 'version' => '5.8000_07'
                                                               },
                                                               {
                                                                 'date' => '2009-04-18T20:26:00',
                                                                 'version' => '5.80001'
                                                               },
                                                               {
                                                                 'date' => '2009-04-21T23:45:45',
                                                                 'version' => '5.80002'
                                                               },
                                                               {
                                                                 'date' => '2009-04-29T14:39:21',
                                                                 'version' => '5.80003'
                                                               },
                                                               {
                                                                 'date' => '2009-05-18T15:16:38',
                                                                 'version' => '5.80004'
                                                               },
                                                               {
                                                                 'date' => '2009-06-06T12:49:15',
                                                                 'version' => '5.80005'
                                                               },
                                                               {
                                                                 'date' => '2009-06-29T22:11:48',
                                                                 'version' => '5.80006'
                                                               },
                                                               {
                                                                 'date' => '2009-06-30T22:11:36',
                                                                 'version' => '5.80007'
                                                               },
                                                               {
                                                                 'date' => '2009-08-21T16:14:33',
                                                                 'version' => '5.80008'
                                                               },
                                                               {
                                                                 'date' => '2009-08-21T20:29:33',
                                                                 'version' => '5.80009'
                                                               },
                                                               {
                                                                 'date' => '2009-08-21T21:42:08',
                                                                 'version' => '5.80010'
                                                               },
                                                               {
                                                                 'date' => '2009-08-23T11:57:26',
                                                                 'version' => '5.80011'
                                                               },
                                                               {
                                                                 'date' => '2009-09-09T18:01:32',
                                                                 'version' => '5.80012'
                                                               },
                                                               {
                                                                 'date' => '2009-09-17T09:35:20',
                                                                 'version' => '5.80013'
                                                               },
                                                               {
                                                                 'date' => '2009-11-21T02:32:20',
                                                                 'version' => '5.80014'
                                                               },
                                                               {
                                                                 'date' => '2009-11-22T20:24:47',
                                                                 'version' => '5.80014_01'
                                                               },
                                                               {
                                                                 'date' => '2009-12-01T01:14:00',
                                                                 'version' => '5.80014_02'
                                                               },
                                                               {
                                                                 'date' => '2009-12-02T15:42:50',
                                                                 'version' => '5.80015'
                                                               },
                                                               {
                                                                 'date' => '2009-12-11T23:37:44',
                                                                 'version' => '5.80016'
                                                               },
                                                               {
                                                                 'date' => '2010-01-10T02:01:50',
                                                                 'version' => '5.80017'
                                                               },
                                                               {
                                                                 'date' => '2010-01-12T21:39:47',
                                                                 'version' => '5.80018'
                                                               },
                                                               {
                                                                 'date' => '2010-01-29T00:18:07',
                                                                 'version' => '5.80019'
                                                               },
                                                               {
                                                                 'date' => '2010-02-04T06:19:31',
                                                                 'version' => '5.80020'
                                                               },
                                                               {
                                                                 'date' => '2010-03-03T23:16:29',
                                                                 'version' => '5.80021'
                                                               },
                                                               {
                                                                 'date' => '2010-03-28T19:25:48',
                                                                 'version' => '5.80022'
                                                               },
                                                               {
                                                                 'date' => '2010-05-07T22:07:08',
                                                                 'version' => '5.80023'
                                                               },
                                                               {
                                                                 'date' => '2010-05-15T09:57:52',
                                                                 'version' => '5.80024'
                                                               },
                                                               {
                                                                 'date' => '2010-07-29T00:59:16',
                                                                 'version' => '5.80025'
                                                               },
                                                               {
                                                                 'date' => '2010-09-01T15:10:42',
                                                                 'version' => '5.80026'
                                                               },
                                                               {
                                                                 'date' => '2010-09-02T11:33:03',
                                                                 'version' => '5.80027'
                                                               },
                                                               {
                                                                 'date' => '2010-09-28T20:14:11',
                                                                 'version' => '5.80028'
                                                               },
                                                               {
                                                                 'date' => '2010-10-03T16:24:08',
                                                                 'version' => '5.80029'
                                                               },
                                                               {
                                                                 'date' => '2011-01-04T12:56:30',
                                                                 'version' => '5.80030'
                                                               },
                                                               {
                                                                 'date' => '2011-01-24T10:50:27',
                                                                 'version' => '5.89000'
                                                               },
                                                               {
                                                                 'date' => '2011-01-31T08:25:21',
                                                                 'version' => '5.80031'
                                                               },
                                                               {
                                                                 'date' => '2011-02-23T08:28:58',
                                                                 'version' => '5.80032'
                                                               },
                                                               {
                                                                 'date' => '2011-03-01T14:56:37',
                                                                 'version' => '5.89001'
                                                               },
                                                               {
                                                                 'date' => '2011-03-02T10:37:42',
                                                                 'version' => '5.89002'
                                                               },
                                                               {
                                                                 'date' => '2011-07-24T15:58:37',
                                                                 'version' => '5.80033'
                                                               },
                                                               {
                                                                 'date' => '2011-07-28T20:05:01',
                                                                 'version' => '5.89003'
                                                               },
                                                               {
                                                                 'date' => '2011-08-15T21:35:34',
                                                                 'version' => '5.9000'
                                                               },
                                                               {
                                                                 'date' => '2011-08-15T21:59:58',
                                                                 'version' => '5.90001'
                                                               },
                                                               {
                                                                 'date' => '2011-08-22T20:55:10',
                                                                 'version' => '5.90002'
                                                               },
                                                               {
                                                                 'date' => '2011-10-05T07:48:57',
                                                                 'version' => '5.90003'
                                                               },
                                                               {
                                                                 'date' => '2011-10-11T15:19:05',
                                                                 'version' => '5.90004'
                                                               },
                                                               {
                                                                 'date' => '2011-10-22T21:01:24',
                                                                 'version' => '5.90005'
                                                               },
                                                               {
                                                                 'date' => '2011-10-25T17:54:34',
                                                                 'version' => '5.90006'
                                                               },
                                                               {
                                                                 'date' => '2011-11-22T20:40:44',
                                                                 'version' => '5.90007'
                                                               },
                                                               {
                                                                 'date' => '2012-02-06T21:08:28',
                                                                 'version' => '5.90008'
                                                               },
                                                               {
                                                                 'date' => '2012-02-16T09:29:44',
                                                                 'version' => '5.90009'
                                                               },
                                                               {
                                                                 'date' => '2012-02-18T00:49:30',
                                                                 'version' => '5.90010'
                                                               },
                                                               {
                                                                 'date' => '2012-03-08T21:53:00',
                                                                 'version' => '5.90011'
                                                               },
                                                               {
                                                                 'date' => '2012-05-19T07:13:21',
                                                                 'version' => '5.90012'
                                                               },
                                                               {
                                                                 'date' => '2012-06-08T00:37:40',
                                                                 'version' => '5.90013'
                                                               },
                                                               {
                                                                 'date' => '2012-06-21T20:41:41',
                                                                 'version' => '5.90013'
                                                               },
                                                               {
                                                                 'date' => '2012-06-26T14:34:56',
                                                                 'version' => '5.90014'
                                                               },
                                                               {
                                                                 'date' => '2012-06-30T18:00:53',
                                                                 'version' => '5.90015'
                                                               },
                                                               {
                                                                 'date' => '2012-08-17T01:39:42',
                                                                 'version' => '5.90016'
                                                               },
                                                               {
                                                                 'date' => '2012-10-19T21:51:54',
                                                                 'version' => '5.90017'
                                                               },
                                                               {
                                                                 'date' => '2012-10-24T01:01:44',
                                                                 'version' => '5.90018'
                                                               },
                                                               {
                                                                 'date' => '2012-12-04T22:04:19',
                                                                 'version' => '5.90019'
                                                               },
                                                               {
                                                                 'date' => '2013-02-22T14:05:39',
                                                                 'version' => '5.90020'
                                                               },
                                                               {
                                                                 'date' => '2013-04-12T17:09:27',
                                                                 'version' => '5.90030'
                                                               },
                                                               {
                                                                 'date' => '2013-06-12T21:26:14',
                                                                 'version' => '5.90040'
                                                               },
                                                               {
                                                                 'date' => '2013-06-15T02:10:17',
                                                                 'version' => '5.90041'
                                                               },
                                                               {
                                                                 'date' => '2013-06-16T01:57:47',
                                                                 'version' => '5.90042'
                                                               },
                                                               {
                                                                 'date' => '2013-07-26T19:13:01',
                                                                 'version' => '5.90049_001'
                                                               },
                                                               {
                                                                 'date' => '2013-08-21T02:39:45',
                                                                 'version' => '5.90049_002'
                                                               },
                                                               {
                                                                 'date' => '2013-09-20T19:03:54',
                                                                 'version' => '5.90049_003'
                                                               },
                                                               {
                                                                 'date' => '2013-10-18T22:19:33',
                                                                 'version' => '5.90049_004'
                                                               },
                                                               {
                                                                 'date' => '2013-10-31T20:48:42',
                                                                 'version' => '5.90049_005'
                                                               },
                                                               {
                                                                 'date' => '2013-11-05T03:25:31',
                                                                 'version' => '5.90049_006'
                                                               },
                                                               {
                                                                 'date' => '2013-11-05T22:35:22',
                                                                 'version' => '5.90050'
                                                               },
                                                               {
                                                                 'date' => '2013-11-07T17:14:35',
                                                                 'version' => '5.90051'
                                                               },
                                                               {
                                                                 'date' => '2013-12-18T20:03:22',
                                                                 'version' => '5.90052'
                                                               },
                                                               {
                                                                 'date' => '2013-12-19T14:33:08',
                                                                 'version' => '5.90059_001'
                                                               },
                                                               {
                                                                 'date' => '2013-12-22T16:18:16',
                                                                 'version' => '5.90053'
                                                               },
                                                               {
                                                                 'date' => '2013-12-22T16:34:11',
                                                                 'version' => '5.90059_002'
                                                               },
                                                               {
                                                                 'date' => '2013-12-27T02:27:08',
                                                                 'version' => '5.90059_003'
                                                               },
                                                               {
                                                                 'date' => '2014-01-27T17:20:51',
                                                                 'version' => '5.90059_004'
                                                               },
                                                               {
                                                                 'date' => '2014-01-28T19:36:58',
                                                                 'version' => '5.90059_005'
                                                               },
                                                               {
                                                                 'date' => '2014-02-06T20:41:25',
                                                                 'version' => '5.90059_006'
                                                               },
                                                               {
                                                                 'date' => '2014-02-08T03:11:11',
                                                                 'version' => '5.90060'
                                                               },
                                                               {
                                                                 'date' => '2014-03-10T14:46:10',
                                                                 'version' => '5.90061'
                                                               },
                                                               {
                                                                 'date' => '2014-04-14T18:53:26',
                                                                 'version' => '5.90062'
                                                               },
                                                               {
                                                                 'date' => '2014-05-02T00:15:16',
                                                                 'version' => '5.90063'
                                                               },
                                                               {
                                                                 'date' => '2014-05-05T14:55:25',
                                                                 'version' => '5.90064'
                                                               },
                                                               {
                                                                 'date' => '2014-05-27T18:08:08',
                                                                 'version' => '5.90069_001'
                                                               },
                                                               {
                                                                 'date' => '2014-06-05T12:44:59',
                                                                 'version' => '5.90065'
                                                               },
                                                               {
                                                                 'date' => '2014-06-10T00:22:42',
                                                                 'version' => '5.90069_002'
                                                               },
                                                               {
                                                                 'date' => '2014-08-06T15:09:29',
                                                                 'version' => '5.90069_003'
                                                               },
                                                               {
                                                                 'date' => '2014-08-07T15:59:15',
                                                                 'version' => '5.90069_004'
                                                               },
                                                               {
                                                                 'date' => '2014-08-07T21:49:59',
                                                                 'version' => '5.90070'
                                                               },
                                                               {
                                                                 'date' => '2014-08-10T13:15:52',
                                                                 'version' => '5.90071'
                                                               },
                                                               {
                                                                 'date' => '2014-09-15T16:30:58',
                                                                 'version' => '5.90072'
                                                               },
                                                               {
                                                                 'date' => '2014-09-23T17:24:54',
                                                                 'version' => '5.90073'
                                                               },
                                                               {
                                                                 'date' => '2014-10-01T21:45:12',
                                                                 'version' => '5.90074'
                                                               },
                                                               {
                                                                 'date' => '2014-10-07T00:07:51',
                                                                 'version' => '5.90075'
                                                               },
                                                               {
                                                                 'date' => '2014-11-14T00:20:16',
                                                                 'version' => '5.90076'
                                                               },
                                                               {
                                                                 'date' => '2014-11-19T00:28:27',
                                                                 'version' => '5.90077'
                                                               },
                                                               {
                                                                 'date' => '2014-12-02T21:50:30',
                                                                 'version' => '5.90079_001'
                                                               },
                                                               {
                                                                 'date' => '2014-12-02T23:22:07',
                                                                 'version' => '5.90079_002'
                                                               },
                                                               {
                                                                 'date' => '2014-12-03T19:45:16',
                                                                 'version' => '5.90079_003'
                                                               },
                                                               {
                                                                 'date' => '2014-12-26T23:05:46',
                                                                 'version' => '5.90079_004'
                                                               },
                                                               {
                                                                 'date' => '2014-12-31T16:26:20',
                                                                 'version' => '5.90078'
                                                               },
                                                               {
                                                                 'date' => '2014-12-31T21:04:56',
                                                                 'version' => '5.90079_005'
                                                               },
                                                               {
                                                                 'date' => '2015-01-02T15:11:55',
                                                                 'version' => '5.90079_006'
                                                               },
                                                               {
                                                                 'date' => '2015-01-02T18:11:38',
                                                                 'version' => '5.90079'
                                                               },
                                                               {
                                                                 'date' => '2015-01-07T20:01:40',
                                                                 'version' => '5.90079_007'
                                                               },
                                                               {
                                                                 'date' => '2015-01-07T23:26:17',
                                                                 'version' => '5.90079_008'
                                                               },
                                                               {
                                                                 'date' => '2015-01-09T17:04:47',
                                                                 'version' => '5.90080'
                                                               },
                                                               {
                                                                 'date' => '2015-01-10T22:39:56',
                                                                 'version' => '5.90081'
                                                               },
                                                               {
                                                                 'date' => '2015-01-10T23:33:56',
                                                                 'version' => '5.90082'
                                                               },
                                                               {
                                                                 'date' => '2015-02-17T02:29:50',
                                                                 'version' => '5.90083'
                                                               },
                                                               {
                                                                 'date' => '2015-02-23T22:24:50',
                                                                 'version' => '5.90084'
                                                               },
                                                               {
                                                                 'date' => '2015-03-25T18:58:11',
                                                                 'version' => '5.90085'
                                                               },
                                                               {
                                                                 'date' => '2015-03-26T21:30:15',
                                                                 'version' => '5.90089_001'
                                                               },
                                                               {
                                                                 'date' => '2015-04-17T21:32:30',
                                                                 'version' => '5.90089_002'
                                                               },
                                                               {
                                                                 'date' => '2015-04-27T20:20:40',
                                                                 'version' => '5.90089_003'
                                                               },
                                                               {
                                                                 'date' => '2015-04-28T18:24:12',
                                                                 'version' => '5.90089_004'
                                                               },
                                                               {
                                                                 'date' => '2015-04-29T14:04:24',
                                                                 'version' => '5.90090'
                                                               },
                                                               {
                                                                 'date' => '2015-05-08T20:36:59',
                                                                 'version' => '5.90091'
                                                               },
                                                               {
                                                                 'date' => '2015-05-19T16:48:30',
                                                                 'version' => '5.90092'
                                                               },
                                                               {
                                                                 'date' => '2015-05-29T17:06:23',
                                                                 'version' => '5.90093'
                                                               },
                                                               {
                                                                 'date' => '2015-07-24T20:17:46',
                                                                 'version' => '5.90094'
                                                               },
                                                               {
                                                                 'date' => '2015-07-27T14:32:30',
                                                                 'version' => '5.90095'
                                                               },
                                                               {
                                                                 'date' => '2015-07-27T15:44:59',
                                                                 'version' => '5.90096'
                                                               },
                                                               {
                                                                 'date' => '2015-07-28T20:33:41',
                                                                 'version' => '5.90097'
                                                               },
                                                               {
                                                                 'date' => '2015-08-24T16:30:12',
                                                                 'version' => '5.90100'
                                                               },
                                                               {
                                                                 'date' => '2015-09-04T22:57:40',
                                                                 'version' => '5.90101'
                                                               },
                                                               {
                                                                 'date' => '2015-10-29T19:39:24',
                                                                 'version' => '5.90102'
                                                               },
                                                               {
                                                                 'date' => '2015-11-12T10:19:42',
                                                                 'version' => '5.90103'
                                                               },
                                                               {
                                                                 'date' => '2016-04-04T17:18:38',
                                                                 'version' => '5.90104'
                                                               },
                                                               {
                                                                 'date' => '2016-06-08T20:06:53',
                                                                 'version' => '5.90105'
                                                               },
                                                               {
                                                                 'date' => '2016-07-06T01:21:42',
                                                                 'version' => '5.90106'
                                                               },
                                                               {
                                                                 'date' => '2016-07-20T19:12:32',
                                                                 'version' => '5.90110'
                                                               },
                                                               {
                                                                 'date' => '2016-07-20T20:07:16',
                                                                 'version' => '5.90111'
                                                               },
                                                               {
                                                                 'date' => '2016-07-25T21:03:05',
                                                                 'version' => '5.90112'
                                                               },
                                                               {
                                                                 'date' => '2016-12-15T21:35:30',
                                                                 'version' => '5.90113'
                                                               },
                                                               {
                                                                 'date' => '2016-12-19T16:54:08',
                                                                 'version' => '5.90114'
                                                               },
                                                               {
                                                                 'date' => '2017-05-01T16:42:46',
                                                                 'version' => '5.90115'
                                                               },
                                                               {
                                                                 'date' => '2018-01-19T20:55:15',
                                                                 'version' => '5.90116'
                                                               },
                                                               {
                                                                 'date' => '2018-01-21T23:47:21',
                                                                 'version' => '5.90117'
                                                               },
                                                               {
                                                                 'date' => '2018-05-01T09:59:20',
                                                                 'version' => '5.90118'
                                                               },
                                                               {
                                                                 'date' => '2018-09-24T00:25:48',
                                                                 'version' => '5.90119'
                                                               },
                                                               {
                                                                 'date' => '2018-10-19T06:13:58',
                                                                 'version' => '5.90120'
                                                               },
                                                               {
                                                                 'date' => '2018-10-22T20:39:48',
                                                                 'version' => '5.90_121'
                                                               },
                                                               {
                                                                 'date' => '2018-11-03T14:52:06',
                                                                 'version' => '5.90122'
                                                               },
                                                               {
                                                                 'date' => '2018-11-27T15:39:35',
                                                                 'version' => '5.90123'
                                                               },
                                                               {
                                                                 'date' => '2019-01-18T22:36:07',
                                                                 'version' => '5.90124'
                                                               }
                                                             ]
                                             },
                       'Cmd-Dwarf' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<1.20',
                                                            'description' => 'JSON highjacking possibility.
',
                                                            'distribution' => 'Cmd-Dwarf',
                                                            'fixed_versions' => '>=1.20',
                                                            'id' => 'CPANSA-Cmd-Dwarf-2014-01',
                                                            'references' => [
                                                                              'https://github.com/seagirl/dwarf/commit/14cf7a1d55db635a07f4838e16f3d9a28e63f529',
                                                                              'https://metacpan.org/changes/distribution/Cmd-Dwarf'
                                                                            ],
                                                            'reported' => '2014-12-03'
                                                          }
                                                        ],
                                        'main_module' => 'Cmd::Dwarf',
                                        'versions' => [
                                                        {
                                                          'date' => '2015-07-30T06:48:35',
                                                          'version' => '1.27'
                                                        },
                                                        {
                                                          'date' => '2015-08-26T13:27:51',
                                                          'version' => '1.28'
                                                        },
                                                        {
                                                          'date' => '2015-08-28T08:58:33',
                                                          'version' => '1.29'
                                                        },
                                                        {
                                                          'date' => '2015-09-17T08:17:32',
                                                          'version' => '1.30'
                                                        },
                                                        {
                                                          'date' => '2016-01-20T06:39:15',
                                                          'version' => '1.31'
                                                        },
                                                        {
                                                          'date' => '2016-10-25T05:56:33',
                                                          'version' => '1.41'
                                                        },
                                                        {
                                                          'date' => '2017-03-29T04:42:05',
                                                          'version' => '1.42'
                                                        },
                                                        {
                                                          'date' => '2017-06-21T07:06:05',
                                                          'version' => '1.50'
                                                        },
                                                        {
                                                          'date' => '2017-10-05T08:08:01',
                                                          'version' => '1.60'
                                                        },
                                                        {
                                                          'date' => '2018-03-17T07:35:19',
                                                          'version' => '1.70'
                                                        },
                                                        {
                                                          'date' => '2018-08-18T11:43:10',
                                                          'version' => '1.80'
                                                        }
                                                      ]
                                      },
                       'Compress-LZ4' => {
                                           'advisories' => [
                                                             {
                                                               'affected_versions' => '<0.20',
                                                               'description' => 'Outdated LZ4 source code with security issue on 32bit systems.
',
                                                               'distribution' => 'Compress-LZ4',
                                                               'fixed_versions' => '>=0.20',
                                                               'id' => 'CPANSA-Compress-LZ4-2014-01',
                                                               'references' => [
                                                                                 'https://metacpan.org/changes/distribution/Compress-LZ4',
                                                                                 'https://github.com/gray/compress-lz4/commit/fc503812b4cbba16429658e1dfe20ad8bbfd77a0'
                                                                               ],
                                                               'reported' => '2014-07-07'
                                                             }
                                                           ],
                                           'main_module' => 'Compress::LZ4',
                                           'versions' => [
                                                           {
                                                             'date' => '2012-02-11T16:33:26',
                                                             'version' => '0.01'
                                                           },
                                                           {
                                                             'date' => '2012-02-20T21:26:48',
                                                             'version' => '0.02'
                                                           },
                                                           {
                                                             'date' => '2012-03-02T04:47:50',
                                                             'version' => '0.03'
                                                           },
                                                           {
                                                             'date' => '2012-03-18T07:09:30',
                                                             'version' => '0.04'
                                                           },
                                                           {
                                                             'date' => '2012-03-18T19:45:25',
                                                             'version' => '0.05'
                                                           },
                                                           {
                                                             'date' => '2012-03-22T09:23:45',
                                                             'version' => '0.06'
                                                           },
                                                           {
                                                             'date' => '2012-03-22T16:12:43',
                                                             'version' => '0.07'
                                                           },
                                                           {
                                                             'date' => '2012-03-23T16:29:14',
                                                             'version' => '0.08'
                                                           },
                                                           {
                                                             'date' => '2012-03-23T17:27:12',
                                                             'version' => '0.09'
                                                           },
                                                           {
                                                             'date' => '2012-03-26T11:28:24',
                                                             'version' => '0.10'
                                                           },
                                                           {
                                                             'date' => '2012-04-03T21:36:24',
                                                             'version' => '0.11'
                                                           },
                                                           {
                                                             'date' => '2012-04-04T12:55:22',
                                                             'version' => '0.12'
                                                           },
                                                           {
                                                             'date' => '2012-06-01T18:55:41',
                                                             'version' => '0.13'
                                                           },
                                                           {
                                                             'date' => '2012-08-10T00:21:56',
                                                             'version' => '0.14'
                                                           },
                                                           {
                                                             'date' => '2012-08-11T16:37:53',
                                                             'version' => '0.15'
                                                           },
                                                           {
                                                             'date' => '2012-09-08T18:18:41',
                                                             'version' => '0.16'
                                                           },
                                                           {
                                                             'date' => '2013-03-19T00:39:07',
                                                             'version' => '0.17'
                                                           },
                                                           {
                                                             'date' => '2013-11-19T00:56:57',
                                                             'version' => '0.18'
                                                           },
                                                           {
                                                             'date' => '2014-02-08T00:35:09',
                                                             'version' => '0.19'
                                                           },
                                                           {
                                                             'date' => '2014-07-07T21:08:49',
                                                             'version' => '0.20'
                                                           },
                                                           {
                                                             'date' => '2015-05-12T19:01:36',
                                                             'version' => '0.21'
                                                           },
                                                           {
                                                             'date' => '2015-05-20T06:16:53',
                                                             'version' => '0.22'
                                                           },
                                                           {
                                                             'date' => '2016-07-25T20:45:05',
                                                             'version' => '0.23'
                                                           },
                                                           {
                                                             'date' => '2017-03-23T04:34:45',
                                                             'version' => '0.24'
                                                           },
                                                           {
                                                             'date' => '2017-04-06T16:38:31',
                                                             'version' => '0.25'
                                                           }
                                                         ]
                                         },
                       'Compress-Raw-Bzip2' => {
                                                 'advisories' => [
                                                                   {
                                                                     'affected_versions' => '<2.031',
                                                                     'cves' => [
                                                                                 'VE-2010-0405'
                                                                               ],
                                                                     'description' => 'Integer overflow in the BZ2_decompress function in decompress.c in bzip2 and libbzip2 before 1.0.6 allows context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted compressed file.
',
                                                                     'distribution' => 'Compress-Raw-Bzip2',
                                                                     'fixed_versions' => '>=2.031',
                                                                     'id' => 'CPANSA-Compress-Raw-Bzip2-2010-01',
                                                                     'references' => [
                                                                                       'https://metacpan.org/changes/distribution/Compress-Raw-Bzip2'
                                                                                     ],
                                                                     'reported' => '2010-01-27'
                                                                   }
                                                                 ],
                                                 'main_module' => 'Compress::Raw::Bzip2',
                                                 'versions' => [
                                                                 {
                                                                   'date' => '2006-03-13T16:14:00',
                                                                   'version' => '2.000_10'
                                                                 },
                                                                 {
                                                                   'date' => '2006-04-15T21:23:09',
                                                                   'version' => '2.000_11'
                                                                 },
                                                                 {
                                                                   'date' => '2006-05-17T12:43:30',
                                                                   'version' => '2.000_12'
                                                                 },
                                                                 {
                                                                   'date' => '2006-06-20T12:43:47',
                                                                   'version' => '2.000_13'
                                                                 },
                                                                 {
                                                                   'date' => '2006-10-26T14:15:45',
                                                                   'version' => '2.000_14'
                                                                 },
                                                                 {
                                                                   'date' => '2006-11-01T10:35:27',
                                                                   'version' => '2.001'
                                                                 },
                                                                 {
                                                                   'date' => '2006-12-29T20:40:23',
                                                                   'version' => '2.002'
                                                                 },
                                                                 {
                                                                   'date' => '2007-01-02T13:03:45',
                                                                   'version' => '2.003'
                                                                 },
                                                                 {
                                                                   'date' => '2007-03-03T15:50:04',
                                                                   'version' => '2.004'
                                                                 },
                                                                 {
                                                                   'date' => '2007-07-01T00:06:51',
                                                                   'version' => '2.005'
                                                                 },
                                                                 {
                                                                   'date' => '2007-09-01T19:44:48',
                                                                   'version' => '2.006'
                                                                 },
                                                                 {
                                                                   'date' => '2007-11-10T11:59:25',
                                                                   'version' => '2.008'
                                                                 },
                                                                 {
                                                                   'date' => '2008-04-20T14:41:25',
                                                                   'version' => '2.009'
                                                                 },
                                                                 {
                                                                   'date' => '2008-05-05T17:18:15',
                                                                   'version' => '2.010'
                                                                 },
                                                                 {
                                                                   'date' => '2008-05-17T11:16:17',
                                                                   'version' => '2.011'
                                                                 },
                                                                 {
                                                                   'date' => '2008-07-15T22:23:56',
                                                                   'version' => '2.012'
                                                                 },
                                                                 {
                                                                   'date' => '2008-09-02T20:20:05',
                                                                   'version' => '2.014'
                                                                 },
                                                                 {
                                                                   'date' => '2008-09-03T20:47:15',
                                                                   'version' => '2.015'
                                                                 },
                                                                 {
                                                                   'date' => '2009-04-04T09:47:36',
                                                                   'version' => '2.017'
                                                                 },
                                                                 {
                                                                   'date' => '2009-05-03T16:26:57',
                                                                   'version' => '2.018'
                                                                 },
                                                                 {
                                                                   'date' => '2009-05-04T09:42:06',
                                                                   'version' => '2.019'
                                                                 },
                                                                 {
                                                                   'date' => '2009-06-03T17:48:18',
                                                                   'version' => '2.020'
                                                                 },
                                                                 {
                                                                   'date' => '2009-08-30T20:25:24',
                                                                   'version' => '2.021'
                                                                 },
                                                                 {
                                                                   'date' => '2009-11-09T23:25:19',
                                                                   'version' => '2.023'
                                                                 },
                                                                 {
                                                                   'date' => '2010-01-09T17:56:12',
                                                                   'version' => '2.024'
                                                                 },
                                                                 {
                                                                   'date' => '2010-03-28T12:56:33',
                                                                   'version' => '2.025'
                                                                 },
                                                                 {
                                                                   'date' => '2010-04-07T19:49:29',
                                                                   'version' => '2.026'
                                                                 },
                                                                 {
                                                                   'date' => '2010-04-24T19:15:32',
                                                                   'version' => '2.027'
                                                                 },
                                                                 {
                                                                   'date' => '2010-07-24T14:29:17',
                                                                   'version' => '2.030'
                                                                 },
                                                                 {
                                                                   'date' => '2010-09-21T19:44:52',
                                                                   'version' => '2.031'
                                                                 },
                                                                 {
                                                                   'date' => '2011-01-06T11:26:00',
                                                                   'version' => '2.032'
                                                                 },
                                                                 {
                                                                   'date' => '2011-01-11T14:02:05',
                                                                   'version' => '2.033'
                                                                 },
                                                                 {
                                                                   'date' => '2011-05-02T21:50:15',
                                                                   'version' => '2.034'
                                                                 },
                                                                 {
                                                                   'date' => '2011-05-07T08:30:09',
                                                                   'version' => '2.035'
                                                                 },
                                                                 {
                                                                   'date' => '2011-06-18T21:45:13',
                                                                   'version' => '2.036'
                                                                 },
                                                                 {
                                                                   'date' => '2011-06-22T07:17:56',
                                                                   'version' => '2.037'
                                                                 },
                                                                 {
                                                                   'date' => '2011-10-28T14:27:59',
                                                                   'version' => '2.039'
                                                                 },
                                                                 {
                                                                   'date' => '2011-10-28T22:18:59',
                                                                   'version' => '2.040'
                                                                 },
                                                                 {
                                                                   'date' => '2011-11-17T23:44:58',
                                                                   'version' => '2.042'
                                                                 },
                                                                 {
                                                                   'date' => '2011-11-20T21:31:34',
                                                                   'version' => '2.043'
                                                                 },
                                                                 {
                                                                   'date' => '2011-12-03T22:48:47',
                                                                   'version' => '2.044'
                                                                 },
                                                                 {
                                                                   'date' => '2011-12-04T19:19:58',
                                                                   'version' => '2.045'
                                                                 },
                                                                 {
                                                                   'date' => '2012-01-28T23:26:44',
                                                                   'version' => '2.047'
                                                                 },
                                                                 {
                                                                   'date' => '2012-01-29T16:58:55',
                                                                   'version' => '2.048'
                                                                 },
                                                                 {
                                                                   'date' => '2012-02-18T15:56:34',
                                                                   'version' => '2.049'
                                                                 },
                                                                 {
                                                                   'date' => '2012-04-29T12:40:06',
                                                                   'version' => '2.052'
                                                                 },
                                                                 {
                                                                   'date' => '2012-08-05T20:35:37',
                                                                   'version' => '2.055'
                                                                 },
                                                                 {
                                                                   'date' => '2012-11-10T19:08:29',
                                                                   'version' => '2.057'
                                                                 },
                                                                 {
                                                                   'date' => '2012-11-12T22:14:16',
                                                                   'version' => '2.058'
                                                                 },
                                                                 {
                                                                   'date' => '2012-11-25T13:38:19',
                                                                   'version' => '2.059'
                                                                 },
                                                                 {
                                                                   'date' => '2013-01-07T20:02:08',
                                                                   'version' => '2.060'
                                                                 },
                                                                 {
                                                                   'date' => '2013-05-27T09:54:30',
                                                                   'version' => '2.061'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-12T19:06:20',
                                                                   'version' => '2.062'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-02T17:14:54',
                                                                   'version' => '2.063'
                                                                 },
                                                                 {
                                                                   'date' => '2014-02-01T23:19:50',
                                                                   'version' => '2.064'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-21T12:40:58',
                                                                   'version' => '2.066'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-08T15:12:21',
                                                                   'version' => '2.067'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-23T17:44:34',
                                                                   'version' => '2.068'
                                                                 },
                                                                 {
                                                                   'date' => '2015-09-27T14:33:57',
                                                                   'version' => '2.069'
                                                                 },
                                                                 {
                                                                   'date' => '2016-12-28T23:07:42',
                                                                   'version' => '2.070'
                                                                 },
                                                                 {
                                                                   'date' => '2017-02-12T20:39:20',
                                                                   'version' => '2.072'
                                                                 },
                                                                 {
                                                                   'date' => '2017-02-19T20:35:17',
                                                                   'version' => '2.073'
                                                                 },
                                                                 {
                                                                   'date' => '2017-02-19T22:11:17',
                                                                   'version' => '2.074'
                                                                 },
                                                                 {
                                                                   'date' => '2018-04-03T18:20:04',
                                                                   'version' => '2.080'
                                                                 },
                                                                 {
                                                                   'date' => '2018-04-08T15:01:21',
                                                                   'version' => '2.081'
                                                                 },
                                                                 {
                                                                   'date' => '2018-12-30T22:38:05',
                                                                   'version' => '2.083'
                                                                 },
                                                                 {
                                                                   'date' => '2019-01-06T08:56:52',
                                                                   'version' => '2.084'
                                                                 }
                                                               ]
                                               },
                       'Compress-Raw-Zlib' => {
                                                'advisories' => [
                                                                  {
                                                                    'affected_versions' => '<2.075',
                                                                    'cves' => [
                                                                                'CVE-2016-9843',
                                                                                'CVE-2016-9841',
                                                                                'CVE-2016-9840',
                                                                                'CVE-2016-9842'
                                                                              ],
                                                                    'description' => 'Zlib vulnerabilities.
',
                                                                    'distribution' => 'Compress-Raw-Zlib',
                                                                    'fixed_versions' => '>=2.075',
                                                                    'id' => 'CPANSA-Compress-Raw-Zlib-2017-01',
                                                                    'references' => [
                                                                                      'https://metacpan.org/changes/distribution/Compress-Raw-Zlib'
                                                                                    ],
                                                                    'reported' => '2017-11-14'
                                                                  }
                                                                ],
                                                'main_module' => 'Compress::Raw::Zlib',
                                                'versions' => [
                                                                {
                                                                  'date' => '2006-03-03T23:06:38',
                                                                  'version' => '2.000_09'
                                                                },
                                                                {
                                                                  'date' => '2006-03-13T16:14:20',
                                                                  'version' => '2.000_10'
                                                                },
                                                                {
                                                                  'date' => '2006-04-15T21:23:24',
                                                                  'version' => '2.000_11'
                                                                },
                                                                {
                                                                  'date' => '2006-05-17T12:43:41',
                                                                  'version' => '2.000_12'
                                                                },
                                                                {
                                                                  'date' => '2006-06-20T12:45:30',
                                                                  'version' => '2.000_13'
                                                                },
                                                                {
                                                                  'date' => '2006-10-26T14:15:34',
                                                                  'version' => '2.000_09'
                                                                },
                                                                {
                                                                  'date' => '2006-11-01T10:35:38',
                                                                  'version' => '2.001'
                                                                },
                                                                {
                                                                  'date' => '2006-12-29T20:40:35',
                                                                  'version' => '2.002'
                                                                },
                                                                {
                                                                  'date' => '2007-01-02T13:03:57',
                                                                  'version' => '2.003'
                                                                },
                                                                {
                                                                  'date' => '2007-03-03T15:50:15',
                                                                  'version' => '2.004'
                                                                },
                                                                {
                                                                  'date' => '2007-07-01T00:07:02',
                                                                  'version' => '2.005'
                                                                },
                                                                {
                                                                  'date' => '2007-09-01T19:44:59',
                                                                  'version' => '2.006'
                                                                },
                                                                {
                                                                  'date' => '2007-11-10T11:59:36',
                                                                  'version' => '2.008'
                                                                },
                                                                {
                                                                  'date' => '2008-04-20T14:42:52',
                                                                  'version' => '2.009'
                                                                },
                                                                {
                                                                  'date' => '2008-05-05T17:18:27',
                                                                  'version' => '2.010'
                                                                },
                                                                {
                                                                  'date' => '2008-05-17T11:16:28',
                                                                  'version' => '2.011'
                                                                },
                                                                {
                                                                  'date' => '2008-07-15T22:24:07',
                                                                  'version' => '2.012'
                                                                },
                                                                {
                                                                  'date' => '2008-09-02T20:20:16',
                                                                  'version' => '2.014'
                                                                },
                                                                {
                                                                  'date' => '2008-09-03T20:47:27',
                                                                  'version' => '2.015'
                                                                },
                                                                {
                                                                  'date' => '2009-04-04T09:49:03',
                                                                  'version' => '2.017'
                                                                },
                                                                {
                                                                  'date' => '2009-05-03T16:27:08',
                                                                  'version' => '2.018'
                                                                },
                                                                {
                                                                  'date' => '2009-05-04T09:42:17',
                                                                  'version' => '2.019'
                                                                },
                                                                {
                                                                  'date' => '2009-06-03T17:48:30',
                                                                  'version' => '2.020'
                                                                },
                                                                {
                                                                  'date' => '2009-08-30T20:25:35',
                                                                  'version' => '2.021'
                                                                },
                                                                {
                                                                  'date' => '2009-11-09T23:26:59',
                                                                  'version' => '2.023'
                                                                },
                                                                {
                                                                  'date' => '2010-01-09T17:56:35',
                                                                  'version' => '2.024'
                                                                },
                                                                {
                                                                  'date' => '2010-03-28T12:57:08',
                                                                  'version' => '2.025'
                                                                },
                                                                {
                                                                  'date' => '2010-04-07T19:51:09',
                                                                  'version' => '2.026'
                                                                },
                                                                {
                                                                  'date' => '2010-04-24T19:15:54',
                                                                  'version' => '2.027'
                                                                },
                                                                {
                                                                  'date' => '2010-07-24T14:31:01',
                                                                  'version' => '2.030'
                                                                },
                                                                {
                                                                  'date' => '2011-01-06T11:23:45',
                                                                  'version' => '2.032'
                                                                },
                                                                {
                                                                  'date' => '2011-01-11T14:03:45',
                                                                  'version' => '2.033'
                                                                },
                                                                {
                                                                  'date' => '2011-05-02T22:05:37',
                                                                  'version' => '2.034'
                                                                },
                                                                {
                                                                  'date' => '2011-05-07T08:31:57',
                                                                  'version' => '2.035'
                                                                },
                                                                {
                                                                  'date' => '2011-06-18T21:45:36',
                                                                  'version' => '2.036'
                                                                },
                                                                {
                                                                  'date' => '2011-06-22T07:18:22',
                                                                  'version' => '2.037'
                                                                },
                                                                {
                                                                  'date' => '2011-10-28T14:28:35',
                                                                  'version' => '2.039'
                                                                },
                                                                {
                                                                  'date' => '2011-10-28T22:20:38',
                                                                  'version' => '2.040'
                                                                },
                                                                {
                                                                  'date' => '2011-11-17T23:45:21',
                                                                  'version' => '2.042'
                                                                },
                                                                {
                                                                  'date' => '2011-11-20T21:33:33',
                                                                  'version' => '2.043'
                                                                },
                                                                {
                                                                  'date' => '2011-12-03T22:49:10',
                                                                  'version' => '2.044'
                                                                },
                                                                {
                                                                  'date' => '2011-12-04T19:21:36',
                                                                  'version' => '2.045'
                                                                },
                                                                {
                                                                  'date' => '2012-01-28T23:28:28',
                                                                  'version' => '2.047'
                                                                },
                                                                {
                                                                  'date' => '2012-01-29T17:00:33',
                                                                  'version' => '2.048'
                                                                },
                                                                {
                                                                  'date' => '2012-02-18T15:58:12',
                                                                  'version' => '2.049'
                                                                },
                                                                {
                                                                  'date' => '2012-02-21T19:35:18',
                                                                  'version' => '2.050'
                                                                },
                                                                {
                                                                  'date' => '2012-02-22T20:43:23',
                                                                  'version' => '2.051'
                                                                },
                                                                {
                                                                  'date' => '2012-04-29T12:41:57',
                                                                  'version' => '2.052'
                                                                },
                                                                {
                                                                  'date' => '2012-05-06T08:40:06',
                                                                  'version' => '2.053'
                                                                },
                                                                {
                                                                  'date' => '2012-05-08T19:22:47',
                                                                  'version' => '2.054'
                                                                },
                                                                {
                                                                  'date' => '2012-08-05T20:36:06',
                                                                  'version' => '2.055'
                                                                },
                                                                {
                                                                  'date' => '2012-08-10T22:20:09',
                                                                  'version' => '2.056'
                                                                },
                                                                {
                                                                  'date' => '2012-11-10T19:08:56',
                                                                  'version' => '2.057'
                                                                },
                                                                {
                                                                  'date' => '2012-11-12T22:14:42',
                                                                  'version' => '2.058'
                                                                },
                                                                {
                                                                  'date' => '2012-11-25T13:38:42',
                                                                  'version' => '2.059'
                                                                },
                                                                {
                                                                  'date' => '2013-01-07T20:02:22',
                                                                  'version' => '2.060'
                                                                },
                                                                {
                                                                  'date' => '2013-05-27T09:54:54',
                                                                  'version' => '2.061'
                                                                },
                                                                {
                                                                  'date' => '2013-08-12T19:08:05',
                                                                  'version' => '2.062'
                                                                },
                                                                {
                                                                  'date' => '2013-11-02T17:15:17',
                                                                  'version' => '2.063'
                                                                },
                                                                {
                                                                  'date' => '2014-02-01T23:21:28',
                                                                  'version' => '2.064'
                                                                },
                                                                {
                                                                  'date' => '2014-02-03T20:23:00',
                                                                  'version' => '2.065'
                                                                },
                                                                {
                                                                  'date' => '2014-09-21T12:42:35',
                                                                  'version' => '2.066'
                                                                },
                                                                {
                                                                  'date' => '2014-12-08T15:14:00',
                                                                  'version' => '2.067'
                                                                },
                                                                {
                                                                  'date' => '2014-12-23T17:44:57',
                                                                  'version' => '2.068'
                                                                },
                                                                {
                                                                  'date' => '2015-09-26T18:41:58',
                                                                  'version' => '2.069'
                                                                },
                                                                {
                                                                  'date' => '2016-12-28T23:09:21',
                                                                  'version' => '2.070'
                                                                },
                                                                {
                                                                  'date' => '2016-12-30T22:58:08',
                                                                  'version' => '2.071'
                                                                },
                                                                {
                                                                  'date' => '2017-02-12T20:41:25',
                                                                  'version' => '2.072'
                                                                },
                                                                {
                                                                  'date' => '2017-02-19T20:37:20',
                                                                  'version' => '2.073'
                                                                },
                                                                {
                                                                  'date' => '2017-02-19T22:11:41',
                                                                  'version' => '2.074'
                                                                },
                                                                {
                                                                  'date' => '2017-11-14T15:43:26',
                                                                  'version' => '2.075'
                                                                },
                                                                {
                                                                  'date' => '2017-11-21T22:29:23',
                                                                  'version' => '2.076'
                                                                },
                                                                {
                                                                  'date' => '2018-04-03T18:22:06',
                                                                  'version' => '2.080'
                                                                },
                                                                {
                                                                  'date' => '2018-04-08T15:02:55',
                                                                  'version' => '2.081'
                                                                },
                                                                {
                                                                  'date' => '2018-12-30T22:40:08',
                                                                  'version' => '2.083'
                                                                },
                                                                {
                                                                  'date' => '2019-01-06T08:57:15',
                                                                  'version' => '2.084'
                                                                }
                                                              ]
                                              },
                       'Config-Model' => {
                                           'advisories' => [
                                                             {
                                                               'affected_versions' => '<2.102',
                                                               'cves' => [
                                                                           'CVE-2017-0373'
                                                                         ],
                                                               'description' => 'The gen_class_pod implementation in lib/Config/Model/Utils/GenClassPod.pm in Config-Model (aka libconfig-model-perl) before 2.102 has a dangerous "use lib" line, which allows remote attackers to have an unspecified impact via a crafted Debian package file.
',
                                                               'distribution' => 'Config-Model',
                                                               'fixed_versions' => '>=2.102',
                                                               'id' => 'CPANSA-Config-Model-2017-03',
                                                               'references' => [
                                                                                 'https://metacpan.org/changes/distribution/Config-Model',
                                                                                 'https://github.com/dod38fr/config-model/commit/9bd64d9ec6c0939166a2216a37d58dd19a725951'
                                                                               ],
                                                               'reported' => '2017-05-10'
                                                             },
                                                             {
                                                               'affected_versions' => '<2.102',
                                                               'cves' => [
                                                                           'CVE-2017-0374'
                                                                         ],
                                                               'description' => 'Loads models from a local directory, making it possible to substitute the model.
',
                                                               'distribution' => 'Config-Model',
                                                               'fixed_versions' => '>=2.102',
                                                               'id' => 'CPANSA-Config-Model-2017-02',
                                                               'references' => [
                                                                                 'https://metacpan.org/changes/distribution/Config-Model',
                                                                                 'https://github.com/dod38fr/config-model/commit/4d37c75b0c4f9633b67999f8260b08027a6bc524'
                                                                               ],
                                                               'reported' => '2017-05-10'
                                                             },
                                                             {
                                                               'affected_versions' => '<2.102',
                                                               'description' => 'YAML or YAML::XS can be loaded automatically making it possible to run arbitrary code loading a specially crafted YAML file.
',
                                                               'distribution' => 'Config-Model',
                                                               'fixed_versions' => '>=2.102',
                                                               'id' => 'CPANSA-Config-Model-2017-01',
                                                               'references' => [
                                                                                 'https://metacpan.org/changes/distribution/Config-Model',
                                                                                 'https://github.com/dod38fr/config-model/commit/01d212348bfbadf31bd74aadd26b1e391ff2fd92'
                                                                               ],
                                                               'reported' => '2017-05-10'
                                                             }
                                                           ],
                                           'main_module' => 'Config::Model',
                                           'versions' => [
                                                           {
                                                             'date' => '2006-04-21T12:27:44',
                                                             'version' => '0.505'
                                                           },
                                                           {
                                                             'date' => '2006-05-19T13:32:14',
                                                             'version' => '0.506'
                                                           },
                                                           {
                                                             'date' => '2006-06-15T12:10:38',
                                                             'version' => '0.507'
                                                           },
                                                           {
                                                             'date' => '2006-07-20T12:28:36',
                                                             'version' => '0.601'
                                                           },
                                                           {
                                                             'date' => '2006-09-07T12:06:17',
                                                             'version' => '0.602'
                                                           },
                                                           {
                                                             'date' => '2006-10-19T11:24:40',
                                                             'version' => '0.603'
                                                           },
                                                           {
                                                             'date' => '2006-12-06T12:58:35',
                                                             'version' => '0.604'
                                                           },
                                                           {
                                                             'date' => '2007-01-08T13:16:42',
                                                             'version' => '0.605'
                                                           },
                                                           {
                                                             'date' => '2007-01-11T12:42:09',
                                                             'version' => '0.606'
                                                           },
                                                           {
                                                             'date' => '2007-01-12T13:06:38',
                                                             'version' => '0.607'
                                                           },
                                                           {
                                                             'date' => '2007-02-23T13:00:34',
                                                             'version' => '0.608'
                                                           },
                                                           {
                                                             'date' => '2007-05-14T11:41:18',
                                                             'version' => '0.609'
                                                           },
                                                           {
                                                             'date' => '2007-06-06T12:28:06',
                                                             'version' => '0.610'
                                                           },
                                                           {
                                                             'date' => '2007-07-03T15:35:21',
                                                             'version' => '0.611'
                                                           },
                                                           {
                                                             'date' => '2007-07-27T11:38:57',
                                                             'version' => '0.612'
                                                           },
                                                           {
                                                             'date' => '2007-10-01T15:52:56',
                                                             'version' => '0.613'
                                                           },
                                                           {
                                                             'date' => '2007-10-23T16:10:29',
                                                             'version' => '0.614'
                                                           },
                                                           {
                                                             'date' => '2007-11-15T12:36:18',
                                                             'version' => '0.615'
                                                           },
                                                           {
                                                             'date' => '2007-12-04T12:41:22',
                                                             'version' => '0.616'
                                                           },
                                                           {
                                                             'date' => '2008-01-28T11:55:50',
                                                             'version' => '0.617'
                                                           },
                                                           {
                                                             'date' => '2008-02-14T12:56:25',
                                                             'version' => '0.618'
                                                           },
                                                           {
                                                             'date' => '2008-02-29T12:08:41',
                                                             'version' => '0.619'
                                                           },
                                                           {
                                                             'date' => '2008-03-18T17:40:57',
                                                             'version' => '0.620'
                                                           },
                                                           {
                                                             'date' => '2008-03-20T07:49:00',
                                                             'version' => '0.6201'
                                                           },
                                                           {
                                                             'date' => '2008-04-04T11:38:49',
                                                             'version' => '0.621'
                                                           },
                                                           {
                                                             'date' => '2008-04-25T16:23:31',
                                                             'version' => '0.622'
                                                           },
                                                           {
                                                             'date' => '2008-05-19T11:47:46',
                                                             'version' => '0.623'
                                                           },
                                                           {
                                                             'date' => '2008-07-25T11:35:07',
                                                             'version' => '0.624'
                                                           },
                                                           {
                                                             'date' => '2008-07-30T12:02:43',
                                                             'version' => '0.625'
                                                           },
                                                           {
                                                             'date' => '2008-09-22T12:20:00',
                                                             'version' => '0.626'
                                                           },
                                                           {
                                                             'date' => '2008-09-23T11:05:58',
                                                             'version' => '0.627'
                                                           },
                                                           {
                                                             'date' => '2008-09-29T12:35:05',
                                                             'version' => '0.628'
                                                           },
                                                           {
                                                             'date' => '2008-10-13T15:09:27',
                                                             'version' => '0.629'
                                                           },
                                                           {
                                                             'date' => '2008-10-21T11:59:27',
                                                             'version' => '0.630'
                                                           },
                                                           {
                                                             'date' => '2008-11-10T14:37:44',
                                                             'version' => '0.631'
                                                           },
                                                           {
                                                             'date' => '2008-12-16T13:32:26',
                                                             'version' => '0.632'
                                                           },
                                                           {
                                                             'date' => '2008-12-23T15:36:48',
                                                             'version' => '0.633'
                                                           },
                                                           {
                                                             'date' => '2009-03-05T13:06:32',
                                                             'version' => '0.634'
                                                           },
                                                           {
                                                             'date' => '2009-04-20T12:21:46',
                                                             'version' => '0.635'
                                                           },
                                                           {
                                                             'date' => '2009-05-30T16:19:54',
                                                             'version' => '0.636'
                                                           },
                                                           {
                                                             'date' => '2009-06-23T12:07:41',
                                                             'version' => '0.637'
                                                           },
                                                           {
                                                             'date' => '2009-06-30T11:31:35',
                                                             'version' => '0.638'
                                                           },
                                                           {
                                                             'date' => '2009-09-08T11:35:25',
                                                             'version' => '0.639'
                                                           },
                                                           {
                                                             'date' => '2009-09-09T16:10:41',
                                                             'version' => '0.640'
                                                           },
                                                           {
                                                             'date' => '2010-01-20T17:30:14',
                                                             'version' => '0.641'
                                                           },
                                                           {
                                                             'date' => '2010-01-21T17:17:34',
                                                             'version' => '0.642'
                                                           },
                                                           {
                                                             'date' => '2010-02-25T13:04:52',
                                                             'version' => '0.643'
                                                           },
                                                           {
                                                             'date' => '2010-03-12T15:24:45',
                                                             'version' => '0.644'
                                                           },
                                                           {
                                                             'date' => '2010-03-28T14:53:46',
                                                             'version' => '1.001'
                                                           },
                                                           {
                                                             'date' => '2010-04-22T12:22:00',
                                                             'version' => '1.202'
                                                           },
                                                           {
                                                             'date' => '2010-06-03T11:09:45',
                                                             'version' => '1.203'
                                                           },
                                                           {
                                                             'date' => '2010-06-03T11:20:09',
                                                             'version' => '1.204'
                                                           },
                                                           {
                                                             'date' => '2010-06-07T16:04:03',
                                                             'version' => '1.205'
                                                           },
                                                           {
                                                             'date' => '2010-08-13T10:53:09',
                                                             'version' => '1.206'
                                                           },
                                                           {
                                                             'date' => '2010-09-14T16:14:40',
                                                             'version' => '1.207'
                                                           },
                                                           {
                                                             'date' => '2010-09-16T11:46:11',
                                                             'version' => '1.208'
                                                           },
                                                           {
                                                             'date' => '2010-09-20T12:29:12',
                                                             'version' => '1.209'
                                                           },
                                                           {
                                                             'date' => '2010-09-30T16:34:27',
                                                             'version' => '1.210'
                                                           },
                                                           {
                                                             'date' => '2010-10-08T10:46:45',
                                                             'version' => '1.211'
                                                           },
                                                           {
                                                             'date' => '2010-10-15T11:08:52',
                                                             'version' => '1.212'
                                                           },
                                                           {
                                                             'date' => '2010-10-19T12:29:03',
                                                             'version' => '1.213'
                                                           },
                                                           {
                                                             'date' => '2010-10-19T15:17:01',
                                                             'version' => '1.214'
                                                           },
                                                           {
                                                             'date' => '2010-10-19T15:28:56',
                                                             'version' => '1.215'
                                                           },
                                                           {
                                                             'date' => '2010-10-26T12:16:51',
                                                             'version' => '1.216'
                                                           },
                                                           {
                                                             'date' => '2010-10-30T12:44:11',
                                                             'version' => '1.217'
                                                           },
                                                           {
                                                             'date' => '2010-11-05T11:53:14',
                                                             'version' => '1.218'
                                                           },
                                                           {
                                                             'date' => '2010-11-09T13:20:51',
                                                             'version' => '1.219'
                                                           },
                                                           {
                                                             'date' => '2010-11-10T08:41:22',
                                                             'version' => '1.220'
                                                           },
                                                           {
                                                             'date' => '2010-11-21T17:40:10',
                                                             'version' => '1.221'
                                                           },
                                                           {
                                                             'date' => '2010-11-22T14:01:55',
                                                             'version' => '1.222'
                                                           },
                                                           {
                                                             'date' => '2010-11-28T17:34:03',
                                                             'version' => '1.223'
                                                           },
                                                           {
                                                             'date' => '2010-12-06T13:18:53',
                                                             'version' => '1.224'
                                                           },
                                                           {
                                                             'date' => '2010-12-07T08:01:43',
                                                             'version' => '1.225'
                                                           },
                                                           {
                                                             'date' => '2010-12-08T18:48:08',
                                                             'version' => '1.226'
                                                           },
                                                           {
                                                             'date' => '2011-01-07T18:12:45',
                                                             'version' => '1.227'
                                                           },
                                                           {
                                                             'date' => '2011-01-09T12:27:15',
                                                             'version' => '1.228'
                                                           },
                                                           {
                                                             'date' => '2011-01-10T19:57:53',
                                                             'version' => '1.229'
                                                           },
                                                           {
                                                             'date' => '2011-01-20T16:47:27',
                                                             'version' => '1.230'
                                                           },
                                                           {
                                                             'date' => '2011-01-30T11:30:23',
                                                             'version' => '1.231'
                                                           },
                                                           {
                                                             'date' => '2011-01-30T13:51:34',
                                                             'version' => '1.232'
                                                           },
                                                           {
                                                             'date' => '2011-02-11T12:25:32',
                                                             'version' => '1.233'
                                                           },
                                                           {
                                                             'date' => '2011-02-21T17:11:22',
                                                             'version' => '1.234'
                                                           },
                                                           {
                                                             'date' => '2011-03-01T13:06:28',
                                                             'version' => '1.235'
                                                           },
                                                           {
                                                             'date' => '2011-04-01T14:09:03',
                                                             'version' => '1.236'
                                                           },
                                                           {
                                                             'date' => '2011-04-04T12:57:04',
                                                             'version' => '1.237'
                                                           },
                                                           {
                                                             'date' => '2011-04-05T14:45:45',
                                                             'version' => '1.238'
                                                           },
                                                           {
                                                             'date' => '2011-04-05T17:40:17',
                                                             'version' => '1.240'
                                                           },
                                                           {
                                                             'date' => '2011-04-07T18:09:49',
                                                             'version' => '1.241'
                                                           },
                                                           {
                                                             'date' => '2011-04-25T15:28:14',
                                                             'version' => '1.242'
                                                           },
                                                           {
                                                             'date' => '2011-05-02T12:33:33',
                                                             'version' => '1.243'
                                                           },
                                                           {
                                                             'date' => '2011-05-16T15:52:46',
                                                             'version' => '1.244'
                                                           },
                                                           {
                                                             'date' => '2011-06-17T12:10:22',
                                                             'version' => '1.245'
                                                           },
                                                           {
                                                             'date' => '2011-06-20T12:32:24',
                                                             'version' => '1.246'
                                                           },
                                                           {
                                                             'date' => '2011-06-27T14:14:52',
                                                             'version' => '1.247'
                                                           },
                                                           {
                                                             'date' => '2011-07-05T15:48:52',
                                                             'version' => '1.248'
                                                           },
                                                           {
                                                             'date' => '2011-07-12T09:54:39',
                                                             'version' => '1.249'
                                                           },
                                                           {
                                                             'date' => '2011-07-22T12:40:47',
                                                             'version' => '1.250'
                                                           },
                                                           {
                                                             'date' => '2011-08-30T12:16:32',
                                                             'version' => '1.251'
                                                           },
                                                           {
                                                             'date' => '2011-09-01T16:06:19',
                                                             'version' => '1.252'
                                                           },
                                                           {
                                                             'date' => '2011-09-02T16:03:35',
                                                             'version' => '1.253'
                                                           },
                                                           {
                                                             'date' => '2011-09-04T15:21:52',
                                                             'version' => '1.254'
                                                           },
                                                           {
                                                             'date' => '2011-09-15T15:23:39',
                                                             'version' => '1.255'
                                                           },
                                                           {
                                                             'date' => '2011-09-16T12:28:51',
                                                             'version' => '1.256'
                                                           },
                                                           {
                                                             'date' => '2011-09-23T10:52:00',
                                                             'version' => '1.257'
                                                           },
                                                           {
                                                             'date' => '2011-10-14T14:45:06',
                                                             'version' => '1.258'
                                                           },
                                                           {
                                                             'date' => '2011-10-16T10:17:53',
                                                             'version' => '1.259'
                                                           },
                                                           {
                                                             'date' => '2011-10-28T13:28:02',
                                                             'version' => '1.260'
                                                           },
                                                           {
                                                             'date' => '2011-11-18T17:02:26',
                                                             'version' => '1.261'
                                                           },
                                                           {
                                                             'date' => '2011-11-19T11:55:30',
                                                             'version' => '1.262'
                                                           },
                                                           {
                                                             'date' => '2011-11-29T15:43:38',
                                                             'version' => '1.263'
                                                           },
                                                           {
                                                             'date' => '2011-11-30T07:50:25',
                                                             'version' => '1.264'
                                                           },
                                                           {
                                                             'date' => '2011-12-06T18:26:54',
                                                             'version' => '1.265'
                                                           },
                                                           {
                                                             'date' => '2012-02-06T11:55:29',
                                                             'version' => '2.001'
                                                           },
                                                           {
                                                             'date' => '2012-02-08T09:49:49',
                                                             'version' => '2.002'
                                                           },
                                                           {
                                                             'date' => '2012-02-08T13:14:22',
                                                             'version' => '2.003'
                                                           },
                                                           {
                                                             'date' => '2012-02-09T11:28:18',
                                                             'version' => '2.004'
                                                           },
                                                           {
                                                             'date' => '2012-02-23T18:25:32',
                                                             'version' => '2.005'
                                                           },
                                                           {
                                                             'date' => '2012-02-25T11:30:41',
                                                             'version' => '2.006'
                                                           },
                                                           {
                                                             'date' => '2012-02-26T16:34:50',
                                                             'version' => '2.007'
                                                           },
                                                           {
                                                             'date' => '2012-03-01T12:40:23',
                                                             'version' => '2.008'
                                                           },
                                                           {
                                                             'date' => '2012-03-13T13:11:49',
                                                             'version' => '2.009'
                                                           },
                                                           {
                                                             'date' => '2012-03-13T13:15:03',
                                                             'version' => '2.010'
                                                           },
                                                           {
                                                             'date' => '2012-03-19T21:41:44',
                                                             'version' => '2.011'
                                                           },
                                                           {
                                                             'date' => '2012-04-05T11:41:54',
                                                             'version' => '2.012'
                                                           },
                                                           {
                                                             'date' => '2012-04-06T12:10:46',
                                                             'version' => '2.013'
                                                           },
                                                           {
                                                             'date' => '2012-05-04T13:57:13',
                                                             'version' => '2.014'
                                                           },
                                                           {
                                                             'date' => '2012-05-14T10:06:13',
                                                             'version' => '2.015'
                                                           },
                                                           {
                                                             'date' => '2012-05-20T08:38:36',
                                                             'version' => '2.016'
                                                           },
                                                           {
                                                             'date' => '2012-05-21T10:56:35',
                                                             'version' => '2.017'
                                                           },
                                                           {
                                                             'date' => '2012-05-29T13:53:06',
                                                             'version' => '2.018'
                                                           },
                                                           {
                                                             'date' => '2012-06-05T12:34:15',
                                                             'version' => '2.019'
                                                           },
                                                           {
                                                             'date' => '2012-06-18T08:34:26',
                                                             'version' => '2.020'
                                                           },
                                                           {
                                                             'date' => '2012-06-27T14:44:55',
                                                             'version' => '2.021_01'
                                                           },
                                                           {
                                                             'date' => '2012-06-28T15:30:52',
                                                             'version' => '2.021'
                                                           },
                                                           {
                                                             'date' => '2012-07-03T14:47:31',
                                                             'version' => '2.022'
                                                           },
                                                           {
                                                             'date' => '2012-07-04T13:50:37',
                                                             'version' => '2.023'
                                                           },
                                                           {
                                                             'date' => '2012-09-04T11:30:02',
                                                             'version' => '2.024'
                                                           },
                                                           {
                                                             'date' => '2012-09-10T10:52:02',
                                                             'version' => '2.025'
                                                           },
                                                           {
                                                             'date' => '2012-09-20T17:12:09',
                                                             'version' => '2.026_1'
                                                           },
                                                           {
                                                             'date' => '2012-09-21T10:38:47',
                                                             'version' => '2.026_2'
                                                           },
                                                           {
                                                             'date' => '2012-09-27T11:53:42',
                                                             'version' => '2.026'
                                                           },
                                                           {
                                                             'date' => '2012-10-30T12:48:16',
                                                             'version' => '2.027'
                                                           },
                                                           {
                                                             'date' => '2012-11-27T12:44:55',
                                                             'version' => '2.028'
                                                           },
                                                           {
                                                             'date' => '2012-11-28T13:31:04',
                                                             'version' => '2.029'
                                                           },
                                                           {
                                                             'date' => '2013-02-27T18:37:05',
                                                             'version' => '2.030_01'
                                                           },
                                                           {
                                                             'date' => '2013-03-23T09:47:53',
                                                             'version' => '2.030'
                                                           },
                                                           {
                                                             'date' => '2013-04-03T17:22:28',
                                                             'version' => '2.031'
                                                           },
                                                           {
                                                             'date' => '2013-04-15T11:28:33',
                                                             'version' => '2.032'
                                                           },
                                                           {
                                                             'date' => '2013-04-15T19:27:14',
                                                             'version' => '2.033'
                                                           },
                                                           {
                                                             'date' => '2013-04-17T19:29:52',
                                                             'version' => '2.034'
                                                           },
                                                           {
                                                             'date' => '2013-04-27T15:05:09',
                                                             'version' => '2.035'
                                                           },
                                                           {
                                                             'date' => '2013-05-25T17:53:04',
                                                             'version' => '2.036'
                                                           },
                                                           {
                                                             'date' => '2013-06-15T17:46:45',
                                                             'version' => '2.037'
                                                           },
                                                           {
                                                             'date' => '2013-07-03T19:30:32',
                                                             'version' => '2.038'
                                                           },
                                                           {
                                                             'date' => '2013-07-18T18:12:07',
                                                             'version' => '2.039'
                                                           },
                                                           {
                                                             'date' => '2013-07-20T09:46:11',
                                                             'version' => '2.040'
                                                           },
                                                           {
                                                             'date' => '2013-08-14T17:58:40',
                                                             'version' => '2.041'
                                                           },
                                                           {
                                                             'date' => '2013-09-15T17:41:45',
                                                             'version' => '2.042'
                                                           },
                                                           {
                                                             'date' => '2013-09-20T17:35:06',
                                                             'version' => '2.043'
                                                           },
                                                           {
                                                             'date' => '2013-10-13T16:02:40',
                                                             'version' => '2.044'
                                                           },
                                                           {
                                                             'date' => '2013-10-18T17:48:15',
                                                             'version' => '2.045'
                                                           },
                                                           {
                                                             'date' => '2013-12-15T13:07:37',
                                                             'version' => '2.046'
                                                           },
                                                           {
                                                             'date' => '2014-01-25T15:54:37',
                                                             'version' => '2.047'
                                                           },
                                                           {
                                                             'date' => '2014-02-23T18:02:19',
                                                             'version' => '2.048'
                                                           },
                                                           {
                                                             'date' => '2014-02-26T19:45:44',
                                                             'version' => '2.049'
                                                           },
                                                           {
                                                             'date' => '2014-02-27T18:12:32',
                                                             'version' => '2.050'
                                                           },
                                                           {
                                                             'date' => '2014-03-06T18:23:11',
                                                             'version' => '2.051'
                                                           },
                                                           {
                                                             'date' => '2014-03-23T16:20:43',
                                                             'version' => '2.052'
                                                           },
                                                           {
                                                             'date' => '2014-03-25T19:11:57',
                                                             'version' => '2.053'
                                                           },
                                                           {
                                                             'date' => '2014-04-01T17:51:50',
                                                             'version' => '2.054'
                                                           },
                                                           {
                                                             'date' => '2014-05-02T11:33:28',
                                                             'version' => '2.055'
                                                           },
                                                           {
                                                             'date' => '2014-05-18T19:34:53',
                                                             'version' => '2.056'
                                                           },
                                                           {
                                                             'date' => '2014-06-12T19:32:47',
                                                             'version' => '2.057'
                                                           },
                                                           {
                                                             'date' => '2014-06-19T19:43:18',
                                                             'version' => '2.058'
                                                           },
                                                           {
                                                             'date' => '2014-06-29T15:08:02',
                                                             'version' => '2.059'
                                                           },
                                                           {
                                                             'date' => '2014-08-19T12:43:59',
                                                             'version' => '2.060'
                                                           },
                                                           {
                                                             'date' => '2014-09-23T19:21:04',
                                                             'version' => '2.061'
                                                           },
                                                           {
                                                             'date' => '2014-11-23T19:45:05',
                                                             'version' => '2.062'
                                                           },
                                                           {
                                                             'date' => '2014-11-28T17:55:21',
                                                             'version' => '2.063'
                                                           },
                                                           {
                                                             'date' => '2014-12-04T18:47:05',
                                                             'version' => '2.064'
                                                           },
                                                           {
                                                             'date' => '2015-01-06T20:16:15',
                                                             'version' => '2.065'
                                                           },
                                                           {
                                                             'date' => '2015-02-15T16:13:00',
                                                             'version' => '2.066'
                                                           },
                                                           {
                                                             'date' => '2015-03-01T18:38:28',
                                                             'version' => '2.067'
                                                           },
                                                           {
                                                             'date' => '2015-03-29T13:39:56',
                                                             'version' => '2.068'
                                                           },
                                                           {
                                                             'date' => '2015-04-25T19:29:15',
                                                             'version' => '2.069'
                                                           },
                                                           {
                                                             'date' => '2015-05-03T14:00:52',
                                                             'version' => '2.070'
                                                           },
                                                           {
                                                             'date' => '2015-05-23T11:15:16',
                                                             'version' => '2.071'
                                                           },
                                                           {
                                                             'date' => '2015-07-18T19:31:43',
                                                             'version' => '2.072'
                                                           },
                                                           {
                                                             'date' => '2015-07-19T07:35:51',
                                                             'version' => '2.073'
                                                           },
                                                           {
                                                             'date' => '2015-09-30T18:56:39',
                                                             'version' => '2.074'
                                                           },
                                                           {
                                                             'date' => '2015-11-22T20:11:19',
                                                             'version' => '2.075'
                                                           },
                                                           {
                                                             'date' => '2016-01-14T18:13:20',
                                                             'version' => '2.076'
                                                           },
                                                           {
                                                             'date' => '2016-01-20T19:55:36',
                                                             'version' => '2.077'
                                                           },
                                                           {
                                                             'date' => '2016-01-24T18:48:46',
                                                             'version' => '2.078'
                                                           },
                                                           {
                                                             'date' => '2016-02-12T20:44:28',
                                                             'version' => '2.079'
                                                           },
                                                           {
                                                             'date' => '2016-02-27T17:59:55',
                                                             'version' => '2.080'
                                                           },
                                                           {
                                                             'date' => '2016-02-29T19:01:45',
                                                             'version' => '2.081'
                                                           },
                                                           {
                                                             'date' => '2016-03-29T18:22:30',
                                                             'version' => '2.082'
                                                           },
                                                           {
                                                             'date' => '2016-04-20T18:32:29',
                                                             'version' => '2.083'
                                                           },
                                                           {
                                                             'date' => '2016-05-26T17:35:53',
                                                             'version' => '2.084'
                                                           },
                                                           {
                                                             'date' => '2016-05-29T17:13:14',
                                                             'version' => '2.085'
                                                           },
                                                           {
                                                             'date' => '2016-06-04T19:28:08',
                                                             'version' => '2.086'
                                                           },
                                                           {
                                                             'date' => '2016-06-29T17:35:35',
                                                             'version' => '2.087'
                                                           },
                                                           {
                                                             'date' => '2016-07-09T18:06:03',
                                                             'version' => '2.088'
                                                           },
                                                           {
                                                             'date' => '2016-09-04T13:17:52',
                                                             'version' => '2.089'
                                                           },
                                                           {
                                                             'date' => '2016-09-10T16:07:07',
                                                             'version' => '2.090'
                                                           },
                                                           {
                                                             'date' => '2016-09-13T17:05:56',
                                                             'version' => '2.091'
                                                           },
                                                           {
                                                             'date' => '2016-09-23T17:46:04',
                                                             'version' => '2.092'
                                                           },
                                                           {
                                                             'date' => '2016-11-08T18:33:39',
                                                             'version' => '2.093'
                                                           },
                                                           {
                                                             'date' => '2016-11-09T18:23:05',
                                                             'version' => '2.094'
                                                           },
                                                           {
                                                             'date' => '2016-12-06T18:01:00',
                                                             'version' => '2.095'
                                                           },
                                                           {
                                                             'date' => '2016-12-11T20:28:14',
                                                             'version' => '2.096'
                                                           },
                                                           {
                                                             'date' => '2016-12-22T17:35:34',
                                                             'version' => '2.097'
                                                           },
                                                           {
                                                             'date' => '2017-02-26T18:58:23',
                                                             'version' => '2.098'
                                                           },
                                                           {
                                                             'date' => '2017-03-05T17:09:37',
                                                             'version' => '2.099'
                                                           },
                                                           {
                                                             'date' => '2017-03-18T12:06:34',
                                                             'version' => '2.100'
                                                           },
                                                           {
                                                             'date' => '2017-04-28T17:40:56',
                                                             'version' => '2.101'
                                                           },
                                                           {
                                                             'date' => '2017-05-14T19:10:40',
                                                             'version' => '2.102'
                                                           },
                                                           {
                                                             'date' => '2017-05-25T08:15:17',
                                                             'version' => '2.103'
                                                           },
                                                           {
                                                             'date' => '2017-06-03T13:23:33',
                                                             'version' => '2.104'
                                                           },
                                                           {
                                                             'date' => '2017-06-09T17:26:55',
                                                             'version' => '2.105'
                                                           },
                                                           {
                                                             'date' => '2017-07-16T14:07:23',
                                                             'version' => '2.106'
                                                           },
                                                           {
                                                             'date' => '2017-08-30T19:12:10',
                                                             'version' => '2.107'
                                                           },
                                                           {
                                                             'date' => '2017-08-31T17:23:43',
                                                             'version' => '2.108'
                                                           },
                                                           {
                                                             'date' => '2017-09-18T17:52:57',
                                                             'version' => '2.109'
                                                           },
                                                           {
                                                             'date' => '2017-09-21T19:12:32',
                                                             'version' => '2.110'
                                                           },
                                                           {
                                                             'date' => '2017-09-22T18:41:04',
                                                             'version' => '2.111'
                                                           },
                                                           {
                                                             'date' => '2017-10-01T09:12:45',
                                                             'version' => '2.112'
                                                           },
                                                           {
                                                             'date' => '2017-10-12T19:07:46',
                                                             'version' => '2.113'
                                                           },
                                                           {
                                                             'date' => '2017-11-11T16:35:03',
                                                             'version' => '2.114'
                                                           },
                                                           {
                                                             'date' => '2017-12-14T18:03:18',
                                                             'version' => '2.115'
                                                           },
                                                           {
                                                             'date' => '2017-12-16T09:52:09',
                                                             'version' => '2.116'
                                                           },
                                                           {
                                                             'date' => '2018-02-03T18:09:35',
                                                             'version' => '2.117'
                                                           },
                                                           {
                                                             'date' => '2018-03-26T18:33:19',
                                                             'version' => '2.118'
                                                           },
                                                           {
                                                             'date' => '2018-04-02T16:55:50',
                                                             'version' => '2.119'
                                                           },
                                                           {
                                                             'date' => '2018-04-08T07:56:03',
                                                             'version' => '2.120'
                                                           },
                                                           {
                                                             'date' => '2018-04-15T17:08:18',
                                                             'version' => '2.121'
                                                           },
                                                           {
                                                             'date' => '2018-04-17T17:20:14',
                                                             'version' => '2.122'
                                                           },
                                                           {
                                                             'date' => '2018-05-01T17:18:09',
                                                             'version' => '2.123'
                                                           },
                                                           {
                                                             'date' => '2018-06-09T17:16:59',
                                                             'version' => '2.124'
                                                           },
                                                           {
                                                             'date' => '2018-06-24T12:47:24',
                                                             'version' => '2.125'
                                                           },
                                                           {
                                                             'date' => '2018-08-20T13:10:09',
                                                             'version' => '2.126'
                                                           },
                                                           {
                                                             'date' => '2018-09-30T16:44:13',
                                                             'version' => '2.127'
                                                           },
                                                           {
                                                             'date' => '2018-11-21T19:33:41',
                                                             'version' => '2.128'
                                                           },
                                                           {
                                                             'date' => '2018-12-05T18:44:58',
                                                             'version' => '2.129'
                                                           },
                                                           {
                                                             'date' => '2018-12-07T19:02:10',
                                                             'version' => '2.130'
                                                           },
                                                           {
                                                             'date' => '2018-12-16T18:32:58',
                                                             'version' => '2.131'
                                                           },
                                                           {
                                                             'date' => '2018-12-22T17:50:27',
                                                             'version' => '2.132'
                                                           },
                                                           {
                                                             'date' => '2019-01-13T20:17:07',
                                                             'version' => '2.133'
                                                           }
                                                         ]
                                         },
                       'Cpanel-JSON-XS' => {
                                             'advisories' => [
                                                               {
                                                                 'affected_versions' => '<3.0225',
                                                                 'description' => 'Overflow during processing of ill-formed UTF-8 strings.
',
                                                                 'distribution' => 'Cpanel-JSON-XS',
                                                                 'fixed_versions' => '>=3.0225',
                                                                 'id' => 'CPANSA-Cpanel-JSON-XS-2016-02',
                                                                 'references' => [
                                                                                   'https://metacpan.org/changes/distribution/Cpanel-JSON-XS',
                                                                                   'https://github.com/rurban/Cpanel-JSON-XS/commit/f71768984ba7f50b0476c17a4f3b3f2ca88a6951',
                                                                                   'https://github.com/dankogai/p5-encode/issues/64'
                                                                                 ],
                                                                 'reported' => '2016-11-23'
                                                               },
                                                               {
                                                                 'affected_versions' => '<3.0218',
                                                                 'description' => 'Possible overflows in av and hv length types.
',
                                                                 'distribution' => 'Cpanel-JSON-XS',
                                                                 'fixed_versions' => '>=3.0218',
                                                                 'id' => 'CPANSA-Cpanel-JSON-XS-2016-01',
                                                                 'references' => [
                                                                                   'https://metacpan.org/changes/distribution/Cpanel-JSON-XS',
                                                                                   'https://github.com/rurban/Cpanel-JSON-XS/commit/6554531b39fac236321d8601d35eaaa75ae45e20'
                                                                                 ],
                                                                 'reported' => '2016-10-06'
                                                               }
                                                             ],
                                             'main_module' => 'Cpanel::JSON::XS',
                                             'versions' => [
                                                             {
                                                               'date' => '2013-03-01T00:52:41',
                                                               'version' => '2.33_03'
                                                             },
                                                             {
                                                               'date' => '2013-03-01T22:07:06',
                                                               'version' => '2.33_04'
                                                             },
                                                             {
                                                               'date' => '2013-03-27T16:53:34',
                                                               'version' => '2.3305'
                                                             },
                                                             {
                                                               'date' => '2013-03-27T17:17:51',
                                                               'version' => '2.3306'
                                                             },
                                                             {
                                                               'date' => '2013-03-27T22:58:47',
                                                               'version' => '2.3307'
                                                             },
                                                             {
                                                               'date' => '2013-03-28T14:28:56',
                                                               'version' => '2.3308'
                                                             },
                                                             {
                                                               'date' => '2013-03-28T15:12:42',
                                                               'version' => '2.3309'
                                                             },
                                                             {
                                                               'date' => '2013-03-28T17:33:21',
                                                               'version' => '2.3310'
                                                             },
                                                             {
                                                               'date' => '2013-06-26T16:24:40',
                                                               'version' => '2.3313'
                                                             },
                                                             {
                                                               'date' => '2013-09-09T05:54:40',
                                                               'version' => '2.3314'
                                                             },
                                                             {
                                                               'date' => '2013-10-02T20:06:47',
                                                               'version' => '2.3401'
                                                             },
                                                             {
                                                               'date' => '2013-11-02T14:42:20',
                                                               'version' => '2.3402'
                                                             },
                                                             {
                                                               'date' => '2013-11-02T15:17:41',
                                                               'version' => '2.3403'
                                                             },
                                                             {
                                                               'date' => '2014-01-30T15:58:58',
                                                               'version' => '2.3404'
                                                             },
                                                             {
                                                               'date' => '2014-04-15T21:17:11',
                                                               'version' => '3.0101'
                                                             },
                                                             {
                                                               'date' => '2014-04-17T18:37:34',
                                                               'version' => '3.0102'
                                                             },
                                                             {
                                                               'date' => '2014-04-21T17:49:09',
                                                               'version' => '3.0103'
                                                             },
                                                             {
                                                               'date' => '2014-04-26T16:04:39',
                                                               'version' => '3.0104'
                                                             },
                                                             {
                                                               'date' => '2014-11-06T10:38:31',
                                                               'version' => '3.0105'
                                                             },
                                                             {
                                                               'date' => '2014-11-11T21:57:49',
                                                               'version' => '3.0106'
                                                             },
                                                             {
                                                               'date' => '2014-11-28T12:16:29',
                                                               'version' => '3.0107'
                                                             },
                                                             {
                                                               'date' => '2014-12-11T17:02:07',
                                                               'version' => '3.0108'
                                                             },
                                                             {
                                                               'date' => '2014-12-12T10:24:33',
                                                               'version' => '3.0109'
                                                             },
                                                             {
                                                               'date' => '2014-12-12T22:35:37',
                                                               'version' => '3.0110'
                                                             },
                                                             {
                                                               'date' => '2014-12-13T18:40:06',
                                                               'version' => '3.0111'
                                                             },
                                                             {
                                                               'date' => '2014-12-14T16:34:01',
                                                               'version' => '3.0112'
                                                             },
                                                             {
                                                               'date' => '2014-12-15T12:23:32',
                                                               'version' => '3.0113'
                                                             },
                                                             {
                                                               'date' => '2015-01-04T14:06:03',
                                                               'version' => '3.0114'
                                                             },
                                                             {
                                                               'date' => '2015-01-31T21:42:51',
                                                               'version' => '3.0115'
                                                             },
                                                             {
                                                               'date' => '2015-11-26T08:58:33',
                                                               'version' => '3.0201'
                                                             },
                                                             {
                                                               'date' => '2015-11-26T13:16:40',
                                                               'version' => '3.0202'
                                                             },
                                                             {
                                                               'date' => '2015-11-26T13:42:02',
                                                               'version' => '3.0203'
                                                             },
                                                             {
                                                               'date' => '2015-11-26T22:30:26',
                                                               'version' => '3.0204'
                                                             },
                                                             {
                                                               'date' => '2015-11-29T14:09:00',
                                                               'version' => '3.0205'
                                                             },
                                                             {
                                                               'date' => '2015-11-30T16:16:48',
                                                               'version' => '3.0206'
                                                             },
                                                             {
                                                               'date' => '2015-12-02T16:34:35',
                                                               'version' => '3.0207'
                                                             },
                                                             {
                                                               'date' => '2015-12-02T22:46:58',
                                                               'version' => '3.0208'
                                                             },
                                                             {
                                                               'date' => '2015-12-03T09:45:04',
                                                               'version' => '3.0209'
                                                             },
                                                             {
                                                               'date' => '2015-12-03T11:59:24',
                                                               'version' => '3.0210'
                                                             },
                                                             {
                                                               'date' => '2016-01-10T17:38:25',
                                                               'version' => '3.0211'
                                                             },
                                                             {
                                                               'date' => '2016-02-27T13:30:04',
                                                               'version' => '3.0212'
                                                             },
                                                             {
                                                               'date' => '2016-03-02T10:28:37',
                                                               'version' => '3.0213'
                                                             },
                                                             {
                                                               'date' => '2016-04-12T08:40:05',
                                                               'version' => '3.0213_01'
                                                             },
                                                             {
                                                               'date' => '2016-04-13T10:40:03',
                                                               'version' => '3.0213_02'
                                                             },
                                                             {
                                                               'date' => '2016-06-02T16:18:51',
                                                               'version' => '3.0214'
                                                             },
                                                             {
                                                               'date' => '2016-06-06T13:28:49',
                                                               'version' => '3.0215'
                                                             },
                                                             {
                                                               'date' => '2016-06-12T12:14:20',
                                                               'version' => '3.0216'
                                                             },
                                                             {
                                                               'date' => '2016-06-18T09:59:27',
                                                               'version' => '3.0217'
                                                             },
                                                             {
                                                               'date' => '2016-10-04T10:11:33',
                                                               'version' => '3.0217_01'
                                                             },
                                                             {
                                                               'date' => '2016-10-04T14:47:29',
                                                               'version' => '3.0217_02'
                                                             },
                                                             {
                                                               'date' => '2016-10-06T08:46:17',
                                                               'version' => '3.0217_03'
                                                             },
                                                             {
                                                               'date' => '2016-10-07T12:11:03',
                                                               'version' => '3.0217_04'
                                                             },
                                                             {
                                                               'date' => '2016-10-07T17:22:48',
                                                               'version' => '3.0217_05'
                                                             },
                                                             {
                                                               'date' => '2016-10-08T08:01:50',
                                                               'version' => '3.0217_06'
                                                             },
                                                             {
                                                               'date' => '2016-10-13T12:47:31',
                                                               'version' => '3.0218'
                                                             },
                                                             {
                                                               'date' => '2016-10-26T11:45:35',
                                                               'version' => '3.0219'
                                                             },
                                                             {
                                                               'date' => '2016-10-28T08:34:28',
                                                               'version' => '3.0220'
                                                             },
                                                             {
                                                               'date' => '2016-10-30T12:27:36',
                                                               'version' => '3.0221'
                                                             },
                                                             {
                                                               'date' => '2016-10-30T15:04:32',
                                                               'version' => '3.0222'
                                                             },
                                                             {
                                                               'date' => '2016-11-16T11:47:38',
                                                               'version' => '3.0223'
                                                             },
                                                             {
                                                               'date' => '2016-11-20T11:31:34',
                                                               'version' => '3.0224'
                                                             },
                                                             {
                                                               'date' => '2016-11-23T18:43:00',
                                                               'version' => '3.0225'
                                                             },
                                                             {
                                                               'date' => '2017-02-11T13:24:48',
                                                               'version' => '3.0226'
                                                             },
                                                             {
                                                               'date' => '2017-02-13T10:57:06',
                                                               'version' => '3.0227'
                                                             },
                                                             {
                                                               'date' => '2017-03-07T23:57:39',
                                                               'version' => '3.0228'
                                                             },
                                                             {
                                                               'date' => '2017-03-10T14:08:07',
                                                               'version' => '3.0229'
                                                             },
                                                             {
                                                               'date' => '2017-03-12T09:52:13',
                                                               'version' => '3.0230'
                                                             },
                                                             {
                                                               'date' => '2017-03-29T09:51:51',
                                                               'version' => '3.0231'
                                                             },
                                                             {
                                                               'date' => '2017-05-01T05:35:12',
                                                               'version' => '3.0232'
                                                             },
                                                             {
                                                               'date' => '2017-05-01T14:54:56',
                                                               'version' => '3.0233'
                                                             },
                                                             {
                                                               'date' => '2017-07-27T15:43:41',
                                                               'version' => '3.0234'
                                                             },
                                                             {
                                                               'date' => '2017-07-27T16:21:47',
                                                               'version' => '3.0235'
                                                             },
                                                             {
                                                               'date' => '2017-07-27T20:15:25',
                                                               'version' => '3.0236'
                                                             },
                                                             {
                                                               'date' => '2017-07-28T11:15:05',
                                                               'version' => '3.0237'
                                                             },
                                                             {
                                                               'date' => '2017-08-25T20:53:56',
                                                               'version' => '3.0238'
                                                             },
                                                             {
                                                               'date' => '2017-08-28T20:48:37',
                                                               'version' => '3.0239'
                                                             },
                                                             {
                                                               'date' => '2018-01-30T11:52:27',
                                                               'version' => '3.99_01'
                                                             },
                                                             {
                                                               'date' => '2018-01-31T12:58:24',
                                                               'version' => '3.99_02'
                                                             },
                                                             {
                                                               'date' => '2018-01-31T17:18:58',
                                                               'version' => '3.99_03'
                                                             },
                                                             {
                                                               'date' => '2018-02-02T01:57:54',
                                                               'version' => '4.00'
                                                             },
                                                             {
                                                               'date' => '2018-02-03T11:50:36',
                                                               'version' => '4.01'
                                                             },
                                                             {
                                                               'date' => '2018-02-27T16:08:55',
                                                               'version' => '4.02'
                                                             },
                                                             {
                                                               'date' => '2018-06-21T11:16:14',
                                                               'version' => '4.03'
                                                             },
                                                             {
                                                               'date' => '2018-06-22T17:37:07',
                                                               'version' => '4.04'
                                                             },
                                                             {
                                                               'date' => '2018-08-19T16:55:22',
                                                               'version' => '4.05'
                                                             },
                                                             {
                                                               'date' => '2018-08-23T07:50:22',
                                                               'version' => '4.06'
                                                             },
                                                             {
                                                               'date' => '2018-11-02T09:51:34',
                                                               'version' => '4.07'
                                                             },
                                                             {
                                                               'date' => '2018-11-28T14:26:40',
                                                               'version' => '4.08'
                                                             },
                                                             {
                                                               'date' => '2019-02-15T10:09:53',
                                                               'version' => '4.09'
                                                             }
                                                           ]
                                           },
                       'Crypt-CBC' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<2.17',
                                                            'description' => 'Incorrect use of using 8 byte IVs when generating the old-style RandomIV style header. This affects data encrypted using the Rijndael algorithm, which has a 16 byte blocksize, and is a significant security issue.
',
                                                            'distribution' => 'Crypt-CBC',
                                                            'fixed_versions' => '>=2.17',
                                                            'id' => 'CPANSA-Crypt-CBC-2006-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/Crypt-CBC'
                                                                            ],
                                                            'reported' => '2006-01-09',
                                                            'severity' => 'high'
                                                          }
                                                        ],
                                        'main_module' => 'Crypt::CBC',
                                        'versions' => [
                                                        {
                                                          'date' => '1998-06-19T19:48:52',
                                                          'version' => '1.00'
                                                        },
                                                        {
                                                          'date' => '1998-09-22T18:30:35',
                                                          'version' => '1.10'
                                                        },
                                                        {
                                                          'date' => '1998-12-20T23:36:49',
                                                          'version' => '1.20'
                                                        },
                                                        {
                                                          'date' => '2000-01-27T00:27:56',
                                                          'version' => '1.22'
                                                        },
                                                        {
                                                          'date' => '2000-02-22T15:20:56',
                                                          'version' => '1.23'
                                                        },
                                                        {
                                                          'date' => '2000-06-07T18:55:59',
                                                          'version' => '1.24'
                                                        },
                                                        {
                                                          'date' => '2000-06-08T15:59:07',
                                                          'version' => '1.25'
                                                        },
                                                        {
                                                          'date' => '2001-12-10T17:16:25',
                                                          'version' => '2.01'
                                                        },
                                                        {
                                                          'date' => '2002-01-24T05:30:16',
                                                          'version' => '2.02'
                                                        },
                                                        {
                                                          'date' => '2002-06-02T18:40:15',
                                                          'version' => '2.03'
                                                        },
                                                        {
                                                          'date' => '2002-06-12T02:20:51',
                                                          'version' => '2.04'
                                                        },
                                                        {
                                                          'date' => '2002-06-22T13:02:09',
                                                          'version' => '2.05'
                                                        },
                                                        {
                                                          'date' => '2002-08-08T18:47:49',
                                                          'version' => '2.07'
                                                        },
                                                        {
                                                          'date' => '2002-09-11T12:17:23',
                                                          'version' => '2.08'
                                                        },
                                                        {
                                                          'date' => '2004-05-27T15:20:52',
                                                          'version' => '2.09'
                                                        },
                                                        {
                                                          'date' => '2004-05-29T17:29:19',
                                                          'version' => '2.10'
                                                        },
                                                        {
                                                          'date' => '2004-06-03T16:22:32',
                                                          'version' => '2.11'
                                                        },
                                                        {
                                                          'date' => '2004-06-17T15:55:19',
                                                          'version' => '2.11'
                                                        },
                                                        {
                                                          'date' => '2005-05-05T20:11:50',
                                                          'version' => '2.14'
                                                        },
                                                        {
                                                          'date' => '2005-08-01T14:02:45',
                                                          'version' => '2.15'
                                                        },
                                                        {
                                                          'date' => '2006-02-16T14:08:57',
                                                          'version' => '2.17'
                                                        },
                                                        {
                                                          'date' => '2006-06-06T23:22:02',
                                                          'version' => '2.18'
                                                        },
                                                        {
                                                          'date' => '2006-08-12T19:52:11',
                                                          'version' => '2.19'
                                                        },
                                                        {
                                                          'date' => '2006-10-16T23:40:13',
                                                          'version' => '2.21'
                                                        },
                                                        {
                                                          'date' => '2006-10-29T21:55:34',
                                                          'version' => '2.22'
                                                        },
                                                        {
                                                          'date' => '2007-09-28T15:25:53',
                                                          'version' => '2.24'
                                                        },
                                                        {
                                                          'date' => '2008-03-28T14:17:29',
                                                          'version' => '2.27'
                                                        },
                                                        {
                                                          'date' => '2008-03-31T14:56:52',
                                                          'version' => '2.28'
                                                        },
                                                        {
                                                          'date' => '2008-04-22T14:27:07',
                                                          'version' => '2.29'
                                                        },
                                                        {
                                                          'date' => '2008-09-30T15:17:58',
                                                          'version' => '2.30'
                                                        },
                                                        {
                                                          'date' => '2012-10-30T11:08:06',
                                                          'version' => '2.31'
                                                        },
                                                        {
                                                          'date' => '2012-12-14T19:30:14',
                                                          'version' => '2.32'
                                                        },
                                                        {
                                                          'date' => '2013-07-30T20:03:53',
                                                          'version' => '2.33'
                                                        }
                                                      ]
                                      },
                       'Crypt-OpenSSL-DSA' => {
                                                'advisories' => [
                                                                  {
                                                                    'affected_versions' => '<0.14',
                                                                    'cves' => [
                                                                                'CVE-2009-0129'
                                                                              ],
                                                                    'description' => 'Missing error check in do_verify, which might allow remote attackers to bypass validation of the certificate chain via a malformed SSL/TLS signature.
',
                                                                    'distribution' => 'Crypt-OpenSSL-DSA',
                                                                    'fixed_versions' => '>=0.14',
                                                                    'id' => 'CPANSA-Crypt-OpenSSL-DSA-2009-01',
                                                                    'references' => [
                                                                                      'https://metacpan.org/changes/distribution/Crypt-OpenSSL-DSA',
                                                                                      'https://www.openwall.com/lists/oss-security/2009/01/12/4',
                                                                                      'https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511519'
                                                                                    ],
                                                                    'reported' => '2009-01-15'
                                                                  }
                                                                ],
                                                'main_module' => 'Crypt::OpenSSL::DSA',
                                                'versions' => [
                                                                {
                                                                  'date' => '2001-09-19T04:45:14',
                                                                  'version' => '0.01'
                                                                },
                                                                {
                                                                  'date' => '2001-09-24T17:32:49',
                                                                  'version' => '0.02'
                                                                },
                                                                {
                                                                  'date' => '2002-02-07T05:57:36',
                                                                  'version' => '0.03'
                                                                },
                                                                {
                                                                  'date' => '2002-09-24T04:52:06',
                                                                  'version' => '0.04'
                                                                },
                                                                {
                                                                  'date' => '2002-09-26T00:21:17',
                                                                  'version' => '0.10'
                                                                },
                                                                {
                                                                  'date' => '2003-01-06T19:08:08',
                                                                  'version' => '0.11'
                                                                },
                                                                {
                                                                  'date' => '2005-05-23T01:44:36',
                                                                  'version' => '0.12'
                                                                },
                                                                {
                                                                  'date' => '2005-10-15T21:37:10',
                                                                  'version' => '0.13'
                                                                },
                                                                {
                                                                  'date' => '2012-10-16T22:55:16',
                                                                  'version' => '0.14'
                                                                },
                                                                {
                                                                  'date' => '2015-02-03T21:57:37',
                                                                  'version' => '0.15'
                                                                },
                                                                {
                                                                  'date' => '2016-10-27T11:25:18',
                                                                  'version' => '0.16'
                                                                },
                                                                {
                                                                  'date' => '2016-10-27T18:54:42',
                                                                  'version' => '0.17'
                                                                },
                                                                {
                                                                  'date' => '2016-11-17T10:33:35',
                                                                  'version' => '0.18'
                                                                },
                                                                {
                                                                  'date' => '2017-01-13T08:24:56',
                                                                  'version' => '0.19'
                                                                }
                                                              ]
                                              },
                       'Crypt-Passwd-XS' => {
                                              'advisories' => [
                                                                {
                                                                  'affected_versions' => '<0.601',
                                                                  'cves' => [
                                                                              'CVE-2012-2143'
                                                                            ],
                                                                  'description' => 'The crypt_des (aka DES-based crypt) function does not process the complete cleartext password if this password contains a 0x80 character, which makes it easier for context-dependent attackers to obtain access via an authentication attempt with an initial substring of the intended password, as demonstrated by a Unicode password.
',
                                                                  'distribution' => 'Crypt-Passwd-XS',
                                                                  'fixed_versions' => '>=0.601',
                                                                  'id' => 'CPANSA-Crypt-Passwd-XS-2012-01',
                                                                  'references' => [
                                                                                    'https://metacpan.org/changes/distribution/Crypt-Passwd-XS'
                                                                                  ],
                                                                  'reported' => '2012-05-07'
                                                                }
                                                              ],
                                              'main_module' => 'Crypt::Passwd::XS',
                                              'versions' => [
                                                              {
                                                                'date' => '2010-11-14T21:18:18',
                                                                'version' => '0.4'
                                                              },
                                                              {
                                                                'date' => '2010-11-17T02:03:54',
                                                                'version' => '0.501'
                                                              },
                                                              {
                                                                'date' => '2010-11-17T23:25:17',
                                                                'version' => '0.503'
                                                              },
                                                              {
                                                                'date' => '2010-11-20T00:37:33',
                                                                'version' => '0.504'
                                                              },
                                                              {
                                                                'date' => '2010-11-24T00:59:34',
                                                                'version' => '0.505'
                                                              },
                                                              {
                                                                'date' => '2011-03-09T16:18:01',
                                                                'version' => '0.506'
                                                              },
                                                              {
                                                                'date' => '2011-03-09T21:40:38',
                                                                'version' => '0.507'
                                                              },
                                                              {
                                                                'date' => '2011-07-26T16:37:20',
                                                                'version' => '0.600'
                                                              },
                                                              {
                                                                'date' => '2012-12-06T19:57:57',
                                                                'version' => '0.601'
                                                              }
                                                            ]
                                            },
                       'DBD-MariaDB' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<1.00',
                                                              'cves' => [
                                                                          'CVE-2018-2767'
                                                                        ],
                                                              'description' => 'SSL problems of MySQL and MariaDB clients.
',
                                                              'distribution' => 'DBD-MariaDB',
                                                              'fixed_versions' => '>=1.00',
                                                              'id' => 'CPANSA-DBD-MariaDB-2018-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/DBD-MariaDB'
                                                                              ],
                                                              'reported' => '2017-07-01'
                                                            },
                                                            {
                                                              'affected_versions' => '<1.00',
                                                              'cves' => [
                                                                          'CVE-2017-10788'
                                                                        ],
                                                              'description' => 'Use-after-free after calling mysql_stmt_close().
',
                                                              'distribution' => 'DBD-MariaDB',
                                                              'fixed_versions' => '>=1.00',
                                                              'id' => 'CPANSA-DBD-MariaDB-2017-02',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/DBD-MariaDB'
                                                                              ],
                                                              'reported' => '2017-07-01'
                                                            },
                                                            {
                                                              'affected_versions' => '<1.00',
                                                              'cves' => [
                                                                          'CVE-2017-3302'
                                                                        ],
                                                              'description' => 'Leaking dangling pointers.
',
                                                              'distribution' => 'DBD-MariaDB',
                                                              'fixed_versions' => '>=1.00',
                                                              'id' => 'CPANSA-DBD-MariaDB-2017-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/DBD-MariaDB'
                                                                              ],
                                                              'reported' => '2017-07-01'
                                                            }
                                                          ],
                                          'main_module' => 'DBD::MariaDB',
                                          'versions' => [
                                                          {
                                                            'date' => '2018-06-26T14:23:29',
                                                            'version' => '0.90_01'
                                                          },
                                                          {
                                                            'date' => '2018-07-12T13:36:05',
                                                            'version' => '1.00'
                                                          },
                                                          {
                                                            'date' => '2018-12-05T12:21:26',
                                                            'version' => '1.10'
                                                          },
                                                          {
                                                            'date' => '2019-01-02T15:38:57',
                                                            'version' => '1.11'
                                                          },
                                                          {
                                                            'date' => '2019-02-22T16:31:33',
                                                            'version' => '1.20'
                                                          },
                                                          {
                                                            'date' => '2019-02-27T11:08:40',
                                                            'version' => '1.21'
                                                          }
                                                        ]
                                        },
                       'DBD-mysql' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<4.044',
                                                            'cves' => [
                                                                        'CVE-2017-10788'
                                                                      ],
                                                            'description' => 'The DBD::mysql module through 4.043 for Perl allows remote attackers to cause a denial of service (use-after-free and application crash) or possibly have unspecified other impact by triggering (1) certain error responses from a MySQL server or (2) a loss of a network connection to a MySQL server. The use-after-free defect was introduced by relying on incorrect Oracle mysql_stmt_close documentation and code examples.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '>=4.044',
                                                            'id' => 'CPANSA-DBD-mysql-2017-02',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/issues/120'
                                                                            ],
                                                            'reported' => '2017-04-13'
                                                          },
                                                          {
                                                            'affected_versions' => '<4.044',
                                                            'cves' => [
                                                                        'CVE-2017-10789'
                                                                      ],
                                                            'description' => 'The DBD::mysql module through 4.043 for Perl uses the mysql_ssl=1 setting to mean that SSL is optional (even though this setting\'s documentation has a "your communication with the server will be encrypted" statement), which allows man-in-the-middle attackers to spoof servers via a cleartext-downgrade attack, a related issue to CVE-2015-3152.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '>=4.044',
                                                            'id' => 'CPANSA-DBD-mysql-2017-01',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/pull/114'
                                                                            ],
                                                            'reported' => '2017-03-23'
                                                          },
                                                          {
                                                            'affected_versions' => '>=2.9003, <4.039',
                                                            'cves' => [
                                                                        'CVE-2016-1249'
                                                                      ],
                                                            'description' => 'Out-of-bounds read.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '<2.9003, >=4.039',
                                                            'id' => 'CPANSA-DBD-mysql-2016-03',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/commit/793b72b1a0baa5070adacaac0e12fd995a6fbabe'
                                                                            ],
                                                            'reported' => '2016-11-16'
                                                          },
                                                          {
                                                            'affected_versions' => '<4.037',
                                                            'cves' => [
                                                                        'CVE-2016-1246'
                                                                      ],
                                                            'description' => 'Buffer overflow in the DBD::mysql module before 4.037 for Perl allows context-dependent attackers to cause a denial of service (crash) via vectors related to an error message.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '>=4.037',
                                                            'id' => 'CPANSA-DBD-mysql-2016-02',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/commit/7c164a0c86cec6ee95df1d141e67b0e85dfdefd2',
                                                                              'http://blogs.perl.org/users/mike_b/2016/10/security-release---buffer-overflow-in-dbdmysql-perl-library.html'
                                                                            ],
                                                            'reported' => '2016-10-02'
                                                          },
                                                          {
                                                            'affected_versions' => '<4.034',
                                                            'cves' => [
                                                                        'CVE-2015-8949'
                                                                      ],
                                                            'description' => 'Use-after-free vulnerability in the my_login function in DBD::mysql before 4.033_01 allows attackers to have unspecified impact by leveraging a call to mysql_errno after a failure of my_login.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '>=4.034',
                                                            'id' => 'CPANSA-DBD-mysql-2016-01',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/commit/cf0aa7751f6ef8445e9310a64b14dc81460ca156'
                                                                            ],
                                                            'reported' => '2016-08-19'
                                                          },
                                                          {
                                                            'affected_versions' => '<4.041',
                                                            'cves' => [
                                                                        'CVE-2016-1251'
                                                                      ],
                                                            'description' => 'There is a vulnerability of type use-after-free affecting DBD::mysql (aka DBD-mysql or the Database Interface (DBI) MySQL driver for Perl) 3.x and 4.x before 4.041 when used with mysql_server_prepare=1.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '>=4.041',
                                                            'id' => 'CPANSA-DBD-mysql-2015-01',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/commit/3619c170461a3107a258d1fd2d00ed4832adb1b1'
                                                                            ],
                                                            'reported' => '2015-12-27'
                                                          },
                                                          {
                                                            'affected_versions' => '<4.028',
                                                            'cves' => [
                                                                        'CVE-2014-9906'
                                                                      ],
                                                            'description' => 'Use-after-free vulnerability in DBD::mysql before 4.029 allows attackers to cause a denial of service (program crash) or possibly execute arbitrary code via vectors related to a lost server connection.
',
                                                            'distribution' => 'DBD-mysql',
                                                            'fixed_versions' => '>=4.028',
                                                            'id' => 'CPANSA-DBD-mysql-2014-01',
                                                            'references' => [
                                                                              'https://github.com/perl5-dbi/DBD-mysql/commit/a56ae87a4c1c1fead7d09c3653905841ccccf1cc',
                                                                              'https://rt.cpan.org/Public/Bug/Display.html?id=97625'
                                                                            ],
                                                            'reported' => '2014-07-30'
                                                          }
                                                        ],
                                        'main_module' => 'DBD::mysql',
                                        'versions' => [
                                                        {
                                                          'date' => '2000-04-15T20:17:36',
                                                          'version' => 'v1.2212.'
                                                        },
                                                        {
                                                          'date' => '2001-05-06T21:47:46',
                                                          'version' => '2.0900'
                                                        },
                                                        {
                                                          'date' => '2001-05-25T21:24:45',
                                                          'version' => '2.0901'
                                                        },
                                                        {
                                                          'date' => '2001-07-09T21:10:17',
                                                          'version' => '2.0902'
                                                        },
                                                        {
                                                          'date' => '2001-10-28T22:53:19',
                                                          'version' => '2.0903'
                                                        },
                                                        {
                                                          'date' => '2001-10-31T04:01:07',
                                                          'version' => '2.1000'
                                                        },
                                                        {
                                                          'date' => '2001-11-04T17:55:04',
                                                          'version' => '2.1001'
                                                        },
                                                        {
                                                          'date' => '2001-11-04T18:22:30',
                                                          'version' => '2.1002'
                                                        },
                                                        {
                                                          'date' => '2001-11-05T20:14:34',
                                                          'version' => '2.1003'
                                                        },
                                                        {
                                                          'date' => '2001-11-13T01:24:26',
                                                          'version' => '2.1004'
                                                        },
                                                        {
                                                          'date' => '2001-12-13T09:07:53',
                                                          'version' => '2.1005'
                                                        },
                                                        {
                                                          'date' => '2001-12-27T18:10:04',
                                                          'version' => '2.1007'
                                                        },
                                                        {
                                                          'date' => '2001-12-27T18:10:21',
                                                          'version' => '2.1006'
                                                        },
                                                        {
                                                          'date' => '2001-12-28T17:06:05',
                                                          'version' => '2.1008'
                                                        },
                                                        {
                                                          'date' => '2002-01-01T20:02:26',
                                                          'version' => '2.1009'
                                                        },
                                                        {
                                                          'date' => '2002-01-07T21:33:21',
                                                          'version' => '2.1010'
                                                        },
                                                        {
                                                          'date' => '2002-02-12T11:09:53',
                                                          'version' => '2.1011'
                                                        },
                                                        {
                                                          'date' => '2002-04-12T07:21:06',
                                                          'version' => '2.1012'
                                                        },
                                                        {
                                                          'date' => '2002-04-15T07:49:36',
                                                          'version' => '2.1013'
                                                        },
                                                        {
                                                          'date' => '2002-04-17T21:24:26',
                                                          'version' => '2.1014'
                                                        },
                                                        {
                                                          'date' => '2002-04-29T20:53:41',
                                                          'version' => '2.1015'
                                                        },
                                                        {
                                                          'date' => '2002-05-01T20:07:05',
                                                          'version' => '2.1016'
                                                        },
                                                        {
                                                          'date' => '2002-05-02T20:59:04',
                                                          'version' => '2.1017'
                                                        },
                                                        {
                                                          'date' => '2002-08-13T17:52:25',
                                                          'version' => '2.1018'
                                                        },
                                                        {
                                                          'date' => '2002-09-16T18:42:20',
                                                          'version' => '2.1019'
                                                        },
                                                        {
                                                          'date' => '2002-09-23T20:42:50',
                                                          'version' => '2.1020'
                                                        },
                                                        {
                                                          'date' => '2002-12-17T20:46:14',
                                                          'version' => '2.1021'
                                                        },
                                                        {
                                                          'date' => '2003-01-03T02:46:24',
                                                          'version' => '2.1022'
                                                        },
                                                        {
                                                          'date' => '2003-01-19T21:19:03',
                                                          'version' => '2.1023'
                                                        },
                                                        {
                                                          'date' => '2003-01-20T12:08:27',
                                                          'version' => '2.1024'
                                                        },
                                                        {
                                                          'date' => '2003-02-07T21:09:44',
                                                          'version' => '2.1025'
                                                        },
                                                        {
                                                          'date' => '2003-03-03T20:46:27',
                                                          'version' => '2.1026'
                                                        },
                                                        {
                                                          'date' => '2003-05-31T18:08:15',
                                                          'version' => '2.1027'
                                                        },
                                                        {
                                                          'date' => '2003-06-25T16:12:36',
                                                          'version' => '2.1028'
                                                        },
                                                        {
                                                          'date' => '2003-06-27T04:32:05',
                                                          'version' => '2.9002'
                                                        },
                                                        {
                                                          'date' => '2003-09-12T17:04:42',
                                                          'version' => '2.9003_1'
                                                        },
                                                        {
                                                          'date' => '2003-10-27T03:39:04',
                                                          'version' => '2.9003'
                                                        },
                                                        {
                                                          'date' => '2004-07-01T03:24:14',
                                                          'version' => '2.9004_2'
                                                        },
                                                        {
                                                          'date' => '2004-07-14T03:07:34',
                                                          'version' => '2.9004'
                                                        },
                                                        {
                                                          'date' => '2004-10-20T17:27:25',
                                                          'version' => '2.9005_1'
                                                        },
                                                        {
                                                          'date' => '2004-10-28T00:39:25',
                                                          'version' => '2.9005_3'
                                                        },
                                                        {
                                                          'date' => '2005-03-29T02:43:14',
                                                          'version' => '2.9005'
                                                        },
                                                        {
                                                          'date' => '2005-04-04T04:27:00',
                                                          'version' => '2.9006'
                                                        },
                                                        {
                                                          'date' => '2005-04-27T00:13:49',
                                                          'version' => '2.9015_3'
                                                        },
                                                        {
                                                          'date' => '2005-04-27T00:14:06',
                                                          'version' => '2.9007'
                                                        },
                                                        {
                                                          'date' => '2005-06-06T01:39:20',
                                                          'version' => '2.9008'
                                                        },
                                                        {
                                                          'date' => '2005-07-01T01:48:20',
                                                          'version' => '3.0000'
                                                        },
                                                        {
                                                          'date' => '2005-07-03T21:56:11',
                                                          'version' => '3.0000_0'
                                                        },
                                                        {
                                                          'date' => '2005-07-04T15:53:40',
                                                          'version' => '3.0001_0'
                                                        },
                                                        {
                                                          'date' => '2005-07-04T16:16:00',
                                                          'version' => '3.0001_1'
                                                        },
                                                        {
                                                          'date' => '2005-07-07T01:14:17',
                                                          'version' => '3.0001'
                                                        },
                                                        {
                                                          'date' => '2005-07-07T01:22:39',
                                                          'version' => '3.0001_2'
                                                        },
                                                        {
                                                          'date' => '2005-07-08T05:37:13',
                                                          'version' => '3.0001_3'
                                                        },
                                                        {
                                                          'date' => '2005-07-11T16:49:47',
                                                          'version' => '3.0002'
                                                        },
                                                        {
                                                          'date' => '2005-08-04T02:50:35',
                                                          'version' => '3.0002_1'
                                                        },
                                                        {
                                                          'date' => '2005-09-26T23:22:57',
                                                          'version' => '3.0002_2'
                                                        },
                                                        {
                                                          'date' => '2005-09-28T18:58:55',
                                                          'version' => '3.0002_3'
                                                        },
                                                        {
                                                          'date' => '2005-11-06T21:47:29',
                                                          'version' => '3.0002_4'
                                                        },
                                                        {
                                                          'date' => '2006-02-01T23:20:01',
                                                          'version' => '3.0002_5'
                                                        },
                                                        {
                                                          'date' => '2006-05-04T17:49:06',
                                                          'version' => '3.0003'
                                                        },
                                                        {
                                                          'date' => '2006-05-04T17:49:23',
                                                          'version' => '3.0003_1'
                                                        },
                                                        {
                                                          'date' => '2006-05-21T17:28:22',
                                                          'version' => '3.0004'
                                                        },
                                                        {
                                                          'date' => '2006-05-21T17:28:33',
                                                          'version' => '3.0004_1'
                                                        },
                                                        {
                                                          'date' => '2006-06-10T01:21:49',
                                                          'version' => '3.0005_1'
                                                        },
                                                        {
                                                          'date' => '2006-06-10T01:22:01',
                                                          'version' => '3.0005'
                                                        },
                                                        {
                                                          'date' => '2006-06-11T17:05:25',
                                                          'version' => '3.0006'
                                                        },
                                                        {
                                                          'date' => '2006-06-11T17:05:36',
                                                          'version' => '3.0006_1'
                                                        },
                                                        {
                                                          'date' => '2006-09-08T23:12:02',
                                                          'version' => '3.0007'
                                                        },
                                                        {
                                                          'date' => '2006-09-08T23:13:45',
                                                          'version' => '3.0007_1'
                                                        },
                                                        {
                                                          'date' => '2006-10-07T12:59:23',
                                                          'version' => '3.0007_2'
                                                        },
                                                        {
                                                          'date' => '2006-10-16T13:42:13',
                                                          'version' => '3.0008'
                                                        },
                                                        {
                                                          'date' => '2006-10-16T13:42:24',
                                                          'version' => '3.0008_1'
                                                        },
                                                        {
                                                          'date' => '2006-12-24T14:11:04',
                                                          'version' => '4.00'
                                                        },
                                                        {
                                                          'date' => '2007-01-08T01:11:12',
                                                          'version' => '4.001'
                                                        },
                                                        {
                                                          'date' => '2007-03-02T03:32:59',
                                                          'version' => '4.002'
                                                        },
                                                        {
                                                          'date' => '2007-03-02T14:13:37',
                                                          'version' => '4.003'
                                                        },
                                                        {
                                                          'date' => '2007-03-22T22:31:22',
                                                          'version' => '4.004'
                                                        },
                                                        {
                                                          'date' => '2007-06-08T15:33:34',
                                                          'version' => '4.005'
                                                        },
                                                        {
                                                          'date' => '2007-12-26T22:50:48',
                                                          'version' => '4.006'
                                                        },
                                                        {
                                                          'date' => '2008-05-11T15:56:07',
                                                          'version' => '4.007'
                                                        },
                                                        {
                                                          'date' => '2008-08-15T14:06:50',
                                                          'version' => '4.008'
                                                        },
                                                        {
                                                          'date' => '2008-10-22T01:05:54',
                                                          'version' => '4.009'
                                                        },
                                                        {
                                                          'date' => '2008-10-24T14:00:41',
                                                          'version' => '4.010'
                                                        },
                                                        {
                                                          'date' => '2009-04-14T02:40:31',
                                                          'version' => '4.011'
                                                        },
                                                        {
                                                          'date' => '2009-06-19T02:08:06',
                                                          'version' => '4.012'
                                                        },
                                                        {
                                                          'date' => '2009-09-16T18:37:29',
                                                          'version' => '4.013'
                                                        },
                                                        {
                                                          'date' => '2010-04-15T03:17:58',
                                                          'version' => '4.014'
                                                        },
                                                        {
                                                          'date' => '2010-07-09T19:48:58',
                                                          'version' => '4.015'
                                                        },
                                                        {
                                                          'date' => '2010-07-10T16:50:49',
                                                          'version' => '4.016'
                                                        },
                                                        {
                                                          'date' => '2010-08-12T05:50:17',
                                                          'version' => '4.017'
                                                        },
                                                        {
                                                          'date' => '2010-10-26T16:59:27',
                                                          'version' => '4.018'
                                                        },
                                                        {
                                                          'date' => '2011-05-09T01:28:25',
                                                          'version' => '4.019'
                                                        },
                                                        {
                                                          'date' => '2011-08-20T18:45:49',
                                                          'version' => '4.020'
                                                        },
                                                        {
                                                          'date' => '2012-04-28T14:18:16',
                                                          'version' => '4.021'
                                                        },
                                                        {
                                                          'date' => '2012-08-30T02:00:19',
                                                          'version' => '4.022'
                                                        },
                                                        {
                                                          'date' => '2013-04-12T21:48:10',
                                                          'version' => '4.023'
                                                        },
                                                        {
                                                          'date' => '2013-09-17T16:04:11',
                                                          'version' => '4.024'
                                                        },
                                                        {
                                                          'date' => '2013-11-04T18:29:18',
                                                          'version' => '4.025'
                                                        },
                                                        {
                                                          'date' => '2014-01-16T01:33:03',
                                                          'version' => '4.026'
                                                        },
                                                        {
                                                          'date' => '2014-03-19T14:25:36',
                                                          'version' => '4.027'
                                                        },
                                                        {
                                                          'date' => '2014-08-01T19:59:28',
                                                          'version' => '4.028'
                                                        },
                                                        {
                                                          'date' => '2014-12-09T02:39:44',
                                                          'version' => '4.029'
                                                        },
                                                        {
                                                          'date' => '2015-01-28T03:53:42',
                                                          'version' => '4.030_01'
                                                        },
                                                        {
                                                          'date' => '2015-03-02T20:44:31',
                                                          'version' => '4.030_02'
                                                        },
                                                        {
                                                          'date' => '2015-03-06T20:12:05',
                                                          'version' => '4.031'
                                                        },
                                                        {
                                                          'date' => '2015-04-16T22:28:43',
                                                          'version' => '4.032_01'
                                                        },
                                                        {
                                                          'date' => '2015-07-21T12:15:24',
                                                          'version' => '4.032'
                                                        },
                                                        {
                                                          'date' => '2015-10-25T19:59:17',
                                                          'version' => '4.032_03'
                                                        },
                                                        {
                                                          'date' => '2015-10-27T03:37:29',
                                                          'version' => '4.033'
                                                        },
                                                        {
                                                          'date' => '2015-12-15T07:16:36',
                                                          'version' => '4.033_01'
                                                        },
                                                        {
                                                          'date' => '2015-12-18T07:00:41',
                                                          'version' => '4.033_02'
                                                        },
                                                        {
                                                          'date' => '2016-07-04T19:32:50',
                                                          'version' => '4.033_03'
                                                        },
                                                        {
                                                          'date' => '2016-07-06T06:32:05',
                                                          'version' => '4.034'
                                                        },
                                                        {
                                                          'date' => '2016-07-09T05:50:13',
                                                          'version' => '4.035'
                                                        },
                                                        {
                                                          'date' => '2016-08-01T06:29:25',
                                                          'version' => '4.035_01'
                                                        },
                                                        {
                                                          'date' => '2016-08-11T08:11:18',
                                                          'version' => '4.035_02'
                                                        },
                                                        {
                                                          'date' => '2016-08-19T15:52:10',
                                                          'version' => '4.035_03'
                                                        },
                                                        {
                                                          'date' => '2016-08-23T05:59:26',
                                                          'version' => '4.036'
                                                        },
                                                        {
                                                          'date' => '2016-10-03T07:00:29',
                                                          'version' => '4.037'
                                                        },
                                                        {
                                                          'date' => '2016-10-14T20:56:49',
                                                          'version' => '4.037_01'
                                                        },
                                                        {
                                                          'date' => '2016-10-19T19:37:55',
                                                          'version' => '4.037_02'
                                                        },
                                                        {
                                                          'date' => '2016-10-20T02:33:04',
                                                          'version' => '4.038'
                                                        },
                                                        {
                                                          'date' => '2016-10-30T08:45:31',
                                                          'version' => '4.038_01'
                                                        },
                                                        {
                                                          'date' => '2016-11-16T03:57:57',
                                                          'version' => '4.039'
                                                        },
                                                        {
                                                          'date' => '2016-11-19T19:56:51',
                                                          'version' => '4.040'
                                                        },
                                                        {
                                                          'date' => '2016-11-28T20:40:41',
                                                          'version' => '4.041'
                                                        },
                                                        {
                                                          'date' => '2016-12-13T06:59:09',
                                                          'version' => '4.041_01'
                                                        },
                                                        {
                                                          'date' => '2017-02-28T20:57:20',
                                                          'version' => '4.041_02'
                                                        },
                                                        {
                                                          'date' => '2017-03-08T20:32:52',
                                                          'version' => '4.042'
                                                        },
                                                        {
                                                          'date' => '2017-06-29T21:12:09',
                                                          'version' => '4.043'
                                                        },
                                                        {
                                                          'date' => '2018-01-23T01:53:30',
                                                          'version' => '4.044'
                                                        },
                                                        {
                                                          'date' => '2018-02-07T21:43:00',
                                                          'version' => '4.044'
                                                        },
                                                        {
                                                          'date' => '2018-02-08T20:30:55',
                                                          'version' => '4.045'
                                                        },
                                                        {
                                                          'date' => '2018-02-08T20:48:11',
                                                          'version' => '4.046'
                                                        },
                                                        {
                                                          'date' => '2018-03-09T20:27:44',
                                                          'version' => '4.046_01'
                                                        },
                                                        {
                                                          'date' => '2018-09-09T03:02:20',
                                                          'version' => '4.047'
                                                        },
                                                        {
                                                          'date' => '2018-09-15T12:46:51',
                                                          'version' => '4.048'
                                                        },
                                                        {
                                                          'date' => '2018-11-17T18:58:09',
                                                          'version' => '4.049'
                                                        },
                                                        {
                                                          'date' => '2019-01-09T09:07:15',
                                                          'version' => '4.050'
                                                        }
                                                      ]
                                      },
                       'DBD-mysqlPP' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<0.93',
                                                              'description' => 'SQL injection.
',
                                                              'distribution' => 'DBD-mysqlPP',
                                                              'fixed_versions' => '>=0.03',
                                                              'id' => 'CPANSA-DBD-mysqlPP-2011-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/DBD-mysqlPP',
                                                                                'https://jvn.jp/en/jp/JVN51216285/index.html'
                                                                              ],
                                                              'reported' => '2011-10-14',
                                                              'severity' => 'high'
                                                            }
                                                          ],
                                          'main_module' => 'DBD::mysqlPP',
                                          'versions' => [
                                                          {
                                                            'date' => '2002-04-04T07:20:36',
                                                            'version' => '0.02'
                                                          },
                                                          {
                                                            'date' => '2002-04-15T10:26:39',
                                                            'version' => '0.03'
                                                          },
                                                          {
                                                            'date' => '2003-01-24T11:14:14',
                                                            'version' => '0.04'
                                                          },
                                                          {
                                                            'date' => '2011-10-21T23:07:07',
                                                            'version' => '0.05'
                                                          },
                                                          {
                                                            'date' => '2011-10-26T22:17:22',
                                                            'version' => '0.06'
                                                          },
                                                          {
                                                            'date' => '2011-11-17T22:24:50',
                                                            'version' => '0.07'
                                                          }
                                                        ]
                                        },
                       'DBI' => {
                                  'advisories' => [
                                                    {
                                                      'affected_versions' => '<1.632',
                                                      'description' => 'DBD::File drivers open files from folders other than specifically passed using the f_dir attribute.
',
                                                      'distribution' => 'DBI',
                                                      'fixed_versions' => '>=1.632',
                                                      'id' => 'CPANSA-DBI-2014-01',
                                                      'references' => [
                                                                        'https://metacpan.org/changes/distribution/DBI',
                                                                        'https://rt.cpan.org/Public/Bug/Display.html?id=99508'
                                                                      ],
                                                      'reported' => '2014-10-15',
                                                      'severity' => 'high'
                                                    },
                                                    {
                                                      'affected_versions' => '<1.47',
                                                      'cves' => [
                                                                  'CVE-2005-0077'
                                                                ],
                                                      'description' => 'Allows local users to overwrite arbitrary files via a symlink attack on a temporary PID file.
',
                                                      'distribution' => 'DBI',
                                                      'fixed_versions' => '>=1.47',
                                                      'id' => 'CPANSA-DBI-2005-01',
                                                      'references' => [
                                                                        'https://metacpan.org/changes/distribution/DBI'
                                                                      ],
                                                      'reported' => '2005-05-02'
                                                    }
                                                  ],
                                  'main_module' => 'DBI',
                                  'versions' => [
                                                  {
                                                    'date' => '1995-10-27T08:14:00',
                                                    'version' => '0.64'
                                                  },
                                                  {
                                                    'date' => '1996-02-15T22:07:00',
                                                    'version' => '0.67'
                                                  },
                                                  {
                                                    'date' => '1996-04-22T10:22:00',
                                                    'version' => '0.68'
                                                  },
                                                  {
                                                    'date' => '1996-05-07T19:46:00',
                                                    'version' => '0.69'
                                                  },
                                                  {
                                                    'date' => '1996-06-16T21:08:00',
                                                    'version' => '0.70'
                                                  },
                                                  {
                                                    'date' => '1996-07-10T00:49:00',
                                                    'version' => '0.71'
                                                  },
                                                  {
                                                    'date' => '1996-09-23T16:33:00',
                                                    'version' => '0.72'
                                                  },
                                                  {
                                                    'date' => '1996-10-15T00:58:00',
                                                    'version' => '0.73'
                                                  },
                                                  {
                                                    'date' => '1997-01-14T16:59:00',
                                                    'version' => '0.74'
                                                  },
                                                  {
                                                    'date' => '1997-01-27T21:59:00',
                                                    'version' => '0.75'
                                                  },
                                                  {
                                                    'date' => '1997-02-03T18:54:00',
                                                    'version' => '0.76'
                                                  },
                                                  {
                                                    'date' => '1997-02-21T14:27:00',
                                                    'version' => '0.77'
                                                  },
                                                  {
                                                    'date' => '1997-03-28T14:36:00',
                                                    'version' => '0.78'
                                                  },
                                                  {
                                                    'date' => '1997-04-07T18:28:00',
                                                    'version' => '0.79'
                                                  },
                                                  {
                                                    'date' => '1997-05-07T11:45:00',
                                                    'version' => '0.80'
                                                  },
                                                  {
                                                    'date' => '1997-05-07T14:05:00',
                                                    'version' => '0.81'
                                                  },
                                                  {
                                                    'date' => '1997-05-23T15:56:00',
                                                    'version' => '0.82'
                                                  },
                                                  {
                                                    'date' => '1997-06-11T21:40:00',
                                                    'version' => '0.83'
                                                  },
                                                  {
                                                    'date' => '1997-06-20T15:36:00',
                                                    'version' => '0.84'
                                                  },
                                                  {
                                                    'date' => '1997-06-25T10:25:00',
                                                    'version' => '0.85'
                                                  },
                                                  {
                                                    'date' => '1997-07-16T16:38:00',
                                                    'version' => '0.001'
                                                  },
                                                  {
                                                    'date' => '1997-07-18T11:27:00',
                                                    'version' => '0.87'
                                                  },
                                                  {
                                                    'date' => '1997-07-22T21:27:00',
                                                    'version' => '0.88'
                                                  },
                                                  {
                                                    'date' => '1997-07-25T13:46:55',
                                                    'version' => '0.89'
                                                  },
                                                  {
                                                    'date' => '1997-09-05T19:38:52',
                                                    'version' => '0.90'
                                                  },
                                                  {
                                                    'date' => '1997-12-10T17:15:14',
                                                    'version' => '0.91'
                                                  },
                                                  {
                                                    'date' => '1998-02-05T20:45:45',
                                                    'version' => '0.92'
                                                  },
                                                  {
                                                    'date' => '1998-02-13T15:21:52',
                                                    'version' => '0.93'
                                                  },
                                                  {
                                                    'date' => '1998-08-10T03:23:46',
                                                    'version' => '0.94'
                                                  },
                                                  {
                                                    'date' => '1998-08-11T13:21:19',
                                                    'version' => '0.95'
                                                  },
                                                  {
                                                    'date' => '1998-08-14T20:38:42',
                                                    'version' => '1.00'
                                                  },
                                                  {
                                                    'date' => '1998-09-02T14:59:47',
                                                    'version' => '1.01'
                                                  },
                                                  {
                                                    'date' => '1998-09-04T12:29:52',
                                                    'version' => '1.02'
                                                  },
                                                  {
                                                    'date' => '1999-01-18T21:52:15',
                                                    'version' => '1.06'
                                                  },
                                                  {
                                                    'date' => '1999-05-13T01:49:11',
                                                    'version' => '1.08'
                                                  },
                                                  {
                                                    'date' => '1999-06-02T13:44:40',
                                                    'version' => '1.08'
                                                  },
                                                  {
                                                    'date' => '1999-06-09T20:57:59',
                                                    'version' => '1.09'
                                                  },
                                                  {
                                                    'date' => '1999-06-13T23:52:03',
                                                    'version' => '1.10'
                                                  },
                                                  {
                                                    'date' => '1999-06-17T13:22:36',
                                                    'version' => '1.11'
                                                  },
                                                  {
                                                    'date' => '1999-06-29T23:07:41',
                                                    'version' => '1.12'
                                                  },
                                                  {
                                                    'date' => '1999-07-12T03:28:41',
                                                    'version' => '1.13'
                                                  },
                                                  {
                                                    'date' => '2000-06-11T02:39:59',
                                                    'version' => '1.03_80'
                                                  },
                                                  {
                                                    'date' => '2000-06-14T20:30:57',
                                                    'version' => '1.14'
                                                  },
                                                  {
                                                    'date' => '2001-03-30T15:03:31',
                                                    'version' => '1.15'
                                                  },
                                                  {
                                                    'date' => '2001-05-29T23:25:57',
                                                    'version' => '1.16'
                                                  },
                                                  {
                                                    'date' => '2001-06-04T17:12:30',
                                                    'version' => '1.17'
                                                  },
                                                  {
                                                    'date' => '2001-06-04T19:00:37',
                                                    'version' => '1.18'
                                                  },
                                                  {
                                                    'date' => '2001-07-20T22:29:24',
                                                    'version' => '1.19'
                                                  },
                                                  {
                                                    'date' => '2001-08-24T23:32:10',
                                                    'version' => '1.20'
                                                  },
                                                  {
                                                    'date' => '2002-01-10T15:25:45',
                                                    'version' => '1.201'
                                                  },
                                                  {
                                                    'date' => '2002-02-07T03:30:16',
                                                    'version' => '1.21'
                                                  },
                                                  {
                                                    'date' => '2002-03-13T14:18:00',
                                                    'version' => '1.21'
                                                  },
                                                  {
                                                    'date' => '2002-05-22T13:42:15',
                                                    'version' => '1.22'
                                                  },
                                                  {
                                                    'date' => '2002-05-25T17:38:03',
                                                    'version' => '1.23'
                                                  },
                                                  {
                                                    'date' => '2002-06-05T03:32:38',
                                                    'version' => '1.24'
                                                  },
                                                  {
                                                    'date' => '2002-06-05T22:42:04',
                                                    'version' => '1.25'
                                                  },
                                                  {
                                                    'date' => '2002-06-13T12:30:47',
                                                    'version' => '1.26'
                                                  },
                                                  {
                                                    'date' => '2002-06-13T15:19:06',
                                                    'version' => '1.27'
                                                  },
                                                  {
                                                    'date' => '2002-06-14T13:13:53',
                                                    'version' => '1.28'
                                                  },
                                                  {
                                                    'date' => '2002-06-26T09:34:24',
                                                    'version' => '1.28'
                                                  },
                                                  {
                                                    'date' => '2002-07-15T11:24:40',
                                                    'version' => '1.29'
                                                  },
                                                  {
                                                    'date' => '2002-07-18T14:27:25',
                                                    'version' => '1.30'
                                                  },
                                                  {
                                                    'date' => '2002-11-30T00:49:54',
                                                    'version' => '1.31'
                                                  },
                                                  {
                                                    'date' => '2002-12-01T23:01:26',
                                                    'version' => '1.32'
                                                  },
                                                  {
                                                    'date' => '2002-12-20T16:23:29',
                                                    'version' => '1.32'
                                                  },
                                                  {
                                                    'date' => '2003-02-26T18:01:24',
                                                    'version' => '1.32_90'
                                                  },
                                                  {
                                                    'date' => '2003-02-27T00:25:32',
                                                    'version' => '1.33'
                                                  },
                                                  {
                                                    'date' => '2003-02-28T17:53:35',
                                                    'version' => '1.34'
                                                  },
                                                  {
                                                    'date' => '2003-03-07T22:02:20',
                                                    'version' => '1.35'
                                                  },
                                                  {
                                                    'date' => '2003-05-14T11:13:39',
                                                    'version' => '1.36'
                                                  },
                                                  {
                                                    'date' => '2003-05-15T18:02:26',
                                                    'version' => '1.37'
                                                  },
                                                  {
                                                    'date' => '2003-08-25T20:36:26',
                                                    'version' => '1.38'
                                                  },
                                                  {
                                                    'date' => '2003-11-27T23:46:40',
                                                    'version' => '1.39'
                                                  },
                                                  {
                                                    'date' => '2004-01-08T14:04:59',
                                                    'version' => '1.39'
                                                  },
                                                  {
                                                    'date' => '2004-02-23T14:54:21',
                                                    'version' => '1.41'
                                                  },
                                                  {
                                                    'date' => '2004-03-12T16:40:08',
                                                    'version' => '1.41'
                                                  },
                                                  {
                                                    'date' => '2004-07-05T10:02:05',
                                                    'version' => '1.43'
                                                  },
                                                  {
                                                    'date' => '2004-10-05T21:27:23',
                                                    'version' => '1.44'
                                                  },
                                                  {
                                                    'date' => '2004-10-06T13:49:20',
                                                    'version' => '1.45'
                                                  },
                                                  {
                                                    'date' => '2004-11-16T12:38:32',
                                                    'version' => '1.46'
                                                  },
                                                  {
                                                    'date' => '2005-02-02T11:28:46',
                                                    'version' => '1.47'
                                                  },
                                                  {
                                                    'date' => '2005-03-14T17:03:33',
                                                    'version' => '1.48'
                                                  },
                                                  {
                                                    'date' => '2005-11-29T19:59:40',
                                                    'version' => '1.49'
                                                  },
                                                  {
                                                    'date' => '2005-12-14T16:55:16',
                                                    'version' => '1.50'
                                                  },
                                                  {
                                                    'date' => '2006-04-19T15:56:38',
                                                    'version' => '1.45'
                                                  },
                                                  {
                                                    'date' => '2006-06-06T12:08:36',
                                                    'version' => '1.51'
                                                  },
                                                  {
                                                    'date' => '2006-08-08T21:13:32',
                                                    'version' => '1.52'
                                                  },
                                                  {
                                                    'date' => '2006-11-02T00:38:01',
                                                    'version' => '1.53'
                                                  },
                                                  {
                                                    'date' => '2007-02-23T17:15:23',
                                                    'version' => '1.54'
                                                  },
                                                  {
                                                    'date' => '2007-05-04T14:56:38',
                                                    'version' => '1.55'
                                                  },
                                                  {
                                                    'date' => '2007-05-10T14:04:04',
                                                    'version' => '1.56'
                                                  },
                                                  {
                                                    'date' => '2007-05-13T22:00:58',
                                                    'version' => '1.56'
                                                  },
                                                  {
                                                    'date' => '2007-06-13T16:45:34',
                                                    'version' => '1.57'
                                                  },
                                                  {
                                                    'date' => '2007-06-15T17:06:42',
                                                    'version' => '1.57'
                                                  },
                                                  {
                                                    'date' => '2007-06-18T15:15:31',
                                                    'version' => '1.57'
                                                  },
                                                  {
                                                    'date' => '2007-06-25T22:11:47',
                                                    'version' => '1.58'
                                                  },
                                                  {
                                                    'date' => '2007-08-22T17:02:10',
                                                    'version' => '1.59'
                                                  },
                                                  {
                                                    'date' => '2007-08-23T12:22:26',
                                                    'version' => '1.59'
                                                  },
                                                  {
                                                    'date' => '2007-08-23T13:59:53',
                                                    'version' => '1.59'
                                                  },
                                                  {
                                                    'date' => '2007-08-24T09:19:29',
                                                    'version' => '1.59'
                                                  },
                                                  {
                                                    'date' => '2007-10-16T13:12:55',
                                                    'version' => '1.601'
                                                  },
                                                  {
                                                    'date' => '2007-10-21T22:12:52',
                                                    'version' => '1.601'
                                                  },
                                                  {
                                                    'date' => '2008-02-09T22:06:13',
                                                    'version' => '1.602'
                                                  },
                                                  {
                                                    'date' => '2008-03-22T00:11:03',
                                                    'version' => '1.603'
                                                  },
                                                  {
                                                    'date' => '2008-03-24T14:11:41',
                                                    'version' => '1.604'
                                                  },
                                                  {
                                                    'date' => '2008-06-16T19:19:43',
                                                    'version' => '1.605'
                                                  },
                                                  {
                                                    'date' => '2008-07-22T21:01:09',
                                                    'version' => '1.606'
                                                  },
                                                  {
                                                    'date' => '2008-07-22T21:50:54',
                                                    'version' => '1.607'
                                                  },
                                                  {
                                                    'date' => '2009-05-02T22:58:48',
                                                    'version' => '1.608'
                                                  },
                                                  {
                                                    'date' => '2009-05-05T12:05:19',
                                                    'version' => '1.608'
                                                  },
                                                  {
                                                    'date' => '2009-06-05T22:57:34',
                                                    'version' => '1.609'
                                                  },
                                                  {
                                                    'date' => '2009-06-08T10:29:18',
                                                    'version' => '1.609'
                                                  },
                                                  {
                                                    'date' => '2010-03-02T21:26:39',
                                                    'version' => '1.611'
                                                  },
                                                  {
                                                    'date' => '2010-04-22T11:06:31',
                                                    'version' => '1.611'
                                                  },
                                                  {
                                                    'date' => '2010-04-27T15:13:32',
                                                    'version' => '1.611'
                                                  },
                                                  {
                                                    'date' => '2010-04-29T19:54:44',
                                                    'version' => '1.611'
                                                  },
                                                  {
                                                    'date' => '2010-05-28T10:29:17',
                                                    'version' => '1.612'
                                                  },
                                                  {
                                                    'date' => '2010-06-15T22:47:23',
                                                    'version' => '1.612'
                                                  },
                                                  {
                                                    'date' => '2010-06-16T19:18:05',
                                                    'version' => '1.612'
                                                  },
                                                  {
                                                    'date' => '2010-07-02T14:26:03',
                                                    'version' => '1.612'
                                                  },
                                                  {
                                                    'date' => '2010-07-15T15:00:53',
                                                    'version' => '1.612'
                                                  },
                                                  {
                                                    'date' => '2010-07-16T19:36:42',
                                                    'version' => '1.612'
                                                  },
                                                  {
                                                    'date' => '2010-07-22T17:34:16',
                                                    'version' => '1.613'
                                                  },
                                                  {
                                                    'date' => '2010-07-25T15:50:15',
                                                    'version' => '1.613'
                                                  },
                                                  {
                                                    'date' => '2010-07-30T14:17:33',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-08-16T16:34:58',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-08-30T20:11:00',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-08-30T20:26:37',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-08-30T20:56:09',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-09-02T15:44:21',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-09-09T10:24:11',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-09-16T16:23:50',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-09-17T09:48:02',
                                                    'version' => '1.614'
                                                  },
                                                  {
                                                    'date' => '2010-09-21T10:14:29',
                                                    'version' => '1.615'
                                                  },
                                                  {
                                                    'date' => '2010-09-22T12:28:20',
                                                    'version' => '1.615'
                                                  },
                                                  {
                                                    'date' => '2010-12-18T21:51:52',
                                                    'version' => '1.616'
                                                  },
                                                  {
                                                    'date' => '2010-12-21T23:26:46',
                                                    'version' => '1.616'
                                                  },
                                                  {
                                                    'date' => '2010-12-29T14:39:48',
                                                    'version' => '1.616'
                                                  },
                                                  {
                                                    'date' => '2010-12-30T10:26:51',
                                                    'version' => '1.616'
                                                  },
                                                  {
                                                    'date' => '2012-01-02T17:12:53',
                                                    'version' => '1.617'
                                                  },
                                                  {
                                                    'date' => '2012-01-28T09:34:18',
                                                    'version' => '1.617'
                                                  },
                                                  {
                                                    'date' => '2012-01-30T10:06:49',
                                                    'version' => '1.617'
                                                  },
                                                  {
                                                    'date' => '2012-02-07T22:54:02',
                                                    'version' => '1.618'
                                                  },
                                                  {
                                                    'date' => '2012-02-13T18:24:33',
                                                    'version' => '1.618'
                                                  },
                                                  {
                                                    'date' => '2012-02-23T11:05:45',
                                                    'version' => '1.618'
                                                  },
                                                  {
                                                    'date' => '2012-02-25T14:24:39',
                                                    'version' => '1.618'
                                                  },
                                                  {
                                                    'date' => '2012-04-18T11:57:55',
                                                    'version' => '1.619'
                                                  },
                                                  {
                                                    'date' => '2012-04-20T20:21:54',
                                                    'version' => '1.619'
                                                  },
                                                  {
                                                    'date' => '2012-04-23T22:09:14',
                                                    'version' => '1.619'
                                                  },
                                                  {
                                                    'date' => '2012-04-25T12:46:54',
                                                    'version' => '1.620'
                                                  },
                                                  {
                                                    'date' => '2012-05-21T13:06:09',
                                                    'version' => '1.621'
                                                  },
                                                  {
                                                    'date' => '2012-05-22T22:17:06',
                                                    'version' => '1.621'
                                                  },
                                                  {
                                                    'date' => '2012-06-06T16:51:00',
                                                    'version' => '1.622'
                                                  },
                                                  {
                                                    'date' => '2012-07-13T15:24:35',
                                                    'version' => '1.623'
                                                  },
                                                  {
                                                    'date' => '2012-10-30T13:01:14',
                                                    'version' => '1.623'
                                                  },
                                                  {
                                                    'date' => '2012-11-19T23:27:04',
                                                    'version' => '1.623'
                                                  },
                                                  {
                                                    'date' => '2012-12-13T16:26:23',
                                                    'version' => '1.623'
                                                  },
                                                  {
                                                    'date' => '2012-12-21T17:22:01',
                                                    'version' => '1.623'
                                                  },
                                                  {
                                                    'date' => '2013-01-02T10:09:42',
                                                    'version' => '1.623'
                                                  },
                                                  {
                                                    'date' => '2013-03-22T20:41:50',
                                                    'version' => '1.624'
                                                  },
                                                  {
                                                    'date' => '2013-03-28T21:59:38',
                                                    'version' => '1.625'
                                                  },
                                                  {
                                                    'date' => '2013-05-15T11:28:03',
                                                    'version' => '1.626'
                                                  },
                                                  {
                                                    'date' => '2013-05-16T20:30:50',
                                                    'version' => '1.627'
                                                  },
                                                  {
                                                    'date' => '2013-06-24T21:56:27',
                                                    'version' => '1.628'
                                                  },
                                                  {
                                                    'date' => '2013-06-24T22:12:23',
                                                    'version' => '1.628'
                                                  },
                                                  {
                                                    'date' => '2013-06-30T19:08:08',
                                                    'version' => '1.628'
                                                  },
                                                  {
                                                    'date' => '2013-07-02T11:27:23',
                                                    'version' => '1.628'
                                                  },
                                                  {
                                                    'date' => '2013-07-22T13:22:40',
                                                    'version' => '1.628'
                                                  },
                                                  {
                                                    'date' => '2013-10-11T12:28:12',
                                                    'version' => '1.629'
                                                  },
                                                  {
                                                    'date' => '2013-10-13T16:02:52',
                                                    'version' => '1.629'
                                                  },
                                                  {
                                                    'date' => '2013-10-15T12:24:53',
                                                    'version' => '1.629'
                                                  },
                                                  {
                                                    'date' => '2013-10-22T11:58:53',
                                                    'version' => '1.629_50'
                                                  },
                                                  {
                                                    'date' => '2013-10-28T12:51:39',
                                                    'version' => '1.630'
                                                  },
                                                  {
                                                    'date' => '2014-01-13T13:51:01',
                                                    'version' => '1.631'
                                                  },
                                                  {
                                                    'date' => '2014-01-16T11:34:34',
                                                    'version' => '1.631'
                                                  },
                                                  {
                                                    'date' => '2014-01-20T11:12:44',
                                                    'version' => '1.631'
                                                  },
                                                  {
                                                    'date' => '2014-10-23T14:08:22',
                                                    'version' => '1.631'
                                                  },
                                                  {
                                                    'date' => '2014-11-05T11:15:07',
                                                    'version' => '1.632'
                                                  },
                                                  {
                                                    'date' => '2015-01-08T14:31:52',
                                                    'version' => '1.632'
                                                  },
                                                  {
                                                    'date' => '2015-01-11T13:26:05',
                                                    'version' => '1.633'
                                                  },
                                                  {
                                                    'date' => '2015-07-18T13:16:07',
                                                    'version' => '1.633'
                                                  },
                                                  {
                                                    'date' => '2015-07-19T14:34:22',
                                                    'version' => '1.633_91'
                                                  },
                                                  {
                                                    'date' => '2015-07-22T15:27:59',
                                                    'version' => '1.633_92'
                                                  },
                                                  {
                                                    'date' => '2015-08-02T16:52:48',
                                                    'version' => '1.633_93'
                                                  },
                                                  {
                                                    'date' => '2015-08-03T14:52:56',
                                                    'version' => '1.634'
                                                  },
                                                  {
                                                    'date' => '2016-04-23T15:28:02',
                                                    'version' => '1.634'
                                                  },
                                                  {
                                                    'date' => '2016-04-24T11:57:03',
                                                    'version' => '1.635'
                                                  },
                                                  {
                                                    'date' => '2016-04-24T22:20:56',
                                                    'version' => '1.636'
                                                  },
                                                  {
                                                    'date' => '2017-08-14T10:10:55',
                                                    'version' => '1.637'
                                                  },
                                                  {
                                                    'date' => '2017-08-16T09:02:40',
                                                    'version' => '1.637'
                                                  },
                                                  {
                                                    'date' => '2017-12-28T14:40:44',
                                                    'version' => '1.639'
                                                  },
                                                  {
                                                    'date' => '2018-01-28T20:50:53',
                                                    'version' => '1.640'
                                                  },
                                                  {
                                                    'date' => '2018-03-19T18:06:08',
                                                    'version' => '1.641'
                                                  },
                                                  {
                                                    'date' => '2018-10-28T15:08:54',
                                                    'version' => '1.641_90'
                                                  },
                                                  {
                                                    'date' => '2018-10-29T10:43:41',
                                                    'version' => '1.642'
                                                  }
                                                ]
                                },
                       'DBIx-Custom' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<0.1641',
                                                              'description' => 'SQL injection when passing special column names.
',
                                                              'distribution' => 'DBIx-Custom',
                                                              'fixed_versions' => '>=0.1641',
                                                              'id' => 'CPANSA-DBIx-Custom-2011-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/DBIx-Custom',
                                                                                'https://github.com/yuki-kimoto/DBIx-Custom/commit/5b00b9f9a966e7abecabd91710c8fa893784d919'
                                                                              ],
                                                              'reported' => '2011-01-27',
                                                              'severity' => 'high'
                                                            }
                                                          ],
                                          'main_module' => 'DBIx::Custom',
                                          'versions' => [
                                                          {
                                                            'date' => '2009-11-08T04:18:19',
                                                            'version' => '0.0101'
                                                          },
                                                          {
                                                            'date' => '2009-11-09T10:46:44',
                                                            'version' => '0.0201'
                                                          },
                                                          {
                                                            'date' => '2009-11-12T14:12:47',
                                                            'version' => '0.0301'
                                                          },
                                                          {
                                                            'date' => '2009-11-15T11:43:40',
                                                            'version' => '0.0401'
                                                          },
                                                          {
                                                            'date' => '2009-11-16T11:10:52',
                                                            'version' => '0.0501'
                                                          },
                                                          {
                                                            'date' => '2009-11-17T12:37:33',
                                                            'version' => '0.0502'
                                                          },
                                                          {
                                                            'date' => '2009-11-19T12:05:50',
                                                            'version' => '0.0601'
                                                          },
                                                          {
                                                            'date' => '2009-11-19T13:37:39',
                                                            'version' => '0.0602'
                                                          },
                                                          {
                                                            'date' => '2009-11-20T12:08:31',
                                                            'version' => '0.0603'
                                                          },
                                                          {
                                                            'date' => '2009-11-23T13:39:53',
                                                            'version' => '0.0604'
                                                          },
                                                          {
                                                            'date' => '2009-11-23T14:45:46',
                                                            'version' => '0.0605'
                                                          },
                                                          {
                                                            'date' => '2009-11-25T13:57:52',
                                                            'version' => '0.0701'
                                                          },
                                                          {
                                                            'date' => '2009-12-01T07:30:25',
                                                            'version' => '0.0702'
                                                          },
                                                          {
                                                            'date' => '2009-12-02T13:59:36',
                                                            'version' => '0.0801'
                                                          },
                                                          {
                                                            'date' => '2009-12-09T14:27:53',
                                                            'version' => '0.0901'
                                                          },
                                                          {
                                                            'date' => '2009-12-22T13:40:07',
                                                            'version' => '0.0902'
                                                          },
                                                          {
                                                            'date' => '2010-01-18T12:42:57',
                                                            'version' => '0.0903'
                                                          },
                                                          {
                                                            'date' => '2010-01-21T14:29:12',
                                                            'version' => '0.0904'
                                                          },
                                                          {
                                                            'date' => '2010-01-22T12:51:23',
                                                            'version' => '0.0905'
                                                          },
                                                          {
                                                            'date' => '2010-01-24T09:49:30',
                                                            'version' => '0.0906'
                                                          },
                                                          {
                                                            'date' => '2010-01-30T00:15:17',
                                                            'version' => '0.1001'
                                                          },
                                                          {
                                                            'date' => '2010-01-30T03:51:04',
                                                            'version' => '0.1101'
                                                          },
                                                          {
                                                            'date' => '2010-05-01T13:02:19',
                                                            'version' => '0.1301'
                                                          },
                                                          {
                                                            'date' => '2010-05-01T23:29:22',
                                                            'version' => '0.1401'
                                                          },
                                                          {
                                                            'date' => '2010-05-02T06:04:57',
                                                            'version' => '0.1402'
                                                          },
                                                          {
                                                            'date' => '2010-05-26T15:13:04',
                                                            'version' => '0.1501'
                                                          },
                                                          {
                                                            'date' => '2010-05-27T14:00:04',
                                                            'version' => '0.1502'
                                                          },
                                                          {
                                                            'date' => '2010-05-28T13:28:16',
                                                            'version' => '0.1503'
                                                          },
                                                          {
                                                            'date' => '2010-06-25T12:11:33',
                                                            'version' => '0.1602'
                                                          },
                                                          {
                                                            'date' => '2010-07-14T13:55:33',
                                                            'version' => '0.1603'
                                                          },
                                                          {
                                                            'date' => '2010-08-03T14:43:14',
                                                            'version' => '0.1604'
                                                          },
                                                          {
                                                            'date' => '2010-08-05T15:17:49',
                                                            'version' => '0.1605'
                                                          },
                                                          {
                                                            'date' => '2010-08-05T15:24:36',
                                                            'version' => '0.1606'
                                                          },
                                                          {
                                                            'date' => '2010-08-06T14:57:35',
                                                            'version' => '0.1607'
                                                          },
                                                          {
                                                            'date' => '2010-08-07T05:49:19',
                                                            'version' => '0.1608'
                                                          },
                                                          {
                                                            'date' => '2010-08-08T04:45:12',
                                                            'version' => '0.1609'
                                                          },
                                                          {
                                                            'date' => '2010-08-08T12:44:43',
                                                            'version' => '0.1610'
                                                          },
                                                          {
                                                            'date' => '2010-08-09T12:08:31',
                                                            'version' => '0.1611'
                                                          },
                                                          {
                                                            'date' => '2010-08-10T11:19:41',
                                                            'version' => '0.1612'
                                                          },
                                                          {
                                                            'date' => '2010-08-10T12:35:17',
                                                            'version' => '0.1613'
                                                          },
                                                          {
                                                            'date' => '2010-08-12T15:01:01',
                                                            'version' => '0.1614'
                                                          },
                                                          {
                                                            'date' => '2010-08-15T04:00:44',
                                                            'version' => '0.1615'
                                                          },
                                                          {
                                                            'date' => '2010-08-24T10:18:06',
                                                            'version' => '0.1616'
                                                          },
                                                          {
                                                            'date' => '2010-09-07T12:12:04',
                                                            'version' => '0.1617'
                                                          },
                                                          {
                                                            'date' => '2010-10-17T05:44:56',
                                                            'version' => '0.1618'
                                                          },
                                                          {
                                                            'date' => '2010-10-20T15:01:35',
                                                            'version' => '0.1619'
                                                          },
                                                          {
                                                            'date' => '2010-10-21T14:38:05',
                                                            'version' => '0.1620'
                                                          },
                                                          {
                                                            'date' => '2010-11-10T06:54:46',
                                                            'version' => '0.1621'
                                                          },
                                                          {
                                                            'date' => '2010-12-20T14:58:38',
                                                            'version' => '0.1622'
                                                          },
                                                          {
                                                            'date' => '2010-12-21T16:10:25',
                                                            'version' => '0.1623'
                                                          },
                                                          {
                                                            'date' => '2010-12-22T08:41:09',
                                                            'version' => '0.1624'
                                                          },
                                                          {
                                                            'date' => '2011-01-01T16:08:48',
                                                            'version' => '0.1625'
                                                          },
                                                          {
                                                            'date' => '2011-01-02T04:21:11',
                                                            'version' => '0.1626'
                                                          },
                                                          {
                                                            'date' => '2011-01-04T15:18:21',
                                                            'version' => '0.1627'
                                                          },
                                                          {
                                                            'date' => '2011-01-12T07:29:29',
                                                            'version' => '0.1628'
                                                          },
                                                          {
                                                            'date' => '2011-01-12T15:35:11',
                                                            'version' => '0.1629'
                                                          },
                                                          {
                                                            'date' => '2011-01-13T15:41:25',
                                                            'version' => '0.1630'
                                                          },
                                                          {
                                                            'date' => '2011-01-17T15:53:44',
                                                            'version' => '0.1631'
                                                          },
                                                          {
                                                            'date' => '2011-01-18T14:43:16',
                                                            'version' => '0.1632'
                                                          },
                                                          {
                                                            'date' => '2011-01-18T15:22:37',
                                                            'version' => '0.1633'
                                                          },
                                                          {
                                                            'date' => '2011-01-19T14:52:48',
                                                            'version' => '0.1634'
                                                          },
                                                          {
                                                            'date' => '2011-01-21T14:04:02',
                                                            'version' => '0.1635'
                                                          },
                                                          {
                                                            'date' => '2011-01-22T13:02:55',
                                                            'version' => '0.1636'
                                                          },
                                                          {
                                                            'date' => '2011-01-24T12:58:40',
                                                            'version' => '0.1637'
                                                          },
                                                          {
                                                            'date' => '2011-01-25T12:32:26',
                                                            'version' => '0.1638'
                                                          },
                                                          {
                                                            'date' => '2011-01-26T09:23:22',
                                                            'version' => '0.1639'
                                                          },
                                                          {
                                                            'date' => '2011-01-26T13:59:10',
                                                            'version' => '0.1640'
                                                          },
                                                          {
                                                            'date' => '2011-01-27T05:19:14',
                                                            'version' => '0.1641'
                                                          },
                                                          {
                                                            'date' => '2011-01-28T12:18:42',
                                                            'version' => '0.1642'
                                                          },
                                                          {
                                                            'date' => '2011-02-09T08:54:11',
                                                            'version' => '0.1643'
                                                          },
                                                          {
                                                            'date' => '2011-02-11T14:07:25',
                                                            'version' => '0.1644'
                                                          },
                                                          {
                                                            'date' => '2011-02-14T15:24:30',
                                                            'version' => '0.1645'
                                                          },
                                                          {
                                                            'date' => '2011-02-18T17:48:52',
                                                            'version' => '0.1646'
                                                          },
                                                          {
                                                            'date' => '2011-02-19T00:30:41',
                                                            'version' => '0.1647'
                                                          },
                                                          {
                                                            'date' => '2011-02-21T16:13:29',
                                                            'version' => '0.1648'
                                                          },
                                                          {
                                                            'date' => '2011-02-22T14:53:08',
                                                            'version' => '0.1649'
                                                          },
                                                          {
                                                            'date' => '2011-02-24T05:45:44',
                                                            'version' => '0.1650'
                                                          },
                                                          {
                                                            'date' => '2011-02-24T14:35:20',
                                                            'version' => '0.1651'
                                                          },
                                                          {
                                                            'date' => '2011-02-25T14:39:56',
                                                            'version' => '0.1652'
                                                          },
                                                          {
                                                            'date' => '2011-02-28T13:18:03',
                                                            'version' => '0.1653'
                                                          },
                                                          {
                                                            'date' => '2011-03-06T14:32:11',
                                                            'version' => '0.1654'
                                                          },
                                                          {
                                                            'date' => '2011-03-08T14:59:08',
                                                            'version' => '0.1655'
                                                          },
                                                          {
                                                            'date' => '2011-03-09T13:44:35',
                                                            'version' => '0.1656'
                                                          },
                                                          {
                                                            'date' => '2011-03-10T15:44:50',
                                                            'version' => '0.1657'
                                                          },
                                                          {
                                                            'date' => '2011-03-11T16:23:11',
                                                            'version' => '0.1658'
                                                          },
                                                          {
                                                            'date' => '2011-03-12T08:20:07',
                                                            'version' => '0.1659'
                                                          },
                                                          {
                                                            'date' => '2011-03-14T11:16:27',
                                                            'version' => '0.1660'
                                                          },
                                                          {
                                                            'date' => '2011-03-15T16:32:52',
                                                            'version' => '0.1661'
                                                          },
                                                          {
                                                            'date' => '2011-03-19T14:40:50',
                                                            'version' => '0.1662'
                                                          },
                                                          {
                                                            'date' => '2011-03-21T03:53:25',
                                                            'version' => '0.1663'
                                                          },
                                                          {
                                                            'date' => '2011-03-24T14:45:52',
                                                            'version' => '0.1664'
                                                          },
                                                          {
                                                            'date' => '2011-03-25T14:25:43',
                                                            'version' => '0.1665'
                                                          },
                                                          {
                                                            'date' => '2011-03-29T17:26:27',
                                                            'version' => '0.1666'
                                                          },
                                                          {
                                                            'date' => '2011-03-30T08:03:39',
                                                            'version' => '0.1667'
                                                          },
                                                          {
                                                            'date' => '2011-03-30T15:04:03',
                                                            'version' => '0.1668'
                                                          },
                                                          {
                                                            'date' => '2011-03-30T15:25:45',
                                                            'version' => '0.1669'
                                                          },
                                                          {
                                                            'date' => '2011-04-01T15:29:33',
                                                            'version' => '0.1670'
                                                          },
                                                          {
                                                            'date' => '2011-04-02T16:31:44',
                                                            'version' => '0.1671'
                                                          },
                                                          {
                                                            'date' => '2011-04-04T13:37:34',
                                                            'version' => '0.1672'
                                                          },
                                                          {
                                                            'date' => '2011-04-05T11:45:54',
                                                            'version' => '0.1673'
                                                          },
                                                          {
                                                            'date' => '2011-04-05T11:59:11',
                                                            'version' => '0.1674'
                                                          },
                                                          {
                                                            'date' => '2011-04-11T13:47:34',
                                                            'version' => '0.1675'
                                                          },
                                                          {
                                                            'date' => '2011-04-11T14:55:38',
                                                            'version' => '0.1676'
                                                          },
                                                          {
                                                            'date' => '2011-04-12T15:17:24',
                                                            'version' => '0.1677'
                                                          },
                                                          {
                                                            'date' => '2011-04-18T13:36:31',
                                                            'version' => '0.1678'
                                                          },
                                                          {
                                                            'date' => '2011-04-19T11:07:27',
                                                            'version' => '0.1679'
                                                          },
                                                          {
                                                            'date' => '2011-04-25T14:05:23',
                                                            'version' => '0.1680'
                                                          },
                                                          {
                                                            'date' => '2011-04-26T14:07:02',
                                                            'version' => '0.1681'
                                                          },
                                                          {
                                                            'date' => '2011-05-23T14:40:41',
                                                            'version' => '0.1682'
                                                          },
                                                          {
                                                            'date' => '2011-06-06T11:52:44',
                                                            'version' => '0.1683'
                                                          },
                                                          {
                                                            'date' => '2011-06-07T13:07:20',
                                                            'version' => '0.1684'
                                                          },
                                                          {
                                                            'date' => '2011-06-08T10:32:35',
                                                            'version' => '0.1685'
                                                          },
                                                          {
                                                            'date' => '2011-06-08T12:24:07',
                                                            'version' => '0.1686'
                                                          },
                                                          {
                                                            'date' => '2011-06-09T13:59:44',
                                                            'version' => '0.1687'
                                                          },
                                                          {
                                                            'date' => '2011-06-10T13:26:20',
                                                            'version' => '0.1688'
                                                          },
                                                          {
                                                            'date' => '2011-06-12T03:22:26',
                                                            'version' => '0.1689'
                                                          },
                                                          {
                                                            'date' => '2011-06-12T12:01:43',
                                                            'version' => '0.1690'
                                                          },
                                                          {
                                                            'date' => '2011-06-13T13:31:21',
                                                            'version' => '0.1691'
                                                          },
                                                          {
                                                            'date' => '2011-06-14T13:27:31',
                                                            'version' => '0.1692'
                                                          },
                                                          {
                                                            'date' => '2011-06-15T08:51:43',
                                                            'version' => '0.1693'
                                                          },
                                                          {
                                                            'date' => '2011-06-17T14:38:23',
                                                            'version' => '0.1694'
                                                          },
                                                          {
                                                            'date' => '2011-06-20T13:08:47',
                                                            'version' => '0.1695'
                                                          },
                                                          {
                                                            'date' => '2011-06-21T13:12:38',
                                                            'version' => '0.1696'
                                                          },
                                                          {
                                                            'date' => '2011-06-24T13:42:00',
                                                            'version' => '0.1697'
                                                          },
                                                          {
                                                            'date' => '2011-06-27T13:23:13',
                                                            'version' => '0.1698'
                                                          },
                                                          {
                                                            'date' => '2011-06-28T14:39:21',
                                                            'version' => '0.1699'
                                                          },
                                                          {
                                                            'date' => '2011-07-01T11:04:37',
                                                            'version' => '0.1700'
                                                          },
                                                          {
                                                            'date' => '2011-07-11T13:19:20',
                                                            'version' => '0.1701'
                                                          },
                                                          {
                                                            'date' => '2011-07-26T14:09:43',
                                                            'version' => '0.1702'
                                                          },
                                                          {
                                                            'date' => '2011-07-28T04:59:20',
                                                            'version' => '0.1703'
                                                          },
                                                          {
                                                            'date' => '2011-07-29T13:45:24',
                                                            'version' => '0.1704'
                                                          },
                                                          {
                                                            'date' => '2011-07-29T14:35:38',
                                                            'version' => '0.1705'
                                                          },
                                                          {
                                                            'date' => '2011-07-30T04:25:21',
                                                            'version' => '0.1706'
                                                          },
                                                          {
                                                            'date' => '2011-07-30T05:16:05',
                                                            'version' => '0.1707'
                                                          },
                                                          {
                                                            'date' => '2011-07-30T14:32:34',
                                                            'version' => '0.1708'
                                                          },
                                                          {
                                                            'date' => '2011-08-01T12:48:52',
                                                            'version' => '0.1709'
                                                          },
                                                          {
                                                            'date' => '2011-08-02T13:30:15',
                                                            'version' => '0.1710'
                                                          },
                                                          {
                                                            'date' => '2011-08-09T14:11:24',
                                                            'version' => '0.1711'
                                                          },
                                                          {
                                                            'date' => '2011-08-10T16:16:52',
                                                            'version' => '0.1712'
                                                          },
                                                          {
                                                            'date' => '2011-08-12T13:45:58',
                                                            'version' => '0.1713'
                                                          },
                                                          {
                                                            'date' => '2011-08-13T13:38:02',
                                                            'version' => '0.1714'
                                                          },
                                                          {
                                                            'date' => '2011-08-14T03:47:28',
                                                            'version' => '0.1715'
                                                          },
                                                          {
                                                            'date' => '2011-08-15T14:00:28',
                                                            'version' => '0.1716'
                                                          },
                                                          {
                                                            'date' => '2011-08-16T04:03:16',
                                                            'version' => '0.1717'
                                                          },
                                                          {
                                                            'date' => '2011-08-20T09:40:46',
                                                            'version' => '0.1718'
                                                          },
                                                          {
                                                            'date' => '2011-08-22T13:43:21',
                                                            'version' => '0.1720'
                                                          },
                                                          {
                                                            'date' => '2011-08-26T14:11:53',
                                                            'version' => '0.1721'
                                                          },
                                                          {
                                                            'date' => '2011-09-02T15:12:10',
                                                            'version' => '0.1722'
                                                          },
                                                          {
                                                            'date' => '2011-09-12T12:24:14',
                                                            'version' => '0.1723'
                                                          },
                                                          {
                                                            'date' => '2011-09-16T15:15:54',
                                                            'version' => '0.1724'
                                                          },
                                                          {
                                                            'date' => '2011-09-27T11:48:33',
                                                            'version' => '0.1725'
                                                          },
                                                          {
                                                            'date' => '2011-09-30T11:21:45',
                                                            'version' => '0.1726'
                                                          },
                                                          {
                                                            'date' => '2011-10-03T10:43:32',
                                                            'version' => '0.1727'
                                                          },
                                                          {
                                                            'date' => '2011-10-05T04:10:35',
                                                            'version' => '0.1728'
                                                          },
                                                          {
                                                            'date' => '2011-10-05T08:12:55',
                                                            'version' => '0.1729'
                                                          },
                                                          {
                                                            'date' => '2011-10-10T11:35:23',
                                                            'version' => '0.1730'
                                                          },
                                                          {
                                                            'date' => '2011-10-11T14:30:46',
                                                            'version' => '0.1731'
                                                          },
                                                          {
                                                            'date' => '2011-10-20T11:56:08',
                                                            'version' => '0.1732'
                                                          },
                                                          {
                                                            'date' => '2011-10-21T22:47:50',
                                                            'version' => '0.1733'
                                                          },
                                                          {
                                                            'date' => '2011-10-22T22:02:37',
                                                            'version' => '0.1734'
                                                          },
                                                          {
                                                            'date' => '2011-10-23T00:11:48',
                                                            'version' => '0.1735'
                                                          },
                                                          {
                                                            'date' => '2011-10-23T13:08:15',
                                                            'version' => '0.1736'
                                                          },
                                                          {
                                                            'date' => '2011-10-24T14:07:44',
                                                            'version' => '0.1737'
                                                          },
                                                          {
                                                            'date' => '2011-10-25T14:31:15',
                                                            'version' => '0.1738'
                                                          },
                                                          {
                                                            'date' => '2011-10-26T01:14:58',
                                                            'version' => '0.1739'
                                                          },
                                                          {
                                                            'date' => '2011-10-27T12:59:00',
                                                            'version' => '0.1740'
                                                          },
                                                          {
                                                            'date' => '2011-10-28T11:49:57',
                                                            'version' => '0.1741'
                                                          },
                                                          {
                                                            'date' => '2011-10-31T15:37:07',
                                                            'version' => '0.1742'
                                                          },
                                                          {
                                                            'date' => '2011-11-01T12:02:38',
                                                            'version' => '0.1743'
                                                          },
                                                          {
                                                            'date' => '2011-11-03T13:38:04',
                                                            'version' => '0.1744'
                                                          },
                                                          {
                                                            'date' => '2011-11-04T14:16:11',
                                                            'version' => '0.1745'
                                                          },
                                                          {
                                                            'date' => '2011-11-07T12:19:53',
                                                            'version' => '0.1746'
                                                          },
                                                          {
                                                            'date' => '2011-11-11T11:59:27',
                                                            'version' => '0.1747'
                                                          },
                                                          {
                                                            'date' => '2011-11-16T00:36:45',
                                                            'version' => '0.20_01'
                                                          },
                                                          {
                                                            'date' => '2011-11-16T08:50:11',
                                                            'version' => '0.2100'
                                                          },
                                                          {
                                                            'date' => '2011-11-21T11:05:36',
                                                            'version' => '0.2101'
                                                          },
                                                          {
                                                            'date' => '2011-11-25T14:34:26',
                                                            'version' => '0.2102'
                                                          },
                                                          {
                                                            'date' => '2011-11-28T10:38:56',
                                                            'version' => '0.2103'
                                                          },
                                                          {
                                                            'date' => '2011-11-29T13:48:49',
                                                            'version' => '0.2104'
                                                          },
                                                          {
                                                            'date' => '2012-01-14T13:39:10',
                                                            'version' => '0.2105'
                                                          },
                                                          {
                                                            'date' => '2012-01-20T15:16:34',
                                                            'version' => '0.2106'
                                                          },
                                                          {
                                                            'date' => '2012-01-25T08:56:44',
                                                            'version' => '0.2107'
                                                          },
                                                          {
                                                            'date' => '2012-01-29T14:30:53',
                                                            'version' => '0.2108'
                                                          },
                                                          {
                                                            'date' => '2012-02-07T13:31:49',
                                                            'version' => '0.2109'
                                                          },
                                                          {
                                                            'date' => '2012-02-10T14:51:17',
                                                            'version' => '0.2110'
                                                          },
                                                          {
                                                            'date' => '2012-02-11T14:45:41',
                                                            'version' => '0.2111'
                                                          },
                                                          {
                                                            'date' => '2012-02-28T14:33:03',
                                                            'version' => '0.22'
                                                          },
                                                          {
                                                            'date' => '2012-03-01T00:07:11',
                                                            'version' => '0.23'
                                                          },
                                                          {
                                                            'date' => '2012-03-02T14:57:03',
                                                            'version' => '0.24'
                                                          },
                                                          {
                                                            'date' => '2012-03-19T11:58:43',
                                                            'version' => '0.25'
                                                          },
                                                          {
                                                            'date' => '2012-07-11T08:20:53',
                                                            'version' => '0.26'
                                                          },
                                                          {
                                                            'date' => '2012-09-17T13:15:26',
                                                            'version' => '0.27'
                                                          },
                                                          {
                                                            'date' => '2013-03-04T11:25:17',
                                                            'version' => '0.28'
                                                          },
                                                          {
                                                            'date' => '2014-02-03T09:21:29',
                                                            'version' => '0.29'
                                                          },
                                                          {
                                                            'date' => '2014-02-04T00:17:32',
                                                            'version' => '0.30'
                                                          },
                                                          {
                                                            'date' => '2015-01-13T01:36:24',
                                                            'version' => '0.31'
                                                          },
                                                          {
                                                            'date' => '2015-01-13T05:24:10',
                                                            'version' => '0.32'
                                                          },
                                                          {
                                                            'date' => '2015-01-13T07:52:20',
                                                            'version' => '0.33'
                                                          },
                                                          {
                                                            'date' => '2015-01-15T02:04:26',
                                                            'version' => '0.34'
                                                          },
                                                          {
                                                            'date' => '2015-05-23T05:44:25',
                                                            'version' => '0.35'
                                                          },
                                                          {
                                                            'date' => '2015-05-25T02:52:16',
                                                            'version' => '0.36'
                                                          },
                                                          {
                                                            'date' => '2016-05-21T07:00:46',
                                                            'version' => '0.37'
                                                          },
                                                          {
                                                            'date' => '2017-03-16T07:48:58',
                                                            'version' => '0.38'
                                                          },
                                                          {
                                                            'date' => '2017-03-29T02:29:03',
                                                            'version' => '0.39'
                                                          },
                                                          {
                                                            'date' => '2017-03-30T01:41:11',
                                                            'version' => '0.40'
                                                          },
                                                          {
                                                            'date' => '2017-11-06T15:17:26',
                                                            'version' => '0.41'
                                                          }
                                                        ]
                                        },
                       'Dancer' => {
                                     'advisories' => [
                                                       {
                                                         'affected_versions' => '<1.3114',
                                                         'cves' => [
                                                                     'CVE-2012-5572'
                                                                   ],
                                                         'description' => 'CRLF injection vulnerability in the cookie method allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via a cookie name.
',
                                                         'distribution' => 'Dancer',
                                                         'fixed_versions' => '>=1.3114',
                                                         'id' => 'CPANSA-Dancer-2014-01',
                                                         'references' => [
                                                                           'https://metacpan.org/changes/distribution/Dancer',
                                                                           'https://github.com/PerlDancer/Dancer/commit/46ef9124f3149f697455061499ac7cee40930349'
                                                                         ],
                                                         'reported' => '2014-05-30'
                                                       },
                                                       {
                                                         'affected_versions' => '<1.3051',
                                                         'cves' => [
                                                                     'CVE-2011-1589'
                                                                   ],
                                                         'description' => 'Directory traversal vulnerability (Mojolicious report, but Dancer was vulnerable as well).
',
                                                         'distribution' => 'Dancer',
                                                         'fixed_versions' => '>=1.3051',
                                                         'id' => 'CPANSA-Dancer-2011-01',
                                                         'references' => [
                                                                           'https://metacpan.org/changes/distribution/Dancer',
                                                                           'https://github.com/PerlDancer/Dancer/commit/91d0bf6a36705b0971b18f7d38fa2f3df8c7b994'
                                                                         ],
                                                         'reported' => '2011-04-05'
                                                       }
                                                     ],
                                     'main_module' => 'Dancer',
                                     'versions' => [
                                                     {
                                                       'date' => '2009-07-27T13:18:07',
                                                       'version' => '20090727.1315'
                                                     },
                                                     {
                                                       'date' => '2009-07-27T14:14:13',
                                                       'version' => '0_0.99'
                                                     },
                                                     {
                                                       'date' => '2009-08-01T13:48:20',
                                                       'version' => '0.9901'
                                                     },
                                                     {
                                                       'date' => '2009-08-04T10:01:54',
                                                       'version' => '0.9902'
                                                     },
                                                     {
                                                       'date' => '2009-08-07T12:29:03',
                                                       'version' => '0.9003'
                                                     },
                                                     {
                                                       'date' => '2009-09-19T15:30:19',
                                                       'version' => '0.9904'
                                                     },
                                                     {
                                                       'date' => '2009-09-23T21:33:51',
                                                       'version' => '0.9905'
                                                     },
                                                     {
                                                       'date' => '2009-11-20T11:14:20',
                                                       'version' => '1.000'
                                                     },
                                                     {
                                                       'date' => '2010-01-06T13:53:28',
                                                       'version' => '1.100'
                                                     },
                                                     {
                                                       'date' => '2010-01-11T09:46:45',
                                                       'version' => '1.110'
                                                     },
                                                     {
                                                       'date' => '2010-01-15T16:03:35',
                                                       'version' => '1.120'
                                                     },
                                                     {
                                                       'date' => '2010-01-15T17:53:08',
                                                       'version' => '1.121'
                                                     },
                                                     {
                                                       'date' => '2010-01-20T07:48:38',
                                                       'version' => '1.122'
                                                     },
                                                     {
                                                       'date' => '2010-01-29T17:29:24',
                                                       'version' => '1.130'
                                                     },
                                                     {
                                                       'date' => '2010-02-09T07:55:18',
                                                       'version' => '1.140'
                                                     },
                                                     {
                                                       'date' => '2010-02-17T15:09:48',
                                                       'version' => '1.150'
                                                     },
                                                     {
                                                       'date' => '2010-03-07T17:50:01',
                                                       'version' => '1.160'
                                                     },
                                                     {
                                                       'date' => '2010-03-24T11:19:00',
                                                       'version' => '1.170'
                                                     },
                                                     {
                                                       'date' => '2010-03-24T13:44:04',
                                                       'version' => '1.171'
                                                     },
                                                     {
                                                       'date' => '2010-03-28T15:09:59',
                                                       'version' => '1.172'
                                                     },
                                                     {
                                                       'date' => '2010-04-01T14:13:30',
                                                       'version' => '1.173'
                                                     },
                                                     {
                                                       'date' => '2010-04-04T11:03:53',
                                                       'version' => '1.173_01'
                                                     },
                                                     {
                                                       'date' => '2010-04-08T13:49:39',
                                                       'version' => '1.174'
                                                     },
                                                     {
                                                       'date' => '2010-04-11T10:49:39',
                                                       'version' => '1.175'
                                                     },
                                                     {
                                                       'date' => '2010-04-19T08:43:22',
                                                       'version' => '1.175_01'
                                                     },
                                                     {
                                                       'date' => '2010-04-22T20:29:56',
                                                       'version' => '1.176'
                                                     },
                                                     {
                                                       'date' => '2010-05-05T12:21:26',
                                                       'version' => '1.178_01'
                                                     },
                                                     {
                                                       'date' => '2010-05-16T10:28:47',
                                                       'version' => '1.1800'
                                                     },
                                                     {
                                                       'date' => '2010-05-19T14:17:57',
                                                       'version' => '1.1801'
                                                     },
                                                     {
                                                       'date' => '2010-05-19T17:32:52',
                                                       'version' => '1.1802'
                                                     },
                                                     {
                                                       'date' => '2010-05-23T20:45:17',
                                                       'version' => '1.1803'
                                                     },
                                                     {
                                                       'date' => '2010-06-18T11:59:20',
                                                       'version' => '1.1804'
                                                     },
                                                     {
                                                       'date' => '2010-06-22T06:41:58',
                                                       'version' => '1.1805'
                                                     },
                                                     {
                                                       'date' => '2010-07-07T06:15:55',
                                                       'version' => '1.1806_01'
                                                     },
                                                     {
                                                       'date' => '2010-08-14T16:37:45',
                                                       'version' => '1.1806_02'
                                                     },
                                                     {
                                                       'date' => '2010-08-23T17:47:12',
                                                       'version' => '1.1807'
                                                     },
                                                     {
                                                       'date' => '2010-08-24T06:23:38',
                                                       'version' => '1.1808'
                                                     },
                                                     {
                                                       'date' => '2010-08-25T05:41:15',
                                                       'version' => '1.1809'
                                                     },
                                                     {
                                                       'date' => '2010-09-01T06:19:20',
                                                       'version' => '1.1810'
                                                     },
                                                     {
                                                       'date' => '2010-09-03T09:23:14',
                                                       'version' => '1.1811'
                                                     },
                                                     {
                                                       'date' => '2010-09-21T12:19:35',
                                                       'version' => '1.1812'
                                                     },
                                                     {
                                                       'date' => '2010-09-24T14:25:44',
                                                       'version' => '1.1901'
                                                     },
                                                     {
                                                       'date' => '2010-10-14T09:25:03',
                                                       'version' => '1.1999_01'
                                                     },
                                                     {
                                                       'date' => '2010-10-28T15:41:17',
                                                       'version' => '1.1999_02'
                                                     },
                                                     {
                                                       'date' => '2010-11-02T14:14:32',
                                                       'version' => '1.1902'
                                                     },
                                                     {
                                                       'date' => '2010-11-02T14:25:04',
                                                       'version' => '1.1902'
                                                     },
                                                     {
                                                       'date' => '2010-11-03T17:07:29',
                                                       'version' => '1.1903'
                                                     },
                                                     {
                                                       'date' => '2010-11-04T11:16:17',
                                                       'version' => '1.1904'
                                                     },
                                                     {
                                                       'date' => '2010-11-11T07:43:21',
                                                       'version' => '1.1999_03'
                                                     },
                                                     {
                                                       'date' => '2010-11-14T08:08:56',
                                                       'version' => '1.1999_04'
                                                     },
                                                     {
                                                       'date' => '2010-11-18T15:54:33',
                                                       'version' => '1.200'
                                                     },
                                                     {
                                                       'date' => '2010-11-18T16:52:47',
                                                       'version' => '1.2000'
                                                     },
                                                     {
                                                       'date' => '2010-11-29T22:05:38',
                                                       'version' => '1.2000_01'
                                                     },
                                                     {
                                                       'date' => '2010-11-30T10:00:23',
                                                       'version' => '1.2000_02'
                                                     },
                                                     {
                                                       'date' => '2010-11-30T19:59:09',
                                                       'version' => '1.2001'
                                                     },
                                                     {
                                                       'date' => '2010-12-02T12:18:12',
                                                       'version' => '1.2001_01'
                                                     },
                                                     {
                                                       'date' => '2010-12-03T20:28:56',
                                                       'version' => '1.2002'
                                                     },
                                                     {
                                                       'date' => '2010-12-07T18:05:50',
                                                       'version' => '1.2002_01'
                                                     },
                                                     {
                                                       'date' => '2010-12-08T21:38:17',
                                                       'version' => '1.2002_02'
                                                     },
                                                     {
                                                       'date' => '2010-12-10T18:28:16',
                                                       'version' => '1.2003'
                                                     },
                                                     {
                                                       'date' => '2010-12-22T17:57:55',
                                                       'version' => '1.3000_01'
                                                     },
                                                     {
                                                       'date' => '2011-01-03T15:17:14',
                                                       'version' => '1.3000_02'
                                                     },
                                                     {
                                                       'date' => '2011-01-27T10:00:22',
                                                       'version' => '1.2004'
                                                     },
                                                     {
                                                       'date' => '2011-01-27T10:09:31',
                                                       'version' => '1.3001'
                                                     },
                                                     {
                                                       'date' => '2011-02-02T15:42:28',
                                                       'version' => '1.3002'
                                                     },
                                                     {
                                                       'date' => '2011-02-05T17:07:15',
                                                       'version' => '1.2005'
                                                     },
                                                     {
                                                       'date' => '2011-02-06T13:12:28',
                                                       'version' => '1.3003'
                                                     },
                                                     {
                                                       'date' => '2011-02-10T20:48:48',
                                                       'version' => '1.3010'
                                                     },
                                                     {
                                                       'date' => '2011-02-12T12:50:18',
                                                       'version' => '1.3010_01'
                                                     },
                                                     {
                                                       'date' => '2011-02-14T15:58:10',
                                                       'version' => '1.3011'
                                                     },
                                                     {
                                                       'date' => '2011-03-01T19:00:52',
                                                       'version' => '1.3012'
                                                     },
                                                     {
                                                       'date' => '2011-03-03T08:41:00',
                                                       'version' => '1.3013'
                                                     },
                                                     {
                                                       'date' => '2011-03-04T12:56:36',
                                                       'version' => '1.3014'
                                                     },
                                                     {
                                                       'date' => '2011-03-10T14:16:24',
                                                       'version' => '1.3014_01'
                                                     },
                                                     {
                                                       'date' => '2011-03-13T13:17:43',
                                                       'version' => '1.3019_01'
                                                     },
                                                     {
                                                       'date' => '2011-03-14T07:44:57',
                                                       'version' => '1.3019_02'
                                                     },
                                                     {
                                                       'date' => '2011-03-21T13:44:17',
                                                       'version' => '1.3020'
                                                     },
                                                     {
                                                       'date' => '2011-04-01T15:22:58',
                                                       'version' => '1.3029_01'
                                                     },
                                                     {
                                                       'date' => '2011-04-08T20:07:26',
                                                       'version' => '1.3029_02'
                                                     },
                                                     {
                                                       'date' => '2011-04-10T08:18:44',
                                                       'version' => '1.3029_03'
                                                     },
                                                     {
                                                       'date' => '2011-04-13T08:26:50',
                                                       'version' => '1.3030'
                                                     },
                                                     {
                                                       'date' => '2011-04-27T14:58:57',
                                                       'version' => '1.3039_01'
                                                     },
                                                     {
                                                       'date' => '2011-05-01T14:55:49',
                                                       'version' => '1.3040'
                                                     },
                                                     {
                                                       'date' => '2011-05-14T15:03:00',
                                                       'version' => '1.3049_01'
                                                     },
                                                     {
                                                       'date' => '2011-05-20T10:57:10',
                                                       'version' => '1.3050'
                                                     },
                                                     {
                                                       'date' => '2011-05-27T12:57:27',
                                                       'version' => '1.3051'
                                                     },
                                                     {
                                                       'date' => '2011-05-27T13:07:51',
                                                       'version' => '1.3059_01'
                                                     },
                                                     {
                                                       'date' => '2011-05-29T14:06:24',
                                                       'version' => '1.3059_02'
                                                     },
                                                     {
                                                       'date' => '2011-06-11T14:02:50',
                                                       'version' => '1.3059_03'
                                                     },
                                                     {
                                                       'date' => '2011-06-12T17:31:55',
                                                       'version' => '1.3059_04'
                                                     },
                                                     {
                                                       'date' => '2011-06-15T10:35:07',
                                                       'version' => '1.3060'
                                                     },
                                                     {
                                                       'date' => '2011-07-07T13:19:45',
                                                       'version' => '1.3069_01'
                                                     },
                                                     {
                                                       'date' => '2011-07-10T16:14:53',
                                                       'version' => '1.3069_02'
                                                     },
                                                     {
                                                       'date' => '2011-07-14T13:47:19',
                                                       'version' => '1.3070'
                                                     },
                                                     {
                                                       'date' => '2011-07-26T16:21:51',
                                                       'version' => '1.3071'
                                                     },
                                                     {
                                                       'date' => '2011-08-17T15:27:53',
                                                       'version' => '1.3079_01'
                                                     },
                                                     {
                                                       'date' => '2011-08-23T09:55:46',
                                                       'version' => '1.3072'
                                                     },
                                                     {
                                                       'date' => '2011-08-28T14:13:40',
                                                       'version' => '1.3079_02'
                                                     },
                                                     {
                                                       'date' => '2011-09-10T15:10:29',
                                                       'version' => '1.3079_03'
                                                     },
                                                     {
                                                       'date' => '2011-10-02T16:07:02',
                                                       'version' => '1.3079_04'
                                                     },
                                                     {
                                                       'date' => '2011-10-18T14:43:22',
                                                       'version' => '1.3079_05'
                                                     },
                                                     {
                                                       'date' => '2011-10-25T21:16:42',
                                                       'version' => '1.3080'
                                                     },
                                                     {
                                                       'date' => '2011-11-27T06:51:43',
                                                       'version' => '1.3089_01'
                                                     },
                                                     {
                                                       'date' => '2011-12-13T14:41:24',
                                                       'version' => '1.3090'
                                                     },
                                                     {
                                                       'date' => '2011-12-17T11:09:48',
                                                       'version' => '1.3091'
                                                     },
                                                     {
                                                       'date' => '2012-01-27T14:38:05',
                                                       'version' => '1.3092'
                                                     },
                                                     {
                                                       'date' => '2012-02-29T14:34:55',
                                                       'version' => '1.3093'
                                                     },
                                                     {
                                                       'date' => '2012-03-31T09:57:40',
                                                       'version' => '1.3094'
                                                     },
                                                     {
                                                       'date' => '2012-04-01T19:22:56',
                                                       'version' => '1.3095'
                                                     },
                                                     {
                                                       'date' => '2012-06-22T20:18:54',
                                                       'version' => '1.3095_01'
                                                     },
                                                     {
                                                       'date' => '2012-07-03T07:27:28',
                                                       'version' => '1.3095_02'
                                                     },
                                                     {
                                                       'date' => '2012-07-05T23:09:20',
                                                       'version' => '1.3096'
                                                     },
                                                     {
                                                       'date' => '2012-07-08T18:36:14',
                                                       'version' => '1.3097'
                                                     },
                                                     {
                                                       'date' => '2012-07-28T14:40:15',
                                                       'version' => '1.3098'
                                                     },
                                                     {
                                                       'date' => '2012-08-11T13:54:49',
                                                       'version' => '1.3099'
                                                     },
                                                     {
                                                       'date' => '2012-08-25T19:42:47',
                                                       'version' => '1.3100'
                                                     },
                                                     {
                                                       'date' => '2012-10-06T13:24:53',
                                                       'version' => '1.3110'
                                                     },
                                                     {
                                                       'date' => '2012-12-24T13:17:58',
                                                       'version' => '1.9999_01'
                                                     },
                                                     {
                                                       'date' => '2012-12-24T13:48:35',
                                                       'version' => '1.9999_02'
                                                     },
                                                     {
                                                       'date' => '2013-01-22T21:38:11',
                                                       'version' => '2.0000_01'
                                                     },
                                                     {
                                                       'date' => '2013-02-22T15:33:14',
                                                       'version' => '2.000001'
                                                     },
                                                     {
                                                       'date' => '2013-02-24T22:51:59',
                                                       'version' => '1.3111'
                                                     },
                                                     {
                                                       'date' => '2013-03-30T16:33:05',
                                                       'version' => '1.3111_01'
                                                     },
                                                     {
                                                       'date' => '2013-04-01T22:31:08',
                                                       'version' => '1.3111_02'
                                                     },
                                                     {
                                                       'date' => '2013-04-11T01:04:37',
                                                       'version' => '1.3112'
                                                     },
                                                     {
                                                       'date' => '2013-05-09T00:36:16',
                                                       'version' => '1.3113'
                                                     },
                                                     {
                                                       'date' => '2013-06-02T16:49:58',
                                                       'version' => '1.3114'
                                                     },
                                                     {
                                                       'date' => '2013-06-09T23:54:16',
                                                       'version' => '1.3115'
                                                     },
                                                     {
                                                       'date' => '2013-07-04T01:35:27',
                                                       'version' => '1.3116'
                                                     },
                                                     {
                                                       'date' => '2013-07-31T22:40:52',
                                                       'version' => '1.3117'
                                                     },
                                                     {
                                                       'date' => '2013-09-01T16:45:13',
                                                       'version' => '1.3118'
                                                     },
                                                     {
                                                       'date' => '2013-10-26T19:42:59',
                                                       'version' => '1.3119'
                                                     },
                                                     {
                                                       'date' => '2013-12-24T16:23:20',
                                                       'version' => '1.3120'
                                                     },
                                                     {
                                                       'date' => '2014-02-02T22:26:53',
                                                       'version' => '1.3121'
                                                     },
                                                     {
                                                       'date' => '2014-04-10T23:16:40',
                                                       'version' => '1.3122'
                                                     },
                                                     {
                                                       'date' => '2014-04-12T15:47:53',
                                                       'version' => '1.3123'
                                                     },
                                                     {
                                                       'date' => '2014-05-10T16:15:17',
                                                       'version' => '1.3124'
                                                     },
                                                     {
                                                       'date' => '2014-07-12T17:19:08',
                                                       'version' => '1.3125'
                                                     },
                                                     {
                                                       'date' => '2014-07-15T02:01:21',
                                                       'version' => '1.3126'
                                                     },
                                                     {
                                                       'date' => '2014-09-09T00:49:19',
                                                       'version' => '1.3127'
                                                     },
                                                     {
                                                       'date' => '2014-09-09T11:47:21',
                                                       'version' => '1.3128'
                                                     },
                                                     {
                                                       'date' => '2014-09-10T00:50:37',
                                                       'version' => '1.3129'
                                                     },
                                                     {
                                                       'date' => '2014-09-16T01:21:25',
                                                       'version' => '1.3130'
                                                     },
                                                     {
                                                       'date' => '2014-10-11T18:59:22',
                                                       'version' => '1.3131_0'
                                                     },
                                                     {
                                                       'date' => '2014-10-13T23:25:36',
                                                       'version' => '1.3131_1'
                                                     },
                                                     {
                                                       'date' => '2014-10-20T23:14:23',
                                                       'version' => '1.3132'
                                                     },
                                                     {
                                                       'date' => '2014-11-26T22:20:35',
                                                       'version' => '1.3133'
                                                     },
                                                     {
                                                       'date' => '2015-02-23T01:33:08',
                                                       'version' => '1.3134'
                                                     },
                                                     {
                                                       'date' => '2015-04-23T01:54:25',
                                                       'version' => '1.3135'
                                                     },
                                                     {
                                                       'date' => '2015-05-24T15:48:19',
                                                       'version' => '1.3136'
                                                     },
                                                     {
                                                       'date' => '2015-06-05T20:05:21',
                                                       'version' => '1.3137'
                                                     },
                                                     {
                                                       'date' => '2015-06-12T20:55:50',
                                                       'version' => '1.3138'
                                                     },
                                                     {
                                                       'date' => '2015-06-25T20:13:45',
                                                       'version' => '1.3139'
                                                     },
                                                     {
                                                       'date' => '2015-07-03T13:56:32',
                                                       'version' => '1.3140'
                                                     },
                                                     {
                                                       'date' => '2015-09-07T15:15:26',
                                                       'version' => '1.3141'
                                                     },
                                                     {
                                                       'date' => '2015-09-15T00:52:23',
                                                       'version' => '1.3142'
                                                     },
                                                     {
                                                       'date' => '2015-10-26T21:15:31',
                                                       'version' => '1.3143'
                                                     },
                                                     {
                                                       'date' => '2015-11-04T12:36:07',
                                                       'version' => '1.3144'
                                                     },
                                                     {
                                                       'date' => '2015-11-06T22:12:42',
                                                       'version' => '1.3200'
                                                     },
                                                     {
                                                       'date' => '2015-11-07T19:27:25',
                                                       'version' => '1.3201'
                                                     },
                                                     {
                                                       'date' => '2015-11-07T21:52:17',
                                                       'version' => '1.3202'
                                                     },
                                                     {
                                                       'date' => '2016-02-15T21:33:45',
                                                       'version' => '1.3300'
                                                     },
                                                     {
                                                       'date' => '2016-02-16T22:42:44',
                                                       'version' => '1.3301'
                                                     },
                                                     {
                                                       'date' => '2018-05-20T19:52:07',
                                                       'version' => '1.3203'
                                                     },
                                                     {
                                                       'date' => '2018-05-23T13:43:34',
                                                       'version' => '1.3204'
                                                     },
                                                     {
                                                       'date' => '2018-06-13T22:02:36',
                                                       'version' => '1.3205'
                                                     },
                                                     {
                                                       'date' => '2018-06-15T22:11:45',
                                                       'version' => '1.3400'
                                                     },
                                                     {
                                                       'date' => '2018-10-01T11:53:31',
                                                       'version' => '1.3401'
                                                     },
                                                     {
                                                       'date' => '2018-10-10T10:44:29',
                                                       'version' => '1.3402'
                                                     },
                                                     {
                                                       'date' => '2018-10-11T22:45:37',
                                                       'version' => '1.3403'
                                                     },
                                                     {
                                                       'date' => '2018-10-12T20:33:54',
                                                       'version' => '1.3500'
                                                     }
                                                   ]
                                   },
                       'Dancer2' => {
                                      'advisories' => [
                                                        {
                                                          'affected_versions' => '<0.206000',
                                                          'description' => 'There is a potential RCE with regards to Storable. We have added session ID validation to the session engine so that session backends based on Storable can reject malformed session IDs that may lead to exploitation of the RCE.
',
                                                          'distribution' => 'Dancer2',
                                                          'fixed_versions' => '>=0.206000',
                                                          'id' => 'CPANSA-Dancer2-2018-01',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/Dancer2',
                                                                            'http://lists.preshweb.co.uk/pipermail/dancer-users/2018-April/005952.html',
                                                                            'https://github.com/PerlDancer/Dancer2/commit/3580f5d0874a9abf5483528f73bda9a7fd9ec7f1'
                                                                          ],
                                                          'reported' => '2018-01-30',
                                                          'severity' => 'critical'
                                                        }
                                                      ],
                                      'main_module' => 'Dancer2',
                                      'versions' => [
                                                      {
                                                        'date' => '2013-02-22T15:39:46',
                                                        'version' => '0.01'
                                                      },
                                                      {
                                                        'date' => '2013-02-24T11:04:25',
                                                        'version' => '0.02'
                                                      },
                                                      {
                                                        'date' => '2013-03-07T17:30:37',
                                                        'version' => '0.03'
                                                      },
                                                      {
                                                        'date' => '2013-04-22T19:58:02',
                                                        'version' => '0.04'
                                                      },
                                                      {
                                                        'date' => '2013-07-20T16:53:37',
                                                        'version' => '0.05'
                                                      },
                                                      {
                                                        'date' => '2013-07-30T14:29:42',
                                                        'version' => '0.06'
                                                      },
                                                      {
                                                        'date' => '2013-08-03T22:17:54',
                                                        'version' => '0.07'
                                                      },
                                                      {
                                                        'date' => '2013-08-18T12:24:31',
                                                        'version' => '0.08'
                                                      },
                                                      {
                                                        'date' => '2013-09-01T21:19:26',
                                                        'version' => '0.09'
                                                      },
                                                      {
                                                        'date' => '2013-09-28T13:29:35',
                                                        'version' => '0.10'
                                                      },
                                                      {
                                                        'date' => '2013-12-15T13:21:28',
                                                        'version' => '0.11'
                                                      },
                                                      {
                                                        'date' => '2014-04-07T21:05:16',
                                                        'version' => '0.12'
                                                      },
                                                      {
                                                        'date' => '2014-04-13T17:20:22',
                                                        'version' => '0.13'
                                                      },
                                                      {
                                                        'date' => '2014-04-28T21:16:57',
                                                        'version' => '0.140000'
                                                      },
                                                      {
                                                        'date' => '2014-05-01T08:50:43',
                                                        'version' => '0.140001'
                                                      },
                                                      {
                                                        'date' => '2014-06-07T20:35:57',
                                                        'version' => '0.140900_01'
                                                      },
                                                      {
                                                        'date' => '2014-06-08T20:29:28',
                                                        'version' => '0.141000'
                                                      },
                                                      {
                                                        'date' => '2014-06-24T19:18:07',
                                                        'version' => '0.142000'
                                                      },
                                                      {
                                                        'date' => '2014-07-05T19:43:17',
                                                        'version' => '0.143000'
                                                      },
                                                      {
                                                        'date' => '2014-07-23T19:34:51',
                                                        'version' => '0.149000_01'
                                                      },
                                                      {
                                                        'date' => '2014-08-10T11:53:37',
                                                        'version' => '0.149000_02'
                                                      },
                                                      {
                                                        'date' => '2014-08-16T23:38:39',
                                                        'version' => '0.150000'
                                                      },
                                                      {
                                                        'date' => '2014-10-08T19:51:49',
                                                        'version' => '0.151000'
                                                      },
                                                      {
                                                        'date' => '2014-10-14T02:33:06',
                                                        'version' => '0.152000'
                                                      },
                                                      {
                                                        'date' => '2014-10-23T21:48:36',
                                                        'version' => '0.153000'
                                                      },
                                                      {
                                                        'date' => '2014-10-29T21:41:13',
                                                        'version' => '0.153001'
                                                      },
                                                      {
                                                        'date' => '2014-10-30T08:29:15',
                                                        'version' => '0.153002'
                                                      },
                                                      {
                                                        'date' => '2014-11-17T14:41:14',
                                                        'version' => '0.154000'
                                                      },
                                                      {
                                                        'date' => '2014-11-28T00:21:55',
                                                        'version' => '0.155000'
                                                      },
                                                      {
                                                        'date' => '2014-11-28T16:44:27',
                                                        'version' => '0.155001'
                                                      },
                                                      {
                                                        'date' => '2014-12-02T22:02:03',
                                                        'version' => '0.155002'
                                                      },
                                                      {
                                                        'date' => '2014-12-03T21:35:35',
                                                        'version' => '0.155003'
                                                      },
                                                      {
                                                        'date' => '2014-12-04T10:57:08',
                                                        'version' => '0.155004'
                                                      },
                                                      {
                                                        'date' => '2014-12-07T17:07:21',
                                                        'version' => '0.156000'
                                                      },
                                                      {
                                                        'date' => '2014-12-08T22:08:30',
                                                        'version' => '0.156001'
                                                      },
                                                      {
                                                        'date' => '2014-12-14T17:25:53',
                                                        'version' => '0.157000'
                                                      },
                                                      {
                                                        'date' => '2014-12-21T19:42:24',
                                                        'version' => '0.157001'
                                                      },
                                                      {
                                                        'date' => '2015-01-01T17:11:48',
                                                        'version' => '0.158000'
                                                      },
                                                      {
                                                        'date' => '2015-02-24T03:54:24',
                                                        'version' => '0.159000'
                                                      },
                                                      {
                                                        'date' => '2015-02-25T14:33:59',
                                                        'version' => '0.159001'
                                                      },
                                                      {
                                                        'date' => '2015-03-03T18:25:28',
                                                        'version' => '0.159002'
                                                      },
                                                      {
                                                        'date' => '2015-03-23T14:00:19',
                                                        'version' => '0.159003'
                                                      },
                                                      {
                                                        'date' => '2015-04-26T22:15:22',
                                                        'version' => '0.160000'
                                                      },
                                                      {
                                                        'date' => '2015-05-14T18:46:02',
                                                        'version' => '0.160001'
                                                      },
                                                      {
                                                        'date' => '2015-06-04T11:07:02',
                                                        'version' => '0.160002'
                                                      },
                                                      {
                                                        'date' => '2015-06-06T09:11:43',
                                                        'version' => '0.160003'
                                                      },
                                                      {
                                                        'date' => '2015-07-08T13:04:02',
                                                        'version' => '0.161000'
                                                      },
                                                      {
                                                        'date' => '2015-08-28T13:32:02',
                                                        'version' => '0.161000_01'
                                                      },
                                                      {
                                                        'date' => '2015-09-06T11:13:10',
                                                        'version' => '0.162000'
                                                      },
                                                      {
                                                        'date' => '2015-10-13T15:08:16',
                                                        'version' => '0.162000_01'
                                                      },
                                                      {
                                                        'date' => '2015-10-15T11:00:10',
                                                        'version' => '0.163000'
                                                      },
                                                      {
                                                        'date' => '2015-12-16T22:44:32',
                                                        'version' => '0.164000'
                                                      },
                                                      {
                                                        'date' => '2015-12-17T08:23:24',
                                                        'version' => '0.165000'
                                                      },
                                                      {
                                                        'date' => '2016-01-12T18:04:57',
                                                        'version' => '0.166000'
                                                      },
                                                      {
                                                        'date' => '2016-01-22T06:57:11',
                                                        'version' => '0.166001'
                                                      },
                                                      {
                                                        'date' => '2016-04-19T19:52:27',
                                                        'version' => '0.166001_01'
                                                      },
                                                      {
                                                        'date' => '2016-04-29T14:45:41',
                                                        'version' => '0.166001_02'
                                                      },
                                                      {
                                                        'date' => '2016-05-27T11:25:55',
                                                        'version' => '0.166001_03'
                                                      },
                                                      {
                                                        'date' => '2016-05-27T12:57:04',
                                                        'version' => '0.166001_04'
                                                      },
                                                      {
                                                        'date' => '2016-05-31T13:29:37',
                                                        'version' => '0.200000'
                                                      },
                                                      {
                                                        'date' => '2016-06-16T14:00:23',
                                                        'version' => '0.200001'
                                                      },
                                                      {
                                                        'date' => '2016-06-22T14:41:29',
                                                        'version' => '0.200002'
                                                      },
                                                      {
                                                        'date' => '2016-07-05T19:36:46',
                                                        'version' => '0.200003'
                                                      },
                                                      {
                                                        'date' => '2016-07-11T15:21:33',
                                                        'version' => '0.200003'
                                                      },
                                                      {
                                                        'date' => '2016-07-22T04:41:26',
                                                        'version' => '0.200004'
                                                      },
                                                      {
                                                        'date' => '2016-07-22T13:28:45',
                                                        'version' => '0.201000'
                                                      },
                                                      {
                                                        'date' => '2016-08-13T18:53:07',
                                                        'version' => '0.202000'
                                                      },
                                                      {
                                                        'date' => '2016-08-25T03:12:19',
                                                        'version' => '0.203000'
                                                      },
                                                      {
                                                        'date' => '2016-09-04T02:01:29',
                                                        'version' => '0.203001'
                                                      },
                                                      {
                                                        'date' => '2016-10-11T01:59:49',
                                                        'version' => '0.204000'
                                                      },
                                                      {
                                                        'date' => '2016-10-17T13:32:25',
                                                        'version' => '0.204001'
                                                      },
                                                      {
                                                        'date' => '2016-12-21T21:47:24',
                                                        'version' => '0.204002'
                                                      },
                                                      {
                                                        'date' => '2017-01-25T21:23:22',
                                                        'version' => '0.204003'
                                                      },
                                                      {
                                                        'date' => '2017-01-26T17:31:30',
                                                        'version' => '0.204004'
                                                      },
                                                      {
                                                        'date' => '2017-03-10T21:40:43',
                                                        'version' => '0.205000'
                                                      },
                                                      {
                                                        'date' => '2017-07-11T13:04:56',
                                                        'version' => '0.205001'
                                                      },
                                                      {
                                                        'date' => '2017-10-17T21:10:03',
                                                        'version' => '0.205002'
                                                      },
                                                      {
                                                        'date' => '2018-04-09T00:54:25',
                                                        'version' => '0.206000_01'
                                                      },
                                                      {
                                                        'date' => '2018-04-10T01:50:18',
                                                        'version' => '0.206000_02'
                                                      },
                                                      {
                                                        'date' => '2018-04-20T02:12:22',
                                                        'version' => '0.206000'
                                                      },
                                                      {
                                                        'date' => '2018-11-14T22:26:15',
                                                        'version' => '0.207000'
                                                      }
                                                    ]
                                    },
                       'Data-Dumper' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<2.154',
                                                              'cves' => [
                                                                          'CVE-2014-4330'
                                                                        ],
                                                              'description' => 'Infinite recursion.
',
                                                              'distribution' => 'Data-Dumper',
                                                              'fixed_versions' => '>=2.154',
                                                              'id' => 'CPANSA-Data-Dumper-2014-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/Data-Dumper'
                                                                              ],
                                                              'reported' => '2014-09-30'
                                                            }
                                                          ],
                                          'main_module' => 'Data::Dumper',
                                          'versions' => [
                                                          {
                                                            'date' => '1995-11-19T22:29:08',
                                                            'version' => '1.21'
                                                          },
                                                          {
                                                            'date' => '1995-11-23T05:45:27',
                                                            'version' => '1.22'
                                                          },
                                                          {
                                                            'date' => '1995-12-04T03:12:16',
                                                            'version' => '1.23'
                                                          },
                                                          {
                                                            'date' => '1996-04-09T15:54:26',
                                                            'version' => '2.00'
                                                          },
                                                          {
                                                            'date' => '1996-04-10T04:25:17',
                                                            'version' => '2.01'
                                                          },
                                                          {
                                                            'date' => '1996-04-13T07:14:35',
                                                            'version' => '2.02'
                                                          },
                                                          {
                                                            'date' => '1996-08-26T14:36:59',
                                                            'version' => '2.03'
                                                          },
                                                          {
                                                            'date' => '1996-08-28T20:11:49',
                                                            'version' => '2.04'
                                                          },
                                                          {
                                                            'date' => '1996-12-02T13:42:49',
                                                            'version' => '2.05'
                                                          },
                                                          {
                                                            'date' => '1996-12-02T23:07:56',
                                                            'version' => '2.06'
                                                          },
                                                          {
                                                            'date' => '1996-12-07T17:28:27',
                                                            'version' => '2.07'
                                                          },
                                                          {
                                                            'date' => '1997-12-07T21:27:09',
                                                            'version' => '2.08'
                                                          },
                                                          {
                                                            'date' => '1998-01-15T20:36:46',
                                                            'version' => '2.081'
                                                          },
                                                          {
                                                            'date' => '1998-03-06T21:08:49',
                                                            'version' => '2.081'
                                                          },
                                                          {
                                                            'date' => '1998-07-17T05:23:08',
                                                            'version' => '2.09'
                                                          },
                                                          {
                                                            'date' => '1998-07-21T12:08:19',
                                                            'version' => '2.09'
                                                          },
                                                          {
                                                            'date' => '1998-10-31T12:10:30',
                                                            'version' => '2.10'
                                                          },
                                                          {
                                                            'date' => '1999-05-01T02:01:03',
                                                            'version' => '2.101'
                                                          },
                                                          {
                                                            'date' => '1999-06-02T01:30:55',
                                                            'version' => '2.101'
                                                          },
                                                          {
                                                            'date' => '2003-07-20T16:59:48',
                                                            'version' => '2.12_01'
                                                          },
                                                          {
                                                            'date' => '2003-07-31T19:12:44',
                                                            'version' => '2.12_02'
                                                          },
                                                          {
                                                            'date' => '2003-08-25T11:49:41',
                                                            'version' => '2.121'
                                                          },
                                                          {
                                                            'date' => '2009-06-06T14:45:36',
                                                            'version' => '2.121_20'
                                                          },
                                                          {
                                                            'date' => '2009-06-09T15:49:12',
                                                            'version' => '2.122'
                                                          },
                                                          {
                                                            'date' => '2009-06-11T08:07:01',
                                                            'version' => '2.123'
                                                          },
                                                          {
                                                            'date' => '2009-06-13T15:22:32',
                                                            'version' => '2.124'
                                                          },
                                                          {
                                                            'date' => '2009-08-08T10:33:01',
                                                            'version' => '2.125'
                                                          },
                                                          {
                                                            'date' => '2010-04-15T19:55:01',
                                                            'version' => '2.126'
                                                          },
                                                          {
                                                            'date' => '2010-09-06T14:28:10',
                                                            'version' => '2.126_01'
                                                          },
                                                          {
                                                            'date' => '2010-09-10T07:08:41',
                                                            'version' => '2.127'
                                                          },
                                                          {
                                                            'date' => '2010-09-10T07:11:52',
                                                            'version' => '2.128'
                                                          },
                                                          {
                                                            'date' => '2011-05-20T15:53:12',
                                                            'version' => '2.130_03'
                                                          },
                                                          {
                                                            'date' => '2011-05-27T14:19:03',
                                                            'version' => '2.131'
                                                          },
                                                          {
                                                            'date' => '2011-12-19T08:23:05',
                                                            'version' => '2.135_01'
                                                          },
                                                          {
                                                            'date' => '2011-12-29T17:09:49',
                                                            'version' => '2.135_02'
                                                          },
                                                          {
                                                            'date' => '2012-08-07T06:59:51',
                                                            'version' => '2.135_07'
                                                          },
                                                          {
                                                            'date' => '2012-10-04T07:35:07',
                                                            'version' => '2.136'
                                                          },
                                                          {
                                                            'date' => '2012-12-12T06:30:48',
                                                            'version' => '2.139'
                                                          },
                                                          {
                                                            'date' => '2013-02-26T06:57:29',
                                                            'version' => '2.143'
                                                          },
                                                          {
                                                            'date' => '2013-03-15T09:46:49',
                                                            'version' => '2.145'
                                                          },
                                                          {
                                                            'date' => '2014-03-07T09:28:44',
                                                            'version' => '2.151'
                                                          },
                                                          {
                                                            'date' => '2014-09-18T15:47:37',
                                                            'version' => '2.154'
                                                          },
                                                          {
                                                            'date' => '2016-07-03T19:17:57',
                                                            'version' => '2.160'
                                                          },
                                                          {
                                                            'date' => '2016-07-11T20:13:06',
                                                            'version' => '2.161'
                                                          },
                                                          {
                                                            'date' => '2017-07-31T15:31:28',
                                                            'version' => '2.167_01'
                                                          },
                                                          {
                                                            'date' => '2017-08-04T08:05:22',
                                                            'version' => '2.167_02'
                                                          },
                                                          {
                                                            'date' => '2018-09-19T14:41:58',
                                                            'version' => '2.172'
                                                          },
                                                          {
                                                            'date' => '2018-11-10T10:10:30',
                                                            'version' => '2.173'
                                                          }
                                                        ]
                                        },
                       'Dezi' => {
                                   'advisories' => [
                                                     {
                                                       'affected_versions' => '<0.002002',
                                                       'description' => 'Bypassing authentication on the /index URL app with non-idempotent requests to /search URL.
',
                                                       'distribution' => 'Dezi',
                                                       'fixed_versions' => '>=0.002002',
                                                       'id' => 'CPANSA-Dezi-2012-01',
                                                       'references' => [
                                                                         'https://metacpan.org/changes/distribution/Dezi',
                                                                         'https://github.com/karpet/Dezi/commit/f1ad292b4dd988d1a38202c804bb7a2a3bcca3c8'
                                                                       ],
                                                       'reported' => '2012-09-13'
                                                     }
                                                   ],
                                   'main_module' => 'Dezi',
                                   'versions' => [
                                                   {
                                                     'date' => '2011-06-22T04:53:57',
                                                     'version' => '0.001000'
                                                   },
                                                   {
                                                     'date' => '2011-08-03T02:42:22',
                                                     'version' => '0.001001'
                                                   },
                                                   {
                                                     'date' => '2011-09-30T03:35:08',
                                                     'version' => '0.001002'
                                                   },
                                                   {
                                                     'date' => '2011-10-23T02:12:02',
                                                     'version' => '0.001003'
                                                   },
                                                   {
                                                     'date' => '2012-03-17T02:40:15',
                                                     'version' => '0.001004'
                                                   },
                                                   {
                                                     'date' => '2012-07-11T03:20:40',
                                                     'version' => '0.001005'
                                                   },
                                                   {
                                                     'date' => '2012-08-18T02:43:23',
                                                     'version' => '0.001006'
                                                   },
                                                   {
                                                     'date' => '2012-08-22T03:58:33',
                                                     'version' => '0.001007'
                                                   },
                                                   {
                                                     'date' => '2012-09-04T02:05:34',
                                                     'version' => '0.001008'
                                                   },
                                                   {
                                                     'date' => '2012-09-12T03:51:13',
                                                     'version' => '0.002000'
                                                   },
                                                   {
                                                     'date' => '2012-09-13T01:50:59',
                                                     'version' => '0.002001'
                                                   },
                                                   {
                                                     'date' => '2012-09-13T14:10:02',
                                                     'version' => '0.002002'
                                                   },
                                                   {
                                                     'date' => '2012-10-16T00:57:46',
                                                     'version' => '0.002003'
                                                   },
                                                   {
                                                     'date' => '2012-10-18T03:15:21',
                                                     'version' => '0.002004'
                                                   },
                                                   {
                                                     'date' => '2012-12-19T05:25:13',
                                                     'version' => '0.002005'
                                                   },
                                                   {
                                                     'date' => '2013-02-03T02:49:07',
                                                     'version' => '0.002006'
                                                   },
                                                   {
                                                     'date' => '2013-02-05T15:02:54',
                                                     'version' => '0.002007'
                                                   },
                                                   {
                                                     'date' => '2013-02-09T05:37:41',
                                                     'version' => '0.002008'
                                                   },
                                                   {
                                                     'date' => '2013-02-13T02:30:33',
                                                     'version' => '0.002009'
                                                   },
                                                   {
                                                     'date' => '2013-02-13T04:31:49',
                                                     'version' => '0.002010'
                                                   },
                                                   {
                                                     'date' => '2013-11-13T17:08:03',
                                                     'version' => '0.002011'
                                                   },
                                                   {
                                                     'date' => '2014-02-27T18:08:30',
                                                     'version' => '0.002012'
                                                   },
                                                   {
                                                     'date' => '2014-06-05T06:59:12',
                                                     'version' => '0.002998_01'
                                                   },
                                                   {
                                                     'date' => '2014-06-08T04:59:17',
                                                     'version' => '0.003000'
                                                   },
                                                   {
                                                     'date' => '2014-07-30T20:40:24',
                                                     'version' => '0.004000'
                                                   },
                                                   {
                                                     'date' => '2014-09-02T02:45:00',
                                                     'version' => '0.004001'
                                                   },
                                                   {
                                                     'date' => '2015-04-30T22:01:11',
                                                     'version' => '0.004002'
                                                   },
                                                   {
                                                     'date' => '2018-05-16T02:24:24',
                                                     'version' => '0.004003'
                                                   }
                                                 ]
                                 },
                       'Email-Address' => {
                                            'advisories' => [
                                                              {
                                                                'affected_versions' => '<1.905',
                                                                'cves' => [
                                                                            'CVE-2014-0477'
                                                                          ],
                                                                'description' => 'Inefficient regular expression, which allows remote attackers to cause a denial of service (CPU consumption) via an empty quoted string in an RFC 2822 address.
',
                                                                'distribution' => 'Email-Address',
                                                                'fixed_versions' => '>=1.905',
                                                                'id' => 'CPANSA-Email-Address-2014-01',
                                                                'references' => [
                                                                                  'https://metacpan.org/changes/distribution/Email-Address'
                                                                                ],
                                                                'reported' => '2014-07-03'
                                                              }
                                                            ],
                                            'main_module' => 'Email::Address',
                                            'versions' => [
                                                            {
                                                              'date' => '2004-05-27T03:19:56',
                                                              'version' => '1.1'
                                                            },
                                                            {
                                                              'date' => '2004-06-02T16:35:30',
                                                              'version' => '1.2'
                                                            },
                                                            {
                                                              'date' => '2004-08-16T21:39:58',
                                                              'version' => '1.3'
                                                            },
                                                            {
                                                              'date' => '2004-10-05T18:10:42',
                                                              'version' => '1.5'
                                                            },
                                                            {
                                                              'date' => '2004-10-05T18:20:42',
                                                              'version' => '1.6'
                                                            },
                                                            {
                                                              'date' => '2004-10-13T10:21:17',
                                                              'version' => '1.7'
                                                            },
                                                            {
                                                              'date' => '2004-10-22T16:37:27',
                                                              'version' => '1.80'
                                                            },
                                                            {
                                                              'date' => '2006-07-11T15:04:28',
                                                              'version' => '1.85'
                                                            },
                                                            {
                                                              'date' => '2006-07-22T00:42:17',
                                                              'version' => '1.86'
                                                            },
                                                            {
                                                              'date' => '2006-08-10T16:48:44',
                                                              'version' => '1.870'
                                                            },
                                                            {
                                                              'date' => '2006-10-12T19:35:04',
                                                              'version' => '1.861'
                                                            },
                                                            {
                                                              'date' => '2006-10-12T22:16:28',
                                                              'version' => '1.871'
                                                            },
                                                            {
                                                              'date' => '2006-11-11T16:01:38',
                                                              'version' => '1.880'
                                                            },
                                                            {
                                                              'date' => '2006-11-19T21:19:02',
                                                              'version' => '1.881'
                                                            },
                                                            {
                                                              'date' => '2006-11-22T01:26:44',
                                                              'version' => '1.882'
                                                            },
                                                            {
                                                              'date' => '2006-11-25T13:53:46',
                                                              'version' => '1.883'
                                                            },
                                                            {
                                                              'date' => '2006-12-05T03:41:39',
                                                              'version' => '1.884'
                                                            },
                                                            {
                                                              'date' => '2007-03-01T01:08:16',
                                                              'version' => '1.885'
                                                            },
                                                            {
                                                              'date' => '2007-03-01T20:18:53',
                                                              'version' => '1.886'
                                                            },
                                                            {
                                                              'date' => '2007-04-01T19:15:49',
                                                              'version' => '1.887'
                                                            },
                                                            {
                                                              'date' => '2007-06-23T01:27:24',
                                                              'version' => '1.888'
                                                            },
                                                            {
                                                              'date' => '2007-12-19T22:14:37',
                                                              'version' => '1.889'
                                                            },
                                                            {
                                                              'date' => '2010-08-22T19:03:33',
                                                              'version' => '1.890'
                                                            },
                                                            {
                                                              'date' => '2010-08-31T00:56:53',
                                                              'version' => '1.891'
                                                            },
                                                            {
                                                              'date' => '2010-09-03T23:45:13',
                                                              'version' => '1.892'
                                                            },
                                                            {
                                                              'date' => '2012-01-03T03:55:12',
                                                              'version' => '1.893'
                                                            },
                                                            {
                                                              'date' => '2012-01-14T16:17:56',
                                                              'version' => '1.894'
                                                            },
                                                            {
                                                              'date' => '2012-01-15T18:41:33',
                                                              'version' => '1.895'
                                                            },
                                                            {
                                                              'date' => '2012-08-01T03:07:33',
                                                              'version' => '1.896'
                                                            },
                                                            {
                                                              'date' => '2012-12-17T15:16:33',
                                                              'version' => '1.897'
                                                            },
                                                            {
                                                              'date' => '2013-02-07T21:41:48',
                                                              'version' => '1.898'
                                                            },
                                                            {
                                                              'date' => '2013-08-02T14:54:13',
                                                              'version' => '1.899'
                                                            },
                                                            {
                                                              'date' => '2013-08-08T18:46:07',
                                                              'version' => '1.900'
                                                            },
                                                            {
                                                              'date' => '2014-01-29T03:43:28',
                                                              'version' => '1.901'
                                                            },
                                                            {
                                                              'date' => '2014-04-17T15:19:31',
                                                              'version' => '1.902'
                                                            },
                                                            {
                                                              'date' => '2014-04-18T01:07:10',
                                                              'version' => '1.903'
                                                            },
                                                            {
                                                              'date' => '2014-06-14T04:22:22',
                                                              'version' => '1.904'
                                                            },
                                                            {
                                                              'date' => '2014-06-18T02:55:59',
                                                              'version' => '1.905'
                                                            },
                                                            {
                                                              'date' => '2015-02-03T21:49:39',
                                                              'version' => '1.906'
                                                            },
                                                            {
                                                              'date' => '2015-02-03T22:48:46',
                                                              'version' => '1.907'
                                                            },
                                                            {
                                                              'date' => '2015-09-20T02:55:12',
                                                              'version' => '1.908'
                                                            },
                                                            {
                                                              'date' => '2018-03-05T03:26:56',
                                                              'version' => '1.909'
                                                            },
                                                            {
                                                              'date' => '2018-12-18T02:29:23',
                                                              'version' => '1.910'
                                                            },
                                                            {
                                                              'date' => '2018-12-22T16:31:37',
                                                              'version' => '1.911'
                                                            },
                                                            {
                                                              'date' => '2018-12-31T19:51:36',
                                                              'version' => '1.912'
                                                            }
                                                          ]
                                          },
                       'Encode' => {
                                     'advisories' => [
                                                       {
                                                         'affected_versions' => '<2.85',
                                                         'cves' => [
                                                                     'CVE-2016-1238'
                                                                   ],
                                                         'description' => 'Loading optional modules from . (current directory).
',
                                                         'distribution' => 'Encode',
                                                         'fixed_versions' => '>=2.85',
                                                         'id' => 'CPANSA-Encode-2016-01',
                                                         'references' => [
                                                                           'https://metacpan.org/changes/distribution/Encode',
                                                                           'https://github.com/dankogai/p5-encode/pull/58/commits/12be15d64ce089154c4367dc1842cd0dc0993ec6'
                                                                         ],
                                                         'reported' => '2016-07-27'
                                                       }
                                                     ],
                                     'main_module' => 'Encode',
                                     'versions' => [
                                                     {
                                                       'date' => '2002-03-20T08:30:40',
                                                       'version' => '0.93'
                                                     },
                                                     {
                                                       'date' => '2002-03-20T20:15:52',
                                                       'version' => '0.94'
                                                     },
                                                     {
                                                       'date' => '2002-03-21T16:07:21',
                                                       'version' => '0.95'
                                                     },
                                                     {
                                                       'date' => '2002-03-22T22:33:15',
                                                       'version' => '0.96'
                                                     },
                                                     {
                                                       'date' => '2002-03-23T20:36:05',
                                                       'version' => '0.97'
                                                     },
                                                     {
                                                       'date' => '2002-03-24T16:07:09',
                                                       'version' => '0.98'
                                                     },
                                                     {
                                                       'date' => '2002-03-25T19:45:16',
                                                       'version' => '0.99'
                                                     },
                                                     {
                                                       'date' => '2002-03-28T23:39:49',
                                                       'version' => '1.00'
                                                     },
                                                     {
                                                       'date' => '2002-03-29T21:43:17',
                                                       'version' => '1.01'
                                                     },
                                                     {
                                                       'date' => '2002-03-31T21:40:25',
                                                       'version' => '1.10'
                                                     },
                                                     {
                                                       'date' => '2002-03-31T22:27:07',
                                                       'version' => '1.11'
                                                     },
                                                     {
                                                       'date' => '2002-04-04T20:02:40',
                                                       'version' => '1.20'
                                                     },
                                                     {
                                                       'date' => '2002-04-07T15:36:48',
                                                       'version' => '1.26'
                                                     },
                                                     {
                                                       'date' => '2002-04-07T18:49:41',
                                                       'version' => '1.27'
                                                     },
                                                     {
                                                       'date' => '2002-04-07T19:05:34',
                                                       'version' => '1.28'
                                                     },
                                                     {
                                                       'date' => '2002-04-08T02:49:31',
                                                       'version' => '1.30'
                                                     },
                                                     {
                                                       'date' => '2002-04-08T18:51:14',
                                                       'version' => '1.31'
                                                     },
                                                     {
                                                       'date' => '2002-04-09T20:26:37',
                                                       'version' => '1.32'
                                                     },
                                                     {
                                                       'date' => '2002-04-10T22:44:19',
                                                       'version' => '1.33'
                                                     },
                                                     {
                                                       'date' => '2002-04-14T22:49:10',
                                                       'version' => '1.40'
                                                     },
                                                     {
                                                       'date' => '2002-04-16T23:47:16',
                                                       'version' => '1.41'
                                                     },
                                                     {
                                                       'date' => '2002-04-19T06:18:26',
                                                       'version' => '1.50'
                                                     },
                                                     {
                                                       'date' => '2002-04-20T10:08:39',
                                                       'version' => '1.51'
                                                     },
                                                     {
                                                       'date' => '2002-04-20T23:55:45',
                                                       'version' => '1.52'
                                                     },
                                                     {
                                                       'date' => '2002-04-22T09:56:04',
                                                       'version' => '1.56'
                                                     },
                                                     {
                                                       'date' => '2002-04-22T20:37:12',
                                                       'version' => '1.57'
                                                     },
                                                     {
                                                       'date' => '2002-04-23T00:22:06',
                                                       'version' => '1.58'
                                                     },
                                                     {
                                                       'date' => '2002-04-24T20:23:42',
                                                       'version' => '1.60'
                                                     },
                                                     {
                                                       'date' => '2002-04-26T03:19:40',
                                                       'version' => '1.61'
                                                     },
                                                     {
                                                       'date' => '2002-04-27T11:43:39',
                                                       'version' => '1.62'
                                                     },
                                                     {
                                                       'date' => '2002-04-27T19:52:51',
                                                       'version' => '1.63'
                                                     },
                                                     {
                                                       'date' => '2002-04-29T07:20:38',
                                                       'version' => '1.64'
                                                     },
                                                     {
                                                       'date' => '2002-04-30T16:40:07',
                                                       'version' => '1.65'
                                                     },
                                                     {
                                                       'date' => '2002-05-01T05:51:35',
                                                       'version' => '1.66'
                                                     },
                                                     {
                                                       'date' => '2002-05-02T07:43:35',
                                                       'version' => '1.67'
                                                     },
                                                     {
                                                       'date' => '2002-05-03T12:29:47',
                                                       'version' => '1.68'
                                                     },
                                                     {
                                                       'date' => '2002-05-04T16:50:40',
                                                       'version' => '1.69'
                                                     },
                                                     {
                                                       'date' => '2002-05-06T10:36:39',
                                                       'version' => '1.70'
                                                     },
                                                     {
                                                       'date' => '2002-05-07T16:30:42',
                                                       'version' => '1.71'
                                                     },
                                                     {
                                                       'date' => '2002-05-20T16:04:48',
                                                       'version' => '1.72'
                                                     },
                                                     {
                                                       'date' => '2002-05-28T18:41:36',
                                                       'version' => '1.74'
                                                     },
                                                     {
                                                       'date' => '2002-06-01T18:17:49',
                                                       'version' => '1.75'
                                                     },
                                                     {
                                                       'date' => '2002-08-25T15:18:49',
                                                       'version' => '1.76'
                                                     },
                                                     {
                                                       'date' => '2002-10-06T03:59:19',
                                                       'version' => '1.77'
                                                     },
                                                     {
                                                       'date' => '2002-10-20T15:55:16',
                                                       'version' => '1.78'
                                                     },
                                                     {
                                                       'date' => '2002-10-21T06:11:36',
                                                       'version' => '1.79'
                                                     },
                                                     {
                                                       'date' => '2002-10-21T20:42:56',
                                                       'version' => '1.80'
                                                     },
                                                     {
                                                       'date' => '2002-11-08T18:42:11',
                                                       'version' => '1.81'
                                                     },
                                                     {
                                                       'date' => '2002-11-14T23:17:11',
                                                       'version' => '1.82'
                                                     },
                                                     {
                                                       'date' => '2002-11-18T18:06:47',
                                                       'version' => '1.83'
                                                     },
                                                     {
                                                       'date' => '2003-01-10T12:09:05',
                                                       'version' => '1.84'
                                                     },
                                                     {
                                                       'date' => '2003-01-21T22:23:28',
                                                       'version' => '1.85'
                                                     },
                                                     {
                                                       'date' => '2003-01-22T03:36:42',
                                                       'version' => '1.86'
                                                     },
                                                     {
                                                       'date' => '2003-02-06T02:01:00',
                                                       'version' => '1.87'
                                                     },
                                                     {
                                                       'date' => '2003-02-20T14:46:12',
                                                       'version' => '1.88'
                                                     },
                                                     {
                                                       'date' => '2003-02-28T01:45:53',
                                                       'version' => '1.89'
                                                     },
                                                     {
                                                       'date' => '2003-03-09T17:54:26',
                                                       'version' => '1.90'
                                                     },
                                                     {
                                                       'date' => '2003-03-09T20:12:08',
                                                       'version' => '1.91'
                                                     },
                                                     {
                                                       'date' => '2003-03-31T03:51:31',
                                                       'version' => '1.92'
                                                     },
                                                     {
                                                       'date' => '2003-04-24T17:50:54',
                                                       'version' => '1.93'
                                                     },
                                                     {
                                                       'date' => '2003-05-10T18:31:48',
                                                       'version' => '1.94'
                                                     },
                                                     {
                                                       'date' => '2003-05-21T09:22:43',
                                                       'version' => '1.95'
                                                     },
                                                     {
                                                       'date' => '2003-06-18T09:41:21',
                                                       'version' => '1.96'
                                                     },
                                                     {
                                                       'date' => '2003-07-08T22:01:28',
                                                       'version' => '1.97'
                                                     },
                                                     {
                                                       'date' => '2003-08-25T11:47:32',
                                                       'version' => '1.98'
                                                     },
                                                     {
                                                       'date' => '2003-12-29T02:52:28',
                                                       'version' => '1.99'
                                                     },
                                                     {
                                                       'date' => '2004-05-16T21:05:06',
                                                       'version' => '2.00'
                                                     },
                                                     {
                                                       'date' => '2004-05-25T16:31:35',
                                                       'version' => '2.01'
                                                     },
                                                     {
                                                       'date' => '2004-08-31T11:01:51',
                                                       'version' => '2.02'
                                                     },
                                                     {
                                                       'date' => '2004-10-06T06:50:47',
                                                       'version' => '2.03'
                                                     },
                                                     {
                                                       'date' => '2004-10-16T21:26:58',
                                                       'version' => '2.04'
                                                     },
                                                     {
                                                       'date' => '2004-10-19T05:03:32',
                                                       'version' => '2.05'
                                                     },
                                                     {
                                                       'date' => '2004-10-22T06:29:14',
                                                       'version' => '2.06'
                                                     },
                                                     {
                                                       'date' => '2004-10-22T19:43:19',
                                                       'version' => '2.07'
                                                     },
                                                     {
                                                       'date' => '2004-10-24T13:04:29',
                                                       'version' => '2.08'
                                                     },
                                                     {
                                                       'date' => '2004-12-03T19:21:42',
                                                       'version' => '2.09'
                                                     },
                                                     {
                                                       'date' => '2005-05-16T18:54:53',
                                                       'version' => '2.10'
                                                     },
                                                     {
                                                       'date' => '2005-08-05T11:26:06',
                                                       'version' => '2.11'
                                                     },
                                                     {
                                                       'date' => '2005-09-08T14:23:38',
                                                       'version' => '2.12'
                                                     },
                                                     {
                                                       'date' => '2006-01-15T15:12:01',
                                                       'version' => '2.13'
                                                     },
                                                     {
                                                       'date' => '2006-01-15T15:57:41',
                                                       'version' => '2.14'
                                                     },
                                                     {
                                                       'date' => '2006-04-06T16:01:30',
                                                       'version' => '2.15'
                                                     },
                                                     {
                                                       'date' => '2006-05-03T18:38:44',
                                                       'version' => '2.16'
                                                     },
                                                     {
                                                       'date' => '2006-05-09T17:14:04',
                                                       'version' => '2.17'
                                                     },
                                                     {
                                                       'date' => '2006-06-03T20:34:08',
                                                       'version' => '2.18'
                                                     },
                                                     {
                                                       'date' => '2007-04-06T13:05:52',
                                                       'version' => '2.19'
                                                     },
                                                     {
                                                       'date' => '2007-04-22T15:17:34',
                                                       'version' => '2.20'
                                                     },
                                                     {
                                                       'date' => '2007-05-12T06:50:09',
                                                       'version' => '2.21'
                                                     },
                                                     {
                                                       'date' => '2007-05-29T07:43:07',
                                                       'version' => '2.22'
                                                     },
                                                     {
                                                       'date' => '2007-05-29T18:21:25',
                                                       'version' => '2.23'
                                                     },
                                                     {
                                                       'date' => '2008-03-12T10:12:18',
                                                       'version' => '2.24'
                                                     },
                                                     {
                                                       'date' => '2008-05-07T21:06:08',
                                                       'version' => '2.25'
                                                     },
                                                     {
                                                       'date' => '2008-07-01T21:03:33',
                                                       'version' => '2.26'
                                                     },
                                                     {
                                                       'date' => '2009-01-21T23:01:50',
                                                       'version' => '2.27'
                                                     },
                                                     {
                                                       'date' => '2009-02-01T13:16:44',
                                                       'version' => '2.29'
                                                     },
                                                     {
                                                       'date' => '2009-02-15T17:48:01',
                                                       'version' => '2.30'
                                                     },
                                                     {
                                                       'date' => '2009-02-16T06:25:32',
                                                       'version' => '2.31'
                                                     },
                                                     {
                                                       'date' => '2009-03-07T07:45:00',
                                                       'version' => '2.32'
                                                     },
                                                     {
                                                       'date' => '2009-03-25T08:01:10',
                                                       'version' => '2.33'
                                                     },
                                                     {
                                                       'date' => '2009-07-08T13:53:25',
                                                       'version' => '2.34'
                                                     },
                                                     {
                                                       'date' => '2009-07-13T02:32:45',
                                                       'version' => '2.35'
                                                     },
                                                     {
                                                       'date' => '2009-09-06T09:20:21',
                                                       'version' => '2.36'
                                                     },
                                                     {
                                                       'date' => '2009-09-06T14:37:23',
                                                       'version' => '2.37'
                                                     },
                                                     {
                                                       'date' => '2009-11-16T14:34:43',
                                                       'version' => '2.38'
                                                     },
                                                     {
                                                       'date' => '2009-11-26T09:31:02',
                                                       'version' => '2.39'
                                                     },
                                                     {
                                                       'date' => '2010-09-18T18:47:17',
                                                       'version' => '2.40'
                                                     },
                                                     {
                                                       'date' => '2010-12-23T11:12:33',
                                                       'version' => '2.41'
                                                     },
                                                     {
                                                       'date' => '2010-12-31T22:52:35',
                                                       'version' => '2.42'
                                                     },
                                                     {
                                                       'date' => '2011-05-21T23:21:24',
                                                       'version' => '2.43'
                                                     },
                                                     {
                                                       'date' => '2011-08-09T08:01:30',
                                                       'version' => '2.44'
                                                     },
                                                     {
                                                       'date' => '2012-08-05T23:15:11',
                                                       'version' => '2.45'
                                                     },
                                                     {
                                                       'date' => '2012-08-12T05:52:45',
                                                       'version' => '2.46'
                                                     },
                                                     {
                                                       'date' => '2012-08-15T05:40:21',
                                                       'version' => '2.47'
                                                     },
                                                     {
                                                       'date' => '2013-02-18T02:43:35',
                                                       'version' => '2.48'
                                                     },
                                                     {
                                                       'date' => '2013-03-05T03:19:15',
                                                       'version' => '2.49'
                                                     },
                                                     {
                                                       'date' => '2013-04-26T18:36:59',
                                                       'version' => '2.50'
                                                     },
                                                     {
                                                       'date' => '2013-04-29T22:21:31',
                                                       'version' => '2.51'
                                                     },
                                                     {
                                                       'date' => '2013-08-14T02:33:46',
                                                       'version' => '2.52'
                                                     },
                                                     {
                                                       'date' => '2013-08-29T15:27:02',
                                                       'version' => '2.53'
                                                     },
                                                     {
                                                       'date' => '2013-08-29T16:50:08',
                                                       'version' => '2.54'
                                                     },
                                                     {
                                                       'date' => '2013-09-14T07:58:54',
                                                       'version' => '2.55'
                                                     },
                                                     {
                                                       'date' => '2013-12-22T04:12:07',
                                                       'version' => '2.56'
                                                     },
                                                     {
                                                       'date' => '2014-01-03T04:55:36',
                                                       'version' => '2.57'
                                                     },
                                                     {
                                                       'date' => '2014-03-28T02:41:54',
                                                       'version' => '2.58'
                                                     },
                                                     {
                                                       'date' => '2014-04-06T17:41:19',
                                                       'version' => '2.59'
                                                     },
                                                     {
                                                       'date' => '2014-04-29T16:34:10',
                                                       'version' => '2.60'
                                                     },
                                                     {
                                                       'date' => '2014-05-31T09:55:56',
                                                       'version' => '2.61'
                                                     },
                                                     {
                                                       'date' => '2014-05-31T12:20:28',
                                                       'version' => '2.62'
                                                     },
                                                     {
                                                       'date' => '2014-10-19T07:13:44',
                                                       'version' => '2.63'
                                                     },
                                                     {
                                                       'date' => '2014-10-29T15:42:04',
                                                       'version' => '2.64'
                                                     },
                                                     {
                                                       'date' => '2014-11-27T14:12:57',
                                                       'version' => '2.65'
                                                     },
                                                     {
                                                       'date' => '2014-12-02T23:37:28',
                                                       'version' => '2.66'
                                                     },
                                                     {
                                                       'date' => '2014-12-04T20:28:33',
                                                       'version' => '2.67'
                                                     },
                                                     {
                                                       'date' => '2015-01-22T10:29:46',
                                                       'version' => '2.68'
                                                     },
                                                     {
                                                       'date' => '2015-02-05T10:43:34',
                                                       'version' => '2.69'
                                                     },
                                                     {
                                                       'date' => '2015-02-05T10:56:52',
                                                       'version' => '2.70'
                                                     },
                                                     {
                                                       'date' => '2015-03-12T00:14:19',
                                                       'version' => '2.71'
                                                     },
                                                     {
                                                       'date' => '2015-03-14T02:51:25',
                                                       'version' => '2.72'
                                                     },
                                                     {
                                                       'date' => '2015-04-15T23:27:13',
                                                       'version' => '2.73'
                                                     },
                                                     {
                                                       'date' => '2015-06-25T00:59:20',
                                                       'version' => '2.74'
                                                     },
                                                     {
                                                       'date' => '2015-06-30T10:10:03',
                                                       'version' => '2.75'
                                                     },
                                                     {
                                                       'date' => '2015-07-31T02:26:51',
                                                       'version' => '2.76'
                                                     },
                                                     {
                                                       'date' => '2015-09-15T14:03:35',
                                                       'version' => '2.77'
                                                     },
                                                     {
                                                       'date' => '2015-09-24T02:29:52',
                                                       'version' => '2.78'
                                                     },
                                                     {
                                                       'date' => '2016-01-22T07:08:25',
                                                       'version' => '2.79'
                                                     },
                                                     {
                                                       'date' => '2016-01-25T15:04:42',
                                                       'version' => '2.80'
                                                     },
                                                     {
                                                       'date' => '2016-02-06T19:34:58',
                                                       'version' => '2.81'
                                                     },
                                                     {
                                                       'date' => '2016-02-06T20:21:37',
                                                       'version' => '2.82'
                                                     },
                                                     {
                                                       'date' => '2016-03-24T08:00:30',
                                                       'version' => '2.83'
                                                     },
                                                     {
                                                       'date' => '2016-04-11T07:24:26',
                                                       'version' => '2.84'
                                                     },
                                                     {
                                                       'date' => '2016-08-04T03:37:23',
                                                       'version' => '2.85'
                                                     },
                                                     {
                                                       'date' => '2016-08-10T18:25:39',
                                                       'version' => '2.86'
                                                     },
                                                     {
                                                       'date' => '2016-10-28T05:15:33',
                                                       'version' => '2.87'
                                                     },
                                                     {
                                                       'date' => '2016-11-29T23:38:19',
                                                       'version' => '2.88'
                                                     },
                                                     {
                                                       'date' => '2017-04-21T05:24:59',
                                                       'version' => '2.89'
                                                     },
                                                     {
                                                       'date' => '2017-06-10T17:46:11',
                                                       'version' => '2.90'
                                                     },
                                                     {
                                                       'date' => '2017-06-22T08:18:22',
                                                       'version' => '2.91'
                                                     },
                                                     {
                                                       'date' => '2017-07-18T07:23:39',
                                                       'version' => '2.92'
                                                     },
                                                     {
                                                       'date' => '2017-10-06T22:33:35',
                                                       'version' => '2.93'
                                                     },
                                                     {
                                                       'date' => '2018-01-09T06:04:38',
                                                       'version' => '2.94'
                                                     },
                                                     {
                                                       'date' => '2018-02-08T00:41:02',
                                                       'version' => '2.95'
                                                     },
                                                     {
                                                       'date' => '2018-02-11T05:41:37',
                                                       'version' => '2.96'
                                                     },
                                                     {
                                                       'date' => '2018-02-21T12:30:05',
                                                       'version' => '2.97'
                                                     },
                                                     {
                                                       'date' => '2018-04-22T09:14:59',
                                                       'version' => '2.98'
                                                     },
                                                     {
                                                       'date' => '2019-01-21T03:28:35',
                                                       'version' => '2.99'
                                                     },
                                                     {
                                                       'date' => '2019-01-31T04:42:29',
                                                       'version' => '2.100'
                                                     },
                                                     {
                                                       'date' => '2019-01-31T05:05:06',
                                                       'version' => '3.00'
                                                     }
                                                   ]
                                   },
                       'ExtUtils-MakeMaker' => {
                                                 'advisories' => [
                                                                   {
                                                                     'affected_versions' => '<7.22',
                                                                     'cves' => [
                                                                                 'CVE-2016-1238'
                                                                               ],
                                                                     'description' => 'Loading modules from . (current directory).
',
                                                                     'distribution' => 'ExtUtils-MakeMaker',
                                                                     'fixed_versions' => '>=7.22',
                                                                     'id' => 'CPANSA-ExtUtils-MakeMaker-2016-01',
                                                                     'references' => [
                                                                                       'https://metacpan.org/changes/distribution/ExtUtils-MakeMaker',
                                                                                       'https://github.com/Perl-Toolchain-Gang/ExtUtils-MakeMaker/commit/3e9df17d11c40f2561c23ec79693c8c390e0ae88'
                                                                                     ],
                                                                     'reported' => '2016-08-07'
                                                                   }
                                                                 ],
                                                 'main_module' => 'ExtUtils::MakeMaker',
                                                 'versions' => [
                                                                 {
                                                                   'date' => '2001-07-06T08:23:56',
                                                                   'version' => '5.47_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-01-16T20:19:18',
                                                                   'version' => '5.48_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-01-18T04:56:33',
                                                                   'version' => '5.48_03'
                                                                 },
                                                                 {
                                                                   'date' => '2002-01-22T00:33:31',
                                                                   'version' => '5.48_04'
                                                                 },
                                                                 {
                                                                   'date' => '2002-02-04T08:46:04',
                                                                   'version' => '5.49_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-03-05T04:53:40',
                                                                   'version' => '5.50_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-03-25T07:53:14',
                                                                   'version' => '5.51_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-03-26T05:56:07',
                                                                   'version' => '5.52_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-03-31T03:55:52',
                                                                   'version' => '5.54_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-04-05T05:01:52',
                                                                   'version' => '5.55_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-04-06T08:29:20',
                                                                   'version' => '5.55_02'
                                                                 },
                                                                 {
                                                                   'date' => '2002-04-07T03:04:18',
                                                                   'version' => '5.55_03'
                                                                 },
                                                                 {
                                                                   'date' => '2002-04-11T05:32:04',
                                                                   'version' => '5.90_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-04-24T04:21:44',
                                                                   'version' => '5.91_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-04-30T03:43:53',
                                                                   'version' => '5.92_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-06T06:02:08',
                                                                   'version' => '5.93_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-17T19:04:41',
                                                                   'version' => '5.94_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-17T21:24:13',
                                                                   'version' => '5.94_02'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-18T18:43:02',
                                                                   'version' => '5.95_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-23T21:01:02',
                                                                   'version' => '5.96_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-26T01:25:25',
                                                                   'version' => '6.00'
                                                                 },
                                                                 {
                                                                   'date' => '2002-05-30T19:02:20',
                                                                   'version' => '6.01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-06-16T05:41:28',
                                                                   'version' => '6.02'
                                                                 },
                                                                 {
                                                                   'date' => '2002-06-19T21:24:32',
                                                                   'version' => '6.03'
                                                                 },
                                                                 {
                                                                   'date' => '2002-08-27T01:42:36',
                                                                   'version' => '6.04'
                                                                 },
                                                                 {
                                                                   'date' => '2002-08-27T23:24:30',
                                                                   'version' => '6.05'
                                                                 },
                                                                 {
                                                                   'date' => '2002-12-19T08:42:01',
                                                                   'version' => '6.06_01'
                                                                 },
                                                                 {
                                                                   'date' => '2002-12-24T04:54:53',
                                                                   'version' => '6.06_02'
                                                                 },
                                                                 {
                                                                   'date' => '2003-03-30T03:49:59',
                                                                   'version' => '6.06_03'
                                                                 },
                                                                 {
                                                                   'date' => '2003-03-31T04:37:55',
                                                                   'version' => '6.06_04'
                                                                 },
                                                                 {
                                                                   'date' => '2003-03-31T10:50:00',
                                                                   'version' => '6.06_05'
                                                                 },
                                                                 {
                                                                   'date' => '2003-04-07T02:46:10',
                                                                   'version' => '6.10_01'
                                                                 },
                                                                 {
                                                                   'date' => '2003-04-07T08:33:23',
                                                                   'version' => '6.10_02'
                                                                 },
                                                                 {
                                                                   'date' => '2003-04-11T07:27:36',
                                                                   'version' => '6.10_03'
                                                                 },
                                                                 {
                                                                   'date' => '2003-05-23T09:05:27',
                                                                   'version' => '6.10_04'
                                                                 },
                                                                 {
                                                                   'date' => '2003-06-07T01:32:29',
                                                                   'version' => '6.10_05'
                                                                 },
                                                                 {
                                                                   'date' => '2003-06-07T08:00:14',
                                                                   'version' => '6.10_06'
                                                                 },
                                                                 {
                                                                   'date' => '2003-07-05T23:40:34',
                                                                   'version' => '6.10_07'
                                                                 },
                                                                 {
                                                                   'date' => '2003-07-22T01:23:46',
                                                                   'version' => '6.10_08'
                                                                 },
                                                                 {
                                                                   'date' => '2003-07-28T04:00:19',
                                                                   'version' => '6.11'
                                                                 },
                                                                 {
                                                                   'date' => '2003-07-30T05:28:47',
                                                                   'version' => '6.12'
                                                                 },
                                                                 {
                                                                   'date' => '2003-07-31T23:51:40',
                                                                   'version' => '6.13'
                                                                 },
                                                                 {
                                                                   'date' => '2003-08-03T23:27:51',
                                                                   'version' => '6.14'
                                                                 },
                                                                 {
                                                                   'date' => '2003-08-03T23:46:11',
                                                                   'version' => '6.15'
                                                                 },
                                                                 {
                                                                   'date' => '2003-08-18T08:43:08',
                                                                   'version' => '6.16'
                                                                 },
                                                                 {
                                                                   'date' => '2003-09-15T22:23:01',
                                                                   'version' => '6.17'
                                                                 },
                                                                 {
                                                                   'date' => '2003-11-04T04:12:53',
                                                                   'version' => '6.18'
                                                                 },
                                                                 {
                                                                   'date' => '2003-11-04T07:03:30',
                                                                   'version' => '6.19'
                                                                 },
                                                                 {
                                                                   'date' => '2003-11-06T10:37:47',
                                                                   'version' => '6.20'
                                                                 },
                                                                 {
                                                                   'date' => '2003-11-11T08:26:17',
                                                                   'version' => '6.21'
                                                                 },
                                                                 {
                                                                   'date' => '2004-04-03T21:33:45',
                                                                   'version' => '6.21_03'
                                                                 },
                                                                 {
                                                                   'date' => '2004-11-24T04:06:20',
                                                                   'version' => '6.22'
                                                                 },
                                                                 {
                                                                   'date' => '2004-11-26T21:15:45',
                                                                   'version' => '6.23'
                                                                 },
                                                                 {
                                                                   'date' => '2004-11-30T20:42:14',
                                                                   'version' => '6.24'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-09T06:00:53',
                                                                   'version' => '6.24_01'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-15T12:05:50',
                                                                   'version' => '6.25'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-18T02:34:56',
                                                                   'version' => '6.25_01'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-20T08:36:56',
                                                                   'version' => '6.25_02'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-21T04:17:27',
                                                                   'version' => '6.25_03'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-21T05:58:10',
                                                                   'version' => '6.25_04'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-22T13:05:53',
                                                                   'version' => '6.25_05'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-26T22:26:26',
                                                                   'version' => '6.25_06'
                                                                 },
                                                                 {
                                                                   'date' => '2004-12-31T08:53:31',
                                                                   'version' => '6.25_07'
                                                                 },
                                                                 {
                                                                   'date' => '2005-02-08T14:21:17',
                                                                   'version' => '6.25_08'
                                                                 },
                                                                 {
                                                                   'date' => '2005-03-12T18:29:26',
                                                                   'version' => '6.25_09'
                                                                 },
                                                                 {
                                                                   'date' => '2005-03-14T00:17:26',
                                                                   'version' => '6.25_10'
                                                                 },
                                                                 {
                                                                   'date' => '2005-03-15T10:05:07',
                                                                   'version' => '6.25_11'
                                                                 },
                                                                 {
                                                                   'date' => '2005-03-19T00:19:47',
                                                                   'version' => '6.25_12'
                                                                 },
                                                                 {
                                                                   'date' => '2005-03-22T22:50:34',
                                                                   'version' => '6.26'
                                                                 },
                                                                 {
                                                                   'date' => '2005-03-29T05:48:40',
                                                                   'version' => '6.26_01'
                                                                 },
                                                                 {
                                                                   'date' => '2005-04-04T23:55:46',
                                                                   'version' => '6.27'
                                                                 },
                                                                 {
                                                                   'date' => '2005-04-12T23:23:53',
                                                                   'version' => '6.28'
                                                                 },
                                                                 {
                                                                   'date' => '2005-05-19T21:22:00',
                                                                   'version' => '6.29'
                                                                 },
                                                                 {
                                                                   'date' => '2005-05-20T23:14:45',
                                                                   'version' => '6.30'
                                                                 },
                                                                 {
                                                                   'date' => '2005-08-17T06:59:11',
                                                                   'version' => '6.30_01'
                                                                 },
                                                                 {
                                                                   'date' => '2006-09-01T19:07:28',
                                                                   'version' => '6.30_02'
                                                                 },
                                                                 {
                                                                   'date' => '2006-09-01T21:06:57',
                                                                   'version' => '6.30_03'
                                                                 },
                                                                 {
                                                                   'date' => '2006-09-11T20:20:27',
                                                                   'version' => '6.30_04'
                                                                 },
                                                                 {
                                                                   'date' => '2006-10-10T01:04:44',
                                                                   'version' => '6.31'
                                                                 },
                                                                 {
                                                                   'date' => '2007-02-21T16:02:09',
                                                                   'version' => '6.32'
                                                                 },
                                                                 {
                                                                   'date' => '2007-06-29T22:18:15',
                                                                   'version' => '6.33'
                                                                 },
                                                                 {
                                                                   'date' => '2007-06-30T16:10:15',
                                                                   'version' => '6.34'
                                                                 },
                                                                 {
                                                                   'date' => '2007-07-02T03:56:25',
                                                                   'version' => '6.35'
                                                                 },
                                                                 {
                                                                   'date' => '2007-07-03T08:10:57',
                                                                   'version' => '6.36'
                                                                 },
                                                                 {
                                                                   'date' => '2007-11-26T01:10:14',
                                                                   'version' => '6.37_01'
                                                                 },
                                                                 {
                                                                   'date' => '2007-11-26T07:35:50',
                                                                   'version' => '6.37_02'
                                                                 },
                                                                 {
                                                                   'date' => '2007-11-26T22:18:55',
                                                                   'version' => '6.37_03'
                                                                 },
                                                                 {
                                                                   'date' => '2007-11-29T00:04:35',
                                                                   'version' => '6.38'
                                                                 },
                                                                 {
                                                                   'date' => '2007-12-06T11:08:15',
                                                                   'version' => '6.40'
                                                                 },
                                                                 {
                                                                   'date' => '2007-12-08T01:02:26',
                                                                   'version' => '6.42'
                                                                 },
                                                                 {
                                                                   'date' => '2008-01-02T00:09:23',
                                                                   'version' => '6.43_01'
                                                                 },
                                                                 {
                                                                   'date' => '2008-02-29T00:08:42',
                                                                   'version' => '6.44'
                                                                 },
                                                                 {
                                                                   'date' => '2008-09-06T10:22:44',
                                                                   'version' => '6.45_01'
                                                                 },
                                                                 {
                                                                   'date' => '2008-09-07T21:18:05',
                                                                   'version' => '6.45_02'
                                                                 },
                                                                 {
                                                                   'date' => '2008-09-27T21:37:54',
                                                                   'version' => '6.46'
                                                                 },
                                                                 {
                                                                   'date' => '2008-10-14T16:41:49',
                                                                   'version' => '6.47_01'
                                                                 },
                                                                 {
                                                                   'date' => '2008-10-16T23:18:52',
                                                                   'version' => '6.47_02'
                                                                 },
                                                                 {
                                                                   'date' => '2008-10-20T18:20:40',
                                                                   'version' => '6.48'
                                                                 },
                                                                 {
                                                                   'date' => '2009-02-20T01:11:08',
                                                                   'version' => '6.49_01'
                                                                 },
                                                                 {
                                                                   'date' => '2009-03-22T19:30:00',
                                                                   'version' => '6.50'
                                                                 },
                                                                 {
                                                                   'date' => '2009-04-10T21:33:29',
                                                                   'version' => '6.51_01'
                                                                 },
                                                                 {
                                                                   'date' => '2009-04-14T04:22:58',
                                                                   'version' => '6.51_02'
                                                                 },
                                                                 {
                                                                   'date' => '2009-05-24T05:41:35',
                                                                   'version' => '6.51_03'
                                                                 },
                                                                 {
                                                                   'date' => '2009-05-24T21:07:28',
                                                                   'version' => '6.51_04'
                                                                 },
                                                                 {
                                                                   'date' => '2009-05-30T18:41:35',
                                                                   'version' => '6.52'
                                                                 },
                                                                 {
                                                                   'date' => '2009-06-08T02:05:24',
                                                                   'version' => '6.53_01'
                                                                 },
                                                                 {
                                                                   'date' => '2009-06-08T02:28:24',
                                                                   'version' => '6.53_02'
                                                                 },
                                                                 {
                                                                   'date' => '2009-07-02T21:55:25',
                                                                   'version' => '6.53_03'
                                                                 },
                                                                 {
                                                                   'date' => '2009-07-07T23:53:09',
                                                                   'version' => '6.54'
                                                                 },
                                                                 {
                                                                   'date' => '2009-07-14T23:02:39',
                                                                   'version' => '6.55_01'
                                                                 },
                                                                 {
                                                                   'date' => '2009-08-05T07:40:59',
                                                                   'version' => '6.55_02'
                                                                 },
                                                                 {
                                                                   'date' => '2009-12-05T07:09:23',
                                                                   'version' => '6.55_03'
                                                                 },
                                                                 {
                                                                   'date' => '2009-12-17T22:06:47',
                                                                   'version' => '6.56'
                                                                 },
                                                                 {
                                                                   'date' => '2010-08-24T08:38:36',
                                                                   'version' => '6.57_01'
                                                                 },
                                                                 {
                                                                   'date' => '2010-09-07T23:43:49',
                                                                   'version' => '6.57_02'
                                                                 },
                                                                 {
                                                                   'date' => '2010-09-08T22:33:36',
                                                                   'version' => '6.57_03'
                                                                 },
                                                                 {
                                                                   'date' => '2010-09-09T23:52:37',
                                                                   'version' => '6.57_04'
                                                                 },
                                                                 {
                                                                   'date' => '2010-09-11T20:25:23',
                                                                   'version' => '6.57_05'
                                                                 },
                                                                 {
                                                                   'date' => '2010-10-06T10:53:43',
                                                                   'version' => '6.57_06'
                                                                 },
                                                                 {
                                                                   'date' => '2011-03-25T03:41:39',
                                                                   'version' => '6.57_07'
                                                                 },
                                                                 {
                                                                   'date' => '2011-03-27T11:00:41',
                                                                   'version' => '6.57_08'
                                                                 },
                                                                 {
                                                                   'date' => '2011-03-28T00:15:59',
                                                                   'version' => '6.57_09'
                                                                 },
                                                                 {
                                                                   'date' => '2011-04-04T05:33:46',
                                                                   'version' => '6.57_10'
                                                                 },
                                                                 {
                                                                   'date' => '2011-05-20T00:34:23',
                                                                   'version' => '6.57_11'
                                                                 },
                                                                 {
                                                                   'date' => '2011-07-06T21:22:27',
                                                                   'version' => '6.58'
                                                                 },
                                                                 {
                                                                   'date' => '2011-08-03T20:25:34',
                                                                   'version' => '6.58_01'
                                                                 },
                                                                 {
                                                                   'date' => '2011-08-05T13:07:58',
                                                                   'version' => '6.59'
                                                                 },
                                                                 {
                                                                   'date' => '2011-09-25T05:23:43',
                                                                   'version' => '6.61_01'
                                                                 },
                                                                 {
                                                                   'date' => '2011-10-23T23:48:06',
                                                                   'version' => '6.62'
                                                                 },
                                                                 {
                                                                   'date' => '2011-10-24T00:40:49',
                                                                   'version' => '6.63_01'
                                                                 },
                                                                 {
                                                                   'date' => '2011-11-02T00:07:43',
                                                                   'version' => '6.63_02'
                                                                 },
                                                                 {
                                                                   'date' => '2012-11-02T03:58:40',
                                                                   'version' => '6.63_03'
                                                                 },
                                                                 {
                                                                   'date' => '2012-11-22T21:25:35',
                                                                   'version' => '6.63_04'
                                                                 },
                                                                 {
                                                                   'date' => '2012-12-17T02:35:20',
                                                                   'version' => '6.64'
                                                                 },
                                                                 {
                                                                   'date' => '2013-03-18T23:21:28',
                                                                   'version' => '6.65_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-04-14T09:59:15',
                                                                   'version' => '6.65_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-04-15T12:50:31',
                                                                   'version' => '6.65_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-04-19T17:52:08',
                                                                   'version' => '6.66'
                                                                 },
                                                                 {
                                                                   'date' => '2013-04-25T20:08:31',
                                                                   'version' => '6.67_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-06-02T17:31:16',
                                                                   'version' => '6.67_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-06-05T21:09:00',
                                                                   'version' => '6.67_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-06-10T19:25:22',
                                                                   'version' => '6.67_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-06-13T20:55:25',
                                                                   'version' => '6.67_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-06-14T22:35:24',
                                                                   'version' => '6.68'
                                                                 },
                                                                 {
                                                                   'date' => '2013-06-20T12:00:00',
                                                                   'version' => '6.69_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-02T12:16:23',
                                                                   'version' => '6.69_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-09T21:47:07',
                                                                   'version' => '6.69_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-10T10:50:08',
                                                                   'version' => '6.69_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-11T21:20:53',
                                                                   'version' => '6.69_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-12T13:51:50',
                                                                   'version' => '6.69_06'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-16T14:34:32',
                                                                   'version' => '6.69_07'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-16T23:40:44',
                                                                   'version' => '6.69_08'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-21T08:26:44',
                                                                   'version' => '6.69_09'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-23T21:42:47',
                                                                   'version' => '6.70'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-24T08:33:58',
                                                                   'version' => '6.71_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-24T17:42:20',
                                                                   'version' => '6.72'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-24T22:53:41',
                                                                   'version' => '6.73_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-26T12:34:19',
                                                                   'version' => '6.73_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-07-30T21:12:02',
                                                                   'version' => '6.73_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-01T21:41:12',
                                                                   'version' => '6.73_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-05T16:45:38',
                                                                   'version' => '6.73_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-05T23:52:18',
                                                                   'version' => '6.73_06'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-07T15:09:12',
                                                                   'version' => '6.73_07'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-09T18:52:24',
                                                                   'version' => '6.73_08'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-09T19:00:18',
                                                                   'version' => '6.73_09'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-16T15:43:35',
                                                                   'version' => '6.73_10'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-17T21:57:55',
                                                                   'version' => '6.73_11'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-23T09:52:43',
                                                                   'version' => '6.73_12'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-27T11:45:55',
                                                                   'version' => '6.74'
                                                                 },
                                                                 {
                                                                   'date' => '2013-08-29T14:09:22',
                                                                   'version' => '6.75_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-01T20:52:29',
                                                                   'version' => '6.75_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-02T23:26:56',
                                                                   'version' => '6.75_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-05T11:10:20',
                                                                   'version' => '6.75_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-06T12:40:59',
                                                                   'version' => '6.76'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-10T14:22:45',
                                                                   'version' => '6.77_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-12T20:23:49',
                                                                   'version' => '6.77_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-16T11:23:59',
                                                                   'version' => '6.77_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-18T18:25:33',
                                                                   'version' => '6.77_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-19T13:12:32',
                                                                   'version' => '6.77_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-19T14:43:24',
                                                                   'version' => '6.77_06'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-21T08:48:44',
                                                                   'version' => '6.77_07'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-22T17:46:50',
                                                                   'version' => '6.77_08'
                                                                 },
                                                                 {
                                                                   'date' => '2013-09-23T12:47:39',
                                                                   'version' => '6.78'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-01T14:01:33',
                                                                   'version' => '6.79_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-11T12:01:23',
                                                                   'version' => '6.79_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-11T13:00:29',
                                                                   'version' => '6.79_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-11T17:59:30',
                                                                   'version' => '6.79_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-15T15:08:06',
                                                                   'version' => '6.80'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-16T08:04:29',
                                                                   'version' => '6.81_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-17T11:24:19',
                                                                   'version' => '6.81_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-10-24T19:54:34',
                                                                   'version' => '6.81_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-01T19:56:13',
                                                                   'version' => '6.81_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-02T21:44:06',
                                                                   'version' => '6.81_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-04T19:24:38',
                                                                   'version' => '6.82'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-05T11:45:54',
                                                                   'version' => '6.83_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-12T11:15:21',
                                                                   'version' => '6.83_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-15T09:49:39',
                                                                   'version' => '6.83_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-17T11:44:01',
                                                                   'version' => '6.83_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-25T22:52:46',
                                                                   'version' => '6.83_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-29T21:55:40',
                                                                   'version' => '6.83_06'
                                                                 },
                                                                 {
                                                                   'date' => '2013-11-30T15:27:01',
                                                                   'version' => '6.84'
                                                                 },
                                                                 {
                                                                   'date' => '2013-12-16T13:18:35',
                                                                   'version' => '6.85_01'
                                                                 },
                                                                 {
                                                                   'date' => '2013-12-17T10:17:50',
                                                                   'version' => '6.85_02'
                                                                 },
                                                                 {
                                                                   'date' => '2013-12-23T14:59:36',
                                                                   'version' => '6.85_03'
                                                                 },
                                                                 {
                                                                   'date' => '2013-12-23T15:02:38',
                                                                   'version' => '6.85_04'
                                                                 },
                                                                 {
                                                                   'date' => '2013-12-29T11:28:14',
                                                                   'version' => '6.85_05'
                                                                 },
                                                                 {
                                                                   'date' => '2013-12-30T23:18:09',
                                                                   'version' => '6.85_06'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-01T19:00:36',
                                                                   'version' => '6.85_07'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-04T12:21:05',
                                                                   'version' => '6.86'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-12T10:34:38',
                                                                   'version' => '6.87_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-18T13:30:15',
                                                                   'version' => '6.87_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-19T17:53:19',
                                                                   'version' => '6.87_03'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-26T19:33:34',
                                                                   'version' => '6.87_04'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-28T14:00:44',
                                                                   'version' => '6.87_05'
                                                                 },
                                                                 {
                                                                   'date' => '2014-01-31T20:59:13',
                                                                   'version' => '6.88'
                                                                 },
                                                                 {
                                                                   'date' => '2014-02-17T16:23:55',
                                                                   'version' => '6.89_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-02-20T20:49:24',
                                                                   'version' => '6.90'
                                                                 },
                                                                 {
                                                                   'date' => '2014-03-06T13:52:24',
                                                                   'version' => '6.91_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-03-13T16:34:37',
                                                                   'version' => '6.92'
                                                                 },
                                                                 {
                                                                   'date' => '2014-03-24T16:57:01',
                                                                   'version' => '6.93_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-03-25T20:38:21',
                                                                   'version' => '6.94'
                                                                 },
                                                                 {
                                                                   'date' => '2014-04-02T20:52:53',
                                                                   'version' => '6.95_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-04-07T14:29:26',
                                                                   'version' => '6.95_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-04-11T21:09:21',
                                                                   'version' => '6.96'
                                                                 },
                                                                 {
                                                                   'date' => '2014-04-24T13:29:12',
                                                                   'version' => '6.97_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-04-28T10:55:44',
                                                                   'version' => '6.97_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-04-29T20:41:00',
                                                                   'version' => '6.98'
                                                                 },
                                                                 {
                                                                   'date' => '2014-06-03T21:19:42',
                                                                   'version' => '6.99_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-06-05T11:18:25',
                                                                   'version' => '6.99_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-07-04T10:15:23',
                                                                   'version' => '6.99_03'
                                                                 },
                                                                 {
                                                                   'date' => '2014-07-12T11:54:35',
                                                                   'version' => '6.99_04'
                                                                 },
                                                                 {
                                                                   'date' => '2014-07-22T11:42:12',
                                                                   'version' => '6.99_05'
                                                                 },
                                                                 {
                                                                   'date' => '2014-07-28T14:07:14',
                                                                   'version' => '6.99_06'
                                                                 },
                                                                 {
                                                                   'date' => '2014-07-30T16:44:02',
                                                                   'version' => '6.99_07'
                                                                 },
                                                                 {
                                                                   'date' => '2014-08-18T13:19:18',
                                                                   'version' => '6.99_08'
                                                                 },
                                                                 {
                                                                   'date' => '2014-08-28T10:13:30',
                                                                   'version' => '6.99_09'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-04T14:04:55',
                                                                   'version' => '6.99_10'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-08T13:39:46',
                                                                   'version' => '6.99_11'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-11T14:32:19',
                                                                   'version' => '6.99_12'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-15T19:11:34',
                                                                   'version' => '6.99_13'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-19T14:06:14',
                                                                   'version' => '6.99_14'
                                                                 },
                                                                 {
                                                                   'date' => '2014-09-21T12:23:58',
                                                                   'version' => '6.99_15'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-02T18:50:08',
                                                                   'version' => '6.99_16'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-12T18:41:24',
                                                                   'version' => '6.99_17'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-20T09:14:39',
                                                                   'version' => '6.99_18'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-22T19:48:56',
                                                                   'version' => '7.00'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-25T12:49:55',
                                                                   'version' => '7.01_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-25T16:49:40',
                                                                   'version' => '7.01_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-30T19:48:04',
                                                                   'version' => '7.01_03'
                                                                 },
                                                                 {
                                                                   'date' => '2014-10-31T10:13:56',
                                                                   'version' => '7.01_04'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-03T12:53:43',
                                                                   'version' => '7.01_05'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-03T20:55:23',
                                                                   'version' => '7.01_06'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-04T19:40:07',
                                                                   'version' => '7.01_07'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-04T20:29:00',
                                                                   'version' => '7.01_08'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-06T21:59:55',
                                                                   'version' => '7.01_09'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-08T10:39:16',
                                                                   'version' => '7.02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-18T21:47:11',
                                                                   'version' => '7.03_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-24T13:26:46',
                                                                   'version' => '7.03_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-25T16:43:06',
                                                                   'version' => '7.03_03'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-27T14:42:51',
                                                                   'version' => '7.03_04'
                                                                 },
                                                                 {
                                                                   'date' => '2014-11-28T18:32:48',
                                                                   'version' => '7.03_05'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-01T15:37:46',
                                                                   'version' => '7.03_06'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-02T12:56:02',
                                                                   'version' => '7.04'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-06T16:58:07',
                                                                   'version' => '7.05_01'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-15T20:13:08',
                                                                   'version' => '7.05_02'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-24T12:12:00',
                                                                   'version' => '7.05_03'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-24T14:49:46',
                                                                   'version' => '7.05_04'
                                                                 },
                                                                 {
                                                                   'date' => '2014-12-31T23:21:05',
                                                                   'version' => '7.05_05'
                                                                 },
                                                                 {
                                                                   'date' => '2015-01-08T19:09:29',
                                                                   'version' => '7.05_06'
                                                                 },
                                                                 {
                                                                   'date' => '2015-01-09T16:23:43',
                                                                   'version' => '7.05_07'
                                                                 },
                                                                 {
                                                                   'date' => '2015-01-20T10:13:21',
                                                                   'version' => '7.05_08'
                                                                 },
                                                                 {
                                                                   'date' => '2015-01-23T10:51:30',
                                                                   'version' => '7.05_09'
                                                                 },
                                                                 {
                                                                   'date' => '2015-01-26T15:19:01',
                                                                   'version' => '7.05_10'
                                                                 },
                                                                 {
                                                                   'date' => '2015-01-31T16:40:19',
                                                                   'version' => '7.05_11'
                                                                 },
                                                                 {
                                                                   'date' => '2015-02-07T15:19:11',
                                                                   'version' => '7.05_12'
                                                                 },
                                                                 {
                                                                   'date' => '2015-02-18T22:49:29',
                                                                   'version' => '7.05_13'
                                                                 },
                                                                 {
                                                                   'date' => '2015-02-20T17:32:55',
                                                                   'version' => '7.05_14'
                                                                 },
                                                                 {
                                                                   'date' => '2015-03-05T19:44:02',
                                                                   'version' => '7.05_15'
                                                                 },
                                                                 {
                                                                   'date' => '2015-03-09T11:35:12',
                                                                   'version' => '7.05_16'
                                                                 },
                                                                 {
                                                                   'date' => '2015-03-24T12:27:52',
                                                                   'version' => '7.05_17'
                                                                 },
                                                                 {
                                                                   'date' => '2015-03-27T12:20:03',
                                                                   'version' => '7.05_18'
                                                                 },
                                                                 {
                                                                   'date' => '2015-03-27T16:59:34',
                                                                   'version' => '7.05_19'
                                                                 },
                                                                 {
                                                                   'date' => '2015-04-04T15:53:36',
                                                                   'version' => '7.05_20'
                                                                 },
                                                                 {
                                                                   'date' => '2015-06-13T14:19:26',
                                                                   'version' => '7.05_21'
                                                                 },
                                                                 {
                                                                   'date' => '2015-06-14T13:44:56',
                                                                   'version' => '7.05_22'
                                                                 },
                                                                 {
                                                                   'date' => '2015-06-24T19:51:24',
                                                                   'version' => '7.05_23'
                                                                 },
                                                                 {
                                                                   'date' => '2015-07-01T18:30:38',
                                                                   'version' => '7.05_24'
                                                                 },
                                                                 {
                                                                   'date' => '2015-07-07T17:18:36',
                                                                   'version' => '7.05_25'
                                                                 },
                                                                 {
                                                                   'date' => '2015-08-04T19:41:25',
                                                                   'version' => '7.05_26'
                                                                 },
                                                                 {
                                                                   'date' => '2015-08-05T09:35:40',
                                                                   'version' => '7.05_27'
                                                                 },
                                                                 {
                                                                   'date' => '2015-08-19T18:10:20',
                                                                   'version' => '7.05_28'
                                                                 },
                                                                 {
                                                                   'date' => '2015-08-24T15:26:22',
                                                                   'version' => '7.05_29'
                                                                 },
                                                                 {
                                                                   'date' => '2015-08-31T18:06:48',
                                                                   'version' => '7.06'
                                                                 },
                                                                 {
                                                                   'date' => '2015-09-02T11:55:33',
                                                                   'version' => '7.07_01'
                                                                 },
                                                                 {
                                                                   'date' => '2015-09-08T19:59:05',
                                                                   'version' => '7.08'
                                                                 },
                                                                 {
                                                                   'date' => '2015-09-10T18:55:41',
                                                                   'version' => '7.10'
                                                                 },
                                                                 {
                                                                   'date' => '2015-11-12T12:35:03',
                                                                   'version' => '7.11_01'
                                                                 },
                                                                 {
                                                                   'date' => '2015-11-21T20:23:22',
                                                                   'version' => '7.11_02'
                                                                 },
                                                                 {
                                                                   'date' => '2015-11-25T15:40:06',
                                                                   'version' => '7.11_03'
                                                                 },
                                                                 {
                                                                   'date' => '2016-02-15T11:40:55',
                                                                   'version' => '7.11_04'
                                                                 },
                                                                 {
                                                                   'date' => '2016-03-19T10:07:11',
                                                                   'version' => '7.11_05'
                                                                 },
                                                                 {
                                                                   'date' => '2016-03-29T18:44:47',
                                                                   'version' => '7.11_06'
                                                                 },
                                                                 {
                                                                   'date' => '2016-04-19T11:41:10',
                                                                   'version' => '7.12'
                                                                 },
                                                                 {
                                                                   'date' => '2016-04-23T16:35:56',
                                                                   'version' => '7.13_01'
                                                                 },
                                                                 {
                                                                   'date' => '2016-04-24T13:20:40',
                                                                   'version' => '7.14'
                                                                 },
                                                                 {
                                                                   'date' => '2016-04-27T18:27:25',
                                                                   'version' => '7.15_01'
                                                                 },
                                                                 {
                                                                   'date' => '2016-04-28T12:15:28',
                                                                   'version' => '7.15_02'
                                                                 },
                                                                 {
                                                                   'date' => '2016-05-01T13:29:10',
                                                                   'version' => '7.15_03'
                                                                 },
                                                                 {
                                                                   'date' => '2016-05-07T10:28:49',
                                                                   'version' => '7.16'
                                                                 },
                                                                 {
                                                                   'date' => '2016-05-09T19:14:54',
                                                                   'version' => '7.17_01'
                                                                 },
                                                                 {
                                                                   'date' => '2016-05-09T23:07:33',
                                                                   'version' => '7.17_02'
                                                                 },
                                                                 {
                                                                   'date' => '2016-05-11T18:22:21',
                                                                   'version' => '7.17_03'
                                                                 },
                                                                 {
                                                                   'date' => '2016-05-23T15:39:08',
                                                                   'version' => '7.18'
                                                                 },
                                                                 {
                                                                   'date' => '2016-06-02T14:01:28',
                                                                   'version' => '7.19_01'
                                                                 },
                                                                 {
                                                                   'date' => '2016-06-13T09:11:52',
                                                                   'version' => '7.19_02'
                                                                 },
                                                                 {
                                                                   'date' => '2016-06-13T13:44:33',
                                                                   'version' => '7.19_03'
                                                                 },
                                                                 {
                                                                   'date' => '2016-06-14T11:35:43',
                                                                   'version' => '7.19_04'
                                                                 },
                                                                 {
                                                                   'date' => '2016-06-20T14:40:57',
                                                                   'version' => '7.19_05'
                                                                 },
                                                                 {
                                                                   'date' => '2016-06-27T12:04:29',
                                                                   'version' => '7.19_06'
                                                                 },
                                                                 {
                                                                   'date' => '2016-07-03T14:30:23',
                                                                   'version' => '7.19_07'
                                                                 },
                                                                 {
                                                                   'date' => '2016-07-28T12:26:56',
                                                                   'version' => '7.19_08'
                                                                 },
                                                                 {
                                                                   'date' => '2016-08-05T08:57:09',
                                                                   'version' => '7.20'
                                                                 },
                                                                 {
                                                                   'date' => '2016-08-07T09:54:04',
                                                                   'version' => '7.21_01'
                                                                 },
                                                                 {
                                                                   'date' => '2016-08-08T08:42:10',
                                                                   'version' => '7.22'
                                                                 },
                                                                 {
                                                                   'date' => '2016-08-19T09:24:06',
                                                                   'version' => '7.23_01'
                                                                 },
                                                                 {
                                                                   'date' => '2016-08-20T12:35:27',
                                                                   'version' => '7.24'
                                                                 },
                                                                 {
                                                                   'date' => '2017-02-03T15:21:22',
                                                                   'version' => '7.25_01'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-11T11:19:49',
                                                                   'version' => '7.25_02'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-11T17:09:16',
                                                                   'version' => '7.25_03'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-12T12:25:54',
                                                                   'version' => '7.25_04'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-15T09:41:49',
                                                                   'version' => '7.25_05'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-23T19:31:28',
                                                                   'version' => '7.25_06'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-27T20:21:06',
                                                                   'version' => '7.26'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-28T10:50:55',
                                                                   'version' => '7.27_01'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-30T08:56:32',
                                                                   'version' => '7.27_02'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-30T21:26:23',
                                                                   'version' => '7.28'
                                                                 },
                                                                 {
                                                                   'date' => '2017-05-31T08:32:44',
                                                                   'version' => '7.29_01'
                                                                 },
                                                                 {
                                                                   'date' => '2017-06-11T11:17:55',
                                                                   'version' => '7.29_02'
                                                                 },
                                                                 {
                                                                   'date' => '2017-06-12T12:31:08',
                                                                   'version' => '7.30'
                                                                 },
                                                                 {
                                                                   'date' => '2017-06-14T15:10:23',
                                                                   'version' => '7.31_01'
                                                                 },
                                                                 {
                                                                   'date' => '2017-06-26T13:14:10',
                                                                   'version' => '7.31_02'
                                                                 },
                                                                 {
                                                                   'date' => '2017-07-10T09:02:35',
                                                                   'version' => '7.31_03'
                                                                 },
                                                                 {
                                                                   'date' => '2017-10-05T12:19:00',
                                                                   'version' => '7.31_04'
                                                                 },
                                                                 {
                                                                   'date' => '2017-11-25T09:37:04',
                                                                   'version' => '7.31_05'
                                                                 },
                                                                 {
                                                                   'date' => '2018-01-16T13:28:46',
                                                                   'version' => '7.31_06'
                                                                 },
                                                                 {
                                                                   'date' => '2018-01-16T16:24:23',
                                                                   'version' => '7.31_07'
                                                                 },
                                                                 {
                                                                   'date' => '2018-02-12T12:32:45',
                                                                   'version' => '7.31_08'
                                                                 },
                                                                 {
                                                                   'date' => '2018-02-16T20:25:44',
                                                                   'version' => '7.32'
                                                                 },
                                                                 {
                                                                   'date' => '2018-02-20T10:44:19',
                                                                   'version' => '7.33_01'
                                                                 },
                                                                 {
                                                                   'date' => '2018-02-24T14:05:00',
                                                                   'version' => '7.33_02'
                                                                 },
                                                                 {
                                                                   'date' => '2018-02-24T20:21:42',
                                                                   'version' => '7.33_03'
                                                                 },
                                                                 {
                                                                   'date' => '2018-03-19T10:51:54',
                                                                   'version' => '7.34'
                                                                 },
                                                                 {
                                                                   'date' => '2018-04-19T12:46:01',
                                                                   'version' => '7.35_01'
                                                                 },
                                                                 {
                                                                   'date' => '2018-04-24T11:01:35',
                                                                   'version' => '7.35_02'
                                                                 },
                                                                 {
                                                                   'date' => '2018-04-27T13:59:23',
                                                                   'version' => '7.35_03'
                                                                 },
                                                                 {
                                                                   'date' => '2018-07-09T09:50:43',
                                                                   'version' => '7.35_04'
                                                                 },
                                                                 {
                                                                   'date' => '2018-07-10T09:18:31',
                                                                   'version' => '7.35_05'
                                                                 },
                                                                 {
                                                                   'date' => '2018-07-19T19:49:08',
                                                                   'version' => '7.35_06'
                                                                 },
                                                                 {
                                                                   'date' => '2018-11-23T11:59:44',
                                                                   'version' => '7.35_07'
                                                                 },
                                                                 {
                                                                   'date' => '2018-12-06T10:56:33',
                                                                   'version' => '7.35_08'
                                                                 },
                                                                 {
                                                                   'date' => '2019-02-18T10:27:00',
                                                                   'version' => '7.35_09'
                                                                 },
                                                                 {
                                                                   'date' => '2019-02-20T10:06:48',
                                                                   'version' => '7.35_10'
                                                                 }
                                                               ]
                                               },
                       'FCGI' => {
                                   'advisories' => [
                                                     {
                                                       'affected_versions' => '<0.74',
                                                       'cves' => [
                                                                   'CVE-2011-2766'
                                                                 ],
                                                       'description' => 'Leaking information across requests when using the deprecated and undocumented old FCGI interface.
',
                                                       'distribution' => 'FCGI',
                                                       'fixed_versions' => '>=0.74',
                                                       'id' => 'CPANSA-FCGI-2011-01',
                                                       'references' => [
                                                                         'https://metacpan.org/changes/distribution/FCGI',
                                                                         'https://github.com/perl-catalyst/FCGI/commit/297693dc8362d25bb25e473899c72508a0f71d2e'
                                                                       ],
                                                       'reported' => '2011-09-24'
                                                     }
                                                   ],
                                   'main_module' => 'FCGI',
                                   'versions' => [
                                                   {
                                                     'date' => '1996-09-25T17:48:57',
                                                     'version' => '0.25'
                                                   },
                                                   {
                                                     'date' => '1996-10-15T21:51:06',
                                                     'version' => '0.26'
                                                   },
                                                   {
                                                     'date' => '1997-02-20T08:55:44',
                                                     'version' => '0.27'
                                                   },
                                                   {
                                                     'date' => '1997-02-25T07:14:13',
                                                     'version' => '0.28'
                                                   },
                                                   {
                                                     'date' => '1997-06-10T18:16:17',
                                                     'version' => '0.29'
                                                   },
                                                   {
                                                     'date' => '1997-06-24T17:17:05',
                                                     'version' => '0.30'
                                                   },
                                                   {
                                                     'date' => '1997-07-24T11:05:43',
                                                     'version' => '0.31'
                                                   },
                                                   {
                                                     'date' => '1998-06-17T10:24:17',
                                                     'version' => '0.34'
                                                   },
                                                   {
                                                     'date' => '1998-06-22T15:38:51',
                                                     'version' => '0.35'
                                                   },
                                                   {
                                                     'date' => '1998-06-24T19:42:57',
                                                     'version' => '0.36'
                                                   },
                                                   {
                                                     'date' => '1998-06-27T16:08:39',
                                                     'version' => '0.37'
                                                   },
                                                   {
                                                     'date' => '1998-07-15T15:24:00',
                                                     'version' => '0.40'
                                                   },
                                                   {
                                                     'date' => '1998-07-29T16:05:51',
                                                     'version' => '0.41'
                                                   },
                                                   {
                                                     'date' => '1998-08-28T15:30:49',
                                                     'version' => '0.42'
                                                   },
                                                   {
                                                     'date' => '1998-12-22T22:34:14',
                                                     'version' => '0.43'
                                                   },
                                                   {
                                                     'date' => '1998-12-23T11:28:39',
                                                     'version' => '0.44'
                                                   },
                                                   {
                                                     'date' => '1999-03-08T17:04:02',
                                                     'version' => '0.45'
                                                   },
                                                   {
                                                     'date' => '1999-07-30T08:26:31',
                                                     'version' => '0.46'
                                                   },
                                                   {
                                                     'date' => '1999-07-31T21:58:01',
                                                     'version' => '0.47'
                                                   },
                                                   {
                                                     'date' => '1999-08-27T13:41:54',
                                                     'version' => '0.48'
                                                   },
                                                   {
                                                     'date' => '2000-04-09T18:58:32',
                                                     'version' => '0.49'
                                                   },
                                                   {
                                                     'date' => '2000-04-10T07:04:43',
                                                     'version' => '0.50'
                                                   },
                                                   {
                                                     'date' => '2000-04-12T12:27:09',
                                                     'version' => '0.51'
                                                   },
                                                   {
                                                     'date' => '2000-04-12T14:10:02',
                                                     'version' => '0.52'
                                                   },
                                                   {
                                                     'date' => '2000-07-10T10:01:51',
                                                     'version' => '0.53'
                                                   },
                                                   {
                                                     'date' => '2000-10-08T19:52:29',
                                                     'version' => '0.54'
                                                   },
                                                   {
                                                     'date' => '2000-10-18T21:22:46',
                                                     'version' => '0.55'
                                                   },
                                                   {
                                                     'date' => '2000-11-03T15:44:28',
                                                     'version' => '0.56'
                                                   },
                                                   {
                                                     'date' => '2000-11-12T15:15:01',
                                                     'version' => '0.57'
                                                   },
                                                   {
                                                     'date' => '2000-11-14T23:20:24',
                                                     'version' => '0.58'
                                                   },
                                                   {
                                                     'date' => '2000-12-31T22:05:44',
                                                     'version' => '0.59'
                                                   },
                                                   {
                                                     'date' => '2001-06-08T15:19:08',
                                                     'version' => '0.60'
                                                   },
                                                   {
                                                     'date' => '2001-09-20T12:34:13',
                                                     'version' => '0.61'
                                                   },
                                                   {
                                                     'date' => '2001-09-21T16:19:42',
                                                     'version' => '0.62'
                                                   },
                                                   {
                                                     'date' => '2001-09-24T20:43:48',
                                                     'version' => '0.63'
                                                   },
                                                   {
                                                     'date' => '2001-09-25T08:26:24',
                                                     'version' => '0.64'
                                                   },
                                                   {
                                                     'date' => '2002-02-19T14:16:27',
                                                     'version' => '0.65'
                                                   },
                                                   {
                                                     'date' => '2002-09-05T16:23:07',
                                                     'version' => '0.66'
                                                   },
                                                   {
                                                     'date' => '2002-12-23T10:21:36',
                                                     'version' => '0.67'
                                                   },
                                                   {
                                                     'date' => '2009-12-20T21:05:48',
                                                     'version' => '0.67_01'
                                                   },
                                                   {
                                                     'date' => '2010-01-06T10:07:05',
                                                     'version' => '0.68'
                                                   },
                                                   {
                                                     'date' => '2010-01-10T01:35:11',
                                                     'version' => '0.68_01'
                                                   },
                                                   {
                                                     'date' => '2010-01-13T19:25:40',
                                                     'version' => '0.68_02'
                                                   },
                                                   {
                                                     'date' => '2010-02-15T23:08:12',
                                                     'version' => '0.69'
                                                   },
                                                   {
                                                     'date' => '2010-03-22T14:35:03',
                                                     'version' => '0.70'
                                                   },
                                                   {
                                                     'date' => '2010-04-01T00:55:33',
                                                     'version' => '0.71'
                                                   },
                                                   {
                                                     'date' => '2010-08-24T21:32:56',
                                                     'version' => '0.71_01'
                                                   },
                                                   {
                                                     'date' => '2011-04-28T08:50:09',
                                                     'version' => '0.71_02'
                                                   },
                                                   {
                                                     'date' => '2011-04-28T09:05:42',
                                                     'version' => '0.71_03'
                                                   },
                                                   {
                                                     'date' => '2011-05-19T09:06:02',
                                                     'version' => '0.72'
                                                   },
                                                   {
                                                     'date' => '2011-05-28T01:35:17',
                                                     'version' => '0.73'
                                                   },
                                                   {
                                                     'date' => '2011-09-24T08:31:47',
                                                     'version' => '0.74'
                                                   },
                                                   {
                                                     'date' => '2014-07-17T00:19:02',
                                                     'version' => '0.75'
                                                   },
                                                   {
                                                     'date' => '2014-08-05T01:29:06',
                                                     'version' => '0.76'
                                                   },
                                                   {
                                                     'date' => '2014-08-05T15:53:28',
                                                     'version' => '0.77'
                                                   },
                                                   {
                                                     'date' => '2016-03-07T00:08:23',
                                                     'version' => '0.78'
                                                   }
                                                 ]
                                 },
                       'Fake-Encode' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<0.08',
                                                              'cves' => [
                                                                          'CVE-2016-1238'
                                                                        ],
                                                              'description' => 'Loading modules from . (current directory).
',
                                                              'distribution' => 'Fake-Encode',
                                                              'fixed_versions' => '>=0.08',
                                                              'id' => 'CPANSA-Fake-Encode-2017-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/Fake-Encode'
                                                                              ],
                                                              'reported' => '2017-01-23'
                                                            }
                                                          ],
                                          'main_module' => 'Fake::Encode',
                                          'versions' => [
                                                          {
                                                            'date' => '2016-05-31T14:11:49',
                                                            'version' => '0.01'
                                                          },
                                                          {
                                                            'date' => '2017-01-23T12:34:23',
                                                            'version' => '0.02'
                                                          },
                                                          {
                                                            'date' => '2017-01-25T15:52:13',
                                                            'version' => '0.03'
                                                          },
                                                          {
                                                            'date' => '2017-01-26T15:17:01',
                                                            'version' => '0.04'
                                                          },
                                                          {
                                                            'date' => '2017-03-06T16:01:40',
                                                            'version' => '0.05'
                                                          },
                                                          {
                                                            'date' => '2017-09-08T17:54:14',
                                                            'version' => '0.06'
                                                          },
                                                          {
                                                            'date' => '2017-09-09T15:27:50',
                                                            'version' => '0.07'
                                                          },
                                                          {
                                                            'date' => '2018-02-03T14:50:49',
                                                            'version' => '0.08'
                                                          },
                                                          {
                                                            'date' => '2018-02-19T12:21:04',
                                                            'version' => '0.09'
                                                          }
                                                        ]
                                        },
                       'Fake-Our' => {
                                       'advisories' => [
                                                         {
                                                           'affected_versions' => '<0.06',
                                                           'cves' => [
                                                                       'CVE-2016-1238'
                                                                     ],
                                                           'description' => 'Loading modules from . (current directory).
',
                                                           'distribution' => 'Fake-Our',
                                                           'fixed_versions' => '>=0.06',
                                                           'id' => 'CPANSA-Fake-Our-2017-01',
                                                           'references' => [
                                                                             'https://metacpan.org/changes/distribution/Fake-Our'
                                                                           ],
                                                           'reported' => '2017-01-23'
                                                         }
                                                       ],
                                       'main_module' => 'Fake::Our',
                                       'versions' => [
                                                       {
                                                         'date' => '2014-02-09T05:36:09',
                                                         'version' => '0.01'
                                                       },
                                                       {
                                                         'date' => '2014-08-06T17:33:15',
                                                         'version' => '0.02'
                                                       },
                                                       {
                                                         'date' => '2014-08-09T02:35:25',
                                                         'version' => '0.03'
                                                       },
                                                       {
                                                         'date' => '2014-08-10T15:33:58',
                                                         'version' => '0.04'
                                                       },
                                                       {
                                                         'date' => '2015-06-21T04:09:47',
                                                         'version' => '0.05'
                                                       },
                                                       {
                                                         'date' => '2017-01-23T12:34:34',
                                                         'version' => '0.06'
                                                       },
                                                       {
                                                         'date' => '2017-01-26T15:21:45',
                                                         'version' => '0.07'
                                                       },
                                                       {
                                                         'date' => '2017-01-27T15:18:56',
                                                         'version' => '0.08'
                                                       },
                                                       {
                                                         'date' => '2017-01-28T15:07:50',
                                                         'version' => '0.09'
                                                       },
                                                       {
                                                         'date' => '2017-03-06T16:01:51',
                                                         'version' => '0.10'
                                                       },
                                                       {
                                                         'date' => '2018-02-03T11:05:49',
                                                         'version' => '0.11'
                                                       },
                                                       {
                                                         'date' => '2018-02-16T17:54:00',
                                                         'version' => '0.12'
                                                       },
                                                       {
                                                         'date' => '2018-02-17T01:35:58',
                                                         'version' => '0.13'
                                                       },
                                                       {
                                                         'date' => '2018-02-18T15:32:17',
                                                         'version' => '0.14'
                                                       }
                                                     ]
                                     },
                       'File-DataClass' => {
                                             'advisories' => [
                                                               {
                                                                 'affected_versions' => '<0.72.1',
                                                                 'cves' => [
                                                                             'CVE-2016-1238'
                                                                           ],
                                                                 'description' => 'Loading modules from . (current directory).
',
                                                                 'distribution' => 'File-DataClass',
                                                                 'fixed_versions' => '>=0.72.1',
                                                                 'id' => 'CPANSA-File-DataClass-2017-01',
                                                                 'references' => [
                                                                                   'https://metacpan.org/changes/distribution/File-DataClass'
                                                                                 ],
                                                                 'reported' => '2017-04-01'
                                                               }
                                                             ],
                                             'main_module' => 'File::DataClass',
                                             'versions' => [
                                                             {
                                                               'date' => '2010-09-29T16:37:04',
                                                               'version' => '0.1.228'
                                                             },
                                                             {
                                                               'date' => '2010-10-06T14:20:31',
                                                               'version' => '0.2.234'
                                                             },
                                                             {
                                                               'date' => '2011-01-26T18:14:50',
                                                               'version' => '0.3.238'
                                                             },
                                                             {
                                                               'date' => '2011-02-27T23:09:38',
                                                               'version' => '0.3.239'
                                                             },
                                                             {
                                                               'date' => '2011-04-12T19:44:59',
                                                               'version' => '0.3.259'
                                                             },
                                                             {
                                                               'date' => '2011-05-15T17:45:09',
                                                               'version' => '0.4.268'
                                                             },
                                                             {
                                                               'date' => '2011-05-30T01:47:40',
                                                               'version' => '0.5.271'
                                                             },
                                                             {
                                                               'date' => '2011-07-11T13:39:10',
                                                               'version' => '0.6.286'
                                                             },
                                                             {
                                                               'date' => '2011-11-30T00:05:18',
                                                               'version' => '0.7.321'
                                                             },
                                                             {
                                                               'date' => '2011-12-02T04:40:20',
                                                               'version' => '0.7.325'
                                                             },
                                                             {
                                                               'date' => '2011-12-02T22:39:25',
                                                               'version' => '0.7.326'
                                                             },
                                                             {
                                                               'date' => '2011-12-03T18:43:58',
                                                               'version' => '0.7.328'
                                                             },
                                                             {
                                                               'date' => '2012-02-22T18:28:29',
                                                               'version' => '0.7.330'
                                                             },
                                                             {
                                                               'date' => '2012-02-23T11:00:24',
                                                               'version' => '0.7.331'
                                                             },
                                                             {
                                                               'date' => '2012-02-24T10:52:18',
                                                               'version' => '0.7.332'
                                                             },
                                                             {
                                                               'date' => '2012-03-12T17:34:58',
                                                               'version' => '0.7.335'
                                                             },
                                                             {
                                                               'date' => '2012-03-20T18:24:26',
                                                               'version' => '0.7.336'
                                                             },
                                                             {
                                                               'date' => '2012-03-21T22:43:50',
                                                               'version' => '0.7.338'
                                                             },
                                                             {
                                                               'date' => '2012-03-22T13:48:59',
                                                               'version' => '0.7.339'
                                                             },
                                                             {
                                                               'date' => '2012-03-24T00:37:31',
                                                               'version' => '0.7.343'
                                                             },
                                                             {
                                                               'date' => '2012-03-28T23:58:41',
                                                               'version' => '0.8.351'
                                                             },
                                                             {
                                                               'date' => '2012-03-29T22:05:21',
                                                               'version' => '0.8.355'
                                                             },
                                                             {
                                                               'date' => '2012-04-03T00:26:12',
                                                               'version' => '0.8.357'
                                                             },
                                                             {
                                                               'date' => '2012-04-04T15:19:03',
                                                               'version' => '0.8.360'
                                                             },
                                                             {
                                                               'date' => '2012-04-17T18:57:01',
                                                               'version' => '0.9.368'
                                                             },
                                                             {
                                                               'date' => '2012-05-19T21:05:56',
                                                               'version' => '0.10.380'
                                                             },
                                                             {
                                                               'date' => '2012-07-10T00:34:23',
                                                               'version' => '0.11.401'
                                                             },
                                                             {
                                                               'date' => '2012-09-02T13:43:37',
                                                               'version' => '0.12.406'
                                                             },
                                                             {
                                                               'date' => '2012-09-06T14:02:06',
                                                               'version' => '0.12.409'
                                                             },
                                                             {
                                                               'date' => '2012-11-07T07:49:39',
                                                               'version' => '0.13.416'
                                                             },
                                                             {
                                                               'date' => '2012-11-13T20:16:27',
                                                               'version' => '0.13.418'
                                                             },
                                                             {
                                                               'date' => '2012-12-12T23:25:16',
                                                               'version' => '0.13.420'
                                                             },
                                                             {
                                                               'date' => '2012-12-14T17:58:08',
                                                               'version' => '0.13.421'
                                                             },
                                                             {
                                                               'date' => '2012-12-19T22:23:08',
                                                               'version' => '0.13.422'
                                                             },
                                                             {
                                                               'date' => '2012-12-21T20:48:41',
                                                               'version' => '0.13.424'
                                                             },
                                                             {
                                                               'date' => '2012-12-30T03:05:28',
                                                               'version' => '0.13.427'
                                                             },
                                                             {
                                                               'date' => '2013-01-07T00:52:48',
                                                               'version' => '0.14.429'
                                                             },
                                                             {
                                                               'date' => '2013-04-01T01:14:44',
                                                               'version' => '0.15.431'
                                                             },
                                                             {
                                                               'date' => '2013-04-02T14:21:13',
                                                               'version' => '0.15.434'
                                                             },
                                                             {
                                                               'date' => '2013-04-14T16:15:55',
                                                               'version' => 'v0.16.438'
                                                             },
                                                             {
                                                               'date' => '2013-04-15T20:42:56',
                                                               'version' => 'v0.16.442'
                                                             },
                                                             {
                                                               'date' => '2013-04-24T03:47:54',
                                                               'version' => 'v0.16.445'
                                                             },
                                                             {
                                                               'date' => '2013-04-29T17:12:37',
                                                               'version' => 'v0.17.450'
                                                             },
                                                             {
                                                               'date' => '2013-04-30T22:15:36',
                                                               'version' => 'v0.18.6'
                                                             },
                                                             {
                                                               'date' => '2013-05-02T14:14:57',
                                                               'version' => 'v0.19.1'
                                                             },
                                                             {
                                                               'date' => '2013-05-07T23:33:06',
                                                               'version' => 'v0.20.6'
                                                             },
                                                             {
                                                               'date' => '2013-05-10T14:58:03',
                                                               'version' => 'v0.20.7'
                                                             },
                                                             {
                                                               'date' => '2013-05-14T13:32:28',
                                                               'version' => 'v0.20.8'
                                                             },
                                                             {
                                                               'date' => '2013-05-15T20:03:34',
                                                               'version' => 'v0.20.9'
                                                             },
                                                             {
                                                               'date' => '2013-05-16T00:11:50',
                                                               'version' => 'v0.20.10'
                                                             },
                                                             {
                                                               'date' => '2013-05-17T16:07:41',
                                                               'version' => 'v0.20.12'
                                                             },
                                                             {
                                                               'date' => '2013-06-08T13:26:40',
                                                               'version' => 'v0.20.13'
                                                             },
                                                             {
                                                               'date' => '2013-07-28T17:41:14',
                                                               'version' => 'v0.22.1'
                                                             },
                                                             {
                                                               'date' => '2013-07-29T11:39:49',
                                                               'version' => 'v0.22.2'
                                                             },
                                                             {
                                                               'date' => '2013-07-29T11:46:28',
                                                               'version' => 'v0.22.3'
                                                             },
                                                             {
                                                               'date' => '2013-07-29T18:37:14',
                                                               'version' => 'v0.22.4'
                                                             },
                                                             {
                                                               'date' => '2013-07-30T10:19:23',
                                                               'version' => 'v0.22.5'
                                                             },
                                                             {
                                                               'date' => '2013-07-30T16:25:59',
                                                               'version' => 'v0.22.7'
                                                             },
                                                             {
                                                               'date' => '2013-07-31T09:54:30',
                                                               'version' => 'v0.22.8'
                                                             },
                                                             {
                                                               'date' => '2013-08-02T19:06:49',
                                                               'version' => 'v0.22.9'
                                                             },
                                                             {
                                                               'date' => '2013-08-06T17:19:31',
                                                               'version' => 'v0.23.1'
                                                             },
                                                             {
                                                               'date' => '2013-08-07T13:14:13',
                                                               'version' => 'v0.23.2'
                                                             },
                                                             {
                                                               'date' => '2013-08-13T18:01:24',
                                                               'version' => '0.24.1'
                                                             },
                                                             {
                                                               'date' => '2013-08-16T22:49:23',
                                                               'version' => '0.24.3'
                                                             },
                                                             {
                                                               'date' => '2013-09-03T13:11:17',
                                                               'version' => '0.25.1'
                                                             },
                                                             {
                                                               'date' => '2013-09-26T16:04:18',
                                                               'version' => '0.26.1'
                                                             },
                                                             {
                                                               'date' => '2013-11-22T09:42:00',
                                                               'version' => '0.27.1'
                                                             },
                                                             {
                                                               'date' => '2014-01-01T15:02:23',
                                                               'version' => '0.28.1'
                                                             },
                                                             {
                                                               'date' => '2014-01-01T17:03:18',
                                                               'version' => '0.29.1'
                                                             },
                                                             {
                                                               'date' => '2014-01-02T02:33:28',
                                                               'version' => '0.30.1'
                                                             },
                                                             {
                                                               'date' => '2014-01-13T18:41:29',
                                                               'version' => '0.31.1'
                                                             },
                                                             {
                                                               'date' => '2014-01-24T20:56:21',
                                                               'version' => '0.33.1'
                                                             },
                                                             {
                                                               'date' => '2014-04-04T10:52:59',
                                                               'version' => '0.34.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-01T14:40:32',
                                                               'version' => '0.35.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-13T10:03:54',
                                                               'version' => '0.36.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-13T21:08:07',
                                                               'version' => '0.37.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-15T00:11:43',
                                                               'version' => '0.38.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-16T08:19:01',
                                                               'version' => '0.39.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-22T09:37:34',
                                                               'version' => '0.40.1'
                                                             },
                                                             {
                                                               'date' => '2014-05-22T14:10:49',
                                                               'version' => '0.40.2'
                                                             },
                                                             {
                                                               'date' => '2014-05-28T10:28:42',
                                                               'version' => '0.41.1'
                                                             },
                                                             {
                                                               'date' => '2014-07-03T23:27:53',
                                                               'version' => '0.42.1'
                                                             },
                                                             {
                                                               'date' => '2014-07-04T09:25:10',
                                                               'version' => '0.42.2'
                                                             },
                                                             {
                                                               'date' => '2014-07-04T12:19:02',
                                                               'version' => '0.43.1'
                                                             },
                                                             {
                                                               'date' => '2014-07-16T12:39:03',
                                                               'version' => '0.44.1'
                                                             },
                                                             {
                                                               'date' => '2014-08-18T23:00:05',
                                                               'version' => '0.45.1'
                                                             },
                                                             {
                                                               'date' => '2014-08-26T12:43:14',
                                                               'version' => '0.45.5'
                                                             },
                                                             {
                                                               'date' => '2014-08-26T16:41:35',
                                                               'version' => '0.46.1'
                                                             },
                                                             {
                                                               'date' => '2014-08-27T16:17:50',
                                                               'version' => '0.47.1'
                                                             },
                                                             {
                                                               'date' => '2014-09-03T22:25:51',
                                                               'version' => '0.48.1'
                                                             },
                                                             {
                                                               'date' => '2014-10-02T17:39:13',
                                                               'version' => '0.48.3'
                                                             },
                                                             {
                                                               'date' => '2014-10-02T19:59:28',
                                                               'version' => '0.49.1'
                                                             },
                                                             {
                                                               'date' => '2014-11-07T18:51:52',
                                                               'version' => '0.50.1'
                                                             },
                                                             {
                                                               'date' => '2014-11-08T21:45:45',
                                                               'version' => '0.50.2'
                                                             },
                                                             {
                                                               'date' => '2014-11-09T13:19:50',
                                                               'version' => '0.50.3'
                                                             },
                                                             {
                                                               'date' => '2014-11-09T15:52:41',
                                                               'version' => '0.51.1'
                                                             },
                                                             {
                                                               'date' => '2014-11-10T12:44:49',
                                                               'version' => '0.52.1'
                                                             },
                                                             {
                                                               'date' => '2014-12-19T11:49:49',
                                                               'version' => '0.53.1'
                                                             },
                                                             {
                                                               'date' => '2014-12-19T22:54:41',
                                                               'version' => '0.54.1'
                                                             },
                                                             {
                                                               'date' => '2015-02-05T00:04:33',
                                                               'version' => '0.55.1'
                                                             },
                                                             {
                                                               'date' => '2015-03-19T14:59:03',
                                                               'version' => '0.56.1'
                                                             },
                                                             {
                                                               'date' => '2015-04-04T20:00:58',
                                                               'version' => '0.57.1'
                                                             },
                                                             {
                                                               'date' => '2015-04-04T20:16:31',
                                                               'version' => '0.58.1'
                                                             },
                                                             {
                                                               'date' => '2015-04-05T17:58:31',
                                                               'version' => '0.59.1'
                                                             },
                                                             {
                                                               'date' => '2015-04-08T23:10:28',
                                                               'version' => '0.60.1'
                                                             },
                                                             {
                                                               'date' => '2015-05-11T12:15:05',
                                                               'version' => '0.61.1'
                                                             },
                                                             {
                                                               'date' => '2015-05-24T11:52:28',
                                                               'version' => '0.62.1'
                                                             },
                                                             {
                                                               'date' => '2015-06-21T21:42:17',
                                                               'version' => '0.63.1'
                                                             },
                                                             {
                                                               'date' => '2015-08-29T08:58:54',
                                                               'version' => '0.66.1'
                                                             },
                                                             {
                                                               'date' => '2016-02-01T00:18:43',
                                                               'version' => '0.67.1'
                                                             },
                                                             {
                                                               'date' => '2016-02-01T14:33:11',
                                                               'version' => '0.68.1'
                                                             },
                                                             {
                                                               'date' => '2016-07-05T00:36:52',
                                                               'version' => '0.69.1'
                                                             },
                                                             {
                                                               'date' => '2016-07-29T15:24:24',
                                                               'version' => '0.70.1'
                                                             },
                                                             {
                                                               'date' => '2016-07-29T18:59:13',
                                                               'version' => '0.71.1'
                                                             },
                                                             {
                                                               'date' => '2017-04-02T08:23:47',
                                                               'version' => '0.72.1'
                                                             },
                                                             {
                                                               'date' => '2017-06-02T00:03:17',
                                                               'version' => '0.73.1'
                                                             }
                                                           ]
                                           },
                       'File-Path' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<2.13',
                                                            'cves' => [
                                                                        'CVE-2017-6512'
                                                                      ],
                                                            'description' => 'Race condition in the rmtree and remove_tree functions allows attackers to set the mode on arbitrary files via vectors involving directory-permission loosening logic.
',
                                                            'distribution' => 'Fake-Encode',
                                                            'fixed_versions' => '>=2.13',
                                                            'id' => 'CPANSA-File-Path-2017-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/File-Path',
                                                                              'https://github.com/jkeenan/File-Path/commit/e5ef95276ee8ad471c66ee574a5d42552b3a6af2'
                                                                            ],
                                                            'reported' => '2017-05-02'
                                                          }
                                                        ],
                                        'main_module' => 'File::Path',
                                        'versions' => [
                                                        {
                                                          'date' => '2007-05-17T13:46:15',
                                                          'version' => '1.99_01'
                                                        },
                                                        {
                                                          'date' => '2007-05-27T09:29:48',
                                                          'version' => '1.99_02'
                                                        },
                                                        {
                                                          'date' => '2007-06-27T19:23:09',
                                                          'version' => '2.00_05'
                                                        },
                                                        {
                                                          'date' => '2007-07-04T21:37:13',
                                                          'version' => '2.00_06'
                                                        },
                                                        {
                                                          'date' => '2007-07-09T19:37:02',
                                                          'version' => '2.00_07'
                                                        },
                                                        {
                                                          'date' => '2007-08-01T00:10:43',
                                                          'version' => '2.00_08'
                                                        },
                                                        {
                                                          'date' => '2007-08-20T18:15:55',
                                                          'version' => '2.00_09'
                                                        },
                                                        {
                                                          'date' => '2007-09-04T17:20:45',
                                                          'version' => '2.00_10'
                                                        },
                                                        {
                                                          'date' => '2007-09-08T12:53:07',
                                                          'version' => '2.00_11'
                                                        },
                                                        {
                                                          'date' => '2007-09-29T10:29:32',
                                                          'version' => '2.01'
                                                        },
                                                        {
                                                          'date' => '2007-10-24T10:36:09',
                                                          'version' => '2.02'
                                                        },
                                                        {
                                                          'date' => '2007-11-04T18:36:19',
                                                          'version' => '2.03'
                                                        },
                                                        {
                                                          'date' => '2007-11-24T09:53:23',
                                                          'version' => '2.04'
                                                        },
                                                        {
                                                          'date' => '2008-05-07T08:25:05',
                                                          'version' => '2.05'
                                                        },
                                                        {
                                                          'date' => '2008-05-08T09:36:50',
                                                          'version' => '2.06'
                                                        },
                                                        {
                                                          'date' => '2008-05-10T21:02:47',
                                                          'version' => '2.06_01'
                                                        },
                                                        {
                                                          'date' => '2008-05-12T10:07:46',
                                                          'version' => '2.06_02'
                                                        },
                                                        {
                                                          'date' => '2008-05-12T21:43:43',
                                                          'version' => '2.06_03'
                                                        },
                                                        {
                                                          'date' => '2008-05-13T14:40:30',
                                                          'version' => '2.06_04'
                                                        },
                                                        {
                                                          'date' => '2008-10-01T20:41:37',
                                                          'version' => '2.06_05'
                                                        },
                                                        {
                                                          'date' => '2008-10-05T21:59:58',
                                                          'version' => '2.06_06'
                                                        },
                                                        {
                                                          'date' => '2008-10-29T17:55:36',
                                                          'version' => '2.06_07'
                                                        },
                                                        {
                                                          'date' => '2008-11-05T00:12:29',
                                                          'version' => '2.06_08'
                                                        },
                                                        {
                                                          'date' => '2008-11-09T13:11:17',
                                                          'version' => '2.07'
                                                        },
                                                        {
                                                          'date' => '2009-06-21T13:23:32',
                                                          'version' => '2.07_03'
                                                        },
                                                        {
                                                          'date' => '2009-10-04T10:31:05',
                                                          'version' => '2.08'
                                                        },
                                                        {
                                                          'date' => '2013-01-16T21:36:05',
                                                          'version' => '2.09'
                                                        },
                                                        {
                                                          'date' => '2015-06-24T17:03:22',
                                                          'version' => '2.10_001'
                                                        },
                                                        {
                                                          'date' => '2015-06-26T17:28:20',
                                                          'version' => '2.10_002'
                                                        },
                                                        {
                                                          'date' => '2015-07-08T16:59:11',
                                                          'version' => '2.10_003'
                                                        },
                                                        {
                                                          'date' => '2015-07-10T11:34:44',
                                                          'version' => '2.10_004'
                                                        },
                                                        {
                                                          'date' => '2015-07-17T15:03:07',
                                                          'version' => '2.10_005'
                                                        },
                                                        {
                                                          'date' => '2015-07-18T02:28:14',
                                                          'version' => '2.11'
                                                        },
                                                        {
                                                          'date' => '2015-07-24T23:01:36',
                                                          'version' => '2.11_001'
                                                        },
                                                        {
                                                          'date' => '2015-07-25T09:56:18',
                                                          'version' => '2.11_002'
                                                        },
                                                        {
                                                          'date' => '2015-08-03T18:07:05',
                                                          'version' => '2.11_003'
                                                        },
                                                        {
                                                          'date' => '2015-10-01T19:34:07',
                                                          'version' => '2.11_004'
                                                        },
                                                        {
                                                          'date' => '2015-10-09T12:11:52',
                                                          'version' => '2.12'
                                                        },
                                                        {
                                                          'date' => '2016-09-18T13:35:39',
                                                          'version' => '2.12_001'
                                                        },
                                                        {
                                                          'date' => '2017-03-12T22:09:35',
                                                          'version' => '2.12_002'
                                                        },
                                                        {
                                                          'date' => '2017-04-07T13:59:30',
                                                          'version' => '2.12_003'
                                                        },
                                                        {
                                                          'date' => '2017-04-18T18:37:56',
                                                          'version' => '2.12_004'
                                                        },
                                                        {
                                                          'date' => '2017-04-21T12:03:20',
                                                          'version' => '2.12_005'
                                                        },
                                                        {
                                                          'date' => '2017-04-21T21:58:56',
                                                          'version' => '2.12_006'
                                                        },
                                                        {
                                                          'date' => '2017-04-22T20:09:24',
                                                          'version' => '2.12_007'
                                                        },
                                                        {
                                                          'date' => '2017-05-07T17:48:35',
                                                          'version' => '2.12_008'
                                                        },
                                                        {
                                                          'date' => '2017-05-31T23:44:51',
                                                          'version' => '2.13'
                                                        },
                                                        {
                                                          'date' => '2017-06-07T21:34:52',
                                                          'version' => '2.14'
                                                        },
                                                        {
                                                          'date' => '2017-07-30T02:40:36',
                                                          'version' => '2.15'
                                                        },
                                                        {
                                                          'date' => '2018-08-31T13:04:13',
                                                          'version' => '2.16'
                                                        }
                                                      ]
                                      },
                       'GBrowse' => {
                                      'advisories' => [
                                                        {
                                                          'affected_versions' => '<2.56',
                                                          'description' => 'An attacker is able to delete other users\' accounts.  No httponly cookie flag.  Cross-site scripting vulnerability in generation of citation text.
',
                                                          'distribution' => 'GBrowse',
                                                          'fixed_versions' => '>=2.56',
                                                          'id' => 'CPANSA-GBrowser-2017-01',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/GBrowse'
                                                                          ],
                                                          'reported' => '2017-01-15'
                                                        },
                                                        {
                                                          'affected_versions' => '<1.62',
                                                          'description' => 'Cross-site scripting.
',
                                                          'distribution' => 'GBrowse',
                                                          'fixed_versions' => '>=1.62',
                                                          'id' => 'CPANSA-GBrowser-2004-01',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/GBrowse'
                                                                          ],
                                                          'reported' => '2004-04-05'
                                                        },
                                                        {
                                                          'affected_versions' => '<1.54',
                                                          'description' => 'Path traversal.
',
                                                          'distribution' => 'GBrowse',
                                                          'fixed_versions' => '>=1.54',
                                                          'id' => 'CPANSA-GBrowser-2003-01',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/GBrowse'
                                                                          ],
                                                          'reported' => '2003-08-23'
                                                        }
                                                      ],
                                      'main_module' => 'CGI::Toggle',
                                      'versions' => [
                                                      {
                                                        'date' => '2008-12-29T15:38:27',
                                                        'version' => '1.981'
                                                      },
                                                      {
                                                        'date' => '2008-12-29T17:21:12',
                                                        'version' => '1.982'
                                                      },
                                                      {
                                                        'date' => '2009-01-06T07:42:56',
                                                        'version' => '1.983'
                                                      },
                                                      {
                                                        'date' => '2009-01-06T09:17:54',
                                                        'version' => '1.984'
                                                      },
                                                      {
                                                        'date' => '2009-01-10T12:37:42',
                                                        'version' => '1.985'
                                                      },
                                                      {
                                                        'date' => '2009-01-12T16:58:20',
                                                        'version' => '1.986'
                                                      },
                                                      {
                                                        'date' => '2009-01-22T19:49:50',
                                                        'version' => '1.987'
                                                      },
                                                      {
                                                        'date' => '2009-01-30T00:12:57',
                                                        'version' => '1.988'
                                                      },
                                                      {
                                                        'date' => '2009-03-10T19:24:17',
                                                        'version' => '1.989'
                                                      },
                                                      {
                                                        'date' => '2009-04-03T19:29:22',
                                                        'version' => '1.99'
                                                      },
                                                      {
                                                        'date' => '2009-05-04T05:30:31',
                                                        'version' => '1.991'
                                                      },
                                                      {
                                                        'date' => '2009-05-05T23:40:00',
                                                        'version' => '1.992'
                                                      },
                                                      {
                                                        'date' => '2009-05-07T14:11:11',
                                                        'version' => '1.993'
                                                      },
                                                      {
                                                        'date' => '2009-05-30T22:07:17',
                                                        'version' => '1.994'
                                                      },
                                                      {
                                                        'date' => '2009-06-08T21:27:08',
                                                        'version' => '1.995'
                                                      },
                                                      {
                                                        'date' => '2009-07-06T14:12:57',
                                                        'version' => '1.996'
                                                      },
                                                      {
                                                        'date' => '2009-07-30T16:40:54',
                                                        'version' => '1.997'
                                                      },
                                                      {
                                                        'date' => '2009-08-19T19:19:44',
                                                        'version' => '1.9971'
                                                      },
                                                      {
                                                        'date' => '2009-12-09T21:39:37',
                                                        'version' => '1.998'
                                                      },
                                                      {
                                                        'date' => '2009-12-15T15:59:37',
                                                        'version' => '1.9982'
                                                      },
                                                      {
                                                        'date' => '2009-12-18T19:25:25',
                                                        'version' => '1.9983'
                                                      },
                                                      {
                                                        'date' => '2009-12-22T21:20:40',
                                                        'version' => '1.9984'
                                                      },
                                                      {
                                                        'date' => '2009-12-23T21:56:31',
                                                        'version' => '1.999'
                                                      },
                                                      {
                                                        'date' => '2010-01-28T02:58:41',
                                                        'version' => '2.00'
                                                      },
                                                      {
                                                        'date' => '2010-02-09T18:13:33',
                                                        'version' => '2.01'
                                                      },
                                                      {
                                                        'date' => '2010-03-10T05:56:50',
                                                        'version' => '2.02'
                                                      },
                                                      {
                                                        'date' => '2010-03-25T16:06:21',
                                                        'version' => '2.03'
                                                      },
                                                      {
                                                        'date' => '2010-04-18T21:44:27',
                                                        'version' => '2.04'
                                                      },
                                                      {
                                                        'date' => '2010-05-13T03:30:32',
                                                        'version' => '2.05'
                                                      },
                                                      {
                                                        'date' => '2010-05-13T21:17:05',
                                                        'version' => '2.06'
                                                      },
                                                      {
                                                        'date' => '2010-05-17T14:49:41',
                                                        'version' => '2.07'
                                                      },
                                                      {
                                                        'date' => '2010-05-21T02:52:47',
                                                        'version' => '2.08'
                                                      },
                                                      {
                                                        'date' => '2010-06-10T20:17:32',
                                                        'version' => '2.09'
                                                      },
                                                      {
                                                        'date' => '2010-06-15T14:20:30',
                                                        'version' => '2.10'
                                                      },
                                                      {
                                                        'date' => '2010-06-30T19:15:37',
                                                        'version' => '2.11'
                                                      },
                                                      {
                                                        'date' => '2010-06-30T19:30:03',
                                                        'version' => '2.12'
                                                      },
                                                      {
                                                        'date' => '2010-07-05T20:17:39',
                                                        'version' => '2.13'
                                                      },
                                                      {
                                                        'date' => '2010-08-27T15:06:04',
                                                        'version' => '2.14'
                                                      },
                                                      {
                                                        'date' => '2010-09-13T22:17:44',
                                                        'version' => '2.15'
                                                      },
                                                      {
                                                        'date' => '2010-11-01T16:24:01',
                                                        'version' => '2.16'
                                                      },
                                                      {
                                                        'date' => '2010-11-18T17:08:57',
                                                        'version' => '2.17'
                                                      },
                                                      {
                                                        'date' => '2011-01-18T22:35:59',
                                                        'version' => '2.20'
                                                      },
                                                      {
                                                        'date' => '2011-01-22T17:17:34',
                                                        'version' => '2.21'
                                                      },
                                                      {
                                                        'date' => '2011-01-26T14:31:35',
                                                        'version' => '2.22'
                                                      },
                                                      {
                                                        'date' => '2011-01-30T20:03:25',
                                                        'version' => '2.23'
                                                      },
                                                      {
                                                        'date' => '2011-01-31T17:19:08',
                                                        'version' => '2.24'
                                                      },
                                                      {
                                                        'date' => '2011-02-02T18:53:40',
                                                        'version' => '2.25'
                                                      },
                                                      {
                                                        'date' => '2011-02-04T18:51:54',
                                                        'version' => '2.26'
                                                      },
                                                      {
                                                        'date' => '2011-04-10T21:07:42',
                                                        'version' => '2.27'
                                                      },
                                                      {
                                                        'date' => '2011-04-10T21:32:05',
                                                        'version' => '2.28'
                                                      },
                                                      {
                                                        'date' => '2011-05-02T16:12:11',
                                                        'version' => '2.29'
                                                      },
                                                      {
                                                        'date' => '2011-05-03T12:17:18',
                                                        'version' => '2.30'
                                                      },
                                                      {
                                                        'date' => '2011-05-03T15:50:21',
                                                        'version' => '2.31'
                                                      },
                                                      {
                                                        'date' => '2011-05-04T18:47:51',
                                                        'version' => '2.32'
                                                      },
                                                      {
                                                        'date' => '2011-05-07T03:27:32',
                                                        'version' => '2.33'
                                                      },
                                                      {
                                                        'date' => '2011-06-01T15:19:47',
                                                        'version' => '2.34'
                                                      },
                                                      {
                                                        'date' => '2011-06-03T13:41:28',
                                                        'version' => '2.35'
                                                      },
                                                      {
                                                        'date' => '2011-06-04T14:58:14',
                                                        'version' => '2.36'
                                                      },
                                                      {
                                                        'date' => '2011-06-06T21:24:59',
                                                        'version' => '2.37'
                                                      },
                                                      {
                                                        'date' => '2011-06-09T16:00:48',
                                                        'version' => '2.38'
                                                      },
                                                      {
                                                        'date' => '2011-06-29T17:45:00',
                                                        'version' => '2.39'
                                                      },
                                                      {
                                                        'date' => '2011-09-30T16:56:29',
                                                        'version' => '2.40'
                                                      },
                                                      {
                                                        'date' => '2011-10-07T13:31:48',
                                                        'version' => '2.41'
                                                      },
                                                      {
                                                        'date' => '2011-10-12T19:33:22',
                                                        'version' => '2.42'
                                                      },
                                                      {
                                                        'date' => '2011-10-24T16:43:23',
                                                        'version' => '2.43'
                                                      },
                                                      {
                                                        'date' => '2011-12-08T23:09:26',
                                                        'version' => '2.44'
                                                      },
                                                      {
                                                        'date' => '2012-01-03T21:35:41',
                                                        'version' => '2.45'
                                                      },
                                                      {
                                                        'date' => '2012-02-10T17:28:20',
                                                        'version' => '2.46'
                                                      },
                                                      {
                                                        'date' => '2012-02-16T12:40:04',
                                                        'version' => '2.47'
                                                      },
                                                      {
                                                        'date' => '2012-02-24T21:06:10',
                                                        'version' => '2.48'
                                                      },
                                                      {
                                                        'date' => '2012-04-17T23:48:26',
                                                        'version' => '2.49'
                                                      },
                                                      {
                                                        'date' => '2012-09-04T16:22:21',
                                                        'version' => '2.50'
                                                      },
                                                      {
                                                        'date' => '2012-09-18T03:01:31',
                                                        'version' => '2.51'
                                                      },
                                                      {
                                                        'date' => '2012-09-26T02:54:36',
                                                        'version' => '2.52'
                                                      },
                                                      {
                                                        'date' => '2012-12-10T11:23:34',
                                                        'version' => '2.53'
                                                      },
                                                      {
                                                        'date' => '2012-12-11T15:49:03',
                                                        'version' => '2.54'
                                                      },
                                                      {
                                                        'date' => '2013-07-10T14:51:25',
                                                        'version' => '2.55'
                                                      },
                                                      {
                                                        'date' => '2017-01-15T21:29:11',
                                                        'version' => '2.56'
                                                      }
                                                    ]
                                    },
                       'HTML-Perlinfo' => {
                                            'advisories' => [
                                                              {
                                                                'affected_versions' => '<1.52',
                                                                'description' => 'Possibility of denial-of-service attack.
',
                                                                'distribution' => 'HTML-Perlinfo',
                                                                'fixed_versions' => '>=1.52',
                                                                'id' => 'CPANSA-HTML-Perlinfo-2008-01',
                                                                'references' => [
                                                                                  'https://metacpan.org/changes/release/ACCARDO/HTML-Perlinfo-1.52'
                                                                                ],
                                                                'reported' => '2008-07-04'
                                                              }
                                                            ],
                                            'main_module' => 'HTML::Perlinfo',
                                            'versions' => [
                                                            {
                                                              'date' => '2005-08-18T21:39:08',
                                                              'version' => '1.00'
                                                            },
                                                            {
                                                              'date' => '2005-09-19T20:41:07',
                                                              'version' => '1.05'
                                                            },
                                                            {
                                                              'date' => '2006-01-14T05:25:20',
                                                              'version' => '1.25'
                                                            },
                                                            {
                                                              'date' => '2006-08-13T03:42:36',
                                                              'version' => '1.40'
                                                            },
                                                            {
                                                              'date' => '2006-08-13T09:29:45',
                                                              'version' => '1.41'
                                                            },
                                                            {
                                                              'date' => '2006-08-15T01:04:34',
                                                              'version' => '1.42'
                                                            },
                                                            {
                                                              'date' => '2006-08-25T07:51:28',
                                                              'version' => '1.43'
                                                            },
                                                            {
                                                              'date' => '2006-09-10T23:20:13',
                                                              'version' => '1.44'
                                                            },
                                                            {
                                                              'date' => '2006-09-24T02:22:48',
                                                              'version' => '1.45'
                                                            },
                                                            {
                                                              'date' => '2006-09-27T20:08:12',
                                                              'version' => '1.46'
                                                            },
                                                            {
                                                              'date' => '2006-10-02T19:30:30',
                                                              'version' => '1.47'
                                                            },
                                                            {
                                                              'date' => '2008-03-16T03:15:04',
                                                              'version' => '1.48'
                                                            },
                                                            {
                                                              'date' => '2008-04-26T04:17:07',
                                                              'version' => '1.49'
                                                            },
                                                            {
                                                              'date' => '2008-04-30T20:44:40',
                                                              'version' => '1.50'
                                                            },
                                                            {
                                                              'date' => '2008-06-08T21:07:29',
                                                              'version' => '1.51'
                                                            },
                                                            {
                                                              'date' => '2008-07-03T23:57:26',
                                                              'version' => '1.52'
                                                            },
                                                            {
                                                              'date' => '2008-07-21T22:24:22',
                                                              'version' => '1.53'
                                                            },
                                                            {
                                                              'date' => '2008-07-27T23:52:36',
                                                              'version' => '1.54'
                                                            },
                                                            {
                                                              'date' => '2009-04-08T01:09:54',
                                                              'version' => '1.55'
                                                            },
                                                            {
                                                              'date' => '2009-04-08T19:06:59',
                                                              'version' => '1.56'
                                                            },
                                                            {
                                                              'date' => '2009-04-16T15:57:34',
                                                              'version' => '1.57'
                                                            },
                                                            {
                                                              'date' => '2009-04-17T02:41:48',
                                                              'version' => '1.58'
                                                            },
                                                            {
                                                              'date' => '2009-04-22T03:29:45',
                                                              'version' => '1.59'
                                                            },
                                                            {
                                                              'date' => '2009-05-02T20:48:38',
                                                              'version' => '1.60'
                                                            },
                                                            {
                                                              'date' => '2009-05-02T22:21:42',
                                                              'version' => '1.60'
                                                            },
                                                            {
                                                              'date' => '2009-05-03T23:02:35',
                                                              'version' => '1.61'
                                                            },
                                                            {
                                                              'date' => '2011-06-13T19:28:39',
                                                              'version' => '1.62'
                                                            },
                                                            {
                                                              'date' => '2014-08-19T21:37:30',
                                                              'version' => '1.63'
                                                            },
                                                            {
                                                              'date' => '2014-08-19T22:29:15',
                                                              'version' => '1.64'
                                                            },
                                                            {
                                                              'date' => '2015-06-06T23:25:41',
                                                              'version' => '1.65'
                                                            },
                                                            {
                                                              'date' => '2015-06-08T18:20:03',
                                                              'version' => '1.66'
                                                            },
                                                            {
                                                              'date' => '2015-06-08T20:22:33',
                                                              'version' => '1.67'
                                                            },
                                                            {
                                                              'date' => '2015-06-12T02:03:18',
                                                              'version' => '1.68'
                                                            },
                                                            {
                                                              'date' => '2016-11-29T19:21:00',
                                                              'version' => '1.69'
                                                            }
                                                          ]
                                          },
                       'HTML-Scrubber' => {
                                            'advisories' => [
                                                              {
                                                                'affected_versions' => '<0.15',
                                                                'description' => 'Cross-site scripting vulnerability.
',
                                                                'distribution' => 'HTML-Scrubber',
                                                                'fixed_versions' => '>=0.15',
                                                                'id' => 'CPANSA-HTML-Scrubber-2015-01',
                                                                'references' => [
                                                                                  'https://jvn.jp/en/jp/JVN53973084/index.html'
                                                                                ],
                                                                'reported' => '2015-10-10'
                                                              }
                                                            ],
                                            'main_module' => 'HTML::Scrubber',
                                            'versions' => [
                                                            {
                                                              'date' => '2003-04-18T14:10:19',
                                                              'version' => '0.02'
                                                            },
                                                            {
                                                              'date' => '2003-07-21T14:57:02',
                                                              'version' => '0.03'
                                                            },
                                                            {
                                                              'date' => '2003-10-30T02:31:36',
                                                              'version' => '0.04'
                                                            },
                                                            {
                                                              'date' => '2003-10-31T07:27:00',
                                                              'version' => '0.05'
                                                            },
                                                            {
                                                              'date' => '2003-11-02T11:10:49',
                                                              'version' => '0.06'
                                                            },
                                                            {
                                                              'date' => '2004-03-18T14:35:12',
                                                              'version' => '0.07'
                                                            },
                                                            {
                                                              'date' => '2004-04-01T22:12:20',
                                                              'version' => '0.08'
                                                            },
                                                            {
                                                              'date' => '2011-04-01T15:36:18',
                                                              'version' => '0.09'
                                                            },
                                                            {
                                                              'date' => '2013-09-27T14:06:41',
                                                              'version' => '0.10'
                                                            },
                                                            {
                                                              'date' => '2013-10-11T14:13:11',
                                                              'version' => '0.11'
                                                            },
                                                            {
                                                              'date' => '2015-03-14T18:25:35',
                                                              'version' => '0.12'
                                                            },
                                                            {
                                                              'date' => '2015-03-19T16:31:12',
                                                              'version' => '0.13'
                                                            },
                                                            {
                                                              'date' => '2015-04-02T16:20:48',
                                                              'version' => '0.14'
                                                            },
                                                            {
                                                              'date' => '2015-10-10T14:02:08',
                                                              'version' => '0.15'
                                                            },
                                                            {
                                                              'date' => '2017-06-25T19:31:24',
                                                              'version' => '0.16'
                                                            },
                                                            {
                                                              'date' => '2017-06-27T13:04:46',
                                                              'version' => '0.17'
                                                            }
                                                          ]
                                          },
                       'HTTP-Body' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '>=1.08, <1.19',
                                                            'description' => 'HTTP::Body::Multipart in the HTTP-Body 1.08, 1.17, and earlier module for Perl uses the part of the uploaded file\'s name after the first "." character as the suffix of a temporary file, which makes it easier for remote attackers to conduct attacks by leveraging subsequent behavior that may assume the suffix is well-formed.
',
                                                            'distribution' => 'HTTP-Body',
                                                            'id' => 'CPANSA-HTTP-Body-2013-01',
                                                            'references' => [
                                                                              'https://security-tracker.debian.org/tracker/CVE-2013-4407',
                                                                              'https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721634'
                                                                            ],
                                                            'reported' => '2013-09-02',
                                                            'severity' => 'moderate'
                                                          }
                                                        ],
                                        'main_module' => 'HTTP::Body',
                                        'versions' => [
                                                        {
                                                          'date' => '2005-10-06T23:31:10',
                                                          'version' => '0.01'
                                                        },
                                                        {
                                                          'date' => '2005-10-07T19:39:00',
                                                          'version' => '0.2'
                                                        },
                                                        {
                                                          'date' => '2005-10-28T00:04:21',
                                                          'version' => '0.03'
                                                        },
                                                        {
                                                          'date' => '2005-11-09T06:02:28',
                                                          'version' => '0.4'
                                                        },
                                                        {
                                                          'date' => '2005-11-17T04:03:44',
                                                          'version' => '0.5'
                                                        },
                                                        {
                                                          'date' => '2006-01-06T11:55:08',
                                                          'version' => '0.6'
                                                        },
                                                        {
                                                          'date' => '2007-03-23T17:02:39',
                                                          'version' => '0.7'
                                                        },
                                                        {
                                                          'date' => '2007-03-24T01:48:23',
                                                          'version' => '0.8'
                                                        },
                                                        {
                                                          'date' => '2007-03-27T17:55:21',
                                                          'version' => '0.9'
                                                        },
                                                        {
                                                          'date' => '2008-02-23T16:03:17',
                                                          'version' => '1.00'
                                                        },
                                                        {
                                                          'date' => '2008-02-23T16:16:09',
                                                          'version' => '1.01'
                                                        },
                                                        {
                                                          'date' => '2008-02-27T22:08:06',
                                                          'version' => '1.02'
                                                        },
                                                        {
                                                          'date' => '2008-04-07T14:20:46',
                                                          'version' => '1.03'
                                                        },
                                                        {
                                                          'date' => '2008-06-23T19:41:56',
                                                          'version' => '1.04'
                                                        },
                                                        {
                                                          'date' => '2008-12-01T22:14:51',
                                                          'version' => '1.05'
                                                        },
                                                        {
                                                          'date' => '2010-01-09T18:23:07',
                                                          'version' => '1.06'
                                                        },
                                                        {
                                                          'date' => '2010-01-24T19:42:49',
                                                          'version' => '1.07'
                                                        },
                                                        {
                                                          'date' => '2010-08-19T19:02:08',
                                                          'version' => '1.08'
                                                        },
                                                        {
                                                          'date' => '2010-08-19T23:11:46',
                                                          'version' => '1.09'
                                                        },
                                                        {
                                                          'date' => '2010-10-08T14:52:40',
                                                          'version' => '1.10'
                                                        },
                                                        {
                                                          'date' => '2010-10-26T14:38:59',
                                                          'version' => '1.11'
                                                        },
                                                        {
                                                          'date' => '2011-03-20T00:58:03',
                                                          'version' => '1.12'
                                                        },
                                                        {
                                                          'date' => '2011-11-04T18:44:06',
                                                          'version' => '1.14'
                                                        },
                                                        {
                                                          'date' => '2011-12-05T03:02:21',
                                                          'version' => '1.15'
                                                        },
                                                        {
                                                          'date' => '2012-10-03T15:19:24',
                                                          'version' => '1.16'
                                                        },
                                                        {
                                                          'date' => '2012-10-03T22:04:49',
                                                          'version' => '1.17'
                                                        },
                                                        {
                                                          'date' => '2013-12-06T15:06:26',
                                                          'version' => '1.18'
                                                        },
                                                        {
                                                          'date' => '2013-12-06T15:07:56',
                                                          'version' => '1.19'
                                                        },
                                                        {
                                                          'date' => '2015-01-28T15:21:00',
                                                          'version' => '1.20'
                                                        },
                                                        {
                                                          'date' => '2015-01-29T03:50:10',
                                                          'version' => '1.21'
                                                        },
                                                        {
                                                          'date' => '2015-01-29T03:53:01',
                                                          'version' => '1.22'
                                                        }
                                                      ]
                                      },
                       'HTTP-Session2' => {
                                            'advisories' => [
                                                              {
                                                                'affected_versions' => '<1.10',
                                                                'description' => 'HTTP::Session2 1.10 does not validate session id, this causes RCE depending on the session store you use.
',
                                                                'distribution' => 'HTTP-Session2',
                                                                'fixed_versions' => '>=1.10',
                                                                'id' => 'CPANSA-HTTP-Session2-2018-01',
                                                                'references' => [
                                                                                  'https://metacpan.org/changes/distribution/HTTP-Session2',
                                                                                  'https://github.com/tokuhirom/HTTP-Session2/commit/813838f6d08034b6a265a70e53b59b941b5d3e6d'
                                                                                ],
                                                                'reported' => '2018-01-26',
                                                                'severity' => 'critical'
                                                              }
                                                            ],
                                            'main_module' => 'HTTP::Session2',
                                            'versions' => [
                                                            {
                                                              'date' => '2013-10-28T03:20:09',
                                                              'version' => '0.01'
                                                            },
                                                            {
                                                              'date' => '2013-10-30T00:17:21',
                                                              'version' => '0.02'
                                                            },
                                                            {
                                                              'date' => '2013-10-31T01:21:27',
                                                              'version' => '0.03'
                                                            },
                                                            {
                                                              'date' => '2013-11-01T01:10:52',
                                                              'version' => '0.04'
                                                            },
                                                            {
                                                              'date' => '2014-03-18T18:53:09',
                                                              'version' => '0.05'
                                                            },
                                                            {
                                                              'date' => '2014-07-28T04:10:11',
                                                              'version' => '1.00'
                                                            },
                                                            {
                                                              'date' => '2014-07-28T11:44:05',
                                                              'version' => '1.01'
                                                            },
                                                            {
                                                              'date' => '2014-07-31T21:17:23',
                                                              'version' => '1.02'
                                                            },
                                                            {
                                                              'date' => '2014-08-01T11:04:00',
                                                              'version' => '1.03'
                                                            },
                                                            {
                                                              'date' => '2014-08-01T11:10:56',
                                                              'version' => '1.04'
                                                            },
                                                            {
                                                              'date' => '2014-08-01T11:20:46',
                                                              'version' => '1.05'
                                                            },
                                                            {
                                                              'date' => '2014-08-01T14:04:04',
                                                              'version' => '1.06'
                                                            },
                                                            {
                                                              'date' => '2014-08-01T14:08:11',
                                                              'version' => '1.07'
                                                            },
                                                            {
                                                              'date' => '2014-08-03T07:23:00',
                                                              'version' => '1.08'
                                                            },
                                                            {
                                                              'date' => '2014-09-01T02:26:38',
                                                              'version' => '1.09'
                                                            },
                                                            {
                                                              'date' => '2018-01-26T05:02:08',
                                                              'version' => '1.10'
                                                            }
                                                          ]
                                          },
                       'HTTP-Tiny' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<0.059',
                                                            'cves' => [
                                                                        'CVE-2016-1238'
                                                                      ],
                                                            'description' => 'Loading modules from . (current directory).
',
                                                            'distribution' => 'HTTP-Tiny',
                                                            'fixed_versions' => '>=0.059',
                                                            'id' => 'CPANSA-HTTP-Tiny-2016-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/HTTP-Tiny',
                                                                              'https://github.com/chansen/p5-http-tiny/commit/b239c95ea7a256cfee9b8848f1bd4d1df6e66444'
                                                                            ],
                                                            'reported' => '2016-07-29'
                                                          }
                                                        ],
                                        'main_module' => 'HTTP::Tiny',
                                        'versions' => [
                                                        {
                                                          'date' => '2010-12-11T12:59:31',
                                                          'version' => '0.001'
                                                        },
                                                        {
                                                          'date' => '2010-12-14T02:59:37',
                                                          'version' => '0.002'
                                                        },
                                                        {
                                                          'date' => '2010-12-15T17:30:49',
                                                          'version' => '0.003'
                                                        },
                                                        {
                                                          'date' => '2010-12-16T03:53:33',
                                                          'version' => '0.004'
                                                        },
                                                        {
                                                          'date' => '2011-01-08T11:32:21',
                                                          'version' => '0.005'
                                                        },
                                                        {
                                                          'date' => '2011-01-10T12:27:39',
                                                          'version' => '0.006'
                                                        },
                                                        {
                                                          'date' => '2011-01-12T09:56:28',
                                                          'version' => '0.007'
                                                        },
                                                        {
                                                          'date' => '2011-01-14T11:34:51',
                                                          'version' => '0.008'
                                                        },
                                                        {
                                                          'date' => '2011-01-17T21:29:27',
                                                          'version' => '0.009'
                                                        },
                                                        {
                                                          'date' => '2011-02-04T07:45:53',
                                                          'version' => '0.010'
                                                        },
                                                        {
                                                          'date' => '2011-03-20T00:49:53',
                                                          'version' => '0.011'
                                                        },
                                                        {
                                                          'date' => '2011-03-31T19:49:33',
                                                          'version' => '0.012'
                                                        },
                                                        {
                                                          'date' => '2011-07-18T03:15:12',
                                                          'version' => '0.013'
                                                        },
                                                        {
                                                          'date' => '2011-10-20T17:55:01',
                                                          'version' => '0.014'
                                                        },
                                                        {
                                                          'date' => '2011-10-26T20:42:15',
                                                          'version' => '0.015'
                                                        },
                                                        {
                                                          'date' => '2011-10-27T03:06:06',
                                                          'version' => '0.016'
                                                        },
                                                        {
                                                          'date' => '2012-02-23T02:58:42',
                                                          'version' => '0.017'
                                                        },
                                                        {
                                                          'date' => '2012-04-18T13:41:15',
                                                          'version' => '0.018'
                                                        },
                                                        {
                                                          'date' => '2012-05-14T11:15:52',
                                                          'version' => '0.019'
                                                        },
                                                        {
                                                          'date' => '2012-05-14T19:25:57',
                                                          'version' => '0.020'
                                                        },
                                                        {
                                                          'date' => '2012-05-16T02:39:55',
                                                          'version' => '0.021'
                                                        },
                                                        {
                                                          'date' => '2012-06-02T03:32:21',
                                                          'version' => '0.022'
                                                        },
                                                        {
                                                          'date' => '2012-09-19T16:06:37',
                                                          'version' => '0.023'
                                                        },
                                                        {
                                                          'date' => '2012-10-10T00:45:59',
                                                          'version' => '0.024'
                                                        },
                                                        {
                                                          'date' => '2012-12-26T17:11:23',
                                                          'version' => '0.025'
                                                        },
                                                        {
                                                          'date' => '2013-03-05T03:54:12',
                                                          'version' => '0.026'
                                                        },
                                                        {
                                                          'date' => '2013-03-05T17:04:07',
                                                          'version' => '0.027'
                                                        },
                                                        {
                                                          'date' => '2013-03-05T19:13:42',
                                                          'version' => '0.028'
                                                        },
                                                        {
                                                          'date' => '2013-04-17T17:51:23',
                                                          'version' => '0.029'
                                                        },
                                                        {
                                                          'date' => '2013-06-13T15:47:33',
                                                          'version' => '0.030'
                                                        },
                                                        {
                                                          'date' => '2013-06-17T03:18:45',
                                                          'version' => '0.031'
                                                        },
                                                        {
                                                          'date' => '2013-06-20T15:42:26',
                                                          'version' => '0.032'
                                                        },
                                                        {
                                                          'date' => '2013-06-21T10:27:45',
                                                          'version' => '0.033'
                                                        },
                                                        {
                                                          'date' => '2013-06-26T23:03:50',
                                                          'version' => '0.034'
                                                        },
                                                        {
                                                          'date' => '2013-09-10T16:30:04',
                                                          'version' => '0.035'
                                                        },
                                                        {
                                                          'date' => '2013-09-25T16:11:04',
                                                          'version' => '0.036'
                                                        },
                                                        {
                                                          'date' => '2013-10-28T17:50:02',
                                                          'version' => '0.037'
                                                        },
                                                        {
                                                          'date' => '2013-11-18T17:57:17',
                                                          'version' => '0.038'
                                                        },
                                                        {
                                                          'date' => '2013-11-28T00:49:36',
                                                          'version' => '0.039'
                                                        },
                                                        {
                                                          'date' => '2014-02-17T18:05:10',
                                                          'version' => '0.040'
                                                        },
                                                        {
                                                          'date' => '2014-02-17T18:09:12',
                                                          'version' => '0.041'
                                                        },
                                                        {
                                                          'date' => '2014-02-18T16:24:50',
                                                          'version' => '0.042'
                                                        },
                                                        {
                                                          'date' => '2014-02-21T01:42:05',
                                                          'version' => '0.043'
                                                        },
                                                        {
                                                          'date' => '2014-07-17T03:47:41',
                                                          'version' => '0.044'
                                                        },
                                                        {
                                                          'date' => '2014-07-20T23:24:33',
                                                          'version' => '0.045'
                                                        },
                                                        {
                                                          'date' => '2014-07-21T14:33:53',
                                                          'version' => '0.046'
                                                        },
                                                        {
                                                          'date' => '2014-07-29T18:13:01',
                                                          'version' => '0.047'
                                                        },
                                                        {
                                                          'date' => '2014-08-21T17:20:45',
                                                          'version' => '0.048'
                                                        },
                                                        {
                                                          'date' => '2014-09-02T15:21:17',
                                                          'version' => '0.049'
                                                        },
                                                        {
                                                          'date' => '2014-09-23T19:32:00',
                                                          'version' => '0.050'
                                                        },
                                                        {
                                                          'date' => '2014-11-18T03:59:56',
                                                          'version' => '0.051'
                                                        },
                                                        {
                                                          'date' => '2014-12-11T20:25:19',
                                                          'version' => '0.052'
                                                        },
                                                        {
                                                          'date' => '2014-12-12T04:43:37',
                                                          'version' => '0.053'
                                                        },
                                                        {
                                                          'date' => '2015-01-27T12:18:58',
                                                          'version' => '0.054'
                                                        },
                                                        {
                                                          'date' => '2015-05-07T22:15:24',
                                                          'version' => '0.055'
                                                        },
                                                        {
                                                          'date' => '2015-05-19T10:01:27',
                                                          'version' => '0.056'
                                                        },
                                                        {
                                                          'date' => '2016-04-18T14:19:09',
                                                          'version' => '0.057'
                                                        },
                                                        {
                                                          'date' => '2016-05-03T17:49:33',
                                                          'version' => '0.058'
                                                        },
                                                        {
                                                          'date' => '2016-07-29T20:12:12',
                                                          'version' => '0.059'
                                                        },
                                                        {
                                                          'date' => '2016-08-05T16:12:02',
                                                          'version' => '0.061'
                                                        },
                                                        {
                                                          'date' => '2016-08-08T16:20:33',
                                                          'version' => '0.063'
                                                        },
                                                        {
                                                          'date' => '2016-08-17T01:43:01',
                                                          'version' => '0.064'
                                                        },
                                                        {
                                                          'date' => '2016-09-10T02:43:48',
                                                          'version' => '0.065'
                                                        },
                                                        {
                                                          'date' => '2016-09-14T15:45:04',
                                                          'version' => '0.067'
                                                        },
                                                        {
                                                          'date' => '2016-09-23T20:15:05',
                                                          'version' => '0.068'
                                                        },
                                                        {
                                                          'date' => '2016-10-05T15:37:11',
                                                          'version' => '0.069'
                                                        },
                                                        {
                                                          'date' => '2016-10-10T03:25:33',
                                                          'version' => '0.070'
                                                        },
                                                        {
                                                          'date' => '2018-07-24T15:35:02',
                                                          'version' => '0.073'
                                                        },
                                                        {
                                                          'date' => '2018-07-30T19:37:29',
                                                          'version' => '0.074'
                                                        },
                                                        {
                                                          'date' => '2018-08-01T11:10:11',
                                                          'version' => '0.075'
                                                        },
                                                        {
                                                          'date' => '2018-08-06T01:09:54',
                                                          'version' => '0.076'
                                                        }
                                                      ]
                                      },
                       'Imager' => {
                                     'advisories' => [
                                                       {
                                                         'affected_versions' => '<1.006',
                                                         'cves' => [
                                                                     'CVE-2016-1238'
                                                                   ],
                                                         'description' => 'Loading modules from . (current directory).
',
                                                         'distribution' => 'Imager',
                                                         'fixed_versions' => '>=1.006',
                                                         'id' => 'CPANSA-Imager-2016-01',
                                                         'references' => [
                                                                           'https://metacpan.org/changes/distribution/Imager'
                                                                         ],
                                                         'reported' => '2017-08-26'
                                                       },
                                                       {
                                                         'affected_versions' => '<0.64',
                                                         'cves' => [
                                                                     'CVE-2008-1928'
                                                                   ],
                                                         'description' => 'Buffer overflow in the floating point sample path for image based fills.
',
                                                         'distribution' => 'Imager',
                                                         'fixed_versions' => '>=0.64',
                                                         'id' => 'CPANSA-Imager-2008-01',
                                                         'references' => [
                                                                           'https://rt.cpan.org/Ticket/Display.html?id=68910',
                                                                           'https://metacpan.org/changes/distribution/Imager'
                                                                         ],
                                                         'reported' => '2008-04-23'
                                                       },
                                                       {
                                                         'affected_versions' => '<0.57',
                                                         'cves' => [
                                                                     'CVE-2007-2459',
                                                                     'CVE-2007-2413'
                                                                   ],
                                                         'description' => 'A specially crafted compressed BMP file can cause a buffer overflow in malloced memory.
',
                                                         'distribution' => 'Imager',
                                                         'fixed_versions' => '>=0.57',
                                                         'id' => 'CPANSA-Imager-2007-01',
                                                         'references' => [
                                                                           'https://rt.cpan.org/Public/Bug/Display.html?id=26811',
                                                                           'https://metacpan.org/changes/distribution/Imager'
                                                                         ],
                                                         'reported' => '2008-04-30'
                                                       }
                                                     ],
                                     'main_module' => 'Imager',
                                     'versions' => [
                                                     {
                                                       'date' => '1999-07-19T14:26:37',
                                                       'version' => '0.21'
                                                     },
                                                     {
                                                       'date' => '2000-01-03T20:14:03',
                                                       'version' => '0.27'
                                                     },
                                                     {
                                                       'date' => '2000-01-04T11:16:56',
                                                       'version' => '0.28'
                                                     },
                                                     {
                                                       'date' => '2000-01-05T10:48:05',
                                                       'version' => '0.29'
                                                     },
                                                     {
                                                       'date' => '2000-01-16T12:52:22',
                                                       'version' => '0.31'
                                                     },
                                                     {
                                                       'date' => '2000-03-04T13:28:32',
                                                       'version' => '0.32'
                                                     },
                                                     {
                                                       'date' => '2001-01-29T00:50:14',
                                                       'version' => '0.35'
                                                     },
                                                     {
                                                       'date' => '2001-01-29T15:06:27',
                                                       'version' => '0.36'
                                                     },
                                                     {
                                                       'date' => '2001-01-31T05:02:15',
                                                       'version' => '0.37'
                                                     },
                                                     {
                                                       'date' => '2001-05-21T16:21:08',
                                                       'version' => '0.38'
                                                     },
                                                     {
                                                       'date' => '2001-11-02T21:39:20',
                                                       'version' => '0.39'
                                                     },
                                                     {
                                                       'date' => '2002-04-11T15:09:57',
                                                       'version' => '0.40'
                                                     },
                                                     {
                                                       'date' => '2002-04-12T12:07:29',
                                                       'version' => '0.41'
                                                     },
                                                     {
                                                       'date' => '2004-01-04T12:47:37',
                                                       'version' => '0.42'
                                                     },
                                                     {
                                                       'date' => '2004-02-17T07:53:52',
                                                       'version' => '0.43'
                                                     },
                                                     {
                                                       'date' => '2004-12-07T23:58:16',
                                                       'version' => '0.43_03'
                                                     },
                                                     {
                                                       'date' => '2004-12-15T13:02:40',
                                                       'version' => '0.44'
                                                     },
                                                     {
                                                       'date' => '2005-05-24T07:08:15',
                                                       'version' => '0.44_01'
                                                     },
                                                     {
                                                       'date' => '2005-05-30T04:41:43',
                                                       'version' => '0.45'
                                                     },
                                                     {
                                                       'date' => '2005-12-12T04:07:30',
                                                       'version' => '0.45_02'
                                                     },
                                                     {
                                                       'date' => '2005-12-20T00:13:31',
                                                       'version' => '0.46'
                                                     },
                                                     {
                                                       'date' => '2005-12-30T06:05:50',
                                                       'version' => '0.47'
                                                     },
                                                     {
                                                       'date' => '2006-02-21T06:09:30',
                                                       'version' => '0.47_01'
                                                     },
                                                     {
                                                       'date' => '2006-03-03T05:06:46',
                                                       'version' => '0.48'
                                                     },
                                                     {
                                                       'date' => '2006-03-07T01:04:03',
                                                       'version' => '0.49'
                                                     },
                                                     {
                                                       'date' => '2006-03-28T04:31:56',
                                                       'version' => '0.49_01'
                                                     },
                                                     {
                                                       'date' => '2006-03-29T00:31:03',
                                                       'version' => '0.50'
                                                     },
                                                     {
                                                       'date' => '2006-04-23T14:29:42',
                                                       'version' => '0.51'
                                                     },
                                                     {
                                                       'date' => '2006-06-28T13:38:48',
                                                       'version' => '0.51_01'
                                                     },
                                                     {
                                                       'date' => '2006-07-04T14:03:23',
                                                       'version' => '0.51_02'
                                                     },
                                                     {
                                                       'date' => '2006-07-19T00:58:22',
                                                       'version' => '0.51_03'
                                                     },
                                                     {
                                                       'date' => '2006-07-25T05:09:08',
                                                       'version' => '0.52'
                                                     },
                                                     {
                                                       'date' => '2006-07-27T01:01:57',
                                                       'version' => '0.53'
                                                     },
                                                     {
                                                       'date' => '2006-09-14T07:58:27',
                                                       'version' => '0.54'
                                                     },
                                                     {
                                                       'date' => '2006-12-16T22:31:19',
                                                       'version' => '0.55'
                                                     },
                                                     {
                                                       'date' => '2007-04-01T12:30:34',
                                                       'version' => '0.56'
                                                     },
                                                     {
                                                       'date' => '2007-04-30T08:49:39',
                                                       'version' => '0.57'
                                                     },
                                                     {
                                                       'date' => '2007-05-11T11:00:18',
                                                       'version' => '0.57_01'
                                                     },
                                                     {
                                                       'date' => '2007-05-16T12:49:23',
                                                       'version' => '0.58'
                                                     },
                                                     {
                                                       'date' => '2007-06-14T07:33:05',
                                                       'version' => '0.59'
                                                     },
                                                     {
                                                       'date' => '2007-08-30T07:51:36',
                                                       'version' => '0.60'
                                                     },
                                                     {
                                                       'date' => '2007-11-05T07:53:45',
                                                       'version' => '0.61'
                                                     },
                                                     {
                                                       'date' => '2007-11-28T10:06:27',
                                                       'version' => '0.61_02'
                                                     },
                                                     {
                                                       'date' => '2007-12-10T08:31:12',
                                                       'version' => '0.62'
                                                     },
                                                     {
                                                       'date' => '2008-04-07T08:49:14',
                                                       'version' => '0.63'
                                                     },
                                                     {
                                                       'date' => '2008-04-23T04:10:18',
                                                       'version' => '0.64'
                                                     },
                                                     {
                                                       'date' => '2008-05-20T06:34:48',
                                                       'version' => '0.65'
                                                     },
                                                     {
                                                       'date' => '2008-12-12T11:57:40',
                                                       'version' => '0.67'
                                                     },
                                                     {
                                                       'date' => '2009-09-02T07:05:11',
                                                       'version' => '0.67_01'
                                                     },
                                                     {
                                                       'date' => '2009-09-07T05:14:24',
                                                       'version' => '0.68'
                                                     },
                                                     {
                                                       'date' => '2009-09-08T09:23:38',
                                                       'version' => '0.69'
                                                     },
                                                     {
                                                       'date' => '2009-09-21T03:36:15',
                                                       'version' => '0.70'
                                                     },
                                                     {
                                                       'date' => '2009-11-16T04:15:54',
                                                       'version' => '0.71'
                                                     },
                                                     {
                                                       'date' => '2009-11-30T07:17:33',
                                                       'version' => '0.71_01'
                                                     },
                                                     {
                                                       'date' => '2009-12-01T09:06:53',
                                                       'version' => '0.71_02'
                                                     },
                                                     {
                                                       'date' => '2009-12-04T14:21:49',
                                                       'version' => '0.71_03'
                                                     },
                                                     {
                                                       'date' => '2009-12-10T00:44:51',
                                                       'version' => '0.72'
                                                     },
                                                     {
                                                       'date' => '2010-03-15T07:24:59',
                                                       'version' => '0.73'
                                                     },
                                                     {
                                                       'date' => '2010-05-06T14:29:21',
                                                       'version' => '0.74'
                                                     },
                                                     {
                                                       'date' => '2010-06-20T10:47:23',
                                                       'version' => '0.75'
                                                     },
                                                     {
                                                       'date' => '2010-08-06T10:49:44',
                                                       'version' => '0.75_01'
                                                     },
                                                     {
                                                       'date' => '2010-08-07T01:48:37',
                                                       'version' => '0.75_02'
                                                     },
                                                     {
                                                       'date' => '2010-08-09T12:49:36',
                                                       'version' => '0.75_03'
                                                     },
                                                     {
                                                       'date' => '2010-08-11T09:33:24',
                                                       'version' => '0.77'
                                                     },
                                                     {
                                                       'date' => '2010-09-13T10:48:57',
                                                       'version' => '0.77_01'
                                                     },
                                                     {
                                                       'date' => '2010-09-27T04:59:03',
                                                       'version' => '0.77_02'
                                                     },
                                                     {
                                                       'date' => '2010-10-04T09:00:26',
                                                       'version' => '0.78'
                                                     },
                                                     {
                                                       'date' => '2010-12-11T01:09:12',
                                                       'version' => '0.79'
                                                     },
                                                     {
                                                       'date' => '2011-01-17T07:43:35',
                                                       'version' => '0.80'
                                                     },
                                                     {
                                                       'date' => '2011-02-14T08:22:57',
                                                       'version' => '0.81'
                                                     },
                                                     {
                                                       'date' => '2011-03-14T12:18:07',
                                                       'version' => '0.82'
                                                     },
                                                     {
                                                       'date' => '2011-05-17T11:15:02',
                                                       'version' => '0.82_01'
                                                     },
                                                     {
                                                       'date' => '2011-05-20T14:07:44',
                                                       'version' => '0.83'
                                                     },
                                                     {
                                                       'date' => '2011-06-20T12:54:05',
                                                       'version' => '0.84'
                                                     },
                                                     {
                                                       'date' => '2011-08-08T12:39:58',
                                                       'version' => '0.84_01'
                                                     },
                                                     {
                                                       'date' => '2011-08-22T09:28:25',
                                                       'version' => '0.84_02'
                                                     },
                                                     {
                                                       'date' => '2011-08-29T09:19:04',
                                                       'version' => '0.85'
                                                     },
                                                     {
                                                       'date' => '2011-10-10T07:22:51',
                                                       'version' => '0.85_01'
                                                     },
                                                     {
                                                       'date' => '2011-10-24T10:14:57',
                                                       'version' => '0.85_02'
                                                     },
                                                     {
                                                       'date' => '2011-10-31T10:37:15',
                                                       'version' => '0.86'
                                                     },
                                                     {
                                                       'date' => '2012-01-03T05:27:14',
                                                       'version' => '0.87'
                                                     },
                                                     {
                                                       'date' => '2012-02-22T05:13:09',
                                                       'version' => '0.88'
                                                     },
                                                     {
                                                       'date' => '2012-03-18T01:45:35',
                                                       'version' => '0.89'
                                                     },
                                                     {
                                                       'date' => '2012-04-30T09:09:02',
                                                       'version' => '0.90'
                                                     },
                                                     {
                                                       'date' => '2012-06-04T12:27:17',
                                                       'version' => '0.91'
                                                     },
                                                     {
                                                       'date' => '2012-08-14T09:53:38',
                                                       'version' => '0.92'
                                                     },
                                                     {
                                                       'date' => '2012-08-18T01:41:22',
                                                       'version' => '0.92_01'
                                                     },
                                                     {
                                                       'date' => '2012-10-15T10:15:07',
                                                       'version' => '0.93'
                                                     },
                                                     {
                                                       'date' => '2012-11-12T10:44:54',
                                                       'version' => '0.93_01'
                                                     },
                                                     {
                                                       'date' => '2012-11-25T00:13:16',
                                                       'version' => '0.93_02'
                                                     },
                                                     {
                                                       'date' => '2012-12-14T22:59:55',
                                                       'version' => '0.94'
                                                     },
                                                     {
                                                       'date' => '2013-03-02T08:34:07',
                                                       'version' => '0.94_01'
                                                     },
                                                     {
                                                       'date' => '2013-04-05T06:19:32',
                                                       'version' => '0.94_02'
                                                     },
                                                     {
                                                       'date' => '2013-04-19T12:13:27',
                                                       'version' => '0.95'
                                                     },
                                                     {
                                                       'date' => '2013-05-19T04:27:19',
                                                       'version' => '0.96'
                                                     },
                                                     {
                                                       'date' => '2013-07-01T13:21:32',
                                                       'version' => '0.96_01'
                                                     },
                                                     {
                                                       'date' => '2013-07-09T13:46:48',
                                                       'version' => '0.96_02'
                                                     },
                                                     {
                                                       'date' => '2013-07-15T09:52:06',
                                                       'version' => '0.97'
                                                     },
                                                     {
                                                       'date' => '2014-01-02T22:22:03',
                                                       'version' => '0.98'
                                                     },
                                                     {
                                                       'date' => '2014-06-25T11:36:29',
                                                       'version' => '0.99'
                                                     },
                                                     {
                                                       'date' => '2014-06-29T05:06:45',
                                                       'version' => '0.99_01'
                                                     },
                                                     {
                                                       'date' => '2014-07-21T09:16:17',
                                                       'version' => '0.99_02'
                                                     },
                                                     {
                                                       'date' => '2014-07-29T09:13:55',
                                                       'version' => '1.000'
                                                     },
                                                     {
                                                       'date' => '2015-01-02T03:34:59',
                                                       'version' => '1.001'
                                                     },
                                                     {
                                                       'date' => '2015-04-03T01:31:26',
                                                       'version' => '1.002'
                                                     },
                                                     {
                                                       'date' => '2015-05-12T08:11:18',
                                                       'version' => '1.003'
                                                     },
                                                     {
                                                       'date' => '2015-11-08T09:45:59',
                                                       'version' => '1.004'
                                                     },
                                                     {
                                                       'date' => '2016-03-16T08:35:26',
                                                       'version' => '1.004_001'
                                                     },
                                                     {
                                                       'date' => '2016-03-20T01:27:53',
                                                       'version' => '1.004_002'
                                                     },
                                                     {
                                                       'date' => '2016-03-23T09:34:13',
                                                       'version' => '1.004_003'
                                                     },
                                                     {
                                                       'date' => '2016-04-15T05:58:07',
                                                       'version' => '1.004_004'
                                                     },
                                                     {
                                                       'date' => '2016-04-16T00:01:33',
                                                       'version' => '1.005'
                                                     },
                                                     {
                                                       'date' => '2017-08-26T04:27:06',
                                                       'version' => '1.006'
                                                     },
                                                     {
                                                       'date' => '2018-11-24T01:47:34',
                                                       'version' => '1.007'
                                                     },
                                                     {
                                                       'date' => '2018-12-31T10:04:02',
                                                       'version' => '1.008'
                                                     },
                                                     {
                                                       'date' => '2019-01-11T09:10:13',
                                                       'version' => '1.009'
                                                     },
                                                     {
                                                       'date' => '2019-02-13T08:14:07',
                                                       'version' => '1.010'
                                                     },
                                                     {
                                                       'date' => '2019-03-07T03:20:03',
                                                       'version' => '1.011'
                                                     }
                                                   ]
                                   },
                       'LWP-Protocol-Net-Curl' => {
                                                    'advisories' => [
                                                                      {
                                                                        'affected_versions' => '<0.009',
                                                                        'description' => 'Misconfiguration with libcurl v7.28.1 causes a HTTPS validation issues.
',
                                                                        'distribution' => 'LWP-Protocol-Net-Curl',
                                                                        'fixed_versions' => '>=0.009',
                                                                        'id' => 'CPANSA-LWP-Protocol-Net-Curl-2012-01',
                                                                        'references' => [
                                                                                          'https://metacpan.org/changes/distribution/LWP-Protocol-Net-Curl',
                                                                                          'https://github.com/creaktive/LWP-Protocol-Net-Curl/commit/dc8b183c6520a2b6bcde685de635675ee4a7e019'
                                                                                        ],
                                                                        'reported' => '2012-11-28'
                                                                      }
                                                                    ],
                                                    'main_module' => 'LWP::Protocol::Net::Curl',
                                                    'versions' => [
                                                                    {
                                                                      'date' => '2012-10-24T18:49:20',
                                                                      'version' => '0.001'
                                                                    },
                                                                    {
                                                                      'date' => '2012-10-26T20:05:13',
                                                                      'version' => '0.002'
                                                                    },
                                                                    {
                                                                      'date' => '2012-10-29T18:55:46',
                                                                      'version' => '0.003'
                                                                    },
                                                                    {
                                                                      'date' => '2012-10-31T13:01:46',
                                                                      'version' => '0.004'
                                                                    },
                                                                    {
                                                                      'date' => '2012-11-01T15:17:14',
                                                                      'version' => '0.005'
                                                                    },
                                                                    {
                                                                      'date' => '2012-11-12T12:23:09',
                                                                      'version' => '0.006'
                                                                    },
                                                                    {
                                                                      'date' => '2012-11-13T14:33:10',
                                                                      'version' => '0.007'
                                                                    },
                                                                    {
                                                                      'date' => '2012-11-25T22:38:58',
                                                                      'version' => '0.008'
                                                                    },
                                                                    {
                                                                      'date' => '2012-11-28T19:03:10',
                                                                      'version' => '0.009'
                                                                    },
                                                                    {
                                                                      'date' => '2012-12-07T00:13:55',
                                                                      'version' => '0.010'
                                                                    },
                                                                    {
                                                                      'date' => '2012-12-18T12:05:00',
                                                                      'version' => '0.011'
                                                                    },
                                                                    {
                                                                      'date' => '2013-02-08T11:00:04',
                                                                      'version' => '0.012'
                                                                    },
                                                                    {
                                                                      'date' => '2013-02-11T01:56:30',
                                                                      'version' => '0.013'
                                                                    },
                                                                    {
                                                                      'date' => '2013-02-16T12:51:03',
                                                                      'version' => '0.014'
                                                                    },
                                                                    {
                                                                      'date' => '2013-05-13T21:41:47',
                                                                      'version' => '0.015'
                                                                    },
                                                                    {
                                                                      'date' => '2013-05-18T22:12:03',
                                                                      'version' => '0.016'
                                                                    },
                                                                    {
                                                                      'date' => '2013-07-13T12:22:34',
                                                                      'version' => '0.017'
                                                                    },
                                                                    {
                                                                      'date' => '2013-08-17T11:34:49',
                                                                      'version' => '0.018'
                                                                    },
                                                                    {
                                                                      'date' => '2013-10-11T12:33:53',
                                                                      'version' => '0.019'
                                                                    },
                                                                    {
                                                                      'date' => '2013-10-13T09:02:17',
                                                                      'version' => '0.020'
                                                                    },
                                                                    {
                                                                      'date' => '2014-01-21T17:46:37',
                                                                      'version' => '0.021'
                                                                    },
                                                                    {
                                                                      'date' => '2014-07-09T15:04:06',
                                                                      'version' => '0.022'
                                                                    },
                                                                    {
                                                                      'date' => '2014-12-23T17:06:56',
                                                                      'version' => '0.023'
                                                                    }
                                                                  ]
                                                  },
                       'Lemonldap-NG-Portal' => {
                                                  'advisories' => [
                                                                    {
                                                                      'affected_versions' => '<0.87',
                                                                      'description' => 'When running on Apache with thread support setMacros and setGroups were not launched with the good datas.
',
                                                                      'distribution' => 'Lemonldap-NG-Portal',
                                                                      'fixed_versions' => '>=0.87',
                                                                      'id' => 'CPANSA-Lemonldap-NG-Portal-2009-01',
                                                                      'references' => [
                                                                                        'https://metacpan.org/changes/distribution/Lemonldap-NG-Portal'
                                                                                      ],
                                                                      'reported' => '2009-02-08'
                                                                    }
                                                                  ],
                                                  'main_module' => 'Lemonldap::NG::Portal',
                                                  'versions' => [
                                                                  {
                                                                    'date' => '2005-06-29T18:44:50',
                                                                    'version' => '0.01'
                                                                  },
                                                                  {
                                                                    'date' => '2005-07-02T08:49:37',
                                                                    'version' => '0.02'
                                                                  },
                                                                  {
                                                                    'date' => '2006-10-07T13:24:36',
                                                                    'version' => '0.1'
                                                                  },
                                                                  {
                                                                    'date' => '2006-10-14T13:26:07',
                                                                    'version' => '0.11'
                                                                  },
                                                                  {
                                                                    'date' => '2006-10-14T14:11:06',
                                                                    'version' => '0.111'
                                                                  },
                                                                  {
                                                                    'date' => '2006-10-17T13:58:53',
                                                                    'version' => '0.2'
                                                                  },
                                                                  {
                                                                    'date' => '2006-11-02T15:23:31',
                                                                    'version' => '0.4'
                                                                  },
                                                                  {
                                                                    'date' => '2006-11-03T07:25:06',
                                                                    'version' => '0.41'
                                                                  },
                                                                  {
                                                                    'date' => '2006-12-07T21:02:36',
                                                                    'version' => '0.42'
                                                                  },
                                                                  {
                                                                    'date' => '2006-12-19T18:26:07',
                                                                    'version' => '0.5'
                                                                  },
                                                                  {
                                                                    'date' => '2006-12-31T13:03:32',
                                                                    'version' => '0.51'
                                                                  },
                                                                  {
                                                                    'date' => '2007-01-13T19:47:36',
                                                                    'version' => '0.6'
                                                                  },
                                                                  {
                                                                    'date' => '2007-02-28T22:29:18',
                                                                    'version' => '0.62'
                                                                  },
                                                                  {
                                                                    'date' => '2007-03-04T18:23:52',
                                                                    'version' => '0.63'
                                                                  },
                                                                  {
                                                                    'date' => '2007-03-09T20:18:23',
                                                                    'version' => '0.64'
                                                                  },
                                                                  {
                                                                    'date' => '2007-03-29T19:52:31',
                                                                    'version' => '0.7'
                                                                  },
                                                                  {
                                                                    'date' => '2007-04-01T20:26:10',
                                                                    'version' => '0.71'
                                                                  },
                                                                  {
                                                                    'date' => '2007-04-14T20:46:13',
                                                                    'version' => '0.72'
                                                                  },
                                                                  {
                                                                    'date' => '2007-04-20T06:51:13',
                                                                    'version' => '0.73'
                                                                  },
                                                                  {
                                                                    'date' => '2007-06-13T13:54:26',
                                                                    'version' => '0.74'
                                                                  },
                                                                  {
                                                                    'date' => '2007-07-22T20:35:13',
                                                                    'version' => '0.76'
                                                                  },
                                                                  {
                                                                    'date' => '2007-07-31T05:11:34',
                                                                    'version' => '0.77'
                                                                  },
                                                                  {
                                                                    'date' => '2007-10-15T06:03:56',
                                                                    'version' => '0.8'
                                                                  },
                                                                  {
                                                                    'date' => '2008-02-28T07:13:04',
                                                                    'version' => '0.81'
                                                                  },
                                                                  {
                                                                    'date' => '2008-04-11T14:53:38',
                                                                    'version' => '0.82'
                                                                  },
                                                                  {
                                                                    'date' => '2008-06-06T05:50:06',
                                                                    'version' => '0.83'
                                                                  },
                                                                  {
                                                                    'date' => '2008-06-06T12:46:10',
                                                                    'version' => '0.84'
                                                                  },
                                                                  {
                                                                    'date' => '2008-08-25T19:53:48',
                                                                    'version' => '0.85'
                                                                  },
                                                                  {
                                                                    'date' => '2008-12-25T08:26:49',
                                                                    'version' => '0.86'
                                                                  },
                                                                  {
                                                                    'date' => '2009-02-08T07:13:05',
                                                                    'version' => '0.87'
                                                                  },
                                                                  {
                                                                    'date' => '2009-06-29T10:14:46',
                                                                    'version' => '0.88'
                                                                  },
                                                                  {
                                                                    'date' => '2009-07-05T11:40:59',
                                                                    'version' => '0.89'
                                                                  },
                                                                  {
                                                                    'date' => '2009-10-11T08:26:21',
                                                                    'version' => '0.90'
                                                                  },
                                                                  {
                                                                    'date' => '2010-10-13T21:02:21',
                                                                    'version' => '0.99'
                                                                  },
                                                                  {
                                                                    'date' => '2010-10-22T05:36:29',
                                                                    'version' => '0.99.1'
                                                                  },
                                                                  {
                                                                    'date' => '2010-10-22T05:45:04',
                                                                    'version' => '0.991'
                                                                  },
                                                                  {
                                                                    'date' => '2010-10-24T06:33:29',
                                                                    'version' => '0.992'
                                                                  },
                                                                  {
                                                                    'date' => '2010-11-26T13:38:59',
                                                                    'version' => '1.0.0'
                                                                  },
                                                                  {
                                                                    'date' => '2011-02-28T13:42:23',
                                                                    'version' => '1.0.2'
                                                                  },
                                                                  {
                                                                    'date' => '2011-03-07T11:17:03',
                                                                    'version' => 'v1.0.3'
                                                                  },
                                                                  {
                                                                    'date' => '2011-03-23T14:54:26',
                                                                    'version' => '1.0.4'
                                                                  },
                                                                  {
                                                                    'date' => '2011-04-15T14:51:44',
                                                                    'version' => '1.0.5'
                                                                  },
                                                                  {
                                                                    'date' => '2011-05-30T08:40:46',
                                                                    'version' => '1.0.6'
                                                                  },
                                                                  {
                                                                    'date' => '2011-07-08T09:33:35',
                                                                    'version' => '1.1.0'
                                                                  },
                                                                  {
                                                                    'date' => '2011-07-29T13:43:35',
                                                                    'version' => '1.1.1'
                                                                  },
                                                                  {
                                                                    'date' => '2011-10-07T12:58:06',
                                                                    'version' => '1.1.2'
                                                                  },
                                                                  {
                                                                    'date' => '2012-06-18T10:13:31',
                                                                    'version' => '1.2.0'
                                                                  },
                                                                  {
                                                                    'date' => '2012-07-06T09:18:54',
                                                                    'version' => '1.2.1'
                                                                  },
                                                                  {
                                                                    'date' => '2012-09-17T14:04:26',
                                                                    'version' => '1.2.2'
                                                                  },
                                                                  {
                                                                    'date' => '2013-01-25T21:51:54',
                                                                    'version' => '1.2.2_01'
                                                                  },
                                                                  {
                                                                    'date' => '2013-02-08T17:11:38',
                                                                    'version' => '1.2.3'
                                                                  },
                                                                  {
                                                                    'date' => '2013-04-23T13:19:57',
                                                                    'version' => '1.2.4'
                                                                  },
                                                                  {
                                                                    'date' => '2013-08-26T10:39:11',
                                                                    'version' => '1.2.5'
                                                                  },
                                                                  {
                                                                    'date' => '2013-11-02T16:31:10',
                                                                    'version' => 'v1.3.0'
                                                                  },
                                                                  {
                                                                    'date' => '2013-11-10T18:00:31',
                                                                    'version' => 'v1.3.0_01'
                                                                  },
                                                                  {
                                                                    'date' => '2013-11-11T14:01:21',
                                                                    'version' => 'v1.3.1'
                                                                  },
                                                                  {
                                                                    'date' => '2014-02-05T09:31:50',
                                                                    'version' => '1.3.2'
                                                                  },
                                                                  {
                                                                    'date' => '2014-03-07T13:55:23',
                                                                    'version' => '1.3.3'
                                                                  },
                                                                  {
                                                                    'date' => '2014-06-30T12:54:16',
                                                                    'version' => 'v1.4.0'
                                                                  },
                                                                  {
                                                                    'date' => '2014-07-25T09:55:37',
                                                                    'version' => 'v1.4.1'
                                                                  },
                                                                  {
                                                                    'date' => '2014-11-05T15:15:30',
                                                                    'version' => 'v1.4.2'
                                                                  },
                                                                  {
                                                                    'date' => '2014-12-19T10:31:47',
                                                                    'version' => 'v1.4.3'
                                                                  },
                                                                  {
                                                                    'date' => '2015-04-15T10:05:31',
                                                                    'version' => 'v1.4.4'
                                                                  },
                                                                  {
                                                                    'date' => '2015-05-22T16:54:10',
                                                                    'version' => 'v1.4.5'
                                                                  },
                                                                  {
                                                                    'date' => '2015-10-09T09:21:04',
                                                                    'version' => 'v1.4.6'
                                                                  },
                                                                  {
                                                                    'date' => '2016-03-02T09:50:24',
                                                                    'version' => 'v1.9.0'
                                                                  },
                                                                  {
                                                                    'date' => '2016-03-22T14:25:24',
                                                                    'version' => 'v1.4.7'
                                                                  },
                                                                  {
                                                                    'date' => '2016-04-05T16:02:49',
                                                                    'version' => 'v1.9.1'
                                                                  },
                                                                  {
                                                                    'date' => '2016-04-27T15:23:10',
                                                                    'version' => 'v1.4.8'
                                                                  },
                                                                  {
                                                                    'date' => '2016-05-01T19:25:36',
                                                                    'version' => 'v1.9.2'
                                                                  },
                                                                  {
                                                                    'date' => '2016-06-03T14:14:52',
                                                                    'version' => 'v1.4.9'
                                                                  },
                                                                  {
                                                                    'date' => '2016-06-07T15:48:38',
                                                                    'version' => 'v1.9.3'
                                                                  },
                                                                  {
                                                                    'date' => '2016-06-14T18:36:34',
                                                                    'version' => 'v1.9.4'
                                                                  },
                                                                  {
                                                                    'date' => '2016-07-13T09:08:18',
                                                                    'version' => 'v1.4.10'
                                                                  },
                                                                  {
                                                                    'date' => '2016-07-13T12:58:54',
                                                                    'version' => 'v1.9.5'
                                                                  },
                                                                  {
                                                                    'date' => '2016-10-10T13:34:33',
                                                                    'version' => 'v1.4.11'
                                                                  },
                                                                  {
                                                                    'date' => '2016-10-16T12:23:25',
                                                                    'version' => 'v1.9.6'
                                                                  },
                                                                  {
                                                                    'date' => '2016-12-14T19:57:55',
                                                                    'version' => 'v1.9.7'
                                                                  },
                                                                  {
                                                                    'date' => '2017-02-28T21:11:18',
                                                                    'version' => 'v1.9.99_2.0alpha1'
                                                                  },
                                                                  {
                                                                    'date' => '2017-03-02T14:55:34',
                                                                    'version' => 'v1.9.8'
                                                                  },
                                                                  {
                                                                    'date' => '2017-03-07T05:48:09',
                                                                    'version' => 'v1.9.99_02'
                                                                  },
                                                                  {
                                                                    'date' => '2017-03-07T06:00:28',
                                                                    'version' => 'v1.9.99_03'
                                                                  },
                                                                  {
                                                                    'date' => '2017-03-15T05:34:48',
                                                                    'version' => 'v1.9.991_01'
                                                                  },
                                                                  {
                                                                    'date' => '2017-03-17T07:21:31',
                                                                    'version' => 'v1.9.9'
                                                                  },
                                                                  {
                                                                    'date' => '2017-05-19T18:48:42',
                                                                    'version' => 'v1.9.10'
                                                                  },
                                                                  {
                                                                    'date' => '2017-09-01T10:32:34',
                                                                    'version' => 'v1.9.11'
                                                                  },
                                                                  {
                                                                    'date' => '2017-09-12T08:40:27',
                                                                    'version' => 'v1.9.12'
                                                                  },
                                                                  {
                                                                    'date' => '2017-09-29T14:00:36',
                                                                    'version' => 'v1.9.13'
                                                                  },
                                                                  {
                                                                    'date' => '2017-11-24T19:59:18',
                                                                    'version' => 'v1.9.14'
                                                                  },
                                                                  {
                                                                    'date' => '2018-01-23T12:50:53',
                                                                    'version' => 'v1.9.15'
                                                                  },
                                                                  {
                                                                    'date' => '2018-03-16T10:34:13',
                                                                    'version' => 'v1.9.16'
                                                                  },
                                                                  {
                                                                    'date' => '2018-06-16T09:27:27',
                                                                    'version' => 'v1.9.17'
                                                                  },
                                                                  {
                                                                    'date' => '2018-10-05T09:40:26',
                                                                    'version' => 'v1.9.18'
                                                                  },
                                                                  {
                                                                    'date' => '2018-11-30T10:49:52',
                                                                    'version' => 'v2.0.0'
                                                                  },
                                                                  {
                                                                    'date' => '2019-02-12T17:13:39',
                                                                    'version' => 'v2.0.2'
                                                                  }
                                                                ]
                                                },
                       'MHonArc' => {
                                      'advisories' => [
                                                        {
                                                          'affected_versions' => '<2.6.17',
                                                          'cves' => [
                                                                      'CVE-2010-4524'
                                                                    ],
                                                          'description' => 'Improper escaping of certain HTML sequences (XSS).
',
                                                          'distribution' => 'MHonArc',
                                                          'fixed_versions' => '>=2.6.17',
                                                          'id' => 'CPANSA-MHonArc-2011-01',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/MHonArc'
                                                                          ],
                                                          'reported' => '2011-01-09'
                                                        },
                                                        {
                                                          'affected_versions' => '<2.6.17',
                                                          'cves' => [
                                                                      'CVE-2010-1677'
                                                                    ],
                                                          'description' => 'DoS when processing html messages with deep tag nesting.
',
                                                          'distribution' => 'MHonArc',
                                                          'fixed_versions' => '>=2.6.17',
                                                          'id' => 'CPANSA-MHonArc-2011-02',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/MHonArc'
                                                                          ],
                                                          'reported' => '2011-01-09'
                                                        }
                                                      ],
                                      'main_module' => 'MHonArc::Char',
                                      'versions' => [
                                                      {
                                                        'date' => '1997-12-11T20:44:41',
                                                        'version' => '2.1'
                                                      },
                                                      {
                                                        'date' => '1998-03-04T01:06:00',
                                                        'version' => 'v2.2.0'
                                                      },
                                                      {
                                                        'date' => '1998-10-11T02:56:10',
                                                        'version' => 'v2.3.0'
                                                      },
                                                      {
                                                        'date' => '1998-10-25T19:27:37',
                                                        'version' => 'v2.3.1'
                                                      },
                                                      {
                                                        'date' => '1998-11-01T20:02:48',
                                                        'version' => 'v2.3.2'
                                                      },
                                                      {
                                                        'date' => '1998-11-08T21:59:21',
                                                        'version' => 'v2.3.3'
                                                      },
                                                      {
                                                        'date' => '1999-06-26T07:57:53',
                                                        'version' => 'v2.4.0'
                                                      },
                                                      {
                                                        'date' => '1999-07-26T19:30:51',
                                                        'version' => 'v2.4.1'
                                                      },
                                                      {
                                                        'date' => '1999-08-12T07:16:14',
                                                        'version' => 'v2.4.2'
                                                      },
                                                      {
                                                        'date' => '1999-08-16T06:25:39',
                                                        'version' => 'v2.4.3'
                                                      },
                                                      {
                                                        'date' => '1999-10-01T19:43:07',
                                                        'version' => 'v2.4.4'
                                                      },
                                                      {
                                                        'date' => '2000-02-15T03:44:03',
                                                        'version' => 'v2.4.5'
                                                      },
                                                      {
                                                        'date' => '2000-04-24T08:35:56',
                                                        'version' => 'v2.4.6'
                                                      },
                                                      {
                                                        'date' => '2000-10-29T04:18:32',
                                                        'version' => 'v2.4.7'
                                                      },
                                                      {
                                                        'date' => '2000-10-30T06:29:47',
                                                        'version' => 'v2.4.7'
                                                      },
                                                      {
                                                        'date' => '2001-04-14T21:48:01',
                                                        'version' => 'v2.4.8'
                                                      },
                                                      {
                                                        'date' => '2001-06-11T03:09:13',
                                                        'version' => 'v2.4.9'
                                                      },
                                                      {
                                                        'date' => '2001-08-26T19:46:53',
                                                        'version' => 'v2.5.0'
                                                      },
                                                      {
                                                        'date' => '2001-09-07T15:24:19',
                                                        'version' => 'v2.5.0'
                                                      },
                                                      {
                                                        'date' => '2001-10-17T16:03:13',
                                                        'version' => 'v2.5.0'
                                                      },
                                                      {
                                                        'date' => '2001-11-14T05:09:59',
                                                        'version' => 'v2.5.1'
                                                      },
                                                      {
                                                        'date' => '2001-11-25T06:46:19',
                                                        'version' => 'v2.5.2'
                                                      },
                                                      {
                                                        'date' => '2002-04-18T07:23:29',
                                                        'version' => 'v2.5.3'
                                                      },
                                                      {
                                                        'date' => '2002-05-03T05:06:16',
                                                        'version' => 'v2.5.4'
                                                      },
                                                      {
                                                        'date' => '2002-05-28T05:43:00',
                                                        'version' => 'v2.5.5'
                                                      },
                                                      {
                                                        'date' => '2002-06-18T18:07:38',
                                                        'version' => 'v2.5.6'
                                                      },
                                                      {
                                                        'date' => '2002-06-21T22:59:36',
                                                        'version' => 'v2.5.7'
                                                      },
                                                      {
                                                        'date' => '2002-06-29T03:22:26',
                                                        'version' => 'v2.5.8'
                                                      },
                                                      {
                                                        'date' => '2002-07-20T02:39:53',
                                                        'version' => 'v2.5.9'
                                                      },
                                                      {
                                                        'date' => '2002-07-29T00:10:32',
                                                        'version' => 'v2.5.10'
                                                      },
                                                      {
                                                        'date' => '2002-08-04T04:25:22',
                                                        'version' => 'v2.5.11'
                                                      },
                                                      {
                                                        'date' => '2002-09-04T04:32:14',
                                                        'version' => 'v2.5.12'
                                                      },
                                                      {
                                                        'date' => '2002-10-21T17:13:35',
                                                        'version' => 'v2.5.13'
                                                      },
                                                      {
                                                        'date' => '2002-12-22T01:07:40',
                                                        'version' => 'v2.5.14'
                                                      },
                                                      {
                                                        'date' => '2003-02-10T05:23:02',
                                                        'version' => 'v2.6.0'
                                                      },
                                                      {
                                                        'date' => '2003-02-23T00:39:05',
                                                        'version' => 'v2.6.1'
                                                      },
                                                      {
                                                        'date' => '2003-03-12T01:55:48',
                                                        'version' => 'v2.6.2'
                                                      },
                                                      {
                                                        'date' => '2003-04-06T02:11:59',
                                                        'version' => 'v2.6.3'
                                                      },
                                                      {
                                                        'date' => '2003-06-22T21:54:52',
                                                        'version' => 'v2.6.4'
                                                      },
                                                      {
                                                        'date' => '2003-07-20T04:51:56',
                                                        'version' => 'v2.6.5'
                                                      },
                                                      {
                                                        'date' => '2003-07-21T17:20:07',
                                                        'version' => 'v2.6.6'
                                                      },
                                                      {
                                                        'date' => '2003-08-07T23:49:43',
                                                        'version' => 'v2.6.7'
                                                      },
                                                      {
                                                        'date' => '2003-08-13T04:47:02',
                                                        'version' => 'v2.6.8'
                                                      },
                                                      {
                                                        'date' => '2004-05-17T06:24:46',
                                                        'version' => 'v2.6.9'
                                                      },
                                                      {
                                                        'date' => '2004-05-17T06:25:16',
                                                        'version' => 'v2.6.10'
                                                      },
                                                      {
                                                        'date' => '2005-05-20T17:15:40',
                                                        'version' => 'v2.6.11'
                                                      },
                                                      {
                                                        'date' => '2005-06-09T02:30:11',
                                                        'version' => 'v2.6.12'
                                                      },
                                                      {
                                                        'date' => '2005-07-06T05:15:55',
                                                        'version' => 'v2.6.13'
                                                      },
                                                      {
                                                        'date' => '2005-07-23T07:15:49',
                                                        'version' => '2.6.14'
                                                      },
                                                      {
                                                        'date' => '2005-07-27T03:46:13',
                                                        'version' => '2.6.15'
                                                      },
                                                      {
                                                        'date' => '2006-06-10T03:21:01',
                                                        'version' => '2.6.16'
                                                      },
                                                      {
                                                        'date' => '2011-01-09T10:04:06',
                                                        'version' => '2.6.17'
                                                      },
                                                      {
                                                        'date' => '2011-01-09T16:35:39',
                                                        'version' => '2.6.18'
                                                      },
                                                      {
                                                        'date' => '2014-04-22T03:33:53',
                                                        'version' => '2.6.19'
                                                      }
                                                    ]
                                    },
                       'Module-Signature' => {
                                               'advisories' => [
                                                                 {
                                                                   'affected_versions' => '<0.72',
                                                                   'cves' => [
                                                                               'CVE-2013-2145'
                                                                             ],
                                                                   'description' => 'The cpansign verify functionality in the Module::Signature module before 0.72 for Perl allows attackers to bypass the signature check and execute arbitrary code via a SIGNATURE file with a "special unknown cipher" that references an untrusted module in Digest/.
',
                                                                   'distribution' => 'Module-Signature',
                                                                   'fixed_versions' => '>=0.72',
                                                                   'id' => 'CPANSA-Module-Signature-2013-01',
                                                                   'references' => [
                                                                                     'https://metacpan.org/changes/distribution/Module-Signature'
                                                                                   ],
                                                                   'reported' => '2013-08-19'
                                                                 }
                                                               ],
                                               'main_module' => 'Module::Signature',
                                               'versions' => [
                                                               {
                                                                 'date' => '2002-08-13T14:04:00',
                                                                 'version' => '0.02'
                                                               },
                                                               {
                                                                 'date' => '2002-08-13T15:48:18',
                                                                 'version' => '0.03'
                                                               },
                                                               {
                                                                 'date' => '2002-08-14T08:03:45',
                                                                 'version' => '0.04'
                                                               },
                                                               {
                                                                 'date' => '2002-08-14T09:28:41',
                                                                 'version' => '0.05'
                                                               },
                                                               {
                                                                 'date' => '2002-10-10T15:22:33',
                                                                 'version' => '0.06'
                                                               },
                                                               {
                                                                 'date' => '2002-10-11T04:16:01',
                                                                 'version' => '0.07'
                                                               },
                                                               {
                                                                 'date' => '2002-10-11T19:32:19',
                                                                 'version' => '0.08'
                                                               },
                                                               {
                                                                 'date' => '2002-10-12T10:33:29',
                                                                 'version' => '0.09'
                                                               },
                                                               {
                                                                 'date' => '2002-10-12T11:10:21',
                                                                 'version' => '0.10'
                                                               },
                                                               {
                                                                 'date' => '2002-10-12T19:23:48',
                                                                 'version' => '0.11'
                                                               },
                                                               {
                                                                 'date' => '2002-10-12T22:55:54',
                                                                 'version' => '0.12'
                                                               },
                                                               {
                                                                 'date' => '2002-10-13T05:22:45',
                                                                 'version' => '0.13'
                                                               },
                                                               {
                                                                 'date' => '2002-10-17T06:14:07',
                                                                 'version' => '0.14'
                                                               },
                                                               {
                                                                 'date' => '2002-10-17T22:01:57',
                                                                 'version' => '0.15'
                                                               },
                                                               {
                                                                 'date' => '2002-10-28T23:37:00',
                                                                 'version' => '0.16'
                                                               },
                                                               {
                                                                 'date' => '2002-10-30T07:05:06',
                                                                 'version' => '0.17'
                                                               },
                                                               {
                                                                 'date' => '2002-11-04T15:08:41',
                                                                 'version' => '0.18'
                                                               },
                                                               {
                                                                 'date' => '2002-11-04T15:13:45',
                                                                 'version' => '0.19'
                                                               },
                                                               {
                                                                 'date' => '2002-11-04T15:24:41',
                                                                 'version' => '0.20'
                                                               },
                                                               {
                                                                 'date' => '2002-11-22T10:28:48',
                                                                 'version' => '0.21'
                                                               },
                                                               {
                                                                 'date' => '2003-05-15T18:44:28',
                                                                 'version' => '0.23'
                                                               },
                                                               {
                                                                 'date' => '2003-07-08T02:49:57',
                                                                 'version' => '0.24'
                                                               },
                                                               {
                                                                 'date' => '2003-07-16T06:31:58',
                                                                 'version' => '0.25'
                                                               },
                                                               {
                                                                 'date' => '2003-07-17T14:03:19',
                                                                 'version' => '0.26'
                                                               },
                                                               {
                                                                 'date' => '2003-07-28T14:31:54',
                                                                 'version' => '0.27'
                                                               },
                                                               {
                                                                 'date' => '2003-07-29T15:30:55',
                                                                 'version' => '0.28'
                                                               },
                                                               {
                                                                 'date' => '2003-08-08T02:54:01',
                                                                 'version' => '0.29'
                                                               },
                                                               {
                                                                 'date' => '2003-08-10T13:35:38',
                                                                 'version' => '0.30'
                                                               },
                                                               {
                                                                 'date' => '2003-08-10T17:17:19',
                                                                 'version' => '0.31'
                                                               },
                                                               {
                                                                 'date' => '2003-08-11T09:15:13',
                                                                 'version' => '0.32'
                                                               },
                                                               {
                                                                 'date' => '2003-08-12T04:11:59',
                                                                 'version' => '0.33'
                                                               },
                                                               {
                                                                 'date' => '2003-08-18T15:32:45',
                                                                 'version' => '0.34'
                                                               },
                                                               {
                                                                 'date' => '2003-08-27T07:08:31',
                                                                 'version' => '0.35'
                                                               },
                                                               {
                                                                 'date' => '2003-10-28T04:22:56',
                                                                 'version' => '0.36'
                                                               },
                                                               {
                                                                 'date' => '2003-11-06T10:55:07',
                                                                 'version' => '0.37'
                                                               },
                                                               {
                                                                 'date' => '2004-01-01T10:14:15',
                                                                 'version' => '0.38'
                                                               },
                                                               {
                                                                 'date' => '2004-06-17T15:17:14',
                                                                 'version' => '0.39'
                                                               },
                                                               {
                                                                 'date' => '2004-07-01T12:18:17',
                                                                 'version' => '0.40'
                                                               },
                                                               {
                                                                 'date' => '2004-07-04T08:19:11',
                                                                 'version' => '0.41'
                                                               },
                                                               {
                                                                 'date' => '2004-11-20T06:19:22',
                                                                 'version' => '0.42'
                                                               },
                                                               {
                                                                 'date' => '2004-12-16T06:45:55',
                                                                 'version' => '0.43'
                                                               },
                                                               {
                                                                 'date' => '2004-12-16T07:17:30',
                                                                 'version' => '0.44'
                                                               },
                                                               {
                                                                 'date' => '2005-08-09T04:23:46',
                                                                 'version' => '0.45'
                                                               },
                                                               {
                                                                 'date' => '2005-08-21T08:16:22',
                                                                 'version' => '0.50'
                                                               },
                                                               {
                                                                 'date' => '2006-01-01T18:41:57',
                                                                 'version' => '0.51'
                                                               },
                                                               {
                                                                 'date' => '2006-01-18T16:32:37',
                                                                 'version' => '0.52'
                                                               },
                                                               {
                                                                 'date' => '2006-01-31T05:02:24',
                                                                 'version' => '0.53'
                                                               },
                                                               {
                                                                 'date' => '2006-05-11T17:12:46',
                                                                 'version' => '0.54'
                                                               },
                                                               {
                                                                 'date' => '2006-07-30T01:15:07',
                                                                 'version' => '0.55'
                                                               },
                                                               {
                                                                 'date' => '2009-11-16T14:59:35',
                                                                 'version' => '0.60'
                                                               },
                                                               {
                                                                 'date' => '2009-11-18T16:58:07',
                                                                 'version' => '0.61'
                                                               },
                                                               {
                                                                 'date' => '2010-03-23T21:21:37',
                                                                 'version' => '0.62'
                                                               },
                                                               {
                                                                 'date' => '2010-03-28T02:49:21',
                                                                 'version' => '0.62'
                                                               },
                                                               {
                                                                 'date' => '2010-05-08T22:55:43',
                                                                 'version' => '0.62'
                                                               },
                                                               {
                                                                 'date' => '2010-09-03T19:55:36',
                                                                 'version' => '0.65'
                                                               },
                                                               {
                                                                 'date' => '2010-09-06T20:58:24',
                                                                 'version' => '0.66'
                                                               },
                                                               {
                                                                 'date' => '2011-04-17T15:09:22',
                                                                 'version' => '0.67'
                                                               },
                                                               {
                                                                 'date' => '2011-05-13T09:55:20',
                                                                 'version' => '0.68'
                                                               },
                                                               {
                                                                 'date' => '2012-11-02T15:20:28',
                                                                 'version' => '0.69'
                                                               },
                                                               {
                                                                 'date' => '2012-11-28T17:49:21',
                                                                 'version' => '0.70'
                                                               },
                                                               {
                                                                 'date' => '2013-06-04T10:29:18',
                                                                 'version' => '0.71'
                                                               },
                                                               {
                                                                 'date' => '2013-06-05T15:21:34',
                                                                 'version' => '0.72'
                                                               },
                                                               {
                                                                 'date' => '2013-06-05T20:57:10',
                                                                 'version' => '0.73'
                                                               },
                                                               {
                                                                 'date' => '2015-04-06T18:39:32',
                                                                 'version' => '0.74'
                                                               },
                                                               {
                                                                 'date' => '2015-04-06T20:58:34',
                                                                 'version' => '0.75'
                                                               },
                                                               {
                                                                 'date' => '2015-04-08T10:13:11',
                                                                 'version' => '0.76'
                                                               },
                                                               {
                                                                 'date' => '2015-04-08T11:47:26',
                                                                 'version' => '0.77'
                                                               },
                                                               {
                                                                 'date' => '2015-04-09T09:00:30',
                                                                 'version' => '0.78'
                                                               },
                                                               {
                                                                 'date' => '2015-05-18T15:18:02',
                                                                 'version' => '0.79'
                                                               },
                                                               {
                                                                 'date' => '2016-06-07T06:36:30',
                                                                 'version' => '0.80'
                                                               },
                                                               {
                                                                 'date' => '2016-09-05T06:41:06',
                                                                 'version' => '0.81'
                                                               },
                                                               {
                                                                 'date' => '2018-08-26T15:19:13',
                                                                 'version' => '0.81'
                                                               },
                                                               {
                                                                 'date' => '2018-08-29T08:35:25',
                                                                 'version' => '0.83'
                                                               }
                                                             ]
                                             },
                       'MojoMojo' => {
                                       'advisories' => [
                                                         {
                                                           'affected_versions' => '<0.999033',
                                                           'description' => 'Anonymous users can delete attachments.
',
                                                           'distribution' => 'MojoMojo',
                                                           'fixed_versions' => '>=0.999033',
                                                           'id' => 'CPANSA-MojoMojo-2009-01',
                                                           'references' => [
                                                                             'https://metacpan.org/changes/distribution/MojoMojo',
                                                                             'https://github.com/mojomojo/mojomojo/commit/a9b9fd4f4f037627d30f3cbaa10abe42a3439637'
                                                                           ],
                                                           'reported' => '2009-08-14'
                                                         }
                                                       ],
                                       'main_module' => 'MojoMojo',
                                       'versions' => [
                                                       {
                                                         'date' => '2007-08-29T14:32:52',
                                                         'version' => '0.05'
                                                       },
                                                       {
                                                         'date' => '2007-09-12T21:46:24',
                                                         'version' => '0.05'
                                                       },
                                                       {
                                                         'date' => '2007-09-13T11:28:37',
                                                         'version' => '0.05'
                                                       },
                                                       {
                                                         'date' => '2007-09-18T07:33:43',
                                                         'version' => '0.999004'
                                                       },
                                                       {
                                                         'date' => '2007-09-18T08:02:02',
                                                         'version' => '0.999005'
                                                       },
                                                       {
                                                         'date' => '2007-09-19T20:59:39',
                                                         'version' => '0.999006'
                                                       },
                                                       {
                                                         'date' => '2007-09-23T23:30:59',
                                                         'version' => '0.999007'
                                                       },
                                                       {
                                                         'date' => '2007-11-12T22:25:35',
                                                         'version' => '0.999008'
                                                       },
                                                       {
                                                         'date' => '2008-01-20T23:15:07',
                                                         'version' => '0.999010'
                                                       },
                                                       {
                                                         'date' => '2008-01-23T23:00:05',
                                                         'version' => '0.999011'
                                                       },
                                                       {
                                                         'date' => '2008-02-05T23:20:47',
                                                         'version' => '0.999012'
                                                       },
                                                       {
                                                         'date' => '2008-03-05T00:34:49',
                                                         'version' => '0.999013'
                                                       },
                                                       {
                                                         'date' => '2008-05-02T18:11:49',
                                                         'version' => '0.999014'
                                                       },
                                                       {
                                                         'date' => '2008-05-03T16:10:08',
                                                         'version' => '0.999015'
                                                       },
                                                       {
                                                         'date' => '2008-06-29T13:03:39',
                                                         'version' => '0.999016'
                                                       },
                                                       {
                                                         'date' => '2008-07-09T14:26:56',
                                                         'version' => '0.999017'
                                                       },
                                                       {
                                                         'date' => '2008-07-16T19:26:46',
                                                         'version' => '0.999018'
                                                       },
                                                       {
                                                         'date' => '2008-07-19T21:33:36',
                                                         'version' => '0.999018'
                                                       },
                                                       {
                                                         'date' => '2008-07-29T16:25:08',
                                                         'version' => '0.999018'
                                                       },
                                                       {
                                                         'date' => '2008-11-01T01:04:37',
                                                         'version' => '0.999021'
                                                       },
                                                       {
                                                         'date' => '2008-11-15T09:09:37',
                                                         'version' => '0.999022'
                                                       },
                                                       {
                                                         'date' => '2008-11-23T16:45:05',
                                                         'version' => '0.999023'
                                                       },
                                                       {
                                                         'date' => '2008-12-31T17:53:50',
                                                         'version' => '0.999024'
                                                       },
                                                       {
                                                         'date' => '2009-01-04T22:51:40',
                                                         'version' => '0.999025'
                                                       },
                                                       {
                                                         'date' => '2009-01-07T23:28:15',
                                                         'version' => '0.999026'
                                                       },
                                                       {
                                                         'date' => '2009-01-30T23:29:25',
                                                         'version' => '0.999027'
                                                       },
                                                       {
                                                         'date' => '2009-04-23T10:06:20',
                                                         'version' => '0.999028'
                                                       },
                                                       {
                                                         'date' => '2009-05-09T23:21:10',
                                                         'version' => '0.999029'
                                                       },
                                                       {
                                                         'date' => '2009-07-18T19:39:14',
                                                         'version' => '0.999030'
                                                       },
                                                       {
                                                         'date' => '2009-07-26T19:39:37',
                                                         'version' => '0.999031'
                                                       },
                                                       {
                                                         'date' => '2009-08-02T21:28:51',
                                                         'version' => '0.999032'
                                                       },
                                                       {
                                                         'date' => '2009-08-14T12:50:18',
                                                         'version' => '0.999033'
                                                       },
                                                       {
                                                         'date' => '2009-09-04T18:27:34',
                                                         'version' => '0.999040'
                                                       },
                                                       {
                                                         'date' => '2009-10-26T16:07:25',
                                                         'version' => '0.999041'
                                                       },
                                                       {
                                                         'date' => '2009-12-02T08:22:24',
                                                         'version' => '0.999042'
                                                       },
                                                       {
                                                         'date' => '2010-05-11T22:58:19',
                                                         'version' => '1.00'
                                                       },
                                                       {
                                                         'date' => '2010-05-27T07:44:39',
                                                         'version' => '1.01'
                                                       },
                                                       {
                                                         'date' => '2010-08-30T21:24:41',
                                                         'version' => '1.02'
                                                       },
                                                       {
                                                         'date' => '2011-01-13T12:48:10',
                                                         'version' => '1.03'
                                                       },
                                                       {
                                                         'date' => '2011-03-12T23:37:45',
                                                         'version' => '1.04'
                                                       },
                                                       {
                                                         'date' => '2011-09-14T10:09:05',
                                                         'version' => '1.05'
                                                       },
                                                       {
                                                         'date' => '2012-08-07T10:39:42',
                                                         'version' => '1.06'
                                                       },
                                                       {
                                                         'date' => '2012-11-12T23:30:00',
                                                         'version' => '1.07'
                                                       },
                                                       {
                                                         'date' => '2013-01-06T07:46:41',
                                                         'version' => '1.08'
                                                       },
                                                       {
                                                         'date' => '2013-01-25T16:06:42',
                                                         'version' => '1.09'
                                                       },
                                                       {
                                                         'date' => '2013-05-12T22:59:03',
                                                         'version' => '1.10'
                                                       },
                                                       {
                                                         'date' => '2014-12-25T17:13:24',
                                                         'version' => '1.11'
                                                       },
                                                       {
                                                         'date' => '2017-05-13T13:47:52',
                                                         'version' => '1.12'
                                                       }
                                                     ]
                                     },
                       'Mojolicious' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '>7.83, <7.92',
                                                              'description' => 'This release reverts the addition of stream classes (added in 7.83), which have unfortunately resulted in many Mojolicious applications becoming unstable. While there are no known exploits yet, we\'ve chosen to err on the side of cautiousness and will classify this as a security issue.
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2018-04',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/commit/61f6cbf22c7bf8eb4787bd1014d91ee2416c73e7'
                                                                              ],
                                                              'reported' => '2018-08-09',
                                                              'severity' => 'critical'
                                                            },
                                                            {
                                                              'affected_versions' => '<7.80',
                                                              'description' => 'Mojo::UserAgent was not checking peer SSL certificates by default.
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2018-03',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/pull/1226',
                                                                                'https://github.com/mojolicious/mojo/commit/d3cbbad890673612fdbdea63fdd522b516f6104c'
                                                                              ],
                                                              'reported' => '2018-05-19',
                                                              'severity' => 'high'
                                                            },
                                                            {
                                                              'affected_versions' => '<7.78',
                                                              'description' => 'GET requests with embedded backslashes can be used to access local files on Windows hosts
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2018-02',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/pull/1217',
                                                                                'https://github.com/mojolicious/mojo/commit/23ebe051d9378f0f122e3c908845fc0c2cae0106'
                                                                              ],
                                                              'reported' => '2018-05-11',
                                                              'severity' => 'critical'
                                                            },
                                                            {
                                                              'affected_versions' => '<7.66',
                                                              'description' => 'Mojo::UserAgent::CookieJar leaks old cookies because of the missing host_only flag on empty domain.
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2018-01',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/pull/1192',
                                                                                'https://github.com/mojolicious/mojo/issues/1185',
                                                                                'https://github.com/mojolicious/mojo/commit/c16a56a9d6575ddc53d15e76d58f0ebcb0eeb149'
                                                                              ],
                                                              'reported' => '2018-02-13',
                                                              'severity' => 'minor'
                                                            },
                                                            {
                                                              'affected_versions' => '<5.76',
                                                              'description' => 'Directory traversal on Windows
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2015-01',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/issues/738',
                                                                                'https://github.com/mojolicious/mojo/commit/9ffa38fca73a9ddee91cbc70e0696268d500edde'
                                                                              ],
                                                              'reported' => '2015-02-02',
                                                              'severity' => 'critical'
                                                            },
                                                            {
                                                              'affected_versions' => '<5.48',
                                                              'description' => 'Context sensitivity of method param could lead to parameter injection attacks.
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2014-01',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/commit/a815d4797145f872ef6e9f1270841eda1d410afb'
                                                                              ],
                                                              'reported' => '2014-10-07',
                                                              'severity' => 'high'
                                                            },
                                                            {
                                                              'affected_versions' => '<1.16',
                                                              'description' => 'Directory traversal vulnerability in Path.pm in Mojolicious before 1.16 allows remote attackers to read arbitrary files via a %2f..%2f (encoded slash dot dot slash) in a URI.
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2011-02',
                                                              'references' => [
                                                                                'https://github.com/mojolicious/mojo/commit/b09854988c5b5b6a2ba53cc8661c4b2677da3818',
                                                                                'https://www.cvedetails.com/cve/CVE-2011-1589/'
                                                                              ],
                                                              'reported' => '2011-04-05',
                                                              'severity' => 'critical'
                                                            },
                                                            {
                                                              'affected_versions' => '<1.12',
                                                              'description' => 'Mojolicious is vulnerable to cross-site scripting, caused by improper validation of user-supplied input by link_to helper. A remote attacker could exploit this vulnerability using a specially-crafted URL to execute script in a victim\'s Web browser within the security context of the hosting Web site, once the URL is clicked. An attacker could use this vulnerability to steal the victim\'s cookie-based authentication credentials.
',
                                                              'distribution' => 'Mojolicious',
                                                              'id' => 'CPANSA-Mojolicious-2011-01',
                                                              'references' => [
                                                                                'https://exchange.xforce.ibmcloud.com/vulnerabilities/67257',
                                                                                'https://www.debian.org/security/2011/dsa-2239',
                                                                                'https://github.com/mojolicious/mojo/commit/f6801ef7be8c78092e38f870b19fae3da0899d60'
                                                                              ],
                                                              'reported' => '2011-03-10',
                                                              'severity' => 'high'
                                                            }
                                                          ],
                                          'main_module' => 'Mojolicious',
                                          'versions' => [
                                                          {
                                                            'date' => '2010-02-11T02:04:14',
                                                            'version' => '0.999920'
                                                          },
                                                          {
                                                            'date' => '2010-02-11T02:55:03',
                                                            'version' => '0.999921'
                                                          },
                                                          {
                                                            'date' => '2010-02-26T18:50:34',
                                                            'version' => '0.999922'
                                                          },
                                                          {
                                                            'date' => '2010-03-08T20:03:52',
                                                            'version' => '0.999923'
                                                          },
                                                          {
                                                            'date' => '2010-03-20T22:56:55',
                                                            'version' => '0.999924'
                                                          },
                                                          {
                                                            'date' => '2010-06-07T22:33:12',
                                                            'version' => '0.999925'
                                                          },
                                                          {
                                                            'date' => '2010-06-11T10:33:01',
                                                            'version' => '0.999926'
                                                          },
                                                          {
                                                            'date' => '2010-08-15T13:48:19',
                                                            'version' => '0.999927'
                                                          },
                                                          {
                                                            'date' => '2010-08-17T17:41:47',
                                                            'version' => '0.999928'
                                                          },
                                                          {
                                                            'date' => '2010-08-17T17:54:45',
                                                            'version' => '0.999929'
                                                          },
                                                          {
                                                            'date' => '2010-10-19T13:57:49',
                                                            'version' => '0.999930'
                                                          },
                                                          {
                                                            'date' => '2010-10-26T04:44:54',
                                                            'version' => '0.999931'
                                                          },
                                                          {
                                                            'date' => '2010-10-30T00:54:42',
                                                            'version' => '0.999932'
                                                          },
                                                          {
                                                            'date' => '2010-10-30T19:46:09',
                                                            'version' => '0.999933'
                                                          },
                                                          {
                                                            'date' => '2010-11-01T00:33:14',
                                                            'version' => '0.999934'
                                                          },
                                                          {
                                                            'date' => '2010-11-03T20:34:11',
                                                            'version' => '0.999935'
                                                          },
                                                          {
                                                            'date' => '2010-11-04T23:48:46',
                                                            'version' => '0.999936'
                                                          },
                                                          {
                                                            'date' => '2010-11-09T20:13:52',
                                                            'version' => '0.999937'
                                                          },
                                                          {
                                                            'date' => '2010-11-09T21:24:17',
                                                            'version' => '0.999938'
                                                          },
                                                          {
                                                            'date' => '2010-11-15T17:56:49',
                                                            'version' => '0.999939'
                                                          },
                                                          {
                                                            'date' => '2010-11-15T23:18:40',
                                                            'version' => '0.999940'
                                                          },
                                                          {
                                                            'date' => '2010-11-19T14:22:51',
                                                            'version' => '0.999941'
                                                          },
                                                          {
                                                            'date' => '2010-12-01T18:57:50',
                                                            'version' => '0.999950'
                                                          },
                                                          {
                                                            'date' => '2010-12-26T14:55:33',
                                                            'version' => '1.0'
                                                          },
                                                          {
                                                            'date' => '2011-01-06T12:00:46',
                                                            'version' => '1.01'
                                                          },
                                                          {
                                                            'date' => '2011-02-14T03:22:27',
                                                            'version' => '1.1'
                                                          },
                                                          {
                                                            'date' => '2011-02-18T17:07:03',
                                                            'version' => '1.11'
                                                          },
                                                          {
                                                            'date' => '2011-03-10T10:05:32',
                                                            'version' => '1.12'
                                                          },
                                                          {
                                                            'date' => '2011-03-14T11:58:23',
                                                            'version' => '1.13'
                                                          },
                                                          {
                                                            'date' => '2011-03-17T13:24:28',
                                                            'version' => '1.14'
                                                          },
                                                          {
                                                            'date' => '2011-03-18T18:31:34',
                                                            'version' => '1.15'
                                                          },
                                                          {
                                                            'date' => '2011-04-15T09:07:17',
                                                            'version' => '1.16'
                                                          },
                                                          {
                                                            'date' => '2011-04-18T21:49:07',
                                                            'version' => '1.17'
                                                          },
                                                          {
                                                            'date' => '2011-04-19T21:03:20',
                                                            'version' => '1.18'
                                                          },
                                                          {
                                                            'date' => '2011-04-19T22:17:44',
                                                            'version' => '1.19'
                                                          },
                                                          {
                                                            'date' => '2011-04-20T10:39:46',
                                                            'version' => '1.20'
                                                          },
                                                          {
                                                            'date' => '2011-04-20T15:29:17',
                                                            'version' => '1.21'
                                                          },
                                                          {
                                                            'date' => '2011-05-02T07:00:00',
                                                            'version' => '1.22'
                                                          },
                                                          {
                                                            'date' => '2011-05-08T17:00:10',
                                                            'version' => '1.31'
                                                          },
                                                          {
                                                            'date' => '2011-05-11T13:29:59',
                                                            'version' => '1.32'
                                                          },
                                                          {
                                                            'date' => '2011-05-20T12:32:57',
                                                            'version' => '1.33'
                                                          },
                                                          {
                                                            'date' => '2011-05-22T13:20:40',
                                                            'version' => '1.34'
                                                          },
                                                          {
                                                            'date' => '2011-06-02T09:03:36',
                                                            'version' => '1.4'
                                                          },
                                                          {
                                                            'date' => '2011-06-03T10:12:43',
                                                            'version' => '1.41'
                                                          },
                                                          {
                                                            'date' => '2011-06-09T14:12:56',
                                                            'version' => '1.42'
                                                          },
                                                          {
                                                            'date' => '2011-06-13T14:05:24',
                                                            'version' => '1.43'
                                                          },
                                                          {
                                                            'date' => '2011-06-18T18:14:22',
                                                            'version' => '1.44'
                                                          },
                                                          {
                                                            'date' => '2011-06-20T00:25:16',
                                                            'version' => '1.45'
                                                          },
                                                          {
                                                            'date' => '2011-06-21T04:56:47',
                                                            'version' => '1.46'
                                                          },
                                                          {
                                                            'date' => '2011-06-22T13:03:42',
                                                            'version' => '1.47'
                                                          },
                                                          {
                                                            'date' => '2011-06-24T12:01:47',
                                                            'version' => '1.48'
                                                          },
                                                          {
                                                            'date' => '2011-06-30T15:18:18',
                                                            'version' => '1.49'
                                                          },
                                                          {
                                                            'date' => '2011-07-01T10:26:00',
                                                            'version' => '1.50'
                                                          },
                                                          {
                                                            'date' => '2011-07-01T13:59:47',
                                                            'version' => '1.51'
                                                          },
                                                          {
                                                            'date' => '2011-07-01T17:48:50',
                                                            'version' => '1.52'
                                                          },
                                                          {
                                                            'date' => '2011-07-02T11:48:49',
                                                            'version' => '1.53'
                                                          },
                                                          {
                                                            'date' => '2011-07-03T18:04:37',
                                                            'version' => '1.54'
                                                          },
                                                          {
                                                            'date' => '2011-07-04T21:23:51',
                                                            'version' => '1.55'
                                                          },
                                                          {
                                                            'date' => '2011-07-05T20:49:36',
                                                            'version' => '1.56'
                                                          },
                                                          {
                                                            'date' => '2011-07-07T02:00:07',
                                                            'version' => '1.57'
                                                          },
                                                          {
                                                            'date' => '2011-07-07T19:52:59',
                                                            'version' => '1.58'
                                                          },
                                                          {
                                                            'date' => '2011-07-08T04:58:56',
                                                            'version' => '1.59'
                                                          },
                                                          {
                                                            'date' => '2011-07-08T20:44:55',
                                                            'version' => '1.60'
                                                          },
                                                          {
                                                            'date' => '2011-07-09T19:36:58',
                                                            'version' => '1.61'
                                                          },
                                                          {
                                                            'date' => '2011-07-10T00:40:32',
                                                            'version' => '1.62'
                                                          },
                                                          {
                                                            'date' => '2011-07-10T03:19:49',
                                                            'version' => '1.63'
                                                          },
                                                          {
                                                            'date' => '2011-07-10T05:51:47',
                                                            'version' => '1.64'
                                                          },
                                                          {
                                                            'date' => '2011-07-25T18:13:25',
                                                            'version' => '1.65'
                                                          },
                                                          {
                                                            'date' => '2011-07-26T23:14:38',
                                                            'version' => '1.66'
                                                          },
                                                          {
                                                            'date' => '2011-07-27T13:57:06',
                                                            'version' => '1.67'
                                                          },
                                                          {
                                                            'date' => '2011-07-29T18:39:20',
                                                            'version' => '1.68'
                                                          },
                                                          {
                                                            'date' => '2011-08-03T14:32:24',
                                                            'version' => '1.69'
                                                          },
                                                          {
                                                            'date' => '2011-08-04T15:34:41',
                                                            'version' => '1.70'
                                                          },
                                                          {
                                                            'date' => '2011-08-05T04:01:50',
                                                            'version' => '1.71'
                                                          },
                                                          {
                                                            'date' => '2011-08-05T20:07:50',
                                                            'version' => '1.72'
                                                          },
                                                          {
                                                            'date' => '2011-08-09T10:07:19',
                                                            'version' => '1.73'
                                                          },
                                                          {
                                                            'date' => '2011-08-09T12:09:49',
                                                            'version' => '1.74'
                                                          },
                                                          {
                                                            'date' => '2011-08-12T13:14:07',
                                                            'version' => '1.75'
                                                          },
                                                          {
                                                            'date' => '2011-08-12T14:54:00',
                                                            'version' => '1.76'
                                                          },
                                                          {
                                                            'date' => '2011-08-14T20:48:58',
                                                            'version' => '1.77'
                                                          },
                                                          {
                                                            'date' => '2011-08-16T13:22:48',
                                                            'version' => '1.78'
                                                          },
                                                          {
                                                            'date' => '2011-08-17T17:43:58',
                                                            'version' => '1.79'
                                                          },
                                                          {
                                                            'date' => '2011-08-17T19:08:11',
                                                            'version' => '1.80'
                                                          },
                                                          {
                                                            'date' => '2011-08-19T02:48:39',
                                                            'version' => '1.81'
                                                          },
                                                          {
                                                            'date' => '2011-08-19T04:55:49',
                                                            'version' => '1.82'
                                                          },
                                                          {
                                                            'date' => '2011-08-19T05:21:15',
                                                            'version' => '1.83'
                                                          },
                                                          {
                                                            'date' => '2011-08-19T18:08:30',
                                                            'version' => '1.84'
                                                          },
                                                          {
                                                            'date' => '2011-08-20T00:19:42',
                                                            'version' => '1.85'
                                                          },
                                                          {
                                                            'date' => '2011-08-21T18:59:13',
                                                            'version' => '1.86'
                                                          },
                                                          {
                                                            'date' => '2011-08-23T00:49:19',
                                                            'version' => '1.87'
                                                          },
                                                          {
                                                            'date' => '2011-08-23T19:20:37',
                                                            'version' => '1.88'
                                                          },
                                                          {
                                                            'date' => '2011-08-23T21:15:42',
                                                            'version' => '1.89'
                                                          },
                                                          {
                                                            'date' => '2011-08-24T19:01:47',
                                                            'version' => '1.90'
                                                          },
                                                          {
                                                            'date' => '2011-08-25T05:54:05',
                                                            'version' => '1.91'
                                                          },
                                                          {
                                                            'date' => '2011-08-26T00:47:54',
                                                            'version' => '1.92'
                                                          },
                                                          {
                                                            'date' => '2011-08-27T09:11:59',
                                                            'version' => '1.93'
                                                          },
                                                          {
                                                            'date' => '2011-08-27T10:52:14',
                                                            'version' => '1.94'
                                                          },
                                                          {
                                                            'date' => '2011-09-01T20:50:35',
                                                            'version' => '1.95'
                                                          },
                                                          {
                                                            'date' => '2011-09-01T22:42:14',
                                                            'version' => '1.96'
                                                          },
                                                          {
                                                            'date' => '2011-09-03T10:32:15',
                                                            'version' => '1.97'
                                                          },
                                                          {
                                                            'date' => '2011-09-14T18:21:20',
                                                            'version' => '1.98'
                                                          },
                                                          {
                                                            'date' => '2011-09-29T08:27:22',
                                                            'version' => '1.99'
                                                          },
                                                          {
                                                            'date' => '2011-10-17T16:25:55',
                                                            'version' => '2.0'
                                                          },
                                                          {
                                                            'date' => '2011-10-19T12:49:44',
                                                            'version' => '2.01'
                                                          },
                                                          {
                                                            'date' => '2011-10-19T23:41:41',
                                                            'version' => '2.02'
                                                          },
                                                          {
                                                            'date' => '2011-10-20T12:24:36',
                                                            'version' => '2.03'
                                                          },
                                                          {
                                                            'date' => '2011-10-21T15:37:59',
                                                            'version' => '2.04'
                                                          },
                                                          {
                                                            'date' => '2011-10-22T16:36:22',
                                                            'version' => '2.05'
                                                          },
                                                          {
                                                            'date' => '2011-10-22T21:44:31',
                                                            'version' => '2.06'
                                                          },
                                                          {
                                                            'date' => '2011-10-23T00:39:23',
                                                            'version' => '2.07'
                                                          },
                                                          {
                                                            'date' => '2011-10-23T01:30:44',
                                                            'version' => '2.08'
                                                          },
                                                          {
                                                            'date' => '2011-10-23T02:13:30',
                                                            'version' => '2.09'
                                                          },
                                                          {
                                                            'date' => '2011-10-25T02:22:41',
                                                            'version' => '2.10'
                                                          },
                                                          {
                                                            'date' => '2011-10-25T18:47:46',
                                                            'version' => '2.11'
                                                          },
                                                          {
                                                            'date' => '2011-10-27T01:54:39',
                                                            'version' => '2.12'
                                                          },
                                                          {
                                                            'date' => '2011-10-27T19:15:21',
                                                            'version' => '2.13'
                                                          },
                                                          {
                                                            'date' => '2011-10-28T20:28:23',
                                                            'version' => '2.14'
                                                          },
                                                          {
                                                            'date' => '2011-10-29T04:29:30',
                                                            'version' => '2.15'
                                                          },
                                                          {
                                                            'date' => '2011-10-29T20:52:07',
                                                            'version' => '2.16'
                                                          },
                                                          {
                                                            'date' => '2011-10-30T00:55:35',
                                                            'version' => '2.17'
                                                          },
                                                          {
                                                            'date' => '2011-10-30T18:03:30',
                                                            'version' => '2.18'
                                                          },
                                                          {
                                                            'date' => '2011-10-31T09:07:02',
                                                            'version' => '2.19'
                                                          },
                                                          {
                                                            'date' => '2011-11-01T00:40:20',
                                                            'version' => '2.20'
                                                          },
                                                          {
                                                            'date' => '2011-11-02T01:29:01',
                                                            'version' => '2.21'
                                                          },
                                                          {
                                                            'date' => '2011-11-03T15:21:43',
                                                            'version' => '2.22'
                                                          },
                                                          {
                                                            'date' => '2011-11-04T18:45:33',
                                                            'version' => '2.23'
                                                          },
                                                          {
                                                            'date' => '2011-11-05T16:16:00',
                                                            'version' => '2.24'
                                                          },
                                                          {
                                                            'date' => '2011-11-08T21:13:48',
                                                            'version' => '2.25'
                                                          },
                                                          {
                                                            'date' => '2011-11-10T16:53:32',
                                                            'version' => '2.26'
                                                          },
                                                          {
                                                            'date' => '2011-11-16T20:59:52',
                                                            'version' => '2.27'
                                                          },
                                                          {
                                                            'date' => '2011-11-17T23:44:36',
                                                            'version' => '2.28'
                                                          },
                                                          {
                                                            'date' => '2011-11-19T20:10:28',
                                                            'version' => '2.29'
                                                          },
                                                          {
                                                            'date' => '2011-11-20T00:19:04',
                                                            'version' => '2.30'
                                                          },
                                                          {
                                                            'date' => '2011-11-20T22:25:03',
                                                            'version' => '2.31'
                                                          },
                                                          {
                                                            'date' => '2011-11-24T10:31:31',
                                                            'version' => '2.32'
                                                          },
                                                          {
                                                            'date' => '2011-11-28T12:32:13',
                                                            'version' => '2.33'
                                                          },
                                                          {
                                                            'date' => '2011-11-28T14:02:31',
                                                            'version' => '2.34'
                                                          },
                                                          {
                                                            'date' => '2011-12-01T14:19:35',
                                                            'version' => '2.35'
                                                          },
                                                          {
                                                            'date' => '2011-12-05T10:52:35',
                                                            'version' => '2.36'
                                                          },
                                                          {
                                                            'date' => '2011-12-10T18:18:16',
                                                            'version' => '2.37'
                                                          },
                                                          {
                                                            'date' => '2011-12-17T12:03:38',
                                                            'version' => '2.38'
                                                          },
                                                          {
                                                            'date' => '2011-12-22T12:31:43',
                                                            'version' => '2.39'
                                                          },
                                                          {
                                                            'date' => '2011-12-24T13:04:21',
                                                            'version' => '2.40'
                                                          },
                                                          {
                                                            'date' => '2011-12-28T16:09:18',
                                                            'version' => '2.41'
                                                          },
                                                          {
                                                            'date' => '2012-01-02T17:15:52',
                                                            'version' => '2.42'
                                                          },
                                                          {
                                                            'date' => '2012-01-08T03:43:27',
                                                            'version' => '2.43'
                                                          },
                                                          {
                                                            'date' => '2012-01-17T23:21:12',
                                                            'version' => '2.44'
                                                          },
                                                          {
                                                            'date' => '2012-01-18T15:23:03',
                                                            'version' => '2.45'
                                                          },
                                                          {
                                                            'date' => '2012-01-25T18:20:48',
                                                            'version' => '2.46'
                                                          },
                                                          {
                                                            'date' => '2012-02-06T16:28:27',
                                                            'version' => '2.47'
                                                          },
                                                          {
                                                            'date' => '2012-02-09T07:04:28',
                                                            'version' => '2.48'
                                                          },
                                                          {
                                                            'date' => '2012-02-13T19:45:00',
                                                            'version' => '2.49'
                                                          },
                                                          {
                                                            'date' => '2012-02-18T01:18:38',
                                                            'version' => '2.50'
                                                          },
                                                          {
                                                            'date' => '2012-02-19T12:32:58',
                                                            'version' => '2.51'
                                                          },
                                                          {
                                                            'date' => '2012-02-24T15:01:33',
                                                            'version' => '2.52'
                                                          },
                                                          {
                                                            'date' => '2012-02-25T05:53:29',
                                                            'version' => '2.53'
                                                          },
                                                          {
                                                            'date' => '2012-02-27T15:31:19',
                                                            'version' => '2.54'
                                                          },
                                                          {
                                                            'date' => '2012-02-27T19:26:41',
                                                            'version' => '2.55'
                                                          },
                                                          {
                                                            'date' => '2012-03-01T21:07:06',
                                                            'version' => '2.56'
                                                          },
                                                          {
                                                            'date' => '2012-03-03T22:01:50',
                                                            'version' => '2.57'
                                                          },
                                                          {
                                                            'date' => '2012-03-09T18:38:46',
                                                            'version' => '2.58'
                                                          },
                                                          {
                                                            'date' => '2012-03-09T19:02:23',
                                                            'version' => '2.59'
                                                          },
                                                          {
                                                            'date' => '2012-03-13T16:50:25',
                                                            'version' => '2.60'
                                                          },
                                                          {
                                                            'date' => '2012-03-14T00:41:48',
                                                            'version' => '2.61'
                                                          },
                                                          {
                                                            'date' => '2012-03-17T09:05:12',
                                                            'version' => '2.62'
                                                          },
                                                          {
                                                            'date' => '2012-03-20T18:39:51',
                                                            'version' => '2.63'
                                                          },
                                                          {
                                                            'date' => '2012-03-21T01:23:59',
                                                            'version' => '2.64'
                                                          },
                                                          {
                                                            'date' => '2012-03-22T22:06:10',
                                                            'version' => '2.65'
                                                          },
                                                          {
                                                            'date' => '2012-03-23T16:16:55',
                                                            'version' => '2.66'
                                                          },
                                                          {
                                                            'date' => '2012-03-24T14:29:35',
                                                            'version' => '2.67'
                                                          },
                                                          {
                                                            'date' => '2012-03-24T14:59:52',
                                                            'version' => '2.68'
                                                          },
                                                          {
                                                            'date' => '2012-03-27T12:53:44',
                                                            'version' => '2.69'
                                                          },
                                                          {
                                                            'date' => '2012-03-30T21:24:44',
                                                            'version' => '2.70'
                                                          },
                                                          {
                                                            'date' => '2012-04-03T01:46:31',
                                                            'version' => '2.71'
                                                          },
                                                          {
                                                            'date' => '2012-04-03T13:16:07',
                                                            'version' => '2.72'
                                                          },
                                                          {
                                                            'date' => '2012-04-03T17:10:05',
                                                            'version' => '2.73'
                                                          },
                                                          {
                                                            'date' => '2012-04-03T22:33:05',
                                                            'version' => '2.74'
                                                          },
                                                          {
                                                            'date' => '2012-04-05T01:57:10',
                                                            'version' => '2.75'
                                                          },
                                                          {
                                                            'date' => '2012-04-05T03:52:05',
                                                            'version' => '2.76'
                                                          },
                                                          {
                                                            'date' => '2012-04-09T12:36:15',
                                                            'version' => '2.77'
                                                          },
                                                          {
                                                            'date' => '2012-04-09T18:54:51',
                                                            'version' => '2.78'
                                                          },
                                                          {
                                                            'date' => '2012-04-10T10:58:23',
                                                            'version' => '2.79'
                                                          },
                                                          {
                                                            'date' => '2012-04-10T14:25:57',
                                                            'version' => '2.80'
                                                          },
                                                          {
                                                            'date' => '2012-04-15T18:49:31',
                                                            'version' => '2.81'
                                                          },
                                                          {
                                                            'date' => '2012-04-16T21:09:32',
                                                            'version' => '2.82'
                                                          },
                                                          {
                                                            'date' => '2012-04-18T18:51:37',
                                                            'version' => '2.83'
                                                          },
                                                          {
                                                            'date' => '2012-04-18T21:29:14',
                                                            'version' => '2.84'
                                                          },
                                                          {
                                                            'date' => '2012-04-19T15:37:54',
                                                            'version' => '2.85'
                                                          },
                                                          {
                                                            'date' => '2012-04-23T12:21:14',
                                                            'version' => '2.86'
                                                          },
                                                          {
                                                            'date' => '2012-04-23T14:19:09',
                                                            'version' => '2.87'
                                                          },
                                                          {
                                                            'date' => '2012-04-24T02:15:58',
                                                            'version' => '2.88'
                                                          },
                                                          {
                                                            'date' => '2012-04-24T20:08:49',
                                                            'version' => '2.89'
                                                          },
                                                          {
                                                            'date' => '2012-04-25T11:35:38',
                                                            'version' => '2.90'
                                                          },
                                                          {
                                                            'date' => '2012-04-26T19:20:37',
                                                            'version' => '2.91'
                                                          },
                                                          {
                                                            'date' => '2012-04-30T16:50:01',
                                                            'version' => '2.92'
                                                          },
                                                          {
                                                            'date' => '2012-05-05T22:00:26',
                                                            'version' => '2.93'
                                                          },
                                                          {
                                                            'date' => '2012-05-10T03:49:57',
                                                            'version' => '2.94'
                                                          },
                                                          {
                                                            'date' => '2012-05-10T20:08:54',
                                                            'version' => '2.95'
                                                          },
                                                          {
                                                            'date' => '2012-05-21T08:26:37',
                                                            'version' => '2.96'
                                                          },
                                                          {
                                                            'date' => '2012-05-28T12:11:13',
                                                            'version' => '2.97'
                                                          },
                                                          {
                                                            'date' => '2012-05-30T18:21:26',
                                                            'version' => '2.98'
                                                          },
                                                          {
                                                            'date' => '2012-06-26T06:45:51',
                                                            'version' => '3.0'
                                                          },
                                                          {
                                                            'date' => '2012-07-01T10:00:07',
                                                            'version' => '3.01'
                                                          },
                                                          {
                                                            'date' => '2012-07-03T19:21:54',
                                                            'version' => '3.02'
                                                          },
                                                          {
                                                            'date' => '2012-07-06T21:17:36',
                                                            'version' => '3.03'
                                                          },
                                                          {
                                                            'date' => '2012-07-07T11:29:24',
                                                            'version' => '3.04'
                                                          },
                                                          {
                                                            'date' => '2012-07-07T21:49:48',
                                                            'version' => '3.05'
                                                          },
                                                          {
                                                            'date' => '2012-07-11T17:27:01',
                                                            'version' => '3.06'
                                                          },
                                                          {
                                                            'date' => '2012-07-13T00:25:44',
                                                            'version' => '3.07'
                                                          },
                                                          {
                                                            'date' => '2012-07-13T21:53:56',
                                                            'version' => '3.08'
                                                          },
                                                          {
                                                            'date' => '2012-07-16T19:46:15',
                                                            'version' => '3.09'
                                                          },
                                                          {
                                                            'date' => '2012-07-16T20:00:50',
                                                            'version' => '3.10'
                                                          },
                                                          {
                                                            'date' => '2012-07-19T01:44:35',
                                                            'version' => '3.11'
                                                          },
                                                          {
                                                            'date' => '2012-07-20T12:30:03',
                                                            'version' => '3.12'
                                                          },
                                                          {
                                                            'date' => '2012-07-24T17:03:04',
                                                            'version' => '3.13'
                                                          },
                                                          {
                                                            'date' => '2012-07-27T11:05:47',
                                                            'version' => '3.14'
                                                          },
                                                          {
                                                            'date' => '2012-07-28T11:32:31',
                                                            'version' => '3.15'
                                                          },
                                                          {
                                                            'date' => '2012-07-31T18:55:11',
                                                            'version' => '3.16'
                                                          },
                                                          {
                                                            'date' => '2012-08-01T00:38:50',
                                                            'version' => '3.17'
                                                          },
                                                          {
                                                            'date' => '2012-08-01T19:15:21',
                                                            'version' => '3.18'
                                                          },
                                                          {
                                                            'date' => '2012-08-02T15:40:34',
                                                            'version' => '3.19'
                                                          },
                                                          {
                                                            'date' => '2012-08-03T23:32:38',
                                                            'version' => '3.20'
                                                          },
                                                          {
                                                            'date' => '2012-08-05T22:32:21',
                                                            'version' => '3.21'
                                                          },
                                                          {
                                                            'date' => '2012-08-06T19:53:03',
                                                            'version' => '3.22'
                                                          },
                                                          {
                                                            'date' => '2012-08-07T03:37:26',
                                                            'version' => '3.23'
                                                          },
                                                          {
                                                            'date' => '2012-08-07T20:56:45',
                                                            'version' => '3.24'
                                                          },
                                                          {
                                                            'date' => '2012-08-08T00:31:31',
                                                            'version' => '3.25'
                                                          },
                                                          {
                                                            'date' => '2012-08-08T04:04:18',
                                                            'version' => '3.26'
                                                          },
                                                          {
                                                            'date' => '2012-08-08T21:18:27',
                                                            'version' => '3.27'
                                                          },
                                                          {
                                                            'date' => '2012-08-10T12:18:38',
                                                            'version' => '3.28'
                                                          },
                                                          {
                                                            'date' => '2012-08-13T13:42:56',
                                                            'version' => '3.29'
                                                          },
                                                          {
                                                            'date' => '2012-08-13T16:14:35',
                                                            'version' => '3.30'
                                                          },
                                                          {
                                                            'date' => '2012-08-15T09:37:25',
                                                            'version' => '3.31'
                                                          },
                                                          {
                                                            'date' => '2012-08-20T12:37:26',
                                                            'version' => '3.32'
                                                          },
                                                          {
                                                            'date' => '2012-08-23T18:34:00',
                                                            'version' => '3.33'
                                                          },
                                                          {
                                                            'date' => '2012-08-24T01:17:41',
                                                            'version' => '3.34'
                                                          },
                                                          {
                                                            'date' => '2012-08-27T22:52:31',
                                                            'version' => '3.35'
                                                          },
                                                          {
                                                            'date' => '2012-08-30T00:59:43',
                                                            'version' => '3.36'
                                                          },
                                                          {
                                                            'date' => '2012-09-04T20:50:40',
                                                            'version' => '3.37'
                                                          },
                                                          {
                                                            'date' => '2012-09-07T00:05:53',
                                                            'version' => '3.38'
                                                          },
                                                          {
                                                            'date' => '2012-09-10T11:58:00',
                                                            'version' => '3.39'
                                                          },
                                                          {
                                                            'date' => '2012-09-11T18:03:47',
                                                            'version' => '3.40'
                                                          },
                                                          {
                                                            'date' => '2012-09-13T18:22:49',
                                                            'version' => '3.41'
                                                          },
                                                          {
                                                            'date' => '2012-09-16T17:29:48',
                                                            'version' => '3.42'
                                                          },
                                                          {
                                                            'date' => '2012-09-22T19:40:59',
                                                            'version' => '3.43'
                                                          },
                                                          {
                                                            'date' => '2012-09-29T11:20:17',
                                                            'version' => '3.44'
                                                          },
                                                          {
                                                            'date' => '2012-10-09T20:39:26',
                                                            'version' => '3.45'
                                                          },
                                                          {
                                                            'date' => '2012-10-10T20:55:33',
                                                            'version' => '3.46'
                                                          },
                                                          {
                                                            'date' => '2012-10-12T23:10:49',
                                                            'version' => '3.47'
                                                          },
                                                          {
                                                            'date' => '2012-10-16T22:51:05',
                                                            'version' => '3.48'
                                                          },
                                                          {
                                                            'date' => '2012-10-19T16:34:25',
                                                            'version' => '3.49'
                                                          },
                                                          {
                                                            'date' => '2012-10-20T01:34:34',
                                                            'version' => '3.50'
                                                          },
                                                          {
                                                            'date' => '2012-10-23T20:23:54',
                                                            'version' => '3.51'
                                                          },
                                                          {
                                                            'date' => '2012-10-26T14:41:25',
                                                            'version' => '3.52'
                                                          },
                                                          {
                                                            'date' => '2012-10-31T02:41:01',
                                                            'version' => '3.53'
                                                          },
                                                          {
                                                            'date' => '2012-11-01T04:36:00',
                                                            'version' => '3.54'
                                                          },
                                                          {
                                                            'date' => '2012-11-08T11:20:15',
                                                            'version' => '3.55'
                                                          },
                                                          {
                                                            'date' => '2012-11-09T20:09:37',
                                                            'version' => '3.56'
                                                          },
                                                          {
                                                            'date' => '2012-11-12T19:47:57',
                                                            'version' => '3.57'
                                                          },
                                                          {
                                                            'date' => '2012-11-19T16:05:13',
                                                            'version' => '3.58'
                                                          },
                                                          {
                                                            'date' => '2012-11-20T19:53:03',
                                                            'version' => '3.59'
                                                          },
                                                          {
                                                            'date' => '2012-11-22T05:12:27',
                                                            'version' => '3.60'
                                                          },
                                                          {
                                                            'date' => '2012-11-25T04:19:47',
                                                            'version' => '3.61'
                                                          },
                                                          {
                                                            'date' => '2012-11-26T00:57:00',
                                                            'version' => '3.62'
                                                          },
                                                          {
                                                            'date' => '2012-11-28T10:17:51',
                                                            'version' => '3.63'
                                                          },
                                                          {
                                                            'date' => '2012-12-01T16:39:26',
                                                            'version' => '3.64'
                                                          },
                                                          {
                                                            'date' => '2012-12-08T22:47:54',
                                                            'version' => '3.65'
                                                          },
                                                          {
                                                            'date' => '2012-12-14T01:03:29',
                                                            'version' => '3.66'
                                                          },
                                                          {
                                                            'date' => '2012-12-14T23:48:00',
                                                            'version' => '3.67'
                                                          },
                                                          {
                                                            'date' => '2012-12-16T00:55:55',
                                                            'version' => '3.68'
                                                          },
                                                          {
                                                            'date' => '2012-12-20T22:47:53',
                                                            'version' => '3.69'
                                                          },
                                                          {
                                                            'date' => '2012-12-23T22:18:59',
                                                            'version' => '3.70'
                                                          },
                                                          {
                                                            'date' => '2013-01-02T11:57:12',
                                                            'version' => '3.71'
                                                          },
                                                          {
                                                            'date' => '2013-01-04T22:16:16',
                                                            'version' => '3.72'
                                                          },
                                                          {
                                                            'date' => '2013-01-06T22:46:48',
                                                            'version' => '3.73'
                                                          },
                                                          {
                                                            'date' => '2013-01-07T18:47:06',
                                                            'version' => '3.74'
                                                          },
                                                          {
                                                            'date' => '2013-01-08T16:15:03',
                                                            'version' => '3.75'
                                                          },
                                                          {
                                                            'date' => '2013-01-10T00:00:19',
                                                            'version' => '3.76'
                                                          },
                                                          {
                                                            'date' => '2013-01-12T00:36:11',
                                                            'version' => '3.77'
                                                          },
                                                          {
                                                            'date' => '2013-01-12T23:47:49',
                                                            'version' => '3.78'
                                                          },
                                                          {
                                                            'date' => '2013-01-13T00:50:13',
                                                            'version' => '3.79'
                                                          },
                                                          {
                                                            'date' => '2013-01-15T05:02:52',
                                                            'version' => '3.80'
                                                          },
                                                          {
                                                            'date' => '2013-01-17T21:32:48',
                                                            'version' => '3.81'
                                                          },
                                                          {
                                                            'date' => '2013-01-18T15:50:23',
                                                            'version' => '3.82'
                                                          },
                                                          {
                                                            'date' => '2013-01-27T15:28:40',
                                                            'version' => '3.83'
                                                          },
                                                          {
                                                            'date' => '2013-01-30T00:32:12',
                                                            'version' => '3.84'
                                                          },
                                                          {
                                                            'date' => '2013-02-13T00:56:23',
                                                            'version' => '3.85'
                                                          },
                                                          {
                                                            'date' => '2013-02-22T02:01:13',
                                                            'version' => '3.86'
                                                          },
                                                          {
                                                            'date' => '2013-02-23T19:36:00',
                                                            'version' => '3.87'
                                                          },
                                                          {
                                                            'date' => '2013-03-03T21:53:52',
                                                            'version' => '3.88'
                                                          },
                                                          {
                                                            'date' => '2013-03-04T16:12:24',
                                                            'version' => '3.89'
                                                          },
                                                          {
                                                            'date' => '2013-03-14T20:08:14',
                                                            'version' => '3.90'
                                                          },
                                                          {
                                                            'date' => '2013-03-17T22:59:42',
                                                            'version' => '3.91'
                                                          },
                                                          {
                                                            'date' => '2013-04-03T19:48:34',
                                                            'version' => '3.92'
                                                          },
                                                          {
                                                            'date' => '2013-04-05T21:46:38',
                                                            'version' => '3.93'
                                                          },
                                                          {
                                                            'date' => '2013-04-08T21:48:55',
                                                            'version' => '3.94'
                                                          },
                                                          {
                                                            'date' => '2013-04-12T03:49:59',
                                                            'version' => '3.95'
                                                          },
                                                          {
                                                            'date' => '2013-04-22T21:34:16',
                                                            'version' => '3.96'
                                                          },
                                                          {
                                                            'date' => '2013-04-25T21:49:41',
                                                            'version' => '3.97'
                                                          },
                                                          {
                                                            'date' => '2013-05-15T20:02:05',
                                                            'version' => '4.0'
                                                          },
                                                          {
                                                            'date' => '2013-05-19T17:24:38',
                                                            'version' => '4.01'
                                                          },
                                                          {
                                                            'date' => '2013-05-20T16:55:00',
                                                            'version' => '4.02'
                                                          },
                                                          {
                                                            'date' => '2013-05-21T05:24:56',
                                                            'version' => '4.03'
                                                          },
                                                          {
                                                            'date' => '2013-05-23T21:25:32',
                                                            'version' => '4.04'
                                                          },
                                                          {
                                                            'date' => '2013-05-24T02:59:59',
                                                            'version' => '4.05'
                                                          },
                                                          {
                                                            'date' => '2013-05-24T14:23:41',
                                                            'version' => '4.06'
                                                          },
                                                          {
                                                            'date' => '2013-05-25T18:07:30',
                                                            'version' => '4.07'
                                                          },
                                                          {
                                                            'date' => '2013-05-30T21:45:51',
                                                            'version' => '4.08'
                                                          },
                                                          {
                                                            'date' => '2013-05-31T02:24:29',
                                                            'version' => '4.09'
                                                          },
                                                          {
                                                            'date' => '2013-06-01T02:09:07',
                                                            'version' => '4.10'
                                                          },
                                                          {
                                                            'date' => '2013-06-03T04:34:37',
                                                            'version' => '4.11'
                                                          },
                                                          {
                                                            'date' => '2013-06-07T01:51:09',
                                                            'version' => '4.12'
                                                          },
                                                          {
                                                            'date' => '2013-06-09T00:25:21',
                                                            'version' => '4.13'
                                                          },
                                                          {
                                                            'date' => '2013-06-10T00:23:12',
                                                            'version' => '4.14'
                                                          },
                                                          {
                                                            'date' => '2013-06-18T08:02:11',
                                                            'version' => '4.15'
                                                          },
                                                          {
                                                            'date' => '2013-06-19T01:27:29',
                                                            'version' => '4.16'
                                                          },
                                                          {
                                                            'date' => '2013-07-04T16:14:27',
                                                            'version' => '4.17'
                                                          },
                                                          {
                                                            'date' => '2013-07-08T09:17:43',
                                                            'version' => '4.18'
                                                          },
                                                          {
                                                            'date' => '2013-07-21T21:47:46',
                                                            'version' => '4.19'
                                                          },
                                                          {
                                                            'date' => '2013-07-28T12:53:38',
                                                            'version' => '4.20'
                                                          },
                                                          {
                                                            'date' => '2013-07-28T20:17:31',
                                                            'version' => '4.21'
                                                          },
                                                          {
                                                            'date' => '2013-07-29T19:13:38',
                                                            'version' => '4.22'
                                                          },
                                                          {
                                                            'date' => '2013-07-31T20:35:17',
                                                            'version' => '4.23'
                                                          },
                                                          {
                                                            'date' => '2013-08-08T21:10:52',
                                                            'version' => '4.24'
                                                          },
                                                          {
                                                            'date' => '2013-08-17T20:16:56',
                                                            'version' => '4.25'
                                                          },
                                                          {
                                                            'date' => '2013-08-18T15:06:51',
                                                            'version' => '4.26'
                                                          },
                                                          {
                                                            'date' => '2013-08-26T15:29:36',
                                                            'version' => '4.27'
                                                          },
                                                          {
                                                            'date' => '2013-08-29T16:11:59',
                                                            'version' => '4.28'
                                                          },
                                                          {
                                                            'date' => '2013-08-31T02:01:44',
                                                            'version' => '4.29'
                                                          },
                                                          {
                                                            'date' => '2013-09-01T21:48:28',
                                                            'version' => '4.30'
                                                          },
                                                          {
                                                            'date' => '2013-09-04T20:09:26',
                                                            'version' => '4.31'
                                                          },
                                                          {
                                                            'date' => '2013-09-06T21:19:59',
                                                            'version' => '4.32'
                                                          },
                                                          {
                                                            'date' => '2013-09-07T20:38:03',
                                                            'version' => '4.33'
                                                          },
                                                          {
                                                            'date' => '2013-09-08T20:58:54',
                                                            'version' => '4.34'
                                                          },
                                                          {
                                                            'date' => '2013-09-10T21:40:13',
                                                            'version' => '4.35'
                                                          },
                                                          {
                                                            'date' => '2013-09-12T21:31:22',
                                                            'version' => '4.36'
                                                          },
                                                          {
                                                            'date' => '2013-09-13T01:32:54',
                                                            'version' => '4.37'
                                                          },
                                                          {
                                                            'date' => '2013-09-16T22:01:40',
                                                            'version' => '4.38'
                                                          },
                                                          {
                                                            'date' => '2013-09-17T04:53:49',
                                                            'version' => '4.39'
                                                          },
                                                          {
                                                            'date' => '2013-09-21T01:15:17',
                                                            'version' => '4.40'
                                                          },
                                                          {
                                                            'date' => '2013-09-21T17:25:38',
                                                            'version' => '4.41'
                                                          },
                                                          {
                                                            'date' => '2013-09-30T07:46:05',
                                                            'version' => '4.42'
                                                          },
                                                          {
                                                            'date' => '2013-10-02T19:16:26',
                                                            'version' => '4.43'
                                                          },
                                                          {
                                                            'date' => '2013-10-04T21:18:14',
                                                            'version' => '4.44'
                                                          },
                                                          {
                                                            'date' => '2013-10-06T15:46:08',
                                                            'version' => '4.45'
                                                          },
                                                          {
                                                            'date' => '2013-10-12T17:11:54',
                                                            'version' => '4.46'
                                                          },
                                                          {
                                                            'date' => '2013-10-14T23:51:30',
                                                            'version' => '4.47'
                                                          },
                                                          {
                                                            'date' => '2013-10-16T05:28:45',
                                                            'version' => '4.48'
                                                          },
                                                          {
                                                            'date' => '2013-10-17T16:53:59',
                                                            'version' => '4.49'
                                                          },
                                                          {
                                                            'date' => '2013-10-23T01:18:55',
                                                            'version' => '4.50'
                                                          },
                                                          {
                                                            'date' => '2013-10-28T17:20:46',
                                                            'version' => '4.51'
                                                          },
                                                          {
                                                            'date' => '2013-10-29T06:27:25',
                                                            'version' => '4.52'
                                                          },
                                                          {
                                                            'date' => '2013-10-30T00:21:27',
                                                            'version' => '4.53'
                                                          },
                                                          {
                                                            'date' => '2013-11-07T00:45:35',
                                                            'version' => '4.54'
                                                          },
                                                          {
                                                            'date' => '2013-11-07T02:38:24',
                                                            'version' => '4.55'
                                                          },
                                                          {
                                                            'date' => '2013-11-10T02:56:56',
                                                            'version' => '4.56'
                                                          },
                                                          {
                                                            'date' => '2013-11-11T20:30:04',
                                                            'version' => '4.57'
                                                          },
                                                          {
                                                            'date' => '2013-11-19T20:46:01',
                                                            'version' => '4.58'
                                                          },
                                                          {
                                                            'date' => '2013-12-04T21:35:49',
                                                            'version' => '4.59'
                                                          },
                                                          {
                                                            'date' => '2013-12-11T16:33:35',
                                                            'version' => '4.60'
                                                          },
                                                          {
                                                            'date' => '2013-12-16T16:59:25',
                                                            'version' => '4.61'
                                                          },
                                                          {
                                                            'date' => '2013-12-17T20:35:36',
                                                            'version' => '4.62'
                                                          },
                                                          {
                                                            'date' => '2013-12-19T22:59:01',
                                                            'version' => '4.63'
                                                          },
                                                          {
                                                            'date' => '2014-01-01T16:20:28',
                                                            'version' => '4.64'
                                                          },
                                                          {
                                                            'date' => '2014-01-02T22:36:45',
                                                            'version' => '4.65'
                                                          },
                                                          {
                                                            'date' => '2014-01-04T21:48:06',
                                                            'version' => '4.66'
                                                          },
                                                          {
                                                            'date' => '2014-01-11T17:20:18',
                                                            'version' => '4.67'
                                                          },
                                                          {
                                                            'date' => '2014-01-21T22:24:03',
                                                            'version' => '4.68'
                                                          },
                                                          {
                                                            'date' => '2014-01-24T04:06:26',
                                                            'version' => '4.69'
                                                          },
                                                          {
                                                            'date' => '2014-01-26T22:08:54',
                                                            'version' => '4.70'
                                                          },
                                                          {
                                                            'date' => '2014-01-28T03:10:15',
                                                            'version' => '4.71'
                                                          },
                                                          {
                                                            'date' => '2014-01-29T21:29:25',
                                                            'version' => '4.72'
                                                          },
                                                          {
                                                            'date' => '2014-02-01T05:20:38',
                                                            'version' => '4.73'
                                                          },
                                                          {
                                                            'date' => '2014-02-02T04:30:05',
                                                            'version' => '4.74'
                                                          },
                                                          {
                                                            'date' => '2014-02-02T06:54:56',
                                                            'version' => '4.75'
                                                          },
                                                          {
                                                            'date' => '2014-02-04T22:41:32',
                                                            'version' => '4.76'
                                                          },
                                                          {
                                                            'date' => '2014-02-06T23:19:13',
                                                            'version' => '4.77'
                                                          },
                                                          {
                                                            'date' => '2014-02-08T23:02:08',
                                                            'version' => '4.78'
                                                          },
                                                          {
                                                            'date' => '2014-02-11T02:49:44',
                                                            'version' => '4.79'
                                                          },
                                                          {
                                                            'date' => '2014-02-13T04:30:43',
                                                            'version' => '4.80'
                                                          },
                                                          {
                                                            'date' => '2014-02-15T03:27:30',
                                                            'version' => '4.81'
                                                          },
                                                          {
                                                            'date' => '2014-02-19T04:11:47',
                                                            'version' => '4.82'
                                                          },
                                                          {
                                                            'date' => '2014-02-19T06:20:46',
                                                            'version' => '4.83'
                                                          },
                                                          {
                                                            'date' => '2014-02-22T22:59:02',
                                                            'version' => '4.84'
                                                          },
                                                          {
                                                            'date' => '2014-02-26T22:48:41',
                                                            'version' => '4.85'
                                                          },
                                                          {
                                                            'date' => '2014-03-03T05:45:32',
                                                            'version' => '4.86'
                                                          },
                                                          {
                                                            'date' => '2014-03-04T07:14:15',
                                                            'version' => '4.87'
                                                          },
                                                          {
                                                            'date' => '2014-03-09T22:42:42',
                                                            'version' => '4.88'
                                                          },
                                                          {
                                                            'date' => '2014-03-13T21:30:57',
                                                            'version' => '4.89'
                                                          },
                                                          {
                                                            'date' => '2014-03-16T21:22:35',
                                                            'version' => '4.90'
                                                          },
                                                          {
                                                            'date' => '2014-03-29T00:05:17',
                                                            'version' => '4.91'
                                                          },
                                                          {
                                                            'date' => '2014-04-08T20:41:54',
                                                            'version' => '4.92'
                                                          },
                                                          {
                                                            'date' => '2014-04-13T02:17:03',
                                                            'version' => '4.93'
                                                          },
                                                          {
                                                            'date' => '2014-04-19T23:39:22',
                                                            'version' => '4.94'
                                                          },
                                                          {
                                                            'date' => '2014-04-27T03:27:43',
                                                            'version' => '4.95'
                                                          },
                                                          {
                                                            'date' => '2014-04-27T20:04:36',
                                                            'version' => '4.96'
                                                          },
                                                          {
                                                            'date' => '2014-04-29T22:12:52',
                                                            'version' => '4.97'
                                                          },
                                                          {
                                                            'date' => '2014-05-09T01:57:34',
                                                            'version' => '4.98'
                                                          },
                                                          {
                                                            'date' => '2014-05-12T00:46:43',
                                                            'version' => '4.99'
                                                          },
                                                          {
                                                            'date' => '2014-05-29T20:15:51',
                                                            'version' => '5.0'
                                                          },
                                                          {
                                                            'date' => '2014-05-30T14:51:14',
                                                            'version' => '5.01'
                                                          },
                                                          {
                                                            'date' => '2014-05-31T21:51:34',
                                                            'version' => '5.02'
                                                          },
                                                          {
                                                            'date' => '2014-06-02T22:07:46',
                                                            'version' => '5.03'
                                                          },
                                                          {
                                                            'date' => '2014-06-03T21:11:50',
                                                            'version' => '5.04'
                                                          },
                                                          {
                                                            'date' => '2014-06-08T21:50:53',
                                                            'version' => '5.05'
                                                          },
                                                          {
                                                            'date' => '2014-06-12T02:08:01',
                                                            'version' => '5.06'
                                                          },
                                                          {
                                                            'date' => '2014-06-13T19:28:04',
                                                            'version' => '5.07'
                                                          },
                                                          {
                                                            'date' => '2014-06-16T23:44:48',
                                                            'version' => '5.08'
                                                          },
                                                          {
                                                            'date' => '2014-06-24T15:02:21',
                                                            'version' => '5.09'
                                                          },
                                                          {
                                                            'date' => '2014-06-28T23:25:12',
                                                            'version' => '5.10'
                                                          },
                                                          {
                                                            'date' => '2014-07-03T04:01:24',
                                                            'version' => '5.11'
                                                          },
                                                          {
                                                            'date' => '2014-07-03T23:06:55',
                                                            'version' => '5.12'
                                                          },
                                                          {
                                                            'date' => '2014-07-13T00:44:29',
                                                            'version' => '5.13'
                                                          },
                                                          {
                                                            'date' => '2014-07-14T22:01:49',
                                                            'version' => '5.14'
                                                          },
                                                          {
                                                            'date' => '2014-07-17T17:58:05',
                                                            'version' => '5.15'
                                                          },
                                                          {
                                                            'date' => '2014-07-21T16:01:56',
                                                            'version' => '5.16'
                                                          },
                                                          {
                                                            'date' => '2014-07-24T12:40:41',
                                                            'version' => '5.17'
                                                          },
                                                          {
                                                            'date' => '2014-07-25T20:25:29',
                                                            'version' => '5.18'
                                                          },
                                                          {
                                                            'date' => '2014-07-26T21:03:13',
                                                            'version' => '5.19'
                                                          },
                                                          {
                                                            'date' => '2014-07-26T23:36:18',
                                                            'version' => '5.20'
                                                          },
                                                          {
                                                            'date' => '2014-07-27T18:48:25',
                                                            'version' => '5.21'
                                                          },
                                                          {
                                                            'date' => '2014-07-30T16:42:35',
                                                            'version' => '5.22'
                                                          },
                                                          {
                                                            'date' => '2014-07-31T21:32:03',
                                                            'version' => '5.23'
                                                          },
                                                          {
                                                            'date' => '2014-08-02T21:56:32',
                                                            'version' => '5.24'
                                                          },
                                                          {
                                                            'date' => '2014-08-07T01:29:20',
                                                            'version' => '5.25'
                                                          },
                                                          {
                                                            'date' => '2014-08-09T21:26:37',
                                                            'version' => '5.26'
                                                          },
                                                          {
                                                            'date' => '2014-08-11T14:26:47',
                                                            'version' => '5.27'
                                                          },
                                                          {
                                                            'date' => '2014-08-13T00:32:33',
                                                            'version' => '5.28'
                                                          },
                                                          {
                                                            'date' => '2014-08-16T12:40:15',
                                                            'version' => '5.29'
                                                          },
                                                          {
                                                            'date' => '2014-08-17T21:49:15',
                                                            'version' => '5.30'
                                                          },
                                                          {
                                                            'date' => '2014-08-19T17:40:27',
                                                            'version' => '5.31'
                                                          },
                                                          {
                                                            'date' => '2014-08-21T18:19:53',
                                                            'version' => '5.32'
                                                          },
                                                          {
                                                            'date' => '2014-08-23T22:25:32',
                                                            'version' => '5.33'
                                                          },
                                                          {
                                                            'date' => '2014-08-29T21:53:02',
                                                            'version' => '5.34'
                                                          },
                                                          {
                                                            'date' => '2014-08-30T21:57:50',
                                                            'version' => '5.35'
                                                          },
                                                          {
                                                            'date' => '2014-09-02T00:20:21',
                                                            'version' => '5.36'
                                                          },
                                                          {
                                                            'date' => '2014-09-03T20:55:45',
                                                            'version' => '5.37'
                                                          },
                                                          {
                                                            'date' => '2014-09-05T21:57:34',
                                                            'version' => '5.38'
                                                          },
                                                          {
                                                            'date' => '2014-09-07T03:18:45',
                                                            'version' => '5.39'
                                                          },
                                                          {
                                                            'date' => '2014-09-12T01:06:33',
                                                            'version' => '5.40'
                                                          },
                                                          {
                                                            'date' => '2014-09-13T21:24:03',
                                                            'version' => '5.41'
                                                          },
                                                          {
                                                            'date' => '2014-09-17T21:54:39',
                                                            'version' => '5.42'
                                                          },
                                                          {
                                                            'date' => '2014-09-22T00:14:24',
                                                            'version' => '5.43'
                                                          },
                                                          {
                                                            'date' => '2014-09-23T00:49:52',
                                                            'version' => '5.44'
                                                          },
                                                          {
                                                            'date' => '2014-09-27T03:21:55',
                                                            'version' => '5.46'
                                                          },
                                                          {
                                                            'date' => '2014-09-27T03:24:38',
                                                            'version' => '5.45'
                                                          },
                                                          {
                                                            'date' => '2014-09-28T03:31:15',
                                                            'version' => '5.47'
                                                          },
                                                          {
                                                            'date' => '2014-10-07T23:08:14',
                                                            'version' => '5.48'
                                                          },
                                                          {
                                                            'date' => '2014-10-10T21:12:14',
                                                            'version' => '5.49'
                                                          },
                                                          {
                                                            'date' => '2014-10-15T22:00:04',
                                                            'version' => '5.50'
                                                          },
                                                          {
                                                            'date' => '2014-10-17T21:48:17',
                                                            'version' => '5.51'
                                                          },
                                                          {
                                                            'date' => '2014-10-18T20:49:34',
                                                            'version' => '5.52'
                                                          },
                                                          {
                                                            'date' => '2014-10-20T23:34:37',
                                                            'version' => '5.53'
                                                          },
                                                          {
                                                            'date' => '2014-10-23T22:51:06',
                                                            'version' => '5.54'
                                                          },
                                                          {
                                                            'date' => '2014-10-29T00:58:34',
                                                            'version' => '5.55'
                                                          },
                                                          {
                                                            'date' => '2014-10-30T00:23:25',
                                                            'version' => '5.56'
                                                          },
                                                          {
                                                            'date' => '2014-11-02T22:52:07',
                                                            'version' => '5.57'
                                                          },
                                                          {
                                                            'date' => '2014-11-07T00:04:47',
                                                            'version' => '5.58'
                                                          },
                                                          {
                                                            'date' => '2014-11-08T00:26:41',
                                                            'version' => '5.59'
                                                          },
                                                          {
                                                            'date' => '2014-11-12T01:31:36',
                                                            'version' => '5.60'
                                                          },
                                                          {
                                                            'date' => '2014-11-15T00:46:43',
                                                            'version' => '5.61'
                                                          },
                                                          {
                                                            'date' => '2014-11-18T18:24:54',
                                                            'version' => '5.62'
                                                          },
                                                          {
                                                            'date' => '2014-11-22T03:52:56',
                                                            'version' => '5.63'
                                                          },
                                                          {
                                                            'date' => '2014-11-23T02:12:00',
                                                            'version' => '5.64'
                                                          },
                                                          {
                                                            'date' => '2014-11-25T03:23:01',
                                                            'version' => '5.65'
                                                          },
                                                          {
                                                            'date' => '2014-11-27T03:13:19',
                                                            'version' => '5.66'
                                                          },
                                                          {
                                                            'date' => '2014-11-27T06:19:49',
                                                            'version' => '5.67'
                                                          },
                                                          {
                                                            'date' => '2014-12-03T04:36:04',
                                                            'version' => '5.68'
                                                          },
                                                          {
                                                            'date' => '2014-12-13T02:19:36',
                                                            'version' => '5.69'
                                                          },
                                                          {
                                                            'date' => '2014-12-18T00:12:31',
                                                            'version' => '5.70'
                                                          },
                                                          {
                                                            'date' => '2015-01-01T22:44:58',
                                                            'version' => '5.71'
                                                          },
                                                          {
                                                            'date' => '2015-01-11T20:02:04',
                                                            'version' => '5.72'
                                                          },
                                                          {
                                                            'date' => '2015-01-23T16:29:22',
                                                            'version' => '5.73'
                                                          },
                                                          {
                                                            'date' => '2015-01-24T13:32:51',
                                                            'version' => '5.74'
                                                          },
                                                          {
                                                            'date' => '2015-01-27T04:08:19',
                                                            'version' => '5.75'
                                                          },
                                                          {
                                                            'date' => '2015-02-02T19:36:16',
                                                            'version' => '5.76'
                                                          },
                                                          {
                                                            'date' => '2015-02-03T02:37:04',
                                                            'version' => '5.77'
                                                          },
                                                          {
                                                            'date' => '2015-02-13T00:21:48',
                                                            'version' => '5.78'
                                                          },
                                                          {
                                                            'date' => '2015-02-13T05:32:50',
                                                            'version' => '5.79'
                                                          },
                                                          {
                                                            'date' => '2015-02-18T05:24:00',
                                                            'version' => '5.80'
                                                          },
                                                          {
                                                            'date' => '2015-02-21T03:30:18',
                                                            'version' => '5.81'
                                                          },
                                                          {
                                                            'date' => '2015-02-23T03:05:04',
                                                            'version' => '5.82'
                                                          },
                                                          {
                                                            'date' => '2015-02-26T22:17:01',
                                                            'version' => '6.0'
                                                          },
                                                          {
                                                            'date' => '2015-03-03T16:12:16',
                                                            'version' => '6.01'
                                                          },
                                                          {
                                                            'date' => '2015-03-10T02:53:22',
                                                            'version' => '6.02'
                                                          },
                                                          {
                                                            'date' => '2015-03-16T04:43:10',
                                                            'version' => '6.03'
                                                          },
                                                          {
                                                            'date' => '2015-03-23T04:42:27',
                                                            'version' => '6.04'
                                                          },
                                                          {
                                                            'date' => '2015-03-25T05:08:15',
                                                            'version' => '6.05'
                                                          },
                                                          {
                                                            'date' => '2015-04-07T00:55:21',
                                                            'version' => '6.06'
                                                          },
                                                          {
                                                            'date' => '2015-04-07T17:38:01',
                                                            'version' => '6.07'
                                                          },
                                                          {
                                                            'date' => '2015-04-09T22:03:46',
                                                            'version' => '6.08'
                                                          },
                                                          {
                                                            'date' => '2015-04-26T05:10:45',
                                                            'version' => '6.09'
                                                          },
                                                          {
                                                            'date' => '2015-04-27T02:01:03',
                                                            'version' => '6.10'
                                                          },
                                                          {
                                                            'date' => '2015-05-16T22:14:01',
                                                            'version' => '6.11'
                                                          },
                                                          {
                                                            'date' => '2015-06-18T21:48:20',
                                                            'version' => '6.12'
                                                          },
                                                          {
                                                            'date' => '2015-08-20T06:09:39',
                                                            'version' => '6.16'
                                                          },
                                                          {
                                                            'date' => '2015-08-22T19:38:51',
                                                            'version' => '6.17'
                                                          },
                                                          {
                                                            'date' => '2015-09-02T17:26:36',
                                                            'version' => '6.18'
                                                          },
                                                          {
                                                            'date' => '2015-09-12T23:37:29',
                                                            'version' => '6.19'
                                                          },
                                                          {
                                                            'date' => '2015-09-16T22:50:30',
                                                            'version' => '6.20'
                                                          },
                                                          {
                                                            'date' => '2015-09-23T01:05:04',
                                                            'version' => '6.21'
                                                          },
                                                          {
                                                            'date' => '2015-09-27T01:03:32',
                                                            'version' => '6.22'
                                                          },
                                                          {
                                                            'date' => '2015-10-07T18:17:26',
                                                            'version' => '6.23'
                                                          },
                                                          {
                                                            'date' => '2015-10-13T22:54:46',
                                                            'version' => '6.24'
                                                          },
                                                          {
                                                            'date' => '2015-10-22T02:49:47',
                                                            'version' => '6.25'
                                                          },
                                                          {
                                                            'date' => '2015-10-29T00:29:07',
                                                            'version' => '6.26'
                                                          },
                                                          {
                                                            'date' => '2015-10-30T00:07:08',
                                                            'version' => '6.27'
                                                          },
                                                          {
                                                            'date' => '2015-11-02T15:17:16',
                                                            'version' => '6.28'
                                                          },
                                                          {
                                                            'date' => '2015-11-12T02:59:43',
                                                            'version' => '6.30'
                                                          },
                                                          {
                                                            'date' => '2015-11-14T19:38:51',
                                                            'version' => '6.31'
                                                          },
                                                          {
                                                            'date' => '2015-11-18T18:16:15',
                                                            'version' => '6.32'
                                                          },
                                                          {
                                                            'date' => '2015-11-22T16:47:00',
                                                            'version' => '6.33'
                                                          },
                                                          {
                                                            'date' => '2016-01-13T20:08:22',
                                                            'version' => '6.40'
                                                          },
                                                          {
                                                            'date' => '2016-01-24T22:01:52',
                                                            'version' => '6.42'
                                                          },
                                                          {
                                                            'date' => '2016-02-01T16:15:40',
                                                            'version' => '6.43'
                                                          },
                                                          {
                                                            'date' => '2016-02-05T22:42:51',
                                                            'version' => '6.44'
                                                          },
                                                          {
                                                            'date' => '2016-02-09T23:29:35',
                                                            'version' => '6.45'
                                                          },
                                                          {
                                                            'date' => '2016-02-14T00:51:10',
                                                            'version' => '6.46'
                                                          },
                                                          {
                                                            'date' => '2016-02-19T23:09:15',
                                                            'version' => '6.47'
                                                          },
                                                          {
                                                            'date' => '2016-02-24T17:07:45',
                                                            'version' => '6.48'
                                                          },
                                                          {
                                                            'date' => '2016-02-26T22:47:33',
                                                            'version' => '6.49'
                                                          },
                                                          {
                                                            'date' => '2016-02-27T00:12:03',
                                                            'version' => '6.50'
                                                          },
                                                          {
                                                            'date' => '2016-02-29T23:03:44',
                                                            'version' => '6.51'
                                                          },
                                                          {
                                                            'date' => '2016-03-02T22:24:28',
                                                            'version' => '6.52'
                                                          },
                                                          {
                                                            'date' => '2016-03-04T00:58:55',
                                                            'version' => '6.53'
                                                          },
                                                          {
                                                            'date' => '2016-03-07T15:09:42',
                                                            'version' => '6.54'
                                                          },
                                                          {
                                                            'date' => '2016-03-08T20:42:43',
                                                            'version' => '6.55'
                                                          },
                                                          {
                                                            'date' => '2016-03-16T02:42:45',
                                                            'version' => '6.56'
                                                          },
                                                          {
                                                            'date' => '2016-03-23T04:23:41',
                                                            'version' => '6.57'
                                                          },
                                                          {
                                                            'date' => '2016-04-10T17:11:22',
                                                            'version' => '6.58'
                                                          },
                                                          {
                                                            'date' => '2016-04-22T18:45:19',
                                                            'version' => '6.59'
                                                          },
                                                          {
                                                            'date' => '2016-04-26T13:16:04',
                                                            'version' => '6.60'
                                                          },
                                                          {
                                                            'date' => '2016-05-02T17:31:34',
                                                            'version' => '6.61'
                                                          },
                                                          {
                                                            'date' => '2016-05-14T21:05:47',
                                                            'version' => '6.62'
                                                          },
                                                          {
                                                            'date' => '2016-06-03T21:10:48',
                                                            'version' => '6.63'
                                                          },
                                                          {
                                                            'date' => '2016-06-09T16:41:51',
                                                            'version' => '6.64'
                                                          },
                                                          {
                                                            'date' => '2016-06-14T16:15:21',
                                                            'version' => '6.65'
                                                          },
                                                          {
                                                            'date' => '2016-06-16T22:35:28',
                                                            'version' => '6.66'
                                                          },
                                                          {
                                                            'date' => '2016-07-19T06:21:07',
                                                            'version' => '7.0'
                                                          },
                                                          {
                                                            'date' => '2016-08-01T18:46:35',
                                                            'version' => '7.01'
                                                          },
                                                          {
                                                            'date' => '2016-08-17T16:34:19',
                                                            'version' => '7.02'
                                                          },
                                                          {
                                                            'date' => '2016-08-17T16:40:11',
                                                            'version' => '7.03'
                                                          },
                                                          {
                                                            'date' => '2016-08-29T13:59:45',
                                                            'version' => '7.04'
                                                          },
                                                          {
                                                            'date' => '2016-08-29T16:44:18',
                                                            'version' => '7.05'
                                                          },
                                                          {
                                                            'date' => '2016-09-17T21:05:37',
                                                            'version' => '7.06'
                                                          },
                                                          {
                                                            'date' => '2016-09-20T12:30:54',
                                                            'version' => '7.07'
                                                          },
                                                          {
                                                            'date' => '2016-09-23T17:19:00',
                                                            'version' => '7.08'
                                                          },
                                                          {
                                                            'date' => '2016-10-23T09:46:35',
                                                            'version' => '7.09'
                                                          },
                                                          {
                                                            'date' => '2016-11-01T19:02:03',
                                                            'version' => '7.10'
                                                          },
                                                          {
                                                            'date' => '2016-11-30T09:23:48',
                                                            'version' => '7.11'
                                                          },
                                                          {
                                                            'date' => '2016-12-20T08:41:05',
                                                            'version' => '7.12'
                                                          },
                                                          {
                                                            'date' => '2016-12-29T19:40:25',
                                                            'version' => '7.13'
                                                          },
                                                          {
                                                            'date' => '2017-01-04T22:58:20',
                                                            'version' => '7.14'
                                                          },
                                                          {
                                                            'date' => '2017-01-10T11:42:59',
                                                            'version' => '7.15'
                                                          },
                                                          {
                                                            'date' => '2017-01-10T23:52:50',
                                                            'version' => '7.16'
                                                          },
                                                          {
                                                            'date' => '2017-01-11T08:35:01',
                                                            'version' => '7.17'
                                                          },
                                                          {
                                                            'date' => '2017-01-11T22:05:10',
                                                            'version' => '7.18'
                                                          },
                                                          {
                                                            'date' => '2017-01-15T16:05:23',
                                                            'version' => '7.19'
                                                          },
                                                          {
                                                            'date' => '2017-01-18T09:38:55',
                                                            'version' => '7.20'
                                                          },
                                                          {
                                                            'date' => '2017-01-22T14:29:35',
                                                            'version' => '7.21'
                                                          },
                                                          {
                                                            'date' => '2017-01-25T23:09:32',
                                                            'version' => '7.22'
                                                          },
                                                          {
                                                            'date' => '2017-01-29T21:43:19',
                                                            'version' => '7.23'
                                                          },
                                                          {
                                                            'date' => '2017-02-05T21:09:47',
                                                            'version' => '7.24'
                                                          },
                                                          {
                                                            'date' => '2017-02-09T22:51:35',
                                                            'version' => '7.25'
                                                          },
                                                          {
                                                            'date' => '2017-02-15T23:08:52',
                                                            'version' => '7.26'
                                                          },
                                                          {
                                                            'date' => '2017-02-27T17:02:21',
                                                            'version' => '7.27'
                                                          },
                                                          {
                                                            'date' => '2017-03-07T21:36:36',
                                                            'version' => '7.28'
                                                          },
                                                          {
                                                            'date' => '2017-03-14T23:27:54',
                                                            'version' => '7.29'
                                                          },
                                                          {
                                                            'date' => '2017-04-06T12:04:02',
                                                            'version' => '7.30'
                                                          },
                                                          {
                                                            'date' => '2017-04-24T07:50:54',
                                                            'version' => '7.31'
                                                          },
                                                          {
                                                            'date' => '2017-05-30T17:08:40',
                                                            'version' => '7.32'
                                                          },
                                                          {
                                                            'date' => '2017-06-05T22:14:35',
                                                            'version' => '7.33'
                                                          },
                                                          {
                                                            'date' => '2017-07-02T22:04:01',
                                                            'version' => '7.34'
                                                          },
                                                          {
                                                            'date' => '2017-07-05T07:50:23',
                                                            'version' => '7.35'
                                                          },
                                                          {
                                                            'date' => '2017-07-10T07:48:45',
                                                            'version' => '7.36'
                                                          },
                                                          {
                                                            'date' => '2017-07-24T07:55:46',
                                                            'version' => '7.37'
                                                          },
                                                          {
                                                            'date' => '2017-08-01T21:56:47',
                                                            'version' => '7.38'
                                                          },
                                                          {
                                                            'date' => '2017-08-03T08:50:10',
                                                            'version' => '7.39'
                                                          },
                                                          {
                                                            'date' => '2017-08-14T08:32:54',
                                                            'version' => '7.40'
                                                          },
                                                          {
                                                            'date' => '2017-08-16T08:19:30',
                                                            'version' => '7.41'
                                                          },
                                                          {
                                                            'date' => '2017-08-17T11:15:42',
                                                            'version' => '7.42'
                                                          },
                                                          {
                                                            'date' => '2017-08-18T08:26:45',
                                                            'version' => '7.43'
                                                          },
                                                          {
                                                            'date' => '2017-09-03T16:04:13',
                                                            'version' => '7.44'
                                                          },
                                                          {
                                                            'date' => '2017-09-07T08:41:40',
                                                            'version' => '7.45'
                                                          },
                                                          {
                                                            'date' => '2017-09-12T12:27:00',
                                                            'version' => '7.46'
                                                          },
                                                          {
                                                            'date' => '2017-10-12T08:26:53',
                                                            'version' => '7.47'
                                                          },
                                                          {
                                                            'date' => '2017-10-21T13:33:01',
                                                            'version' => '7.48'
                                                          },
                                                          {
                                                            'date' => '2017-10-30T13:18:49',
                                                            'version' => '7.49'
                                                          },
                                                          {
                                                            'date' => '2017-10-30T18:18:13',
                                                            'version' => '7.50'
                                                          },
                                                          {
                                                            'date' => '2017-10-31T19:14:43',
                                                            'version' => '7.51'
                                                          },
                                                          {
                                                            'date' => '2017-11-02T22:29:23',
                                                            'version' => '7.52'
                                                          },
                                                          {
                                                            'date' => '2017-11-04T15:24:07',
                                                            'version' => '7.53'
                                                          },
                                                          {
                                                            'date' => '2017-11-04T22:50:30',
                                                            'version' => '7.54'
                                                          },
                                                          {
                                                            'date' => '2017-11-07T10:58:56',
                                                            'version' => '7.55'
                                                          },
                                                          {
                                                            'date' => '2017-11-16T13:33:27',
                                                            'version' => '7.56'
                                                          },
                                                          {
                                                            'date' => '2017-11-18T16:10:38',
                                                            'version' => '7.57'
                                                          },
                                                          {
                                                            'date' => '2017-12-03T22:14:41',
                                                            'version' => '7.58'
                                                          },
                                                          {
                                                            'date' => '2017-12-17T17:58:55',
                                                            'version' => '7.59'
                                                          },
                                                          {
                                                            'date' => '2018-01-03T14:00:44',
                                                            'version' => '7.60'
                                                          },
                                                          {
                                                            'date' => '2018-01-15T15:35:28',
                                                            'version' => '7.61'
                                                          },
                                                          {
                                                            'date' => '2018-02-03T19:53:39',
                                                            'version' => '7.62'
                                                          },
                                                          {
                                                            'date' => '2018-02-06T20:52:51',
                                                            'version' => '7.63'
                                                          },
                                                          {
                                                            'date' => '2018-02-07T10:17:57',
                                                            'version' => '7.64'
                                                          },
                                                          {
                                                            'date' => '2018-02-11T21:55:33',
                                                            'version' => '7.65'
                                                          },
                                                          {
                                                            'date' => '2018-02-14T08:55:35',
                                                            'version' => '7.66'
                                                          },
                                                          {
                                                            'date' => '2018-02-19T23:11:52',
                                                            'version' => '7.67'
                                                          },
                                                          {
                                                            'date' => '2018-02-23T18:44:15',
                                                            'version' => '7.68'
                                                          },
                                                          {
                                                            'date' => '2018-02-24T21:58:41',
                                                            'version' => '7.69'
                                                          },
                                                          {
                                                            'date' => '2018-02-28T23:47:08',
                                                            'version' => '7.70'
                                                          },
                                                          {
                                                            'date' => '2018-03-16T16:41:58',
                                                            'version' => '7.71'
                                                          },
                                                          {
                                                            'date' => '2018-04-02T21:01:43',
                                                            'version' => '7.72'
                                                          },
                                                          {
                                                            'date' => '2018-04-06T14:10:03',
                                                            'version' => '7.73'
                                                          },
                                                          {
                                                            'date' => '2018-04-07T22:15:16',
                                                            'version' => '7.74'
                                                          },
                                                          {
                                                            'date' => '2018-04-10T16:04:41',
                                                            'version' => '7.75'
                                                          },
                                                          {
                                                            'date' => '2018-04-24T16:55:32',
                                                            'version' => '7.76'
                                                          },
                                                          {
                                                            'date' => '2018-05-01T17:18:20',
                                                            'version' => '7.77'
                                                          },
                                                          {
                                                            'date' => '2018-05-11T16:36:16',
                                                            'version' => '7.78'
                                                          },
                                                          {
                                                            'date' => '2018-05-14T22:13:04',
                                                            'version' => '7.79'
                                                          },
                                                          {
                                                            'date' => '2018-05-20T22:46:20',
                                                            'version' => '7.80'
                                                          },
                                                          {
                                                            'date' => '2018-05-21T22:39:30',
                                                            'version' => '7.81'
                                                          },
                                                          {
                                                            'date' => '2018-05-27T21:59:59',
                                                            'version' => '7.82'
                                                          },
                                                          {
                                                            'date' => '2018-06-03T21:10:42',
                                                            'version' => '7.83'
                                                          },
                                                          {
                                                            'date' => '2018-06-06T14:04:49',
                                                            'version' => '7.84'
                                                          },
                                                          {
                                                            'date' => '2018-06-19T15:57:43',
                                                            'version' => '7.85'
                                                          },
                                                          {
                                                            'date' => '2018-07-03T11:30:46',
                                                            'version' => '7.86'
                                                          },
                                                          {
                                                            'date' => '2018-07-04T10:20:11',
                                                            'version' => '7.87'
                                                          },
                                                          {
                                                            'date' => '2018-07-13T11:00:52',
                                                            'version' => '7.88'
                                                          },
                                                          {
                                                            'date' => '2018-08-07T09:38:35',
                                                            'version' => '7.89'
                                                          },
                                                          {
                                                            'date' => '2018-08-08T22:19:36',
                                                            'version' => '7.90'
                                                          },
                                                          {
                                                            'date' => '2018-08-09T08:39:58',
                                                            'version' => '7.91'
                                                          },
                                                          {
                                                            'date' => '2018-08-09T16:52:45',
                                                            'version' => '7.92'
                                                          },
                                                          {
                                                            'date' => '2018-08-12T14:23:08',
                                                            'version' => '7.93'
                                                          },
                                                          {
                                                            'date' => '2018-08-31T12:53:17',
                                                            'version' => '7.94'
                                                          },
                                                          {
                                                            'date' => '2018-09-14T22:17:06',
                                                            'version' => '8.0'
                                                          },
                                                          {
                                                            'date' => '2018-09-25T16:14:07',
                                                            'version' => '8.01'
                                                          },
                                                          {
                                                            'date' => '2018-10-01T21:34:50',
                                                            'version' => '8.02'
                                                          },
                                                          {
                                                            'date' => '2018-10-16T22:41:46',
                                                            'version' => '8.03'
                                                          },
                                                          {
                                                            'date' => '2018-10-21T20:23:27',
                                                            'version' => '8.04'
                                                          },
                                                          {
                                                            'date' => '2018-11-01T17:15:20',
                                                            'version' => '8.05'
                                                          },
                                                          {
                                                            'date' => '2018-11-08T23:31:57',
                                                            'version' => '8.06'
                                                          },
                                                          {
                                                            'date' => '2018-11-18T22:09:07',
                                                            'version' => '8.07'
                                                          },
                                                          {
                                                            'date' => '2018-12-01T18:26:15',
                                                            'version' => '8.08'
                                                          },
                                                          {
                                                            'date' => '2018-12-04T20:59:01',
                                                            'version' => '8.09'
                                                          },
                                                          {
                                                            'date' => '2018-12-20T10:28:28',
                                                            'version' => '8.10'
                                                          },
                                                          {
                                                            'date' => '2019-01-02T18:04:35',
                                                            'version' => '8.11'
                                                          },
                                                          {
                                                            'date' => '2019-02-01T16:34:38',
                                                            'version' => '8.12'
                                                          }
                                                        ]
                                        },
                       'Mojolicious-Plugin-OAuth2' => {
                                                        'advisories' => [
                                                                          {
                                                                            'affected_versions' => '<1.3',
                                                                            'description' => 'Param injection in case of several parameters of the same name are present.
',
                                                                            'distribution' => 'Mojolicious-Plugin-OAuth2',
                                                                            'fixed_versions' => '>=1.3',
                                                                            'id' => 'CPANSA-Mojolicious-Plugin-OAuth2-2014-01',
                                                                            'references' => [
                                                                                              'https://metacpan.org/changes/distribution/Mojolicious-Plugin-OAuth2',
                                                                                              'https://github.com/marcusramberg/Mojolicious-Plugin-OAuth2/commit/68315d329059b427e13d486c0e10733f728709aa'
                                                                                            ],
                                                                            'reported' => '2014-10-07'
                                                                          }
                                                                        ],
                                                        'main_module' => 'Mojolicious::Plugin::OAuth2',
                                                        'versions' => [
                                                                        {
                                                                          'date' => '2011-01-08T11:03:42',
                                                                          'version' => '0.01'
                                                                        },
                                                                        {
                                                                          'date' => '2011-01-09T18:00:14',
                                                                          'version' => '0.02'
                                                                        },
                                                                        {
                                                                          'date' => '2011-04-03T16:00:38',
                                                                          'version' => '0.1'
                                                                        },
                                                                        {
                                                                          'date' => '2011-08-01T16:56:18',
                                                                          'version' => '0.2'
                                                                        },
                                                                        {
                                                                          'date' => '2011-09-04T19:42:29',
                                                                          'version' => '0.3'
                                                                        },
                                                                        {
                                                                          'date' => '2011-09-07T16:59:50',
                                                                          'version' => '0.4'
                                                                        },
                                                                        {
                                                                          'date' => '2011-10-19T11:55:32',
                                                                          'version' => '0.5'
                                                                        },
                                                                        {
                                                                          'date' => '2012-03-09T21:15:39',
                                                                          'version' => '0.6'
                                                                        },
                                                                        {
                                                                          'date' => '2012-05-30T11:49:29',
                                                                          'version' => '0.7'
                                                                        },
                                                                        {
                                                                          'date' => '2012-08-23T20:18:41',
                                                                          'version' => '0.8'
                                                                        },
                                                                        {
                                                                          'date' => '2013-05-20T05:55:18',
                                                                          'version' => '0.9'
                                                                        },
                                                                        {
                                                                          'date' => '2013-11-06T13:24:52',
                                                                          'version' => '1.0'
                                                                        },
                                                                        {
                                                                          'date' => '2014-03-13T08:18:10',
                                                                          'version' => '1.1'
                                                                        },
                                                                        {
                                                                          'date' => '2014-09-06T13:49:59',
                                                                          'version' => '1.2'
                                                                        },
                                                                        {
                                                                          'date' => '2014-10-07T05:49:16',
                                                                          'version' => '1.3'
                                                                        },
                                                                        {
                                                                          'date' => '2015-03-01T20:09:19',
                                                                          'version' => '1.4'
                                                                        },
                                                                        {
                                                                          'date' => '2015-03-02T07:32:59',
                                                                          'version' => '1.5'
                                                                        },
                                                                        {
                                                                          'date' => '2015-03-18T16:40:18',
                                                                          'version' => '1.51'
                                                                        },
                                                                        {
                                                                          'date' => '2015-04-06T20:46:39',
                                                                          'version' => '1.52'
                                                                        },
                                                                        {
                                                                          'date' => '2015-09-08T07:27:41',
                                                                          'version' => '1.53'
                                                                        },
                                                                        {
                                                                          'date' => '2018-08-30T10:48:55',
                                                                          'version' => '1.54'
                                                                        },
                                                                        {
                                                                          'date' => '2018-09-08T18:30:54',
                                                                          'version' => '1.55'
                                                                        },
                                                                        {
                                                                          'date' => '2018-09-23T22:04:16',
                                                                          'version' => '1.56'
                                                                        },
                                                                        {
                                                                          'date' => '2018-09-24T08:55:14',
                                                                          'version' => '1.57'
                                                                        }
                                                                      ]
                                                      },
                       'Net-DNS' => {
                                      'advisories' => [
                                                        {
                                                          'affected_versions' => '<0.63',
                                                          'cves' => [
                                                                      'CVE-2007-6341'
                                                                    ],
                                                          'description' => 'Allows remote attackers to cause a denial of service (program "croak") via a crafted DNS response.
',
                                                          'distribution' => 'Net-DNS',
                                                          'fixed_versions' => '>=0.63',
                                                          'id' => 'CPANSA-Net-DNS-2008-01',
                                                          'references' => [
                                                                            'https://metacpan.org/changes/distribution/Net-DNS'
                                                                          ],
                                                          'reported' => '2008-02-08'
                                                        }
                                                      ],
                                      'main_module' => 'Net::DNS',
                                      'versions' => [
                                                      {
                                                        'date' => '1997-02-04T10:03:21',
                                                        'version' => '0.02'
                                                      },
                                                      {
                                                        'date' => '1997-02-05T05:54:07',
                                                        'version' => '0.02'
                                                      },
                                                      {
                                                        'date' => '1997-02-10T16:24:12',
                                                        'version' => '0.03'
                                                      },
                                                      {
                                                        'date' => '1997-02-13T23:50:40',
                                                        'version' => '0.04'
                                                      },
                                                      {
                                                        'date' => '1997-03-28T06:22:18',
                                                        'version' => '0.05'
                                                      },
                                                      {
                                                        'date' => '1997-04-03T06:54:12',
                                                        'version' => '0.06'
                                                      },
                                                      {
                                                        'date' => '1997-04-19T18:07:46',
                                                        'version' => '0.07'
                                                      },
                                                      {
                                                        'date' => '1997-05-13T15:27:34',
                                                        'version' => '0.08'
                                                      },
                                                      {
                                                        'date' => '1997-05-29T22:16:14',
                                                        'version' => '0.09'
                                                      },
                                                      {
                                                        'date' => '1997-06-13T04:35:29',
                                                        'version' => '0.10'
                                                      },
                                                      {
                                                        'date' => '1997-07-06T18:10:05',
                                                        'version' => '0.11'
                                                      },
                                                      {
                                                        'date' => '1997-10-02T05:53:19',
                                                        'version' => '0.12'
                                                      },
                                                      {
                                                        'date' => '2002-02-01T21:32:42',
                                                        'version' => '0.14'
                                                      },
                                                      {
                                                        'date' => '2002-04-11T23:04:19',
                                                        'version' => '0.19'
                                                      },
                                                      {
                                                        'date' => '2002-05-15T00:39:48',
                                                        'version' => '0.20'
                                                      },
                                                      {
                                                        'date' => '2002-06-03T21:44:48',
                                                        'version' => '0.21'
                                                      },
                                                      {
                                                        'date' => '2002-06-06T21:48:08',
                                                        'version' => '0.22'
                                                      },
                                                      {
                                                        'date' => '2002-06-11T22:49:07',
                                                        'version' => '0.23'
                                                      },
                                                      {
                                                        'date' => '2002-07-06T20:17:50',
                                                        'version' => '0.24'
                                                      },
                                                      {
                                                        'date' => '2002-08-01T10:37:46',
                                                        'version' => '0.25'
                                                      },
                                                      {
                                                        'date' => '2002-08-05T20:11:20',
                                                        'version' => '0.26'
                                                      },
                                                      {
                                                        'date' => '2002-08-15T15:55:56',
                                                        'version' => '0.27'
                                                      },
                                                      {
                                                        'date' => '2002-08-21T00:18:55',
                                                        'version' => '0.28'
                                                      },
                                                      {
                                                        'date' => '2002-10-02T06:09:09',
                                                        'version' => '0.29'
                                                      },
                                                      {
                                                        'date' => '2002-11-07T13:19:03',
                                                        'version' => '0.30'
                                                      },
                                                      {
                                                        'date' => '2002-11-18T04:32:09',
                                                        'version' => '0.31'
                                                      },
                                                      {
                                                        'date' => '2003-01-05T21:37:55',
                                                        'version' => '0.32'
                                                      },
                                                      {
                                                        'date' => '2003-01-08T18:31:53',
                                                        'version' => '0.33'
                                                      },
                                                      {
                                                        'date' => '2003-03-06T19:19:53',
                                                        'version' => '0.34'
                                                      },
                                                      {
                                                        'date' => '2003-05-22T02:33:15',
                                                        'version' => '0.34_02'
                                                      },
                                                      {
                                                        'date' => '2003-05-23T01:24:00',
                                                        'version' => '0.34_03'
                                                      },
                                                      {
                                                        'date' => '2003-05-26T07:13:38',
                                                        'version' => '0.35'
                                                      },
                                                      {
                                                        'date' => '2003-05-28T22:24:43',
                                                        'version' => '0.36'
                                                      },
                                                      {
                                                        'date' => '2003-05-28T22:41:56',
                                                        'version' => '0.37'
                                                      },
                                                      {
                                                        'date' => '2003-06-05T23:55:14',
                                                        'version' => '0.38'
                                                      },
                                                      {
                                                        'date' => '2003-06-23T00:19:28',
                                                        'version' => '0.38_01'
                                                      },
                                                      {
                                                        'date' => '2003-07-29T09:34:12',
                                                        'version' => '0.38_02'
                                                      },
                                                      {
                                                        'date' => '2003-08-07T22:35:45',
                                                        'version' => '0.39'
                                                      },
                                                      {
                                                        'date' => '2003-08-12T04:10:01',
                                                        'version' => '0.39_01'
                                                      },
                                                      {
                                                        'date' => '2003-08-28T15:17:51',
                                                        'version' => '0.39_02'
                                                      },
                                                      {
                                                        'date' => '2003-09-01T22:18:39',
                                                        'version' => '0.40'
                                                      },
                                                      {
                                                        'date' => '2003-09-26T22:54:49',
                                                        'version' => '0.40_01'
                                                      },
                                                      {
                                                        'date' => '2003-10-03T15:57:27',
                                                        'version' => '0.41'
                                                      },
                                                      {
                                                        'date' => '2003-10-26T05:42:29',
                                                        'version' => '0.42'
                                                      },
                                                      {
                                                        'date' => '2003-12-01T04:39:24',
                                                        'version' => '0.42_01'
                                                      },
                                                      {
                                                        'date' => '2003-12-11T08:53:09',
                                                        'version' => '0.42_02'
                                                      },
                                                      {
                                                        'date' => '2003-12-12T00:28:17',
                                                        'version' => '0.43'
                                                      },
                                                      {
                                                        'date' => '2003-12-13T01:55:07',
                                                        'version' => '0.44'
                                                      },
                                                      {
                                                        'date' => '2004-01-03T06:49:06',
                                                        'version' => '0.44_01'
                                                      },
                                                      {
                                                        'date' => '2004-01-04T04:51:25',
                                                        'version' => '0.44_02'
                                                      },
                                                      {
                                                        'date' => '2004-01-08T05:56:11',
                                                        'version' => '0.45'
                                                      },
                                                      {
                                                        'date' => '2004-02-10T00:53:47',
                                                        'version' => '0.45_01'
                                                      },
                                                      {
                                                        'date' => '2004-02-21T12:53:34',
                                                        'version' => '0.46'
                                                      },
                                                      {
                                                        'date' => '2004-04-01T07:39:00',
                                                        'version' => '0.47'
                                                      },
                                                      {
                                                        'date' => '2004-05-06T19:18:31',
                                                        'version' => '0.47_01'
                                                      },
                                                      {
                                                        'date' => '2004-08-13T01:11:57',
                                                        'version' => '0.48'
                                                      },
                                                      {
                                                        'date' => '2005-03-07T14:31:55',
                                                        'version' => '0.48_01'
                                                      },
                                                      {
                                                        'date' => '2005-03-14T20:47:20',
                                                        'version' => '0.48_02'
                                                      },
                                                      {
                                                        'date' => '2005-03-22T15:54:51',
                                                        'version' => '0.48_03'
                                                      },
                                                      {
                                                        'date' => '2005-03-29T13:12:16',
                                                        'version' => '0.49'
                                                      },
                                                      {
                                                        'date' => '2005-05-24T08:07:55',
                                                        'version' => '0.49_01'
                                                      },
                                                      {
                                                        'date' => '2005-05-28T07:07:52',
                                                        'version' => '0.49_02'
                                                      },
                                                      {
                                                        'date' => '2005-06-01T20:51:43',
                                                        'version' => '0.49_03'
                                                      },
                                                      {
                                                        'date' => '2005-06-08T14:15:32',
                                                        'version' => '0.50'
                                                      },
                                                      {
                                                        'date' => '2005-06-10T11:00:29',
                                                        'version' => '0.51'
                                                      },
                                                      {
                                                        'date' => '2005-06-14T11:42:54',
                                                        'version' => '0.49_01'
                                                      },
                                                      {
                                                        'date' => '2005-06-22T14:32:45',
                                                        'version' => '0.49_01'
                                                      },
                                                      {
                                                        'date' => '2005-07-01T21:50:47',
                                                        'version' => '0.52'
                                                      },
                                                      {
                                                        'date' => '2005-07-22T12:23:21',
                                                        'version' => '0.53'
                                                      },
                                                      {
                                                        'date' => '2005-07-31T14:40:15',
                                                        'version' => '0.53_01'
                                                      },
                                                      {
                                                        'date' => '2005-10-18T14:39:03',
                                                        'version' => '0.53_02'
                                                      },
                                                      {
                                                        'date' => '2005-12-07T13:15:30',
                                                        'version' => '0.54'
                                                      },
                                                      {
                                                        'date' => '2005-12-14T10:29:42',
                                                        'version' => '0.55'
                                                      },
                                                      {
                                                        'date' => '2006-02-20T15:34:25',
                                                        'version' => '0.56'
                                                      },
                                                      {
                                                        'date' => '2006-02-24T16:21:14',
                                                        'version' => '0.57'
                                                      },
                                                      {
                                                        'date' => '2006-07-04T11:42:41',
                                                        'version' => '0.58'
                                                      },
                                                      {
                                                        'date' => '2006-09-18T19:31:10',
                                                        'version' => '0.59'
                                                      },
                                                      {
                                                        'date' => '2007-06-22T07:31:18',
                                                        'version' => '0.60'
                                                      },
                                                      {
                                                        'date' => '2007-08-01T12:26:55',
                                                        'version' => '0.61'
                                                      },
                                                      {
                                                        'date' => '2007-12-28T19:32:25',
                                                        'version' => '0.62'
                                                      },
                                                      {
                                                        'date' => '2008-02-08T15:49:50',
                                                        'version' => '0.63'
                                                      },
                                                      {
                                                        'date' => '2008-12-30T18:11:35',
                                                        'version' => '0.64'
                                                      },
                                                      {
                                                        'date' => '2009-01-26T18:19:23',
                                                        'version' => '0.65'
                                                      },
                                                      {
                                                        'date' => '2009-12-30T13:58:25',
                                                        'version' => '0.66'
                                                      },
                                                      {
                                                        'date' => '2011-10-25T12:14:24',
                                                        'version' => '0.66_01'
                                                      },
                                                      {
                                                        'date' => '2011-10-27T14:23:38',
                                                        'version' => '0.66_02'
                                                      },
                                                      {
                                                        'date' => '2011-10-28T14:31:06',
                                                        'version' => '0.66_03'
                                                      },
                                                      {
                                                        'date' => '2011-10-28T15:00:15',
                                                        'version' => '0.66_04'
                                                      },
                                                      {
                                                        'date' => '2011-10-31T14:36:02',
                                                        'version' => '0.66_06'
                                                      },
                                                      {
                                                        'date' => '2011-10-31T19:34:01',
                                                        'version' => '0.66_07'
                                                      },
                                                      {
                                                        'date' => '2011-11-02T21:52:59',
                                                        'version' => '0.66_08'
                                                      },
                                                      {
                                                        'date' => '2011-11-07T09:07:56',
                                                        'version' => '0.67'
                                                      },
                                                      {
                                                        'date' => '2012-01-23T13:41:03',
                                                        'version' => '0.67_01'
                                                      },
                                                      {
                                                        'date' => '2012-01-26T10:44:13',
                                                        'version' => '0.67_03'
                                                      },
                                                      {
                                                        'date' => '2012-01-27T08:47:28',
                                                        'version' => '0.67_04'
                                                      },
                                                      {
                                                        'date' => '2012-01-31T21:54:27',
                                                        'version' => '0.68'
                                                      },
                                                      {
                                                        'date' => '2012-01-31T22:11:31',
                                                        'version' => '0.68'
                                                      },
                                                      {
                                                        'date' => '2012-10-29T15:35:55',
                                                        'version' => '0.68_01'
                                                      },
                                                      {
                                                        'date' => '2012-10-31T10:25:57',
                                                        'version' => '0.68_02'
                                                      },
                                                      {
                                                        'date' => '2012-10-31T20:33:53',
                                                        'version' => '0.68_03'
                                                      },
                                                      {
                                                        'date' => '2012-11-12T07:15:13',
                                                        'version' => '0.68_04'
                                                      },
                                                      {
                                                        'date' => '2012-11-12T10:22:31',
                                                        'version' => '0.68_05'
                                                      },
                                                      {
                                                        'date' => '2012-11-19T12:57:25',
                                                        'version' => '0.68_06'
                                                      },
                                                      {
                                                        'date' => '2012-11-21T23:12:34',
                                                        'version' => '0.68_07'
                                                      },
                                                      {
                                                        'date' => '2012-11-23T22:12:01',
                                                        'version' => '0.68_08'
                                                      },
                                                      {
                                                        'date' => '2012-12-04T07:18:08',
                                                        'version' => '0.68_09'
                                                      },
                                                      {
                                                        'date' => '2012-12-05T12:07:43',
                                                        'version' => '0.69'
                                                      },
                                                      {
                                                        'date' => '2012-12-05T14:05:12',
                                                        'version' => '0.69_1'
                                                      },
                                                      {
                                                        'date' => '2012-12-06T11:10:17',
                                                        'version' => '0.70'
                                                      },
                                                      {
                                                        'date' => '2012-12-12T16:04:03',
                                                        'version' => '0.70_1'
                                                      },
                                                      {
                                                        'date' => '2012-12-15T11:18:56',
                                                        'version' => '0.71'
                                                      },
                                                      {
                                                        'date' => '2012-12-24T21:14:23',
                                                        'version' => '0.71_01'
                                                      },
                                                      {
                                                        'date' => '2012-12-28T15:03:57',
                                                        'version' => '0.72'
                                                      },
                                                      {
                                                        'date' => '2013-11-13T15:18:55',
                                                        'version' => '0.72_01'
                                                      },
                                                      {
                                                        'date' => '2013-11-14T16:13:33',
                                                        'version' => '0.72_02'
                                                      },
                                                      {
                                                        'date' => '2013-11-18T10:49:23',
                                                        'version' => '0.72_03'
                                                      },
                                                      {
                                                        'date' => '2013-11-19T21:52:50',
                                                        'version' => '0.72_04'
                                                      },
                                                      {
                                                        'date' => '2013-11-29T13:35:08',
                                                        'version' => '0.73'
                                                      },
                                                      {
                                                        'date' => '2013-12-24T15:21:50',
                                                        'version' => '0.73_1'
                                                      },
                                                      {
                                                        'date' => '2014-01-02T20:32:27',
                                                        'version' => '0.73_2'
                                                      },
                                                      {
                                                        'date' => '2014-01-05T20:31:16',
                                                        'version' => '0.73_3'
                                                      },
                                                      {
                                                        'date' => '2014-01-12T10:25:24',
                                                        'version' => '0.73_4'
                                                      },
                                                      {
                                                        'date' => '2014-01-13T15:59:49',
                                                        'version' => '0.73_5'
                                                      },
                                                      {
                                                        'date' => '2014-01-16T10:23:47',
                                                        'version' => '0.74'
                                                      },
                                                      {
                                                        'date' => '2014-03-03T21:33:39',
                                                        'version' => '0.74_1'
                                                      },
                                                      {
                                                        'date' => '2014-03-10T08:36:19',
                                                        'version' => '0.74_2'
                                                      },
                                                      {
                                                        'date' => '2014-04-03T21:00:45',
                                                        'version' => '0.74_3'
                                                      },
                                                      {
                                                        'date' => '2014-04-30T14:05:59',
                                                        'version' => '0.74_4'
                                                      },
                                                      {
                                                        'date' => '2014-05-05T06:05:46',
                                                        'version' => '0.74_5'
                                                      },
                                                      {
                                                        'date' => '2014-05-06T09:22:01',
                                                        'version' => '0.74_6'
                                                      },
                                                      {
                                                        'date' => '2014-05-08T09:54:21',
                                                        'version' => '0.75'
                                                      },
                                                      {
                                                        'date' => '2014-05-22T20:56:00',
                                                        'version' => '0.75_1'
                                                      },
                                                      {
                                                        'date' => '2014-05-23T22:26:56',
                                                        'version' => '0.76'
                                                      },
                                                      {
                                                        'date' => '2014-05-29T11:26:07',
                                                        'version' => '0.76_1'
                                                      },
                                                      {
                                                        'date' => '2014-06-05T16:04:39',
                                                        'version' => '0.76_2'
                                                      },
                                                      {
                                                        'date' => '2014-06-13T08:31:32',
                                                        'version' => '0.76_3'
                                                      },
                                                      {
                                                        'date' => '2014-06-13T21:57:13',
                                                        'version' => '0.77'
                                                      },
                                                      {
                                                        'date' => '2014-07-02T09:53:03',
                                                        'version' => '0.77_1'
                                                      },
                                                      {
                                                        'date' => '2014-07-09T07:09:44',
                                                        'version' => '0.77_2'
                                                      },
                                                      {
                                                        'date' => '2014-07-10T14:13:33',
                                                        'version' => '0.78'
                                                      },
                                                      {
                                                        'date' => '2014-07-30T21:41:25',
                                                        'version' => '0.78_1'
                                                      },
                                                      {
                                                        'date' => '2014-08-12T22:13:54',
                                                        'version' => '0.78_2'
                                                      },
                                                      {
                                                        'date' => '2014-08-15T14:40:22',
                                                        'version' => '0.78_3'
                                                      },
                                                      {
                                                        'date' => '2014-08-19T13:24:46',
                                                        'version' => '0.78_5'
                                                      },
                                                      {
                                                        'date' => '2014-08-22T22:29:13',
                                                        'version' => '0.79'
                                                      },
                                                      {
                                                        'date' => '2014-09-11T11:42:35',
                                                        'version' => '0.79_1'
                                                      },
                                                      {
                                                        'date' => '2014-09-15T14:51:32',
                                                        'version' => '0.79_2'
                                                      },
                                                      {
                                                        'date' => '2014-09-22T11:51:22',
                                                        'version' => '0.80'
                                                      },
                                                      {
                                                        'date' => '2014-10-20T08:19:15',
                                                        'version' => '0.80_1'
                                                      },
                                                      {
                                                        'date' => '2014-10-24T08:21:15',
                                                        'version' => '0.80_2'
                                                      },
                                                      {
                                                        'date' => '2014-10-29T13:44:16',
                                                        'version' => '0.81'
                                                      },
                                                      {
                                                        'date' => '2015-01-05T10:22:06',
                                                        'version' => '0.81_01'
                                                      },
                                                      {
                                                        'date' => '2015-01-20T14:12:38',
                                                        'version' => '0.82'
                                                      },
                                                      {
                                                        'date' => '2015-02-11T14:26:36',
                                                        'version' => '0.82_01'
                                                      },
                                                      {
                                                        'date' => '2015-02-18T11:05:47',
                                                        'version' => '0.82_02'
                                                      },
                                                      {
                                                        'date' => '2015-02-26T15:48:06',
                                                        'version' => '0.83'
                                                      },
                                                      {
                                                        'date' => '2015-05-27T10:04:50',
                                                        'version' => '1.00_01'
                                                      },
                                                      {
                                                        'date' => '2015-06-11T17:23:10',
                                                        'version' => '1.00_02'
                                                      },
                                                      {
                                                        'date' => '2015-06-15T10:02:08',
                                                        'version' => '1.00_03'
                                                      },
                                                      {
                                                        'date' => '2015-06-23T13:57:29',
                                                        'version' => '1.00_04'
                                                      },
                                                      {
                                                        'date' => '2015-06-26T09:37:11',
                                                        'version' => '1.00_05'
                                                      },
                                                      {
                                                        'date' => '2015-06-29T17:15:06',
                                                        'version' => '1.00_06'
                                                      },
                                                      {
                                                        'date' => '2015-07-01T13:51:22',
                                                        'version' => '1.00_07'
                                                      },
                                                      {
                                                        'date' => '2015-07-02T08:17:44',
                                                        'version' => '1.00_08'
                                                      },
                                                      {
                                                        'date' => '2015-07-06T17:28:32',
                                                        'version' => '1.01'
                                                      },
                                                      {
                                                        'date' => '2015-08-26T20:44:25',
                                                        'version' => '1.01_01'
                                                      },
                                                      {
                                                        'date' => '2015-09-03T06:21:58',
                                                        'version' => '1.01_02'
                                                      },
                                                      {
                                                        'date' => '2015-09-04T20:39:37',
                                                        'version' => '1.01_03'
                                                      },
                                                      {
                                                        'date' => '2015-09-08T08:26:06',
                                                        'version' => '1.01_04'
                                                      },
                                                      {
                                                        'date' => '2015-09-11T11:49:24',
                                                        'version' => '1.01_05'
                                                      },
                                                      {
                                                        'date' => '2015-09-15T18:51:53',
                                                        'version' => '1.01_06'
                                                      },
                                                      {
                                                        'date' => '2015-09-16T10:25:09',
                                                        'version' => '1.02'
                                                      },
                                                      {
                                                        'date' => '2015-09-22T13:39:43',
                                                        'version' => '1.02_01'
                                                      },
                                                      {
                                                        'date' => '2015-10-05T08:30:03',
                                                        'version' => '1.02_02'
                                                      },
                                                      {
                                                        'date' => '2015-10-06T20:39:36',
                                                        'version' => '1.02_03'
                                                      },
                                                      {
                                                        'date' => '2015-10-08T21:24:29',
                                                        'version' => '1.02_04'
                                                      },
                                                      {
                                                        'date' => '2015-10-13T07:30:39',
                                                        'version' => '1.02_05'
                                                      },
                                                      {
                                                        'date' => '2015-10-14T12:44:57',
                                                        'version' => '1.02_06'
                                                      },
                                                      {
                                                        'date' => '2015-10-20T09:59:26',
                                                        'version' => '1.02_07'
                                                      },
                                                      {
                                                        'date' => '2015-10-23T08:32:04',
                                                        'version' => '1.02_08'
                                                      },
                                                      {
                                                        'date' => '2015-10-27T16:07:21',
                                                        'version' => '1.02_09'
                                                      },
                                                      {
                                                        'date' => '2015-11-02T06:00:09',
                                                        'version' => '1.02_10'
                                                      },
                                                      {
                                                        'date' => '2015-11-08T13:49:33',
                                                        'version' => '1.03'
                                                      },
                                                      {
                                                        'date' => '2015-12-01T21:21:55',
                                                        'version' => '1.03_01'
                                                      },
                                                      {
                                                        'date' => '2015-12-02T14:27:42',
                                                        'version' => '1.03_02'
                                                      },
                                                      {
                                                        'date' => '2015-12-02T20:49:07',
                                                        'version' => '1.03_03'
                                                      },
                                                      {
                                                        'date' => '2015-12-08T20:41:10',
                                                        'version' => '1.04'
                                                      },
                                                      {
                                                        'date' => '2016-02-01T16:26:27',
                                                        'version' => '1.04_01'
                                                      },
                                                      {
                                                        'date' => '2016-02-02T08:03:42',
                                                        'version' => '1.04_02'
                                                      },
                                                      {
                                                        'date' => '2016-02-05T12:19:57',
                                                        'version' => '1.04_03'
                                                      },
                                                      {
                                                        'date' => '2016-02-29T12:32:53',
                                                        'version' => '1.04_04'
                                                      },
                                                      {
                                                        'date' => '2016-03-07T21:11:01',
                                                        'version' => '1.05'
                                                      },
                                                      {
                                                        'date' => '2016-03-21T13:15:38',
                                                        'version' => '1.05_01'
                                                      },
                                                      {
                                                        'date' => '2016-03-24T18:45:15',
                                                        'version' => '1.05_02'
                                                      },
                                                      {
                                                        'date' => '2016-04-04T21:53:54',
                                                        'version' => '1.05_03'
                                                      },
                                                      {
                                                        'date' => '2016-04-15T10:11:03',
                                                        'version' => '1.05_04'
                                                      },
                                                      {
                                                        'date' => '2016-04-17T12:05:46',
                                                        'version' => '1.05_05'
                                                      },
                                                      {
                                                        'date' => '2016-05-11T08:58:51',
                                                        'version' => '1.05_06'
                                                      },
                                                      {
                                                        'date' => '2016-05-22T07:54:41',
                                                        'version' => '1.05_07'
                                                      },
                                                      {
                                                        'date' => '2016-05-27T19:12:44',
                                                        'version' => '1.06'
                                                      },
                                                      {
                                                        'date' => '2016-06-22T08:54:06',
                                                        'version' => '1.06_01'
                                                      },
                                                      {
                                                        'date' => '2016-08-24T11:36:13',
                                                        'version' => '1.06_02'
                                                      },
                                                      {
                                                        'date' => '2016-08-25T15:01:31',
                                                        'version' => '1.06_03'
                                                      },
                                                      {
                                                        'date' => '2016-09-17T08:19:30',
                                                        'version' => '1.06_04'
                                                      },
                                                      {
                                                        'date' => '2016-11-12T03:24:33',
                                                        'version' => '1.06_05'
                                                      },
                                                      {
                                                        'date' => '2016-12-23T14:48:42',
                                                        'version' => '1.06_06'
                                                      },
                                                      {
                                                        'date' => '2016-12-29T17:16:20',
                                                        'version' => '1.07'
                                                      },
                                                      {
                                                        'date' => '2017-01-18T21:51:05',
                                                        'version' => '1.07_01'
                                                      },
                                                      {
                                                        'date' => '2017-01-27T10:44:03',
                                                        'version' => '1.07_02'
                                                      },
                                                      {
                                                        'date' => '2017-02-09T10:28:55',
                                                        'version' => '1.07_03'
                                                      },
                                                      {
                                                        'date' => '2017-02-13T10:08:41',
                                                        'version' => '1.07_04'
                                                      },
                                                      {
                                                        'date' => '2017-02-20T11:12:45',
                                                        'version' => '1.08'
                                                      },
                                                      {
                                                        'date' => '2017-03-06T09:33:06',
                                                        'version' => '1.08_02'
                                                      },
                                                      {
                                                        'date' => '2017-03-13T10:02:22',
                                                        'version' => '1.08_03'
                                                      },
                                                      {
                                                        'date' => '2017-03-22T09:48:52',
                                                        'version' => '1.08_04'
                                                      },
                                                      {
                                                        'date' => '2017-03-24T07:00:36',
                                                        'version' => '1.09'
                                                      },
                                                      {
                                                        'date' => '2017-04-19T13:10:57',
                                                        'version' => '1.09_01'
                                                      },
                                                      {
                                                        'date' => '2017-05-05T22:21:10',
                                                        'version' => '1.10'
                                                      },
                                                      {
                                                        'date' => '2017-05-31T09:07:40',
                                                        'version' => '1.10_01'
                                                      },
                                                      {
                                                        'date' => '2017-06-03T20:26:47',
                                                        'version' => '1.10_02'
                                                      },
                                                      {
                                                        'date' => '2017-06-12T12:03:07',
                                                        'version' => '1.10_03'
                                                      },
                                                      {
                                                        'date' => '2017-06-26T12:52:57',
                                                        'version' => '1.11'
                                                      },
                                                      {
                                                        'date' => '2017-07-07T21:50:10',
                                                        'version' => '1.11_01'
                                                      },
                                                      {
                                                        'date' => '2017-07-28T16:17:01',
                                                        'version' => '1.11_02'
                                                      },
                                                      {
                                                        'date' => '2017-08-15T10:33:15',
                                                        'version' => '1.11_03'
                                                      },
                                                      {
                                                        'date' => '2017-08-17T12:48:08',
                                                        'version' => '1.11_04'
                                                      },
                                                      {
                                                        'date' => '2017-08-18T13:15:31',
                                                        'version' => '1.12'
                                                      },
                                                      {
                                                        'date' => '2017-09-12T09:28:26',
                                                        'version' => '1.12_01'
                                                      },
                                                      {
                                                        'date' => '2017-10-06T09:07:45',
                                                        'version' => '1.12_02'
                                                      },
                                                      {
                                                        'date' => '2017-10-10T14:42:38',
                                                        'version' => '1.12_03'
                                                      },
                                                      {
                                                        'date' => '2017-10-18T09:49:20',
                                                        'version' => '1.13'
                                                      },
                                                      {
                                                        'date' => '2017-11-30T11:11:55',
                                                        'version' => '1.13_01'
                                                      },
                                                      {
                                                        'date' => '2017-12-07T10:17:12',
                                                        'version' => '1.13_02'
                                                      },
                                                      {
                                                        'date' => '2017-12-15T12:34:59',
                                                        'version' => '1.14'
                                                      },
                                                      {
                                                        'date' => '2018-01-31T10:11:39',
                                                        'version' => '1.14_01'
                                                      },
                                                      {
                                                        'date' => '2018-02-01T14:14:07',
                                                        'version' => '1.14_02'
                                                      },
                                                      {
                                                        'date' => '2018-02-09T11:42:14',
                                                        'version' => '1.15'
                                                      },
                                                      {
                                                        'date' => '2018-06-11T09:20:56',
                                                        'version' => '1.15_01'
                                                      },
                                                      {
                                                        'date' => '2018-06-14T10:46:39',
                                                        'version' => '1.15_02'
                                                      },
                                                      {
                                                        'date' => '2018-07-03T09:05:15',
                                                        'version' => '1.15_03'
                                                      },
                                                      {
                                                        'date' => '2018-07-06T10:03:02',
                                                        'version' => '1.15_04'
                                                      },
                                                      {
                                                        'date' => '2018-07-16T04:56:07',
                                                        'version' => '1.16'
                                                      },
                                                      {
                                                        'date' => '2018-07-20T16:22:38',
                                                        'version' => '1.16_01'
                                                      },
                                                      {
                                                        'date' => '2018-07-24T15:35:14',
                                                        'version' => '1.16_02'
                                                      },
                                                      {
                                                        'date' => '2018-07-25T07:10:24',
                                                        'version' => '1.17'
                                                      },
                                                      {
                                                        'date' => '2018-09-11T10:24:34',
                                                        'version' => '1.17_01'
                                                      },
                                                      {
                                                        'date' => '2018-09-11T15:32:52',
                                                        'version' => '1.17_02'
                                                      },
                                                      {
                                                        'date' => '2018-09-12T06:15:44',
                                                        'version' => '1.17_03'
                                                      },
                                                      {
                                                        'date' => '2018-09-21T14:49:48',
                                                        'version' => '1.18'
                                                      },
                                                      {
                                                        'date' => '2018-11-08T06:39:55',
                                                        'version' => '1.18_01'
                                                      },
                                                      {
                                                        'date' => '2018-11-15T06:02:14',
                                                        'version' => '1.19'
                                                      },
                                                      {
                                                        'date' => '2018-12-31T12:23:28',
                                                        'version' => '1.19_01'
                                                      },
                                                      {
                                                        'date' => '2019-01-28T09:48:25',
                                                        'version' => '1.19_02'
                                                      }
                                                    ]
                                    },
                       'Net-OpenID-Consumer' => {
                                                  'advisories' => [
                                                                    {
                                                                      'affected_versions' => '<1.12',
                                                                      'description' => 'A potential timing attack when checking signatures.
',
                                                                      'distribution' => 'Net-OpenID-Consumer',
                                                                      'fixed_versions' => '>=1.12',
                                                                      'id' => 'CPANSA-Net-OpenID-Consumer-2010-01',
                                                                      'references' => [
                                                                                        'https://metacpan.org/changes/distribution/Net-OpenID-Consumer',
                                                                                        'https://github.com/wrog/Net-OpenID-Consumer/commit/4e82c7e4b6ad4bc40571c5cfcaa58f9365b147a5',
                                                                                        'http://lists.openid.net/pipermail/openid-security/2010-July/001156.html'
                                                                                      ],
                                                                      'reported' => '2010-11-06'
                                                                    },
                                                                    {
                                                                      'affected_versions' => '<0.06',
                                                                      'description' => 'Incorrect comparison of system openssl status when doing DSA checks.
',
                                                                      'distribution' => 'Net-OpenID-Consumer',
                                                                      'fixed_versions' => '>=0.06',
                                                                      'id' => 'CPANSA-Net-OpenID-Consumer-2015-05',
                                                                      'references' => [
                                                                                        'https://metacpan.org/changes/distribution/Net-OpenID-Consumer'
                                                                                      ],
                                                                      'reported' => '2015-05-26'
                                                                    }
                                                                  ],
                                                  'main_module' => 'Net::OpenID::Consumer',
                                                  'versions' => [
                                                                  {
                                                                    'date' => '2005-05-23T03:02:59',
                                                                    'version' => '0.02'
                                                                  },
                                                                  {
                                                                    'date' => '2005-05-23T08:05:35',
                                                                    'version' => '0.03'
                                                                  },
                                                                  {
                                                                    'date' => '2005-05-25T05:08:25',
                                                                    'version' => '0.04'
                                                                  },
                                                                  {
                                                                    'date' => '2005-05-25T06:14:44',
                                                                    'version' => '0.05'
                                                                  },
                                                                  {
                                                                    'date' => '2005-05-26T06:18:39',
                                                                    'version' => '0.06'
                                                                  },
                                                                  {
                                                                    'date' => '2005-05-26T06:56:30',
                                                                    'version' => '0.07'
                                                                  },
                                                                  {
                                                                    'date' => '2005-05-26T07:18:01',
                                                                    'version' => '0.08'
                                                                  },
                                                                  {
                                                                    'date' => '2005-06-23T23:50:47',
                                                                    'version' => '0.09'
                                                                  },
                                                                  {
                                                                    'date' => '2005-06-27T04:43:01',
                                                                    'version' => '0.10'
                                                                  },
                                                                  {
                                                                    'date' => '2005-06-27T21:59:47',
                                                                    'version' => '0.11'
                                                                  },
                                                                  {
                                                                    'date' => '2005-07-13T17:57:27',
                                                                    'version' => '0.12'
                                                                  },
                                                                  {
                                                                    'date' => '2007-04-16T17:58:45',
                                                                    'version' => '0.13'
                                                                  },
                                                                  {
                                                                    'date' => '2007-08-03T22:07:20',
                                                                    'version' => '0.14'
                                                                  },
                                                                  {
                                                                    'date' => '2008-10-13T02:30:05',
                                                                    'version' => '1.01'
                                                                  },
                                                                  {
                                                                    'date' => '2008-10-14T04:39:07',
                                                                    'version' => '1.02'
                                                                  },
                                                                  {
                                                                    'date' => '2008-11-30T02:02:17',
                                                                    'version' => '1.03'
                                                                  },
                                                                  {
                                                                    'date' => '2010-02-18T15:32:06',
                                                                    'version' => '1.04'
                                                                  },
                                                                  {
                                                                    'date' => '2010-02-18T16:01:19',
                                                                    'version' => '1.05'
                                                                  },
                                                                  {
                                                                    'date' => '2010-03-16T17:38:56',
                                                                    'version' => '1.06'
                                                                  },
                                                                  {
                                                                    'date' => '2010-11-06T02:24:29',
                                                                    'version' => '1.030099_001'
                                                                  },
                                                                  {
                                                                    'date' => '2010-11-07T11:21:33',
                                                                    'version' => '1.030099_002'
                                                                  },
                                                                  {
                                                                    'date' => '2010-11-08T22:35:52',
                                                                    'version' => '1.030099_003'
                                                                  },
                                                                  {
                                                                    'date' => '2010-12-17T21:57:03',
                                                                    'version' => '1.030099_004'
                                                                  },
                                                                  {
                                                                    'date' => '2011-01-01T01:55:09',
                                                                    'version' => '1.030099_005'
                                                                  },
                                                                  {
                                                                    'date' => '2011-10-23T01:35:49',
                                                                    'version' => '1.030099_006'
                                                                  },
                                                                  {
                                                                    'date' => '2011-10-25T23:10:00',
                                                                    'version' => '1.100099_001'
                                                                  },
                                                                  {
                                                                    'date' => '2011-11-02T10:38:05',
                                                                    'version' => '1.100099_002'
                                                                  },
                                                                  {
                                                                    'date' => '2011-11-04T23:01:32',
                                                                    'version' => '1.11'
                                                                  },
                                                                  {
                                                                    'date' => '2011-11-07T17:16:08',
                                                                    'version' => '1.12'
                                                                  },
                                                                  {
                                                                    'date' => '2011-11-15T03:28:36',
                                                                    'version' => '1.13'
                                                                  },
                                                                  {
                                                                    'date' => '2013-04-01T13:17:57',
                                                                    'version' => '1.14'
                                                                  },
                                                                  {
                                                                    'date' => '2013-09-06T23:47:04',
                                                                    'version' => '1.15'
                                                                  },
                                                                  {
                                                                    'date' => '2014-09-15T21:38:12',
                                                                    'version' => '1.16'
                                                                  },
                                                                  {
                                                                    'date' => '2016-01-15T11:45:55',
                                                                    'version' => '1.17'
                                                                  },
                                                                  {
                                                                    'date' => '2016-02-08T01:40:13',
                                                                    'version' => '1.18'
                                                                  }
                                                                ]
                                                },
                       'Otogiri' => {
                                      'advisories' => [
                                                        {
                                                          'affected_versions' => '<0.13',
                                                          'description' => 'A depenpendant module SQL::Maker without strict mode is vulnerable to SQL injection.
',
                                                          'distribution' => 'Otogiri',
                                                          'fixed_versions' => '>=0.13',
                                                          'id' => 'CPANSA-Otogiri-2014-01',
                                                          'references' => [
                                                                            'https://github.com/ytnobody/Otogiri/commit/fac1592b3d153a6871ff1aed8016a6888cff9095',
                                                                            'https://metacpan.org/changes/distribution/Otogiri'
                                                                          ],
                                                          'reported' => '2014-07-03'
                                                        }
                                                      ],
                                      'main_module' => 'Otogiri',
                                      'versions' => [
                                                      {
                                                        'date' => '2013-10-30T06:45:51',
                                                        'version' => '0.01'
                                                      },
                                                      {
                                                        'date' => '2013-11-08T08:36:50',
                                                        'version' => '0.02'
                                                      },
                                                      {
                                                        'date' => '2013-11-09T05:00:47',
                                                        'version' => '0.03'
                                                      },
                                                      {
                                                        'date' => '2013-12-27T00:15:23',
                                                        'version' => '0.04'
                                                      },
                                                      {
                                                        'date' => '2013-12-28T15:54:15',
                                                        'version' => '0.05'
                                                      },
                                                      {
                                                        'date' => '2014-01-14T09:13:18',
                                                        'version' => '0.06'
                                                      },
                                                      {
                                                        'date' => '2014-02-25T06:25:50',
                                                        'version' => '0.07'
                                                      },
                                                      {
                                                        'date' => '2014-03-18T04:14:12',
                                                        'version' => '0.08'
                                                      },
                                                      {
                                                        'date' => '2014-03-18T05:07:37',
                                                        'version' => '0.09'
                                                      },
                                                      {
                                                        'date' => '2014-05-13T12:58:21',
                                                        'version' => '0.10'
                                                      },
                                                      {
                                                        'date' => '2014-05-30T10:11:18',
                                                        'version' => '0.11'
                                                      },
                                                      {
                                                        'date' => '2014-06-05T08:30:13',
                                                        'version' => '0.12'
                                                      },
                                                      {
                                                        'date' => '2014-07-03T12:40:28',
                                                        'version' => '0.13'
                                                      },
                                                      {
                                                        'date' => '2014-12-18T08:37:33',
                                                        'version' => '0.14'
                                                      },
                                                      {
                                                        'date' => '2015-01-11T04:56:15',
                                                        'version' => '0.15'
                                                      },
                                                      {
                                                        'date' => '2015-11-13T07:18:18',
                                                        'version' => '0.16'
                                                      },
                                                      {
                                                        'date' => '2016-02-02T05:58:26',
                                                        'version' => '0.17'
                                                      },
                                                      {
                                                        'date' => '2017-05-19T01:37:05',
                                                        'version' => '0.18'
                                                      }
                                                    ]
                                    },
                       'PAR' => {
                                  'advisories' => [
                                                    {
                                                      'affected_versions' => '<1.003',
                                                      'cves' => [
                                                                  'CVE-2011-4114'
                                                                ],
                                                      'description' => 'PAR packed files are extracted to unsafe and predictable temporary directories (this bug was originally reported against PAR::Packer, but it applies to PAR as well).
',
                                                      'distribution' => 'PAR',
                                                      'fixed_versions' => '>=1.003',
                                                      'id' => 'CPANSA-PAR-2011-01',
                                                      'references' => [
                                                                        'https://metacpan.org/changes/distribution/PAR',
                                                                        'https://rt.cpan.org/Public/Bug/Display.html?id=69560'
                                                                      ],
                                                      'reported' => '2011-07-18'
                                                    }
                                                  ],
                                  'main_module' => 'PAR',
                                  'versions' => [
                                                  {
                                                    'date' => '2002-10-18T20:38:24',
                                                    'version' => '0.01'
                                                  },
                                                  {
                                                    'date' => '2002-10-18T21:07:35',
                                                    'version' => '0.02'
                                                  },
                                                  {
                                                    'date' => '2002-10-18T22:18:06',
                                                    'version' => '0.03'
                                                  },
                                                  {
                                                    'date' => '2002-10-19T02:46:52',
                                                    'version' => '0.04'
                                                  },
                                                  {
                                                    'date' => '2002-10-19T14:33:26',
                                                    'version' => '0.05'
                                                  },
                                                  {
                                                    'date' => '2002-10-19T15:31:54',
                                                    'version' => '0.06'
                                                  },
                                                  {
                                                    'date' => '2002-10-19T17:38:40',
                                                    'version' => '0.10'
                                                  },
                                                  {
                                                    'date' => '2002-10-19T22:30:34',
                                                    'version' => '0.11'
                                                  },
                                                  {
                                                    'date' => '2002-10-20T13:00:43',
                                                    'version' => '0.12'
                                                  },
                                                  {
                                                    'date' => '2002-10-21T17:29:03',
                                                    'version' => '0.13'
                                                  },
                                                  {
                                                    'date' => '2002-10-27T10:38:32',
                                                    'version' => '0.14'
                                                  },
                                                  {
                                                    'date' => '2002-10-27T17:52:07',
                                                    'version' => '0.15'
                                                  },
                                                  {
                                                    'date' => '2002-11-02T02:20:38',
                                                    'version' => '0.20'
                                                  },
                                                  {
                                                    'date' => '2002-11-02T21:26:48',
                                                    'version' => '0.21'
                                                  },
                                                  {
                                                    'date' => '2002-11-03T13:05:06',
                                                    'version' => '0.22'
                                                  },
                                                  {
                                                    'date' => '2002-11-05T14:36:58',
                                                    'version' => '0.30'
                                                  },
                                                  {
                                                    'date' => '2002-11-05T22:23:36',
                                                    'version' => '0.40'
                                                  },
                                                  {
                                                    'date' => '2002-11-06T12:25:00',
                                                    'version' => '0.41'
                                                  },
                                                  {
                                                    'date' => '2002-11-07T00:48:34',
                                                    'version' => '0.42'
                                                  },
                                                  {
                                                    'date' => '2002-11-07T14:41:31',
                                                    'version' => '0.43'
                                                  },
                                                  {
                                                    'date' => '2002-11-08T15:01:18',
                                                    'version' => '0.44'
                                                  },
                                                  {
                                                    'date' => '2002-11-08T21:01:12',
                                                    'version' => '0.45'
                                                  },
                                                  {
                                                    'date' => '2002-11-09T23:02:45',
                                                    'version' => '0.46'
                                                  },
                                                  {
                                                    'date' => '2002-11-10T06:56:37',
                                                    'version' => '0.47'
                                                  },
                                                  {
                                                    'date' => '2002-11-13T11:32:10',
                                                    'version' => '0.48'
                                                  },
                                                  {
                                                    'date' => '2002-11-23T14:45:40',
                                                    'version' => '0.49'
                                                  },
                                                  {
                                                    'date' => '2002-12-03T01:00:23',
                                                    'version' => '0.50'
                                                  },
                                                  {
                                                    'date' => '2002-12-11T14:30:53',
                                                    'version' => '0.51'
                                                  },
                                                  {
                                                    'date' => '2002-12-17T04:06:52',
                                                    'version' => '0.60'
                                                  },
                                                  {
                                                    'date' => '2002-12-17T11:49:44',
                                                    'version' => '0.61'
                                                  },
                                                  {
                                                    'date' => '2003-01-09T11:16:42',
                                                    'version' => '0.62'
                                                  },
                                                  {
                                                    'date' => '2003-02-06T00:38:33',
                                                    'version' => '0.63'
                                                  },
                                                  {
                                                    'date' => '2003-03-01T15:54:25',
                                                    'version' => '0.64'
                                                  },
                                                  {
                                                    'date' => '2003-03-09T14:31:52',
                                                    'version' => '0.65'
                                                  },
                                                  {
                                                    'date' => '2003-03-19T15:54:32',
                                                    'version' => '0.66'
                                                  },
                                                  {
                                                    'date' => '2003-03-31T19:58:56',
                                                    'version' => '0.66'
                                                  },
                                                  {
                                                    'date' => '2003-05-16T17:35:22',
                                                    'version' => '0.67_89'
                                                  },
                                                  {
                                                    'date' => '2003-05-25T19:09:58',
                                                    'version' => '0.68'
                                                  },
                                                  {
                                                    'date' => '2003-05-31T13:12:53',
                                                    'version' => '0.69'
                                                  },
                                                  {
                                                    'date' => '2003-07-08T15:39:11',
                                                    'version' => '0.69'
                                                  },
                                                  {
                                                    'date' => '2003-07-16T08:20:09',
                                                    'version' => '0.69_91'
                                                  },
                                                  {
                                                    'date' => '2003-07-27T14:13:18',
                                                    'version' => '0.69_93'
                                                  },
                                                  {
                                                    'date' => '2003-07-29T08:21:31',
                                                    'version' => '0.70'
                                                  },
                                                  {
                                                    'date' => '2003-07-30T13:57:01',
                                                    'version' => '0.71'
                                                  },
                                                  {
                                                    'date' => '2003-08-02T13:11:15',
                                                    'version' => '0.72'
                                                  },
                                                  {
                                                    'date' => '2003-08-06T09:16:17',
                                                    'version' => '0.73'
                                                  },
                                                  {
                                                    'date' => '2003-08-25T13:39:35',
                                                    'version' => '0.74'
                                                  },
                                                  {
                                                    'date' => '2003-09-21T10:58:00',
                                                    'version' => '0.75'
                                                  },
                                                  {
                                                    'date' => '2003-10-23T04:45:55',
                                                    'version' => '0.75_99'
                                                  },
                                                  {
                                                    'date' => '2003-10-28T12:21:23',
                                                    'version' => '0.76'
                                                  },
                                                  {
                                                    'date' => '2003-12-11T23:00:26',
                                                    'version' => '0.76_98'
                                                  },
                                                  {
                                                    'date' => '2003-12-28T02:31:29',
                                                    'version' => '0.76_99'
                                                  },
                                                  {
                                                    'date' => '2003-12-31T15:33:24',
                                                    'version' => '0.77'
                                                  },
                                                  {
                                                    'date' => '2004-01-03T17:36:11',
                                                    'version' => '0.77_98'
                                                  },
                                                  {
                                                    'date' => '2004-01-04T20:30:15',
                                                    'version' => '0.77_99'
                                                  },
                                                  {
                                                    'date' => '2004-01-06T21:26:43',
                                                    'version' => '0.78'
                                                  },
                                                  {
                                                    'date' => '2004-01-08T11:35:51',
                                                    'version' => '0.79'
                                                  },
                                                  {
                                                    'date' => '2004-02-15T23:25:34',
                                                    'version' => '0.79_97'
                                                  },
                                                  {
                                                    'date' => '2004-02-27T15:58:33',
                                                    'version' => '0.79_98'
                                                  },
                                                  {
                                                    'date' => '2004-02-27T23:54:39',
                                                    'version' => '0.79_98'
                                                  },
                                                  {
                                                    'date' => '2004-03-03T14:49:47',
                                                    'version' => '0.79_99'
                                                  },
                                                  {
                                                    'date' => '2004-03-16T17:04:25',
                                                    'version' => '0.80'
                                                  },
                                                  {
                                                    'date' => '2004-03-28T14:43:14',
                                                    'version' => '0.80_99'
                                                  },
                                                  {
                                                    'date' => '2004-05-22T19:13:38',
                                                    'version' => '0.81'
                                                  },
                                                  {
                                                    'date' => '2004-05-24T14:59:45',
                                                    'version' => '0.82'
                                                  },
                                                  {
                                                    'date' => '2004-05-29T16:02:03',
                                                    'version' => '0.83'
                                                  },
                                                  {
                                                    'date' => '2004-07-02T10:59:55',
                                                    'version' => '0.85'
                                                  },
                                                  {
                                                    'date' => '2004-08-30T22:49:15',
                                                    'version' => '0.85_01'
                                                  },
                                                  {
                                                    'date' => '2004-12-11T03:49:09',
                                                    'version' => '0.86'
                                                  },
                                                  {
                                                    'date' => '2005-01-30T19:04:55',
                                                    'version' => '0.87'
                                                  },
                                                  {
                                                    'date' => '2005-06-07T09:13:43',
                                                    'version' => '0.88'
                                                  },
                                                  {
                                                    'date' => '2005-06-10T15:49:20',
                                                    'version' => '0.89'
                                                  },
                                                  {
                                                    'date' => '2005-11-25T23:01:00',
                                                    'version' => '0.90'
                                                  },
                                                  {
                                                    'date' => '2006-02-15T09:33:05',
                                                    'version' => '0.91'
                                                  },
                                                  {
                                                    'date' => '2006-03-04T20:16:36',
                                                    'version' => '0.91'
                                                  },
                                                  {
                                                    'date' => '2006-05-19T13:37:12',
                                                    'version' => '0.93'
                                                  },
                                                  {
                                                    'date' => '2006-06-02T10:25:51',
                                                    'version' => '0.93'
                                                  },
                                                  {
                                                    'date' => '2006-06-20T20:44:56',
                                                    'version' => '0.93'
                                                  },
                                                  {
                                                    'date' => '2006-07-22T19:59:13',
                                                    'version' => '0.942'
                                                  },
                                                  {
                                                    'date' => '2006-08-05T11:28:06',
                                                    'version' => '0.950'
                                                  },
                                                  {
                                                    'date' => '2006-08-11T15:51:56',
                                                    'version' => '0.950'
                                                  },
                                                  {
                                                    'date' => '2006-08-12T12:35:34',
                                                    'version' => '0.950'
                                                  },
                                                  {
                                                    'date' => '2006-08-22T14:14:35',
                                                    'version' => '0.952'
                                                  },
                                                  {
                                                    'date' => '2006-09-26T20:18:06',
                                                    'version' => '0.954'
                                                  },
                                                  {
                                                    'date' => '2006-10-03T12:35:05',
                                                    'version' => '0.955'
                                                  },
                                                  {
                                                    'date' => '2006-10-03T12:58:55',
                                                    'version' => '0.956'
                                                  },
                                                  {
                                                    'date' => '2006-10-24T16:42:26',
                                                    'version' => '0.957'
                                                  },
                                                  {
                                                    'date' => '2006-11-11T14:33:23',
                                                    'version' => '0.958'
                                                  },
                                                  {
                                                    'date' => '2006-11-12T11:48:37',
                                                    'version' => '0.959'
                                                  },
                                                  {
                                                    'date' => '2006-11-21T12:02:35',
                                                    'version' => '0.960'
                                                  },
                                                  {
                                                    'date' => '2006-12-01T14:19:55',
                                                    'version' => '0.969_01'
                                                  },
                                                  {
                                                    'date' => '2006-12-03T17:25:33',
                                                    'version' => '0.970'
                                                  },
                                                  {
                                                    'date' => '2007-01-10T17:58:01',
                                                    'version' => '0.970_01'
                                                  },
                                                  {
                                                    'date' => '2007-01-12T11:02:02',
                                                    'version' => '0.971'
                                                  },
                                                  {
                                                    'date' => '2007-01-16T15:23:38',
                                                    'version' => '0.972'
                                                  },
                                                  {
                                                    'date' => '2007-02-03T11:40:25',
                                                    'version' => '0.973'
                                                  },
                                                  {
                                                    'date' => '2007-07-29T11:17:27',
                                                    'version' => '0.976'
                                                  },
                                                  {
                                                    'date' => '2007-12-20T21:17:26',
                                                    'version' => '0.977'
                                                  },
                                                  {
                                                    'date' => '2008-05-13T12:44:22',
                                                    'version' => '0.979'
                                                  },
                                                  {
                                                    'date' => '2008-05-22T11:41:38',
                                                    'version' => '0.980'
                                                  },
                                                  {
                                                    'date' => '2008-08-09T22:17:14',
                                                    'version' => '0.980'
                                                  },
                                                  {
                                                    'date' => '2008-08-10T21:39:41',
                                                    'version' => '0.980'
                                                  },
                                                  {
                                                    'date' => '2008-09-12T15:02:23',
                                                    'version' => '0.983'
                                                  },
                                                  {
                                                    'date' => '2009-01-25T22:31:20',
                                                    'version' => '0.984'
                                                  },
                                                  {
                                                    'date' => '2009-02-02T01:40:36',
                                                    'version' => '0.985_01'
                                                  },
                                                  {
                                                    'date' => '2009-02-19T16:04:27',
                                                    'version' => '0.986'
                                                  },
                                                  {
                                                    'date' => '2009-02-20T14:30:08',
                                                    'version' => '0.987_01'
                                                  },
                                                  {
                                                    'date' => '2009-03-02T14:47:14',
                                                    'version' => '0.988'
                                                  },
                                                  {
                                                    'date' => '2009-03-02T14:56:44',
                                                    'version' => '0.989_01'
                                                  },
                                                  {
                                                    'date' => '2009-03-10T15:11:05',
                                                    'version' => '0.991'
                                                  },
                                                  {
                                                    'date' => '2009-04-05T11:32:48',
                                                    'version' => '0.992'
                                                  },
                                                  {
                                                    'date' => '2009-07-19T16:37:30',
                                                    'version' => '0.993'
                                                  },
                                                  {
                                                    'date' => '2009-07-23T13:08:07',
                                                    'version' => '0.994'
                                                  },
                                                  {
                                                    'date' => '2010-04-10T14:05:52',
                                                    'version' => '1.000'
                                                  },
                                                  {
                                                    'date' => '2010-07-25T09:32:33',
                                                    'version' => '1.001'
                                                  },
                                                  {
                                                    'date' => '2010-07-25T10:07:06',
                                                    'version' => '1.002'
                                                  },
                                                  {
                                                    'date' => '2011-11-28T16:53:29',
                                                    'version' => '1.003'
                                                  },
                                                  {
                                                    'date' => '2011-11-30T22:31:25',
                                                    'version' => '1.004'
                                                  },
                                                  {
                                                    'date' => '2011-12-02T13:53:02',
                                                    'version' => '1.005'
                                                  },
                                                  {
                                                    'date' => '2012-10-14T22:45:17',
                                                    'version' => '1.006'
                                                  },
                                                  {
                                                    'date' => '2012-10-22T21:50:20',
                                                    'version' => '1.007'
                                                  },
                                                  {
                                                    'date' => '2015-01-24T14:11:44',
                                                    'version' => '1.008'
                                                  },
                                                  {
                                                    'date' => '2015-04-22T15:26:50',
                                                    'version' => '1.009'
                                                  },
                                                  {
                                                    'date' => '2015-07-13T10:56:21',
                                                    'version' => '1.010'
                                                  },
                                                  {
                                                    'date' => '2016-09-18T11:33:22',
                                                    'version' => '1.011'
                                                  },
                                                  {
                                                    'date' => '2016-11-25T16:06:43',
                                                    'version' => '1.012'
                                                  },
                                                  {
                                                    'date' => '2016-11-27T16:51:00',
                                                    'version' => '1.013'
                                                  },
                                                  {
                                                    'date' => '2016-12-18T16:36:08',
                                                    'version' => '1.014'
                                                  },
                                                  {
                                                    'date' => '2017-04-13T15:29:12',
                                                    'version' => '1.015'
                                                  }
                                                ]
                                },
                       'PAR-Packer' => {
                                         'advisories' => [
                                                           {
                                                             'affected_versions' => '<1.011',
                                                             'cves' => [
                                                                         'CVE-2011-4114'
                                                                       ],
                                                             'description' => 'PAR packed files are extracted to unsafe and predictable temporary directories.
',
                                                             'distribution' => 'PAR-Packer',
                                                             'fixed_versions' => '>=1.011',
                                                             'id' => 'CPANSA-PAR-Packer-2011-01',
                                                             'references' => [
                                                                               'https://metacpan.org/changes/distribution/PAR-Packer',
                                                                               'https://rt.cpan.org/Public/Bug/Display.html?id=69560'
                                                                             ],
                                                             'reported' => '2011-07-18'
                                                           }
                                                         ],
                                         'main_module' => 'PAR::Packer',
                                         'versions' => [
                                                         {
                                                           'date' => '2006-12-01T14:20:06',
                                                           'version' => '0.969_01'
                                                         },
                                                         {
                                                           'date' => '2006-12-03T17:36:32',
                                                           'version' => '0.970'
                                                         },
                                                         {
                                                           'date' => '2007-02-03T12:27:07',
                                                           'version' => '0.973'
                                                         },
                                                         {
                                                           'date' => '2007-05-07T18:21:52',
                                                           'version' => '0.975'
                                                         },
                                                         {
                                                           'date' => '2007-07-29T11:50:15',
                                                           'version' => '0.976'
                                                         },
                                                         {
                                                           'date' => '2007-12-20T21:39:30',
                                                           'version' => '0.977'
                                                         },
                                                         {
                                                           'date' => '2008-02-29T18:37:56',
                                                           'version' => '0.978'
                                                         },
                                                         {
                                                           'date' => '2008-05-13T15:45:56',
                                                           'version' => '0.979'
                                                         },
                                                         {
                                                           'date' => '2008-05-14T10:27:09',
                                                           'version' => '0.980'
                                                         },
                                                         {
                                                           'date' => '2008-07-29T15:44:11',
                                                           'version' => '0.982'
                                                         },
                                                         {
                                                           'date' => '2009-03-10T15:55:06',
                                                           'version' => '0.980'
                                                         },
                                                         {
                                                           'date' => '2009-03-21T11:20:02',
                                                           'version' => '0.991'
                                                         },
                                                         {
                                                           'date' => '2009-07-19T16:47:51',
                                                           'version' => '0.992_01'
                                                         },
                                                         {
                                                           'date' => '2009-07-23T13:18:32',
                                                           'version' => '0.992_02'
                                                         },
                                                         {
                                                           'date' => '2009-07-24T18:30:24',
                                                           'version' => '0.992_03'
                                                         },
                                                         {
                                                           'date' => '2009-09-11T07:38:47',
                                                           'version' => '0.992_04'
                                                         },
                                                         {
                                                           'date' => '2009-11-13T09:01:15',
                                                           'version' => '0.992_05'
                                                         },
                                                         {
                                                           'date' => '2009-11-20T13:59:38',
                                                           'version' => '0.992_06'
                                                         },
                                                         {
                                                           'date' => '2009-11-22T13:08:12',
                                                           'version' => '1.000'
                                                         },
                                                         {
                                                           'date' => '2009-11-24T11:16:58',
                                                           'version' => '1.001'
                                                         },
                                                         {
                                                           'date' => '2009-12-17T20:55:25',
                                                           'version' => '1.002'
                                                         },
                                                         {
                                                           'date' => '2010-04-10T17:57:57',
                                                           'version' => '1.003'
                                                         },
                                                         {
                                                           'date' => '2010-04-20T12:10:24',
                                                           'version' => '1.004'
                                                         },
                                                         {
                                                           'date' => '2010-06-05T15:54:54',
                                                           'version' => '1.005'
                                                         },
                                                         {
                                                           'date' => '2010-06-26T11:23:34',
                                                           'version' => '1.006'
                                                         },
                                                         {
                                                           'date' => '2010-09-09T16:42:00',
                                                           'version' => '1.007'
                                                         },
                                                         {
                                                           'date' => '2010-11-21T17:11:43',
                                                           'version' => '1.008'
                                                         },
                                                         {
                                                           'date' => '2011-03-26T13:36:55',
                                                           'version' => '1.009'
                                                         },
                                                         {
                                                           'date' => '2011-07-13T14:10:05',
                                                           'version' => '1.010'
                                                         },
                                                         {
                                                           'date' => '2011-12-01T21:08:37',
                                                           'version' => '1.011'
                                                         },
                                                         {
                                                           'date' => '2011-12-02T17:53:42',
                                                           'version' => '1.012'
                                                         },
                                                         {
                                                           'date' => '2012-02-22T09:58:04',
                                                           'version' => '1.013'
                                                         },
                                                         {
                                                           'date' => '2012-12-21T15:55:13',
                                                           'version' => '1.014'
                                                         },
                                                         {
                                                           'date' => '2013-10-09T12:06:04',
                                                           'version' => '1.015'
                                                         },
                                                         {
                                                           'date' => '2013-11-30T19:03:48',
                                                           'version' => '1.016'
                                                         },
                                                         {
                                                           'date' => '2013-12-03T23:53:51',
                                                           'version' => '1.017'
                                                         },
                                                         {
                                                           'date' => '2014-05-18T16:52:34',
                                                           'version' => '1.018'
                                                         },
                                                         {
                                                           'date' => '2014-07-07T14:25:15',
                                                           'version' => '1.019'
                                                         },
                                                         {
                                                           'date' => '2014-08-24T13:27:57',
                                                           'version' => '1.020'
                                                         },
                                                         {
                                                           'date' => '2014-09-14T13:49:37',
                                                           'version' => '1.021'
                                                         },
                                                         {
                                                           'date' => '2014-09-19T10:07:30',
                                                           'version' => '1.022'
                                                         },
                                                         {
                                                           'date' => '2014-11-02T14:32:42',
                                                           'version' => '1.023'
                                                         },
                                                         {
                                                           'date' => '2014-11-07T09:04:07',
                                                           'version' => '1.024'
                                                         },
                                                         {
                                                           'date' => '2015-01-24T16:52:17',
                                                           'version' => '1.025'
                                                         },
                                                         {
                                                           'date' => '2015-07-19T13:14:40',
                                                           'version' => '1.026'
                                                         },
                                                         {
                                                           'date' => '2015-11-18T16:58:33',
                                                           'version' => '1.027'
                                                         },
                                                         {
                                                           'date' => '2015-11-19T09:05:09',
                                                           'version' => '1.027'
                                                         },
                                                         {
                                                           'date' => '2016-01-12T16:24:46',
                                                           'version' => '1.029'
                                                         },
                                                         {
                                                           'date' => '2016-02-02T14:54:21',
                                                           'version' => '1.029_01'
                                                         },
                                                         {
                                                           'date' => '2016-02-11T14:08:57',
                                                           'version' => '1.029_02'
                                                         },
                                                         {
                                                           'date' => '2016-02-25T08:41:55',
                                                           'version' => '1.029_03'
                                                         },
                                                         {
                                                           'date' => '2016-02-29T08:36:46',
                                                           'version' => '1.029_04'
                                                         },
                                                         {
                                                           'date' => '2016-03-29T08:29:59',
                                                           'version' => '1.030'
                                                         },
                                                         {
                                                           'date' => '2016-04-10T17:15:52',
                                                           'version' => '1.031'
                                                         },
                                                         {
                                                           'date' => '2016-04-29T17:01:57',
                                                           'version' => '1.031_01'
                                                         },
                                                         {
                                                           'date' => '2016-05-07T09:59:28',
                                                           'version' => '1.032'
                                                         },
                                                         {
                                                           'date' => '2016-05-19T09:50:49',
                                                           'version' => '1.033'
                                                         },
                                                         {
                                                           'date' => '2016-07-17T12:38:31',
                                                           'version' => '1.034'
                                                         },
                                                         {
                                                           'date' => '2016-07-23T12:04:14',
                                                           'version' => '1.035'
                                                         },
                                                         {
                                                           'date' => '2016-12-04T17:13:20',
                                                           'version' => '1.035_001'
                                                         },
                                                         {
                                                           'date' => '2016-12-19T19:35:16',
                                                           'version' => '1.035_002'
                                                         },
                                                         {
                                                           'date' => '2016-12-30T11:06:25',
                                                           'version' => '1.036'
                                                         },
                                                         {
                                                           'date' => '2017-03-22T19:29:19',
                                                           'version' => '1.036_001'
                                                         },
                                                         {
                                                           'date' => '2017-05-14T11:54:43',
                                                           'version' => '1.036_002'
                                                         },
                                                         {
                                                           'date' => '2017-05-28T11:33:53',
                                                           'version' => '1.037'
                                                         },
                                                         {
                                                           'date' => '2017-09-27T19:40:44',
                                                           'version' => '1.038'
                                                         },
                                                         {
                                                           'date' => '2017-09-28T05:13:05',
                                                           'version' => '1.039'
                                                         },
                                                         {
                                                           'date' => '2017-10-10T17:00:14',
                                                           'version' => '1.039_001'
                                                         },
                                                         {
                                                           'date' => '2017-10-13T12:05:52',
                                                           'version' => '1.039_002'
                                                         },
                                                         {
                                                           'date' => '2017-10-16T20:46:49',
                                                           'version' => '1.039_003'
                                                         },
                                                         {
                                                           'date' => '2017-10-17T17:07:49',
                                                           'version' => '1.039_004'
                                                         },
                                                         {
                                                           'date' => '2017-10-21T16:09:18',
                                                           'version' => '1.040'
                                                         },
                                                         {
                                                           'date' => '2017-11-08T17:07:11',
                                                           'version' => '1.041'
                                                         },
                                                         {
                                                           'date' => '2018-04-02T21:46:01',
                                                           'version' => '1.042'
                                                         },
                                                         {
                                                           'date' => '2018-04-03T11:26:08',
                                                           'version' => '1.043'
                                                         },
                                                         {
                                                           'date' => '2018-06-06T22:03:32',
                                                           'version' => '1.044'
                                                         },
                                                         {
                                                           'date' => '2018-06-12T19:04:22',
                                                           'version' => '1.045'
                                                         },
                                                         {
                                                           'date' => '2018-08-17T22:20:28',
                                                           'version' => '1.046'
                                                         },
                                                         {
                                                           'date' => '2018-08-19T09:17:57',
                                                           'version' => '1.047'
                                                         },
                                                         {
                                                           'date' => '2019-03-04T09:42:35',
                                                           'version' => '1.047_001'
                                                         },
                                                         {
                                                           'date' => '2019-03-04T15:33:14',
                                                           'version' => '1.047_002'
                                                         },
                                                         {
                                                           'date' => '2019-03-06T17:39:18',
                                                           'version' => '1.047_003'
                                                         }
                                                       ]
                                       },
                       'PathTools' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<3.65',
                                                            'cves' => [
                                                                        'CVE-2016-1238'
                                                                      ],
                                                            'description' => 'Does not properly remove . (period) characters from the end of the includes directory array, which might allow local users to gain privileges via a Trojan horse module under the current working directory.
',
                                                            'distribution' => 'PathTools',
                                                            'fixed_versions' => '>=3.65',
                                                            'id' => 'CPANSA-PathTools-2016-02',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/PathTools'
                                                                            ],
                                                            'reported' => '2016-02-08'
                                                          },
                                                          {
                                                            'affected_versions' => '<3.62',
                                                            'cves' => [
                                                                        'CVE-2015-8607'
                                                                      ],
                                                            'description' => 'Does not properly preserve the taint attribute of data, which might allow context-dependent attackers to bypass the taint protection mechanism via a crafted string.
',
                                                            'distribution' => 'PathTools',
                                                            'fixed_versions' => '>=3.62',
                                                            'id' => 'CPANSA-PathTools-2016-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/PathTools'
                                                                            ],
                                                            'reported' => '2016-01-11'
                                                          }
                                                        ],
                                        'main_module' => 'Cwd',
                                        'versions' => [
                                                        {
                                                          'date' => '2004-09-03T03:40:00',
                                                          'version' => '3.00'
                                                        },
                                                        {
                                                          'date' => '2004-09-07T03:39:26',
                                                          'version' => '3.01'
                                                        },
                                                        {
                                                          'date' => '2004-11-19T04:26:35',
                                                          'version' => '3.01_01'
                                                        },
                                                        {
                                                          'date' => '2004-11-29T04:20:10',
                                                          'version' => '3.01_02'
                                                        },
                                                        {
                                                          'date' => '2004-11-30T02:34:46',
                                                          'version' => '3.01_03'
                                                        },
                                                        {
                                                          'date' => '2005-01-10T01:33:05',
                                                          'version' => '3.02'
                                                        },
                                                        {
                                                          'date' => '2005-01-22T03:59:59',
                                                          'version' => '3.03'
                                                        },
                                                        {
                                                          'date' => '2005-02-07T00:28:43',
                                                          'version' => '3.04'
                                                        },
                                                        {
                                                          'date' => '2005-02-28T13:27:37',
                                                          'version' => '3.05'
                                                        },
                                                        {
                                                          'date' => '2005-04-14T02:06:10',
                                                          'version' => '3.06'
                                                        },
                                                        {
                                                          'date' => '2005-05-06T12:50:38',
                                                          'version' => '3.07'
                                                        },
                                                        {
                                                          'date' => '2005-05-28T15:13:27',
                                                          'version' => '3.08'
                                                        },
                                                        {
                                                          'date' => '2005-06-15T23:45:19',
                                                          'version' => '3.09'
                                                        },
                                                        {
                                                          'date' => '2005-08-26T03:29:11',
                                                          'version' => '3.10'
                                                        },
                                                        {
                                                          'date' => '2005-08-28T01:16:38',
                                                          'version' => '3.11'
                                                        },
                                                        {
                                                          'date' => '2005-10-04T03:14:00',
                                                          'version' => '3.12'
                                                        },
                                                        {
                                                          'date' => '2005-11-16T05:58:53',
                                                          'version' => '3.13'
                                                        },
                                                        {
                                                          'date' => '2005-11-18T00:15:37',
                                                          'version' => '3.14'
                                                        },
                                                        {
                                                          'date' => '2005-12-10T04:51:57',
                                                          'version' => '3.14_01'
                                                        },
                                                        {
                                                          'date' => '2005-12-14T05:11:27',
                                                          'version' => '3.14_02'
                                                        },
                                                        {
                                                          'date' => '2005-12-27T20:32:26',
                                                          'version' => '3.15'
                                                        },
                                                        {
                                                          'date' => '2006-01-31T02:52:07',
                                                          'version' => '3.16'
                                                        },
                                                        {
                                                          'date' => '2006-03-03T22:55:18',
                                                          'version' => '3.17'
                                                        },
                                                        {
                                                          'date' => '2006-04-28T03:04:00',
                                                          'version' => '3.18'
                                                        },
                                                        {
                                                          'date' => '2006-07-12T03:43:15',
                                                          'version' => '3.19'
                                                        },
                                                        {
                                                          'date' => '2006-10-05T02:18:51',
                                                          'version' => '3.21'
                                                        },
                                                        {
                                                          'date' => '2006-10-10T02:53:23',
                                                          'version' => '3.22'
                                                        },
                                                        {
                                                          'date' => '2006-10-11T17:13:59',
                                                          'version' => '3.23'
                                                        },
                                                        {
                                                          'date' => '2006-11-20T04:53:56',
                                                          'version' => '3.24'
                                                        },
                                                        {
                                                          'date' => '2007-05-22T02:08:53',
                                                          'version' => '3.25'
                                                        },
                                                        {
                                                          'date' => '2007-10-14T02:15:40',
                                                          'version' => '3.25_01'
                                                        },
                                                        {
                                                          'date' => '2007-12-25T02:34:28',
                                                          'version' => '3.2501'
                                                        },
                                                        {
                                                          'date' => '2008-01-14T12:02:28',
                                                          'version' => '3.26'
                                                        },
                                                        {
                                                          'date' => '2008-01-15T23:27:33',
                                                          'version' => '3.26_01'
                                                        },
                                                        {
                                                          'date' => '2008-01-17T02:21:47',
                                                          'version' => '3.27'
                                                        },
                                                        {
                                                          'date' => '2008-02-12T03:46:01',
                                                          'version' => '3.2701'
                                                        },
                                                        {
                                                          'date' => '2008-07-26T02:19:45',
                                                          'version' => '3.28_01'
                                                        },
                                                        {
                                                          'date' => '2008-10-27T19:27:37',
                                                          'version' => '3.28_02'
                                                        },
                                                        {
                                                          'date' => '2008-10-27T21:16:35',
                                                          'version' => '3.28_03'
                                                        },
                                                        {
                                                          'date' => '2008-10-29T20:11:52',
                                                          'version' => '3.29'
                                                        },
                                                        {
                                                          'date' => '2009-05-07T18:27:46',
                                                          'version' => '3.29_01'
                                                        },
                                                        {
                                                          'date' => '2009-05-10T08:59:46',
                                                          'version' => '3.30'
                                                        },
                                                        {
                                                          'date' => '2009-09-21T12:46:15',
                                                          'version' => '3.30_01'
                                                        },
                                                        {
                                                          'date' => '2009-09-29T06:22:30',
                                                          'version' => '3.30_02'
                                                        },
                                                        {
                                                          'date' => '2009-11-01T14:22:36',
                                                          'version' => '3.31'
                                                        },
                                                        {
                                                          'date' => '2010-07-23T08:10:31',
                                                          'version' => '3.31_02'
                                                        },
                                                        {
                                                          'date' => '2010-09-17T13:24:05',
                                                          'version' => '3.31_03'
                                                        },
                                                        {
                                                          'date' => '2010-09-19T15:53:14',
                                                          'version' => '3.32'
                                                        },
                                                        {
                                                          'date' => '2010-09-20T07:54:00',
                                                          'version' => '3.33'
                                                        },
                                                        {
                                                          'date' => '2011-12-20T07:42:29',
                                                          'version' => '3.39_01'
                                                        },
                                                        {
                                                          'date' => '2013-01-16T06:35:08',
                                                          'version' => '3.40'
                                                        },
                                                        {
                                                          'date' => '2014-05-01T18:34:31',
                                                          'version' => '3.46_01'
                                                        },
                                                        {
                                                          'date' => '2014-05-23T17:00:38',
                                                          'version' => '3.47'
                                                        },
                                                        {
                                                          'date' => '2015-07-11T22:18:08',
                                                          'version' => '3.56_01'
                                                        },
                                                        {
                                                          'date' => '2015-07-16T15:33:27',
                                                          'version' => '3.56_02'
                                                        },
                                                        {
                                                          'date' => '2015-11-09T22:09:25',
                                                          'version' => '3.58_01'
                                                        },
                                                        {
                                                          'date' => '2015-11-13T23:46:00',
                                                          'version' => '3.59'
                                                        },
                                                        {
                                                          'date' => '2015-11-19T02:32:50',
                                                          'version' => '3.60'
                                                        },
                                                        {
                                                          'date' => '2016-01-11T13:49:31',
                                                          'version' => '3.62'
                                                        },
                                                        {
                                                          'date' => '2018-02-18T20:27:27',
                                                          'version' => '3.73'
                                                        },
                                                        {
                                                          'date' => '2018-02-19T08:41:14',
                                                          'version' => '3.74'
                                                        },
                                                        {
                                                          'date' => '2018-08-29T19:53:19',
                                                          'version' => '3.75'
                                                        }
                                                      ]
                                      },
                       'Perl-Version' => {
                                           'advisories' => [
                                                             {
                                                               'affected_versions' => '<1.013',
                                                               'description' => 'Insecure dependency File::Slurp is used.
',
                                                               'distribution' => 'Perl-Version',
                                                               'fixed_versions' => '>=1.013',
                                                               'id' => 'CPANSA-Perl-Version-2014-01',
                                                               'references' => [
                                                                                 'https://metacpan.org/changes/distribution/Perl-Version',
                                                                                 'https://rt.cpan.org/Public/Bug/Display.html?id=92974'
                                                                               ],
                                                               'reported' => '2014-02-12'
                                                             }
                                                           ],
                                           'main_module' => 'Perl::Version',
                                           'versions' => [
                                                           {
                                                             'date' => '2007-02-07T19:41:42',
                                                             'version' => 'v0.0.1'
                                                           },
                                                           {
                                                             'date' => '2007-02-23T18:03:11',
                                                             'version' => 'v0.0.3'
                                                           },
                                                           {
                                                             'date' => '2007-02-24T18:03:42',
                                                             'version' => 'v0.0.4'
                                                           },
                                                           {
                                                             'date' => '2007-02-25T12:41:13',
                                                             'version' => 'v0.0.5'
                                                           },
                                                           {
                                                             'date' => '2007-02-27T12:46:07',
                                                             'version' => 'v0.0.6'
                                                           },
                                                           {
                                                             'date' => '2007-02-28T01:27:59',
                                                             'version' => 'v0.0.7'
                                                           },
                                                           {
                                                             'date' => '2007-06-20T16:09:31',
                                                             'version' => '0.0.8'
                                                           },
                                                           {
                                                             'date' => '2007-09-03T14:28:35',
                                                             'version' => 'v1.000'
                                                           },
                                                           {
                                                             'date' => '2007-09-07T15:42:58',
                                                             'version' => 'v1.001'
                                                           },
                                                           {
                                                             'date' => '2007-09-07T15:58:18',
                                                             'version' => 'v1.002'
                                                           },
                                                           {
                                                             'date' => '2007-11-08T12:14:27',
                                                             'version' => '1.003'
                                                           },
                                                           {
                                                             'date' => '2007-11-08T12:24:59',
                                                             'version' => '1.004'
                                                           },
                                                           {
                                                             'date' => '2008-04-03T14:56:16',
                                                             'version' => '1.005'
                                                           },
                                                           {
                                                             'date' => '2008-04-07T19:14:56',
                                                             'version' => '1.006'
                                                           },
                                                           {
                                                             'date' => '2008-04-07T19:27:24',
                                                             'version' => '1.007'
                                                           },
                                                           {
                                                             'date' => '2009-03-07T16:40:03',
                                                             'version' => '1.008'
                                                           },
                                                           {
                                                             'date' => '2009-03-09T16:22:08',
                                                             'version' => '1.009'
                                                           },
                                                           {
                                                             'date' => '2010-09-19T15:37:48',
                                                             'version' => '1.010'
                                                           },
                                                           {
                                                             'date' => '2011-02-21T21:32:17',
                                                             'version' => '1.011'
                                                           },
                                                           {
                                                             'date' => '2014-02-12T20:58:43',
                                                             'version' => '1.013'
                                                           },
                                                           {
                                                             'date' => '2014-02-14T16:08:42',
                                                             'version' => '1.013_01'
                                                           },
                                                           {
                                                             'date' => '2014-02-18T16:42:57',
                                                             'version' => '1.013_02'
                                                           },
                                                           {
                                                             'date' => '2015-11-21T06:05:48',
                                                             'version' => '1.013_03'
                                                           }
                                                         ]
                                         },
                       'Plack-Middleware-Session' => {
                                                       'advisories' => [
                                                                         {
                                                                           'affected_versions' => '<=0.21',
                                                                           'description' => 'Plack::Middleware::Session::Cookie 0.21 has a security vulnerability where it allows an attacker to execute arbitrary code on the server, when the middleware is enabled without a secret.
',
                                                                           'distribution' => 'Plack-Middleware-Session',
                                                                           'fixed_versions' => '>0.21',
                                                                           'id' => 'CPANSA-Plack-Middleware-Session-2014-01',
                                                                           'references' => [
                                                                                             'https://gist.github.com/miyagawa/2b8764af908a0dacd43d',
                                                                                             'https://metacpan.org/changes/distribution/Plack-Middleware-Session'
                                                                                           ],
                                                                           'reported' => '2014-08-11',
                                                                           'severity' => 'critical'
                                                                         }
                                                                       ],
                                                       'main_module' => 'Plack::Middleware::Session',
                                                       'versions' => [
                                                                       {
                                                                         'date' => '2009-12-15T18:59:13',
                                                                         'version' => '0.01'
                                                                       },
                                                                       {
                                                                         'date' => '2009-12-19T19:27:38',
                                                                         'version' => '0.02'
                                                                       },
                                                                       {
                                                                         'date' => '2010-01-07T22:12:43',
                                                                         'version' => '0.03'
                                                                       },
                                                                       {
                                                                         'date' => '2010-01-30T21:46:53',
                                                                         'version' => '0.09_01'
                                                                       },
                                                                       {
                                                                         'date' => '2010-01-31T07:17:07',
                                                                         'version' => '0.09_02'
                                                                       },
                                                                       {
                                                                         'date' => '2010-02-03T04:46:20',
                                                                         'version' => '0.09_03'
                                                                       },
                                                                       {
                                                                         'date' => '2010-02-23T03:16:31',
                                                                         'version' => '0.10'
                                                                       },
                                                                       {
                                                                         'date' => '2010-02-27T10:47:17',
                                                                         'version' => '0.11'
                                                                       },
                                                                       {
                                                                         'date' => '2010-07-07T22:55:18',
                                                                         'version' => '0.12'
                                                                       },
                                                                       {
                                                                         'date' => '2010-12-22T17:00:14',
                                                                         'version' => '0.13'
                                                                       },
                                                                       {
                                                                         'date' => '2011-03-29T20:50:06',
                                                                         'version' => '0.14'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-04T21:16:35',
                                                                         'version' => '0.15'
                                                                       },
                                                                       {
                                                                         'date' => '2013-02-10T19:43:11',
                                                                         'version' => '0.16'
                                                                       },
                                                                       {
                                                                         'date' => '2013-02-11T23:45:49',
                                                                         'version' => '0.17'
                                                                       },
                                                                       {
                                                                         'date' => '2013-02-12T10:57:14',
                                                                         'version' => '0.17'
                                                                       },
                                                                       {
                                                                         'date' => '2013-06-24T23:09:39',
                                                                         'version' => '0.20'
                                                                       },
                                                                       {
                                                                         'date' => '2013-10-12T18:42:26',
                                                                         'version' => '0.21'
                                                                       },
                                                                       {
                                                                         'date' => '2014-08-11T17:18:03',
                                                                         'version' => '0.22'
                                                                       },
                                                                       {
                                                                         'date' => '2014-08-11T17:23:40',
                                                                         'version' => '0.23'
                                                                       },
                                                                       {
                                                                         'date' => '2014-09-05T11:48:57',
                                                                         'version' => '0.24'
                                                                       },
                                                                       {
                                                                         'date' => '2014-09-29T03:07:54',
                                                                         'version' => '0.25'
                                                                       },
                                                                       {
                                                                         'date' => '2015-02-03T08:17:55',
                                                                         'version' => '0.26'
                                                                       },
                                                                       {
                                                                         'date' => '2015-02-14T00:52:35',
                                                                         'version' => '0.27'
                                                                       },
                                                                       {
                                                                         'date' => '2015-02-16T16:30:31',
                                                                         'version' => '0.28'
                                                                       },
                                                                       {
                                                                         'date' => '2015-02-17T23:57:32',
                                                                         'version' => '0.29'
                                                                       },
                                                                       {
                                                                         'date' => '2015-03-02T18:25:56',
                                                                         'version' => '0.30'
                                                                       },
                                                                       {
                                                                         'date' => '2019-02-26T19:01:59',
                                                                         'version' => '0.31'
                                                                       },
                                                                       {
                                                                         'date' => '2019-02-26T21:36:43',
                                                                         'version' => '0.32'
                                                                       }
                                                                     ]
                                                     },
                       'RT-Authen-ExternalAuth' => {
                                                     'advisories' => [
                                                                       {
                                                                         'affected_versions' => '<0.27',
                                                                         'cves' => [
                                                                                     'CVE-2017-5361'
                                                                                   ],
                                                                         'description' => 'Timing sidechannel vulnerability in password checking.
',
                                                                         'distribution' => 'RT-Authen-ExternalAuth',
                                                                         'fixed_versions' => '>=0.27',
                                                                         'id' => 'CPANSA-RT-Authen-ExternalAuth-2017-01',
                                                                         'references' => [
                                                                                           'https://metacpan.org/changes/distribution/RT-Authen-ExternalAuth'
                                                                                         ],
                                                                         'reported' => '2017-06-15'
                                                                       }
                                                                     ],
                                                     'main_module' => 'RT::Authen::ExternalAuth',
                                                     'versions' => [
                                                                     {
                                                                       'date' => '2008-03-13T16:16:36',
                                                                       'version' => '0.01'
                                                                     },
                                                                     {
                                                                       'date' => '2008-03-17T13:34:40',
                                                                       'version' => '0.02'
                                                                     },
                                                                     {
                                                                       'date' => '2008-03-31T14:55:18',
                                                                       'version' => '0.03'
                                                                     },
                                                                     {
                                                                       'date' => '2008-04-03T14:20:36',
                                                                       'version' => '0.04'
                                                                     },
                                                                     {
                                                                       'date' => '2008-04-09T08:57:51',
                                                                       'version' => '0.05'
                                                                     },
                                                                     {
                                                                       'date' => '2008-10-17T13:22:11',
                                                                       'version' => '0.06_01'
                                                                     },
                                                                     {
                                                                       'date' => '2008-10-17T16:41:34',
                                                                       'version' => '0.06_02'
                                                                     },
                                                                     {
                                                                       'date' => '2008-10-31T12:08:54',
                                                                       'version' => '0.06_02'
                                                                     },
                                                                     {
                                                                       'date' => '2008-11-01T18:23:27',
                                                                       'version' => '0.06_02'
                                                                     },
                                                                     {
                                                                       'date' => '2008-11-06T21:16:42',
                                                                       'version' => '0.06_02'
                                                                     },
                                                                     {
                                                                       'date' => '2008-12-22T22:08:06',
                                                                       'version' => '0.07_02'
                                                                     },
                                                                     {
                                                                       'date' => '2009-01-20T21:09:48',
                                                                       'version' => '0.07_02'
                                                                     },
                                                                     {
                                                                       'date' => '2009-01-24T13:52:42',
                                                                       'version' => '0.07_02'
                                                                     },
                                                                     {
                                                                       'date' => '2011-02-19T00:43:35',
                                                                       'version' => '0.08_01'
                                                                     },
                                                                     {
                                                                       'date' => '2011-04-15T19:46:43',
                                                                       'version' => '0.08_02'
                                                                     },
                                                                     {
                                                                       'date' => '2011-05-06T21:08:52',
                                                                       'version' => '0.09'
                                                                     },
                                                                     {
                                                                       'date' => '2012-01-23T17:51:41',
                                                                       'version' => '0.09_01'
                                                                     },
                                                                     {
                                                                       'date' => '2012-01-26T18:48:51',
                                                                       'version' => '0.09_02'
                                                                     },
                                                                     {
                                                                       'date' => '2012-01-27T23:07:12',
                                                                       'version' => '0.09_03'
                                                                     },
                                                                     {
                                                                       'date' => '2012-02-17T16:34:10',
                                                                       'version' => '0.10'
                                                                     },
                                                                     {
                                                                       'date' => '2012-02-23T16:31:54',
                                                                       'version' => '0.10_01'
                                                                     },
                                                                     {
                                                                       'date' => '2012-07-25T08:57:21',
                                                                       'version' => '0.11'
                                                                     },
                                                                     {
                                                                       'date' => '2012-07-25T18:36:36',
                                                                       'version' => '0.11'
                                                                     },
                                                                     {
                                                                       'date' => '2012-10-26T19:59:54',
                                                                       'version' => '0.12'
                                                                     },
                                                                     {
                                                                       'date' => '2013-01-31T19:22:43',
                                                                       'version' => '0.13'
                                                                     },
                                                                     {
                                                                       'date' => '2013-05-22T21:28:15',
                                                                       'version' => '0.14'
                                                                     },
                                                                     {
                                                                       'date' => '2013-05-23T00:20:43',
                                                                       'version' => '0.15'
                                                                     },
                                                                     {
                                                                       'date' => '2013-06-27T19:24:37',
                                                                       'version' => '0.16'
                                                                     },
                                                                     {
                                                                       'date' => '2013-07-10T19:43:08',
                                                                       'version' => '0.17'
                                                                     },
                                                                     {
                                                                       'date' => '2014-03-07T22:19:49',
                                                                       'version' => '0.18'
                                                                     },
                                                                     {
                                                                       'date' => '2014-04-04T17:21:04',
                                                                       'version' => '0.19'
                                                                     },
                                                                     {
                                                                       'date' => '2014-04-09T19:34:29',
                                                                       'version' => '0.20'
                                                                     },
                                                                     {
                                                                       'date' => '2014-07-02T02:20:30',
                                                                       'version' => '0.21'
                                                                     },
                                                                     {
                                                                       'date' => '2014-08-14T04:04:28',
                                                                       'version' => '0.22_01'
                                                                     },
                                                                     {
                                                                       'date' => '2014-08-14T17:28:53',
                                                                       'version' => '0.23'
                                                                     },
                                                                     {
                                                                       'date' => '2014-09-30T22:04:16',
                                                                       'version' => '0.23_01'
                                                                     },
                                                                     {
                                                                       'date' => '2014-10-09T16:24:49',
                                                                       'version' => '0.24'
                                                                     },
                                                                     {
                                                                       'date' => '2014-10-16T20:59:29',
                                                                       'version' => '0.25'
                                                                     },
                                                                     {
                                                                       'date' => '2016-08-02T16:14:34',
                                                                       'version' => '0.26'
                                                                     },
                                                                     {
                                                                       'date' => '2017-06-15T18:44:24',
                                                                       'version' => '0.27'
                                                                     }
                                                                   ]
                                                   },
                       'RT-Extension-MobileUI' => {
                                                    'advisories' => [
                                                                      {
                                                                        'affected_versions' => '<1.02',
                                                                        'cves' => [
                                                                                    'CVE-2012-2769'
                                                                                  ],
                                                                        'description' => 'Multiple cross-site scripting (XSS) vulnerabilities in the topic administration page.
',
                                                                        'distribution' => 'RT-Extension-MobileUI',
                                                                        'fixed_versions' => '>=1.02',
                                                                        'id' => 'CPANSA-RT-Extension-MobileUI-2012-01',
                                                                        'references' => [
                                                                                          'https://metacpan.org/changes/distribution/RT-Extension-MobileUI'
                                                                                        ],
                                                                        'reported' => '2012-05-18'
                                                                      }
                                                                    ],
                                                    'main_module' => 'RT::Extension::MobileUI',
                                                    'versions' => [
                                                                    {
                                                                      'date' => '2010-08-05T20:58:09',
                                                                      'version' => '0.9'
                                                                    },
                                                                    {
                                                                      'date' => '2010-08-06T15:38:53',
                                                                      'version' => '0.91'
                                                                    },
                                                                    {
                                                                      'date' => '2010-08-06T15:58:11',
                                                                      'version' => '0.92'
                                                                    },
                                                                    {
                                                                      'date' => '2010-08-06T17:55:08',
                                                                      'version' => '0.93'
                                                                    },
                                                                    {
                                                                      'date' => '2010-08-09T13:36:43',
                                                                      'version' => '0.94'
                                                                    },
                                                                    {
                                                                      'date' => '2010-08-09T13:44:33',
                                                                      'version' => '0.95'
                                                                    },
                                                                    {
                                                                      'date' => '2010-08-26T21:28:07',
                                                                      'version' => '0.96'
                                                                    },
                                                                    {
                                                                      'date' => '2010-09-06T18:11:56',
                                                                      'version' => '0.96'
                                                                    },
                                                                    {
                                                                      'date' => '2010-10-28T15:50:29',
                                                                      'version' => '0.98'
                                                                    },
                                                                    {
                                                                      'date' => '2010-10-29T14:08:08',
                                                                      'version' => '0.99'
                                                                    },
                                                                    {
                                                                      'date' => '2010-11-19T18:11:43',
                                                                      'version' => '1.00'
                                                                    },
                                                                    {
                                                                      'date' => '2010-12-08T16:36:01',
                                                                      'version' => '1.01'
                                                                    },
                                                                    {
                                                                      'date' => '2012-07-25T08:57:33',
                                                                      'version' => '1.02'
                                                                    },
                                                                    {
                                                                      'date' => '2012-07-25T18:36:52',
                                                                      'version' => '1.02'
                                                                    },
                                                                    {
                                                                      'date' => '2012-08-27T16:42:55',
                                                                      'version' => '1.03'
                                                                    },
                                                                    {
                                                                      'date' => '2013-06-12T19:09:14',
                                                                      'version' => '1.04'
                                                                    },
                                                                    {
                                                                      'date' => '2013-08-13T18:06:54',
                                                                      'version' => '1.05'
                                                                    },
                                                                    {
                                                                      'date' => '2014-04-23T20:25:25',
                                                                      'version' => '1.06'
                                                                    },
                                                                    {
                                                                      'date' => '2014-04-23T20:26:56',
                                                                      'version' => '1.07'
                                                                    }
                                                                  ]
                                                  },
                       'RTMP-Client' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<0.04',
                                                              'description' => 'TBD
',
                                                              'distribution' => 'RTMP-Client',
                                                              'fixed_versions' => '>=0.04',
                                                              'id' => 'CPANSA-RTMP-Client-2011-01',
                                                              'references' => [
                                                                                'https://metacpan.org/changes/distribution/RTMP-Client'
                                                                              ],
                                                              'reported' => '2011-12-01'
                                                            }
                                                          ],
                                          'main_module' => 'RTMP::Client',
                                          'versions' => [
                                                          {
                                                            'date' => '2011-07-26T08:17:20',
                                                            'version' => '0.01'
                                                          },
                                                          {
                                                            'date' => '2011-07-27T02:09:05',
                                                            'version' => '0.02'
                                                          },
                                                          {
                                                            'date' => '2011-07-27T02:17:06',
                                                            'version' => '0.03'
                                                          },
                                                          {
                                                            'date' => '2011-12-01T08:59:19',
                                                            'version' => '0.04'
                                                          }
                                                        ]
                                        },
                       'SOAP-Lite' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<1.15',
                                                            'cves' => [
                                                                        'CVE-2015-8978'
                                                                      ],
                                                            'description' => 'An example attack consists of defining 10 or more XML entities, each defined as consisting of 10 of the previous entity, with the document consisting of a single instance of the largest entity, which expands to one billion copies of the first entity. The amount of computer memory used for handling an external SOAP call would likely exceed that available to the process parsing the XML.
',
                                                            'distribution' => 'SOAP-Lite',
                                                            'fixed_versions' => '>=1.15',
                                                            'id' => 'CPANSA-SOAP-Lite-2015-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/SOAP-Lite',
                                                                              'https://www.securityfocus.com/bid/94487',
                                                                              'https://github.com/redhotpenguin/perl-soaplite/commit/6942fe0d281be1c32c5117605f9c4e8d44f51124'
                                                                            ],
                                                            'reported' => '2015-07-21'
                                                          },
                                                          {
                                                            'affected_versions' => '<0.55',
                                                            'cves' => [
                                                                        'CVE-2002-1742'
                                                                      ],
                                                            'description' => 'Allows remote attackers to load arbitrary Perl functions by suppling a non-existent function in a script using a SOAP::Lite module, which causes the AUTOLOAD subroutine to trigger.
',
                                                            'distribution' => 'SOAP-Lite',
                                                            'fixed_versions' => '>=0.55',
                                                            'id' => 'CPANSA-SOAP-Lite-2002-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/SOAP-Lite'
                                                                            ],
                                                            'reported' => '2002-04-08',
                                                            'severity' => 'high'
                                                          },
                                                          {
                                                            'affected_versions' => '<0.38',
                                                            'description' => 'Security problem on server side (no more details).
',
                                                            'distribution' => 'SOAP-Lite',
                                                            'fixed_versions' => '>=0.38',
                                                            'id' => 'CPANSA-SOAP-Lite-2000-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/SOAP-Lite'
                                                                            ],
                                                            'reported' => '2000-10-05'
                                                          }
                                                        ],
                                        'main_module' => 'SOAP::Lite',
                                        'versions' => [
                                                        {
                                                          'date' => '2000-09-25T01:49:14',
                                                          'version' => '0.36'
                                                        },
                                                        {
                                                          'date' => '2000-10-06T01:58:32',
                                                          'version' => '0.38'
                                                        },
                                                        {
                                                          'date' => '2000-10-09T04:27:51',
                                                          'version' => '0.39'
                                                        },
                                                        {
                                                          'date' => '2000-10-16T05:12:09',
                                                          'version' => '0.40'
                                                        },
                                                        {
                                                          'date' => '2000-10-31T15:10:52',
                                                          'version' => '0.41'
                                                        },
                                                        {
                                                          'date' => '2000-11-15T15:00:57',
                                                          'version' => '0.42'
                                                        },
                                                        {
                                                          'date' => '2000-11-28T20:43:40',
                                                          'version' => '0.43'
                                                        },
                                                        {
                                                          'date' => '2000-12-13T07:37:47',
                                                          'version' => '0.44'
                                                        },
                                                        {
                                                          'date' => '2001-01-17T17:28:31',
                                                          'version' => '0.45'
                                                        },
                                                        {
                                                          'date' => '2001-02-01T02:23:51',
                                                          'version' => '0.46'
                                                        },
                                                        {
                                                          'date' => '2001-02-22T07:28:20',
                                                          'version' => '0.47'
                                                        },
                                                        {
                                                          'date' => '2001-04-18T19:09:15',
                                                          'version' => '0.50'
                                                        },
                                                        {
                                                          'date' => '2001-07-18T22:39:30',
                                                          'version' => '0.51'
                                                        },
                                                        {
                                                          'date' => '2001-11-21T19:35:24',
                                                          'version' => '0.52'
                                                        },
                                                        {
                                                          'date' => '2002-04-16T05:20:54',
                                                          'version' => '0.55'
                                                        },
                                                        {
                                                          'date' => '2003-10-28T19:27:00',
                                                          'version' => '0.60'
                                                        },
                                                        {
                                                          'date' => '2004-02-26T16:36:26',
                                                          'version' => '0.60'
                                                        },
                                                        {
                                                          'date' => '2005-02-22T01:57:43',
                                                          'version' => '0.65_3'
                                                        },
                                                        {
                                                          'date' => '2005-04-03T09:20:17',
                                                          'version' => '0.65_4'
                                                        },
                                                        {
                                                          'date' => '2005-05-06T17:24:23',
                                                          'version' => '0.65_5'
                                                        },
                                                        {
                                                          'date' => '2005-06-03T19:23:20',
                                                          'version' => '0.65_6'
                                                        },
                                                        {
                                                          'date' => '2005-12-25T08:42:50',
                                                          'version' => '0.66'
                                                        },
                                                        {
                                                          'date' => '2006-01-04T23:14:27',
                                                          'version' => '0.66.1'
                                                        },
                                                        {
                                                          'date' => '2006-01-27T21:43:49',
                                                          'version' => '0.67'
                                                        },
                                                        {
                                                          'date' => '2006-07-06T18:18:56',
                                                          'version' => '0.68'
                                                        },
                                                        {
                                                          'date' => '2006-08-16T14:53:50',
                                                          'version' => '0.69'
                                                        },
                                                        {
                                                          'date' => '2007-10-18T20:54:02',
                                                          'version' => '0.70_01'
                                                        },
                                                        {
                                                          'date' => '2007-11-08T21:30:41',
                                                          'version' => '0.70_02'
                                                        },
                                                        {
                                                          'date' => '2007-11-18T19:00:11',
                                                          'version' => '0.70_03'
                                                        },
                                                        {
                                                          'date' => '2008-01-02T17:06:17',
                                                          'version' => '0.70_04'
                                                        },
                                                        {
                                                          'date' => '2008-02-13T12:28:07',
                                                          'version' => '0.70_05'
                                                        },
                                                        {
                                                          'date' => '2008-02-16T10:37:04',
                                                          'version' => '0.70_06'
                                                        },
                                                        {
                                                          'date' => '2008-02-25T21:44:41',
                                                          'version' => '0.70_07'
                                                        },
                                                        {
                                                          'date' => '2008-02-25T21:50:22',
                                                          'version' => '0.70_08'
                                                        },
                                                        {
                                                          'date' => '2008-02-28T21:58:13',
                                                          'version' => '0.71'
                                                        },
                                                        {
                                                          'date' => '2008-03-29T14:13:41',
                                                          'version' => '0.71.01'
                                                        },
                                                        {
                                                          'date' => '2008-04-14T17:25:25',
                                                          'version' => '0.71.02'
                                                        },
                                                        {
                                                          'date' => '2008-04-17T20:40:23',
                                                          'version' => 'v0.71.03'
                                                        },
                                                        {
                                                          'date' => '2008-04-22T06:03:55',
                                                          'version' => '0.71.04'
                                                        },
                                                        {
                                                          'date' => '2008-05-05T21:50:36',
                                                          'version' => '0.710.05'
                                                        },
                                                        {
                                                          'date' => '2008-06-05T18:47:08',
                                                          'version' => '0.710.06'
                                                        },
                                                        {
                                                          'date' => '2008-06-13T20:27:05',
                                                          'version' => '0.710.07'
                                                        },
                                                        {
                                                          'date' => '2008-07-13T20:41:11',
                                                          'version' => '0.710.08'
                                                        },
                                                        {
                                                          'date' => '2009-09-29T21:20:02',
                                                          'version' => '0.710.09'
                                                        },
                                                        {
                                                          'date' => '2009-09-30T18:40:30',
                                                          'version' => '0.710.10'
                                                        },
                                                        {
                                                          'date' => '2010-03-18T20:24:42',
                                                          'version' => '0.711'
                                                        },
                                                        {
                                                          'date' => '2010-06-03T15:41:39',
                                                          'version' => '0.712'
                                                        },
                                                        {
                                                          'date' => '2011-08-16T17:53:28',
                                                          'version' => '0.713'
                                                        },
                                                        {
                                                          'date' => '2011-08-18T19:51:02',
                                                          'version' => '0.714'
                                                        },
                                                        {
                                                          'date' => '2012-07-15T09:37:20',
                                                          'version' => '0.715'
                                                        },
                                                        {
                                                          'date' => '2013-05-11T06:44:04',
                                                          'version' => '0.716'
                                                        },
                                                        {
                                                          'date' => '2013-07-17T06:17:00',
                                                          'version' => '1.0'
                                                        },
                                                        {
                                                          'date' => '2013-07-29T08:26:07',
                                                          'version' => '1.01'
                                                        },
                                                        {
                                                          'date' => '2013-07-30T02:20:34',
                                                          'version' => '1.02'
                                                        },
                                                        {
                                                          'date' => '2013-08-04T17:49:18',
                                                          'version' => '1.03'
                                                        },
                                                        {
                                                          'date' => '2013-08-10T03:46:49',
                                                          'version' => '1.04'
                                                        },
                                                        {
                                                          'date' => '2013-08-19T05:31:17',
                                                          'version' => '1.05'
                                                        },
                                                        {
                                                          'date' => '2013-08-22T04:20:29',
                                                          'version' => '1.06'
                                                        },
                                                        {
                                                          'date' => '2013-11-08T03:09:10',
                                                          'version' => '1.07'
                                                        },
                                                        {
                                                          'date' => '2013-11-08T17:41:10',
                                                          'version' => '1.08'
                                                        },
                                                        {
                                                          'date' => '2014-01-14T21:41:07',
                                                          'version' => '1.09'
                                                        },
                                                        {
                                                          'date' => '2014-01-23T18:53:42',
                                                          'version' => '1.10'
                                                        },
                                                        {
                                                          'date' => '2014-02-22T05:18:14',
                                                          'version' => '1.11'
                                                        },
                                                        {
                                                          'date' => '2014-11-27T07:08:11',
                                                          'version' => '1.12'
                                                        },
                                                        {
                                                          'date' => '2014-12-30T15:58:06',
                                                          'version' => '1.13'
                                                        },
                                                        {
                                                          'date' => '2015-03-25T05:04:34',
                                                          'version' => '1.14'
                                                        },
                                                        {
                                                          'date' => '2015-07-21T18:12:21',
                                                          'version' => '1.15'
                                                        },
                                                        {
                                                          'date' => '2015-07-23T07:34:59',
                                                          'version' => '1.16'
                                                        },
                                                        {
                                                          'date' => '2015-07-31T05:59:50',
                                                          'version' => '1.17'
                                                        },
                                                        {
                                                          'date' => '2015-08-26T04:31:24',
                                                          'version' => '1.18'
                                                        },
                                                        {
                                                          'date' => '2015-08-26T15:38:01',
                                                          'version' => '1.19'
                                                        },
                                                        {
                                                          'date' => '2016-06-09T21:34:36',
                                                          'version' => '1.20'
                                                        },
                                                        {
                                                          'date' => '2017-08-16T05:18:24',
                                                          'version' => '1.22'
                                                        },
                                                        {
                                                          'date' => '2017-12-19T02:30:48',
                                                          'version' => '1.23'
                                                        },
                                                        {
                                                          'date' => '2017-12-19T18:36:52',
                                                          'version' => '1.24'
                                                        },
                                                        {
                                                          'date' => '2017-12-29T18:39:43',
                                                          'version' => '1.25'
                                                        },
                                                        {
                                                          'date' => '2017-12-30T22:19:12',
                                                          'version' => '1.26'
                                                        },
                                                        {
                                                          'date' => '2018-05-14T20:36:08',
                                                          'version' => '1.27'
                                                        }
                                                      ]
                                      },
                       'SVG-Sparkline' => {
                                            'advisories' => [
                                                              {
                                                                'affected_versions' => '<1.12',
                                                                'description' => 'Invalid data input validation makes it possible to pass arbitrary strings to module loading eval.
',
                                                                'distribution' => 'SVG-Sparkline',
                                                                'fixed_versions' => '>=1.12',
                                                                'id' => 'CPANSA-SVG-Sparkline-2017-01',
                                                                'references' => [
                                                                                  'https://metacpan.org/changes/distribution/SVG-Sparkline',
                                                                                  'https://github.com/gwadej/svg-sparkline/commit/ca83d6eb56aa86f3ca735866ffa9aa97acc2e708'
                                                                                ],
                                                                'reported' => '2017-05-15'
                                                              }
                                                            ],
                                            'main_module' => 'SVG::Sparkline',
                                            'versions' => [
                                                            {
                                                              'date' => '2009-04-02T02:42:59',
                                                              'version' => '0.1.0'
                                                            },
                                                            {
                                                              'date' => '2009-04-03T01:30:19',
                                                              'version' => '0.1.1'
                                                            },
                                                            {
                                                              'date' => '2009-04-05T21:43:08',
                                                              'version' => '0.2.0'
                                                            },
                                                            {
                                                              'date' => '2009-04-18T04:46:33',
                                                              'version' => '0.2.5'
                                                            },
                                                            {
                                                              'date' => '2009-04-21T00:31:44',
                                                              'version' => '0.2.6'
                                                            },
                                                            {
                                                              'date' => '2009-04-27T03:42:24',
                                                              'version' => '0.2.7'
                                                            },
                                                            {
                                                              'date' => '2009-05-06T23:20:05',
                                                              'version' => '0.3'
                                                            },
                                                            {
                                                              'date' => '2009-05-07T22:11:10',
                                                              'version' => '0.31'
                                                            },
                                                            {
                                                              'date' => '2009-10-19T04:12:52',
                                                              'version' => '0.32'
                                                            },
                                                            {
                                                              'date' => '2009-10-21T00:27:30',
                                                              'version' => '0.33'
                                                            },
                                                            {
                                                              'date' => '2010-05-01T04:50:06',
                                                              'version' => '0.34'
                                                            },
                                                            {
                                                              'date' => '2010-10-30T22:01:18',
                                                              'version' => '0.35'
                                                            },
                                                            {
                                                              'date' => '2012-09-04T00:09:32',
                                                              'version' => '0.36'
                                                            },
                                                            {
                                                              'date' => '2013-10-24T14:01:00',
                                                              'version' => '1'
                                                            },
                                                            {
                                                              'date' => '2014-09-04T02:01:54',
                                                              'version' => '1.1'
                                                            },
                                                            {
                                                              'date' => '2015-03-03T19:38:44',
                                                              'version' => '1.11'
                                                            },
                                                            {
                                                              'date' => '2017-05-15T01:32:51',
                                                              'version' => '1.12'
                                                            }
                                                          ]
                                          },
                       'SVN-Look' => {
                                       'advisories' => [
                                                         {
                                                           'affected_versions' => '<0.40',
                                                           'description' => 'Two-arg open with a possibility of running arbitrary commands.
',
                                                           'distribution' => 'SVN-Look',
                                                           'fixed_versions' => '>=0.40',
                                                           'id' => 'CPANSA-SVN-Look-2014-01',
                                                           'references' => [
                                                                             'https://metacpan.org/changes/distribution/SVN-Look',
                                                                             'https://github.com/gnustavo/SVN-Look/commit/b413ac1c397dfc6b2d164fede693f7ff9a94c83c'
                                                                           ],
                                                           'reported' => '2014-05-31'
                                                         }
                                                       ],
                                       'main_module' => 'SVN::Look',
                                       'versions' => [
                                                       {
                                                         'date' => '2008-09-26T03:22:44',
                                                         'version' => '0.08.360'
                                                       },
                                                       {
                                                         'date' => '2008-09-27T22:10:54',
                                                         'version' => '0.09.366'
                                                       },
                                                       {
                                                         'date' => '2008-09-28T03:07:02',
                                                         'version' => '0.10.369'
                                                       },
                                                       {
                                                         'date' => '2008-10-05T03:16:35',
                                                         'version' => '0.11.388'
                                                       },
                                                       {
                                                         'date' => '2008-10-10T02:25:16',
                                                         'version' => '0.12.409'
                                                       },
                                                       {
                                                         'date' => '2008-10-24T00:51:56',
                                                         'version' => '0.12.442'
                                                       },
                                                       {
                                                         'date' => '2008-11-03T10:43:38',
                                                         'version' => '0.12.455'
                                                       },
                                                       {
                                                         'date' => '2008-11-06T03:11:52',
                                                         'version' => '0.13.463'
                                                       },
                                                       {
                                                         'date' => '2009-02-28T02:50:53',
                                                         'version' => '0.14.5'
                                                       },
                                                       {
                                                         'date' => '2009-03-01T12:17:06',
                                                         'version' => '0.14.7'
                                                       },
                                                       {
                                                         'date' => '2009-03-06T01:52:43',
                                                         'version' => '0.14.9'
                                                       },
                                                       {
                                                         'date' => '2009-03-08T02:25:41',
                                                         'version' => '0.14.10'
                                                       },
                                                       {
                                                         'date' => '2009-03-20T01:24:06',
                                                         'version' => '0.14.12'
                                                       },
                                                       {
                                                         'date' => '2009-10-25T01:23:51',
                                                         'version' => '0.15'
                                                       },
                                                       {
                                                         'date' => '2010-02-16T20:16:51',
                                                         'version' => '0.16'
                                                       },
                                                       {
                                                         'date' => '2010-02-24T23:20:51',
                                                         'version' => '0.17'
                                                       },
                                                       {
                                                         'date' => '2010-04-28T11:38:27',
                                                         'version' => '0.18'
                                                       },
                                                       {
                                                         'date' => '2010-12-12T10:35:04',
                                                         'version' => '0.19'
                                                       },
                                                       {
                                                         'date' => '2010-12-12T19:59:46',
                                                         'version' => '0.20'
                                                       },
                                                       {
                                                         'date' => '2011-07-20T20:11:31',
                                                         'version' => '0.21'
                                                       },
                                                       {
                                                         'date' => '2011-07-22T22:31:55',
                                                         'version' => '0.22'
                                                       },
                                                       {
                                                         'date' => '2011-07-27T20:22:58',
                                                         'version' => '0.23'
                                                       },
                                                       {
                                                         'date' => '2011-07-30T21:52:08',
                                                         'version' => '0.24'
                                                       },
                                                       {
                                                         'date' => '2011-08-21T23:31:44',
                                                         'version' => '0.25'
                                                       },
                                                       {
                                                         'date' => '2011-08-27T20:12:39',
                                                         'version' => '0.26'
                                                       },
                                                       {
                                                         'date' => '2011-09-18T02:42:31',
                                                         'version' => '0.27'
                                                       },
                                                       {
                                                         'date' => '2011-10-10T23:18:59',
                                                         'version' => '0.28'
                                                       },
                                                       {
                                                         'date' => '2011-10-13T01:06:12',
                                                         'version' => '0.29'
                                                       },
                                                       {
                                                         'date' => '2011-11-02T21:00:23',
                                                         'version' => '0.30'
                                                       },
                                                       {
                                                         'date' => '2012-02-26T00:04:15',
                                                         'version' => '0.31'
                                                       },
                                                       {
                                                         'date' => '2012-02-26T21:55:01',
                                                         'version' => '0.32'
                                                       },
                                                       {
                                                         'date' => '2012-02-27T23:49:07',
                                                         'version' => '0.33'
                                                       },
                                                       {
                                                         'date' => '2012-03-05T14:37:05',
                                                         'version' => '0.34'
                                                       },
                                                       {
                                                         'date' => '2012-04-22T00:14:50',
                                                         'version' => '0.35'
                                                       },
                                                       {
                                                         'date' => '2012-06-18T17:07:07',
                                                         'version' => '0.36'
                                                       },
                                                       {
                                                         'date' => '2012-06-18T17:34:58',
                                                         'version' => '0.37'
                                                       },
                                                       {
                                                         'date' => '2012-06-19T17:00:40',
                                                         'version' => '0.38'
                                                       },
                                                       {
                                                         'date' => '2013-10-20T23:32:26',
                                                         'version' => '0.39'
                                                       },
                                                       {
                                                         'date' => '2014-06-12T18:05:32',
                                                         'version' => '0.40'
                                                       },
                                                       {
                                                         'date' => '2014-06-14T02:51:53',
                                                         'version' => '0.41'
                                                       }
                                                     ]
                                     },
                       'Search-OpenSearch-Server' => {
                                                       'advisories' => [
                                                                         {
                                                                           'affected_versions' => '<0.17',
                                                                           'description' => 'Arbitrary Perl methods could be called via HTTP like RPC.
',
                                                                           'distribution' => 'Search-OpenSearch-Server',
                                                                           'fixed_versions' => '>=0.17',
                                                                           'id' => 'CPANSA-Search-OpenSearch-Server-2012-01',
                                                                           'references' => [
                                                                                             'https://metacpan.org/changes/distribution/Search-OpenSearch-Server',
                                                                                             'https://github.com/karpet/search-opensearch-server/commit/69d53fde9d70fe12e1f592de482601c43c45a278'
                                                                                           ],
                                                                           'reported' => '2012-08-31'
                                                                         }
                                                                       ],
                                                       'main_module' => 'Search::OpenSearch::Server',
                                                       'versions' => [
                                                                       {
                                                                         'date' => '2010-05-28T03:07:46',
                                                                         'version' => '0.01'
                                                                       },
                                                                       {
                                                                         'date' => '2010-05-29T01:11:09',
                                                                         'version' => '0.02'
                                                                       },
                                                                       {
                                                                         'date' => '2010-06-23T01:22:53',
                                                                         'version' => '0.03'
                                                                       },
                                                                       {
                                                                         'date' => '2010-06-26T21:08:31',
                                                                         'version' => '0.04'
                                                                       },
                                                                       {
                                                                         'date' => '2011-01-08T04:05:22',
                                                                         'version' => '0.05'
                                                                       },
                                                                       {
                                                                         'date' => '2011-09-26T18:12:08',
                                                                         'version' => '0.06'
                                                                       },
                                                                       {
                                                                         'date' => '2011-09-26T18:16:12',
                                                                         'version' => '0.07'
                                                                       },
                                                                       {
                                                                         'date' => '2011-09-30T03:15:51',
                                                                         'version' => '0.08'
                                                                       },
                                                                       {
                                                                         'date' => '2011-10-23T01:42:30',
                                                                         'version' => '0.09'
                                                                       },
                                                                       {
                                                                         'date' => '2012-05-01T02:22:52',
                                                                         'version' => '0.10'
                                                                       },
                                                                       {
                                                                         'date' => '2012-07-15T03:32:57',
                                                                         'version' => '0.11'
                                                                       },
                                                                       {
                                                                         'date' => '2012-07-27T02:42:45',
                                                                         'version' => '0.12'
                                                                       },
                                                                       {
                                                                         'date' => '2012-08-07T01:48:25',
                                                                         'version' => '0.13'
                                                                       },
                                                                       {
                                                                         'date' => '2012-08-10T03:10:13',
                                                                         'version' => '0.14'
                                                                       },
                                                                       {
                                                                         'date' => '2012-08-21T02:34:37',
                                                                         'version' => '0.15'
                                                                       },
                                                                       {
                                                                         'date' => '2012-08-21T17:47:00',
                                                                         'version' => '0.16'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-04T01:54:00',
                                                                         'version' => '0.17'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-12T03:42:03',
                                                                         'version' => '0.18'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-13T14:06:58',
                                                                         'version' => '0.19'
                                                                       },
                                                                       {
                                                                         'date' => '2012-09-20T02:21:37',
                                                                         'version' => '0.20'
                                                                       },
                                                                       {
                                                                         'date' => '2012-10-15T04:32:38',
                                                                         'version' => '0.21'
                                                                       },
                                                                       {
                                                                         'date' => '2012-11-08T03:20:16',
                                                                         'version' => '0.22'
                                                                       },
                                                                       {
                                                                         'date' => '2012-11-21T19:01:22',
                                                                         'version' => '0.23'
                                                                       },
                                                                       {
                                                                         'date' => '2012-11-26T19:37:12',
                                                                         'version' => '0.24'
                                                                       },
                                                                       {
                                                                         'date' => '2012-12-18T19:11:36',
                                                                         'version' => '0.25'
                                                                       },
                                                                       {
                                                                         'date' => '2013-01-04T19:08:19',
                                                                         'version' => '0.26'
                                                                       },
                                                                       {
                                                                         'date' => '2013-06-14T02:28:09',
                                                                         'version' => '0.27'
                                                                       },
                                                                       {
                                                                         'date' => '2014-03-02T22:22:17',
                                                                         'version' => '0.28'
                                                                       },
                                                                       {
                                                                         'date' => '2014-04-23T18:20:52',
                                                                         'version' => '0.299_01'
                                                                       },
                                                                       {
                                                                         'date' => '2014-04-24T02:56:24',
                                                                         'version' => '0.299_02'
                                                                       },
                                                                       {
                                                                         'date' => '2014-06-05T07:29:19',
                                                                         'version' => '0.299_03'
                                                                       },
                                                                       {
                                                                         'date' => '2014-06-08T04:57:40',
                                                                         'version' => '0.300'
                                                                       },
                                                                       {
                                                                         'date' => '2015-08-14T20:04:12',
                                                                         'version' => '0.301'
                                                                       }
                                                                     ]
                                                     },
                       'Storable' => {
                                       'advisories' => [
                                                         {
                                                           'affected_versions' => '<3.05',
                                                           'description' => 'Malcrafted storable files or buffers.
',
                                                           'distribution' => 'Storable',
                                                           'fixed_versions' => '>=3.05',
                                                           'id' => 'CPANSA-Storable-2017-01',
                                                           'references' => [
                                                                             'https://metacpan.org/changes/distribution/Storable',
                                                                             'https://cxsecurity.com/issue/WLB-2007120031'
                                                                           ],
                                                           'reported' => '2017-01-29'
                                                         }
                                                       ],
                                       'main_module' => 'Storable',
                                       'versions' => [
                                                       {
                                                         'date' => '1995-10-02T10:50:02',
                                                         'version' => '0.1'
                                                       },
                                                       {
                                                         'date' => '1997-01-13T11:42:25',
                                                         'version' => '0.2'
                                                       },
                                                       {
                                                         'date' => '1997-01-13T17:18:01',
                                                         'version' => '0.2'
                                                       },
                                                       {
                                                         'date' => '1997-01-14T15:12:36',
                                                         'version' => '0.3'
                                                       },
                                                       {
                                                         'date' => '1997-01-15T18:25:57',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-01-22T14:47:23',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-02-27T15:02:37',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-02-27T15:38:18',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-03-25T10:32:00',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-05-16T09:24:59',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-06-03T09:38:38',
                                                         'version' => '0.4'
                                                       },
                                                       {
                                                         'date' => '1997-06-10T16:47:47',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1997-11-05T10:05:11',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-01-13T16:59:38',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-01-20T08:32:03',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-03-06T20:52:28',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-03-25T14:10:24',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-04-08T11:20:48',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-04-09T16:17:05',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-04-24T15:29:23',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-04-30T13:13:58',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-05-12T07:15:48',
                                                         'version' => '0.5'
                                                       },
                                                       {
                                                         'date' => '1998-06-04T16:19:02',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1998-06-12T09:54:35',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1998-06-22T09:00:32',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1998-07-03T13:53:55',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1998-07-21T12:10:39',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1999-01-31T18:01:47',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1999-07-12T13:05:25',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1999-09-02T12:47:03',
                                                         'version' => '0.6'
                                                       },
                                                       {
                                                         'date' => '1999-09-14T20:27:23',
                                                         'version' => 'v0.6.5'
                                                       },
                                                       {
                                                         'date' => '1999-10-19T19:33:43',
                                                         'version' => 'v0.6.6'
                                                       },
                                                       {
                                                         'date' => '1999-10-20T17:10:19',
                                                         'version' => 'v0.6.7'
                                                       },
                                                       {
                                                         'date' => '2000-03-02T22:29:53',
                                                         'version' => 'v0.6.9'
                                                       },
                                                       {
                                                         'date' => '2000-03-29T18:00:09',
                                                         'version' => 'v0.6.10'
                                                       },
                                                       {
                                                         'date' => '2000-04-02T22:12:47',
                                                         'version' => 'v0.6.11'
                                                       },
                                                       {
                                                         'date' => '2000-08-03T22:12:31',
                                                         'version' => 'v0.7.0'
                                                       },
                                                       {
                                                         'date' => '2000-08-13T20:17:55',
                                                         'version' => 'v0.7.1'
                                                       },
                                                       {
                                                         'date' => '2000-08-14T07:27:17',
                                                         'version' => 'v0.7.2'
                                                       },
                                                       {
                                                         'date' => '2000-08-23T23:12:01',
                                                         'version' => 'v0.7.4'
                                                       },
                                                       {
                                                         'date' => '2000-09-01T19:44:37',
                                                         'version' => 'v1.0.0'
                                                       },
                                                       {
                                                         'date' => '2000-09-17T16:56:12',
                                                         'version' => 'v1.0.1'
                                                       },
                                                       {
                                                         'date' => '2000-09-28T21:50:42',
                                                         'version' => 'v1.0.2'
                                                       },
                                                       {
                                                         'date' => '2000-09-29T19:55:57',
                                                         'version' => 'v1.0.3'
                                                       },
                                                       {
                                                         'date' => '2000-10-23T18:12:41',
                                                         'version' => 'v1.0.4'
                                                       },
                                                       {
                                                         'date' => '2000-10-26T17:18:33',
                                                         'version' => 'v1.0.5'
                                                       },
                                                       {
                                                         'date' => '2000-11-05T17:30:34',
                                                         'version' => 'v1.0.6'
                                                       },
                                                       {
                                                         'date' => '2001-01-03T09:48:40',
                                                         'version' => 'v1.0.7'
                                                       },
                                                       {
                                                         'date' => '2001-02-17T12:43:23',
                                                         'version' => 'v1.0.10'
                                                       },
                                                       {
                                                         'date' => '2001-03-15T00:30:04',
                                                         'version' => 'v1.0.11'
                                                       },
                                                       {
                                                         'date' => '2001-07-01T11:30:39',
                                                         'version' => 'v1.0.12'
                                                       },
                                                       {
                                                         'date' => '2001-08-28T21:59:16',
                                                         'version' => 'v1.0.13'
                                                       },
                                                       {
                                                         'date' => '2001-12-01T13:48:14',
                                                         'version' => 'v1.0.14'
                                                       },
                                                       {
                                                         'date' => '2002-05-18T16:48:08',
                                                         'version' => '2.00'
                                                       },
                                                       {
                                                         'date' => '2002-05-28T20:34:47',
                                                         'version' => '2.02'
                                                       },
                                                       {
                                                         'date' => '2002-06-01T04:35:47',
                                                         'version' => '2.03'
                                                       },
                                                       {
                                                         'date' => '2002-06-08T02:11:56',
                                                         'version' => '2.04'
                                                       },
                                                       {
                                                         'date' => '2002-10-03T03:37:51',
                                                         'version' => '2.05'
                                                       },
                                                       {
                                                         'date' => '2002-11-25T12:34:01',
                                                         'version' => '2.06'
                                                       },
                                                       {
                                                         'date' => '2003-05-05T05:21:16',
                                                         'version' => '2.07'
                                                       },
                                                       {
                                                         'date' => '2003-09-05T20:01:37',
                                                         'version' => '2.08'
                                                       },
                                                       {
                                                         'date' => '2004-01-06T01:47:55',
                                                         'version' => '2.09'
                                                       },
                                                       {
                                                         'date' => '2004-03-01T04:28:16',
                                                         'version' => '2.10'
                                                       },
                                                       {
                                                         'date' => '2004-03-17T15:11:57',
                                                         'version' => '2.11'
                                                       },
                                                       {
                                                         'date' => '2004-03-24T03:24:16',
                                                         'version' => '2.12'
                                                       },
                                                       {
                                                         'date' => '2004-06-28T16:41:47',
                                                         'version' => '2.13'
                                                       },
                                                       {
                                                         'date' => '2005-04-25T02:15:51',
                                                         'version' => '2.14'
                                                       },
                                                       {
                                                         'date' => '2005-05-23T17:21:53',
                                                         'version' => '2.15'
                                                       },
                                                       {
                                                         'date' => '2007-03-31T00:51:12',
                                                         'version' => '2.16'
                                                       },
                                                       {
                                                         'date' => '2007-11-16T20:48:24',
                                                         'version' => '2.17'
                                                       },
                                                       {
                                                         'date' => '2007-11-23T18:18:24',
                                                         'version' => '2.18'
                                                       },
                                                       {
                                                         'date' => '2009-05-18T04:18:09',
                                                         'version' => '2.20'
                                                       },
                                                       {
                                                         'date' => '2009-08-06T05:30:04',
                                                         'version' => '2.21'
                                                       },
                                                       {
                                                         'date' => '2010-11-12T17:12:42',
                                                         'version' => '2.23'
                                                       },
                                                       {
                                                         'date' => '2010-11-12T17:29:29',
                                                         'version' => '2.24'
                                                       },
                                                       {
                                                         'date' => '2010-12-11T06:08:33',
                                                         'version' => '2.25'
                                                       },
                                                       {
                                                         'date' => '2011-07-03T04:04:14',
                                                         'version' => '2.29'
                                                       },
                                                       {
                                                         'date' => '2011-07-12T03:59:06',
                                                         'version' => '2.30'
                                                       },
                                                       {
                                                         'date' => '2012-06-07T01:16:46',
                                                         'version' => '2.35'
                                                       },
                                                       {
                                                         'date' => '2012-09-11T01:30:44',
                                                         'version' => '2.38'
                                                       },
                                                       {
                                                         'date' => '2012-09-11T01:38:57',
                                                         'version' => '2.39'
                                                       },
                                                       {
                                                         'date' => '2013-07-13T16:49:48',
                                                         'version' => '2.45'
                                                       },
                                                       {
                                                         'date' => '2014-07-02T11:09:04',
                                                         'version' => '2.51'
                                                       },
                                                       {
                                                         'date' => '2017-01-29T11:41:00',
                                                         'version' => '3.05'
                                                       },
                                                       {
                                                         'date' => '2017-01-30T14:25:11',
                                                         'version' => '3.05_01'
                                                       },
                                                       {
                                                         'date' => '2017-01-30T18:55:50',
                                                         'version' => '3.05_02'
                                                       },
                                                       {
                                                         'date' => '2017-01-31T01:58:36',
                                                         'version' => '3.05_03'
                                                       },
                                                       {
                                                         'date' => '2017-02-02T11:22:12',
                                                         'version' => '3.05_04'
                                                       },
                                                       {
                                                         'date' => '2017-03-05T10:48:10',
                                                         'version' => '3.05_06'
                                                       },
                                                       {
                                                         'date' => '2017-03-05T12:52:10',
                                                         'version' => '3.05_07'
                                                       },
                                                       {
                                                         'date' => '2017-03-11T07:51:19',
                                                         'version' => '3.05_09'
                                                       },
                                                       {
                                                         'date' => '2017-03-14T09:03:54',
                                                         'version' => '3.05_10'
                                                       },
                                                       {
                                                         'date' => '2017-03-29T20:00:48',
                                                         'version' => '3.05_11'
                                                       },
                                                       {
                                                         'date' => '2017-04-19T07:20:42',
                                                         'version' => '3.05_12'
                                                       },
                                                       {
                                                         'date' => '2017-10-15T12:06:30',
                                                         'version' => '3.05_14'
                                                       },
                                                       {
                                                         'date' => '2017-10-21T09:30:17',
                                                         'version' => '3.05_15'
                                                       },
                                                       {
                                                         'date' => '2017-10-21T16:17:28',
                                                         'version' => '3.05_16'
                                                       },
                                                       {
                                                         'date' => '2018-04-19T08:29:33',
                                                         'version' => '3.06'
                                                       },
                                                       {
                                                         'date' => '2018-04-20T16:11:03',
                                                         'version' => '3.05_17'
                                                       },
                                                       {
                                                         'date' => '2018-04-21T10:08:56',
                                                         'version' => '3.08'
                                                       },
                                                       {
                                                         'date' => '2018-04-21T16:50:30',
                                                         'version' => '3.09'
                                                       },
                                                       {
                                                         'date' => '2018-04-27T17:46:19',
                                                         'version' => '3.11'
                                                       },
                                                       {
                                                         'date' => '2018-09-05T15:12:26',
                                                         'version' => '3.11_01'
                                                       },
                                                       {
                                                         'date' => '2019-03-06T12:42:01',
                                                         'version' => '3.12_03'
                                                       }
                                                     ]
                                     },
                       'Tk' => {
                                 'advisories' => [
                                                   {
                                                     'affected_versions' => '<804.029',
                                                     'cves' => [
                                                                 'CVE-2006-4484'
                                                               ],
                                                     'description' => 'Buffer overflow in the LWZReadByte_ function in the GD extension in allows remote attackers to have an unknown impact via a GIF file with input_code_size greater than MAX_LWZ_BITS, which triggers an overflow when initializing the table array.
',
                                                     'distribution' => 'Tk',
                                                     'fixed_versions' => '>=804.029',
                                                     'id' => 'CPANSA-Tk-2008-01',
                                                     'references' => [
                                                                       'https://metacpan.org/changes/distribution/Tk'
                                                                     ],
                                                     'reported' => '2008-10-01'
                                                   }
                                                 ],
                                 'main_module' => 'Tk',
                                 'versions' => [
                                                 {
                                                   'date' => '1995-08-22T23:03:30',
                                                   'version' => 0
                                                 },
                                                 {
                                                   'date' => '1995-12-19T01:56:04',
                                                   'version' => 0
                                                 },
                                                 {
                                                   'date' => '1996-08-29T00:19:01',
                                                   'version' => 0
                                                 },
                                                 {
                                                   'date' => '1996-09-07T01:08:44',
                                                   'version' => '400.200'
                                                 },
                                                 {
                                                   'date' => '1997-01-08T23:27:30',
                                                   'version' => '400.201'
                                                 },
                                                 {
                                                   'date' => '1997-01-25T12:33:02',
                                                   'version' => '400.202'
                                                 },
                                                 {
                                                   'date' => '1997-05-04T20:05:58',
                                                   'version' => '402.000'
                                                 },
                                                 {
                                                   'date' => '1997-06-14T19:17:26',
                                                   'version' => '402.001'
                                                 },
                                                 {
                                                   'date' => '1997-07-18T17:01:40',
                                                   'version' => '402.002'
                                                 },
                                                 {
                                                   'date' => '1997-10-04T15:32:53',
                                                   'version' => '402.003'
                                                 },
                                                 {
                                                   'date' => '1998-01-25T17:07:27',
                                                   'version' => '402.004'
                                                 },
                                                 {
                                                   'date' => '1998-02-07T21:22:00',
                                                   'version' => '402.003'
                                                 },
                                                 {
                                                   'date' => '1998-02-22T19:34:11',
                                                   'version' => '800.000'
                                                 },
                                                 {
                                                   'date' => '1998-03-02T00:12:00',
                                                   'version' => '800.0_01'
                                                 },
                                                 {
                                                   'date' => '1998-03-09T22:37:37',
                                                   'version' => '800.0_02'
                                                 },
                                                 {
                                                   'date' => '1998-03-17T13:43:00',
                                                   'version' => '402.003'
                                                 },
                                                 {
                                                   'date' => '1998-04-01T04:36:00',
                                                   'version' => '402.003'
                                                 },
                                                 {
                                                   'date' => '1998-04-02T18:32:00',
                                                   'version' => '402.003'
                                                 },
                                                 {
                                                   'date' => '1998-04-05T08:37:23',
                                                   'version' => '800.003'
                                                 },
                                                 {
                                                   'date' => '1998-04-19T17:23:45',
                                                   'version' => '800.004'
                                                 },
                                                 {
                                                   'date' => '1998-05-17T18:07:11',
                                                   'version' => '800.005'
                                                 },
                                                 {
                                                   'date' => '1998-06-14T20:30:35',
                                                   'version' => '800.006'
                                                 },
                                                 {
                                                   'date' => '1998-06-26T16:30:23',
                                                   'version' => '800.007'
                                                 },
                                                 {
                                                   'date' => '1998-07-17T16:47:42',
                                                   'version' => '800.008'
                                                 },
                                                 {
                                                   'date' => '1998-08-08T19:31:23',
                                                   'version' => '800.010'
                                                 },
                                                 {
                                                   'date' => '1998-09-01T17:20:02',
                                                   'version' => '800.011'
                                                 },
                                                 {
                                                   'date' => '1998-11-15T14:28:04',
                                                   'version' => '800.012'
                                                 },
                                                 {
                                                   'date' => '1999-03-16T22:13:10',
                                                   'version' => '800.013'
                                                 },
                                                 {
                                                   'date' => '1999-04-05T20:15:39',
                                                   'version' => '800.014'
                                                 },
                                                 {
                                                   'date' => '1999-07-28T22:10:03',
                                                   'version' => '800.015'
                                                 },
                                                 {
                                                   'date' => '2000-01-08T12:48:56',
                                                   'version' => '800.017'
                                                 },
                                                 {
                                                   'date' => '2000-01-08T12:58:16',
                                                   'version' => '800.0_16'
                                                 },
                                                 {
                                                   'date' => '2000-01-22T19:44:55',
                                                   'version' => '800.018'
                                                 },
                                                 {
                                                   'date' => '2000-03-13T16:39:08',
                                                   'version' => '800.019'
                                                 },
                                                 {
                                                   'date' => '2000-03-27T17:01:22',
                                                   'version' => '800.020'
                                                 },
                                                 {
                                                   'date' => '2000-04-21T13:38:21',
                                                   'version' => '800.021'
                                                 },
                                                 {
                                                   'date' => '2000-05-13T09:48:51',
                                                   'version' => '800.022'
                                                 },
                                                 {
                                                   'date' => '2001-05-15T15:07:21',
                                                   'version' => '800.023'
                                                 },
                                                 {
                                                   'date' => '2001-07-14T21:06:00',
                                                   'version' => '800.012'
                                                 },
                                                 {
                                                   'date' => '2002-03-05T16:38:25',
                                                   'version' => '800.024'
                                                 },
                                                 {
                                                   'date' => '2002-03-17T20:30:42',
                                                   'version' => '800.024'
                                                 },
                                                 {
                                                   'date' => '2002-10-13T17:20:55',
                                                   'version' => '804.0_24'
                                                 },
                                                 {
                                                   'date' => '2003-05-02T01:10:54',
                                                   'version' => 'v804.024.'
                                                 },
                                                 {
                                                   'date' => '2003-09-08T08:13:16',
                                                   'version' => '800.025'
                                                 },
                                                 {
                                                   'date' => '2003-09-28T18:01:55',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-10-10T18:24:24',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-10-20T20:44:44',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-10-27T08:23:07',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-11-02T22:28:10',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-11-16T22:15:42',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-12-02T21:26:56',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-12-08T08:01:15',
                                                   'version' => '804.025_'
                                                 },
                                                 {
                                                   'date' => '2003-12-11T08:03:20',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-12-14T20:22:05',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-12-19T17:42:32',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2003-12-21T21:09:10',
                                                   'version' => '804.025_'
                                                 },
                                                 {
                                                   'date' => '2003-12-23T23:19:20',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2004-01-12T21:59:01',
                                                   'version' => '804.025'
                                                 },
                                                 {
                                                   'date' => '2004-02-28T17:33:01',
                                                   'version' => '804.025_'
                                                 },
                                                 {
                                                   'date' => '2004-03-07T20:33:56',
                                                   'version' => '804.025_'
                                                 },
                                                 {
                                                   'date' => '2004-03-19T08:10:49',
                                                   'version' => '804.026'
                                                 },
                                                 {
                                                   'date' => '2004-04-11T19:04:25',
                                                   'version' => '804.026'
                                                 },
                                                 {
                                                   'date' => '2007-02-11T08:49:16',
                                                   'version' => '804.027_500'
                                                 },
                                                 {
                                                   'date' => '2007-09-21T22:57:57',
                                                   'version' => '804.027_501'
                                                 },
                                                 {
                                                   'date' => '2007-12-04T21:03:29',
                                                   'version' => '804.027_502'
                                                 },
                                                 {
                                                   'date' => '2007-12-18T22:01:39',
                                                   'version' => '804.028'
                                                 },
                                                 {
                                                   'date' => '2008-10-01T21:48:52',
                                                   'version' => '804.0285'
                                                 },
                                                 {
                                                   'date' => '2008-11-04T22:27:51',
                                                   'version' => '804.028501'
                                                 },
                                                 {
                                                   'date' => '2010-01-30T17:54:07',
                                                   'version' => '804.028502'
                                                 },
                                                 {
                                                   'date' => '2010-05-13T00:00:04',
                                                   'version' => '804.028503'
                                                 },
                                                 {
                                                   'date' => '2010-05-27T19:25:41',
                                                   'version' => '804.029'
                                                 },
                                                 {
                                                   'date' => '2011-06-13T17:53:20',
                                                   'version' => '804.0295'
                                                 },
                                                 {
                                                   'date' => '2011-10-14T19:22:48',
                                                   'version' => '804.029501'
                                                 },
                                                 {
                                                   'date' => '2011-10-17T21:12:41',
                                                   'version' => '804.029502'
                                                 },
                                                 {
                                                   'date' => '2011-10-20T21:08:12',
                                                   'version' => '804.03'
                                                 },
                                                 {
                                                   'date' => '2013-05-17T22:16:24',
                                                   'version' => '804.030500'
                                                 },
                                                 {
                                                   'date' => '2013-05-18T05:01:41',
                                                   'version' => '804.030501'
                                                 },
                                                 {
                                                   'date' => '2013-05-21T07:30:50',
                                                   'version' => '804.030502'
                                                 },
                                                 {
                                                   'date' => '2013-05-25T12:57:05',
                                                   'version' => '804.031'
                                                 },
                                                 {
                                                   'date' => '2013-11-17T11:24:41',
                                                   'version' => '804.031500'
                                                 },
                                                 {
                                                   'date' => '2013-11-18T20:19:08',
                                                   'version' => '804.031501'
                                                 },
                                                 {
                                                   'date' => '2013-12-01T15:07:28',
                                                   'version' => '804.031502'
                                                 },
                                                 {
                                                   'date' => '2013-12-07T13:00:14',
                                                   'version' => '804.031503'
                                                 },
                                                 {
                                                   'date' => '2014-01-26T17:01:07',
                                                   'version' => '804.032'
                                                 },
                                                 {
                                                   'date' => '2014-11-06T21:01:44',
                                                   'version' => '804.032500'
                                                 },
                                                 {
                                                   'date' => '2015-01-31T10:28:08',
                                                   'version' => '804.032501'
                                                 },
                                                 {
                                                   'date' => '2015-02-21T15:54:08',
                                                   'version' => '804.033'
                                                 },
                                                 {
                                                   'date' => '2017-08-20T09:29:42',
                                                   'version' => '804.033500'
                                                 },
                                                 {
                                                   'date' => '2017-08-26T15:26:56',
                                                   'version' => '804.034'
                                                 }
                                               ]
                               },
                       'UI-Dialog' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<1.11',
                                                            'description' => 'Allows remote attackers to execute arbitrary commands.
',
                                                            'distribution' => 'UI-Dialog',
                                                            'fixed_versions' => '>=1.11',
                                                            'id' => 'CPANSA-UI-Dialog-2015-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/UI-Dialog'
                                                                            ],
                                                            'reported' => '2015-10-10'
                                                          },
                                                          {
                                                            'affected_versions' => '<1.03',
                                                            'description' => 'CDialog and Whiptail backends usage of the temp files.
',
                                                            'distribution' => 'UI-Dialog',
                                                            'fixed_versions' => '>=1.03',
                                                            'id' => 'CPANSA-UI-Dialog-2004-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/UI-Dialog'
                                                                            ],
                                                            'reported' => '2004-02-18'
                                                          }
                                                        ],
                                        'main_module' => 'UI::Dialog',
                                        'versions' => [
                                                        {
                                                          'date' => '2004-01-04T10:51:34',
                                                          'version' => '1.00'
                                                        },
                                                        {
                                                          'date' => '2004-01-13T00:08:39',
                                                          'version' => '1.01'
                                                        },
                                                        {
                                                          'date' => '2004-02-15T11:03:37',
                                                          'version' => '1.02'
                                                        },
                                                        {
                                                          'date' => '2004-02-18T16:52:59',
                                                          'version' => '1.03'
                                                        },
                                                        {
                                                          'date' => '2004-02-22T18:34:25',
                                                          'version' => '1.04'
                                                        },
                                                        {
                                                          'date' => '2004-03-18T02:12:03',
                                                          'version' => '1.05'
                                                        },
                                                        {
                                                          'date' => '2004-03-18T16:01:50',
                                                          'version' => '1.06'
                                                        },
                                                        {
                                                          'date' => '2004-07-21T19:59:51',
                                                          'version' => '1.07'
                                                        },
                                                        {
                                                          'date' => '2004-10-05T00:46:22',
                                                          'version' => '1.08'
                                                        },
                                                        {
                                                          'date' => '2013-08-10T09:39:07',
                                                          'version' => '1.09'
                                                        },
                                                        {
                                                          'date' => '2013-08-10T17:09:57',
                                                          'version' => '1.09'
                                                        },
                                                        {
                                                          'date' => '2013-08-19T17:22:00',
                                                          'version' => '1.09'
                                                        },
                                                        {
                                                          'date' => '2016-01-19T19:05:07',
                                                          'version' => '1.11'
                                                        },
                                                        {
                                                          'date' => '2016-01-22T06:42:45',
                                                          'version' => '1.12'
                                                        },
                                                        {
                                                          'date' => '2016-01-30T21:24:56',
                                                          'version' => '1.13'
                                                        },
                                                        {
                                                          'date' => '2016-02-03T02:10:12',
                                                          'version' => '1.14'
                                                        },
                                                        {
                                                          'date' => '2016-02-09T00:11:17',
                                                          'version' => '1.15'
                                                        },
                                                        {
                                                          'date' => '2016-02-10T02:57:43',
                                                          'version' => '1.16'
                                                        },
                                                        {
                                                          'date' => '2016-02-12T05:25:14',
                                                          'version' => '1.17'
                                                        },
                                                        {
                                                          'date' => '2016-02-13T02:56:26',
                                                          'version' => '1.18'
                                                        },
                                                        {
                                                          'date' => '2016-02-21T23:33:48',
                                                          'version' => '1.19'
                                                        },
                                                        {
                                                          'date' => '2016-03-07T02:15:26',
                                                          'version' => '1.20'
                                                        },
                                                        {
                                                          'date' => '2016-04-02T22:17:32',
                                                          'version' => '1.21'
                                                        }
                                                      ]
                                      },
                       'XML-LibXML' => {
                                         'advisories' => [
                                                           {
                                                             'affected_versions' => '<2.0120',
                                                             'cves' => [
                                                                         'CVE-2015-3451'
                                                                       ],
                                                             'description' => 'The _clone function does not properly set the expand_entities option, which allows remote attackers to conduct XML external entity (XXE) attacks via crafted XML data to the (1) new or (2) load_xml function.
',
                                                             'distribution' => 'XML-LibXML',
                                                             'fixed_versions' => '>=2.0120',
                                                             'id' => 'CPANSA-XML-LibXML-2015-01',
                                                             'references' => [
                                                                               'https://metacpan.org/changes/distribution/XML-LibXML'
                                                                             ],
                                                             'reported' => '2015-04-23'
                                                           }
                                                         ],
                                         'main_module' => 'XML::LibXML',
                                         'versions' => [
                                                         {
                                                           'date' => '2001-05-18T11:31:21',
                                                           'version' => '0.91'
                                                         },
                                                         {
                                                           'date' => '2001-06-03T07:47:14',
                                                           'version' => '0.92'
                                                         },
                                                         {
                                                           'date' => '2001-06-09T16:52:26',
                                                           'version' => '0.93'
                                                         },
                                                         {
                                                           'date' => '2001-06-10T08:54:23',
                                                           'version' => '0.94'
                                                         },
                                                         {
                                                           'date' => '2001-06-21T10:07:56',
                                                           'version' => '0.96'
                                                         },
                                                         {
                                                           'date' => '2001-06-29T20:39:47',
                                                           'version' => '0.97'
                                                         },
                                                         {
                                                           'date' => '2001-07-20T16:08:25',
                                                           'version' => '0.99'
                                                         },
                                                         {
                                                           'date' => '2001-08-07T10:13:29',
                                                           'version' => '1.00'
                                                         },
                                                         {
                                                           'date' => '2001-11-14T11:39:59',
                                                           'version' => '1.30'
                                                         },
                                                         {
                                                           'date' => '2001-11-25T17:25:52',
                                                           'version' => '1.31'
                                                         },
                                                         {
                                                           'date' => '2002-03-13T14:24:12',
                                                           'version' => '1.40'
                                                         },
                                                         {
                                                           'date' => '2002-05-11T21:07:22',
                                                           'version' => '1.49'
                                                         },
                                                         {
                                                           'date' => '2002-05-20T11:33:20',
                                                           'version' => '1.50'
                                                         },
                                                         {
                                                           'date' => '2002-05-31T16:53:50',
                                                           'version' => '1.51'
                                                         },
                                                         {
                                                           'date' => '2002-06-12T10:16:35',
                                                           'version' => '1.52'
                                                         },
                                                         {
                                                           'date' => '2002-09-14T21:02:38',
                                                           'version' => '1.53'
                                                         },
                                                         {
                                                           'date' => '2002-10-26T15:21:51',
                                                           'version' => '1.54_0'
                                                         },
                                                         {
                                                           'date' => '2002-11-08T10:03:05',
                                                           'version' => '1.54_1'
                                                         },
                                                         {
                                                           'date' => '2002-11-08T18:15:20',
                                                           'version' => '1.54_2'
                                                         },
                                                         {
                                                           'date' => '2002-11-15T20:14:58',
                                                           'version' => '1.54_3'
                                                         },
                                                         {
                                                           'date' => '2003-05-22T23:44:39',
                                                           'version' => '1.54_4'
                                                         },
                                                         {
                                                           'date' => '2003-05-30T18:46:39',
                                                           'version' => '1.54'
                                                         },
                                                         {
                                                           'date' => '2003-08-19T21:15:43',
                                                           'version' => '1.55'
                                                         },
                                                         {
                                                           'date' => '2003-08-25T13:39:01',
                                                           'version' => '1.56'
                                                         },
                                                         {
                                                           'date' => '2004-02-29T16:56:42',
                                                           'version' => '1.57'
                                                         },
                                                         {
                                                           'date' => '2004-03-31T19:49:55',
                                                           'version' => '1.58'
                                                         },
                                                         {
                                                           'date' => '2004-04-04T11:42:03',
                                                           'version' => '1.58_1'
                                                         },
                                                         {
                                                           'date' => '2006-08-02T10:59:49',
                                                           'version' => '1.59'
                                                         },
                                                         {
                                                           'date' => '2006-08-26T18:11:05',
                                                           'version' => '1.60'
                                                         },
                                                         {
                                                           'date' => '2006-09-24T15:43:20',
                                                           'version' => '1.61'
                                                         },
                                                         {
                                                           'date' => '2006-09-25T07:21:39',
                                                           'version' => '1.61'
                                                         },
                                                         {
                                                           'date' => '2006-09-25T07:42:26',
                                                           'version' => '1.61'
                                                         },
                                                         {
                                                           'date' => '2006-09-25T11:38:04',
                                                           'version' => '1.61'
                                                         },
                                                         {
                                                           'date' => '2006-11-18T09:57:51',
                                                           'version' => '1.62'
                                                         },
                                                         {
                                                           'date' => '2006-11-25T09:10:37',
                                                           'version' => '1.62'
                                                         },
                                                         {
                                                           'date' => '2007-04-16T11:46:21',
                                                           'version' => '1.63'
                                                         },
                                                         {
                                                           'date' => '2007-09-09T21:51:03',
                                                           'version' => '1.64'
                                                         },
                                                         {
                                                           'date' => '2007-09-25T16:37:46',
                                                           'version' => '1.65'
                                                         },
                                                         {
                                                           'date' => '2008-01-29T21:10:45',
                                                           'version' => '1.66'
                                                         },
                                                         {
                                                           'date' => '2008-11-04T14:26:16',
                                                           'version' => '1.67'
                                                         },
                                                         {
                                                           'date' => '2008-11-05T13:32:59',
                                                           'version' => '1.68'
                                                         },
                                                         {
                                                           'date' => '2008-11-11T21:00:56',
                                                           'version' => '1.69'
                                                         },
                                                         {
                                                           'date' => '2009-01-23T22:30:52',
                                                           'version' => '1.69_1'
                                                         },
                                                         {
                                                           'date' => '2009-02-06T19:12:24',
                                                           'version' => '1.69_2'
                                                         },
                                                         {
                                                           'date' => '2009-10-07T12:31:25',
                                                           'version' => '1.70'
                                                         },
                                                         {
                                                           'date' => '2011-06-14T17:01:30',
                                                           'version' => '1.71'
                                                         },
                                                         {
                                                           'date' => '2011-06-16T16:40:11',
                                                           'version' => '1.72'
                                                         },
                                                         {
                                                           'date' => '2011-06-18T08:35:40',
                                                           'version' => '1.73'
                                                         },
                                                         {
                                                           'date' => '2011-06-23T12:27:53',
                                                           'version' => '1.74'
                                                         },
                                                         {
                                                           'date' => '2011-06-24T16:02:54',
                                                           'version' => '1.75'
                                                         },
                                                         {
                                                           'date' => '2011-06-30T18:20:41',
                                                           'version' => '1.76'
                                                         },
                                                         {
                                                           'date' => '2011-07-01T19:31:51',
                                                           'version' => '1.77'
                                                         },
                                                         {
                                                           'date' => '2011-07-06T17:27:49',
                                                           'version' => '1.78'
                                                         },
                                                         {
                                                           'date' => '2011-07-08T17:06:33',
                                                           'version' => '1.79'
                                                         },
                                                         {
                                                           'date' => '2011-07-12T20:39:51',
                                                           'version' => '1.80'
                                                         },
                                                         {
                                                           'date' => '2011-07-16T15:36:21',
                                                           'version' => '1.81'
                                                         },
                                                         {
                                                           'date' => '2011-07-20T20:49:05',
                                                           'version' => '1.82'
                                                         },
                                                         {
                                                           'date' => '2011-07-23T11:34:22',
                                                           'version' => '1.83'
                                                         },
                                                         {
                                                           'date' => '2011-07-23T20:17:26',
                                                           'version' => '1.84'
                                                         },
                                                         {
                                                           'date' => '2011-08-24T14:08:28',
                                                           'version' => '1.85'
                                                         },
                                                         {
                                                           'date' => '2011-08-25T08:46:56',
                                                           'version' => '1.86'
                                                         },
                                                         {
                                                           'date' => '2011-08-27T11:07:44',
                                                           'version' => '1.87'
                                                         },
                                                         {
                                                           'date' => '2011-09-21T10:01:23',
                                                           'version' => '1.88'
                                                         },
                                                         {
                                                           'date' => '2011-12-24T07:47:30',
                                                           'version' => '1.89'
                                                         },
                                                         {
                                                           'date' => '2012-01-08T19:01:33',
                                                           'version' => '1.90'
                                                         },
                                                         {
                                                           'date' => '2012-02-21T12:02:10',
                                                           'version' => '1.91'
                                                         },
                                                         {
                                                           'date' => '2012-02-21T17:03:56',
                                                           'version' => '1.92'
                                                         },
                                                         {
                                                           'date' => '2012-02-27T09:18:12',
                                                           'version' => '1.93'
                                                         },
                                                         {
                                                           'date' => '2012-03-03T20:10:26',
                                                           'version' => '1.94'
                                                         },
                                                         {
                                                           'date' => '2012-03-06T08:42:27',
                                                           'version' => '1.95'
                                                         },
                                                         {
                                                           'date' => '2012-03-16T19:05:40',
                                                           'version' => '1.96'
                                                         },
                                                         {
                                                           'date' => '2012-04-30T17:35:11',
                                                           'version' => '1.97'
                                                         },
                                                         {
                                                           'date' => '2012-05-13T18:06:03',
                                                           'version' => '1.98'
                                                         },
                                                         {
                                                           'date' => '2012-05-31T07:25:35',
                                                           'version' => '1.99'
                                                         },
                                                         {
                                                           'date' => '2012-06-19T20:07:27',
                                                           'version' => '2.0000'
                                                         },
                                                         {
                                                           'date' => '2012-06-20T16:53:03',
                                                           'version' => '2.0001'
                                                         },
                                                         {
                                                           'date' => '2012-07-08T15:12:36',
                                                           'version' => '2.0002'
                                                         },
                                                         {
                                                           'date' => '2012-07-27T15:22:53',
                                                           'version' => '2.0003'
                                                         },
                                                         {
                                                           'date' => '2012-08-07T20:06:48',
                                                           'version' => '2.0004'
                                                         },
                                                         {
                                                           'date' => '2012-10-13T11:23:03',
                                                           'version' => '2.0005'
                                                         },
                                                         {
                                                           'date' => '2012-10-13T20:34:57',
                                                           'version' => '2.0006'
                                                         },
                                                         {
                                                           'date' => '2012-10-17T17:05:13',
                                                           'version' => '2.0007'
                                                         },
                                                         {
                                                           'date' => '2012-10-22T10:13:20',
                                                           'version' => '2.0008'
                                                         },
                                                         {
                                                           'date' => '2012-11-01T14:29:13',
                                                           'version' => '2.0009'
                                                         },
                                                         {
                                                           'date' => '2012-11-01T18:16:34',
                                                           'version' => '2.0010'
                                                         },
                                                         {
                                                           'date' => '2012-11-07T22:29:47',
                                                           'version' => '2.0011'
                                                         },
                                                         {
                                                           'date' => '2012-11-09T04:42:04',
                                                           'version' => '2.0012'
                                                         },
                                                         {
                                                           'date' => '2012-12-04T15:46:46',
                                                           'version' => '2.0013'
                                                         },
                                                         {
                                                           'date' => '2012-12-05T09:13:26',
                                                           'version' => '2.0014'
                                                         },
                                                         {
                                                           'date' => '2013-04-12T23:35:55',
                                                           'version' => '2.0015'
                                                         },
                                                         {
                                                           'date' => '2013-04-13T19:39:51',
                                                           'version' => '2.0016'
                                                         },
                                                         {
                                                           'date' => '2013-05-09T08:07:47',
                                                           'version' => '2.0017'
                                                         },
                                                         {
                                                           'date' => '2013-05-13T10:44:19',
                                                           'version' => '2.0018'
                                                         },
                                                         {
                                                           'date' => '2013-07-01T08:08:50',
                                                           'version' => '2.0019'
                                                         },
                                                         {
                                                           'date' => '2013-08-14T05:27:26',
                                                           'version' => '2.0100'
                                                         },
                                                         {
                                                           'date' => '2013-08-15T05:34:30',
                                                           'version' => '2.0101'
                                                         },
                                                         {
                                                           'date' => '2013-08-19T12:18:31',
                                                           'version' => '2.0102'
                                                         },
                                                         {
                                                           'date' => '2013-08-22T05:35:19',
                                                           'version' => '2.0103'
                                                         },
                                                         {
                                                           'date' => '2013-08-30T09:38:04',
                                                           'version' => '2.0104'
                                                         },
                                                         {
                                                           'date' => '2013-09-07T17:24:00',
                                                           'version' => '2.0105'
                                                         },
                                                         {
                                                           'date' => '2013-09-17T16:14:51',
                                                           'version' => '2.0106'
                                                         },
                                                         {
                                                           'date' => '2013-10-31T07:16:02',
                                                           'version' => '2.0107'
                                                         },
                                                         {
                                                           'date' => '2013-12-17T09:10:53',
                                                           'version' => '2.0108'
                                                         },
                                                         {
                                                           'date' => '2014-01-31T08:01:23',
                                                           'version' => '2.0109'
                                                         },
                                                         {
                                                           'date' => '2014-02-01T14:14:02',
                                                           'version' => '2.0110'
                                                         },
                                                         {
                                                           'date' => '2014-03-05T15:31:25',
                                                           'version' => '2.0111'
                                                         },
                                                         {
                                                           'date' => '2014-03-13T18:19:10',
                                                           'version' => '2.0112'
                                                         },
                                                         {
                                                           'date' => '2014-03-14T12:15:54',
                                                           'version' => '2.0113'
                                                         },
                                                         {
                                                           'date' => '2014-04-03T13:01:06',
                                                           'version' => '2.0114'
                                                         },
                                                         {
                                                           'date' => '2014-04-03T13:15:41',
                                                           'version' => '2.0115'
                                                         },
                                                         {
                                                           'date' => '2014-04-12T08:10:37',
                                                           'version' => '2.0116'
                                                         },
                                                         {
                                                           'date' => '2014-10-26T16:31:29',
                                                           'version' => '2.0117'
                                                         },
                                                         {
                                                           'date' => '2015-02-05T10:57:03',
                                                           'version' => '2.0118'
                                                         },
                                                         {
                                                           'date' => '2015-04-23T07:14:45',
                                                           'version' => '2.0119'
                                                         },
                                                         {
                                                           'date' => '2015-05-01T09:50:18',
                                                           'version' => '2.0120'
                                                         },
                                                         {
                                                           'date' => '2015-05-03T12:08:06',
                                                           'version' => '2.0121'
                                                         },
                                                         {
                                                           'date' => '2015-09-01T09:02:29',
                                                           'version' => '2.0122'
                                                         },
                                                         {
                                                           'date' => '2015-12-06T13:19:22',
                                                           'version' => '2.0123'
                                                         },
                                                         {
                                                           'date' => '2016-02-27T11:21:08',
                                                           'version' => '2.0124'
                                                         },
                                                         {
                                                           'date' => '2016-05-30T09:24:51',
                                                           'version' => '2.0125'
                                                         },
                                                         {
                                                           'date' => '2016-06-24T16:21:00',
                                                           'version' => '2.0126'
                                                         },
                                                         {
                                                           'date' => '2016-07-22T17:40:51',
                                                           'version' => '2.0127'
                                                         },
                                                         {
                                                           'date' => '2016-07-24T09:15:48',
                                                           'version' => '2.0128'
                                                         },
                                                         {
                                                           'date' => '2017-03-14T13:37:23',
                                                           'version' => '2.0129'
                                                         },
                                                         {
                                                           'date' => '2017-10-18T08:45:49',
                                                           'version' => '2.0130'
                                                         },
                                                         {
                                                           'date' => '2017-10-24T08:57:20',
                                                           'version' => '2.0131'
                                                         },
                                                         {
                                                           'date' => '2017-10-28T17:58:34',
                                                           'version' => '2.0132'
                                                         },
                                                         {
                                                           'date' => '2019-02-02T11:11:30',
                                                           'version' => '2.0133'
                                                         },
                                                         {
                                                           'date' => '2019-02-10T15:02:55',
                                                           'version' => '2.0134'
                                                         }
                                                       ]
                                       },
                       'libapreq2' => {
                                        'advisories' => [
                                                          {
                                                            'affected_versions' => '<2.07',
                                                            'cves' => [
                                                                        'CVE-2006-0042'
                                                                      ],
                                                            'description' => 'Unspecified vulnerability in apreq_parse_headers and apreq_parse_urlencoded functions in Apache2::Request (Libapreq2) allows remote attackers to cause a denial of service (CPU consumption) via unknown attack vectors that result in quadratic computational complexity.
',
                                                            'distribution' => 'libapreq2',
                                                            'fixed_versions' => '>=2.07',
                                                            'id' => 'CPANSA-libapreq2-2006-01',
                                                            'references' => [
                                                                              'https://metacpan.org/changes/distribution/libapreq2'
                                                                            ],
                                                            'reported' => '2007-04-17'
                                                          }
                                                        ],
                                        'main_module' => 'Apache2::Upload',
                                        'versions' => [
                                                        {
                                                          'date' => '2003-11-11T01:28:48',
                                                          'version' => '2.01_03'
                                                        },
                                                        {
                                                          'date' => '2003-11-16T04:16:12',
                                                          'version' => '2.02_02'
                                                        },
                                                        {
                                                          'date' => '2004-06-12T14:52:49',
                                                          'version' => '2.03_04'
                                                        },
                                                        {
                                                          'date' => '2004-08-30T16:13:45',
                                                          'version' => '2.04_03'
                                                        },
                                                        {
                                                          'date' => '2005-05-04T23:38:05',
                                                          'version' => '2.05'
                                                        },
                                                        {
                                                          'date' => '2005-07-20T17:10:48',
                                                          'version' => '2.06'
                                                        },
                                                        {
                                                          'date' => '2006-02-12T18:10:47',
                                                          'version' => '2.07'
                                                        },
                                                        {
                                                          'date' => '2006-08-09T04:54:07',
                                                          'version' => '2.08'
                                                        },
                                                        {
                                                          'date' => '2009-03-13T22:47:11',
                                                          'version' => '2.12'
                                                        },
                                                        {
                                                          'date' => '2010-12-02T18:41:57',
                                                          'version' => '2.13'
                                                        }
                                                      ]
                                      },
                       'libwww-perl' => {
                                          'advisories' => [
                                                            {
                                                              'affected_versions' => '<6.00',
                                                              'cves' => [
                                                                          'CVE-2011-0633'
                                                                        ],
                                                              'description' => 'The Net::HTTPS module in libwww-perl (LWP) before 6.00, as used in WWW::Mechanize, LWP::UserAgent, and other products, when running in environments that do not set the If-SSL-Cert-Subject header, does not enable full validation of SSL certificates by default, which allows remote attackers to spoof servers via man-in-the-middle (MITM) attacks involving hostnames that are not properly validated.
',
                                                              'distribution' => 'libwww-perl',
                                                              'fixed_versions' => '>=6.00',
                                                              'id' => 'CPANSA-libwww-perl-2011-01',
                                                              'references' => [
                                                                                'http://vttynotes.blogspot.com/2010/12/man-in-middle-fun-with-perl-lwp.html',
                                                                                'http://vttynotes.blogspot.com/2011/03/quick-note-on-lwp-and-perl-security-cve.html'
                                                                              ],
                                                              'reported' => '2011-01-20'
                                                            },
                                                            {
                                                              'affected_versions' => '<5.835',
                                                              'cves' => [
                                                                          'CVE-2010-2253'
                                                                        ],
                                                              'description' => 'lwp-download in libwww-perl before 5.835 does not reject downloads to filenames that begin with a . (dot) character, which allows remote servers to create or overwrite files via (1) a 3xx redirect to a URL with a crafted filename or (2) a Content-Disposition header that suggests a crafted filename, and possibly execute arbitrary code as a consequence of writing to a dotfile in a home directory.
',
                                                              'distribution' => 'libwww-perl',
                                                              'fixed_versions' => '>=5.835',
                                                              'id' => 'CPANSA-libwww-perl-2010-01',
                                                              'references' => [
                                                                                'http://vttynotes.blogspot.com/2010/12/man-in-middle-fun-with-perl-lwp.html',
                                                                                'http://vttynotes.blogspot.com/2011/03/quick-note-on-lwp-and-perl-security-cve.html'
                                                                              ],
                                                              'reported' => '2010-07-06'
                                                            },
                                                            {
                                                              'affected_versions' => '<5.51',
                                                              'description' => 'If LWP::UserAgent::env_proxy is called in a CGI environment, the case-insensitivity when looking for "http_proxy" permits "HTTP_PROXY" to be found, but this can be trivially set by the web client using the "Proxy:" header.
',
                                                              'distribution' => 'libwww-perl',
                                                              'fixed_versions' => '>=5.51',
                                                              'id' => 'CPANSA-libwww-perl-2001-01',
                                                              'reported' => '2001-03-14'
                                                            }
                                                          ],
                                          'main_module' => 'LWP',
                                          'versions' => [
                                                          {
                                                            'date' => '1995-09-16T13:51:35',
                                                            'version' => '5'
                                                          },
                                                          {
                                                            'date' => '1995-11-06T14:29:13',
                                                            'version' => '5'
                                                          },
                                                          {
                                                            'date' => '1996-05-09T22:43:16',
                                                            'version' => '5'
                                                          },
                                                          {
                                                            'date' => '1996-05-26T14:01:51',
                                                            'version' => '5.00'
                                                          },
                                                          {
                                                            'date' => '1996-08-02T16:38:58',
                                                            'version' => '5.01'
                                                          },
                                                          {
                                                            'date' => '1996-09-11T16:19:57',
                                                            'version' => '5.02'
                                                          },
                                                          {
                                                            'date' => '1996-09-30T22:58:37',
                                                            'version' => '5.03'
                                                          },
                                                          {
                                                            'date' => '1996-10-22T10:39:33',
                                                            'version' => '5.04'
                                                          },
                                                          {
                                                            'date' => '1996-12-04T23:36:17',
                                                            'version' => '5.05'
                                                          },
                                                          {
                                                            'date' => '1997-01-27T23:53:38',
                                                            'version' => '5.06'
                                                          },
                                                          {
                                                            'date' => '1997-02-11T14:20:18',
                                                            'version' => '5.07'
                                                          },
                                                          {
                                                            'date' => '1997-04-05T13:10:16',
                                                            'version' => '5.08'
                                                          },
                                                          {
                                                            'date' => '1997-06-10T11:07:01',
                                                            'version' => '5.09'
                                                          },
                                                          {
                                                            'date' => '1997-06-20T10:51:10',
                                                            'version' => '5.10'
                                                          },
                                                          {
                                                            'date' => '1997-08-06T08:41:11',
                                                            'version' => '5.11'
                                                          },
                                                          {
                                                            'date' => '1997-09-05T09:38:58',
                                                            'version' => '5.12'
                                                          },
                                                          {
                                                            'date' => '1997-09-20T12:50:59',
                                                            'version' => '5.13'
                                                          },
                                                          {
                                                            'date' => '1997-10-12T20:55:32',
                                                            'version' => '5.14'
                                                          },
                                                          {
                                                            'date' => '1997-11-06T20:23:06',
                                                            'version' => '5.15'
                                                          },
                                                          {
                                                            'date' => '1997-12-12T17:44:29',
                                                            'version' => '5.18'
                                                          },
                                                          {
                                                            'date' => '1997-12-16T22:25:00',
                                                            'version' => '5.18_03'
                                                          },
                                                          {
                                                            'date' => '1997-12-17T10:08:54',
                                                            'version' => '5.18_04'
                                                          },
                                                          {
                                                            'date' => '1998-01-20T18:16:51',
                                                            'version' => '5.18_05'
                                                          },
                                                          {
                                                            'date' => '1998-01-26T23:55:39',
                                                            'version' => '5.19'
                                                          },
                                                          {
                                                            'date' => '1998-02-12T23:43:23',
                                                            'version' => '5.20'
                                                          },
                                                          {
                                                            'date' => '1998-03-12T18:39:08',
                                                            'version' => '5.21'
                                                          },
                                                          {
                                                            'date' => '1998-03-24T19:42:54',
                                                            'version' => '5.22'
                                                          },
                                                          {
                                                            'date' => '1998-03-31T22:25:14',
                                                            'version' => '5.30'
                                                          },
                                                          {
                                                            'date' => '1998-04-10T15:07:10',
                                                            'version' => '5.31'
                                                          },
                                                          {
                                                            'date' => '1998-04-17T05:23:45',
                                                            'version' => '5.32'
                                                          },
                                                          {
                                                            'date' => '1998-05-07T15:10:00',
                                                            'version' => '5.33'
                                                          },
                                                          {
                                                            'date' => '1998-07-07T16:06:51',
                                                            'version' => '5.34'
                                                          },
                                                          {
                                                            'date' => '1998-07-09T23:05:12',
                                                            'version' => '5.35'
                                                          },
                                                          {
                                                            'date' => '1998-08-04T15:15:44',
                                                            'version' => '5.36'
                                                          },
                                                          {
                                                            'date' => '1998-10-12T17:42:28',
                                                            'version' => '5.40_01'
                                                          },
                                                          {
                                                            'date' => '1998-11-19T22:17:29',
                                                            'version' => '5.41'
                                                          },
                                                          {
                                                            'date' => '1999-03-20T07:52:48',
                                                            'version' => '5.42'
                                                          },
                                                          {
                                                            'date' => '1999-05-09T19:26:17',
                                                            'version' => '5.43'
                                                          },
                                                          {
                                                            'date' => '1999-06-25T20:34:40',
                                                            'version' => '5.44'
                                                          },
                                                          {
                                                            'date' => '1999-09-20T13:36:22',
                                                            'version' => '5.45'
                                                          },
                                                          {
                                                            'date' => '1999-10-28T12:30:45',
                                                            'version' => '5.46'
                                                          },
                                                          {
                                                            'date' => '1999-11-16T14:59:58',
                                                            'version' => '5.47'
                                                          },
                                                          {
                                                            'date' => '2000-04-09T19:45:32',
                                                            'version' => '5.48'
                                                          },
                                                          {
                                                            'date' => '2001-01-01T06:35:20',
                                                            'version' => '5.49'
                                                          },
                                                          {
                                                            'date' => '2001-01-12T20:58:43',
                                                            'version' => '5.50'
                                                          },
                                                          {
                                                            'date' => '2001-03-14T21:33:03',
                                                            'version' => '5.51'
                                                          },
                                                          {
                                                            'date' => '2001-03-29T21:39:12',
                                                            'version' => '5.52'
                                                          },
                                                          {
                                                            'date' => '2001-04-10T23:15:00',
                                                            'version' => '5.53'
                                                          },
                                                          {
                                                            'date' => '2001-04-19T06:13:35',
                                                            'version' => '5.53_90'
                                                          },
                                                          {
                                                            'date' => '2001-04-21T05:02:13',
                                                            'version' => '5.53_91'
                                                          },
                                                          {
                                                            'date' => '2001-04-25T17:37:11',
                                                            'version' => '5.53_92'
                                                          },
                                                          {
                                                            'date' => '2001-04-29T06:28:31',
                                                            'version' => '5.53_93'
                                                          },
                                                          {
                                                            'date' => '2001-05-05T13:57:20',
                                                            'version' => '5.53_94'
                                                          },
                                                          {
                                                            'date' => '2001-08-07T00:46:18',
                                                            'version' => '5.53_95'
                                                          },
                                                          {
                                                            'date' => '2001-08-28T05:59:46',
                                                            'version' => '5.53_96'
                                                          },
                                                          {
                                                            'date' => '2001-09-20T00:33:20',
                                                            'version' => '5.53_97'
                                                          },
                                                          {
                                                            'date' => '2001-10-26T23:30:57',
                                                            'version' => '5.60'
                                                          },
                                                          {
                                                            'date' => '2001-11-17T02:56:46',
                                                            'version' => '5.61'
                                                          },
                                                          {
                                                            'date' => '2001-11-21T19:00:47',
                                                            'version' => '5.62'
                                                          },
                                                          {
                                                            'date' => '2001-12-14T21:01:09',
                                                            'version' => '5.63'
                                                          },
                                                          {
                                                            'date' => '2002-02-09T18:54:35',
                                                            'version' => '5.64'
                                                          },
                                                          {
                                                            'date' => '2002-05-31T20:59:15',
                                                            'version' => '5.65'
                                                          },
                                                          {
                                                            'date' => '2002-12-20T19:28:34',
                                                            'version' => '5.66'
                                                          },
                                                          {
                                                            'date' => '2003-01-01T16:53:11',
                                                            'version' => '5.67'
                                                          },
                                                          {
                                                            'date' => '2003-01-03T05:04:44',
                                                            'version' => '5.68'
                                                          },
                                                          {
                                                            'date' => '2003-01-24T16:55:35',
                                                            'version' => '5.69'
                                                          },
                                                          {
                                                            'date' => '2003-10-13T20:56:35',
                                                            'version' => '5.70'
                                                          },
                                                          {
                                                            'date' => '2003-10-14T19:12:56',
                                                            'version' => '5.71'
                                                          },
                                                          {
                                                            'date' => '2003-10-15T19:53:47',
                                                            'version' => '5.72'
                                                          },
                                                          {
                                                            'date' => '2003-10-19T20:04:40',
                                                            'version' => '5.73'
                                                          },
                                                          {
                                                            'date' => '2003-10-23T19:26:57',
                                                            'version' => '5.74'
                                                          },
                                                          {
                                                            'date' => '2003-10-26T22:10:48',
                                                            'version' => '5.75'
                                                          },
                                                          {
                                                            'date' => '2003-11-21T19:33:09',
                                                            'version' => '5.76'
                                                          },
                                                          {
                                                            'date' => '2004-04-06T13:41:45',
                                                            'version' => '5.77'
                                                          },
                                                          {
                                                            'date' => '2004-04-07T11:13:36',
                                                            'version' => '5.78'
                                                          },
                                                          {
                                                            'date' => '2004-04-13T08:09:08',
                                                            'version' => '5.79'
                                                          },
                                                          {
                                                            'date' => '2004-06-16T10:43:42',
                                                            'version' => '5.800'
                                                          },
                                                          {
                                                            'date' => '2004-11-12T18:32:17',
                                                            'version' => '5.801'
                                                          },
                                                          {
                                                            'date' => '2004-11-30T13:06:01',
                                                            'version' => '5.802'
                                                          },
                                                          {
                                                            'date' => '2004-12-11T15:48:30',
                                                            'version' => '5.803'
                                                          },
                                                          {
                                                            'date' => '2005-12-06T09:36:12',
                                                            'version' => '5.804'
                                                          },
                                                          {
                                                            'date' => '2005-12-08T12:29:02',
                                                            'version' => '5.805'
                                                          },
                                                          {
                                                            'date' => '2007-07-19T21:31:44',
                                                            'version' => '5.806'
                                                          },
                                                          {
                                                            'date' => '2007-07-31T13:14:54',
                                                            'version' => '5.807'
                                                          },
                                                          {
                                                            'date' => '2007-08-05T13:29:17',
                                                            'version' => '5.808'
                                                          },
                                                          {
                                                            'date' => '2008-04-08T11:47:19',
                                                            'version' => '5.810'
                                                          },
                                                          {
                                                            'date' => '2008-04-14T08:28:19',
                                                            'version' => '5.811'
                                                          },
                                                          {
                                                            'date' => '2008-04-16T10:32:51',
                                                            'version' => '5.812'
                                                          },
                                                          {
                                                            'date' => '2008-06-17T20:37:17',
                                                            'version' => '5.813'
                                                          },
                                                          {
                                                            'date' => '2008-07-25T09:09:53',
                                                            'version' => '5.814'
                                                          },
                                                          {
                                                            'date' => '2008-09-24T18:10:11',
                                                            'version' => '5.815'
                                                          },
                                                          {
                                                            'date' => '2008-09-29T09:27:09',
                                                            'version' => '5.816'
                                                          },
                                                          {
                                                            'date' => '2008-10-10T21:31:27',
                                                            'version' => '5.817'
                                                          },
                                                          {
                                                            'date' => '2008-10-16T10:32:24',
                                                            'version' => '5.818'
                                                          },
                                                          {
                                                            'date' => '2008-10-20T11:43:37',
                                                            'version' => '5.819'
                                                          },
                                                          {
                                                            'date' => '2008-11-05T18:07:29',
                                                            'version' => '5.820'
                                                          },
                                                          {
                                                            'date' => '2008-11-25T00:16:49',
                                                            'version' => '5.821'
                                                          },
                                                          {
                                                            'date' => '2008-12-05T19:18:40',
                                                            'version' => '5.822'
                                                          },
                                                          {
                                                            'date' => '2009-01-12T16:50:02',
                                                            'version' => '5.823'
                                                          },
                                                          {
                                                            'date' => '2009-02-13T14:12:29',
                                                            'version' => '5.824'
                                                          },
                                                          {
                                                            'date' => '2009-02-16T10:00:35',
                                                            'version' => '5.825'
                                                          },
                                                          {
                                                            'date' => '2009-04-24T20:42:45',
                                                            'version' => '5.826'
                                                          },
                                                          {
                                                            'date' => '2009-06-15T19:36:37',
                                                            'version' => '5.827'
                                                          },
                                                          {
                                                            'date' => '2009-06-25T19:44:55',
                                                            'version' => '5.828'
                                                          },
                                                          {
                                                            'date' => '2009-07-08T20:03:11',
                                                            'version' => '5.829'
                                                          },
                                                          {
                                                            'date' => '2009-07-26T19:39:49',
                                                            'version' => '5.830'
                                                          },
                                                          {
                                                            'date' => '2009-08-13T20:53:34',
                                                            'version' => '5.831'
                                                          },
                                                          {
                                                            'date' => '2009-09-21T18:24:41',
                                                            'version' => '5.832'
                                                          },
                                                          {
                                                            'date' => '2009-10-06T21:23:39',
                                                            'version' => '5.833'
                                                          },
                                                          {
                                                            'date' => '2009-11-21T13:09:14',
                                                            'version' => '5.834'
                                                          },
                                                          {
                                                            'date' => '2010-05-05T21:13:47',
                                                            'version' => '5.835'
                                                          },
                                                          {
                                                            'date' => '2010-05-13T07:34:58',
                                                            'version' => '5.836'
                                                          },
                                                          {
                                                            'date' => '2010-09-20T21:24:38',
                                                            'version' => '5.837'
                                                          },
                                                          {
                                                            'date' => '2010-11-04T15:16:35',
                                                            'version' => '5.837'
                                                          },
                                                          {
                                                            'date' => '2011-03-08T19:25:05',
                                                            'version' => '6.00'
                                                          },
                                                          {
                                                            'date' => '2011-03-09T23:30:57',
                                                            'version' => '6.01'
                                                          },
                                                          {
                                                            'date' => '2011-03-27T11:35:01',
                                                            'version' => '6.02'
                                                          },
                                                          {
                                                            'date' => '2011-10-15T13:38:28',
                                                            'version' => '6.03'
                                                          },
                                                          {
                                                            'date' => '2012-02-18T22:13:13',
                                                            'version' => '6.04'
                                                          },
                                                          {
                                                            'date' => '2013-03-11T21:47:56',
                                                            'version' => '6.05'
                                                          },
                                                          {
                                                            'date' => '2014-04-16T18:38:49',
                                                            'version' => '6.06'
                                                          },
                                                          {
                                                            'date' => '2014-07-02T05:10:47',
                                                            'version' => '6.07'
                                                          },
                                                          {
                                                            'date' => '2014-07-25T03:19:43',
                                                            'version' => '6.08'
                                                          },
                                                          {
                                                            'date' => '2015-02-10T02:58:40',
                                                            'version' => '6.09'
                                                          },
                                                          {
                                                            'date' => '2015-02-12T17:40:48',
                                                            'version' => '6.10'
                                                          },
                                                          {
                                                            'date' => '2015-02-13T21:38:49',
                                                            'version' => '6.11'
                                                          },
                                                          {
                                                            'date' => '2015-02-14T00:16:15',
                                                            'version' => '6.12'
                                                          },
                                                          {
                                                            'date' => '2015-02-14T18:45:12',
                                                            'version' => '6.13'
                                                          },
                                                          {
                                                            'date' => '2015-11-25T20:23:47',
                                                            'version' => '6.14_001'
                                                          },
                                                          {
                                                            'date' => '2015-12-05T06:01:09',
                                                            'version' => '6.15'
                                                          },
                                                          {
                                                            'date' => '2016-01-05T00:29:20',
                                                            'version' => '6.15_001'
                                                          },
                                                          {
                                                            'date' => '2016-01-14T01:52:18',
                                                            'version' => '6.15_002'
                                                          },
                                                          {
                                                            'date' => '2016-01-14T02:01:20',
                                                            'version' => '6.15_003'
                                                          },
                                                          {
                                                            'date' => '2016-02-13T06:18:45',
                                                            'version' => '6.15_004'
                                                          },
                                                          {
                                                            'date' => '2017-01-18T14:22:22',
                                                            'version' => '6.16'
                                                          },
                                                          {
                                                            'date' => '2017-01-31T19:39:10',
                                                            'version' => '6.17'
                                                          },
                                                          {
                                                            'date' => '2017-02-03T20:31:54',
                                                            'version' => '6.18'
                                                          },
                                                          {
                                                            'date' => '2017-02-14T19:56:20',
                                                            'version' => '6.19'
                                                          },
                                                          {
                                                            'date' => '2017-02-21T15:19:06',
                                                            'version' => '6.20'
                                                          },
                                                          {
                                                            'date' => '2017-02-21T20:38:03',
                                                            'version' => '6.21'
                                                          },
                                                          {
                                                            'date' => '2017-03-01T15:27:43',
                                                            'version' => '6.22'
                                                          },
                                                          {
                                                            'date' => '2017-03-07T03:49:52',
                                                            'version' => '6.23'
                                                          },
                                                          {
                                                            'date' => '2017-03-14T16:36:38',
                                                            'version' => '6.24'
                                                          },
                                                          {
                                                            'date' => '2017-04-03T17:20:06',
                                                            'version' => '6.25'
                                                          },
                                                          {
                                                            'date' => '2017-04-12T15:36:20',
                                                            'version' => '6.26'
                                                          },
                                                          {
                                                            'date' => '2017-09-21T22:32:37',
                                                            'version' => '6.27'
                                                          },
                                                          {
                                                            'date' => '2017-11-06T15:43:47',
                                                            'version' => '6.28'
                                                          },
                                                          {
                                                            'date' => '2017-11-06T20:34:56',
                                                            'version' => '6.29'
                                                          },
                                                          {
                                                            'date' => '2017-12-08T01:57:23',
                                                            'version' => '6.30'
                                                          },
                                                          {
                                                            'date' => '2017-12-11T01:57:47',
                                                            'version' => '6.31'
                                                          },
                                                          {
                                                            'date' => '2018-02-20T19:41:40',
                                                            'version' => '6.32'
                                                          },
                                                          {
                                                            'date' => '2018-02-27T04:04:55',
                                                            'version' => '6.33'
                                                          },
                                                          {
                                                            'date' => '2018-06-05T18:50:45',
                                                            'version' => '6.34'
                                                          },
                                                          {
                                                            'date' => '2018-07-16T04:51:16',
                                                            'version' => '6.35'
                                                          },
                                                          {
                                                            'date' => '2018-10-10T02:21:49',
                                                            'version' => '6.36'
                                                          },
                                                          {
                                                            'date' => '2019-03-06T20:51:05',
                                                            'version' => '6.37'
                                                          }
                                                        ]
                                        },
                       'mod_perl' => {
                                       'advisories' => [
                                                         {
                                                           'affected_versions' => '<1.31',
                                                           'cves' => [
                                                                       'CVE-2009-0796'
                                                                     ],
                                                           'description' => 'XSS in Apache::Status.
',
                                                           'distribution' => 'mod_perl',
                                                           'fixed_versions' => '>=1.31',
                                                           'id' => 'CPANSA-mod_perl-2009-01',
                                                           'references' => [
                                                                             'https://metacpan.org/changes/distribution/mod_perl'
                                                                           ],
                                                           'reported' => '2009-05-11'
                                                         },
                                                         {
                                                           'affected_versions' => '<1.30',
                                                           'cves' => [
                                                                       'CVE-2007-1349'
                                                                     ],
                                                           'description' => 'Unescaped variable interpolation in Apache::PerlRun regular expression could cause regex engine tampering.
',
                                                           'distribution' => 'mod_perl',
                                                           'fixed_versions' => '>=1.30',
                                                           'id' => 'CPANSA-mod_perl-2007-01',
                                                           'references' => [
                                                                             'https://metacpan.org/changes/distribution/mod_perl'
                                                                           ],
                                                           'reported' => '2007-03-29'
                                                         }
                                                       ],
                                       'main_module' => 'mod_perl2',
                                       'versions' => [
                                                       {
                                                         'date' => '1996-05-21T02:07:05',
                                                         'version' => '0.60'
                                                       },
                                                       {
                                                         'date' => '1996-05-21T20:51:37',
                                                         'version' => '0.60'
                                                       },
                                                       {
                                                         'date' => '1996-06-18T19:41:55',
                                                         'version' => '0.60'
                                                       },
                                                       {
                                                         'date' => '1996-06-25T15:49:56',
                                                         'version' => '0.60'
                                                       },
                                                       {
                                                         'date' => '1996-07-14T23:39:07',
                                                         'version' => '0.70'
                                                       },
                                                       {
                                                         'date' => '1996-07-26T20:39:23',
                                                         'version' => '0.76'
                                                       },
                                                       {
                                                         'date' => '1996-09-08T22:13:32',
                                                         'version' => '0.81'
                                                       },
                                                       {
                                                         'date' => '1996-10-04T15:50:31',
                                                         'version' => '0.83_02'
                                                       },
                                                       {
                                                         'date' => '1996-10-09T07:10:24',
                                                         'version' => '0.83_03'
                                                       },
                                                       {
                                                         'date' => '1996-10-14T03:46:54',
                                                         'version' => '0.83_04'
                                                       },
                                                       {
                                                         'date' => '1996-10-15T13:34:22',
                                                         'version' => '0.83_05'
                                                       },
                                                       {
                                                         'date' => '1996-10-17T03:48:27',
                                                         'version' => '0.83_06'
                                                       },
                                                       {
                                                         'date' => '1996-10-18T22:18:01',
                                                         'version' => '0.83_07'
                                                       },
                                                       {
                                                         'date' => '1996-10-21T01:37:29',
                                                         'version' => '0.83_09'
                                                       },
                                                       {
                                                         'date' => '1996-10-25T14:09:06',
                                                         'version' => '0.83_10'
                                                       },
                                                       {
                                                         'date' => '1996-10-28T00:01:00',
                                                         'version' => '0.84'
                                                       },
                                                       {
                                                         'date' => '1996-11-13T05:39:14',
                                                         'version' => '0.85'
                                                       },
                                                       {
                                                         'date' => '1996-11-14T07:21:01',
                                                         'version' => '0.85_01'
                                                       },
                                                       {
                                                         'date' => '1996-11-27T17:19:02',
                                                         'version' => '0.85_02'
                                                       },
                                                       {
                                                         'date' => '1996-12-05T03:37:12',
                                                         'version' => '0.85_03'
                                                       },
                                                       {
                                                         'date' => '1996-12-10T23:17:33',
                                                         'version' => '0.85_04'
                                                       },
                                                       {
                                                         'date' => '1996-12-17T13:31:40',
                                                         'version' => '0.85_06'
                                                       },
                                                       {
                                                         'date' => '1996-12-19T14:32:44',
                                                         'version' => '0.86'
                                                       },
                                                       {
                                                         'date' => '1996-12-24T04:19:35',
                                                         'version' => '0.87'
                                                       },
                                                       {
                                                         'date' => '1996-12-24T20:41:28',
                                                         'version' => '0.88'
                                                       },
                                                       {
                                                         'date' => '1996-12-31T04:43:25',
                                                         'version' => '0.89'
                                                       },
                                                       {
                                                         'date' => '1996-12-31T07:52:56',
                                                         'version' => '0.90'
                                                       },
                                                       {
                                                         'date' => '1997-01-20T10:04:20',
                                                         'version' => '0.90_01'
                                                       },
                                                       {
                                                         'date' => '1997-01-23T00:58:22',
                                                         'version' => '0.91'
                                                       },
                                                       {
                                                         'date' => '1997-01-23T15:56:19',
                                                         'version' => '0.92'
                                                       },
                                                       {
                                                         'date' => '1997-01-28T02:37:30',
                                                         'version' => '0.93'
                                                       },
                                                       {
                                                         'date' => '1997-03-05T03:19:32',
                                                         'version' => '0.93_01'
                                                       },
                                                       {
                                                         'date' => '1997-03-10T12:07:39',
                                                         'version' => '0.94'
                                                       },
                                                       {
                                                         'date' => '1997-03-23T18:53:46',
                                                         'version' => '0.95'
                                                       },
                                                       {
                                                         'date' => '1997-03-23T18:54:02',
                                                         'version' => '0.95_02'
                                                       },
                                                       {
                                                         'date' => '1997-04-01T04:44:44',
                                                         'version' => '0.95_03'
                                                       },
                                                       {
                                                         'date' => '1997-04-02T01:35:22',
                                                         'version' => '0.95_04'
                                                       },
                                                       {
                                                         'date' => '1997-04-02T03:20:37',
                                                         'version' => '0.95_05'
                                                       },
                                                       {
                                                         'date' => '1997-04-02T04:42:28',
                                                         'version' => '0.95_06'
                                                       },
                                                       {
                                                         'date' => '1997-04-04T05:33:39',
                                                         'version' => '0.96'
                                                       },
                                                       {
                                                         'date' => '1997-04-16T03:54:02',
                                                         'version' => '0.97'
                                                       },
                                                       {
                                                         'date' => '1997-04-23T03:29:01',
                                                         'version' => '0.97_01'
                                                       },
                                                       {
                                                         'date' => '1997-04-30T03:56:50',
                                                         'version' => '0.97_02'
                                                       },
                                                       {
                                                         'date' => '1997-05-02T19:58:12',
                                                         'version' => '0.98'
                                                       },
                                                       {
                                                         'date' => '1997-05-19T22:59:20',
                                                         'version' => '0.98_03'
                                                       },
                                                       {
                                                         'date' => '1997-05-23T00:24:28',
                                                         'version' => '0.98_05'
                                                       },
                                                       {
                                                         'date' => '1997-05-30T02:07:03',
                                                         'version' => '0.98_08'
                                                       },
                                                       {
                                                         'date' => '1997-06-02T00:05:45',
                                                         'version' => '0.98_09'
                                                       },
                                                       {
                                                         'date' => '1997-06-03T03:15:48',
                                                         'version' => '0.98_10'
                                                       },
                                                       {
                                                         'date' => '1997-06-04T01:54:46',
                                                         'version' => '0.98_11'
                                                       },
                                                       {
                                                         'date' => '1997-06-06T01:14:09',
                                                         'version' => '0.98_12'
                                                       },
                                                       {
                                                         'date' => '1997-06-12T00:36:43',
                                                         'version' => '0.99'
                                                       },
                                                       {
                                                         'date' => '1997-06-30T03:04:22',
                                                         'version' => '1.00'
                                                       },
                                                       {
                                                         'date' => '1997-07-08T06:20:15',
                                                         'version' => '1.00'
                                                       },
                                                       {
                                                         'date' => '1997-07-30T20:57:59',
                                                         'version' => '1.00'
                                                       },
                                                       {
                                                         'date' => '1997-08-25T22:00:29',
                                                         'version' => '0.85_05'
                                                       },
                                                       {
                                                         'date' => '1997-09-16T01:09:06',
                                                         'version' => '1.00_02'
                                                       },
                                                       {
                                                         'date' => '1997-09-21T21:40:32',
                                                         'version' => '1.00_03'
                                                       },
                                                       {
                                                         'date' => '1997-10-17T00:04:35',
                                                         'version' => '1.01'
                                                       },
                                                       {
                                                         'date' => '1997-10-17T15:40:45',
                                                         'version' => '1.02'
                                                       },
                                                       {
                                                         'date' => '1997-10-24T04:02:30',
                                                         'version' => '1.03'
                                                       },
                                                       {
                                                         'date' => '1997-10-31T03:59:22',
                                                         'version' => '1.04'
                                                       },
                                                       {
                                                         'date' => '1997-11-07T04:32:07',
                                                         'version' => '1.05'
                                                       },
                                                       {
                                                         'date' => '1997-11-26T02:09:01',
                                                         'version' => '1.07'
                                                       },
                                                       {
                                                         'date' => '1997-12-02T21:34:03',
                                                         'version' => '1.07_01'
                                                       },
                                                       {
                                                         'date' => '1997-12-22T09:29:56',
                                                         'version' => '1.07_02'
                                                       },
                                                       {
                                                         'date' => '1998-01-08T10:21:31',
                                                         'version' => '1.07_03'
                                                       },
                                                       {
                                                         'date' => '1998-01-28T02:10:28',
                                                         'version' => '1.07_03'
                                                       },
                                                       {
                                                         'date' => '1998-01-29T00:47:52',
                                                         'version' => '1.07_03'
                                                       },
                                                       {
                                                         'date' => '1998-02-10T11:04:03',
                                                         'version' => '1.07_04'
                                                       },
                                                       {
                                                         'date' => '1998-02-12T15:08:20',
                                                         'version' => '1.07_04'
                                                       },
                                                       {
                                                         'date' => '1998-02-20T03:43:49',
                                                         'version' => '1.08'
                                                       },
                                                       {
                                                         'date' => '1998-03-07T01:06:09',
                                                         'version' => '1.08'
                                                       },
                                                       {
                                                         'date' => '1998-03-19T07:39:18',
                                                         'version' => '1.09'
                                                       },
                                                       {
                                                         'date' => '1998-03-21T04:14:02',
                                                         'version' => '1.10'
                                                       },
                                                       {
                                                         'date' => '1998-03-27T16:52:20',
                                                         'version' => '1.10'
                                                       },
                                                       {
                                                         'date' => '1998-04-21T14:43:05',
                                                         'version' => '1.11'
                                                       },
                                                       {
                                                         'date' => '1998-04-24T18:58:30',
                                                         'version' => '1.11'
                                                       },
                                                       {
                                                         'date' => '1998-06-09T16:51:19',
                                                         'version' => '1.11'
                                                       },
                                                       {
                                                         'date' => '1998-06-14T19:21:25',
                                                         'version' => '1.12'
                                                       },
                                                       {
                                                         'date' => '1998-07-14T01:13:07',
                                                         'version' => '1.13'
                                                       },
                                                       {
                                                         'date' => '1998-07-19T00:19:20',
                                                         'version' => '1.14'
                                                       },
                                                       {
                                                         'date' => '1998-07-24T13:52:53',
                                                         'version' => '1.15'
                                                       },
                                                       {
                                                         'date' => '1998-07-24T15:59:13',
                                                         'version' => '1.15'
                                                       },
                                                       {
                                                         'date' => '1998-09-20T00:02:57',
                                                         'version' => '1.15_01'
                                                       },
                                                       {
                                                         'date' => '1998-10-02T23:10:02',
                                                         'version' => '1.16'
                                                       },
                                                       {
                                                         'date' => '1998-10-28T18:16:45',
                                                         'version' => '1.16'
                                                       },
                                                       {
                                                         'date' => '1998-11-24T23:54:59',
                                                         'version' => '1.16_01'
                                                       },
                                                       {
                                                         'date' => '1998-12-01T00:01:25',
                                                         'version' => '1.16_02'
                                                       },
                                                       {
                                                         'date' => '1999-01-28T06:27:45',
                                                         'version' => '1.18'
                                                       },
                                                       {
                                                         'date' => '1999-06-11T17:22:35',
                                                         'version' => '1.20'
                                                       },
                                                       {
                                                         'date' => '1999-07-02T23:43:56',
                                                         'version' => '1.21'
                                                       },
                                                       {
                                                         'date' => '2000-03-06T01:32:31',
                                                         'version' => '1.21_01'
                                                       },
                                                       {
                                                         'date' => '2000-03-07T07:56:53',
                                                         'version' => '1.21_02'
                                                       },
                                                       {
                                                         'date' => '2000-03-15T10:25:52',
                                                         'version' => '1.21_03'
                                                       },
                                                       {
                                                         'date' => '2000-03-23T06:51:53',
                                                         'version' => '1.22'
                                                       },
                                                       {
                                                         'date' => '2000-04-21T06:51:47',
                                                         'version' => '1.23'
                                                       },
                                                       {
                                                         'date' => '2000-05-17T05:44:34',
                                                         'version' => '1.24'
                                                       },
                                                       {
                                                         'date' => '2000-10-10T16:44:39',
                                                         'version' => '1.24_01'
                                                       },
                                                       {
                                                         'date' => '2001-01-30T04:33:45',
                                                         'version' => '1.25'
                                                       },
                                                       {
                                                         'date' => '2001-07-06T21:27:16',
                                                         'version' => '1.25_01'
                                                       },
                                                       {
                                                         'date' => '2001-07-12T02:23:32',
                                                         'version' => '1.26'
                                                       },
                                                       {
                                                         'date' => '2002-04-07T04:58:26',
                                                         'version' => '1.99_01'
                                                       },
                                                       {
                                                         'date' => '2002-06-02T03:05:50',
                                                         'version' => '1.27'
                                                       },
                                                       {
                                                         'date' => '2002-06-02T03:27:13',
                                                         'version' => '1.99_02'
                                                       },
                                                       {
                                                         'date' => '2002-06-15T23:59:37',
                                                         'version' => '1.99_03'
                                                       },
                                                       {
                                                         'date' => '2002-06-21T22:45:41',
                                                         'version' => '1.99_04'
                                                       },
                                                       {
                                                         'date' => '2002-08-20T16:54:13',
                                                         'version' => '1.99_05'
                                                       },
                                                       {
                                                         'date' => '2002-09-27T15:19:03',
                                                         'version' => '1.99_06'
                                                       },
                                                       {
                                                         'date' => '2002-09-27T19:41:50',
                                                         'version' => '1.99_07'
                                                       },
                                                       {
                                                         'date' => '2003-01-11T04:22:19',
                                                         'version' => '1.99_08'
                                                       },
                                                       {
                                                         'date' => '2003-04-28T02:36:59',
                                                         'version' => '1.99_09'
                                                       },
                                                       {
                                                         'date' => '2003-07-03T03:32:20',
                                                         'version' => '1.28'
                                                       },
                                                       {
                                                         'date' => '2003-09-29T17:11:24',
                                                         'version' => '1.99_10'
                                                       },
                                                       {
                                                         'date' => '2003-10-08T04:54:22',
                                                         'version' => '1.29'
                                                       },
                                                       {
                                                         'date' => '2003-11-10T21:04:15',
                                                         'version' => '1.99_11'
                                                       },
                                                       {
                                                         'date' => '2003-12-22T19:56:22',
                                                         'version' => '1.99_12'
                                                       },
                                                       {
                                                         'date' => '2004-03-09T00:29:43',
                                                         'version' => '1.99_13'
                                                       },
                                                       {
                                                         'date' => '2004-05-21T18:02:49',
                                                         'version' => '1.99_14'
                                                       },
                                                       {
                                                         'date' => '2004-08-20T18:35:12',
                                                         'version' => '1.99_15'
                                                       },
                                                       {
                                                         'date' => '2004-08-23T05:59:47',
                                                         'version' => '1.99_16'
                                                       },
                                                       {
                                                         'date' => '2004-10-22T21:38:19',
                                                         'version' => '1.99_17'
                                                       },
                                                       {
                                                         'date' => '2004-12-12T23:22:37',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2004-12-23T23:38:49',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2005-01-06T01:27:43',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2005-01-22T08:55:19',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2005-04-14T13:19:23',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2005-05-04T02:48:58',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2005-05-20T05:12:45',
                                                         'version' => 'v2.0.0'
                                                       },
                                                       {
                                                         'date' => '2005-06-17T21:05:23',
                                                         'version' => 'v2.0.1'
                                                       },
                                                       {
                                                         'date' => '2005-10-21T01:27:23',
                                                         'version' => 'v2.0.2'
                                                       },
                                                       {
                                                         'date' => '2006-11-29T08:29:30',
                                                         'version' => 'v2.0.3'
                                                       },
                                                       {
                                                         'date' => '2007-03-30T06:19:02',
                                                         'version' => '1.30'
                                                       },
                                                       {
                                                         'date' => '2008-04-17T06:32:36',
                                                         'version' => 'v2.0.4'
                                                       },
                                                       {
                                                         'date' => '2009-05-13T02:29:50',
                                                         'version' => '1.31'
                                                       },
                                                       {
                                                         'date' => '2011-02-07T23:31:36',
                                                         'version' => 'v2.0.5'
                                                       },
                                                       {
                                                         'date' => '2012-04-25T15:31:27',
                                                         'version' => 'v2.0.6'
                                                       },
                                                       {
                                                         'date' => '2012-06-06T02:40:24',
                                                         'version' => 'v2.0.7'
                                                       },
                                                       {
                                                         'date' => '2013-04-18T02:15:56',
                                                         'version' => '2.0.8'
                                                       },
                                                       {
                                                         'date' => '2015-06-18T21:16:34',
                                                         'version' => '2.0.9'
                                                       },
                                                       {
                                                         'date' => '2016-10-27T21:16:36',
                                                         'version' => '2.0.10'
                                                       }
                                                     ]
                                     }
                     },
          'module2dist' => {
                             'APR' => 'mod_perl',
                             'APR::Base64' => 'mod_perl',
                             'APR::Brigade' => 'mod_perl',
                             'APR::Bucket' => 'mod_perl',
                             'APR::BucketAlloc' => 'mod_perl',
                             'APR::BucketType' => 'mod_perl',
                             'APR::Const' => 'mod_perl',
                             'APR::Date' => 'mod_perl',
                             'APR::Error' => 'mod_perl',
                             'APR::Finfo' => 'mod_perl',
                             'APR::FunctionTable' => 'mod_perl',
                             'APR::IpSubnet' => 'mod_perl',
                             'APR::OS' => 'mod_perl',
                             'APR::PerlIO' => 'mod_perl',
                             'APR::Pool' => 'mod_perl',
                             'APR::Request' => 'libapreq2',
                             'APR::Request::Apache2' => 'libapreq2',
                             'APR::Request::CGI' => 'libapreq2',
                             'APR::Request::Cookie' => 'libapreq2',
                             'APR::Request::Error' => 'libapreq2',
                             'APR::Request::Param' => 'libapreq2',
                             'APR::SockAddr' => 'mod_perl',
                             'APR::Socket' => 'mod_perl',
                             'APR::Status' => 'mod_perl',
                             'APR::String' => 'mod_perl',
                             'APR::Table' => 'mod_perl',
                             'APR::ThreadMutex' => 'mod_perl',
                             'APR::ThreadRWLock' => 'mod_perl',
                             'APR::URI' => 'mod_perl',
                             'APR::UUID' => 'mod_perl',
                             'APR::Util' => 'mod_perl',
                             'APR::XSLoader' => 'mod_perl',
                             'Apache' => 'mod_perl',
                             'Apache2::Access' => 'mod_perl',
                             'Apache2::Build' => 'mod_perl',
                             'Apache2::CmdParms' => 'mod_perl',
                             'Apache2::Command' => 'mod_perl',
                             'Apache2::Connection' => 'mod_perl',
                             'Apache2::ConnectionUtil' => 'mod_perl',
                             'Apache2::ConstantsTable' => 'mod_perl',
                             'Apache2::Cookie' => 'libapreq2',
                             'Apache2::Directive' => 'mod_perl',
                             'Apache2::Filter' => 'mod_perl',
                             'Apache2::FilterRec' => 'mod_perl',
                             'Apache2::FunctionTable' => 'mod_perl',
                             'Apache2::HookRun' => 'mod_perl',
                             'Apache2::Log' => 'mod_perl',
                             'Apache2::MPM' => 'mod_perl',
                             'Apache2::Module' => 'mod_perl',
                             'Apache2::ParseSource' => 'mod_perl',
                             'Apache2::ParseSource::Scan' => 'mod_perl',
                             'Apache2::PerlSections' => 'mod_perl',
                             'Apache2::PerlSections::Dump' => 'mod_perl',
                             'Apache2::Process' => 'mod_perl',
                             'Apache2::Provider' => 'mod_perl',
                             'Apache2::Request' => 'libapreq2',
                             'Apache2::RequestIO' => 'mod_perl',
                             'Apache2::RequestRec' => 'mod_perl',
                             'Apache2::RequestUtil' => 'mod_perl',
                             'Apache2::Resource' => 'mod_perl',
                             'Apache2::Response' => 'mod_perl',
                             'Apache2::ServerRec' => 'mod_perl',
                             'Apache2::ServerUtil' => 'mod_perl',
                             'Apache2::SourceTables' => 'mod_perl',
                             'Apache2::Status' => 'mod_perl',
                             'Apache2::Status::_version' => 'mod_perl',
                             'Apache2::StructureTable' => 'mod_perl',
                             'Apache2::SubProcess' => 'mod_perl',
                             'Apache2::SubRequest' => 'mod_perl',
                             'Apache2::URI' => 'mod_perl',
                             'Apache2::Upload' => 'libapreq2',
                             'Apache2::Util' => 'mod_perl',
                             'Apache2::XSLoader' => 'mod_perl',
                             'Apache2::compat' => 'mod_perl',
                             'Apache2::porting' => 'mod_perl',
                             'Apache::AuthCAS' => 'Apache-AuthCAS',
                             'Apache::Connection' => 'mod_perl',
                             'Apache::Constants' => 'mod_perl',
                             'Apache::Constants::Exports' => 'mod_perl',
                             'Apache::Debug' => 'mod_perl',
                             'Apache::ExtUtils' => 'mod_perl',
                             'Apache::FakeRequest' => 'mod_perl',
                             'Apache::File' => 'mod_perl',
                             'Apache::Include' => 'mod_perl',
                             'Apache::Leak' => 'mod_perl',
                             'Apache::Log' => 'mod_perl',
                             'Apache::ModuleConfig' => 'mod_perl',
                             'Apache::Opcode' => 'mod_perl',
                             'Apache::Options' => 'mod_perl',
                             'Apache::PerlRun' => 'mod_perl',
                             'Apache::PerlRunXS' => 'mod_perl',
                             'Apache::PerlSections' => 'mod_perl',
                             'Apache::ReadConfig' => 'mod_perl',
                             'Apache::RedirectLogFix' => 'mod_perl',
                             'Apache::Registry' => 'mod_perl',
                             'Apache::RegistryBB' => 'mod_perl',
                             'Apache::RegistryLoader' => 'mod_perl',
                             'Apache::RegistryNG' => 'mod_perl',
                             'Apache::Resource' => 'mod_perl',
                             'Apache::SIG' => 'mod_perl',
                             'Apache::SOAP' => 'SOAP-Lite',
                             'Apache::Server' => 'mod_perl',
                             'Apache::SessionX' => 'Apache-SessionX',
                             'Apache::SessionX::Generate::MD5' => 'Apache-SessionX',
                             'Apache::SessionX::Manager' => 'Apache-SessionX',
                             'Apache::SessionX::Store::File' => 'Apache-SessionX',
                             'Apache::StatINC' => 'mod_perl',
                             'Apache::Status' => 'mod_perl',
                             'Apache::Symbol' => 'mod_perl',
                             'Apache::Symdump' => 'mod_perl',
                             'Apache::Table' => 'mod_perl',
                             'Apache::URI' => 'mod_perl',
                             'Apache::Util' => 'mod_perl',
                             'Apache::XMLRPC::Lite' => 'SOAP-Lite',
                             'Apache::fork' => 'mod_perl',
                             'Apache::httpd_conf' => 'mod_perl',
                             'Apache::src' => 'mod_perl',
                             'Apache::testold' => 'mod_perl',
                             'App::Cpan' => 'CPAN',
                             'App::Github::Email' => 'App-Github-Email',
                             'App::Packer::Backend::PAR' => 'PAR',
                             'App::Packer::PAR' => 'PAR-Packer',
                             'App::Packer::Temp' => 'PAR',
                             'Archive::Tar' => 'Archive-Tar',
                             'Archive::Tar::Constant' => 'Archive-Tar',
                             'Archive::Tar::File' => 'Archive-Tar',
                             'Archive::Tar::Std' => 'Archive-Tar',
                             'Archive::Tar::Std::_io' => 'Archive-Tar',
                             'Archive::Tar::Win32' => 'Archive-Tar',
                             'Archive::Tar::_io' => 'Archive-Tar',
                             'Archive::Zip' => 'Archive-Zip',
                             'Archive::Zip::Archive' => 'Archive-Zip',
                             'Archive::Zip::BufferedFileHandle' => 'Archive-Zip',
                             'Archive::Zip::DirectoryMember' => 'Archive-Zip',
                             'Archive::Zip::FileMember' => 'Archive-Zip',
                             'Archive::Zip::Member' => 'Archive-Zip',
                             'Archive::Zip::MemberRead' => 'Archive-Zip',
                             'Archive::Zip::MockFileHandle' => 'Archive-Zip',
                             'Archive::Zip::NewFileMember' => 'Archive-Zip',
                             'Archive::Zip::StringMember' => 'Archive-Zip',
                             'Archive::Zip::Tree' => 'Archive-Zip',
                             'Archive::Zip::ZipFileMember' => 'Archive-Zip',
                             'Bio::DB::GFF::Aggregator::match_gap' => 'GBrowse',
                             'Bio::DB::GFF::Aggregator::reftranscript' => 'GBrowse',
                             'Bio::DB::GFF::Aggregator::waba_alignment' => 'GBrowse',
                             'Bio::DB::GFF::Aggregator::wormbase_gene' => 'GBrowse',
                             'Bio::DB::SeqFeature::Store::Alias' => 'GBrowse',
                             'Bio::DB::SeqFeature::Store::Alias::Iterator' => 'GBrowse',
                             'Bio::DB::SeqFeature::Store::Alias::Segment' => 'GBrowse',
                             'Bio::DB::SeqFeature::Store::BedLoader' => 'GBrowse',
                             'Bio::DB::Tagger' => 'GBrowse',
                             'Bio::DB::Tagger::Iterator' => 'GBrowse',
                             'Bio::DB::Tagger::Tag' => 'GBrowse',
                             'Bio::DB::Tagger::mysql' => 'GBrowse',
                             'Bio::Graphics::Browser2' => 'GBrowse',
                             'Bio::Graphics::Browser2::Action' => 'GBrowse',
                             'Bio::Graphics::Browser2::AdminTracks' => 'GBrowse',
                             'Bio::Graphics::Browser2::AuthorizedFeatureFile' => 'GBrowse',
                             'Bio::Graphics::Browser2::CAlign' => 'GBrowse',
                             'Bio::Graphics::Browser2::CachedTrack' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataBase' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::archive' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::bam' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::bed' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::bigbed' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::bigwig' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::featurefile' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::generic' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::gff' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::gff3' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::sam' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::useq' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::wig2bigwig' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataLoader::wiggle' => 'GBrowse',
                             'Bio::Graphics::Browser2::DataSource' => 'GBrowse',
                             'Bio::Graphics::Browser2::ExternalData' => 'GBrowse',
                             'Bio::Graphics::Browser2::GFFhelper' => 'GBrowse',
                             'Bio::Graphics::Browser2::I18n' => 'GBrowse',
                             'Bio::Graphics::Browser2::Markup' => 'GBrowse',
                             'Bio::Graphics::Browser2::MetaDB' => 'GBrowse',
                             'Bio::Graphics::Browser2::MetaSegment' => 'GBrowse',
                             'Bio::Graphics::Browser2::MetaSegment::Iterator' => 'GBrowse',
                             'Bio::Graphics::Browser2::OptionPick' => 'GBrowse',
                             'Bio::Graphics::Browser2::PadAlignment' => 'GBrowse',
                             'Bio::Graphics::Browser2::Plugin' => 'GBrowse',
                             'Bio::Graphics::Browser2::Plugin::AuthPlugin' => 'GBrowse',
                             'Bio::Graphics::Browser2::PluginSet' => 'GBrowse',
                             'Bio::Graphics::Browser2::Realign' => 'GBrowse',
                             'Bio::Graphics::Browser2::Region' => 'GBrowse',
                             'Bio::Graphics::Browser2::RegionSearch' => 'GBrowse',
                             'Bio::Graphics::Browser2::RemoteSet' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::HTML' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::HTML::TrackListing' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::HTML::TrackListing::Categories' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::Login' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::Slave' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::Slave::AWS_Balancer' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::Slave::StagingServer' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::Slave::Status' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::SnapshotManager' => 'GBrowse',
                             'Bio::Graphics::Browser2::Render::TrackConfig' => 'GBrowse',
                             'Bio::Graphics::Browser2::RenderPanels' => 'GBrowse',
                             'Bio::Graphics::Browser2::SendMail' => 'GBrowse',
                             'Bio::Graphics::Browser2::Session' => 'GBrowse',
                             'Bio::Graphics::Browser2::Shellwords' => 'GBrowse',
                             'Bio::Graphics::Browser2::SubtrackTable' => 'GBrowse',
                             'Bio::Graphics::Browser2::TrackDumper' => 'GBrowse',
                             'Bio::Graphics::Browser2::TrackDumper::RichSeqMaker' => 'GBrowse',
                             'Bio::Graphics::Browser2::UserConf' => 'GBrowse',
                             'Bio::Graphics::Browser2::UserDB' => 'GBrowse',
                             'Bio::Graphics::Browser2::UserTracks' => 'GBrowse',
                             'Bio::Graphics::Browser2::UserTracks::Database' => 'GBrowse',
                             'Bio::Graphics::Browser2::UserTracks::Filesystem' => 'GBrowse',
                             'Bio::Graphics::Browser2::Util' => 'GBrowse',
                             'Bio::Graphics::GBrowseFeature' => 'GBrowse',
                             'Bio::Graphics::Karyotype' => 'GBrowse',
                             'Bio::Graphics::Wiggle::Loader::Nosample' => 'GBrowse',
                             'Bundle::Apache' => 'mod_perl',
                             'Bundle::Apache2' => 'mod_perl',
                             'Bundle::DBD::mysql' => 'DBD-mysql',
                             'Bundle::DBI' => 'DBI',
                             'Bundle::LWP' => 'libwww-perl',
                             'CBC' => 'Crypt-CBC',
                             'CGI' => 'CGI',
                             'CGI::Application::Dispatch' => 'CGI-Application-Dispatch',
                             'CGI::Application::Dispatch::PSGI' => 'CGI-Application-Dispatch',
                             'CGI::Application::Dispatch::Regexp' => 'CGI-Application-Dispatch',
                             'CGI::Application::Plugin::AutoRunmode' => 'CGI-Application-Plugin-AutoRunmode',
                             'CGI::Application::Plugin::AutoRunmode::FileDelegate' => 'CGI-Application-Plugin-AutoRunmode',
                             'CGI::Application::Plugin::RunmodeDeclare' => 'CGI-Application-Plugin-RunmodeDeclare',
                             'CGI::Auth::Basic' => 'CGI-Auth-Basic',
                             'CGI::Carp' => 'CGI',
                             'CGI::Cookie' => 'CGI',
                             'CGI::File::Temp' => 'CGI',
                             'CGI::HTML::Functions' => 'CGI',
                             'CGI::MultipartBuffer' => 'CGI',
                             'CGI::Pretty' => 'CGI',
                             'CGI::Push' => 'CGI',
                             'CGI::Simple' => 'CGI-Simple',
                             'CGI::Simple::Cookie' => 'CGI-Simple',
                             'CGI::Simple::Standard' => 'CGI-Simple',
                             'CGI::Simple::Util' => 'CGI-Simple',
                             'CGI::Toggle' => 'GBrowse',
                             'CGI::Util' => 'CGI',
                             'CGI::apacheSSI' => 'CGI-apacheSSI',
                             'CGI::apacheSSI::Gmt' => 'CGI-apacheSSI',
                             'CGI::apacheSSI::LMOD' => 'CGI-apacheSSI',
                             'CGI::apacheSSI::Local' => 'CGI-apacheSSI',
                             'CGI::mod_perl' => 'mod_perl',
                             'CPAN' => 'CPAN',
                             'CPAN::Admin' => 'CPAN',
                             'CPAN::Author' => 'CPAN',
                             'CPAN::Bundle' => 'CPAN',
                             'CPAN::CacheMgr' => 'CPAN',
                             'CPAN::Complete' => 'CPAN',
                             'CPAN::Debug' => 'CPAN',
                             'CPAN::DeferredCode' => 'CPAN',
                             'CPAN::Distribution' => 'CPAN',
                             'CPAN::Distroprefs' => 'CPAN',
                             'CPAN::Distroprefs::Iterator' => 'CPAN',
                             'CPAN::Distroprefs::Pref' => 'CPAN',
                             'CPAN::Distroprefs::Result' => 'CPAN',
                             'CPAN::Distroprefs::Result::Error' => 'CPAN',
                             'CPAN::Distroprefs::Result::Fatal' => 'CPAN',
                             'CPAN::Distroprefs::Result::Success' => 'CPAN',
                             'CPAN::Distroprefs::Result::Warning' => 'CPAN',
                             'CPAN::Distrostatus' => 'CPAN',
                             'CPAN::Eval' => 'CPAN',
                             'CPAN::Exception::RecursiveDependency' => 'CPAN',
                             'CPAN::Exception::RecursiveDependency::na' => 'CPAN',
                             'CPAN::Exception::blocked_urllist' => 'CPAN',
                             'CPAN::Exception::yaml_not_installed' => 'CPAN',
                             'CPAN::Exception::yaml_process_error' => 'CPAN',
                             'CPAN::FTP' => 'CPAN',
                             'CPAN::FTP::netrc' => 'CPAN',
                             'CPAN::FirstTime' => 'CPAN',
                             'CPAN::HTTP::Client' => 'CPAN',
                             'CPAN::HTTP::Credentials' => 'CPAN',
                             'CPAN::HandleConfig' => 'CPAN',
                             'CPAN::Index' => 'CPAN',
                             'CPAN::InfoObj' => 'CPAN',
                             'CPAN::Kwalify' => 'CPAN',
                             'CPAN::LWP::UserAgent' => 'CPAN',
                             'CPAN::Mirrored::By' => 'CPAN',
                             'CPAN::Mirrors' => 'CPAN',
                             'CPAN::Module' => 'CPAN',
                             'CPAN::Nox' => 'CPAN',
                             'CPAN::Plugin' => 'CPAN',
                             'CPAN::Plugin::Specfile' => 'CPAN',
                             'CPAN::Prompt' => 'CPAN',
                             'CPAN::Queue' => 'CPAN',
                             'CPAN::Queue::Item' => 'CPAN',
                             'CPAN::Shell' => 'CPAN',
                             'CPAN::Tarzip' => 'CPAN',
                             'CPAN::URL' => 'CPAN',
                             'CPAN::Version' => 'CPAN',
                             'Catalyst' => 'Catalyst-Runtime',
                             'Catalyst::Action' => 'Catalyst-Runtime',
                             'Catalyst::ActionChain' => 'Catalyst-Runtime',
                             'Catalyst::ActionContainer' => 'Catalyst-Runtime',
                             'Catalyst::ActionRole::ConsumesContent' => 'Catalyst-Runtime',
                             'Catalyst::ActionRole::HTTPMethods' => 'Catalyst-Runtime',
                             'Catalyst::ActionRole::QueryMatching' => 'Catalyst-Runtime',
                             'Catalyst::ActionRole::Scheme' => 'Catalyst-Runtime',
                             'Catalyst::Authentication::Store::LDAP' => 'Catalyst-Authentication-Store-LDAP',
                             'Catalyst::Authentication::Store::LDAP::Backend' => 'Catalyst-Authentication-Store-LDAP',
                             'Catalyst::Authentication::Store::LDAP::User' => 'Catalyst-Authentication-Store-LDAP',
                             'Catalyst::Base' => 'Catalyst-Runtime',
                             'Catalyst::ClassData' => 'Catalyst-Runtime',
                             'Catalyst::Component' => 'Catalyst-Runtime',
                             'Catalyst::Component::ApplicationAttribute' => 'Catalyst-Runtime',
                             'Catalyst::Component::ContextClosure' => 'Catalyst-Runtime',
                             'Catalyst::Controller' => 'Catalyst-Runtime',
                             'Catalyst::Controller::Combine' => 'Catalyst-Controller-Combine',
                             'Catalyst::DispatchType' => 'Catalyst-Runtime',
                             'Catalyst::DispatchType::Chained' => 'Catalyst-Runtime',
                             'Catalyst::DispatchType::Default' => 'Catalyst-Runtime',
                             'Catalyst::DispatchType::Index' => 'Catalyst-Runtime',
                             'Catalyst::DispatchType::Path' => 'Catalyst-Runtime',
                             'Catalyst::Dispatcher' => 'Catalyst-Runtime',
                             'Catalyst::Engine' => 'Catalyst-Runtime',
                             'Catalyst::Engine::CGI' => 'Catalyst-Runtime',
                             'Catalyst::Engine::FastCGI' => 'Catalyst-Runtime',
                             'Catalyst::Engine::HTTP' => 'Catalyst-Runtime',
                             'Catalyst::Engine::HTTP::Restarter' => 'Catalyst-Runtime',
                             'Catalyst::Engine::HTTP::Restarter::Watcher' => 'Catalyst-Runtime',
                             'Catalyst::EngineLoader' => 'Catalyst-Runtime',
                             'Catalyst::Exception' => 'Catalyst-Runtime',
                             'Catalyst::Exception::Base' => 'Catalyst-Runtime',
                             'Catalyst::Exception::Basic' => 'Catalyst-Runtime',
                             'Catalyst::Exception::Detach' => 'Catalyst-Runtime',
                             'Catalyst::Exception::Go' => 'Catalyst-Runtime',
                             'Catalyst::Exception::Interface' => 'Catalyst-Runtime',
                             'Catalyst::Helper::Controller::Combine' => 'Catalyst-Controller-Combine',
                             'Catalyst::Log' => 'Catalyst-Runtime',
                             'Catalyst::Middleware::Stash' => 'Catalyst-Runtime',
                             'Catalyst::Model' => 'Catalyst-Runtime',
                             'Catalyst::Plugin::Static' => 'Catalyst-Plugin-Static',
                             'Catalyst::Plugin::Unicode::Encoding' => 'Catalyst-Runtime',
                             'Catalyst::Request' => 'Catalyst-Runtime',
                             'Catalyst::Request::PartData' => 'Catalyst-Runtime',
                             'Catalyst::Request::Upload' => 'Catalyst-Runtime',
                             'Catalyst::Response' => 'Catalyst-Runtime',
                             'Catalyst::Response::Writer' => 'Catalyst-Runtime',
                             'Catalyst::Runtime' => 'Catalyst-Runtime',
                             'Catalyst::Script::CGI' => 'Catalyst-Runtime',
                             'Catalyst::Script::Create' => 'Catalyst-Runtime',
                             'Catalyst::Script::FastCGI' => 'Catalyst-Runtime',
                             'Catalyst::Script::Server' => 'Catalyst-Runtime',
                             'Catalyst::Script::Test' => 'Catalyst-Runtime',
                             'Catalyst::ScriptRole' => 'Catalyst-Runtime',
                             'Catalyst::ScriptRunner' => 'Catalyst-Runtime',
                             'Catalyst::Stats' => 'Catalyst-Runtime',
                             'Catalyst::Test' => 'Catalyst-Runtime',
                             'Catalyst::Utils' => 'Catalyst-Runtime',
                             'Catalyst::View' => 'Catalyst-Runtime',
                             'CatalystX::Controller::OpenSearch' => 'Search-OpenSearch-Server',
                             'Cmd::Dwarf' => 'Cmd-Dwarf',
                             'Compress::LZ4' => 'Compress-LZ4',
                             'Compress::Raw::Bunzip2' => 'Compress-Raw-Bzip2',
                             'Compress::Raw::Bzip2' => 'Compress-Raw-Bzip2',
                             'Compress::Raw::Zlib' => 'Compress-Raw-Zlib',
                             'Config::Model' => 'Config-Model',
                             'Config::Model::Annotation' => 'Config-Model',
                             'Config::Model::AnyId' => 'Config-Model',
                             'Config::Model::AnyThing' => 'Config-Model',
                             'Config::Model::Backend::Any' => 'Config-Model',
                             'Config::Model::Backend::CdsFile' => 'Config-Model',
                             'Config::Model::Backend::Fstab' => 'Config-Model',
                             'Config::Model::Backend::IniFile' => 'Config-Model',
                             'Config::Model::Backend::Json' => 'Config-Model',
                             'Config::Model::Backend::PerlFile' => 'Config-Model',
                             'Config::Model::Backend::PlainFile' => 'Config-Model',
                             'Config::Model::Backend::ShellVar' => 'Config-Model',
                             'Config::Model::BackendMgr' => 'Config-Model',
                             'Config::Model::BackendTrackOrder' => 'Config-Model',
                             'Config::Model::CheckList' => 'Config-Model',
                             'Config::Model::DeprecatedHandle' => 'Config-Model',
                             'Config::Model::Describe' => 'Config-Model',
                             'Config::Model::DumpAsData' => 'Config-Model',
                             'Config::Model::Dumper' => 'Config-Model',
                             'Config::Model::Exception' => 'Config-Model',
                             'Config::Model::Exception::AncestorClass' => 'Config-Model',
                             'Config::Model::Exception::Any' => 'Config-Model',
                             'Config::Model::Exception::ConfigFile' => 'Config-Model',
                             'Config::Model::Exception::ConfigFile::Missing' => 'Config-Model',
                             'Config::Model::Exception::Fatal' => 'Config-Model',
                             'Config::Model::Exception::Formula' => 'Config-Model',
                             'Config::Model::Exception::Internal' => 'Config-Model',
                             'Config::Model::Exception::Load' => 'Config-Model',
                             'Config::Model::Exception::LoadData' => 'Config-Model',
                             'Config::Model::Exception::Model' => 'Config-Model',
                             'Config::Model::Exception::ModelDeclaration' => 'Config-Model',
                             'Config::Model::Exception::ObsoleteElement' => 'Config-Model',
                             'Config::Model::Exception::Syntax' => 'Config-Model',
                             'Config::Model::Exception::UnavailableElement' => 'Config-Model',
                             'Config::Model::Exception::UnknownElement' => 'Config-Model',
                             'Config::Model::Exception::UnknownId' => 'Config-Model',
                             'Config::Model::Exception::User' => 'Config-Model',
                             'Config::Model::Exception::WarpError' => 'Config-Model',
                             'Config::Model::Exception::WrongType' => 'Config-Model',
                             'Config::Model::Exception::WrongValue' => 'Config-Model',
                             'Config::Model::FuseUI' => 'Config-Model',
                             'Config::Model::HashId' => 'Config-Model',
                             'Config::Model::IdElementReference' => 'Config-Model',
                             'Config::Model::Instance' => 'Config-Model',
                             'Config::Model::Iterator' => 'Config-Model',
                             'Config::Model::ListId' => 'Config-Model',
                             'Config::Model::Lister' => 'Config-Model',
                             'Config::Model::Loader' => 'Config-Model',
                             'Config::Model::Node' => 'Config-Model',
                             'Config::Model::ObjTreeScanner' => 'Config-Model',
                             'Config::Model::Report' => 'Config-Model',
                             'Config::Model::Role::ComputeFunction' => 'Config-Model',
                             'Config::Model::Role::FileHandler' => 'Config-Model',
                             'Config::Model::Role::Grab' => 'Config-Model',
                             'Config::Model::Role::HelpAsText' => 'Config-Model',
                             'Config::Model::Role::NodeLoader' => 'Config-Model',
                             'Config::Model::Role::WarpMaster' => 'Config-Model',
                             'Config::Model::SearchElement' => 'Config-Model',
                             'Config::Model::SimpleUI' => 'Config-Model',
                             'Config::Model::TermUI' => 'Config-Model',
                             'Config::Model::TreeSearcher' => 'Config-Model',
                             'Config::Model::Utils::GenClassPod' => 'Config-Model',
                             'Config::Model::Value' => 'Config-Model',
                             'Config::Model::Value::LayeredInclude' => 'Config-Model',
                             'Config::Model::ValueComputer' => 'Config-Model',
                             'Config::Model::WarpedNode' => 'Config-Model',
                             'Config::Model::Warper' => 'Config-Model',
                             'Cpanel::JSON::XS' => 'Cpanel-JSON-XS',
                             'Cpanel::JSON::XS::Type' => 'Cpanel-JSON-XS',
                             'Crypt::CBC' => 'Crypt-CBC',
                             'Crypt::OpenSSL::DSA' => 'Crypt-OpenSSL-DSA',
                             'Crypt::Passwd::XS' => 'Crypt-Passwd-XS',
                             'Cwd' => 'PathTools',
                             'DBD::DBM' => 'DBI',
                             'DBD::DBM::Statement' => 'DBI',
                             'DBD::DBM::Table' => 'DBI',
                             'DBD::DBM::db' => 'DBI',
                             'DBD::DBM::dr' => 'DBI',
                             'DBD::DBM::st' => 'DBI',
                             'DBD::ExampleP' => 'DBI',
                             'DBD::ExampleP::db' => 'DBI',
                             'DBD::ExampleP::dr' => 'DBI',
                             'DBD::ExampleP::st' => 'DBI',
                             'DBD::File' => 'DBI',
                             'DBD::File::DataSource::File' => 'DBI',
                             'DBD::File::DataSource::Stream' => 'DBI',
                             'DBD::File::Statement' => 'DBI',
                             'DBD::File::Table' => 'DBI',
                             'DBD::File::TableSource::FileSystem' => 'DBI',
                             'DBD::File::db' => 'DBI',
                             'DBD::File::dr' => 'DBI',
                             'DBD::File::st' => 'DBI',
                             'DBD::Gofer' => 'DBI',
                             'DBD::Gofer::Policy::Base' => 'DBI',
                             'DBD::Gofer::Policy::classic' => 'DBI',
                             'DBD::Gofer::Policy::pedantic' => 'DBI',
                             'DBD::Gofer::Policy::rush' => 'DBI',
                             'DBD::Gofer::Transport::Base' => 'DBI',
                             'DBD::Gofer::Transport::corostream' => 'DBI',
                             'DBD::Gofer::Transport::null' => 'DBI',
                             'DBD::Gofer::Transport::pipeone' => 'DBI',
                             'DBD::Gofer::Transport::stream' => 'DBI',
                             'DBD::Gofer::db' => 'DBI',
                             'DBD::Gofer::dr' => 'DBI',
                             'DBD::Gofer::st' => 'DBI',
                             'DBD::MariaDB' => 'DBD-MariaDB',
                             'DBD::Mem' => 'DBI',
                             'DBD::Mem::DataSource' => 'DBI',
                             'DBD::Mem::Statement' => 'DBI',
                             'DBD::Mem::Table' => 'DBI',
                             'DBD::Mem::db' => 'DBI',
                             'DBD::Mem::dr' => 'DBI',
                             'DBD::Mem::st' => 'DBI',
                             'DBD::NullP' => 'DBI',
                             'DBD::NullP::db' => 'DBI',
                             'DBD::NullP::dr' => 'DBI',
                             'DBD::NullP::st' => 'DBI',
                             'DBD::Proxy' => 'DBI',
                             'DBD::Proxy::RPC::PlClient' => 'DBI',
                             'DBD::Proxy::db' => 'DBI',
                             'DBD::Proxy::dr' => 'DBI',
                             'DBD::Proxy::st' => 'DBI',
                             'DBD::Sponge' => 'DBI',
                             'DBD::Sponge::db' => 'DBI',
                             'DBD::Sponge::dr' => 'DBI',
                             'DBD::Sponge::st' => 'DBI',
                             'DBD::mysql' => 'DBD-mysql',
                             'DBD::mysql::GetInfo' => 'DBD-mysql',
                             'DBD::mysql::db' => 'DBD-mysql',
                             'DBD::mysql::dr' => 'DBD-mysql',
                             'DBD::mysql::st' => 'DBD-mysql',
                             'DBD::mysqlPP' => 'DBD-mysqlPP',
                             'DBD::mysqlPP::db' => 'DBD-mysqlPP',
                             'DBD::mysqlPP::dr' => 'DBD-mysqlPP',
                             'DBD::mysqlPP::st' => 'DBD-mysqlPP',
                             'DBDI' => 'DBI',
                             'DBI' => 'DBI',
                             'DBI::Const::GetInfo::ANSI' => 'DBI',
                             'DBI::Const::GetInfo::ODBC' => 'DBI',
                             'DBI::Const::GetInfoReturn' => 'DBI',
                             'DBI::Const::GetInfoType' => 'DBI',
                             'DBI::DBD' => 'DBI',
                             'DBI::DBD::Metadata' => 'DBI',
                             'DBI::DBD::SqlEngine' => 'DBI',
                             'DBI::DBD::SqlEngine::DataSource' => 'DBI',
                             'DBI::DBD::SqlEngine::Statement' => 'DBI',
                             'DBI::DBD::SqlEngine::Table' => 'DBI',
                             'DBI::DBD::SqlEngine::TableSource' => 'DBI',
                             'DBI::DBD::SqlEngine::TieMeta' => 'DBI',
                             'DBI::DBD::SqlEngine::TieTables' => 'DBI',
                             'DBI::DBD::SqlEngine::db' => 'DBI',
                             'DBI::DBD::SqlEngine::dr' => 'DBI',
                             'DBI::DBD::SqlEngine::st' => 'DBI',
                             'DBI::FAQ' => 'DBI',
                             'DBI::Gofer::Execute' => 'DBI',
                             'DBI::Gofer::Request' => 'DBI',
                             'DBI::Gofer::Response' => 'DBI',
                             'DBI::Gofer::Serializer::Base' => 'DBI',
                             'DBI::Gofer::Serializer::DataDumper' => 'DBI',
                             'DBI::Gofer::Serializer::Storable' => 'DBI',
                             'DBI::Gofer::Transport::Base' => 'DBI',
                             'DBI::Gofer::Transport::pipeone' => 'DBI',
                             'DBI::Gofer::Transport::stream' => 'DBI',
                             'DBI::Profile' => 'DBI',
                             'DBI::ProfileData' => 'DBI',
                             'DBI::ProfileDumper' => 'DBI',
                             'DBI::ProfileDumper::Apache' => 'DBI',
                             'DBI::ProfileSubs' => 'DBI',
                             'DBI::ProxyServer' => 'DBI',
                             'DBI::ProxyServer::db' => 'DBI',
                             'DBI::ProxyServer::dr' => 'DBI',
                             'DBI::ProxyServer::st' => 'DBI',
                             'DBI::SQL::Nano' => 'DBI',
                             'DBI::SQL::Nano::Statement_' => 'DBI',
                             'DBI::SQL::Nano::Table_' => 'DBI',
                             'DBI::Util::CacheMemory' => 'DBI',
                             'DBI::Util::_accessor' => 'DBI',
                             'DBI::common' => 'DBI',
                             'DBIx::Custom' => 'DBIx-Custom',
                             'DBIx::Custom::Mapper' => 'DBIx-Custom',
                             'DBIx::Custom::Model' => 'DBIx-Custom',
                             'DBIx::Custom::NotExists' => 'DBIx-Custom',
                             'DBIx::Custom::Order' => 'DBIx-Custom',
                             'DBIx::Custom::Query' => 'DBIx-Custom',
                             'DBIx::Custom::QueryBuilder' => 'DBIx-Custom',
                             'DBIx::Custom::Result' => 'DBIx-Custom',
                             'DBIx::Custom::Tag' => 'DBIx-Custom',
                             'DBIx::Custom::Util' => 'DBIx-Custom',
                             'DBIx::Custom::Where' => 'DBIx-Custom',
                             'DBIx::Otogiri' => 'Otogiri',
                             'DBIx::Otogiri::Iterator' => 'Otogiri',
                             'Dancer' => 'Dancer',
                             'Dancer2' => 'Dancer2',
                             'Dancer2::CLI' => 'Dancer2',
                             'Dancer2::CLI::Command::gen' => 'Dancer2',
                             'Dancer2::CLI::Command::version' => 'Dancer2',
                             'Dancer2::Core' => 'Dancer2',
                             'Dancer2::Core::App' => 'Dancer2',
                             'Dancer2::Core::Cookie' => 'Dancer2',
                             'Dancer2::Core::DSL' => 'Dancer2',
                             'Dancer2::Core::Dispatcher' => 'Dancer2',
                             'Dancer2::Core::Error' => 'Dancer2',
                             'Dancer2::Core::Factory' => 'Dancer2',
                             'Dancer2::Core::HTTP' => 'Dancer2',
                             'Dancer2::Core::Hook' => 'Dancer2',
                             'Dancer2::Core::MIME' => 'Dancer2',
                             'Dancer2::Core::Request' => 'Dancer2',
                             'Dancer2::Core::Request::Upload' => 'Dancer2',
                             'Dancer2::Core::Response' => 'Dancer2',
                             'Dancer2::Core::Response::Delayed' => 'Dancer2',
                             'Dancer2::Core::Role::ConfigReader' => 'Dancer2',
                             'Dancer2::Core::Role::DSL' => 'Dancer2',
                             'Dancer2::Core::Role::Engine' => 'Dancer2',
                             'Dancer2::Core::Role::Handler' => 'Dancer2',
                             'Dancer2::Core::Role::HasLocation' => 'Dancer2',
                             'Dancer2::Core::Role::Hookable' => 'Dancer2',
                             'Dancer2::Core::Role::Logger' => 'Dancer2',
                             'Dancer2::Core::Role::Serializer' => 'Dancer2',
                             'Dancer2::Core::Role::SessionFactory' => 'Dancer2',
                             'Dancer2::Core::Role::SessionFactory::File' => 'Dancer2',
                             'Dancer2::Core::Role::StandardResponses' => 'Dancer2',
                             'Dancer2::Core::Role::Template' => 'Dancer2',
                             'Dancer2::Core::Route' => 'Dancer2',
                             'Dancer2::Core::Runner' => 'Dancer2',
                             'Dancer2::Core::Session' => 'Dancer2',
                             'Dancer2::Core::Time' => 'Dancer2',
                             'Dancer2::Core::Types' => 'Dancer2',
                             'Dancer2::FileUtils' => 'Dancer2',
                             'Dancer2::Handler::AutoPage' => 'Dancer2',
                             'Dancer2::Handler::File' => 'Dancer2',
                             'Dancer2::Logger::Capture' => 'Dancer2',
                             'Dancer2::Logger::Capture::Trap' => 'Dancer2',
                             'Dancer2::Logger::Console' => 'Dancer2',
                             'Dancer2::Logger::Diag' => 'Dancer2',
                             'Dancer2::Logger::File' => 'Dancer2',
                             'Dancer2::Logger::Note' => 'Dancer2',
                             'Dancer2::Logger::Null' => 'Dancer2',
                             'Dancer2::Plugin' => 'Dancer2',
                             'Dancer2::Serializer::Dumper' => 'Dancer2',
                             'Dancer2::Serializer::JSON' => 'Dancer2',
                             'Dancer2::Serializer::Mutable' => 'Dancer2',
                             'Dancer2::Serializer::YAML' => 'Dancer2',
                             'Dancer2::Session::Simple' => 'Dancer2',
                             'Dancer2::Session::YAML' => 'Dancer2',
                             'Dancer2::Template::Implementation::ForkedTiny' => 'Dancer2',
                             'Dancer2::Template::Simple' => 'Dancer2',
                             'Dancer2::Template::TemplateToolkit' => 'Dancer2',
                             'Dancer2::Template::Tiny' => 'Dancer2',
                             'Dancer2::Test' => 'Dancer2',
                             'Dancer::App' => 'Dancer',
                             'Dancer::Config' => 'Dancer',
                             'Dancer::Config::Object' => 'Dancer',
                             'Dancer::Continuation' => 'Dancer',
                             'Dancer::Continuation::Halted' => 'Dancer',
                             'Dancer::Continuation::Route' => 'Dancer',
                             'Dancer::Continuation::Route::ErrorSent' => 'Dancer',
                             'Dancer::Continuation::Route::FileSent' => 'Dancer',
                             'Dancer::Continuation::Route::Forwarded' => 'Dancer',
                             'Dancer::Continuation::Route::Passed' => 'Dancer',
                             'Dancer::Continuation::Route::Templated' => 'Dancer',
                             'Dancer::Cookie' => 'Dancer',
                             'Dancer::Cookies' => 'Dancer',
                             'Dancer::Deprecation' => 'Dancer',
                             'Dancer::Engine' => 'Dancer',
                             'Dancer::Error' => 'Dancer',
                             'Dancer::Exception' => 'Dancer',
                             'Dancer::Exception::Base' => 'Dancer',
                             'Dancer::Exceptions' => 'Dancer',
                             'Dancer::Factory::Hook' => 'Dancer',
                             'Dancer::FileUtils' => 'Dancer',
                             'Dancer::GetOpt' => 'Dancer',
                             'Dancer::HTTP' => 'Dancer',
                             'Dancer::Handler' => 'Dancer',
                             'Dancer::Handler::Debug' => 'Dancer',
                             'Dancer::Handler::PSGI' => 'Dancer',
                             'Dancer::Handler::Standalone' => 'Dancer',
                             'Dancer::Hook' => 'Dancer',
                             'Dancer::Hook::Properties' => 'Dancer',
                             'Dancer::Logger' => 'Dancer',
                             'Dancer::Logger::Abstract' => 'Dancer',
                             'Dancer::Logger::Capture' => 'Dancer',
                             'Dancer::Logger::Capture::Trap' => 'Dancer',
                             'Dancer::Logger::Console' => 'Dancer',
                             'Dancer::Logger::Diag' => 'Dancer',
                             'Dancer::Logger::File' => 'Dancer',
                             'Dancer::Logger::Note' => 'Dancer',
                             'Dancer::Logger::Null' => 'Dancer',
                             'Dancer::MIME' => 'Dancer',
                             'Dancer::ModuleLoader' => 'Dancer',
                             'Dancer::Object' => 'Dancer',
                             'Dancer::Object::Singleton' => 'Dancer',
                             'Dancer::Plugin' => 'Dancer',
                             'Dancer::Plugin::Ajax' => 'Dancer',
                             'Dancer::Renderer' => 'Dancer',
                             'Dancer::Request' => 'Dancer',
                             'Dancer::Request::Upload' => 'Dancer',
                             'Dancer::Response' => 'Dancer',
                             'Dancer::Route' => 'Dancer',
                             'Dancer::Route::Cache' => 'Dancer',
                             'Dancer::Route::Registry' => 'Dancer',
                             'Dancer::Serializer' => 'Dancer',
                             'Dancer::Serializer::Abstract' => 'Dancer',
                             'Dancer::Serializer::Dumper' => 'Dancer',
                             'Dancer::Serializer::JSON' => 'Dancer',
                             'Dancer::Serializer::JSONP' => 'Dancer',
                             'Dancer::Serializer::Mutable' => 'Dancer',
                             'Dancer::Serializer::XML' => 'Dancer',
                             'Dancer::Serializer::YAML' => 'Dancer',
                             'Dancer::Session' => 'Dancer',
                             'Dancer::Session::Abstract' => 'Dancer',
                             'Dancer::Session::Simple' => 'Dancer',
                             'Dancer::Session::YAML' => 'Dancer',
                             'Dancer::SharedData' => 'Dancer',
                             'Dancer::Template' => 'Dancer',
                             'Dancer::Template::Abstract' => 'Dancer',
                             'Dancer::Template::Simple' => 'Dancer',
                             'Dancer::Template::TemplateToolkit' => 'Dancer',
                             'Dancer::Test' => 'Dancer',
                             'Dancer::Timer' => 'Dancer',
                             'Data::Dumper' => 'Data-Dumper',
                             'Dezi' => 'Dezi',
                             'Dezi::Config' => 'Dezi',
                             'Dezi::Server' => 'Dezi',
                             'Dezi::Server::About' => 'Dezi',
                             'Dwarf' => 'Cmd-Dwarf',
                             'Email::Address' => 'Email-Address',
                             'Encode' => 'Encode',
                             'Encode::Alias' => 'Encode',
                             'Encode::Byte' => 'Encode',
                             'Encode::CJKConstants' => 'Encode',
                             'Encode::CN' => 'Encode',
                             'Encode::CN::HZ' => 'Encode',
                             'Encode::Config' => 'Encode',
                             'Encode::EBCDIC' => 'Encode',
                             'Encode::Encoder' => 'Encode',
                             'Encode::Encoding' => 'Encode',
                             'Encode::GSM0338' => 'Encode',
                             'Encode::Guess' => 'Encode',
                             'Encode::Internal' => 'Encode',
                             'Encode::JP' => 'Encode',
                             'Encode::JP::H2Z' => 'Encode',
                             'Encode::JP::JIS7' => 'Encode',
                             'Encode::KR' => 'Encode',
                             'Encode::KR::2022_KR' => 'Encode',
                             'Encode::MIME::Header' => 'Encode',
                             'Encode::MIME::Header::ISO_2022_JP' => 'Encode',
                             'Encode::MIME::Name' => 'Encode',
                             'Encode::Symbol' => 'Encode',
                             'Encode::TW' => 'Encode',
                             'Encode::UTF_EBCDIC' => 'Encode',
                             'Encode::Unicode' => 'Encode',
                             'Encode::Unicode::UTF7' => 'Encode',
                             'Encode::XS' => 'Encode',
                             'Encode::utf8' => 'Encode',
                             'ExtUtils::Command' => 'ExtUtils-MakeMaker',
                             'ExtUtils::Command::MM' => 'ExtUtils-MakeMaker',
                             'ExtUtils::Liblist' => 'ExtUtils-MakeMaker',
                             'ExtUtils::Liblist::Kid' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_AIX' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_Any' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_BeOS' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_Cygwin' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_DOS' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_Darwin' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_MacOS' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_NW5' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_OS2' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_QNX' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_UWIN' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_Unix' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_VMS' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_VOS' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_Win32' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MM_Win95' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MY' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::Config' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::Locale' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::_version' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::charstar' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::version' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::version::regex' => 'ExtUtils-MakeMaker',
                             'ExtUtils::MakeMaker::version::vpp' => 'ExtUtils-MakeMaker',
                             'ExtUtils::Mkbootstrap' => 'ExtUtils-MakeMaker',
                             'ExtUtils::Mksymlists' => 'ExtUtils-MakeMaker',
                             'ExtUtils::testlib' => 'ExtUtils-MakeMaker',
                             'FCGI' => 'FCGI',
                             'FCGI::Stream' => 'FCGI',
                             'Fake::Encode' => 'Fake-Encode',
                             'Fake::Our' => 'Fake-Our',
                             'FakeHomol' => 'GBrowse',
                             'Fh' => 'CGI',
                             'File::DataClass' => 'File-DataClass',
                             'File::DataClass::Cache' => 'File-DataClass',
                             'File::DataClass::Constants' => 'File-DataClass',
                             'File::DataClass::Exception' => 'File-DataClass',
                             'File::DataClass::Functions' => 'File-DataClass',
                             'File::DataClass::IO' => 'File-DataClass',
                             'File::DataClass::List' => 'File-DataClass',
                             'File::DataClass::Result' => 'File-DataClass',
                             'File::DataClass::ResultSet' => 'File-DataClass',
                             'File::DataClass::ResultSource' => 'File-DataClass',
                             'File::DataClass::Schema' => 'File-DataClass',
                             'File::DataClass::Storage' => 'File-DataClass',
                             'File::DataClass::Storage::Any' => 'File-DataClass',
                             'File::DataClass::Storage::JSON' => 'File-DataClass',
                             'File::DataClass::Types' => 'File-DataClass',
                             'File::Path' => 'File-Path',
                             'File::Spec' => 'PathTools',
                             'File::Spec::AmigaOS' => 'PathTools',
                             'File::Spec::Cygwin' => 'PathTools',
                             'File::Spec::Epoc' => 'PathTools',
                             'File::Spec::Functions' => 'PathTools',
                             'File::Spec::Mac' => 'PathTools',
                             'File::Spec::OS2' => 'PathTools',
                             'File::Spec::Unix' => 'PathTools',
                             'File::Spec::VMS' => 'PathTools',
                             'File::Spec::Win32' => 'PathTools',
                             'HTML::Perlinfo' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::Apache' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::Base' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::Common' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::General' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::Loaded' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::Modules' => 'HTML-Perlinfo',
                             'HTML::Perlinfo::_version' => 'HTML-Perlinfo',
                             'HTML::Scrubber' => 'HTML-Scrubber',
                             'HTTP::Body' => 'HTTP-Body',
                             'HTTP::Body::MultiPart' => 'HTTP-Body',
                             'HTTP::Body::OctetStream' => 'HTTP-Body',
                             'HTTP::Body::UrlEncoded' => 'HTTP-Body',
                             'HTTP::Body::XForms' => 'HTTP-Body',
                             'HTTP::Body::XFormsMultipart' => 'HTTP-Body',
                             'HTTP::Session2' => 'HTTP-Session2',
                             'HTTP::Session2::Base' => 'HTTP-Session2',
                             'HTTP::Session2::ClientStore' => 'HTTP-Session2',
                             'HTTP::Session2::ClientStore2' => 'HTTP-Session2',
                             'HTTP::Session2::Expired' => 'HTTP-Session2',
                             'HTTP::Session2::Random' => 'HTTP-Session2',
                             'HTTP::Session2::ServerStore' => 'HTTP-Session2',
                             'HTTP::Tiny' => 'HTTP-Tiny',
                             'HTTP::Tiny::NoProxy' => 'Dancer',
                             'Imager' => 'Imager',
                             'Imager::Color' => 'Imager',
                             'Imager::Color::Float' => 'Imager',
                             'Imager::Color::Table' => 'Imager',
                             'Imager::CountColor' => 'Imager',
                             'Imager::Expr' => 'Imager',
                             'Imager::Expr::Assem' => 'Imager',
                             'Imager::Expr::Infix' => 'Imager',
                             'Imager::Expr::Postfix' => 'Imager',
                             'Imager::ExtUtils' => 'Imager',
                             'Imager::FORMATS' => 'Imager',
                             'Imager::File::CUR' => 'Imager',
                             'Imager::File::ICO' => 'Imager',
                             'Imager::File::SGI' => 'Imager',
                             'Imager::Fill' => 'Imager',
                             'Imager::Filter::DynTest' => 'Imager',
                             'Imager::Filter::Flines' => 'Imager',
                             'Imager::Filter::Mandelbrot' => 'Imager',
                             'Imager::Font' => 'Imager',
                             'Imager::Font::BBox' => 'Imager',
                             'Imager::Font::FreeType2' => 'Imager',
                             'Imager::Font::Image' => 'Imager',
                             'Imager::Font::Test' => 'Imager',
                             'Imager::Font::Truetype' => 'Imager',
                             'Imager::Font::Type1' => 'Imager',
                             'Imager::Font::Wrap' => 'Imager',
                             'Imager::Fountain' => 'Imager',
                             'Imager::IO' => 'Imager',
                             'Imager::Matrix2d' => 'Imager',
                             'Imager::Preprocess' => 'Imager',
                             'Imager::Probe' => 'Imager',
                             'Imager::Regops' => 'Imager',
                             'Imager::Test' => 'Imager',
                             'Imager::Test::OverUtf8' => 'Imager',
                             'Imager::Transform' => 'Imager',
                             'LRUCache' => 'GBrowse',
                             'LWP' => 'libwww-perl',
                             'LWP::Authen::Basic' => 'libwww-perl',
                             'LWP::Authen::Digest' => 'libwww-perl',
                             'LWP::Authen::Ntlm' => 'libwww-perl',
                             'LWP::ConnCache' => 'libwww-perl',
                             'LWP::Debug' => 'libwww-perl',
                             'LWP::Debug::TraceHTTP' => 'libwww-perl',
                             'LWP::DebugFile' => 'libwww-perl',
                             'LWP::MemberMixin' => 'libwww-perl',
                             'LWP::Protocol' => 'libwww-perl',
                             'LWP::Protocol::Net::Curl' => 'LWP-Protocol-Net-Curl',
                             'LWP::Protocol::cpan' => 'libwww-perl',
                             'LWP::Protocol::data' => 'libwww-perl',
                             'LWP::Protocol::file' => 'libwww-perl',
                             'LWP::Protocol::ftp' => 'libwww-perl',
                             'LWP::Protocol::gopher' => 'libwww-perl',
                             'LWP::Protocol::http' => 'libwww-perl',
                             'LWP::Protocol::loopback' => 'libwww-perl',
                             'LWP::Protocol::mailto' => 'libwww-perl',
                             'LWP::Protocol::nntp' => 'libwww-perl',
                             'LWP::Protocol::nogo' => 'libwww-perl',
                             'LWP::RobotUA' => 'libwww-perl',
                             'LWP::Simple' => 'libwww-perl',
                             'LWP::UserAgent' => 'libwww-perl',
                             'Legacy::DB::SyntenyBlock' => 'GBrowse',
                             'Legacy::DB::SyntenyIO' => 'GBrowse',
                             'Legacy::Graphics::Browser' => 'GBrowse',
                             'Legacy::Graphics::Browser::I18n' => 'GBrowse',
                             'Legacy::Graphics::Browser::PageSettings' => 'GBrowse',
                             'Legacy::Graphics::Browser::Synteny' => 'GBrowse',
                             'Legacy::Graphics::Browser::Util' => 'GBrowse',
                             'Legacy::Graphics::BrowserConfig' => 'GBrowse',
                             'Lemonldap::NG::Portal' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Engines::Default' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Ext2F' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Mail2F' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::REST' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Register::TOTP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Register::U2F' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Register::Yubikey' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::TOTP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::U2F' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::UTOTP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::2F::Yubikey' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::AD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Apache' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::CAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Choice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Combination' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Custom' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::DBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Demo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Facebook' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::GPG' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Kerberos' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::LinkedIn' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Null' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::OpenID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::OpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::PAM' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Proxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::REST' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Radius' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Remote' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::SAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::SSL' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Slave' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::Twitter' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::WebID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Auth::_WebForm' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthAD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthApache' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthBrowserID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthCAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthChoice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthDBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthDemo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthFacebook' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthGoogle' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthKerberos' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthLDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthLinkedIn' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthMulti' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthNull' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthOpenID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthOpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthProxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthRadius' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthRemote' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthSAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthSSL' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthSlave' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthTwitter' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthWebID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::AuthYubikey' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::CDA' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::CDC' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Display' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Issuer::CAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Issuer::Get' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Issuer::OpenID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Issuer::OpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Issuer::SAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::IssuerDBCAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::IssuerDBGet' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::IssuerDBNull' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::IssuerDBOpenID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::IssuerDBOpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::IssuerDBSAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::CAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Captcha' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Choice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Combination::UserLogger' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::DBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Net::LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Notifications::JSON' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Notifications::XML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::OneTimeToken' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::OpenID::SREG' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::OpenID::Server' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::OpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::OtherSessions' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::OverConf' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::REST' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::RESTProxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Remote' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::SAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::SMTP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::SOAPProxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Slave' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::U2F' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Lib::Wrapper' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::MailReset' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Auth' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Constants' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Display' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Init' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Issuer' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Menu' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Plugin' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Plugins' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Process' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Request' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::Run' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Main::SecondFactor' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Menu' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::OpenID::SREG' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::OpenID::Server' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::AD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::Base' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::Choice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::Custom' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::DBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::Demo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::Null' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Password::REST' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::PasswordDBAD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::PasswordDBChoice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::PasswordDBDBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::PasswordDBDemo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::PasswordDBLDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::PasswordDBNull' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::AutoSignin' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::BruteForceProtection' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::CDA' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::CheckState' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::ForceAuthn' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::GrantSession' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::History' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::MailPasswordReset' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::MailReset' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::Notifications' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::PublicPages' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::RESTServer' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::Register' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::SOAPServer' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::SingleSession' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::Status' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::StayConnected' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Plugins::Upgrade' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Register' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Register::AD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Register::Custom' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Register::Demo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Register::LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::RegisterDBAD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::RegisterDBDemo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::RegisterDBLDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::RegisterDBNull' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::SharedConf' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::Simple' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::AD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::CAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Choice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Combination' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Custom' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::DBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Demo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Facebook' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Null' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::OpenID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::OpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Proxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::REST' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Remote' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::SAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::Slave' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDB::WebID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBAD' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBChoice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBDBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBDemo' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBFacebook' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBGoogle' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBLDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBMulti' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBNull' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBOpenID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBOpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBProxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBRemote' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBSAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBSlave' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::UserDBWebID' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_Browser' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_CAS' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_Choice' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_DBI' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_LDAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_LibAccess' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_Multi' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_OpenIDConnect' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_Proxy' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_Remote' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_SAML' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_SMTP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_SOAP' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_Slave' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_WebForm' => 'Lemonldap-NG-Portal',
                             'Lemonldap::NG::Portal::_i18n' => 'Lemonldap-NG-Portal',
                             'MHonArc::Char' => 'MHonArc',
                             'MHonArc::Char::JP' => 'MHonArc',
                             'MHonArc::Char::KR' => 'MHonArc',
                             'MHonArc::CharEnt' => 'MHonArc',
                             'MHonArc::CharEnt::AppleArabic' => 'MHonArc',
                             'MHonArc::CharEnt::AppleCenteuro' => 'MHonArc',
                             'MHonArc::CharEnt::AppleCroatian' => 'MHonArc',
                             'MHonArc::CharEnt::AppleCyrillic' => 'MHonArc',
                             'MHonArc::CharEnt::AppleGreek' => 'MHonArc',
                             'MHonArc::CharEnt::AppleHebrew' => 'MHonArc',
                             'MHonArc::CharEnt::AppleIceland' => 'MHonArc',
                             'MHonArc::CharEnt::AppleRoman' => 'MHonArc',
                             'MHonArc::CharEnt::AppleRomanian' => 'MHonArc',
                             'MHonArc::CharEnt::AppleThai' => 'MHonArc',
                             'MHonArc::CharEnt::AppleTurkish' => 'MHonArc',
                             'MHonArc::CharEnt::BIG5_ETEN' => 'MHonArc',
                             'MHonArc::CharEnt::BIG5_HKSCS' => 'MHonArc',
                             'MHonArc::CharEnt::CP1250' => 'MHonArc',
                             'MHonArc::CharEnt::CP1251' => 'MHonArc',
                             'MHonArc::CharEnt::CP1252' => 'MHonArc',
                             'MHonArc::CharEnt::CP1253' => 'MHonArc',
                             'MHonArc::CharEnt::CP1254' => 'MHonArc',
                             'MHonArc::CharEnt::CP1255' => 'MHonArc',
                             'MHonArc::CharEnt::CP1256' => 'MHonArc',
                             'MHonArc::CharEnt::CP1257' => 'MHonArc',
                             'MHonArc::CharEnt::CP1258' => 'MHonArc',
                             'MHonArc::CharEnt::CP866' => 'MHonArc',
                             'MHonArc::CharEnt::CP932' => 'MHonArc',
                             'MHonArc::CharEnt::CP936' => 'MHonArc',
                             'MHonArc::CharEnt::CP949' => 'MHonArc',
                             'MHonArc::CharEnt::CP950' => 'MHonArc',
                             'MHonArc::CharEnt::EUC_JP' => 'MHonArc',
                             'MHonArc::CharEnt::GB2312' => 'MHonArc',
                             'MHonArc::CharEnt::GOST19768_87' => 'MHonArc',
                             'MHonArc::CharEnt::HP_ROMAN8' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_1' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_10' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_11' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_13' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_14' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_15' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_16' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_2' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_3' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_4' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_5' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_6' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_7' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_8' => 'MHonArc',
                             'MHonArc::CharEnt::ISO8859_9' => 'MHonArc',
                             'MHonArc::CharEnt::KOI8_A' => 'MHonArc',
                             'MHonArc::CharEnt::KOI8_B' => 'MHonArc',
                             'MHonArc::CharEnt::KOI8_E' => 'MHonArc',
                             'MHonArc::CharEnt::KOI8_F' => 'MHonArc',
                             'MHonArc::CharEnt::KOI8_R' => 'MHonArc',
                             'MHonArc::CharEnt::KOI8_U' => 'MHonArc',
                             'MHonArc::CharEnt::KOI_0' => 'MHonArc',
                             'MHonArc::CharEnt::KOI_7' => 'MHonArc',
                             'MHonArc::CharEnt::VISCII' => 'MHonArc',
                             'MHonArc::CharMaps' => 'MHonArc',
                             'MHonArc::Encode' => 'MHonArc',
                             'MHonArc::RFC822' => 'MHonArc',
                             'MHonArc::UTF8' => 'MHonArc',
                             'MHonArc::UTF8::AppleArabic' => 'MHonArc',
                             'MHonArc::UTF8::AppleCenteuro' => 'MHonArc',
                             'MHonArc::UTF8::AppleCroatian' => 'MHonArc',
                             'MHonArc::UTF8::AppleCyrillic' => 'MHonArc',
                             'MHonArc::UTF8::AppleGreek' => 'MHonArc',
                             'MHonArc::UTF8::AppleHebrew' => 'MHonArc',
                             'MHonArc::UTF8::AppleIceland' => 'MHonArc',
                             'MHonArc::UTF8::AppleRoman' => 'MHonArc',
                             'MHonArc::UTF8::AppleRomanian' => 'MHonArc',
                             'MHonArc::UTF8::AppleThai' => 'MHonArc',
                             'MHonArc::UTF8::AppleTurkish' => 'MHonArc',
                             'MHonArc::UTF8::BIG5_ETEN' => 'MHonArc',
                             'MHonArc::UTF8::BIG5_HKSCS' => 'MHonArc',
                             'MHonArc::UTF8::CP1250' => 'MHonArc',
                             'MHonArc::UTF8::CP1251' => 'MHonArc',
                             'MHonArc::UTF8::CP1252' => 'MHonArc',
                             'MHonArc::UTF8::CP1253' => 'MHonArc',
                             'MHonArc::UTF8::CP1254' => 'MHonArc',
                             'MHonArc::UTF8::CP1255' => 'MHonArc',
                             'MHonArc::UTF8::CP1256' => 'MHonArc',
                             'MHonArc::UTF8::CP1257' => 'MHonArc',
                             'MHonArc::UTF8::CP1258' => 'MHonArc',
                             'MHonArc::UTF8::CP866' => 'MHonArc',
                             'MHonArc::UTF8::CP932' => 'MHonArc',
                             'MHonArc::UTF8::CP936' => 'MHonArc',
                             'MHonArc::UTF8::CP949' => 'MHonArc',
                             'MHonArc::UTF8::CP950' => 'MHonArc',
                             'MHonArc::UTF8::EUC_JP' => 'MHonArc',
                             'MHonArc::UTF8::Encode' => 'MHonArc',
                             'MHonArc::UTF8::GB2312' => 'MHonArc',
                             'MHonArc::UTF8::GOST19768_87' => 'MHonArc',
                             'MHonArc::UTF8::HP_ROMAN8' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_1' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_10' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_11' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_13' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_14' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_15' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_16' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_2' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_3' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_4' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_5' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_6' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_7' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_8' => 'MHonArc',
                             'MHonArc::UTF8::ISO8859_9' => 'MHonArc',
                             'MHonArc::UTF8::KOI8_A' => 'MHonArc',
                             'MHonArc::UTF8::KOI8_B' => 'MHonArc',
                             'MHonArc::UTF8::KOI8_E' => 'MHonArc',
                             'MHonArc::UTF8::KOI8_F' => 'MHonArc',
                             'MHonArc::UTF8::KOI8_R' => 'MHonArc',
                             'MHonArc::UTF8::KOI8_U' => 'MHonArc',
                             'MHonArc::UTF8::KOI_0' => 'MHonArc',
                             'MHonArc::UTF8::KOI_7' => 'MHonArc',
                             'MHonArc::UTF8::MapUTF8' => 'MHonArc',
                             'MHonArc::UTF8::MhaEncode' => 'MHonArc',
                             'MHonArc::UTF8::VISCII' => 'MHonArc',
                             'MM' => 'ExtUtils-MakeMaker',
                             'MY' => 'ExtUtils-MakeMaker',
                             'ModPerl::BuildMM' => 'mod_perl',
                             'ModPerl::BuildOptions' => 'mod_perl',
                             'ModPerl::CScan' => 'mod_perl',
                             'ModPerl::Code' => 'mod_perl',
                             'ModPerl::Config' => 'mod_perl',
                             'ModPerl::FunctionMap' => 'mod_perl',
                             'ModPerl::FunctionTable' => 'mod_perl',
                             'ModPerl::Global' => 'mod_perl',
                             'ModPerl::InterpPool' => 'mod_perl',
                             'ModPerl::Interpreter' => 'mod_perl',
                             'ModPerl::MM' => 'mod_perl',
                             'ModPerl::Manifest' => 'mod_perl',
                             'ModPerl::MapBase' => 'mod_perl',
                             'ModPerl::MapUtil' => 'mod_perl',
                             'ModPerl::MethodLookup' => 'mod_perl',
                             'ModPerl::ParseSource' => 'mod_perl',
                             'ModPerl::PerlRun' => 'mod_perl',
                             'ModPerl::PerlRunPrefork' => 'mod_perl',
                             'ModPerl::Registry' => 'mod_perl',
                             'ModPerl::RegistryBB' => 'mod_perl',
                             'ModPerl::RegistryCooker' => 'mod_perl',
                             'ModPerl::RegistryLoader' => 'mod_perl',
                             'ModPerl::RegistryPrefork' => 'mod_perl',
                             'ModPerl::StructureMap' => 'mod_perl',
                             'ModPerl::TestConfig' => 'mod_perl',
                             'ModPerl::TestReport' => 'mod_perl',
                             'ModPerl::TestRun' => 'mod_perl',
                             'ModPerl::TiPool' => 'mod_perl',
                             'ModPerl::TiPoolConfig' => 'mod_perl',
                             'ModPerl::TypeMap' => 'mod_perl',
                             'ModPerl::Util' => 'mod_perl',
                             'ModPerl::WrapXS' => 'mod_perl',
                             'Module::Signature' => 'Module-Signature',
                             'Mojo' => 'Mojolicious',
                             'Mojo::Asset' => 'Mojolicious',
                             'Mojo::Asset::File' => 'Mojolicious',
                             'Mojo::Asset::Memory' => 'Mojolicious',
                             'Mojo::Base' => 'Mojolicious',
                             'Mojo::ByteStream' => 'Mojolicious',
                             'Mojo::Cache' => 'Mojolicious',
                             'Mojo::Collection' => 'Mojolicious',
                             'Mojo::Content' => 'Mojolicious',
                             'Mojo::Content::MultiPart' => 'Mojolicious',
                             'Mojo::Content::Single' => 'Mojolicious',
                             'Mojo::Cookie' => 'Mojolicious',
                             'Mojo::Cookie::Request' => 'Mojolicious',
                             'Mojo::Cookie::Response' => 'Mojolicious',
                             'Mojo::DOM' => 'Mojolicious',
                             'Mojo::DOM::CSS' => 'Mojolicious',
                             'Mojo::DOM::HTML' => 'Mojolicious',
                             'Mojo::Date' => 'Mojolicious',
                             'Mojo::DynamicMethods' => 'Mojolicious',
                             'Mojo::EventEmitter' => 'Mojolicious',
                             'Mojo::Exception' => 'Mojolicious',
                             'Mojo::File' => 'Mojolicious',
                             'Mojo::Headers' => 'Mojolicious',
                             'Mojo::HelloWorld' => 'Mojolicious',
                             'Mojo::Home' => 'Mojolicious',
                             'Mojo::IOLoop' => 'Mojolicious',
                             'Mojo::IOLoop::Client' => 'Mojolicious',
                             'Mojo::IOLoop::Delay' => 'Mojolicious',
                             'Mojo::IOLoop::Server' => 'Mojolicious',
                             'Mojo::IOLoop::Stream' => 'Mojolicious',
                             'Mojo::IOLoop::Subprocess' => 'Mojolicious',
                             'Mojo::IOLoop::TLS' => 'Mojolicious',
                             'Mojo::JSON' => 'Mojolicious',
                             'Mojo::JSON::Pointer' => 'Mojolicious',
                             'Mojo::Loader' => 'Mojolicious',
                             'Mojo::Log' => 'Mojolicious',
                             'Mojo::Message' => 'Mojolicious',
                             'Mojo::Message::Request' => 'Mojolicious',
                             'Mojo::Message::Response' => 'Mojolicious',
                             'Mojo::Parameters' => 'Mojolicious',
                             'Mojo::Path' => 'Mojolicious',
                             'Mojo::Promise' => 'Mojolicious',
                             'Mojo::Reactor' => 'Mojolicious',
                             'Mojo::Reactor::EV' => 'Mojolicious',
                             'Mojo::Reactor::Poll' => 'Mojolicious',
                             'Mojo::Server' => 'Mojolicious',
                             'Mojo::Server::CGI' => 'Mojolicious',
                             'Mojo::Server::Daemon' => 'Mojolicious',
                             'Mojo::Server::Hypnotoad' => 'Mojolicious',
                             'Mojo::Server::Morbo' => 'Mojolicious',
                             'Mojo::Server::Morbo::Backend' => 'Mojolicious',
                             'Mojo::Server::Morbo::Backend::Poll' => 'Mojolicious',
                             'Mojo::Server::PSGI' => 'Mojolicious',
                             'Mojo::Server::PSGI::_IO' => 'Mojolicious',
                             'Mojo::Server::Prefork' => 'Mojolicious',
                             'Mojo::Template' => 'Mojolicious',
                             'Mojo::Transaction' => 'Mojolicious',
                             'Mojo::Transaction::HTTP' => 'Mojolicious',
                             'Mojo::Transaction::WebSocket' => 'Mojolicious',
                             'Mojo::URL' => 'Mojolicious',
                             'Mojo::Upload' => 'Mojolicious',
                             'Mojo::UserAgent' => 'Mojolicious',
                             'Mojo::UserAgent::CookieJar' => 'Mojolicious',
                             'Mojo::UserAgent::Proxy' => 'Mojolicious',
                             'Mojo::UserAgent::Server' => 'Mojolicious',
                             'Mojo::UserAgent::Transactor' => 'Mojolicious',
                             'Mojo::Util' => 'Mojolicious',
                             'Mojo::WebSocket' => 'Mojolicious',
                             'MojoMojo' => 'MojoMojo',
                             'MojoMojo::Controller::Admin' => 'MojoMojo',
                             'MojoMojo::Controller::Attachment' => 'MojoMojo',
                             'MojoMojo::Controller::Comment' => 'MojoMojo',
                             'MojoMojo::Controller::Export' => 'MojoMojo',
                             'MojoMojo::Controller::Gallery' => 'MojoMojo',
                             'MojoMojo::Controller::Image' => 'MojoMojo',
                             'MojoMojo::Controller::JSON' => 'MojoMojo',
                             'MojoMojo::Controller::Journal' => 'MojoMojo',
                             'MojoMojo::Controller::Jsrpc' => 'MojoMojo',
                             'MojoMojo::Controller::Page' => 'MojoMojo',
                             'MojoMojo::Controller::PageAdmin' => 'MojoMojo',
                             'MojoMojo::Controller::Root' => 'MojoMojo',
                             'MojoMojo::Controller::Tag' => 'MojoMojo',
                             'MojoMojo::Controller::User' => 'MojoMojo',
                             'MojoMojo::Declaw' => 'MojoMojo',
                             'MojoMojo::Extension' => 'MojoMojo',
                             'MojoMojo::Extensions::Counter' => 'MojoMojo',
                             'MojoMojo::Formatter' => 'MojoMojo',
                             'MojoMojo::Formatter::Amazon' => 'MojoMojo',
                             'MojoMojo::Formatter::CPANHyperlink' => 'MojoMojo',
                             'MojoMojo::Formatter::Comment' => 'MojoMojo',
                             'MojoMojo::Formatter::Defang' => 'MojoMojo',
                             'MojoMojo::Formatter::Dir' => 'MojoMojo',
                             'MojoMojo::Formatter::DocBook' => 'MojoMojo',
                             'MojoMojo::Formatter::DocBook::Colorize' => 'MojoMojo',
                             'MojoMojo::Formatter::Emote' => 'MojoMojo',
                             'MojoMojo::Formatter::File' => 'MojoMojo',
                             'MojoMojo::Formatter::File::DocBook' => 'MojoMojo',
                             'MojoMojo::Formatter::File::Image' => 'MojoMojo',
                             'MojoMojo::Formatter::File::Pod' => 'MojoMojo',
                             'MojoMojo::Formatter::File::Test' => 'MojoMojo',
                             'MojoMojo::Formatter::File::Text' => 'MojoMojo',
                             'MojoMojo::Formatter::Gist' => 'MojoMojo',
                             'MojoMojo::Formatter::GoogleCalendar' => 'MojoMojo',
                             'MojoMojo::Formatter::GoogleSearch' => 'MojoMojo',
                             'MojoMojo::Formatter::IDLink' => 'MojoMojo',
                             'MojoMojo::Formatter::IRCLog' => 'MojoMojo',
                             'MojoMojo::Formatter::Include' => 'MojoMojo',
                             'MojoMojo::Formatter::Main' => 'MojoMojo',
                             'MojoMojo::Formatter::Markdown' => 'MojoMojo',
                             'MojoMojo::Formatter::Pod' => 'MojoMojo',
                             'MojoMojo::Formatter::Pod::Simple::HTML' => 'MojoMojo',
                             'MojoMojo::Formatter::RSS' => 'MojoMojo',
                             'MojoMojo::Formatter::Redirect' => 'MojoMojo',
                             'MojoMojo::Formatter::SyntaxHighlight' => 'MojoMojo',
                             'MojoMojo::Formatter::TOC' => 'MojoMojo',
                             'MojoMojo::Formatter::Text' => 'MojoMojo',
                             'MojoMojo::Formatter::Textile' => 'MojoMojo',
                             'MojoMojo::Formatter::Wiki' => 'MojoMojo',
                             'MojoMojo::Formatter::WikipediaLink' => 'MojoMojo',
                             'MojoMojo::Formatter::YouTube' => 'MojoMojo',
                             'MojoMojo::I18N' => 'MojoMojo',
                             'MojoMojo::Model::DBIC' => 'MojoMojo',
                             'MojoMojo::Model::Search' => 'MojoMojo',
                             'MojoMojo::Model::Themes' => 'MojoMojo',
                             'MojoMojo::Schema' => 'MojoMojo',
                             'MojoMojo::Schema::Base::Result' => 'MojoMojo',
                             'MojoMojo::Schema::Base::ResultSet' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Attachment' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Comment' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Content' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Entry' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Journal' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Link' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Page' => 'MojoMojo',
                             'MojoMojo::Schema::Result::PageVersion' => 'MojoMojo',
                             'MojoMojo::Schema::Result::PathPermissions' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Person' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Photo' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Preference' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Role' => 'MojoMojo',
                             'MojoMojo::Schema::Result::RoleMember' => 'MojoMojo',
                             'MojoMojo::Schema::Result::RolePrivilege' => 'MojoMojo',
                             'MojoMojo::Schema::Result::Tag' => 'MojoMojo',
                             'MojoMojo::Schema::Result::WantedPage' => 'MojoMojo',
                             'MojoMojo::Schema::ResultSet::Attachment' => 'MojoMojo',
                             'MojoMojo::Schema::ResultSet::Content' => 'MojoMojo',
                             'MojoMojo::Schema::ResultSet::Page' => 'MojoMojo',
                             'MojoMojo::Schema::ResultSet::Person' => 'MojoMojo',
                             'MojoMojo::Schema::ResultSet::Role' => 'MojoMojo',
                             'MojoMojo::Schema::ResultSet::Tag' => 'MojoMojo',
                             'MojoMojo::View::Email' => 'MojoMojo',
                             'MojoMojo::View::JSON' => 'MojoMojo',
                             'MojoMojo::View::TT' => 'MojoMojo',
                             'MojoMojo::WordDiff' => 'MojoMojo',
                             'Mojolicious' => 'Mojolicious',
                             'Mojolicious::Command' => 'Mojolicious',
                             'Mojolicious::Command::Author::cpanify' => 'Mojolicious',
                             'Mojolicious::Command::Author::generate' => 'Mojolicious',
                             'Mojolicious::Command::Author::generate::app' => 'Mojolicious',
                             'Mojolicious::Command::Author::generate::lite_app' => 'Mojolicious',
                             'Mojolicious::Command::Author::generate::makefile' => 'Mojolicious',
                             'Mojolicious::Command::Author::generate::plugin' => 'Mojolicious',
                             'Mojolicious::Command::Author::inflate' => 'Mojolicious',
                             'Mojolicious::Command::cgi' => 'Mojolicious',
                             'Mojolicious::Command::cpanify' => 'Mojolicious',
                             'Mojolicious::Command::daemon' => 'Mojolicious',
                             'Mojolicious::Command::eval' => 'Mojolicious',
                             'Mojolicious::Command::generate' => 'Mojolicious',
                             'Mojolicious::Command::generate::app' => 'Mojolicious',
                             'Mojolicious::Command::generate::lite_app' => 'Mojolicious',
                             'Mojolicious::Command::generate::makefile' => 'Mojolicious',
                             'Mojolicious::Command::generate::plugin' => 'Mojolicious',
                             'Mojolicious::Command::get' => 'Mojolicious',
                             'Mojolicious::Command::inflate' => 'Mojolicious',
                             'Mojolicious::Command::prefork' => 'Mojolicious',
                             'Mojolicious::Command::psgi' => 'Mojolicious',
                             'Mojolicious::Command::routes' => 'Mojolicious',
                             'Mojolicious::Command::test' => 'Mojolicious',
                             'Mojolicious::Command::version' => 'Mojolicious',
                             'Mojolicious::Commands' => 'Mojolicious',
                             'Mojolicious::Controller' => 'Mojolicious',
                             'Mojolicious::Lite' => 'Mojolicious',
                             'Mojolicious::Plugin' => 'Mojolicious',
                             'Mojolicious::Plugin::Config' => 'Mojolicious',
                             'Mojolicious::Plugin::Config::Sandbox' => 'Mojolicious',
                             'Mojolicious::Plugin::DefaultHelpers' => 'Mojolicious',
                             'Mojolicious::Plugin::EPLRenderer' => 'Mojolicious',
                             'Mojolicious::Plugin::EPRenderer' => 'Mojolicious',
                             'Mojolicious::Plugin::HeaderCondition' => 'Mojolicious',
                             'Mojolicious::Plugin::JSONConfig' => 'Mojolicious',
                             'Mojolicious::Plugin::Mount' => 'Mojolicious',
                             'Mojolicious::Plugin::OAuth2' => 'Mojolicious-Plugin-OAuth2',
                             'Mojolicious::Plugin::PODRenderer' => 'Mojolicious',
                             'Mojolicious::Plugin::TagHelpers' => 'Mojolicious',
                             'Mojolicious::Plugins' => 'Mojolicious',
                             'Mojolicious::Renderer' => 'Mojolicious',
                             'Mojolicious::Routes' => 'Mojolicious',
                             'Mojolicious::Routes::Match' => 'Mojolicious',
                             'Mojolicious::Routes::Pattern' => 'Mojolicious',
                             'Mojolicious::Routes::Route' => 'Mojolicious',
                             'Mojolicious::Sessions' => 'Mojolicious',
                             'Mojolicious::Static' => 'Mojolicious',
                             'Mojolicious::Types' => 'Mojolicious',
                             'Mojolicious::Validator' => 'Mojolicious',
                             'Mojolicious::Validator::Validation' => 'Mojolicious',
                             'MultipartBuffer' => 'CGI',
                             'My::Chat' => 'SOAP-Lite',
                             'My::Examples' => 'SOAP-Lite',
                             'My::Parameters' => 'SOAP-Lite',
                             'My::PersistentIterator' => 'SOAP-Lite',
                             'My::PingPong' => 'SOAP-Lite',
                             'My::SessionIterator' => 'SOAP-Lite',
                             'MyFeatureFileLoader' => 'GBrowse',
                             'Mysql' => 'DBD-mysql',
                             'Mysql::Statement' => 'DBD-mysql',
                             'Mysql::db' => 'DBD-mysql',
                             'Mysql::dr' => 'DBD-mysql',
                             'Mysql::st' => 'DBD-mysql',
                             'Net::DNS' => 'Net-DNS',
                             'Net::DNS::Domain' => 'Net-DNS',
                             'Net::DNS::DomainName' => 'Net-DNS',
                             'Net::DNS::DomainName1035' => 'Net-DNS',
                             'Net::DNS::DomainName2535' => 'Net-DNS',
                             'Net::DNS::Header' => 'Net-DNS',
                             'Net::DNS::Mailbox' => 'Net-DNS',
                             'Net::DNS::Mailbox1035' => 'Net-DNS',
                             'Net::DNS::Mailbox2535' => 'Net-DNS',
                             'Net::DNS::Nameserver' => 'Net-DNS',
                             'Net::DNS::Packet' => 'Net-DNS',
                             'Net::DNS::Parameters' => 'Net-DNS',
                             'Net::DNS::Question' => 'Net-DNS',
                             'Net::DNS::RR' => 'Net-DNS',
                             'Net::DNS::RR::A' => 'Net-DNS',
                             'Net::DNS::RR::AAAA' => 'Net-DNS',
                             'Net::DNS::RR::AFSDB' => 'Net-DNS',
                             'Net::DNS::RR::APL' => 'Net-DNS',
                             'Net::DNS::RR::APL::Item' => 'Net-DNS',
                             'Net::DNS::RR::CAA' => 'Net-DNS',
                             'Net::DNS::RR::CDNSKEY' => 'Net-DNS',
                             'Net::DNS::RR::CDS' => 'Net-DNS',
                             'Net::DNS::RR::CERT' => 'Net-DNS',
                             'Net::DNS::RR::CNAME' => 'Net-DNS',
                             'Net::DNS::RR::CSYNC' => 'Net-DNS',
                             'Net::DNS::RR::DHCID' => 'Net-DNS',
                             'Net::DNS::RR::DLV' => 'Net-DNS',
                             'Net::DNS::RR::DNAME' => 'Net-DNS',
                             'Net::DNS::RR::DNSKEY' => 'Net-DNS',
                             'Net::DNS::RR::DS' => 'Net-DNS',
                             'Net::DNS::RR::EUI48' => 'Net-DNS',
                             'Net::DNS::RR::EUI64' => 'Net-DNS',
                             'Net::DNS::RR::GPOS' => 'Net-DNS',
                             'Net::DNS::RR::HINFO' => 'Net-DNS',
                             'Net::DNS::RR::HIP' => 'Net-DNS',
                             'Net::DNS::RR::IPSECKEY' => 'Net-DNS',
                             'Net::DNS::RR::ISDN' => 'Net-DNS',
                             'Net::DNS::RR::KEY' => 'Net-DNS',
                             'Net::DNS::RR::KX' => 'Net-DNS',
                             'Net::DNS::RR::L32' => 'Net-DNS',
                             'Net::DNS::RR::L64' => 'Net-DNS',
                             'Net::DNS::RR::LOC' => 'Net-DNS',
                             'Net::DNS::RR::LP' => 'Net-DNS',
                             'Net::DNS::RR::MB' => 'Net-DNS',
                             'Net::DNS::RR::MG' => 'Net-DNS',
                             'Net::DNS::RR::MINFO' => 'Net-DNS',
                             'Net::DNS::RR::MR' => 'Net-DNS',
                             'Net::DNS::RR::MX' => 'Net-DNS',
                             'Net::DNS::RR::NAPTR' => 'Net-DNS',
                             'Net::DNS::RR::NID' => 'Net-DNS',
                             'Net::DNS::RR::NS' => 'Net-DNS',
                             'Net::DNS::RR::NSEC' => 'Net-DNS',
                             'Net::DNS::RR::NSEC3' => 'Net-DNS',
                             'Net::DNS::RR::NSEC3PARAM' => 'Net-DNS',
                             'Net::DNS::RR::NULL' => 'Net-DNS',
                             'Net::DNS::RR::OPENPGPKEY' => 'Net-DNS',
                             'Net::DNS::RR::OPT' => 'Net-DNS',
                             'Net::DNS::RR::OPT::CHAIN' => 'Net-DNS',
                             'Net::DNS::RR::OPT::CLIENT_SUBNET' => 'Net-DNS',
                             'Net::DNS::RR::OPT::COOKIE' => 'Net-DNS',
                             'Net::DNS::RR::OPT::DAU' => 'Net-DNS',
                             'Net::DNS::RR::OPT::DHU' => 'Net-DNS',
                             'Net::DNS::RR::OPT::EXPIRE' => 'Net-DNS',
                             'Net::DNS::RR::OPT::KEY_TAG' => 'Net-DNS',
                             'Net::DNS::RR::OPT::N3U' => 'Net-DNS',
                             'Net::DNS::RR::OPT::PADDING' => 'Net-DNS',
                             'Net::DNS::RR::OPT::TCP_KEEPALIVE' => 'Net-DNS',
                             'Net::DNS::RR::PTR' => 'Net-DNS',
                             'Net::DNS::RR::PX' => 'Net-DNS',
                             'Net::DNS::RR::RP' => 'Net-DNS',
                             'Net::DNS::RR::RRSIG' => 'Net-DNS',
                             'Net::DNS::RR::RT' => 'Net-DNS',
                             'Net::DNS::RR::SIG' => 'Net-DNS',
                             'Net::DNS::RR::SMIMEA' => 'Net-DNS',
                             'Net::DNS::RR::SOA' => 'Net-DNS',
                             'Net::DNS::RR::SPF' => 'Net-DNS',
                             'Net::DNS::RR::SRV' => 'Net-DNS',
                             'Net::DNS::RR::SSHFP' => 'Net-DNS',
                             'Net::DNS::RR::TKEY' => 'Net-DNS',
                             'Net::DNS::RR::TLSA' => 'Net-DNS',
                             'Net::DNS::RR::TSIG' => 'Net-DNS',
                             'Net::DNS::RR::TXT' => 'Net-DNS',
                             'Net::DNS::RR::URI' => 'Net-DNS',
                             'Net::DNS::RR::X25' => 'Net-DNS',
                             'Net::DNS::Resolver' => 'Net-DNS',
                             'Net::DNS::Resolver::Base' => 'Net-DNS',
                             'Net::DNS::Resolver::MSWin32' => 'Net-DNS',
                             'Net::DNS::Resolver::Recurse' => 'Net-DNS',
                             'Net::DNS::Resolver::UNIX' => 'Net-DNS',
                             'Net::DNS::Resolver::android' => 'Net-DNS',
                             'Net::DNS::Resolver::cygwin' => 'Net-DNS',
                             'Net::DNS::Resolver::os2' => 'Net-DNS',
                             'Net::DNS::Resolver::os390' => 'Net-DNS',
                             'Net::DNS::Text' => 'Net-DNS',
                             'Net::DNS::Update' => 'Net-DNS',
                             'Net::DNS::ZoneFile' => 'Net-DNS',
                             'Net::DNS::ZoneFile::Generator' => 'Net-DNS',
                             'Net::DNS::ZoneFile::Text' => 'Net-DNS',
                             'Net::OpenID::Association' => 'Net-OpenID-Consumer',
                             'Net::OpenID::ClaimedIdentity' => 'Net-OpenID-Consumer',
                             'Net::OpenID::Consumer' => 'Net-OpenID-Consumer',
                             'Net::OpenID::VerifiedIdentity' => 'Net-OpenID-Consumer',
                             'Otogiri' => 'Otogiri',
                             'PAR' => 'PAR',
                             'PAR::Filter' => 'PAR-Packer',
                             'PAR::Filter::Bleach' => 'PAR-Packer',
                             'PAR::Filter::Bytecode' => 'PAR-Packer',
                             'PAR::Filter::Obfuscate' => 'PAR-Packer',
                             'PAR::Filter::PatchContent' => 'PAR-Packer',
                             'PAR::Filter::PodStrip' => 'PAR-Packer',
                             'PAR::Heavy' => 'PAR',
                             'PAR::Packer' => 'PAR-Packer',
                             'PAR::SetupProgname' => 'PAR',
                             'PAR::SetupTemp' => 'PAR',
                             'PAR::StrippedPARL::Base' => 'PAR-Packer',
                             'Perl::Version' => 'Perl-Version',
                             'Plack::Middleware::Session' => 'Plack-Middleware-Session',
                             'Plack::Middleware::Session::Cookie' => 'Plack-Middleware-Session',
                             'Plack::Session' => 'Plack-Middleware-Session',
                             'Plack::Session::Cleanup' => 'Plack-Middleware-Session',
                             'Plack::Session::State' => 'Plack-Middleware-Session',
                             'Plack::Session::State::Cookie' => 'Plack-Middleware-Session',
                             'Plack::Session::Store' => 'Plack-Middleware-Session',
                             'Plack::Session::Store::Cache' => 'Plack-Middleware-Session',
                             'Plack::Session::Store::DBI' => 'Plack-Middleware-Session',
                             'Plack::Session::Store::File' => 'Plack-Middleware-Session',
                             'Plack::Session::Store::Null' => 'Plack-Middleware-Session',
                             'RT::Authen::ExternalAuth' => 'RT-Authen-ExternalAuth',
                             'RT::Authen::ExternalAuth::DBI' => 'RT-Authen-ExternalAuth',
                             'RT::Authen::ExternalAuth::DBI::Cookie' => 'RT-Authen-ExternalAuth',
                             'RT::Authen::ExternalAuth::LDAP' => 'RT-Authen-ExternalAuth',
                             'RT::Extension::MobileUI' => 'RT-Extension-MobileUI',
                             'RTMP::Client' => 'RTMP-Client',
                             'SOAP::Apache' => 'SOAP-Lite',
                             'SOAP::Cloneable' => 'SOAP-Lite',
                             'SOAP::Constants' => 'SOAP-Lite',
                             'SOAP::Custom::XML::Data' => 'SOAP-Lite',
                             'SOAP::Custom::XML::Deserializer' => 'SOAP-Lite',
                             'SOAP::Data' => 'SOAP-Lite',
                             'SOAP::Deserializer' => 'SOAP-Lite',
                             'SOAP::Fault' => 'SOAP-Lite',
                             'SOAP::Header' => 'SOAP-Lite',
                             'SOAP::Lite' => 'SOAP-Lite',
                             'SOAP::Lite::COM' => 'SOAP-Lite',
                             'SOAP::Lite::Deserializer::XMLSchema1999' => 'SOAP-Lite',
                             'SOAP::Lite::Deserializer::XMLSchema2001' => 'SOAP-Lite',
                             'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 'SOAP-Lite',
                             'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 'SOAP-Lite',
                             'SOAP::Lite::Packager' => 'SOAP-Lite',
                             'SOAP::Lite::Packager::DIME' => 'SOAP-Lite',
                             'SOAP::Lite::Packager::MIME' => 'SOAP-Lite',
                             'SOAP::Lite::Utils' => 'SOAP-Lite',
                             'SOAP::MIMEParser' => 'SOAP-Lite',
                             'SOAP::Packager' => 'SOAP-Lite',
                             'SOAP::Packager::DIME' => 'SOAP-Lite',
                             'SOAP::Packager::MIME' => 'SOAP-Lite',
                             'SOAP::SOM' => 'SOAP-Lite',
                             'SOAP::Schema' => 'SOAP-Lite',
                             'SOAP::Schema::Deserializer' => 'SOAP-Lite',
                             'SOAP::Schema::WSDL' => 'SOAP-Lite',
                             'SOAP::Server' => 'SOAP-Lite',
                             'SOAP::Server::Object' => 'SOAP-Lite',
                             'SOAP::Server::Parameters' => 'SOAP-Lite',
                             'SOAP::Test' => 'SOAP-Lite',
                             'SOAP::Test::Server' => 'SOAP-Lite',
                             'SOAP::Trace' => 'SOAP-Lite',
                             'SOAP::Transport' => 'SOAP-Lite',
                             'SOAP::Transport::HTTP' => 'SOAP-Lite',
                             'SOAP::Transport::HTTP::Daemon' => 'SOAP-Lite',
                             'SOAP::Transport::HTTP::Daemon::ForkAfterProcessing' => 'SOAP-Lite',
                             'SOAP::Transport::HTTP::Daemon::ForkOnAccept' => 'SOAP-Lite',
                             'SOAP::Transport::HTTP::FCGI' => 'SOAP-Lite',
                             'SOAP::Transport::IO' => 'SOAP-Lite',
                             'SOAP::Transport::IO::Server' => 'SOAP-Lite',
                             'SOAP::Transport::LOCAL' => 'SOAP-Lite',
                             'SOAP::Transport::LOCAL::Client' => 'SOAP-Lite',
                             'SOAP::Transport::LOOPBACK' => 'SOAP-Lite',
                             'SOAP::Transport::LOOPBACK::Client' => 'SOAP-Lite',
                             'SOAP::Transport::MAILTO' => 'SOAP-Lite',
                             'SOAP::Transport::MAILTO::Client' => 'SOAP-Lite',
                             'SOAP::Transport::POP3' => 'SOAP-Lite',
                             'SOAP::Transport::POP3::Server' => 'SOAP-Lite',
                             'SOAP::Transport::TCP' => 'SOAP-Lite',
                             'SOAP::Transport::TCP::Client' => 'SOAP-Lite',
                             'SOAP::Transport::TCP::Server' => 'SOAP-Lite',
                             'SOAP::Utils' => 'SOAP-Lite',
                             'SOAP::XMLSchema1999::Deserializer' => 'SOAP-Lite',
                             'SOAP::XMLSchema1999::Serializer' => 'SOAP-Lite',
                             'SOAP::XMLSchema2001::Deserializer' => 'SOAP-Lite',
                             'SOAP::XMLSchema2001::Serializer' => 'SOAP-Lite',
                             'SOAP::XMLSchema::Serializer' => 'SOAP-Lite',
                             'SOAP::XMLSchemaApacheSOAP::Deserializer' => 'SOAP-Lite',
                             'SOAP::XMLSchemaSOAP1_1::Deserializer' => 'SOAP-Lite',
                             'SOAP::XMLSchemaSOAP1_2::Deserializer' => 'SOAP-Lite',
                             'SVG::Sparkline' => 'SVG-Sparkline',
                             'SVG::Sparkline::Area' => 'SVG-Sparkline',
                             'SVG::Sparkline::Bar' => 'SVG-Sparkline',
                             'SVG::Sparkline::Line' => 'SVG-Sparkline',
                             'SVG::Sparkline::RangeArea' => 'SVG-Sparkline',
                             'SVG::Sparkline::RangeBar' => 'SVG-Sparkline',
                             'SVG::Sparkline::Utils' => 'SVG-Sparkline',
                             'SVG::Sparkline::Whisker' => 'SVG-Sparkline',
                             'SVN::Look' => 'SVN-Look',
                             'Search::OpenSearch::Result' => 'Search-OpenSearch-Server',
                             'Search::OpenSearch::Server' => 'Search-OpenSearch-Server',
                             'Search::OpenSearch::Server::Catalyst' => 'Search-OpenSearch-Server',
                             'Search::OpenSearch::Server::Plack' => 'Search-OpenSearch-Server',
                             'Storable' => 'Storable',
                             'TempFile' => 'CGI',
                             'Test::Mojo' => 'Mojolicious',
                             'Test::Simply' => 'Fake-Our',
                             'Text::SmartyPants' => 'MojoMojo',
                             'Text::Wikispaces2Markdown' => 'MojoMojo',
                             'Tie::Watch' => 'Tk',
                             'Tk' => 'Tk',
                             'Tk::Adjuster' => 'Tk',
                             'Tk::Adjuster::Item' => 'Tk',
                             'Tk::After' => 'Tk',
                             'Tk::Animation' => 'Tk',
                             'Tk::Balloon' => 'Tk',
                             'Tk::Bitmap' => 'Tk',
                             'Tk::BrowseEntry' => 'Tk',
                             'Tk::Button' => 'Tk',
                             'Tk::Canvas' => 'Tk',
                             'Tk::Checkbutton' => 'Tk',
                             'Tk::Clipboard' => 'Tk',
                             'Tk::CmdLine' => 'Tk',
                             'Tk::ColorDialog' => 'Tk',
                             'Tk::ColorEditor' => 'Tk',
                             'Tk::ColorSelect' => 'Tk',
                             'Tk::Compound' => 'Tk',
                             'Tk::Configure' => 'Tk',
                             'Tk::Derived' => 'Tk',
                             'Tk::Dialog' => 'Tk',
                             'Tk::DialogBox' => 'Tk',
                             'Tk::DirTree' => 'Tk',
                             'Tk::DirTreeDialog' => 'Tk',
                             'Tk::Dirlist' => 'Tk',
                             'Tk::DragDrop' => 'Tk',
                             'Tk::DragDrop::Common' => 'Tk',
                             'Tk::DragDrop::Local' => 'Tk',
                             'Tk::DragDrop::Rect' => 'Tk',
                             'Tk::DragDrop::SunConst' => 'Tk',
                             'Tk::DragDrop::SunDrop' => 'Tk',
                             'Tk::DragDrop::SunSite' => 'Tk',
                             'Tk::DragDrop::Win32Drop' => 'Tk',
                             'Tk::DragDrop::Win32Site' => 'Tk',
                             'Tk::DragDrop::XDNDDrop' => 'Tk',
                             'Tk::DragDrop::XDNDSite' => 'Tk',
                             'Tk::DropSite' => 'Tk',
                             'Tk::DummyEncode' => 'Tk',
                             'Tk::DummyEncode::iso8859_1' => 'Tk',
                             'Tk::English' => 'Tk',
                             'Tk::Entry' => 'Tk',
                             'Tk::ErrorDialog' => 'Tk',
                             'Tk::Event' => 'Tk',
                             'Tk::Event::IO' => 'Tk',
                             'Tk::FBox' => 'Tk',
                             'Tk::FileSelect' => 'Tk',
                             'Tk::FloatEntry' => 'Tk',
                             'Tk::Font' => 'Tk',
                             'Tk::Frame' => 'Tk',
                             'Tk::HList' => 'Tk',
                             'Tk::IO' => 'Tk',
                             'Tk::IconList' => 'Tk',
                             'Tk::Image' => 'Tk',
                             'Tk::InputO' => 'Tk',
                             'Tk::ItemStyle' => 'Tk',
                             'Tk::JPEG' => 'Tk',
                             'Tk::LabEntry' => 'Tk',
                             'Tk::LabFrame' => 'Tk',
                             'Tk::LabRadiobutton' => 'Tk',
                             'Tk::Label' => 'Tk',
                             'Tk::LabeledEntryLabeledRadiobutton' => 'Tk',
                             'Tk::Labelframe' => 'Tk',
                             'Tk::Listbox' => 'Tk',
                             'Tk::MMtry' => 'Tk',
                             'Tk::MMutil' => 'Tk',
                             'Tk::MainWindow' => 'Tk',
                             'Tk::MakeDepend' => 'Tk',
                             'Tk::Menu' => 'Tk',
                             'Tk::Menu::Button' => 'Tk',
                             'Tk::Menu::Cascade' => 'Tk',
                             'Tk::Menu::Checkbutton' => 'Tk',
                             'Tk::Menu::Item' => 'Tk',
                             'Tk::Menu::Radiobutton' => 'Tk',
                             'Tk::Menu::Separator' => 'Tk',
                             'Tk::Menubar' => 'Tk',
                             'Tk::Menubutton' => 'Tk',
                             'Tk::Message' => 'Tk',
                             'Tk::MsgBox' => 'Tk',
                             'Tk::Mwm' => 'Tk',
                             'Tk::NBFrame' => 'Tk',
                             'Tk::NoteBook' => 'Tk',
                             'Tk::Optionmenu' => 'Tk',
                             'Tk::PNG' => 'Tk',
                             'Tk::Pane' => 'Tk',
                             'Tk::Panedwindow' => 'Tk',
                             'Tk::Photo' => 'Tk',
                             'Tk::Pixmap' => 'Tk',
                             'Tk::Pretty' => 'Tk',
                             'Tk::ProgressBar' => 'Tk',
                             'Tk::ROText' => 'Tk',
                             'Tk::Radiobutton' => 'Tk',
                             'Tk::Region' => 'Tk',
                             'Tk::Reindex' => 'Tk',
                             'Tk::ReindexedROText' => 'Tk',
                             'Tk::ReindexedText' => 'Tk',
                             'Tk::Scale' => 'Tk',
                             'Tk::Scrollbar' => 'Tk',
                             'Tk::Spinbox' => 'Tk',
                             'Tk::Stats' => 'Tk',
                             'Tk::Stdio' => 'PAR',
                             'Tk::Stdio::Handle' => 'PAR',
                             'Tk::Submethods' => 'Tk',
                             'Tk::TList' => 'Tk',
                             'Tk::Table' => 'Tk',
                             'Tk::Text' => 'Tk',
                             'Tk::Text::Tag' => 'Tk',
                             'Tk::TextEdit' => 'Tk',
                             'Tk::TextList' => 'Tk',
                             'Tk::TextUndo' => 'Tk',
                             'Tk::Tiler' => 'Tk',
                             'Tk::TixGrid' => 'Tk',
                             'Tk::Toplevel' => 'Tk',
                             'Tk::Trace' => 'Tk',
                             'Tk::Tree' => 'Tk',
                             'Tk::Widget' => 'Tk',
                             'Tk::WinPhoto' => 'Tk',
                             'Tk::Wm' => 'Tk',
                             'Tk::X' => 'Tk',
                             'Tk::X11Font' => 'Tk',
                             'Tk::Xlib' => 'Tk',
                             'Tk::Xrm' => 'Tk',
                             'Tk::install' => 'Tk',
                             'Tk::widgets' => 'Tk',
                             'UDDI::Constants' => 'SOAP-Lite',
                             'UI::Dialog' => 'UI-Dialog',
                             'UI::Dialog::Backend' => 'UI-Dialog',
                             'UI::Dialog::Backend::ASCII' => 'UI-Dialog',
                             'UI::Dialog::Backend::CDialog' => 'UI-Dialog',
                             'UI::Dialog::Backend::GDialog' => 'UI-Dialog',
                             'UI::Dialog::Backend::KDialog' => 'UI-Dialog',
                             'UI::Dialog::Backend::Nautilus' => 'UI-Dialog',
                             'UI::Dialog::Backend::NotifySend' => 'UI-Dialog',
                             'UI::Dialog::Backend::Whiptail' => 'UI-Dialog',
                             'UI::Dialog::Backend::XDialog' => 'UI-Dialog',
                             'UI::Dialog::Backend::XOSD' => 'UI-Dialog',
                             'UI::Dialog::Backend::Zenity' => 'UI-Dialog',
                             'UI::Dialog::Console' => 'UI-Dialog',
                             'UI::Dialog::GNOME' => 'UI-Dialog',
                             'UI::Dialog::Gauged' => 'UI-Dialog',
                             'UI::Dialog::KDE' => 'UI-Dialog',
                             'UI::Dialog::Screen::Druid' => 'UI-Dialog',
                             'UI::Dialog::Screen::Menu' => 'UI-Dialog',
                             'URI::jabber' => 'SOAP-Lite',
                             'WidgetDemo' => 'Tk',
                             'XML::LibXML' => 'XML-LibXML',
                             'XML::LibXML::Attr' => 'XML-LibXML',
                             'XML::LibXML::AttributeHash' => 'XML-LibXML',
                             'XML::LibXML::Boolean' => 'XML-LibXML',
                             'XML::LibXML::CDATASection' => 'XML-LibXML',
                             'XML::LibXML::Comment' => 'XML-LibXML',
                             'XML::LibXML::Common' => 'XML-LibXML',
                             'XML::LibXML::Devel' => 'XML-LibXML',
                             'XML::LibXML::Document' => 'XML-LibXML',
                             'XML::LibXML::DocumentFragment' => 'XML-LibXML',
                             'XML::LibXML::Dtd' => 'XML-LibXML',
                             'XML::LibXML::Element' => 'XML-LibXML',
                             'XML::LibXML::ErrNo' => 'XML-LibXML',
                             'XML::LibXML::Error' => 'XML-LibXML',
                             'XML::LibXML::InputCallback' => 'XML-LibXML',
                             'XML::LibXML::Literal' => 'XML-LibXML',
                             'XML::LibXML::NamedNodeMap' => 'XML-LibXML',
                             'XML::LibXML::Namespace' => 'XML-LibXML',
                             'XML::LibXML::Node' => 'XML-LibXML',
                             'XML::LibXML::NodeList' => 'XML-LibXML',
                             'XML::LibXML::Number' => 'XML-LibXML',
                             'XML::LibXML::PI' => 'XML-LibXML',
                             'XML::LibXML::Pattern' => 'XML-LibXML',
                             'XML::LibXML::Reader' => 'XML-LibXML',
                             'XML::LibXML::RegExp' => 'XML-LibXML',
                             'XML::LibXML::RelaxNG' => 'XML-LibXML',
                             'XML::LibXML::SAX' => 'XML-LibXML',
                             'XML::LibXML::SAX::AttributeNode' => 'XML-LibXML',
                             'XML::LibXML::SAX::Builder' => 'XML-LibXML',
                             'XML::LibXML::SAX::Generator' => 'XML-LibXML',
                             'XML::LibXML::SAX::Parser' => 'XML-LibXML',
                             'XML::LibXML::Schema' => 'XML-LibXML',
                             'XML::LibXML::Text' => 'XML-LibXML',
                             'XML::LibXML::XPathContext' => 'XML-LibXML',
                             'XML::LibXML::XPathExpression' => 'XML-LibXML',
                             'XML::LibXML::_SAXParser' => 'XML-LibXML',
                             'back_tick_a_command' => 'PAR',
                             'encoding' => 'Encode',
                             'mod_perl' => 'mod_perl',
                             'mod_perl2' => 'mod_perl',
                             'ojo' => 'Mojolicious',
                             'pipe_a_command' => 'PAR',
                             'pp' => 'PAR-Packer',
                             'prior_to_test' => 'PAR',
                             'remove_file_and_try_executable_again' => 'PAR',
                             'test_in_further_subdir' => 'PAR'
                           }
        };

}

1;
